/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the AArch64 target                         *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 89;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(2),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s128,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v8s8,
  GILLT_v8s16,
  GILLT_v16s8,
  GILLT_nxv1s1,
  GILLT_nxv2s1,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv8s1,
  GILLT_nxv8s16,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
};
const static size_t NumTypeObjects = 24;
const static LLT TypeObjects[] = {
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(8), 8),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasPAuthBit = 6,
  Feature_HasJSBit = 8,
  Feature_HasComplxNumBit = 63,
  Feature_HasRCPC_IMMOBit = 82,
  Feature_HasFPARMv8Bit = 7,
  Feature_HasNEONBit = 5,
  Feature_HasSM4Bit = 62,
  Feature_HasSHA3Bit = 61,
  Feature_HasSHA2Bit = 19,
  Feature_HasAESBit = 18,
  Feature_HasDotProdBit = 2,
  Feature_HasCRCBit = 10,
  Feature_HasCSSCBit = 20,
  Feature_HasNoCSSCBit = 29,
  Feature_HasLSEBit = 30,
  Feature_HasNoLSEBit = 88,
  Feature_HasRDMBit = 16,
  Feature_HasFullFP16Bit = 13,
  Feature_HasNoFullFP16Bit = 80,
  Feature_HasFP16FMLBit = 4,
  Feature_HasFuseAESBit = 74,
  Feature_HasSVEBit = 26,
  Feature_HasSVE2Bit = 27,
  Feature_HasSVE2p1Bit = 43,
  Feature_HasSVEAESBit = 36,
  Feature_HasSVE2SM4Bit = 40,
  Feature_HasSVE2SHA3Bit = 87,
  Feature_HasSVEBitPermBit = 38,
  Feature_HasSMEandIsNonStreamingSafeBit = 55,
  Feature_HasSMEBit = 49,
  Feature_HasSMEF64F64Bit = 51,
  Feature_HasSMEI16I64Bit = 54,
  Feature_HasSME2andIsNonStreamingSafeBit = 58,
  Feature_HasSME2Bit = 57,
  Feature_HasSME2p1Bit = 60,
  Feature_HasFP8Bit = 21,
  Feature_HasFAMINMAXBit = 22,
  Feature_HasFP8FMABit = 23,
  Feature_HasSSVE_FP8FMABit = 46,
  Feature_HasFP8DOT2Bit = 24,
  Feature_HasSSVE_FP8DOT2Bit = 41,
  Feature_HasFP8DOT4Bit = 25,
  Feature_HasSSVE_FP8DOT4Bit = 47,
  Feature_HasLUTBit = 48,
  Feature_HasSME_LUTv2Bit = 59,
  Feature_HasSMEF8F16Bit = 52,
  Feature_HasSMEF8F32Bit = 50,
  Feature_HasFPRCVTBit = 14,
  Feature_HasSVE_or_SMEBit = 0,
  Feature_HasNonStreamingSVE_or_SME2p2Bit = 39,
  Feature_HasSVE2_or_SMEBit = 32,
  Feature_HasSVE2_or_SME2Bit = 45,
  Feature_HasNonStreamingSVE2_or_SSVE_AESBit = 35,
  Feature_HasSVE2p1_or_SMEBit = 56,
  Feature_HasSVE2p1_or_SME2Bit = 28,
  Feature_HasSVE2p1_or_SME2p1Bit = 44,
  Feature_HasSVE2p2_or_SME2p2Bit = 31,
  Feature_HasSMEF16F16_or_SMEF8F16Bit = 53,
  Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit = 37,
  Feature_HasNEONandIsStreamingSafeBit = 17,
  Feature_HasNEONandIsSME2p2StreamingSafeBit = 71,
  Feature_HasRCPCBit = 81,
  Feature_HasFRInt3264Bit = 15,
  Feature_HasMTEBit = 11,
  Feature_HasTMEBit = 9,
  Feature_HasMatMulInt8Bit = 3,
  Feature_HasMatMulFP32Bit = 86,
  Feature_HasMatMulFP64Bit = 42,
  Feature_HasLS64Bit = 78,
  Feature_HasHBCBit = 12,
  Feature_HasRCPC3Bit = 79,
  Feature_HasGCSBit = 1,
  Feature_IsLEBit = 69,
  Feature_IsBEBit = 75,
  Feature_UseExperimentalZeroingPseudosBit = 34,
  Feature_UseAlternateSExtLoadCVTF32Bit = 73,
  Feature_UseScalarIncVLBit = 33,
  Feature_NoUseScalarIncVLBit = 85,
  Feature_UseSVEFPLD1RBit = 84,
  Feature_UseLDAPURBit = 83,
  Feature_NotForCodeSizeBit = 72,
  Feature_UseSTRQroBit = 70,
  Feature_TailCallX16X17Bit = 65,
  Feature_TailCallX17Bit = 76,
  Feature_TailCallNotX16Bit = 77,
  Feature_TailCallAnyBit = 64,
  Feature_SLSBLRMitigationBit = 68,
  Feature_NoSLSBLRMitigationBit = 67,
  Feature_OptimizedGISelOrOtherSelectorBit = 66,
};

PredicateBitset AArch64InstructionSelector::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasPAuth())
    Features.set(Feature_HasPAuthBit);
  if (Subtarget->hasJS())
    Features.set(Feature_HasJSBit);
  if (Subtarget->hasComplxNum())
    Features.set(Feature_HasComplxNumBit);
  if (Subtarget->hasRCPC_IMMO())
    Features.set(Feature_HasRCPC_IMMOBit);
  if (Subtarget->hasFPARMv8())
    Features.set(Feature_HasFPARMv8Bit);
  if (Subtarget->isNeonAvailable())
    Features.set(Feature_HasNEONBit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasSHA3())
    Features.set(Feature_HasSHA3Bit);
  if (Subtarget->hasSHA2())
    Features.set(Feature_HasSHA2Bit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  if (Subtarget->hasCRC())
    Features.set(Feature_HasCRCBit);
  if (Subtarget->hasCSSC())
    Features.set(Feature_HasCSSCBit);
  if (!Subtarget->hasCSSC())
    Features.set(Feature_HasNoCSSCBit);
  if (Subtarget->hasLSE())
    Features.set(Feature_HasLSEBit);
  if (!Subtarget->hasLSE())
    Features.set(Feature_HasNoLSEBit);
  if (Subtarget->hasRDM())
    Features.set(Feature_HasRDMBit);
  if (Subtarget->hasFullFP16())
    Features.set(Feature_HasFullFP16Bit);
  if (!Subtarget->hasFullFP16())
    Features.set(Feature_HasNoFullFP16Bit);
  if (Subtarget->hasFP16FML())
    Features.set(Feature_HasFP16FMLBit);
  if (Subtarget->hasFuseAES())
    Features.set(Feature_HasFuseAESBit);
  if (Subtarget->isSVEAvailable())
    Features.set(Feature_HasSVEBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2())
    Features.set(Feature_HasSVE2Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2p1())
    Features.set(Feature_HasSVE2p1Bit);
  if (Subtarget->hasSVEAES())
    Features.set(Feature_HasSVEAESBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SM4())
    Features.set(Feature_HasSVE2SM4Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SHA3())
    Features.set(Feature_HasSVE2SHA3Bit);
  if (Subtarget->hasSVEBitPerm())
    Features.set(Feature_HasSVEBitPermBit);
  if (Subtarget->hasSME())
    Features.set(Feature_HasSMEandIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME())
    Features.set(Feature_HasSMEBit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF64F64())
    Features.set(Feature_HasSMEF64F64Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEI16I64())
    Features.set(Feature_HasSMEI16I64Bit);
  if (Subtarget->hasSME2())
    Features.set(Feature_HasSME2andIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2())
    Features.set(Feature_HasSME2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2p1())
    Features.set(Feature_HasSME2p1Bit);
  if (Subtarget->hasFP8())
    Features.set(Feature_HasFP8Bit);
  if (Subtarget->hasFAMINMAX())
    Features.set(Feature_HasFAMINMAXBit);
  if (Subtarget->hasFP8FMA())
    Features.set(Feature_HasFP8FMABit);
  if (Subtarget->hasSSVE_FP8FMA() || (Subtarget->hasSVE2() && Subtarget->hasFP8FMA()))
    Features.set(Feature_HasSSVE_FP8FMABit);
  if (Subtarget->hasFP8DOT2())
    Features.set(Feature_HasFP8DOT2Bit);
  if (Subtarget->hasSSVE_FP8DOT2() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT2()))
    Features.set(Feature_HasSSVE_FP8DOT2Bit);
  if (Subtarget->hasFP8DOT4())
    Features.set(Feature_HasFP8DOT4Bit);
  if (Subtarget->hasSSVE_FP8DOT4() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT4()))
    Features.set(Feature_HasSSVE_FP8DOT4Bit);
  if (Subtarget->hasLUT())
    Features.set(Feature_HasLUTBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME_LUTv2())
    Features.set(Feature_HasSME_LUTv2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F16())
    Features.set(Feature_HasSMEF8F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F32())
    Features.set(Feature_HasSMEF8F32Bit);
  if (Subtarget->hasFPRCVT())
    Features.set(Feature_HasFPRCVTBit);
  if (Subtarget->hasSVE() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE_or_SMEBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNonStreamingSVE_or_SME2p2Bit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2_or_SMEBit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2_or_SME2Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_AES()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_AESBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2p1_or_SMEBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2p1_or_SME2Bit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2p1()))
    Features.set(Feature_HasSVE2p1_or_SME2p1Bit);
  if (Subtarget->isSVEorStreamingSVEAvailable() && (Subtarget->hasSVE2p2() || Subtarget->hasSME2p2()))
    Features.set(Feature_HasSVE2p2_or_SME2p2Bit);
  if (Subtarget->isStreaming() && (Subtarget->hasSMEF16F16() || Subtarget->hasSMEF8F16()))
    Features.set(Feature_HasSMEF16F16_or_SMEF8F16Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_BitPerm()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit);
  if (Subtarget->hasNEON())
    Features.set(Feature_HasNEONandIsStreamingSafeBit);
  if (Subtarget->isNeonAvailable() || (Subtarget->hasNEON() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNEONandIsSME2p2StreamingSafeBit);
  if (Subtarget->hasRCPC())
    Features.set(Feature_HasRCPCBit);
  if (Subtarget->hasFRInt3264())
    Features.set(Feature_HasFRInt3264Bit);
  if (Subtarget->hasMTE())
    Features.set(Feature_HasMTEBit);
  if (Subtarget->hasTME())
    Features.set(Feature_HasTMEBit);
  if (Subtarget->hasMatMulInt8())
    Features.set(Feature_HasMatMulInt8Bit);
  if (Subtarget->hasMatMulFP32())
    Features.set(Feature_HasMatMulFP32Bit);
  if (Subtarget->hasMatMulFP64())
    Features.set(Feature_HasMatMulFP64Bit);
  if (Subtarget->hasLS64())
    Features.set(Feature_HasLS64Bit);
  if (Subtarget->hasHBC())
    Features.set(Feature_HasHBCBit);
  if (Subtarget->hasRCPC3())
    Features.set(Feature_HasRCPC3Bit);
  if (Subtarget->hasGCS())
    Features.set(Feature_HasGCSBit);
  if (Subtarget->isLittleEndian())
    Features.set(Feature_IsLEBit);
  if (!Subtarget->isLittleEndian())
    Features.set(Feature_IsBEBit);
  if (Subtarget->useExperimentalZeroingPseudos())
    Features.set(Feature_UseExperimentalZeroingPseudosBit);
  if (Subtarget->useAlternateSExtLoadCVTF32Pattern())
    Features.set(Feature_UseAlternateSExtLoadCVTF32Bit);
  if (Subtarget->useScalarIncVL())
    Features.set(Feature_UseScalarIncVLBit);
  if (!Subtarget->useScalarIncVL())
    Features.set(Feature_NoUseScalarIncVLBit);
  if (!Subtarget->noSVEFPLD1R())
    Features.set(Feature_UseSVEFPLD1RBit);
  if (!Subtarget->avoidLDAPUR())
    Features.set(Feature_UseLDAPURBit);
  return Features;
}

void AArch64InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64InstructionSelector::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!shouldOptForSize(MF))
    Features.set(Feature_NotForCodeSizeBit);
  if (!Subtarget->isSTRQroSlow() || shouldOptForSize(MF))
    Features.set(Feature_UseSTRQroBit);
  if (  MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX16X17Bit);
  if ( MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX17Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallNotX16Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallAnyBit);
  if ( MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_SLSBLRMitigationBit);
  if ( !MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_NoSLSBLRMitigationBit);
  if (!MF->getFunction().hasOptNone() || MF->getProperties().hasProperty(MachineFunctionProperties::Property::FailedISel) || !MF->getProperties().hasProperty(MachineFunctionProperties::Property::Legalized))
    Features.set(Feature_OptimizedGISelOrOtherSelectorBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasAES,
  GIFBS_HasCRC,
  GIFBS_HasCSSC,
  GIFBS_HasDotProd,
  GIFBS_HasFP8,
  GIFBS_HasFP8DOT2,
  GIFBS_HasFP8DOT4,
  GIFBS_HasFP8FMA,
  GIFBS_HasFPARMv8,
  GIFBS_HasFRInt3264,
  GIFBS_HasFullFP16,
  GIFBS_HasFuseAES,
  GIFBS_HasGCS,
  GIFBS_HasLSE,
  GIFBS_HasLUT,
  GIFBS_HasMTE,
  GIFBS_HasMatMulInt8,
  GIFBS_HasNEON,
  GIFBS_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasNEONandIsStreamingSafe,
  GIFBS_HasNoCSSC,
  GIFBS_HasNoFullFP16,
  GIFBS_HasNoLSE,
  GIFBS_HasNonStreamingSVE_or_SME2p2,
  GIFBS_HasPAuth,
  GIFBS_HasRCPC,
  GIFBS_HasRCPC_IMMO,
  GIFBS_HasRDM,
  GIFBS_HasSHA2,
  GIFBS_HasSHA3,
  GIFBS_HasSM4,
  GIFBS_HasSME,
  GIFBS_HasSME2,
  GIFBS_HasSMEF16F16_or_SMEF8F16,
  GIFBS_HasSMEF64F64,
  GIFBS_HasSMEF8F16,
  GIFBS_HasSMEF8F32,
  GIFBS_HasSMEI16I64,
  GIFBS_HasSMEandIsNonStreamingSafe,
  GIFBS_HasSSVE_FP8DOT2,
  GIFBS_HasSSVE_FP8DOT4,
  GIFBS_HasSSVE_FP8FMA,
  GIFBS_HasSVE,
  GIFBS_HasSVE2,
  GIFBS_HasSVE2SHA3,
  GIFBS_HasSVE2SM4,
  GIFBS_HasSVE2_or_SME,
  GIFBS_HasSVE2p1_or_SME,
  GIFBS_HasSVE2p1_or_SME2,
  GIFBS_HasSVE2p1_or_SME2p1,
  GIFBS_HasSVE_or_SME,
  GIFBS_HasTME,
  GIFBS_IsBE,
  GIFBS_IsLE,
  GIFBS_OptimizedGISelOrOtherSelector,
  GIFBS_UseSTRQro,
  GIFBS_HasComplxNum_HasNEON,
  GIFBS_HasFAMINMAX_HasNEON,
  GIFBS_HasFAMINMAX_HasSVE2_or_SME2,
  GIFBS_HasFP16FML_HasNEON,
  GIFBS_HasFP8_HasSVE2_or_SME2,
  GIFBS_HasFPARMv8_HasJS,
  GIFBS_HasFPRCVT_HasNEON,
  GIFBS_HasFullFP16_HasNEON,
  GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasFullFP16_HasNEONandIsStreamingSafe,
  GIFBS_HasLUT_HasSVE2_or_SME2,
  GIFBS_HasMatMulFP32_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE_or_SME,
  GIFBS_HasMatMulInt8_HasSVE,
  GIFBS_HasMatMulInt8_HasSVE_or_SME,
  GIFBS_HasNEON_HasRCPC3,
  GIFBS_HasNEON_HasRDM,
  GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES,
  GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm,
  GIFBS_HasRCPC_IMMO_UseLDAPUR,
  GIFBS_HasSVE_or_SME_UseScalarIncVL,
  GIFBS_IsLE_UseSTRQro,
  GIFBS_HasComplxNum_HasFullFP16_HasNEON,
  GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasAESBit, },
  {Feature_HasCRCBit, },
  {Feature_HasCSSCBit, },
  {Feature_HasDotProdBit, },
  {Feature_HasFP8Bit, },
  {Feature_HasFP8DOT2Bit, },
  {Feature_HasFP8DOT4Bit, },
  {Feature_HasFP8FMABit, },
  {Feature_HasFPARMv8Bit, },
  {Feature_HasFRInt3264Bit, },
  {Feature_HasFullFP16Bit, },
  {Feature_HasFuseAESBit, },
  {Feature_HasGCSBit, },
  {Feature_HasLSEBit, },
  {Feature_HasLUTBit, },
  {Feature_HasMTEBit, },
  {Feature_HasMatMulInt8Bit, },
  {Feature_HasNEONBit, },
  {Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasNoCSSCBit, },
  {Feature_HasNoFullFP16Bit, },
  {Feature_HasNoLSEBit, },
  {Feature_HasNonStreamingSVE_or_SME2p2Bit, },
  {Feature_HasPAuthBit, },
  {Feature_HasRCPCBit, },
  {Feature_HasRCPC_IMMOBit, },
  {Feature_HasRDMBit, },
  {Feature_HasSHA2Bit, },
  {Feature_HasSHA3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSMEBit, },
  {Feature_HasSME2Bit, },
  {Feature_HasSMEF16F16_or_SMEF8F16Bit, },
  {Feature_HasSMEF64F64Bit, },
  {Feature_HasSMEF8F16Bit, },
  {Feature_HasSMEF8F32Bit, },
  {Feature_HasSMEI16I64Bit, },
  {Feature_HasSMEandIsNonStreamingSafeBit, },
  {Feature_HasSSVE_FP8DOT2Bit, },
  {Feature_HasSSVE_FP8DOT4Bit, },
  {Feature_HasSSVE_FP8FMABit, },
  {Feature_HasSVEBit, },
  {Feature_HasSVE2Bit, },
  {Feature_HasSVE2SHA3Bit, },
  {Feature_HasSVE2SM4Bit, },
  {Feature_HasSVE2_or_SMEBit, },
  {Feature_HasSVE2p1_or_SMEBit, },
  {Feature_HasSVE2p1_or_SME2Bit, },
  {Feature_HasSVE2p1_or_SME2p1Bit, },
  {Feature_HasSVE_or_SMEBit, },
  {Feature_HasTMEBit, },
  {Feature_IsBEBit, },
  {Feature_IsLEBit, },
  {Feature_OptimizedGISelOrOtherSelectorBit, },
  {Feature_UseSTRQroBit, },
  {Feature_HasComplxNumBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFP16FMLBit, Feature_HasNEONBit, },
  {Feature_HasFP8Bit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFPARMv8Bit, Feature_HasJSBit, },
  {Feature_HasFPRCVTBit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasLUTBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasMatMulFP32Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasNEONBit, Feature_HasRCPC3Bit, },
  {Feature_HasNEONBit, Feature_HasRDMBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_AESBit, Feature_HasSVEAESBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit, Feature_HasSVEBitPermBit, },
  {Feature_HasRCPC_IMMOBit, Feature_UseLDAPURBit, },
  {Feature_HasSVE_or_SMEBit, Feature_UseScalarIncVLBit, },
  {Feature_IsLEBit, Feature_UseSTRQroBit, },
  {Feature_HasComplxNumBit, Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasNEONBit, Feature_NotForCodeSizeBit, Feature_UseAlternateSExtLoadCVTF32Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addsub_shifted_imm32,
  GICP_gi_addsub_shifted_imm64,
  GICP_gi_am_indexed128,
  GICP_gi_am_indexed16,
  GICP_gi_am_indexed32,
  GICP_gi_am_indexed64,
  GICP_gi_am_indexed8,
  GICP_gi_am_unscaled128,
  GICP_gi_am_unscaled16,
  GICP_gi_am_unscaled32,
  GICP_gi_am_unscaled64,
  GICP_gi_am_unscaled8,
  GICP_gi_arith_extended_reg32_i32,
  GICP_gi_arith_extended_reg32_i64,
  GICP_gi_arith_extended_reg32to64_i64,
  GICP_gi_arith_shifted_reg32,
  GICP_gi_arith_shifted_reg64,
  GICP_gi_extract_high_v16i8,
  GICP_gi_extract_high_v4f32,
  GICP_gi_extract_high_v4i32,
  GICP_gi_extract_high_v8f16,
  GICP_gi_extract_high_v8i16,
  GICP_gi_logical_shifted_reg32,
  GICP_gi_logical_shifted_reg64,
  GICP_gi_neg_addsub_shifted_imm32,
  GICP_gi_neg_addsub_shifted_imm64,
  GICP_gi_ro_Windexed128,
  GICP_gi_ro_Windexed16,
  GICP_gi_ro_Windexed32,
  GICP_gi_ro_Windexed64,
  GICP_gi_ro_Windexed8,
  GICP_gi_ro_Xindexed128,
  GICP_gi_ro_Xindexed16,
  GICP_gi_ro_Xindexed32,
  GICP_gi_ro_Xindexed64,
  GICP_gi_ro_Xindexed8,
};
// See constructor for table contents

AArch64InstructionSelector::ComplexMatcherMemFn
AArch64InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm32
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeIndexed<128>, // gi_am_indexed128
  &AArch64InstructionSelector::selectAddrModeIndexed<16>, // gi_am_indexed16
  &AArch64InstructionSelector::selectAddrModeIndexed<32>, // gi_am_indexed32
  &AArch64InstructionSelector::selectAddrModeIndexed<64>, // gi_am_indexed64
  &AArch64InstructionSelector::selectAddrModeIndexed<8>, // gi_am_indexed8
  &AArch64InstructionSelector::selectAddrModeUnscaled128, // gi_am_unscaled128
  &AArch64InstructionSelector::selectAddrModeUnscaled16, // gi_am_unscaled16
  &AArch64InstructionSelector::selectAddrModeUnscaled32, // gi_am_unscaled32
  &AArch64InstructionSelector::selectAddrModeUnscaled64, // gi_am_unscaled64
  &AArch64InstructionSelector::selectAddrModeUnscaled8, // gi_am_unscaled8
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i32
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i64
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32to64_i64
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg32
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg64
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v16i8
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4f32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4i32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8f16
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8i16
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg32
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg64
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm32
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeWRO<128>, // gi_ro_Windexed128
  &AArch64InstructionSelector::selectAddrModeWRO<16>, // gi_ro_Windexed16
  &AArch64InstructionSelector::selectAddrModeWRO<32>, // gi_ro_Windexed32
  &AArch64InstructionSelector::selectAddrModeWRO<64>, // gi_ro_Windexed64
  &AArch64InstructionSelector::selectAddrModeWRO<8>, // gi_ro_Windexed8
  &AArch64InstructionSelector::selectAddrModeXRO<128>, // gi_ro_Xindexed128
  &AArch64InstructionSelector::selectAddrModeXRO<16>, // gi_ro_Xindexed16
  &AArch64InstructionSelector::selectAddrModeXRO<32>, // gi_ro_Xindexed32
  &AArch64InstructionSelector::selectAddrModeXRO<64>, // gi_ro_Xindexed64
  &AArch64InstructionSelector::selectAddrModeXRO<8>, // gi_ro_Xindexed8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_and_or_is_add = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_ldaxr_1,
  GICXXPred_MI_Predicate_ldaxr_2,
  GICXXPred_MI_Predicate_ldaxr_4,
  GICXXPred_MI_Predicate_ldaxr_8,
  GICXXPred_MI_Predicate_ldxr_1,
  GICXXPred_MI_Predicate_ldxr_2,
  GICXXPred_MI_Predicate_ldxr_4,
  GICXXPred_MI_Predicate_ldxr_8,
  GICXXPred_MI_Predicate_stlxr_1,
  GICXXPred_MI_Predicate_stlxr_2,
  GICXXPred_MI_Predicate_stlxr_4,
  GICXXPred_MI_Predicate_stlxr_8,
  GICXXPred_MI_Predicate_stxr_1,
  GICXXPred_MI_Predicate_stxr_2,
  GICXXPred_MI_Predicate_stxr_4,
  GICXXPred_MI_Predicate_stxr_8,
};
bool AArch64InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_and_or_is_add: {
    
         return MI.getOpcode() == TargetOpcode::G_ADD ||
                (MI.getOpcode() == TargetOpcode::G_OR &&
                 MI.getFlag(MachineInstr::MIFlag::Disjoint));
      
  }
  case GICXXPred_MI_Predicate_ldaxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldaxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldaxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldaxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_ldxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stlxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stlxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stlxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stlxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_VectorIndex0 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_VectorIndex0_timm,
  GICXXPred_I64_Predicate_VectorIndex1,
  GICXXPred_I64_Predicate_VectorIndex1_timm,
  GICXXPred_I64_Predicate_VectorIndex032b,
  GICXXPred_I64_Predicate_VectorIndex032b_timm,
  GICXXPred_I64_Predicate_VectorIndex132b,
  GICXXPred_I64_Predicate_VectorIndex132b_timm,
  GICXXPred_I64_Predicate_VectorIndexB,
  GICXXPred_I64_Predicate_VectorIndexB32b,
  GICXXPred_I64_Predicate_VectorIndexB32b_timm,
  GICXXPred_I64_Predicate_VectorIndexB_timm,
  GICXXPred_I64_Predicate_VectorIndexD,
  GICXXPred_I64_Predicate_VectorIndexD32b,
  GICXXPred_I64_Predicate_VectorIndexD32b_timm,
  GICXXPred_I64_Predicate_VectorIndexD_timm,
  GICXXPred_I64_Predicate_VectorIndexH,
  GICXXPred_I64_Predicate_VectorIndexH32b,
  GICXXPred_I64_Predicate_VectorIndexH32b_timm,
  GICXXPred_I64_Predicate_VectorIndexH_timm,
  GICXXPred_I64_Predicate_VectorIndexS,
  GICXXPred_I64_Predicate_VectorIndexS32b,
  GICXXPred_I64_Predicate_VectorIndexS32b_timm,
  GICXXPred_I64_Predicate_VectorIndexS_timm,
  GICXXPred_I64_Predicate_complexrotateop,
  GICXXPred_I64_Predicate_complexrotateopodd,
  GICXXPred_I64_Predicate_extq_timm32_0_1m8,
  GICXXPred_I64_Predicate_extq_timm32_0_3m4,
  GICXXPred_I64_Predicate_extq_timm32_0_7m2,
  GICXXPred_I64_Predicate_i64imm_32bit,
  GICXXPred_I64_Predicate_i64imm_32bit_tgt,
  GICXXPred_I64_Predicate_imm0_1,
  GICXXPred_I64_Predicate_imm0_3,
  GICXXPred_I64_Predicate_imm0_7,
  GICXXPred_I64_Predicate_imm0_15,
  GICXXPred_I64_Predicate_imm0_31,
  GICXXPred_I64_Predicate_imm0_63,
  GICXXPred_I64_Predicate_imm0_127,
  GICXXPred_I64_Predicate_imm0_127_64b,
  GICXXPred_I64_Predicate_imm0_255,
  GICXXPred_I64_Predicate_imm32_0_7,
  GICXXPred_I64_Predicate_imm32_0_15,
  GICXXPred_I64_Predicate_imm32_0_31,
  GICXXPred_I64_Predicate_imm64_0_65535,
  GICXXPred_I64_Predicate_maski8_or_more,
  GICXXPred_I64_Predicate_maski16_or_more,
  GICXXPred_I64_Predicate_rprfop,
  GICXXPred_I64_Predicate_s64imm_32bit,
  GICXXPred_I64_Predicate_simm4s1,
  GICXXPred_I64_Predicate_simm4s2,
  GICXXPred_I64_Predicate_simm4s3,
  GICXXPred_I64_Predicate_simm4s4,
  GICXXPred_I64_Predicate_simm4s16,
  GICXXPred_I64_Predicate_simm4s32,
  GICXXPred_I64_Predicate_simm5_8b,
  GICXXPred_I64_Predicate_simm5_8b_tgt,
  GICXXPred_I64_Predicate_simm5_16b,
  GICXXPred_I64_Predicate_simm5_16b_tgt,
  GICXXPred_I64_Predicate_simm5_32b,
  GICXXPred_I64_Predicate_simm5_32b_tgt,
  GICXXPred_I64_Predicate_simm5_64b,
  GICXXPred_I64_Predicate_simm5_64b_tgt,
  GICXXPred_I64_Predicate_simm6_32b,
  GICXXPred_I64_Predicate_simm6s1,
  GICXXPred_I64_Predicate_simm8_32b,
  GICXXPred_I64_Predicate_simm8_64b,
  GICXXPred_I64_Predicate_simm9,
  GICXXPred_I64_Predicate_sme_elm_idx0_0,
  GICXXPred_I64_Predicate_sme_elm_idx0_1,
  GICXXPred_I64_Predicate_sme_elm_idx0_3,
  GICXXPred_I64_Predicate_sme_elm_idx0_7,
  GICXXPred_I64_Predicate_sme_elm_idx0_15,
  GICXXPred_I64_Predicate_svcr_op,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm,
  GICXXPred_I64_Predicate_sve_incdec_imm,
  GICXXPred_I64_Predicate_sve_pred_enum,
  GICXXPred_I64_Predicate_sve_prfop,
  GICXXPred_I64_Predicate_sve_vec_len_specifier_enum,
  GICXXPred_I64_Predicate_tbz_imm0_31_diag,
  GICXXPred_I64_Predicate_tbz_imm0_31_nodiag,
  GICXXPred_I64_Predicate_tbz_imm32_63,
  GICXXPred_I64_Predicate_timm0_1,
  GICXXPred_I64_Predicate_timm0_31,
  GICXXPred_I64_Predicate_timm0_63,
  GICXXPred_I64_Predicate_timm32_0_0,
  GICXXPred_I64_Predicate_timm32_0_1,
  GICXXPred_I64_Predicate_timm32_0_3,
  GICXXPred_I64_Predicate_timm32_0_7,
  GICXXPred_I64_Predicate_timm32_0_15,
  GICXXPred_I64_Predicate_timm32_0_31,
  GICXXPred_I64_Predicate_timm32_0_255,
  GICXXPred_I64_Predicate_timm32_0_65535,
  GICXXPred_I64_Predicate_timm32_1_1,
  GICXXPred_I64_Predicate_timm32_1_3,
  GICXXPred_I64_Predicate_timm32_1_7,
  GICXXPred_I64_Predicate_timm64_0_65535,
  GICXXPred_I64_Predicate_tuimm5s2,
  GICXXPred_I64_Predicate_tuimm5s4,
  GICXXPred_I64_Predicate_tuimm5s8,
  GICXXPred_I64_Predicate_tvecshiftL8,
  GICXXPred_I64_Predicate_tvecshiftL16,
  GICXXPred_I64_Predicate_tvecshiftL32,
  GICXXPred_I64_Predicate_tvecshiftL64,
  GICXXPred_I64_Predicate_tvecshiftR8,
  GICXXPred_I64_Predicate_tvecshiftR16,
  GICXXPred_I64_Predicate_tvecshiftR32,
  GICXXPred_I64_Predicate_tvecshiftR64,
  GICXXPred_I64_Predicate_ubsan_trap_imm,
  GICXXPred_I64_Predicate_uimm0s2range,
  GICXXPred_I64_Predicate_uimm0s4range,
  GICXXPred_I64_Predicate_uimm1s2range,
  GICXXPred_I64_Predicate_uimm1s4range,
  GICXXPred_I64_Predicate_uimm2s2range,
  GICXXPred_I64_Predicate_uimm2s4range,
  GICXXPred_I64_Predicate_uimm3s2range,
  GICXXPred_I64_Predicate_uimm3s8,
  GICXXPred_I64_Predicate_uimm5s2,
  GICXXPred_I64_Predicate_uimm5s4,
  GICXXPred_I64_Predicate_uimm5s8,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_32b,
  GICXXPred_I64_Predicate_uimm6_64b,
  GICXXPred_I64_Predicate_uimm6s1,
  GICXXPred_I64_Predicate_uimm6s2,
  GICXXPred_I64_Predicate_uimm6s4,
  GICXXPred_I64_Predicate_uimm6s8,
  GICXXPred_I64_Predicate_uimm6s16,
  GICXXPred_I64_Predicate_uimm8_32b,
  GICXXPred_I64_Predicate_uimm8_64b,
  GICXXPred_I64_Predicate_uimm16,
  GICXXPred_I64_Predicate_vecshiftL8,
  GICXXPred_I64_Predicate_vecshiftL16,
  GICXXPred_I64_Predicate_vecshiftL32,
  GICXXPred_I64_Predicate_vecshiftL64,
  GICXXPred_I64_Predicate_vecshiftR8,
  GICXXPred_I64_Predicate_vecshiftR16,
  GICXXPred_I64_Predicate_vecshiftR16Narrow,
  GICXXPred_I64_Predicate_vecshiftR32,
  GICXXPred_I64_Predicate_vecshiftR32Narrow,
  GICXXPred_I64_Predicate_vecshiftR64,
  GICXXPred_I64_Predicate_vecshiftR64Narrow,
};
bool AArch64InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_VectorIndex0: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex0_timm: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b_timm: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_complexrotateop: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_complexrotateopodd: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_1m8: {
    
      return ((uint32_t)Imm) < 2;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_3m4: {
    
      return ((uint32_t)Imm) < 4;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_7m2: {
    
      return ((uint32_t)Imm) < 8;
  }
  case GICXXPred_I64_Predicate_i64imm_32bit: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_i64imm_32bit_tgt: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_imm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_imm0_3: {
    
      return ((uint64_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_imm0_7: {
    
      return ((uint64_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm0_15: {
    
      return ((uint64_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_imm0_127: {
    
      return ((uint32_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_127_64b: {
    
      return ((uint64_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_maski8_or_more: {
     return (Imm & 0xff) == 0xff; 
  }
  case GICXXPred_I64_Predicate_maski16_or_more: {
     return (Imm & 0xffff) == 0xffff; 
  }
  case GICXXPred_I64_Predicate_rprfop: {
    
        return (((uint32_t)Imm) <= 63);
      
  }
  case GICXXPred_I64_Predicate_s64imm_32bit: {
    
      int64_t Imm64 = static_cast<int64_t>(Imm);
      return Imm64 >= std::numeric_limits<int32_t>::min() &&
             Imm64 <= std::numeric_limits<int32_t>::max();
    
    llvm_unreachable("s64imm_32bit should have returned");
  }
  case GICXXPred_I64_Predicate_simm4s1: {
     return Imm >=-8  && Imm <= 7; 
  }
  case GICXXPred_I64_Predicate_simm4s2: {
     return Imm >=-16  && Imm <= 14 && (Imm % 2) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s3: {
     return Imm >=-24  && Imm <= 21 && (Imm % 3) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s4: {
     return Imm >=-32  && Imm <= 28 && (Imm % 4) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s16: {
     return Imm >=-128  && Imm <= 112 && (Imm % 16) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s32: {
     return Imm >=-256  && Imm <= 224 && (Imm % 32) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm5_8b: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_8b_tgt: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b_tgt: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b_tgt: {
     return (int32_t)Imm >= -16 && (int32_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b_tgt: {
     return (int64_t)Imm >= -16 && (int64_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm6_32b: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm6s1: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm8_32b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm8_64b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm9: {
     return Imm >= -256 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_1: {
    
      return ((uint32_t)Imm) <= 1;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_3: {
    
      return ((uint32_t)Imm) <= 3;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_7: {
    
      return ((uint32_t)Imm) <= 7;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_15: {
    
      return ((uint32_t)Imm) <= 15;
    
  }
  case GICXXPred_I64_Predicate_svcr_op: {
    
        return AArch64SVCR::lookupSVCRByEncoding(Imm) != nullptr;
      
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_incdec_imm: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_sve_pred_enum: {
    
      return (((uint32_t)Imm) < 32);
      
  }
  case GICXXPred_I64_Predicate_sve_prfop: {
    
        return (((uint32_t)Imm) <= 15);
      
  }
  case GICXXPred_I64_Predicate_sve_vec_len_specifier_enum: {
    
      return (((uint32_t)Imm) < 2);
      
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_diag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_nodiag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm32_63: {
    
      return (((uint32_t)Imm) > 31) && (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_timm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_1: {
    
      return ((uint32_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_3: {
    
      return ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_31: {
    
      return ((uint32_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_65535: {
    
      return ((uint32_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_1: {
    
        return ((uint32_t)Imm) == 1;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_3: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_7: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_tuimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_tvecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_ubsan_trap_imm: {
    
      return isUInt<8>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm0s2range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm0s4range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm1s2range: {
     return Imm >= 0 && Imm <= 2 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm1s4range: {
     return Imm >= 0 && Imm <= 4 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s2range: {
     return Imm >= 0 && Imm <= 6 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s4range: {
     return Imm >= 0 && Imm <= 12 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s2range: {
     return Imm >= 0 && Imm <= 14 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s8: {
     return Imm >= 0 && Imm <= 56 && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_32b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_64b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s1: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s2: {
     return Imm >= 0 && Imm < (64*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s4: {
     return Imm >= 0 && Imm < (64*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s8: {
     return Imm >= 0 && Imm < (64*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s16: {
     return Imm >= 0 && Imm < (64*16) && ((Imm % 16) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm8_32b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm8_64b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm16: {
    return Imm >= 0 && Imm < 65536;
  }
  case GICXXPred_I64_Predicate_vecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm16,
  GICXXPred_APFloat_Predicate_fpimm32,
  GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4,
  GICXXPred_APFloat_Predicate_fpimm64,
  GICXXPred_APFloat_Predicate_fpimm_half,
  GICXXPred_APFloat_Predicate_fpimm_minus0,
  GICXXPred_APFloat_Predicate_fpimm_one,
  GICXXPred_APFloat_Predicate_fpimm_two,
  GICXXPred_APFloat_Predicate_fpimmbf16,
  GICXXPred_APFloat_Predicate_simdimmtype10,
};
bool AArch64InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32: {
    
          return AArch64_AM::getFP32Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4: {
    
          uint64_t Enc = Imm.bitcastToAPInt().getZExtValue();
          return Enc != 0 && AArch64_AM::isAdvSIMDModImmType4(Enc << 32 | Enc);
        
    llvm_unreachable("fpimm32SIMDModImmType4 should have returned");
  }
  case GICXXPred_APFloat_Predicate_fpimm64: {
    
          return AArch64_AM::getFP64Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm_half: {
    
      return Imm.isExactlyValue(+0.5);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_minus0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_one: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_two: {
    
      return Imm.isExactlyValue(+2.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmbf16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_simdimmtype10: {
    
          return AArch64_AM::isAdvSIMDModImmType10(
                     Imm.bitcastToAPInt().getZExtValue());
        
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_logical_imm32 = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_logical_imm64,
};
bool AArch64InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_logical_imm32: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 32);
    
  }
  case GICXXPred_APInt_Predicate_logical_imm64: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 64);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("AArch64InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderFPImm16,
  GICR_renderFPImm32,
  GICR_renderFPImm32SIMDModImmType4,
  GICR_renderFPImm64,
  GICR_renderLogicalImm32,
  GICR_renderLogicalImm64,
  GICR_renderTruncImm,
  GICR_renderUbsanTrap,
};
AArch64InstructionSelector::CustomRendererFn
AArch64InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &AArch64InstructionSelector::renderFPImm16,
  &AArch64InstructionSelector::renderFPImm32,
  &AArch64InstructionSelector::renderFPImm32SIMDModImmType4,
  &AArch64InstructionSelector::renderFPImm64,
  &AArch64InstructionSelector::renderLogicalImm32,
  &AArch64InstructionSelector::renderLogicalImm64,
  &AArch64InstructionSelector::renderTruncImm,
  &AArch64InstructionSelector::renderUbsanTrap,
};

bool AArch64InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool AArch64InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("AArch64InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(837), /*)*//*default:*//*Label 154*/ GIMT_Encode4(401901),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(3146),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(34649),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(47997),
     /*     22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(49826),
     /*     26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(49908), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 5*/ GIMT_Encode4(49990),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 6*/ GIMT_Encode4(57736),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 7*/ GIMT_Encode4(69783), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 8*/ GIMT_Encode4(75722), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 9*/ GIMT_Encode4(82859), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(92803),
     /*    146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 11*/ GIMT_Encode4(93294),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 12*/ GIMT_Encode4(93785),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 13*/ GIMT_Encode4(94053),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 14*/ GIMT_Encode4(94203),
     /*    162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 15*/ GIMT_Encode4(94694), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 16*/ GIMT_Encode4(94727),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 17*/ GIMT_Encode4(103323),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 18*/ GIMT_Encode4(104373), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 19*/ GIMT_Encode4(107342), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 20*/ GIMT_Encode4(120654),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 21*/ GIMT_Encode4(122005),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 22*/ GIMT_Encode4(122997),
     /*    218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 23*/ GIMT_Encode4(123989),
     /*    222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 24*/ GIMT_Encode4(125481), GIMT_Encode4(0),
     /*    230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 25*/ GIMT_Encode4(126973),
     /*    234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 26*/ GIMT_Encode4(127965),
     /*    238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 27*/ GIMT_Encode4(128957),
     /*    242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 28*/ GIMT_Encode4(129949),
     /*    246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 29*/ GIMT_Encode4(130941),
     /*    250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 30*/ GIMT_Encode4(131933), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    286 */ /*TargetOpcode::G_FENCE*//*Label 31*/ GIMT_Encode4(132925), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 32*/ GIMT_Encode4(132976),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 33*/ GIMT_Encode4(242709), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 34*/ GIMT_Encode4(252965),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 35*/ GIMT_Encode4(253255),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 36*/ GIMT_Encode4(254458),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 37*/ GIMT_Encode4(254578), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 38*/ GIMT_Encode4(254819),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 39*/ GIMT_Encode4(256717),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 40*/ GIMT_Encode4(258371),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 41*/ GIMT_Encode4(261150),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 42*/ GIMT_Encode4(261930),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 43*/ GIMT_Encode4(262323), GIMT_Encode4(0),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 44*/ GIMT_Encode4(263099),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 45*/ GIMT_Encode4(263229), GIMT_Encode4(0),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 46*/ GIMT_Encode4(263722), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 47*/ GIMT_Encode4(268298), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 48*/ GIMT_Encode4(269004),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 49*/ GIMT_Encode4(269488),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 50*/ GIMT_Encode4(269972),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 51*/ GIMT_Encode4(270402),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 52*/ GIMT_Encode4(270832),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 53*/ GIMT_Encode4(271262), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 54*/ GIMT_Encode4(271692),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 55*/ GIMT_Encode4(273490),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 56*/ GIMT_Encode4(274228),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 57*/ GIMT_Encode4(278324), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 58*/ GIMT_Encode4(294597), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 59*/ GIMT_Encode4(295213),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 60*/ GIMT_Encode4(298720),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 61*/ GIMT_Encode4(298968),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 62*/ GIMT_Encode4(299156),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 63*/ GIMT_Encode4(300219),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 64*/ GIMT_Encode4(301282),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 65*/ GIMT_Encode4(305679),
     /*    606 */ /*TargetOpcode::G_FPTOSI_SAT*//*Label 66*/ GIMT_Encode4(309454),
     /*    610 */ /*TargetOpcode::G_FPTOUI_SAT*//*Label 67*/ GIMT_Encode4(309774),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 68*/ GIMT_Encode4(310094), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 69*/ GIMT_Encode4(310951),
     /*    630 */ /*TargetOpcode::G_FMINNUM*//*Label 70*/ GIMT_Encode4(311233),
     /*    634 */ /*TargetOpcode::G_FMAXNUM*//*Label 71*/ GIMT_Encode4(311611),
     /*    638 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 72*/ GIMT_Encode4(311989),
     /*    642 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 73*/ GIMT_Encode4(312339),
     /*    646 */ /*TargetOpcode::G_FMINIMUM*//*Label 74*/ GIMT_Encode4(312689),
     /*    650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 75*/ GIMT_Encode4(313392), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 76*/ GIMT_Encode4(314095),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 77*/ GIMT_Encode4(314499),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 78*/ GIMT_Encode4(314903),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 79*/ GIMT_Encode4(315307),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 80*/ GIMT_Encode4(315711),
     /*    706 */ /*TargetOpcode::G_LROUND*//*Label 81*/ GIMT_Encode4(316526),
     /*    710 */ /*TargetOpcode::G_LLROUND*//*Label 82*/ GIMT_Encode4(316692),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 83*/ GIMT_Encode4(316791), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 84*/ GIMT_Encode4(316807),
     /*    734 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 85*/ GIMT_Encode4(321819),
     /*    738 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 86*/ GIMT_Encode4(349216), GIMT_Encode4(0),
     /*    746 */ /*TargetOpcode::G_SPLAT_VECTOR*//*Label 87*/ GIMT_Encode4(352134), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 88*/ GIMT_Encode4(353840), GIMT_Encode4(0),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 89*/ GIMT_Encode4(353992), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 90*/ GIMT_Encode4(354666),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 91*/ GIMT_Encode4(354826),
     /*    782 */ /*TargetOpcode::G_BITREVERSE*//*Label 92*/ GIMT_Encode4(355140),
     /*    786 */ /*TargetOpcode::G_FCEIL*//*Label 93*/ GIMT_Encode4(355294), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(355785),
     /*    838 */ /*TargetOpcode::G_FFLOOR*//*Label 95*/ GIMT_Encode4(356085),
     /*    842 */ /*TargetOpcode::G_FRINT*//*Label 96*/ GIMT_Encode4(356576),
     /*    846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 97*/ GIMT_Encode4(357067), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 98*/ GIMT_Encode4(357558),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 99*/ GIMT_Encode4(358684),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 100*/ GIMT_Encode4(359300),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 101*/ GIMT_Encode4(363022), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 102*/ GIMT_Encode4(363638),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 103*/ GIMT_Encode4(379245), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 104*/ GIMT_Encode4(379545),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 105*/ GIMT_Encode4(379559),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 106*/ GIMT_Encode4(379580), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    954 */ /*TargetOpcode::G_VECREDUCE_FADD*//*Label 107*/ GIMT_Encode4(379605), GIMT_Encode4(0),
     /*    962 */ /*TargetOpcode::G_VECREDUCE_FMAX*//*Label 108*/ GIMT_Encode4(379915),
     /*    966 */ /*TargetOpcode::G_VECREDUCE_FMIN*//*Label 109*/ GIMT_Encode4(380086),
     /*    970 */ /*TargetOpcode::G_VECREDUCE_FMAXIMUM*//*Label 110*/ GIMT_Encode4(380257),
     /*    974 */ /*TargetOpcode::G_VECREDUCE_FMINIMUM*//*Label 111*/ GIMT_Encode4(380428),
     /*    978 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 112*/ GIMT_Encode4(380599), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    998 */ /*TargetOpcode::G_VECREDUCE_SMAX*//*Label 113*/ GIMT_Encode4(381728),
     /*   1002 */ /*TargetOpcode::G_VECREDUCE_SMIN*//*Label 114*/ GIMT_Encode4(381931),
     /*   1006 */ /*TargetOpcode::G_VECREDUCE_UMAX*//*Label 115*/ GIMT_Encode4(382134),
     /*   1010 */ /*TargetOpcode::G_VECREDUCE_UMIN*//*Label 116*/ GIMT_Encode4(382337), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   2994 */ /*AArch64::G_AARCH64_PREFETCH*//*Label 117*/ GIMT_Encode4(382540), GIMT_Encode4(0),
     /*   3002 */ /*AArch64::G_BSP*//*Label 118*/ GIMT_Encode4(382680),
     /*   3006 */ /*AArch64::G_DUP*//*Label 119*/ GIMT_Encode4(383220),
     /*   3010 */ /*AArch64::G_DUPLANE16*//*Label 120*/ GIMT_Encode4(385043),
     /*   3014 */ /*AArch64::G_DUPLANE32*//*Label 121*/ GIMT_Encode4(385298),
     /*   3018 */ /*AArch64::G_DUPLANE64*//*Label 122*/ GIMT_Encode4(385553),
     /*   3022 */ /*AArch64::G_DUPLANE8*//*Label 123*/ GIMT_Encode4(385699),
     /*   3026 */ /*AArch64::G_EXT*//*Label 124*/ GIMT_Encode4(385878),
     /*   3030 */ /*AArch64::G_FCMEQ*//*Label 125*/ GIMT_Encode4(387528),
     /*   3034 */ /*AArch64::G_FCMEQZ*//*Label 126*/ GIMT_Encode4(387867),
     /*   3038 */ /*AArch64::G_FCMGE*//*Label 127*/ GIMT_Encode4(388097),
     /*   3042 */ /*AArch64::G_FCMGEZ*//*Label 128*/ GIMT_Encode4(388761),
     /*   3046 */ /*AArch64::G_FCMGT*//*Label 129*/ GIMT_Encode4(388991),
     /*   3050 */ /*AArch64::G_FCMGTZ*//*Label 130*/ GIMT_Encode4(389655),
     /*   3054 */ /*AArch64::G_FCMLEZ*//*Label 131*/ GIMT_Encode4(389885),
     /*   3058 */ /*AArch64::G_FCMLTZ*//*Label 132*/ GIMT_Encode4(390115),
     /*   3062 */ /*AArch64::G_REV16*//*Label 133*/ GIMT_Encode4(390345),
     /*   3066 */ /*AArch64::G_REV32*//*Label 134*/ GIMT_Encode4(390499),
     /*   3070 */ /*AArch64::G_REV64*//*Label 135*/ GIMT_Encode4(390675),
     /*   3074 */ /*AArch64::G_SADDLP*//*Label 136*/ GIMT_Encode4(390949),
     /*   3078 */ /*AArch64::G_SADDLV*//*Label 137*/ GIMT_Encode4(391155),
     /*   3082 */ /*AArch64::G_SDOT*//*Label 138*/ GIMT_Encode4(391554),
     /*   3086 */ /*AArch64::G_SITOF*//*Label 139*/ GIMT_Encode4(391924),
     /*   3090 */ /*AArch64::G_SMULL*//*Label 140*/ GIMT_Encode4(392041),
     /*   3094 */ /*AArch64::G_TRN1*//*Label 141*/ GIMT_Encode4(393274),
     /*   3098 */ /*AArch64::G_TRN2*//*Label 142*/ GIMT_Encode4(394054),
     /*   3102 */ /*AArch64::G_UADDLP*//*Label 143*/ GIMT_Encode4(394834),
     /*   3106 */ /*AArch64::G_UADDLV*//*Label 144*/ GIMT_Encode4(395040),
     /*   3110 */ /*AArch64::G_UDOT*//*Label 145*/ GIMT_Encode4(395907),
     /*   3114 */ /*AArch64::G_UITOF*//*Label 146*/ GIMT_Encode4(396277),
     /*   3118 */ /*AArch64::G_UMULL*//*Label 147*/ GIMT_Encode4(396394),
     /*   3122 */ /*AArch64::G_UZP1*//*Label 148*/ GIMT_Encode4(397627),
     /*   3126 */ /*AArch64::G_UZP2*//*Label 149*/ GIMT_Encode4(398407),
     /*   3130 */ /*AArch64::G_VASHR*//*Label 150*/ GIMT_Encode4(399187),
     /*   3134 */ /*AArch64::G_VLSHR*//*Label 151*/ GIMT_Encode4(399885),
     /*   3138 */ /*AArch64::G_ZIP1*//*Label 152*/ GIMT_Encode4(400341),
     /*   3142 */ /*AArch64::G_ZIP2*//*Label 153*/ GIMT_Encode4(401121),
     /*   3146 */ // Label 0: @3146
     /*   3146 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 168*/ GIMT_Encode4(34648),
     /*   3157 */ /*GILLT_s32*//*Label 155*/ GIMT_Encode4(3245),
     /*   3161 */ /*GILLT_s64*//*Label 156*/ GIMT_Encode4(4768), GIMT_Encode4(0),
     /*   3169 */ /*GILLT_v2s32*//*Label 157*/ GIMT_Encode4(9860),
     /*   3173 */ /*GILLT_v2s64*//*Label 158*/ GIMT_Encode4(13468),
     /*   3177 */ /*GILLT_v4s16*//*Label 159*/ GIMT_Encode4(19370),
     /*   3181 */ /*GILLT_v4s32*//*Label 160*/ GIMT_Encode4(22868),
     /*   3185 */ /*GILLT_v8s8*//*Label 161*/ GIMT_Encode4(29046),
     /*   3189 */ /*GILLT_v8s16*//*Label 162*/ GIMT_Encode4(29896),
     /*   3193 */ /*GILLT_v16s8*//*Label 163*/ GIMT_Encode4(33474), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3213 */ /*GILLT_nxv2s64*//*Label 164*/ GIMT_Encode4(34198), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3225 */ /*GILLT_nxv4s32*//*Label 165*/ GIMT_Encode4(34570), GIMT_Encode4(0),
     /*   3233 */ /*GILLT_nxv8s16*//*Label 166*/ GIMT_Encode4(34596), GIMT_Encode4(0),
     /*   3241 */ /*GILLT_nxv16s8*//*Label 167*/ GIMT_Encode4(34622),
     /*   3245 */ // Label 155: @3245
     /*   3245 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(4767),
     /*   3250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   3253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   3256 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(3289), // Rule ID 12904 //
     /*   3261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   3276 */     // (add:{ *:[i32] } addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   3276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   3279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   3283 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   3287 */     GIR_RootConstrainSelectedInstOperands,
     /*   3288 */     // GIR_Coverage, 12904,
     /*   3288 */     GIR_EraseRootFromParent_Done,
     /*   3289 */   // Label 170: @3289
     /*   3289 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(3441), // Rule ID 13331 //
     /*   3294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3321 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3324 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   3329 */     // MIs[2] pattern
     /*   3329 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3332 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3343 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3343 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3346 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3350 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3357 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3360 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3364 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3369 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3372 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3376 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3379 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   3401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3406 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3413 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3423 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3430 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3435 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3440 */     // GIR_Coverage, 13331,
     /*   3440 */     GIR_EraseRootFromParent_Done,
     /*   3441 */   // Label 171: @3441
     /*   3441 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(3593), // Rule ID 15188 //
     /*   3446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3473 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3476 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   3481 */     // MIs[2] pattern
     /*   3481 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3484 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3495 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3495 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3498 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3502 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3509 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3512 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3516 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3521 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3524 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3528 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3531 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3536 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3541 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   3553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3558 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3565 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3575 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3592 */     // GIR_Coverage, 15188,
     /*   3592 */     GIR_EraseRootFromParent_Done,
     /*   3593 */   // Label 172: @3593
     /*   3593 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(3745), // Rule ID 15200 //
     /*   3598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3625 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3628 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   3633 */     // MIs[2] pattern
     /*   3633 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3636 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3647 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3647 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3650 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3654 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3661 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3664 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3668 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3673 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3676 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3680 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3683 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3688 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3693 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   3705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3710 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3717 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3727 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3744 */     // GIR_Coverage, 15200,
     /*   3744 */     GIR_EraseRootFromParent_Done,
     /*   3745 */   // Label 173: @3745
     /*   3745 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(3897), // Rule ID 15212 //
     /*   3750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3777 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3780 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   3785 */     // MIs[2] pattern
     /*   3785 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3788 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3799 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3799 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3802 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3806 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3813 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3816 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3820 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3825 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3828 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3832 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3835 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3840 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3845 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   3857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3862 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3869 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3879 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3886 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3891 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3896 */     // GIR_Coverage, 15212,
     /*   3896 */     GIR_EraseRootFromParent_Done,
     /*   3897 */   // Label 174: @3897
     /*   3897 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(3930), // Rule ID 91 //
     /*   3902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   3917 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   3917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   3920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   3924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   3928 */     GIR_RootConstrainSelectedInstOperands,
     /*   3929 */     // GIR_Coverage, 91,
     /*   3929 */     GIR_EraseRootFromParent_Done,
     /*   3930 */   // Label 175: @3930
     /*   3930 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(4082), // Rule ID 2642 //
     /*   3935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3966 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3969 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   3974 */     // MIs[2] pattern
     /*   3974 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3977 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3984 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3984 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3987 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3991 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3998 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4001 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4005 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4010 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4013 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4017 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4020 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4025 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4030 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   4042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4047 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4064 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4081 */     // GIR_Coverage, 2642,
     /*   4081 */     GIR_EraseRootFromParent_Done,
     /*   4082 */   // Label 176: @4082
     /*   4082 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4234), // Rule ID 9775 //
     /*   4087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4118 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4121 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   4126 */     // MIs[2] pattern
     /*   4126 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4129 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4136 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4136 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4139 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4143 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4150 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4153 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4157 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4162 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4165 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4169 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4182 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   4194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4199 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4206 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4216 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4233 */     // GIR_Coverage, 9775,
     /*   4233 */     GIR_EraseRootFromParent_Done,
     /*   4234 */   // Label 177: @4234
     /*   4234 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4386), // Rule ID 9787 //
     /*   4239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4270 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4273 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   4278 */     // MIs[2] pattern
     /*   4278 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4281 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4288 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4288 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4291 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4295 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4314 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4317 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4321 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4324 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4329 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4334 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   4346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4351 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4358 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4368 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4375 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4385 */     // GIR_Coverage, 9787,
     /*   4385 */     GIR_EraseRootFromParent_Done,
     /*   4386 */   // Label 178: @4386
     /*   4386 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(4538), // Rule ID 9799 //
     /*   4391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4422 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4425 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4430 */     // MIs[2] pattern
     /*   4430 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4433 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4440 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4440 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4443 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4447 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4454 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4457 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4461 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4466 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4469 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4473 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4476 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4481 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4486 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4503 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4510 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4520 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4527 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4537 */     // GIR_Coverage, 9799,
     /*   4537 */     GIR_EraseRootFromParent_Done,
     /*   4538 */   // Label 179: @4538
     /*   4538 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(4571), // Rule ID 12908 //
     /*   4543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   4558 */     // (add:{ *:[i32] } arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   4558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   4561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   4565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   4569 */     GIR_RootConstrainSelectedInstOperands,
     /*   4570 */     // GIR_Coverage, 12908,
     /*   4570 */     GIR_EraseRootFromParent_Done,
     /*   4571 */   // Label 180: @4571
     /*   4571 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(4607), // Rule ID 13471 //
     /*   4576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   4591 */     // (add:{ *:[i32] } neg_addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32:{ *:[i32] }:$Rn)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   4591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   4594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   4598 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   4602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   4605 */     GIR_RootConstrainSelectedInstOperands,
     /*   4606 */     // GIR_Coverage, 13471,
     /*   4606 */     GIR_EraseRootFromParent_Done,
     /*   4607 */   // Label 181: @4607
     /*   4607 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(4640), // Rule ID 97 //
     /*   4612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   4627 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   4627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   4630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4632 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4634 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   4638 */     GIR_RootConstrainSelectedInstOperands,
     /*   4639 */     // GIR_Coverage, 97,
     /*   4639 */     GIR_EraseRootFromParent_Done,
     /*   4640 */   // Label 182: @4640
     /*   4640 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(4676), // Rule ID 3863 //
     /*   4645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   4660 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   4660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   4663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4665 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4667 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   4671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   4674 */     GIR_RootConstrainSelectedInstOperands,
     /*   4675 */     // GIR_Coverage, 3863,
     /*   4675 */     GIR_EraseRootFromParent_Done,
     /*   4676 */   // Label 183: @4676
     /*   4676 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(4709), // Rule ID 12906 //
     /*   4681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   4696 */     // (add:{ *:[i32] } arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   4696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   4699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   4703 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   4707 */     GIR_RootConstrainSelectedInstOperands,
     /*   4708 */     // GIR_Coverage, 12906,
     /*   4708 */     GIR_EraseRootFromParent_Done,
     /*   4709 */   // Label 184: @4709
     /*   4709 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(4742), // Rule ID 95 //
     /*   4714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   4729 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   4729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   4732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4734 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4736 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   4740 */     GIR_RootConstrainSelectedInstOperands,
     /*   4741 */     // GIR_Coverage, 95,
     /*   4741 */     GIR_EraseRootFromParent_Done,
     /*   4742 */   // Label 185: @4742
     /*   4742 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(4766), // Rule ID 93 //
     /*   4747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4759 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ADDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*   4759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDWrr),
     /*   4764 */     GIR_RootConstrainSelectedInstOperands,
     /*   4765 */     // GIR_Coverage, 93,
     /*   4765 */     GIR_Done,
     /*   4766 */   // Label 186: @4766
     /*   4766 */   GIM_Reject,
     /*   4767 */ // Label 169: @4767
     /*   4767 */ GIM_Reject,
     /*   4768 */ // Label 156: @4768
     /*   4768 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(9859),
     /*   4773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   4776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   4779 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(4915), // Rule ID 5313 //
     /*   4784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   4796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   4800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   4808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   4812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4817 */     // MIs[1] Operand 2
     /*   4817 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   4828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   4832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   4836 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   4840 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   4844 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   4848 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   4852 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4857 */     // MIs[3] Operand 2
     /*   4857 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   4868 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   4870 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   4870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   4873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   4877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   4886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   4890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4897 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   4904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4909 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   4914 */     // GIR_Coverage, 5313,
     /*   4914 */     GIR_EraseRootFromParent_Done,
     /*   4915 */   // Label 188: @4915
     /*   4915 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(5051), // Rule ID 5312 //
     /*   4920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   4932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   4936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   4944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   4948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4953 */     // MIs[1] Operand 2
     /*   4953 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   4964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   4968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   4972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   4976 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   4980 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   4984 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   4988 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   4993 */     // MIs[3] Operand 2
     /*   4993 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   5004 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   5006 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   5006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   5009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   5013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   5026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5033 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   5040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5050 */     // GIR_Coverage, 5312,
     /*   5050 */     GIR_EraseRootFromParent_Done,
     /*   5051 */   // Label 189: @5051
     /*   5051 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(5187), // Rule ID 5322 //
     /*   5056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   5080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5089 */     // MIs[1] Operand 2
     /*   5089 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   5100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   5104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5108 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5112 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   5116 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   5120 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5124 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5129 */     // MIs[3] Operand 2
     /*   5129 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   5140 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   5142 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   5142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   5145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*   5149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   5162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5169 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   5176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5186 */     // GIR_Coverage, 5322,
     /*   5186 */     GIR_EraseRootFromParent_Done,
     /*   5187 */   // Label 190: @5187
     /*   5187 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(5323), // Rule ID 5311 //
     /*   5192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   5216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5225 */     // MIs[1] Operand 2
     /*   5225 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   5236 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   5240 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5244 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5248 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   5252 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   5256 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5260 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5265 */     // MIs[3] Operand 2
     /*   5265 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   5276 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   5278 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   5278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   5281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   5285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   5298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5305 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   5312 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5317 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5322 */     // GIR_Coverage, 5311,
     /*   5322 */     GIR_EraseRootFromParent_Done,
     /*   5323 */   // Label 191: @5323
     /*   5323 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(5459), // Rule ID 5310 //
     /*   5328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   5352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5361 */     // MIs[1] Operand 2
     /*   5361 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   5372 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   5376 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   5380 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5384 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   5388 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   5392 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   5396 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5401 */     // MIs[3] Operand 2
     /*   5401 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   5412 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   5414 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   5414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   5417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   5421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   5434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5441 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   5448 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5453 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5458 */     // GIR_Coverage, 5310,
     /*   5458 */     GIR_EraseRootFromParent_Done,
     /*   5459 */   // Label 192: @5459
     /*   5459 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(5527), // Rule ID 6807 //
     /*   5464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   5476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   5484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5489 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*   5493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   5497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   5501 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   5505 */     // MIs[2] Rn
     /*   5505 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   5510 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*   5514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5516 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   5516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   5519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5525 */     GIR_RootConstrainSelectedInstOperands,
     /*   5526 */     // GIR_Coverage, 6807,
     /*   5526 */     GIR_EraseRootFromParent_Done,
     /*   5527 */   // Label 193: @5527
     /*   5527 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(5595), // Rule ID 13632 //
     /*   5532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   5536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   5544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   5548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   5552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   5557 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   5561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   5565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   5569 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   5573 */     // MIs[2] Rn
     /*   5573 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   5578 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /*   5582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5584 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   5584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   5587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   5593 */     GIR_RootConstrainSelectedInstOperands,
     /*   5594 */     // GIR_Coverage, 13632,
     /*   5594 */     GIR_EraseRootFromParent_Done,
     /*   5595 */   // Label 194: @5595
     /*   5595 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(5628), // Rule ID 12905 //
     /*   5600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   5604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   5608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   5615 */     // (add:{ *:[i64] } addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   5615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   5618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   5622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   5626 */     GIR_RootConstrainSelectedInstOperands,
     /*   5627 */     // GIR_Coverage, 12905,
     /*   5627 */     GIR_EraseRootFromParent_Done,
     /*   5628 */   // Label 195: @5628
     /*   5628 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(5761), // Rule ID 3915 //
     /*   5633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   5653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   5661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   5665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5670 */     // MIs[2] Operand 2
     /*   5670 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   5681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   5685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   5689 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   5693 */     // MIs[3] Operand 1
     /*   5693 */     // No operand predicates
     /*   5693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   5699 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   5699 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   5702 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   5706 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5711 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   5716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   5718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   5721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5730 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   5736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   5749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   5754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   5757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5759 */     GIR_RootConstrainSelectedInstOperands,
     /*   5760 */     // GIR_Coverage, 3915,
     /*   5760 */     GIR_EraseRootFromParent_Done,
     /*   5761 */   // Label 196: @5761
     /*   5761 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(5856), // Rule ID 3913 //
     /*   5766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   5786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   5794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   5798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   5807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   5811 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   5815 */     // MIs[3] Operand 1
     /*   5815 */     // No operand predicates
     /*   5815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   5821 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   5821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   5824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   5828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5833 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   5838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   5843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   5852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5854 */     GIR_RootConstrainSelectedInstOperands,
     /*   5855 */     // GIR_Coverage, 3913,
     /*   5855 */     GIR_EraseRootFromParent_Done,
     /*   5856 */   // Label 197: @5856
     /*   5856 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(5951), // Rule ID 3914 //
     /*   5861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   5881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   5889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   5893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   5902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   5906 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   5910 */     // MIs[3] Operand 1
     /*   5910 */     // No operand predicates
     /*   5910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5914 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   5916 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   5916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   5919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   5923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5928 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   5933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   5938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   5944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   5947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   5949 */     GIR_RootConstrainSelectedInstOperands,
     /*   5950 */     // GIR_Coverage, 3914,
     /*   5950 */     GIR_EraseRootFromParent_Done,
     /*   5951 */   // Label 198: @5951
     /*   5951 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(5984), // Rule ID 92 //
     /*   5956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   5960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   5964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   5971 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   5971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   5974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   5976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   5978 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   5982 */     GIR_RootConstrainSelectedInstOperands,
     /*   5983 */     // GIR_Coverage, 92,
     /*   5983 */     GIR_EraseRootFromParent_Done,
     /*   5984 */   // Label 199: @5984
     /*   5984 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(6117), // Rule ID 13481 //
     /*   5989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   6021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   6025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6030 */     // MIs[2] Operand 2
     /*   6030 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   6041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   6049 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   6053 */     // MIs[3] Operand 1
     /*   6053 */     // No operand predicates
     /*   6053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6055 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   6055 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   6058 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   6062 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6067 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   6072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   6074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   6077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6086 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   6092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6097 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   6105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   6110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   6113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6115 */     GIR_RootConstrainSelectedInstOperands,
     /*   6116 */     // GIR_Coverage, 13481,
     /*   6116 */     GIR_EraseRootFromParent_Done,
     /*   6117 */   // Label 200: @6117
     /*   6117 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(6212), // Rule ID 13479 //
     /*   6122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   6171 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   6175 */     // MIs[3] Operand 1
     /*   6175 */     // No operand predicates
     /*   6175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6177 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   6177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   6180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   6184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6189 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   6194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   6199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   6208 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6210 */     GIR_RootConstrainSelectedInstOperands,
     /*   6211 */     // GIR_Coverage, 13479,
     /*   6211 */     GIR_EraseRootFromParent_Done,
     /*   6212 */   // Label 201: @6212
     /*   6212 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(6307), // Rule ID 13480 //
     /*   6217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6258 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6262 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   6266 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   6270 */     // MIs[3] Operand 1
     /*   6270 */     // No operand predicates
     /*   6270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6272 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   6272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   6275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   6279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6284 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   6289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   6294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   6303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6305 */     GIR_RootConstrainSelectedInstOperands,
     /*   6306 */     // GIR_Coverage, 13480,
     /*   6306 */     GIR_EraseRootFromParent_Done,
     /*   6307 */   // Label 202: @6307
     /*   6307 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(6389), // Rule ID 12916 //
     /*   6312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   6361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6372 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   6372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   6375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   6385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   6387 */     GIR_RootConstrainSelectedInstOperands,
     /*   6388 */     // GIR_Coverage, 12916,
     /*   6388 */     GIR_EraseRootFromParent_Done,
     /*   6389 */   // Label 203: @6389
     /*   6389 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(6471), // Rule ID 12917 //
     /*   6394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6410 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   6443 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6452 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6454 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   6454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   6457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   6467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   6469 */     GIR_RootConstrainSelectedInstOperands,
     /*   6470 */     // GIR_Coverage, 12917,
     /*   6470 */     GIR_EraseRootFromParent_Done,
     /*   6471 */   // Label 204: @6471
     /*   6471 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(6553), // Rule ID 123 //
     /*   6476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6525 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   6529 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6536 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   6536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   6539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   6549 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6551 */     GIR_RootConstrainSelectedInstOperands,
     /*   6552 */     // GIR_Coverage, 123,
     /*   6552 */     GIR_EraseRootFromParent_Done,
     /*   6553 */   // Label 205: @6553
     /*   6553 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(6635), // Rule ID 125 //
     /*   6558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   6574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   6578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   6594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   6603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6607 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   6611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   6618 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   6618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   6621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   6631 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   6633 */     GIR_RootConstrainSelectedInstOperands,
     /*   6634 */     // GIR_Coverage, 125,
     /*   6634 */     GIR_EraseRootFromParent_Done,
     /*   6635 */   // Label 206: @6635
     /*   6635 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(6693), // Rule ID 13326 //
     /*   6640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6655 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6658 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   6663 */     // MIs[1] pattern
     /*   6663 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6666 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6677 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   6680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   6684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6691 */     GIR_RootConstrainSelectedInstOperands,
     /*   6692 */     // GIR_Coverage, 13326,
     /*   6692 */     GIR_EraseRootFromParent_Done,
     /*   6693 */   // Label 207: @6693
     /*   6693 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(6751), // Rule ID 15183 //
     /*   6698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6713 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6716 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   6721 */     // MIs[1] pattern
     /*   6721 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6724 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6735 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   6738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   6742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6749 */     GIR_RootConstrainSelectedInstOperands,
     /*   6750 */     // GIR_Coverage, 15183,
     /*   6750 */     GIR_EraseRootFromParent_Done,
     /*   6751 */   // Label 208: @6751
     /*   6751 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(6809), // Rule ID 15195 //
     /*   6756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6771 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6774 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   6779 */     // MIs[1] pattern
     /*   6779 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6782 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6793 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   6796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   6800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6807 */     GIR_RootConstrainSelectedInstOperands,
     /*   6808 */     // GIR_Coverage, 15195,
     /*   6808 */     GIR_EraseRootFromParent_Done,
     /*   6809 */   // Label 209: @6809
     /*   6809 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(6867), // Rule ID 15207 //
     /*   6814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6829 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6832 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   6837 */     // MIs[1] pattern
     /*   6837 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6840 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6851 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   6854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   6858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6865 */     GIR_RootConstrainSelectedInstOperands,
     /*   6866 */     // GIR_Coverage, 15207,
     /*   6866 */     GIR_EraseRootFromParent_Done,
     /*   6867 */   // Label 210: @6867
     /*   6867 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(6925), // Rule ID 2639 //
     /*   6872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6891 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6894 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   6899 */     // MIs[1] pattern
     /*   6899 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6902 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6909 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   6912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   6916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6923 */     GIR_RootConstrainSelectedInstOperands,
     /*   6924 */     // GIR_Coverage, 2639,
     /*   6924 */     GIR_EraseRootFromParent_Done,
     /*   6925 */   // Label 211: @6925
     /*   6925 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(6983), // Rule ID 9772 //
     /*   6930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   6949 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   6952 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   6957 */     // MIs[1] pattern
     /*   6957 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   6960 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   6965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6967 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   6967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   6970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   6972 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   6974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   6978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   6981 */     GIR_RootConstrainSelectedInstOperands,
     /*   6982 */     // GIR_Coverage, 9772,
     /*   6982 */     GIR_EraseRootFromParent_Done,
     /*   6983 */   // Label 212: @6983
     /*   6983 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(7041), // Rule ID 9784 //
     /*   6988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   6991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   7007 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   7010 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   7015 */     // MIs[1] pattern
     /*   7015 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   7018 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   7023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7025 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   7025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   7028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   7030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   7032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   7036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   7039 */     GIR_RootConstrainSelectedInstOperands,
     /*   7040 */     // GIR_Coverage, 9784,
     /*   7040 */     GIR_EraseRootFromParent_Done,
     /*   7041 */   // Label 213: @7041
     /*   7041 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(7099), // Rule ID 9796 //
     /*   7046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   7049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   7065 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   7068 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   7073 */     // MIs[1] pattern
     /*   7073 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   7076 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   7081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7083 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   7083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   7086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   7088 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   7090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   7094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   7097 */     GIR_RootConstrainSelectedInstOperands,
     /*   7098 */     // GIR_Coverage, 9796,
     /*   7098 */     GIR_EraseRootFromParent_Done,
     /*   7099 */   // Label 214: @7099
     /*   7099 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(7262), // Rule ID 13598 //
     /*   7104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   7128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7132 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   7136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7146 */     // MIs[1] Operand 2
     /*   7146 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7163 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7163 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7166 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7170 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7177 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7180 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7184 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7189 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7192 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   7196 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7199 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7204 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7209 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   7221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7226 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   7229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   7237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7244 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   7251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7256 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7261 */     // GIR_Coverage, 13598,
     /*   7261 */     GIR_EraseRootFromParent_Done,
     /*   7262 */   // Label 215: @7262
     /*   7262 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(7425), // Rule ID 13595 //
     /*   7267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   7291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7295 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   7299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7309 */     // MIs[1] Operand 2
     /*   7309 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7326 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7326 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7329 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7333 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7340 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7343 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7347 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7352 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7355 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   7359 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7362 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7367 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7372 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   7384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7389 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   7392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   7400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7407 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   7414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7424 */     // GIR_Coverage, 13595,
     /*   7424 */     GIR_EraseRootFromParent_Done,
     /*   7425 */   // Label 216: @7425
     /*   7425 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(7575), // Rule ID 13604 //
     /*   7430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   7454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7463 */     // MIs[1] Operand 2
     /*   7463 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7480 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7480 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7483 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7487 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7494 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7497 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7501 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7506 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7509 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   7513 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7516 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7521 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7526 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   7538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7543 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   7546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   7550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7557 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   7564 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7569 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7574 */     // GIR_Coverage, 13604,
     /*   7574 */     GIR_EraseRootFromParent_Done,
     /*   7575 */   // Label 217: @7575
     /*   7575 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(7725), // Rule ID 13607 //
     /*   7580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7613 */     // MIs[1] Operand 2
     /*   7613 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7630 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7630 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7633 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7637 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7644 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7647 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7651 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7656 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7659 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   7663 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7666 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7671 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7676 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   7688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7693 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   7696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   7700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7707 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   7714 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7724 */     // GIR_Coverage, 13607,
     /*   7724 */     GIR_EraseRootFromParent_Done,
     /*   7725 */   // Label 218: @7725
     /*   7725 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(7875), // Rule ID 13603 //
     /*   7730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7763 */     // MIs[1] Operand 2
     /*   7763 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7780 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7780 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7783 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7787 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7794 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7797 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7801 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7806 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7809 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   7813 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7816 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7821 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   7838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7843 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   7846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   7850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7857 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   7864 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7869 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7874 */     // GIR_Coverage, 13603,
     /*   7874 */     GIR_EraseRootFromParent_Done,
     /*   7875 */   // Label 219: @7875
     /*   7875 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(8038), // Rule ID 5295 //
     /*   7880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   7896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   7908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   7912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   7916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7926 */     // MIs[1] Operand 2
     /*   7926 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   7937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7939 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   7939 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   7942 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   7946 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   7953 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   7956 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   7960 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7965 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   7968 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   7972 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   7975 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7980 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7985 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   7993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   7997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8002 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8020 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8032 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8037 */     // GIR_Coverage, 5295,
     /*   8037 */     GIR_EraseRootFromParent_Done,
     /*   8038 */   // Label 220: @8038
     /*   8038 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(8201), // Rule ID 5292 //
     /*   8043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   8071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8089 */     // MIs[1] Operand 2
     /*   8089 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8102 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8102 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8105 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8109 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8116 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8119 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8123 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8128 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8131 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   8135 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8138 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8143 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8148 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   8160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8165 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8183 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8195 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8200 */     // GIR_Coverage, 5292,
     /*   8200 */     GIR_EraseRootFromParent_Done,
     /*   8201 */   // Label 221: @8201
     /*   8201 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(8351), // Rule ID 5319 //
     /*   8206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8243 */     // MIs[1] Operand 2
     /*   8243 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8256 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8256 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8259 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8263 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8270 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8273 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8277 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8282 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8285 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   8289 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8292 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8297 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8302 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   8314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8319 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   8326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8333 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8350 */     // GIR_Coverage, 5319,
     /*   8350 */     GIR_EraseRootFromParent_Done,
     /*   8351 */   // Label 222: @8351
     /*   8351 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(8501), // Rule ID 5325 //
     /*   8356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8393 */     // MIs[1] Operand 2
     /*   8393 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8406 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8406 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8409 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8413 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8420 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8423 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8427 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8432 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8435 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   8439 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8442 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8447 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8452 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   8464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8469 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   8476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8483 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8490 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8495 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8500 */     // GIR_Coverage, 5325,
     /*   8500 */     GIR_EraseRootFromParent_Done,
     /*   8501 */   // Label 223: @8501
     /*   8501 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(8651), // Rule ID 5318 //
     /*   8506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8543 */     // MIs[1] Operand 2
     /*   8543 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8556 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8556 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8559 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8563 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8570 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8573 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8577 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8582 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8585 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   8589 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8592 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8597 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8602 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   8614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8619 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   8626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8633 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8650 */     // GIR_Coverage, 5318,
     /*   8650 */     GIR_EraseRootFromParent_Done,
     /*   8651 */   // Label 224: @8651
     /*   8651 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(8684), // Rule ID 12909 //
     /*   8656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   8660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   8664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*   8671 */     // (add:{ *:[i64] } arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*   8671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*   8674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   8678 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   8682 */     GIR_RootConstrainSelectedInstOperands,
     /*   8683 */     // GIR_Coverage, 12909,
     /*   8683 */     GIR_EraseRootFromParent_Done,
     /*   8684 */   // Label 225: @8684
     /*   8684 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(8720), // Rule ID 13472 //
     /*   8689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*   8704 */     // (add:{ *:[i64] } neg_addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64:{ *:[i64] }:$Rn)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   8704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*   8707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   8711 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   8715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   8718 */     GIR_RootConstrainSelectedInstOperands,
     /*   8719 */     // GIR_Coverage, 13472,
     /*   8719 */     GIR_EraseRootFromParent_Done,
     /*   8720 */   // Label 226: @8720
     /*   8720 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(8753), // Rule ID 98 //
     /*   8725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   8729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   8733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*   8740 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*   8740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*   8743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   8747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   8751 */     GIR_RootConstrainSelectedInstOperands,
     /*   8752 */     // GIR_Coverage, 98,
     /*   8752 */     GIR_EraseRootFromParent_Done,
     /*   8753 */   // Label 227: @8753
     /*   8753 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(8789), // Rule ID 3864 //
     /*   8758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*   8773 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   8773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*   8776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8778 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   8780 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   8784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   8787 */     GIR_RootConstrainSelectedInstOperands,
     /*   8788 */     // GIR_Coverage, 3864,
     /*   8788 */     GIR_EraseRootFromParent_Done,
     /*   8789 */   // Label 228: @8789
     /*   8789 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(8822), // Rule ID 12907 //
     /*   8794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*   8809 */     // (add:{ *:[i64] } arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*   8809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*   8812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   8816 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   8820 */     GIR_RootConstrainSelectedInstOperands,
     /*   8821 */     // GIR_Coverage, 12907,
     /*   8821 */     GIR_EraseRootFromParent_Done,
     /*   8822 */   // Label 229: @8822
     /*   8822 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(8855), // Rule ID 96 //
     /*   8827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*   8842 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*   8842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*   8845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8847 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   8849 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   8853 */     GIR_RootConstrainSelectedInstOperands,
     /*   8854 */     // GIR_Coverage, 96,
     /*   8854 */     GIR_EraseRootFromParent_Done,
     /*   8855 */   // Label 230: @8855
     /*   8855 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(8911), // Rule ID 13015 //
     /*   8860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8875 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8878 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*   8883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8898 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   8898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*   8901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   8905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   8909 */     GIR_RootConstrainSelectedInstOperands,
     /*   8910 */     // GIR_Coverage, 13015,
     /*   8910 */     GIR_EraseRootFromParent_Done,
     /*   8911 */   // Label 231: @8911
     /*   8911 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(8967), // Rule ID 13027 //
     /*   8916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8931 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8934 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*   8939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8954 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   8954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*   8957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8959 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   8961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   8965 */     GIR_RootConstrainSelectedInstOperands,
     /*   8966 */     // GIR_Coverage, 13027,
     /*   8966 */     GIR_EraseRootFromParent_Done,
     /*   8967 */   // Label 232: @8967
     /*   8967 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(9034), // Rule ID 13233 //
     /*   8972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   8975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*   8987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8996 */     // MIs[1] imm
     /*   8996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9004 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9008 */     // MIs[2] Operand 1
     /*   9008 */     // No operand predicates
     /*   9008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9018 */     // (add:{ *:[i64] } (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   9018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*   9021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9032 */     GIR_RootConstrainSelectedInstOperands,
     /*   9033 */     // GIR_Coverage, 13233,
     /*   9033 */     GIR_EraseRootFromParent_Done,
     /*   9034 */   // Label 233: @9034
     /*   9034 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(9101), // Rule ID 13621 //
     /*   9039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*   9054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9063 */     // MIs[1] imm
     /*   9063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9071 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9075 */     // MIs[2] Operand 1
     /*   9075 */     // No operand predicates
     /*   9075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9079 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9085 */     // (add:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*   9085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*   9088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9099 */     GIR_RootConstrainSelectedInstOperands,
     /*   9100 */     // GIR_Coverage, 13621,
     /*   9100 */     GIR_EraseRootFromParent_Done,
     /*   9101 */   // Label 234: @9101
     /*   9101 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(9168), // Rule ID 13236 //
     /*   9106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*   9121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9130 */     // MIs[1] imm
     /*   9130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9138 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9142 */     // MIs[2] Operand 1
     /*   9142 */     // No operand predicates
     /*   9142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9152 */     // (add:{ *:[i64] } (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   9152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*   9155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9166 */     GIR_RootConstrainSelectedInstOperands,
     /*   9167 */     // GIR_Coverage, 13236,
     /*   9167 */     GIR_EraseRootFromParent_Done,
     /*   9168 */   // Label 235: @9168
     /*   9168 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(9235), // Rule ID 13624 //
     /*   9173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*   9188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9197 */     // MIs[1] imm
     /*   9197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9205 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9209 */     // MIs[2] Operand 1
     /*   9209 */     // No operand predicates
     /*   9209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9213 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9219 */     // (add:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*   9219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*   9222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9233 */     GIR_RootConstrainSelectedInstOperands,
     /*   9234 */     // GIR_Coverage, 13624,
     /*   9234 */     GIR_EraseRootFromParent_Done,
     /*   9235 */   // Label 236: @9235
     /*   9235 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(9291), // Rule ID 990 //
     /*   9240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   9259 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   9262 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*   9267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9278 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*   9281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   9289 */     GIR_RootConstrainSelectedInstOperands,
     /*   9290 */     // GIR_Coverage, 990,
     /*   9290 */     GIR_EraseRootFromParent_Done,
     /*   9291 */   // Label 237: @9291
     /*   9291 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(9347), // Rule ID 1051 //
     /*   9296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   9315 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   9318 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*   9323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9334 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*   9337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*   9345 */     GIR_RootConstrainSelectedInstOperands,
     /*   9346 */     // GIR_Coverage, 1051,
     /*   9346 */     GIR_EraseRootFromParent_Done,
     /*   9347 */   // Label 238: @9347
     /*   9347 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(9414), // Rule ID 2112 //
     /*   9352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*   9371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9380 */     // MIs[1] imm
     /*   9380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9388 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9392 */     // MIs[2] Operand 1
     /*   9392 */     // No operand predicates
     /*   9392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9398 */     // (add:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   9398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*   9401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9412 */     GIR_RootConstrainSelectedInstOperands,
     /*   9413 */     // GIR_Coverage, 2112,
     /*   9413 */     GIR_EraseRootFromParent_Done,
     /*   9414 */   // Label 239: @9414
     /*   9414 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(9481), // Rule ID 6185 //
     /*   9419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*   9438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9447 */     // MIs[1] imm
     /*   9447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9455 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9459 */     // MIs[2] Operand 1
     /*   9459 */     // No operand predicates
     /*   9459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9465 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*   9465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*   9468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9479 */     GIR_RootConstrainSelectedInstOperands,
     /*   9480 */     // GIR_Coverage, 6185,
     /*   9480 */     GIR_EraseRootFromParent_Done,
     /*   9481 */   // Label 240: @9481
     /*   9481 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(9548), // Rule ID 2121 //
     /*   9486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*   9505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9514 */     // MIs[1] imm
     /*   9514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9522 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9526 */     // MIs[2] Operand 1
     /*   9526 */     // No operand predicates
     /*   9526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9532 */     // (add:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*   9532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*   9535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9537 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9546 */     GIR_RootConstrainSelectedInstOperands,
     /*   9547 */     // GIR_Coverage, 2121,
     /*   9547 */     GIR_EraseRootFromParent_Done,
     /*   9548 */   // Label 241: @9548
     /*   9548 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(9615), // Rule ID 6191 //
     /*   9553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*   9572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   9576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9581 */     // MIs[1] imm
     /*   9581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   9585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   9589 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*   9593 */     // MIs[2] Operand 1
     /*   9593 */     // No operand predicates
     /*   9593 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*   9597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9599 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*   9599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*   9602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*   9613 */     GIR_RootConstrainSelectedInstOperands,
     /*   9614 */     // GIR_Coverage, 6191,
     /*   9614 */     GIR_EraseRootFromParent_Done,
     /*   9615 */   // Label 242: @9615
     /*   9615 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(9663), // Rule ID 13014 //
     /*   9620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*   9635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9650 */     // (add:{ *:[v1i64] } (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*   9653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9661 */     GIR_RootConstrainSelectedInstOperands,
     /*   9662 */     // GIR_Coverage, 13014,
     /*   9662 */     GIR_EraseRootFromParent_Done,
     /*   9663 */   // Label 243: @9663
     /*   9663 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(9711), // Rule ID 13026 //
     /*   9668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*   9683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9698 */     // (add:{ *:[v1i64] } (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*   9701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*   9705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9709 */     GIR_RootConstrainSelectedInstOperands,
     /*   9710 */     // GIR_Coverage, 13026,
     /*   9710 */     GIR_EraseRootFromParent_Done,
     /*   9711 */   // Label 244: @9711
     /*   9711 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(9759), // Rule ID 989 //
     /*   9716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*   9735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9746 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*   9749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9751 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9757 */     GIR_RootConstrainSelectedInstOperands,
     /*   9758 */     // GIR_Coverage, 989,
     /*   9758 */     GIR_EraseRootFromParent_Done,
     /*   9759 */   // Label 245: @9759
     /*   9759 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(9807), // Rule ID 1050 //
     /*   9764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*   9783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9794 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*   9794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*   9797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9799 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*   9801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   9805 */     GIR_RootConstrainSelectedInstOperands,
     /*   9806 */     // GIR_Coverage, 1050,
     /*   9806 */     GIR_EraseRootFromParent_Done,
     /*   9807 */   // Label 246: @9807
     /*   9807 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(9831), // Rule ID 94 //
     /*   9812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   9816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   9820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   9824 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ADDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*   9824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDXrr),
     /*   9829 */     GIR_RootConstrainSelectedInstOperands,
     /*   9830 */     // GIR_Coverage, 94,
     /*   9830 */     GIR_Done,
     /*   9831 */   // Label 247: @9831
     /*   9831 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(9858), // Rule ID 1600 //
     /*   9836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*   9839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9851 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (ADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*   9851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv1i64),
     /*   9856 */     GIR_RootConstrainSelectedInstOperands,
     /*   9857 */     // GIR_Coverage, 1600,
     /*   9857 */     GIR_Done,
     /*   9858 */   // Label 248: @9858
     /*   9858 */   GIM_Reject,
     /*   9859 */ // Label 187: @9859
     /*   9859 */ GIM_Reject,
     /*   9860 */ // Label 157: @9860
     /*   9860 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(13467),
     /*   9865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9871 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(10059), // Rule ID 6828 //
     /*   9876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*   9888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   9908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9913 */     // MIs[2] Operand 2
     /*   9913 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*   9924 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   9928 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9932 */     // MIs[3] Rn
     /*   9932 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*   9937 */     // MIs[3] Operand 2
     /*   9937 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*   9948 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   9952 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP2),
     /*   9956 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9960 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9964 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   9968 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9972 */     // MIs[5] Rn
     /*   9972 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*   9977 */     // MIs[5] Operand 2
     /*   9977 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*   9988 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*   9992 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9996 */     // MIs[6] Rn
     /*   9996 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  10001 */     // MIs[6] Operand 2
     /*  10001 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  10012 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  10014 */     // (add:{ *:[v2i32] } (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  10014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  10017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  10021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10041 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10048 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10058 */     // GIR_Coverage, 6828,
     /*  10058 */     GIR_EraseRootFromParent_Done,
     /*  10059 */   // Label 250: @10059
     /*  10059 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(10247), // Rule ID 13643 //
     /*  10064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  10076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  10080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10101 */     // MIs[2] Operand 2
     /*  10101 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  10112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  10116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10120 */     // MIs[3] Rn
     /*  10120 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  10125 */     // MIs[3] Operand 2
     /*  10125 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  10136 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  10140 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP1),
     /*  10144 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  10148 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10152 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  10156 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10160 */     // MIs[5] Rn
     /*  10160 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  10165 */     // MIs[5] Operand 2
     /*  10165 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  10176 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  10180 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10184 */     // MIs[6] Rn
     /*  10184 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  10189 */     // MIs[6] Operand 2
     /*  10189 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  10200 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  10202 */     // (add:{ *:[v2i32] } (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  10202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  10205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  10209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10229 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10236 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10241 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10246 */     // GIR_Coverage, 13643,
     /*  10246 */     GIR_EraseRootFromParent_Done,
     /*  10247 */   // Label 251: @10247
     /*  10247 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(10383), // Rule ID 5309 //
     /*  10252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  10276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10285 */     // MIs[1] Operand 2
     /*  10285 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10296 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  10300 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10304 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10308 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  10312 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  10316 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10320 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10325 */     // MIs[3] Operand 2
     /*  10325 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  10336 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  10338 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  10345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  10358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10365 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10372 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10377 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10382 */     // GIR_Coverage, 5309,
     /*  10382 */     GIR_EraseRootFromParent_Done,
     /*  10383 */   // Label 252: @10383
     /*  10383 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(10519), // Rule ID 5308 //
     /*  10388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  10412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10421 */     // MIs[1] Operand 2
     /*  10421 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  10436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10440 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10444 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  10448 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10452 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10456 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10461 */     // MIs[3] Operand 2
     /*  10461 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  10472 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  10474 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  10481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  10494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10501 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10508 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10513 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10518 */     // GIR_Coverage, 5308,
     /*  10518 */     GIR_EraseRootFromParent_Done,
     /*  10519 */   // Label 253: @10519
     /*  10519 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(10655), // Rule ID 5321 //
     /*  10524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  10548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10557 */     // MIs[1] Operand 2
     /*  10557 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  10572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10576 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10580 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  10584 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  10588 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10592 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10597 */     // MIs[3] Operand 2
     /*  10597 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  10608 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  10610 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  10617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10626 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  10630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10637 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10644 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10654 */     // GIR_Coverage, 5321,
     /*  10654 */     GIR_EraseRootFromParent_Done,
     /*  10655 */   // Label 254: @10655
     /*  10655 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(10791), // Rule ID 5307 //
     /*  10660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10693 */     // MIs[1] Operand 2
     /*  10693 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  10708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10716 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  10720 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  10724 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10728 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10733 */     // MIs[3] Operand 2
     /*  10733 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  10744 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  10746 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  10753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  10766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10773 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10785 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10790 */     // GIR_Coverage, 5307,
     /*  10790 */     GIR_EraseRootFromParent_Done,
     /*  10791 */   // Label 255: @10791
     /*  10791 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(10927), // Rule ID 5306 //
     /*  10796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10829 */     // MIs[1] Operand 2
     /*  10829 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  10844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10852 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  10856 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10860 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10864 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10869 */     // MIs[3] Operand 2
     /*  10869 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  10880 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  10882 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  10885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  10889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  10898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  10902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10909 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10916 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10921 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10926 */     // GIR_Coverage, 5306,
     /*  10926 */     GIR_EraseRootFromParent_Done,
     /*  10927 */   // Label 256: @10927
     /*  10927 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(11090), // Rule ID 13597 //
     /*  10932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  10948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  10956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  10960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  10964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10974 */     // MIs[1] Operand 2
     /*  10974 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10991 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  10991 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  10994 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10998 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11005 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11008 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11012 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11017 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11020 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  11024 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11027 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11032 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11037 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  11049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11054 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  11065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11072 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11079 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11084 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11089 */     // GIR_Coverage, 13597,
     /*  11089 */     GIR_EraseRootFromParent_Done,
     /*  11090 */   // Label 257: @11090
     /*  11090 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(11253), // Rule ID 13594 //
     /*  11095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  11119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11123 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  11127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11137 */     // MIs[1] Operand 2
     /*  11137 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11154 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11154 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11157 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11161 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11168 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11171 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11175 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11180 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11183 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  11187 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11190 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11195 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11200 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  11212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11217 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  11228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11235 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11242 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11252 */     // GIR_Coverage, 13594,
     /*  11252 */     GIR_EraseRootFromParent_Done,
     /*  11253 */   // Label 258: @11253
     /*  11253 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(11403), // Rule ID 13602 //
     /*  11258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11291 */     // MIs[1] Operand 2
     /*  11291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11308 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11308 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11311 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11315 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11334 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11337 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  11341 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11344 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11349 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11354 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  11366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11371 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  11378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11385 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11392 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11402 */     // GIR_Coverage, 13602,
     /*  11402 */     GIR_EraseRootFromParent_Done,
     /*  11403 */   // Label 259: @11403
     /*  11403 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(11553), // Rule ID 13606 //
     /*  11408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  11432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11441 */     // MIs[1] Operand 2
     /*  11441 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11458 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11458 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11461 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11465 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11472 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11475 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11479 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11484 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11487 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  11491 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11494 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11499 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11504 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  11516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11521 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  11528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11535 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11547 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11552 */     // GIR_Coverage, 13606,
     /*  11552 */     GIR_EraseRootFromParent_Done,
     /*  11553 */   // Label 260: @11553
     /*  11553 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(11703), // Rule ID 13601 //
     /*  11558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  11582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11591 */     // MIs[1] Operand 2
     /*  11591 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11608 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11608 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11611 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11615 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11622 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11625 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11629 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11634 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11637 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  11641 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11649 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11654 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  11666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11671 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  11678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11685 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11692 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11697 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11702 */     // GIR_Coverage, 13601,
     /*  11702 */     GIR_EraseRootFromParent_Done,
     /*  11703 */   // Label 261: @11703
     /*  11703 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(11866), // Rule ID 5294 //
     /*  11708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  11736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  11744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11754 */     // MIs[1] Operand 2
     /*  11754 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11767 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11767 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11770 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11774 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11781 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11784 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11788 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11793 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11796 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  11800 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11803 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11808 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11813 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  11825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11830 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  11841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11848 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11860 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11865 */     // GIR_Coverage, 5294,
     /*  11865 */     GIR_EraseRootFromParent_Done,
     /*  11866 */   // Label 262: @11866
     /*  11866 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(12029), // Rule ID 5291 //
     /*  11871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  11899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  11907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11917 */     // MIs[1] Operand 2
     /*  11917 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11930 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  11930 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  11933 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  11937 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  11944 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  11947 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  11951 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11956 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  11959 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  11963 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  11966 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11971 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11976 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  11984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  11988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11993 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  11996 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12011 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12018 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12028 */     // GIR_Coverage, 5291,
     /*  12028 */     GIR_EraseRootFromParent_Done,
     /*  12029 */   // Label 263: @12029
     /*  12029 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(12179), // Rule ID 5317 //
     /*  12034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12071 */     // MIs[1] Operand 2
     /*  12071 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12084 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12084 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12087 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12091 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12098 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12101 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12105 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12110 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12113 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  12117 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12120 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12125 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12130 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  12142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12147 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  12154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12161 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12178 */     // GIR_Coverage, 5317,
     /*  12178 */     GIR_EraseRootFromParent_Done,
     /*  12179 */   // Label 264: @12179
     /*  12179 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(12329), // Rule ID 5324 //
     /*  12184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12221 */     // MIs[1] Operand 2
     /*  12221 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12234 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12234 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12237 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12241 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12248 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12251 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12255 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12260 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12263 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  12267 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12270 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12275 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12280 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  12292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12297 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  12304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12311 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12318 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12323 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12328 */     // GIR_Coverage, 5324,
     /*  12328 */     GIR_EraseRootFromParent_Done,
     /*  12329 */   // Label 265: @12329
     /*  12329 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(12479), // Rule ID 5316 //
     /*  12334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12371 */     // MIs[1] Operand 2
     /*  12371 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12384 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12384 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12387 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12391 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12398 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12401 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12405 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12410 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12413 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  12417 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12425 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12430 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  12442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12447 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  12454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12461 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12468 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12473 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12478 */     // GIR_Coverage, 5316,
     /*  12478 */     GIR_EraseRootFromParent_Done,
     /*  12479 */   // Label 266: @12479
     /*  12479 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(12548), // Rule ID 13049 //
     /*  12484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12499 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  12502 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  12507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  12511 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  12515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12531 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  12531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  12534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  12546 */     GIR_RootConstrainSelectedInstOperands,
     /*  12547 */     // GIR_Coverage, 13049,
     /*  12547 */     GIR_EraseRootFromParent_Done,
     /*  12548 */   // Label 267: @12548
     /*  12548 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(12617), // Rule ID 13061 //
     /*  12553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12568 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  12571 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  12576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  12580 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  12584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12600 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  12600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  12603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  12615 */     GIR_RootConstrainSelectedInstOperands,
     /*  12616 */     // GIR_Coverage, 13061,
     /*  12616 */     GIR_EraseRootFromParent_Done,
     /*  12617 */   // Label 268: @12617
     /*  12617 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(12673), // Rule ID 13011 //
     /*  12622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12637 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  12640 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  12645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12660 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  12660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  12663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12671 */     GIR_RootConstrainSelectedInstOperands,
     /*  12672 */     // GIR_Coverage, 13011,
     /*  12672 */     GIR_EraseRootFromParent_Done,
     /*  12673 */   // Label 269: @12673
     /*  12673 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(12729), // Rule ID 13023 //
     /*  12678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12693 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  12696 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  12701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12716 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  12716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  12719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12727 */     GIR_RootConstrainSelectedInstOperands,
     /*  12728 */     // GIR_Coverage, 13023,
     /*  12728 */     GIR_EraseRootFromParent_Done,
     /*  12729 */   // Label 270: @12729
     /*  12729 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(12796), // Rule ID 13253 //
     /*  12734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  12749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  12753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12758 */     // MIs[1] imm
     /*  12758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  12762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  12766 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  12770 */     // MIs[2] Operand 1
     /*  12770 */     // No operand predicates
     /*  12770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12774 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  12778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12780 */     // (add:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  12780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  12783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  12791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  12794 */     GIR_RootConstrainSelectedInstOperands,
     /*  12795 */     // GIR_Coverage, 13253,
     /*  12795 */     GIR_EraseRootFromParent_Done,
     /*  12796 */   // Label 271: @12796
     /*  12796 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(12863), // Rule ID 13274 //
     /*  12801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  12816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  12820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12825 */     // MIs[1] imm
     /*  12825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  12829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  12833 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  12837 */     // MIs[2] Operand 1
     /*  12837 */     // No operand predicates
     /*  12837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12841 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  12845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12847 */     // (add:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  12847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  12850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  12854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  12858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  12861 */     GIR_RootConstrainSelectedInstOperands,
     /*  12862 */     // GIR_Coverage, 13274,
     /*  12862 */     GIR_EraseRootFromParent_Done,
     /*  12863 */   // Label 272: @12863
     /*  12863 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(12932), // Rule ID 1358 //
     /*  12868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12887 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  12890 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  12895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  12899 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  12903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12915 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  12915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  12918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12920 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  12922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  12930 */     GIR_RootConstrainSelectedInstOperands,
     /*  12931 */     // GIR_Coverage, 1358,
     /*  12931 */     GIR_EraseRootFromParent_Done,
     /*  12932 */   // Label 273: @12932
     /*  12932 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(13001), // Rule ID 1481 //
     /*  12937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  12940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  12956 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  12959 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  12964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  12968 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  12972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12984 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  12984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  12987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12989 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  12991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  12995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  12999 */     GIR_RootConstrainSelectedInstOperands,
     /*  13000 */     // GIR_Coverage, 1481,
     /*  13000 */     GIR_EraseRootFromParent_Done,
     /*  13001 */   // Label 274: @13001
     /*  13001 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(13057), // Rule ID 986 //
     /*  13006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  13025 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  13028 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  13033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13044 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  13047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13049 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  13055 */     GIR_RootConstrainSelectedInstOperands,
     /*  13056 */     // GIR_Coverage, 986,
     /*  13056 */     GIR_EraseRootFromParent_Done,
     /*  13057 */   // Label 275: @13057
     /*  13057 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(13113), // Rule ID 1047 //
     /*  13062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  13081 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  13084 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  13089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13100 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  13103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13105 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  13111 */     GIR_RootConstrainSelectedInstOperands,
     /*  13112 */     // GIR_Coverage, 1047,
     /*  13112 */     GIR_EraseRootFromParent_Done,
     /*  13113 */   // Label 276: @13113
     /*  13113 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(13180), // Rule ID 2229 //
     /*  13118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  13137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13146 */     // MIs[1] imm
     /*  13146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  13150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13154 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  13158 */     // MIs[2] Operand 1
     /*  13158 */     // No operand predicates
     /*  13158 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  13162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13164 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  13164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  13167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13169 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  13178 */     GIR_RootConstrainSelectedInstOperands,
     /*  13179 */     // GIR_Coverage, 2229,
     /*  13179 */     GIR_EraseRootFromParent_Done,
     /*  13180 */   // Label 277: @13180
     /*  13180 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(13247), // Rule ID 2288 //
     /*  13185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  13204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13213 */     // MIs[1] imm
     /*  13213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  13217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13221 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  13225 */     // MIs[2] Operand 1
     /*  13225 */     // No operand predicates
     /*  13225 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  13229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13231 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  13231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  13234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13236 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  13245 */     GIR_RootConstrainSelectedInstOperands,
     /*  13246 */     // GIR_Coverage, 2288,
     /*  13246 */     GIR_EraseRootFromParent_Done,
     /*  13247 */   // Label 278: @13247
     /*  13247 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(13295), // Rule ID 13010 //
     /*  13252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  13267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13282 */     // (add:{ *:[v2i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  13285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13293 */     GIR_RootConstrainSelectedInstOperands,
     /*  13294 */     // GIR_Coverage, 13010,
     /*  13294 */     GIR_EraseRootFromParent_Done,
     /*  13295 */   // Label 279: @13295
     /*  13295 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(13343), // Rule ID 13022 //
     /*  13300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  13315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13330 */     // (add:{ *:[v2i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  13333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13341 */     GIR_RootConstrainSelectedInstOperands,
     /*  13342 */     // GIR_Coverage, 13022,
     /*  13342 */     GIR_EraseRootFromParent_Done,
     /*  13343 */   // Label 280: @13343
     /*  13343 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(13391), // Rule ID 985 //
     /*  13348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  13367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13378 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  13381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13383 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13389 */     GIR_RootConstrainSelectedInstOperands,
     /*  13390 */     // GIR_Coverage, 985,
     /*  13390 */     GIR_EraseRootFromParent_Done,
     /*  13391 */   // Label 281: @13391
     /*  13391 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(13439), // Rule ID 1046 //
     /*  13396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  13415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13426 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  13426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  13429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13431 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  13433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  13437 */     GIR_RootConstrainSelectedInstOperands,
     /*  13438 */     // GIR_Coverage, 1046,
     /*  13438 */     GIR_EraseRootFromParent_Done,
     /*  13439 */   // Label 282: @13439
     /*  13439 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(13466), // Rule ID 1097 //
     /*  13444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13459 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  13459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i32),
     /*  13464 */     GIR_RootConstrainSelectedInstOperands,
     /*  13465 */     // GIR_Coverage, 1097,
     /*  13465 */     GIR_Done,
     /*  13466 */   // Label 283: @13466
     /*  13466 */   GIM_Reject,
     /*  13467 */ // Label 249: @13467
     /*  13467 */ GIM_Reject,
     /*  13468 */ // Label 158: @13468
     /*  13468 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(19369),
     /*  13473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  13476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  13479 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(13597), // Rule ID 13188 //
     /*  13484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  13499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  13507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  13511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  13523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  13527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13531 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  13535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13540 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  13544 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13548 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  13552 */     // MIs[4] Operand 1
     /*  13552 */     // No operand predicates
     /*  13552 */     // MIs[2] Operand 2
     /*  13552 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  13563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13567 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  13569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  13576 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  13576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  13579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  13588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  13592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  13595 */     GIR_RootConstrainSelectedInstOperands,
     /*  13596 */     // GIR_Coverage, 13188,
     /*  13596 */     GIR_EraseRootFromParent_Done,
     /*  13597 */   // Label 285: @13597
     /*  13597 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(13715), // Rule ID 13189 //
     /*  13602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  13617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  13625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  13641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  13645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13649 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  13653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13658 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  13662 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13666 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  13670 */     // MIs[4] Operand 1
     /*  13670 */     // No operand predicates
     /*  13670 */     // MIs[2] Operand 2
     /*  13670 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  13681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13685 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  13687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  13694 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  13694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  13697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  13706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  13710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  13713 */     GIR_RootConstrainSelectedInstOperands,
     /*  13714 */     // GIR_Coverage, 13189,
     /*  13714 */     GIR_EraseRootFromParent_Done,
     /*  13715 */   // Label 286: @13715
     /*  13715 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(13833), // Rule ID 13218 //
     /*  13720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  13735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  13743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  13747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  13759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  13763 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13767 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  13771 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13776 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  13780 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13784 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  13788 */     // MIs[4] Operand 1
     /*  13788 */     // No operand predicates
     /*  13788 */     // MIs[2] Operand 2
     /*  13788 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  13799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13803 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  13805 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  13812 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  13812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  13815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  13824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  13828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  13831 */     GIR_RootConstrainSelectedInstOperands,
     /*  13832 */     // GIR_Coverage, 13218,
     /*  13832 */     GIR_EraseRootFromParent_Done,
     /*  13833 */   // Label 287: @13833
     /*  13833 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(13951), // Rule ID 13219 //
     /*  13838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  13853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  13861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  13877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  13881 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13885 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  13889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13894 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  13898 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  13902 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  13906 */     // MIs[4] Operand 1
     /*  13906 */     // No operand predicates
     /*  13906 */     // MIs[2] Operand 2
     /*  13906 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  13917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13921 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  13923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  13930 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  13930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  13933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  13937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  13942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  13946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  13949 */     GIR_RootConstrainSelectedInstOperands,
     /*  13950 */     // GIR_Coverage, 13219,
     /*  13950 */     GIR_EraseRootFromParent_Done,
     /*  13951 */   // Label 288: @13951
     /*  13951 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(14069), // Rule ID 2035 //
     /*  13956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  13959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  13975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  13979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  13983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  13987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  13999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14007 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14011 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14016 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14020 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14024 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14028 */     // MIs[4] Operand 1
     /*  14028 */     // No operand predicates
     /*  14028 */     // MIs[2] Operand 2
     /*  14028 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  14039 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14048 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  14051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14053 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14067 */     GIR_RootConstrainSelectedInstOperands,
     /*  14068 */     // GIR_Coverage, 2035,
     /*  14068 */     GIR_EraseRootFromParent_Done,
     /*  14069 */   // Label 289: @14069
     /*  14069 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(14187), // Rule ID 13187 //
     /*  14074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  14093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14113 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  14117 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14121 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14125 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14129 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14134 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14138 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14142 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14146 */     // MIs[4] Operand 1
     /*  14146 */     // No operand predicates
     /*  14146 */     // MIs[2] Operand 2
     /*  14146 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  14157 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14166 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  14169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14185 */     GIR_RootConstrainSelectedInstOperands,
     /*  14186 */     // GIR_Coverage, 13187,
     /*  14186 */     GIR_EraseRootFromParent_Done,
     /*  14187 */   // Label 290: @14187
     /*  14187 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(14305), // Rule ID 2087 //
     /*  14192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  14211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  14235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14243 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14247 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14252 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14256 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14260 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14264 */     // MIs[4] Operand 1
     /*  14264 */     // No operand predicates
     /*  14264 */     // MIs[2] Operand 2
     /*  14264 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  14275 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14284 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  14287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14289 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14303 */     GIR_RootConstrainSelectedInstOperands,
     /*  14304 */     // GIR_Coverage, 2087,
     /*  14304 */     GIR_EraseRootFromParent_Done,
     /*  14305 */   // Label 291: @14305
     /*  14305 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(14423), // Rule ID 13217 //
     /*  14310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  14329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  14353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14361 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14365 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14370 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14374 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14378 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14382 */     // MIs[4] Operand 1
     /*  14382 */     // No operand predicates
     /*  14382 */     // MIs[2] Operand 2
     /*  14382 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  14393 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14402 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  14405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14407 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14421 */     GIR_RootConstrainSelectedInstOperands,
     /*  14422 */     // GIR_Coverage, 13217,
     /*  14422 */     GIR_EraseRootFromParent_Done,
     /*  14423 */   // Label 292: @14423
     /*  14423 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(14510), // Rule ID 13093 //
     /*  14428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14455 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  14458 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14463 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14467 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14477 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14484 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14491 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  14491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  14494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  14508 */     GIR_RootConstrainSelectedInstOperands,
     /*  14509 */     // GIR_Coverage, 13093,
     /*  14509 */     GIR_EraseRootFromParent_Done,
     /*  14510 */   // Label 293: @14510
     /*  14510 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(14597), // Rule ID 13117 //
     /*  14515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14542 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  14545 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14554 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14564 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14571 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14578 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  14578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  14581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  14595 */     GIR_RootConstrainSelectedInstOperands,
     /*  14596 */     // GIR_Coverage, 13117,
     /*  14596 */     GIR_EraseRootFromParent_Done,
     /*  14597 */   // Label 294: @14597
     /*  14597 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(14684), // Rule ID 1692 //
     /*  14602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14633 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  14636 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14645 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14658 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14665 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  14665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  14668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  14682 */     GIR_RootConstrainSelectedInstOperands,
     /*  14683 */     // GIR_Coverage, 1692,
     /*  14683 */     GIR_EraseRootFromParent_Done,
     /*  14684 */   // Label 295: @14684
     /*  14684 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(14771), // Rule ID 1770 //
     /*  14689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14720 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  14723 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14732 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  14752 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  14752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  14755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14757 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  14764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  14769 */     GIR_RootConstrainSelectedInstOperands,
     /*  14770 */     // GIR_Coverage, 1770,
     /*  14770 */     GIR_EraseRootFromParent_Done,
     /*  14771 */   // Label 296: @14771
     /*  14771 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(14886), // Rule ID 13183 //
     /*  14776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  14791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  14815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14823 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14827 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14832 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14836 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14840 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14844 */     // MIs[4] Operand 1
     /*  14844 */     // No operand predicates
     /*  14844 */     // MIs[2] Operand 2
     /*  14844 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  14855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14864 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14866 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  14869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14884 */     GIR_RootConstrainSelectedInstOperands,
     /*  14885 */     // GIR_Coverage, 13183,
     /*  14885 */     GIR_EraseRootFromParent_Done,
     /*  14886 */   // Label 297: @14886
     /*  14886 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(15001), // Rule ID 13182 //
     /*  14891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  14906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  14935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  14939 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14943 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  14947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14952 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  14956 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14960 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  14964 */     // MIs[4] Operand 1
     /*  14964 */     // No operand predicates
     /*  14964 */     // MIs[2] Operand 2
     /*  14964 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  14975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14979 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  14981 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  14981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  14984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  14996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  14999 */     GIR_RootConstrainSelectedInstOperands,
     /*  15000 */     // GIR_Coverage, 13182,
     /*  15000 */     GIR_EraseRootFromParent_Done,
     /*  15001 */   // Label 298: @15001
     /*  15001 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(15116), // Rule ID 13213 //
     /*  15006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15053 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15057 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15062 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15066 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15070 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15074 */     // MIs[4] Operand 1
     /*  15074 */     // No operand predicates
     /*  15074 */     // MIs[2] Operand 2
     /*  15074 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  15085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15094 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15096 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  15099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  15107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15114 */     GIR_RootConstrainSelectedInstOperands,
     /*  15115 */     // GIR_Coverage, 13213,
     /*  15115 */     GIR_EraseRootFromParent_Done,
     /*  15116 */   // Label 299: @15116
     /*  15116 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(15231), // Rule ID 13212 //
     /*  15121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15161 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15165 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15169 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15173 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15177 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15190 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15194 */     // MIs[4] Operand 1
     /*  15194 */     // No operand predicates
     /*  15194 */     // MIs[2] Operand 2
     /*  15194 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  15205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15209 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15211 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  15214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15229 */     GIR_RootConstrainSelectedInstOperands,
     /*  15230 */     // GIR_Coverage, 13212,
     /*  15230 */     GIR_EraseRootFromParent_Done,
     /*  15231 */   // Label 300: @15231
     /*  15231 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(15300), // Rule ID 1794 //
     /*  15236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  15251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  15263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15276 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15283 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  15283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  15286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  15298 */     GIR_RootConstrainSelectedInstOperands,
     /*  15299 */     // GIR_Coverage, 1794,
     /*  15299 */     GIR_EraseRootFromParent_Done,
     /*  15300 */   // Label 301: @15300
     /*  15300 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(15369), // Rule ID 1793 //
     /*  15305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  15320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  15332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15352 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  15352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  15355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  15367 */     GIR_RootConstrainSelectedInstOperands,
     /*  15368 */     // GIR_Coverage, 1793,
     /*  15368 */     GIR_EraseRootFromParent_Done,
     /*  15369 */   // Label 302: @15369
     /*  15369 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(15438), // Rule ID 1710 //
     /*  15374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  15389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  15401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15414 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15421 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  15421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i32_v2i64),
     /*  15424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  15436 */     GIR_RootConstrainSelectedInstOperands,
     /*  15437 */     // GIR_Coverage, 1710,
     /*  15437 */     GIR_EraseRootFromParent_Done,
     /*  15438 */   // Label 303: @15438
     /*  15438 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(15507), // Rule ID 1792 //
     /*  15443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  15458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  15470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15490 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  15490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  15493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  15505 */     GIR_RootConstrainSelectedInstOperands,
     /*  15506 */     // GIR_Coverage, 1792,
     /*  15506 */     GIR_EraseRootFromParent_Done,
     /*  15507 */   // Label 304: @15507
     /*  15507 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(15576), // Rule ID 1791 //
     /*  15512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  15527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  15535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  15539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  15545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15559 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  15559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  15562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  15564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  15574 */     GIR_RootConstrainSelectedInstOperands,
     /*  15575 */     // GIR_Coverage, 1791,
     /*  15575 */     GIR_EraseRootFromParent_Done,
     /*  15576 */   // Label 305: @15576
     /*  15576 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(15691), // Rule ID 13181 //
     /*  15581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15620 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15624 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15628 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15632 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15636 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15641 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15645 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15649 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15653 */     // MIs[4] Operand 1
     /*  15653 */     // No operand predicates
     /*  15653 */     // MIs[2] Operand 2
     /*  15653 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  15664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15669 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15671 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  15674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15676 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  15682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15689 */     GIR_RootConstrainSelectedInstOperands,
     /*  15690 */     // GIR_Coverage, 13181,
     /*  15690 */     GIR_EraseRootFromParent_Done,
     /*  15691 */   // Label 306: @15691
     /*  15691 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(15806), // Rule ID 2033 //
     /*  15696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15748 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15752 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15756 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15761 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15765 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15769 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15773 */     // MIs[4] Operand 1
     /*  15773 */     // No operand predicates
     /*  15773 */     // MIs[2] Operand 2
     /*  15773 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  15784 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15786 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  15789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15791 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15804 */     GIR_RootConstrainSelectedInstOperands,
     /*  15805 */     // GIR_Coverage, 2033,
     /*  15805 */     GIR_EraseRootFromParent_Done,
     /*  15806 */   // Label 307: @15806
     /*  15806 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(15921), // Rule ID 13211 //
     /*  15811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15858 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15862 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15866 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15871 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15875 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15879 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15883 */     // MIs[4] Operand 1
     /*  15883 */     // No operand predicates
     /*  15883 */     // MIs[2] Operand 2
     /*  15883 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  15894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15899 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15901 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  15904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15906 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  15912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15919 */     GIR_RootConstrainSelectedInstOperands,
     /*  15920 */     // GIR_Coverage, 13211,
     /*  15920 */     GIR_EraseRootFromParent_Done,
     /*  15921 */   // Label 308: @15921
     /*  15921 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(16036), // Rule ID 2085 //
     /*  15926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15978 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15982 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15991 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15995 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15999 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16003 */     // MIs[4] Operand 1
     /*  16003 */     // No operand predicates
     /*  16003 */     // MIs[2] Operand 2
     /*  16003 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16014 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16016 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16021 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16034 */     GIR_RootConstrainSelectedInstOperands,
     /*  16035 */     // GIR_Coverage, 2085,
     /*  16035 */     GIR_EraseRootFromParent_Done,
     /*  16036 */   // Label 309: @16036
     /*  16036 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(16103), // Rule ID 13105 //
     /*  16041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16077 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16084 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  16087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16101 */     GIR_RootConstrainSelectedInstOperands,
     /*  16102 */     // GIR_Coverage, 13105,
     /*  16102 */     GIR_EraseRootFromParent_Done,
     /*  16103 */   // Label 310: @16103
     /*  16103 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(16170), // Rule ID 13135 //
     /*  16108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16151 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  16154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16168 */     GIR_RootConstrainSelectedInstOperands,
     /*  16169 */     // GIR_Coverage, 13135,
     /*  16169 */     GIR_EraseRootFromParent_Done,
     /*  16170 */   // Label 311: @16170
     /*  16170 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(16237), // Rule ID 1722 //
     /*  16175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16218 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  16221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16235 */     GIR_RootConstrainSelectedInstOperands,
     /*  16236 */     // GIR_Coverage, 1722,
     /*  16236 */     GIR_EraseRootFromParent_Done,
     /*  16237 */   // Label 312: @16237
     /*  16237 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(16304), // Rule ID 1812 //
     /*  16242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16285 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  16288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16302 */     GIR_RootConstrainSelectedInstOperands,
     /*  16303 */     // GIR_Coverage, 1812,
     /*  16303 */     GIR_EraseRootFromParent_Done,
     /*  16304 */   // Label 313: @16304
     /*  16304 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(16385), // Rule ID 13091 //
     /*  16309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16336 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16339 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16348 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16368 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  16368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  16371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  16379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  16383 */     GIR_RootConstrainSelectedInstOperands,
     /*  16384 */     // GIR_Coverage, 13091,
     /*  16384 */     GIR_EraseRootFromParent_Done,
     /*  16385 */   // Label 314: @16385
     /*  16385 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(16466), // Rule ID 13115 //
     /*  16390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16417 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16420 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16425 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16429 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16449 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  16449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  16452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  16460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  16464 */     GIR_RootConstrainSelectedInstOperands,
     /*  16465 */     // GIR_Coverage, 13115,
     /*  16465 */     GIR_EraseRootFromParent_Done,
     /*  16466 */   // Label 315: @16466
     /*  16466 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(16547), // Rule ID 1690 //
     /*  16471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16502 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16505 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16514 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16530 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  16530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  16533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16535 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  16541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  16545 */     GIR_RootConstrainSelectedInstOperands,
     /*  16546 */     // GIR_Coverage, 1690,
     /*  16546 */     GIR_EraseRootFromParent_Done,
     /*  16547 */   // Label 316: @16547
     /*  16547 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(16628), // Rule ID 1768 //
     /*  16552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16583 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16586 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16595 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16611 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  16611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  16614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16616 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  16622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  16626 */     GIR_RootConstrainSelectedInstOperands,
     /*  16627 */     // GIR_Coverage, 1768,
     /*  16627 */     GIR_EraseRootFromParent_Done,
     /*  16628 */   // Label 317: @16628
     /*  16628 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(16720), // Rule ID 13186 //
     /*  16633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  16672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  16681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16685 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16689 */     // MIs[3] Operand 1
     /*  16689 */     // No operand predicates
     /*  16689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  16700 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  16715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  16718 */     GIR_RootConstrainSelectedInstOperands,
     /*  16719 */     // GIR_Coverage, 13186,
     /*  16719 */     GIR_EraseRootFromParent_Done,
     /*  16720 */   // Label 318: @16720
     /*  16720 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(16812), // Rule ID 13185 //
     /*  16725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  16769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  16778 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16782 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16786 */     // MIs[3] Operand 1
     /*  16786 */     // No operand predicates
     /*  16786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  16792 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  16807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  16810 */     GIR_RootConstrainSelectedInstOperands,
     /*  16811 */     // GIR_Coverage, 13185,
     /*  16811 */     GIR_EraseRootFromParent_Done,
     /*  16812 */   // Label 319: @16812
     /*  16812 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(16904), // Rule ID 13216 //
     /*  16817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16836 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16852 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  16856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  16865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16869 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16873 */     // MIs[3] Operand 1
     /*  16873 */     // No operand predicates
     /*  16873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  16884 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  16899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  16902 */     GIR_RootConstrainSelectedInstOperands,
     /*  16903 */     // GIR_Coverage, 13216,
     /*  16903 */     GIR_EraseRootFromParent_Done,
     /*  16904 */   // Label 320: @16904
     /*  16904 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(16996), // Rule ID 13215 //
     /*  16909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  16953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  16962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16966 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16970 */     // MIs[3] Operand 1
     /*  16970 */     // No operand predicates
     /*  16970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  16976 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  16991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  16994 */     GIR_RootConstrainSelectedInstOperands,
     /*  16995 */     // GIR_Coverage, 13215,
     /*  16995 */     GIR_EraseRootFromParent_Done,
     /*  16996 */   // Label 321: @16996
     /*  16996 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(17088), // Rule ID 13184 //
     /*  17001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  17044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  17053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17057 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17061 */     // MIs[3] Operand 1
     /*  17061 */     // No operand predicates
     /*  17061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17066 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  17068 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17073 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  17083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  17086 */     GIR_RootConstrainSelectedInstOperands,
     /*  17087 */     // GIR_Coverage, 13184,
     /*  17087 */     GIR_EraseRootFromParent_Done,
     /*  17088 */   // Label 322: @17088
     /*  17088 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(17180), // Rule ID 2034 //
     /*  17093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  17141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17146 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  17150 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17154 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17158 */     // MIs[3] Operand 1
     /*  17158 */     // No operand predicates
     /*  17158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  17160 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17165 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  17175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  17178 */     GIR_RootConstrainSelectedInstOperands,
     /*  17179 */     // GIR_Coverage, 2034,
     /*  17179 */     GIR_EraseRootFromParent_Done,
     /*  17180 */   // Label 323: @17180
     /*  17180 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(17272), // Rule ID 13214 //
     /*  17185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  17228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  17237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17241 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17245 */     // MIs[3] Operand 1
     /*  17245 */     // No operand predicates
     /*  17245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  17252 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17257 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  17267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  17270 */     GIR_RootConstrainSelectedInstOperands,
     /*  17271 */     // GIR_Coverage, 13214,
     /*  17271 */     GIR_EraseRootFromParent_Done,
     /*  17272 */   // Label 324: @17272
     /*  17272 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(17364), // Rule ID 2086 //
     /*  17277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  17325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  17334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17338 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17342 */     // MIs[3] Operand 1
     /*  17342 */     // No operand predicates
     /*  17342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  17344 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17349 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  17359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  17362 */     GIR_RootConstrainSelectedInstOperands,
     /*  17363 */     // GIR_Coverage, 2086,
     /*  17363 */     GIR_EraseRootFromParent_Done,
     /*  17364 */   // Label 325: @17364
     /*  17364 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(17415), // Rule ID 13129 //
     /*  17369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17401 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  17404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  17408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17413 */     GIR_RootConstrainSelectedInstOperands,
     /*  17414 */     // GIR_Coverage, 13129,
     /*  17414 */     GIR_EraseRootFromParent_Done,
     /*  17415 */   // Label 326: @17415
     /*  17415 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(17466), // Rule ID 13099 //
     /*  17420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17452 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  17455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  17459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17464 */     GIR_RootConstrainSelectedInstOperands,
     /*  17465 */     // GIR_Coverage, 13099,
     /*  17465 */     GIR_EraseRootFromParent_Done,
     /*  17466 */   // Label 327: @17466
     /*  17466 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(17517), // Rule ID 13128 //
     /*  17471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17503 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  17506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  17510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17515 */     GIR_RootConstrainSelectedInstOperands,
     /*  17516 */     // GIR_Coverage, 13128,
     /*  17516 */     GIR_EraseRootFromParent_Done,
     /*  17517 */   // Label 328: @17517
     /*  17517 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(17568), // Rule ID 1806 //
     /*  17522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17554 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  17557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17559 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17566 */     GIR_RootConstrainSelectedInstOperands,
     /*  17567 */     // GIR_Coverage, 1806,
     /*  17567 */     GIR_EraseRootFromParent_Done,
     /*  17568 */   // Label 329: @17568
     /*  17568 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(17619), // Rule ID 1716 //
     /*  17573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17605 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  17608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17617 */     GIR_RootConstrainSelectedInstOperands,
     /*  17618 */     // GIR_Coverage, 1716,
     /*  17618 */     GIR_EraseRootFromParent_Done,
     /*  17619 */   // Label 330: @17619
     /*  17619 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(17670), // Rule ID 1805 //
     /*  17624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17656 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  17659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  17663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  17668 */     GIR_RootConstrainSelectedInstOperands,
     /*  17669 */     // GIR_Coverage, 1805,
     /*  17669 */     GIR_EraseRootFromParent_Done,
     /*  17670 */   // Label 331: @17670
     /*  17670 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(17726), // Rule ID 13017 //
     /*  17675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17690 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  17693 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  17698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  17702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17713 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  17713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  17716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17724 */     GIR_RootConstrainSelectedInstOperands,
     /*  17725 */     // GIR_Coverage, 13017,
     /*  17725 */     GIR_EraseRootFromParent_Done,
     /*  17726 */   // Label 332: @17726
     /*  17726 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(17782), // Rule ID 13029 //
     /*  17731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17746 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  17749 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  17754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  17758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17769 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  17769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  17772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17780 */     GIR_RootConstrainSelectedInstOperands,
     /*  17781 */     // GIR_Coverage, 13029,
     /*  17781 */     GIR_EraseRootFromParent_Done,
     /*  17782 */   // Label 333: @17782
     /*  17782 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(17849), // Rule ID 13257 //
     /*  17787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  17802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  17806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17811 */     // MIs[1] imm
     /*  17811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17819 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  17823 */     // MIs[2] Operand 1
     /*  17823 */     // No operand predicates
     /*  17823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  17831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17833 */     // (add:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  17833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  17836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  17847 */     GIR_RootConstrainSelectedInstOperands,
     /*  17848 */     // GIR_Coverage, 13257,
     /*  17848 */     GIR_EraseRootFromParent_Done,
     /*  17849 */   // Label 334: @17849
     /*  17849 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(17916), // Rule ID 13278 //
     /*  17854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  17869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  17873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17878 */     // MIs[1] imm
     /*  17878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17886 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  17890 */     // MIs[2] Operand 1
     /*  17890 */     // No operand predicates
     /*  17890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17894 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  17898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17900 */     // (add:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  17900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  17903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  17914 */     GIR_RootConstrainSelectedInstOperands,
     /*  17915 */     // GIR_Coverage, 13278,
     /*  17915 */     GIR_EraseRootFromParent_Done,
     /*  17916 */   // Label 335: @17916
     /*  17916 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(17972), // Rule ID 992 //
     /*  17921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17940 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  17943 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  17948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  17952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17959 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  17959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  17962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17970 */     GIR_RootConstrainSelectedInstOperands,
     /*  17971 */     // GIR_Coverage, 992,
     /*  17971 */     GIR_EraseRootFromParent_Done,
     /*  17972 */   // Label 336: @17972
     /*  17972 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(18028), // Rule ID 1053 //
     /*  17977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  17996 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  17999 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  18004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  18008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18015 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  18015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  18018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18020 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18026 */     GIR_RootConstrainSelectedInstOperands,
     /*  18027 */     // GIR_Coverage, 1053,
     /*  18027 */     GIR_EraseRootFromParent_Done,
     /*  18028 */   // Label 337: @18028
     /*  18028 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(18095), // Rule ID 2233 //
     /*  18033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  18052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  18056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18061 */     // MIs[1] imm
     /*  18061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18069 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  18073 */     // MIs[2] Operand 1
     /*  18073 */     // No operand predicates
     /*  18073 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  18077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18079 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  18079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  18082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18084 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  18093 */     GIR_RootConstrainSelectedInstOperands,
     /*  18094 */     // GIR_Coverage, 2233,
     /*  18094 */     GIR_EraseRootFromParent_Done,
     /*  18095 */   // Label 338: @18095
     /*  18095 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(18162), // Rule ID 2292 //
     /*  18100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  18119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  18123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18128 */     // MIs[1] imm
     /*  18128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18136 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  18140 */     // MIs[2] Operand 1
     /*  18140 */     // No operand predicates
     /*  18140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  18144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18146 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  18146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  18149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18151 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  18160 */     GIR_RootConstrainSelectedInstOperands,
     /*  18161 */     // GIR_Coverage, 2292,
     /*  18161 */     GIR_EraseRootFromParent_Done,
     /*  18162 */   // Label 339: @18162
     /*  18162 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(18232), // Rule ID 6824 //
     /*  18167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  18179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  18183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  18187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /*  18205 */     // MIs[2] Rn
     /*  18205 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18210 */     // MIs[2] Rm
     /*  18210 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  18215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18217 */     // (add:{ *:[v2i64] } (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  18217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  18220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  18230 */     GIR_RootConstrainSelectedInstOperands,
     /*  18231 */     // GIR_Coverage, 6824,
     /*  18231 */     GIR_EraseRootFromParent_Done,
     /*  18232 */   // Label 340: @18232
     /*  18232 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(18302), // Rule ID 13639 //
     /*  18237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  18249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  18253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  18257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /*  18275 */     // MIs[2] Rn
     /*  18275 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18280 */     // MIs[2] Rm
     /*  18280 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  18285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18287 */     // (add:{ *:[v2i64] } (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  18287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  18290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  18300 */     GIR_RootConstrainSelectedInstOperands,
     /*  18301 */     // GIR_Coverage, 13639,
     /*  18301 */     GIR_EraseRootFromParent_Done,
     /*  18302 */   // Label 341: @18302
     /*  18302 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(18365), // Rule ID 1790 //
     /*  18307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  18322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  18339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18350 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  18353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18363 */     GIR_RootConstrainSelectedInstOperands,
     /*  18364 */     // GIR_Coverage, 1790,
     /*  18364 */     GIR_EraseRootFromParent_Done,
     /*  18365 */   // Label 342: @18365
     /*  18365 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(18428), // Rule ID 1789 //
     /*  18370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  18385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18413 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  18416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18426 */     GIR_RootConstrainSelectedInstOperands,
     /*  18427 */     // GIR_Coverage, 1789,
     /*  18427 */     GIR_EraseRootFromParent_Done,
     /*  18428 */   // Label 343: @18428
     /*  18428 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(18491), // Rule ID 1709 //
     /*  18433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  18448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  18465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18476 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*  18479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18489 */     GIR_RootConstrainSelectedInstOperands,
     /*  18490 */     // GIR_Coverage, 1709,
     /*  18490 */     GIR_EraseRootFromParent_Done,
     /*  18491 */   // Label 344: @18491
     /*  18491 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(18554), // Rule ID 1788 //
     /*  18496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  18528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18539 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  18542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18552 */     GIR_RootConstrainSelectedInstOperands,
     /*  18553 */     // GIR_Coverage, 1788,
     /*  18553 */     GIR_EraseRootFromParent_Done,
     /*  18554 */   // Label 345: @18554
     /*  18554 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(18617), // Rule ID 1787 //
     /*  18559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18602 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  18605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18615 */     GIR_RootConstrainSelectedInstOperands,
     /*  18616 */     // GIR_Coverage, 1787,
     /*  18616 */     GIR_EraseRootFromParent_Done,
     /*  18617 */   // Label 346: @18617
     /*  18617 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(18678), // Rule ID 13104 //
     /*  18622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18661 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  18664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  18676 */     GIR_RootConstrainSelectedInstOperands,
     /*  18677 */     // GIR_Coverage, 13104,
     /*  18677 */     GIR_EraseRootFromParent_Done,
     /*  18678 */   // Label 347: @18678
     /*  18678 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(18739), // Rule ID 13134 //
     /*  18683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18722 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  18725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  18737 */     GIR_RootConstrainSelectedInstOperands,
     /*  18738 */     // GIR_Coverage, 13134,
     /*  18738 */     GIR_EraseRootFromParent_Done,
     /*  18739 */   // Label 348: @18739
     /*  18739 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(18787), // Rule ID 13127 //
     /*  18744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  18759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18774 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  18777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  18781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  18785 */     GIR_RootConstrainSelectedInstOperands,
     /*  18786 */     // GIR_Coverage, 13127,
     /*  18786 */     GIR_EraseRootFromParent_Done,
     /*  18787 */   // Label 349: @18787
     /*  18787 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(18835), // Rule ID 13016 //
     /*  18792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  18807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18822 */     // (add:{ *:[v2i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  18822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  18825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18833 */     GIR_RootConstrainSelectedInstOperands,
     /*  18834 */     // GIR_Coverage, 13016,
     /*  18834 */     GIR_EraseRootFromParent_Done,
     /*  18835 */   // Label 350: @18835
     /*  18835 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(18883), // Rule ID 13098 //
     /*  18840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  18855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18870 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  18873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  18877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  18881 */     GIR_RootConstrainSelectedInstOperands,
     /*  18882 */     // GIR_Coverage, 13098,
     /*  18882 */     GIR_EraseRootFromParent_Done,
     /*  18883 */   // Label 351: @18883
     /*  18883 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(18931), // Rule ID 13028 //
     /*  18888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  18903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18918 */     // (add:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  18918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  18921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18923 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18929 */     GIR_RootConstrainSelectedInstOperands,
     /*  18930 */     // GIR_Coverage, 13028,
     /*  18930 */     GIR_EraseRootFromParent_Done,
     /*  18931 */   // Label 352: @18931
     /*  18931 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(18979), // Rule ID 13126 //
     /*  18936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18966 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  18969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  18971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  18973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  18977 */     GIR_RootConstrainSelectedInstOperands,
     /*  18978 */     // GIR_Coverage, 13126,
     /*  18978 */     GIR_EraseRootFromParent_Done,
     /*  18979 */   // Label 353: @18979
     /*  18979 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(19040), // Rule ID 1721 //
     /*  18984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  19003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  19011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19023 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  19023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  19026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  19038 */     GIR_RootConstrainSelectedInstOperands,
     /*  19039 */     // GIR_Coverage, 1721,
     /*  19039 */     GIR_EraseRootFromParent_Done,
     /*  19040 */   // Label 354: @19040
     /*  19040 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(19101), // Rule ID 1811 //
     /*  19045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  19064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  19072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19084 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  19084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  19087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  19099 */     GIR_RootConstrainSelectedInstOperands,
     /*  19100 */     // GIR_Coverage, 1811,
     /*  19100 */     GIR_EraseRootFromParent_Done,
     /*  19101 */   // Label 355: @19101
     /*  19101 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(19149), // Rule ID 1804 //
     /*  19106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19136 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  19136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  19139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19141 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  19147 */     GIR_RootConstrainSelectedInstOperands,
     /*  19148 */     // GIR_Coverage, 1804,
     /*  19148 */     GIR_EraseRootFromParent_Done,
     /*  19149 */   // Label 356: @19149
     /*  19149 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(19197), // Rule ID 991 //
     /*  19154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  19173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  19177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19184 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19189 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19195 */     GIR_RootConstrainSelectedInstOperands,
     /*  19196 */     // GIR_Coverage, 991,
     /*  19196 */     GIR_EraseRootFromParent_Done,
     /*  19197 */   // Label 357: @19197
     /*  19197 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(19245), // Rule ID 1715 //
     /*  19202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19232 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  19232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  19235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  19243 */     GIR_RootConstrainSelectedInstOperands,
     /*  19244 */     // GIR_Coverage, 1715,
     /*  19244 */     GIR_EraseRootFromParent_Done,
     /*  19245 */   // Label 358: @19245
     /*  19245 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(19293), // Rule ID 1052 //
     /*  19250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  19269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  19273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19280 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19291 */     GIR_RootConstrainSelectedInstOperands,
     /*  19292 */     // GIR_Coverage, 1052,
     /*  19292 */     GIR_EraseRootFromParent_Done,
     /*  19293 */   // Label 359: @19293
     /*  19293 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(19341), // Rule ID 1803 //
     /*  19298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19328 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  19328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  19331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19333 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  19339 */     GIR_RootConstrainSelectedInstOperands,
     /*  19340 */     // GIR_Coverage, 1803,
     /*  19340 */     GIR_EraseRootFromParent_Done,
     /*  19341 */   // Label 360: @19341
     /*  19341 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(19368), // Rule ID 1099 //
     /*  19346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19361 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  19361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i64),
     /*  19366 */     GIR_RootConstrainSelectedInstOperands,
     /*  19367 */     // GIR_Coverage, 1099,
     /*  19367 */     GIR_Done,
     /*  19368 */   // Label 361: @19368
     /*  19368 */   GIM_Reject,
     /*  19369 */ // Label 284: @19369
     /*  19369 */ GIM_Reject,
     /*  19370 */ // Label 159: @19370
     /*  19370 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(22867),
     /*  19375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  19378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  19381 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(19517), // Rule ID 5305 //
     /*  19386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19419 */     // MIs[1] Operand 2
     /*  19419 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  19430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19438 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19442 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19446 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19450 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19454 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19459 */     // MIs[3] Operand 2
     /*  19459 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  19470 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19472 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  19472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  19475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  19479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  19488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  19492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19499 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  19506 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19511 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19516 */     // GIR_Coverage, 5305,
     /*  19516 */     GIR_EraseRootFromParent_Done,
     /*  19517 */   // Label 363: @19517
     /*  19517 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(19653), // Rule ID 5304 //
     /*  19522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19555 */     // MIs[1] Operand 2
     /*  19555 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  19566 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19570 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19574 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19578 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19582 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19586 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19590 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19595 */     // MIs[3] Operand 2
     /*  19595 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  19606 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19608 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  19608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  19611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  19615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  19624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  19628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19635 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  19642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19652 */     // GIR_Coverage, 5304,
     /*  19652 */     GIR_EraseRootFromParent_Done,
     /*  19653 */   // Label 364: @19653
     /*  19653 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(19789), // Rule ID 5320 //
     /*  19658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19691 */     // MIs[1] Operand 2
     /*  19691 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  19702 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19706 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19710 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19714 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19718 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19722 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19726 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19731 */     // MIs[3] Operand 2
     /*  19731 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  19742 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19744 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  19744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  19747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  19751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  19760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  19764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19771 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  19778 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19783 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19788 */     // GIR_Coverage, 5320,
     /*  19788 */     GIR_EraseRootFromParent_Done,
     /*  19789 */   // Label 365: @19789
     /*  19789 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(19925), // Rule ID 5303 //
     /*  19794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19827 */     // MIs[1] Operand 2
     /*  19827 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  19838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19846 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19850 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19854 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19858 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19862 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19867 */     // MIs[3] Operand 2
     /*  19867 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  19878 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  19880 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  19880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  19883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  19887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  19896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  19900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19907 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  19914 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19924 */     // GIR_Coverage, 5303,
     /*  19924 */     GIR_EraseRootFromParent_Done,
     /*  19925 */   // Label 366: @19925
     /*  19925 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(20061), // Rule ID 5302 //
     /*  19930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  19950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19963 */     // MIs[1] Operand 2
     /*  19963 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  19974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  19978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  19982 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  19986 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  19990 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19994 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  19998 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20003 */     // MIs[3] Operand 2
     /*  20003 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  20014 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  20016 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  20016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  20019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  20023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  20036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20043 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20050 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20055 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20060 */     // GIR_Coverage, 5302,
     /*  20060 */     GIR_EraseRootFromParent_Done,
     /*  20061 */   // Label 367: @20061
     /*  20061 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(20194), // Rule ID 13644 //
     /*  20066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  20090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20094 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  20098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  20107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  20111 */     // MIs[1] Operand 2
     /*  20111 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  20122 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  20126 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  20130 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20134 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  20138 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  20142 */     // MIs[5] Rn
     /*  20142 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  20147 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  20149 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }), (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  20149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  20152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  20156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20176 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20183 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20188 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20193 */     // GIR_Coverage, 13644,
     /*  20193 */     GIR_EraseRootFromParent_Done,
     /*  20194 */   // Label 368: @20194
     /*  20194 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(20327), // Rule ID 6829 //
     /*  20199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  20211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  20223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  20236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20244 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  20248 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  20252 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  20256 */     // MIs[4] Rn
     /*  20256 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  20261 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  20265 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  20269 */     // MIs[3] Operand 2
     /*  20269 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  20280 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  20282 */     // (add:{ *:[v4i16] } (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)), (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  20282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  20285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  20289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20309 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20321 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20326 */     // GIR_Coverage, 6829,
     /*  20326 */     GIR_EraseRootFromParent_Done,
     /*  20327 */   // Label 369: @20327
     /*  20327 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(20490), // Rule ID 13596 //
     /*  20332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  20356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  20360 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  20364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20374 */     // MIs[1] Operand 2
     /*  20374 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  20385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20391 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  20391 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  20394 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  20398 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  20405 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  20408 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  20412 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20417 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  20420 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  20424 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  20427 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20432 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20437 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  20445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  20449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20454 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  20465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20472 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20484 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20489 */     // GIR_Coverage, 13596,
     /*  20489 */     GIR_EraseRootFromParent_Done,
     /*  20490 */   // Label 370: @20490
     /*  20490 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(20653), // Rule ID 13593 //
     /*  20495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  20519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  20523 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  20527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20537 */     // MIs[1] Operand 2
     /*  20537 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  20548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20554 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  20554 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  20557 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  20561 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  20568 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  20571 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  20575 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20580 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  20583 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  20587 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  20590 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20595 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20600 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  20608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  20612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20617 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  20624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  20628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20635 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20652 */     // GIR_Coverage, 13593,
     /*  20652 */     GIR_EraseRootFromParent_Done,
     /*  20653 */   // Label 371: @20653
     /*  20653 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(20803), // Rule ID 13600 //
     /*  20658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  20686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20691 */     // MIs[1] Operand 2
     /*  20691 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  20702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20708 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  20708 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  20711 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  20715 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  20722 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  20725 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  20729 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20734 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  20737 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  20741 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  20744 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20749 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20754 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  20762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  20766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20771 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20785 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20802 */     // GIR_Coverage, 13600,
     /*  20802 */     GIR_EraseRootFromParent_Done,
     /*  20803 */   // Label 372: @20803
     /*  20803 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(20953), // Rule ID 13605 //
     /*  20808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  20836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20841 */     // MIs[1] Operand 2
     /*  20841 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  20852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20858 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  20858 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  20861 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  20865 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  20872 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  20875 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  20879 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20884 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  20887 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  20891 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  20894 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20899 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20904 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  20912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  20916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20921 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20935 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  20942 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20947 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20952 */     // GIR_Coverage, 13605,
     /*  20952 */     GIR_EraseRootFromParent_Done,
     /*  20953 */   // Label 373: @20953
     /*  20953 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(21103), // Rule ID 13599 //
     /*  20958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  20970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  20974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  20978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  20986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20991 */     // MIs[1] Operand 2
     /*  20991 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21008 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21008 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21011 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21015 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21022 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21025 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21029 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21034 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21037 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  21041 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21044 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21049 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21054 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  21066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21071 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  21078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21085 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21102 */     // GIR_Coverage, 13599,
     /*  21102 */     GIR_EraseRootFromParent_Done,
     /*  21103 */   // Label 374: @21103
     /*  21103 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(21266), // Rule ID 5293 //
     /*  21108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  21136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  21144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21154 */     // MIs[1] Operand 2
     /*  21154 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21167 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21167 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21170 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21174 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21181 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21184 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21188 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21193 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21196 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  21200 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21203 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21208 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21213 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  21225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21230 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  21241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21248 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21255 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21260 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21265 */     // GIR_Coverage, 5293,
     /*  21265 */     GIR_EraseRootFromParent_Done,
     /*  21266 */   // Label 375: @21266
     /*  21266 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(21429), // Rule ID 5290 //
     /*  21271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  21299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  21307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21317 */     // MIs[1] Operand 2
     /*  21317 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21330 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21330 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21333 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21337 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21344 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21347 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21351 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21356 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21359 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  21363 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21366 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21376 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  21388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21393 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  21404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21411 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21428 */     // GIR_Coverage, 5290,
     /*  21428 */     GIR_EraseRootFromParent_Done,
     /*  21429 */   // Label 376: @21429
     /*  21429 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(21579), // Rule ID 5315 //
     /*  21434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21471 */     // MIs[1] Operand 2
     /*  21471 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21484 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21484 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21487 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21491 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21498 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21501 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21505 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21510 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21513 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  21517 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21520 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21525 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21530 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  21542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21547 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  21554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21561 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21578 */     // GIR_Coverage, 5315,
     /*  21578 */     GIR_EraseRootFromParent_Done,
     /*  21579 */   // Label 377: @21579
     /*  21579 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(21729), // Rule ID 5323 //
     /*  21584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21621 */     // MIs[1] Operand 2
     /*  21621 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21634 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21634 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21637 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21641 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21648 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21651 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21655 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21660 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21663 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  21667 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21670 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21675 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21680 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  21692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21697 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  21704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21711 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21718 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21723 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21728 */     // GIR_Coverage, 5323,
     /*  21728 */     GIR_EraseRootFromParent_Done,
     /*  21729 */   // Label 378: @21729
     /*  21729 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(21879), // Rule ID 5314 //
     /*  21734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21771 */     // MIs[1] Operand 2
     /*  21771 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21784 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21784 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  21787 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  21791 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  21798 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  21801 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  21805 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21810 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  21813 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  21817 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  21820 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21825 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21830 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  21842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21847 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  21854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21861 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21873 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21878 */     // GIR_Coverage, 5314,
     /*  21878 */     GIR_EraseRootFromParent_Done,
     /*  21879 */   // Label 379: @21879
     /*  21879 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(21948), // Rule ID 13045 //
     /*  21884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21899 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  21902 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  21907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  21911 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  21915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21931 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  21931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  21934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  21938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  21942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  21946 */     GIR_RootConstrainSelectedInstOperands,
     /*  21947 */     // GIR_Coverage, 13045,
     /*  21947 */     GIR_EraseRootFromParent_Done,
     /*  21948 */   // Label 380: @21948
     /*  21948 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(22017), // Rule ID 13057 //
     /*  21953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  21968 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  21971 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  21976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  21980 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  21984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22000 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  22000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  22003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  22015 */     GIR_RootConstrainSelectedInstOperands,
     /*  22016 */     // GIR_Coverage, 13057,
     /*  22016 */     GIR_EraseRootFromParent_Done,
     /*  22017 */   // Label 381: @22017
     /*  22017 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(22073), // Rule ID 13007 //
     /*  22022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22037 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  22040 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  22045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22060 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  22063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22071 */     GIR_RootConstrainSelectedInstOperands,
     /*  22072 */     // GIR_Coverage, 13007,
     /*  22072 */     GIR_EraseRootFromParent_Done,
     /*  22073 */   // Label 382: @22073
     /*  22073 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(22129), // Rule ID 13019 //
     /*  22078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22093 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  22096 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  22101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22116 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  22119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22127 */     GIR_RootConstrainSelectedInstOperands,
     /*  22128 */     // GIR_Coverage, 13019,
     /*  22128 */     GIR_EraseRootFromParent_Done,
     /*  22129 */   // Label 383: @22129
     /*  22129 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(22196), // Rule ID 13249 //
     /*  22134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  22149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  22153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22158 */     // MIs[1] imm
     /*  22158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22166 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  22170 */     // MIs[2] Operand 1
     /*  22170 */     // No operand predicates
     /*  22170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22174 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  22178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22180 */     // (add:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  22183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22194 */     GIR_RootConstrainSelectedInstOperands,
     /*  22195 */     // GIR_Coverage, 13249,
     /*  22195 */     GIR_EraseRootFromParent_Done,
     /*  22196 */   // Label 384: @22196
     /*  22196 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(22263), // Rule ID 13270 //
     /*  22201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  22216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  22220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22225 */     // MIs[1] imm
     /*  22225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22233 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  22237 */     // MIs[2] Operand 1
     /*  22237 */     // No operand predicates
     /*  22237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22241 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  22245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22247 */     // (add:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  22250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22261 */     GIR_RootConstrainSelectedInstOperands,
     /*  22262 */     // GIR_Coverage, 13270,
     /*  22262 */     GIR_EraseRootFromParent_Done,
     /*  22263 */   // Label 385: @22263
     /*  22263 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(22332), // Rule ID 1354 //
     /*  22268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22287 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  22290 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  22295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  22299 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  22303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22315 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  22315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  22318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  22330 */     GIR_RootConstrainSelectedInstOperands,
     /*  22331 */     // GIR_Coverage, 1354,
     /*  22331 */     GIR_EraseRootFromParent_Done,
     /*  22332 */   // Label 386: @22332
     /*  22332 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(22401), // Rule ID 1477 //
     /*  22337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22356 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  22359 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  22364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  22368 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  22372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22384 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  22384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  22387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  22399 */     GIR_RootConstrainSelectedInstOperands,
     /*  22400 */     // GIR_Coverage, 1477,
     /*  22400 */     GIR_EraseRootFromParent_Done,
     /*  22401 */   // Label 387: @22401
     /*  22401 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(22457), // Rule ID 982 //
     /*  22406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22425 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  22428 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  22433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22444 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  22447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22449 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22455 */     GIR_RootConstrainSelectedInstOperands,
     /*  22456 */     // GIR_Coverage, 982,
     /*  22456 */     GIR_EraseRootFromParent_Done,
     /*  22457 */   // Label 388: @22457
     /*  22457 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(22513), // Rule ID 1043 //
     /*  22462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  22481 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  22484 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  22489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22500 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  22503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  22511 */     GIR_RootConstrainSelectedInstOperands,
     /*  22512 */     // GIR_Coverage, 1043,
     /*  22512 */     GIR_EraseRootFromParent_Done,
     /*  22513 */   // Label 389: @22513
     /*  22513 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(22580), // Rule ID 2225 //
     /*  22518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  22537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  22541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22546 */     // MIs[1] imm
     /*  22546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22554 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  22558 */     // MIs[2] Operand 1
     /*  22558 */     // No operand predicates
     /*  22558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  22562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22564 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  22567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22578 */     GIR_RootConstrainSelectedInstOperands,
     /*  22579 */     // GIR_Coverage, 2225,
     /*  22579 */     GIR_EraseRootFromParent_Done,
     /*  22580 */   // Label 390: @22580
     /*  22580 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(22647), // Rule ID 2284 //
     /*  22585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  22604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  22608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22613 */     // MIs[1] imm
     /*  22613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22621 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  22625 */     // MIs[2] Operand 1
     /*  22625 */     // No operand predicates
     /*  22625 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  22629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22631 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  22631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  22634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22636 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  22645 */     GIR_RootConstrainSelectedInstOperands,
     /*  22646 */     // GIR_Coverage, 2284,
     /*  22646 */     GIR_EraseRootFromParent_Done,
     /*  22647 */   // Label 391: @22647
     /*  22647 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(22695), // Rule ID 13006 //
     /*  22652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  22667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22682 */     // (add:{ *:[v4i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  22685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22693 */     GIR_RootConstrainSelectedInstOperands,
     /*  22694 */     // GIR_Coverage, 13006,
     /*  22694 */     GIR_EraseRootFromParent_Done,
     /*  22695 */   // Label 392: @22695
     /*  22695 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(22743), // Rule ID 13018 //
     /*  22700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  22715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22730 */     // (add:{ *:[v4i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  22733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22741 */     GIR_RootConstrainSelectedInstOperands,
     /*  22742 */     // GIR_Coverage, 13018,
     /*  22742 */     GIR_EraseRootFromParent_Done,
     /*  22743 */   // Label 393: @22743
     /*  22743 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(22791), // Rule ID 981 //
     /*  22748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  22767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22778 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  22781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22783 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22789 */     GIR_RootConstrainSelectedInstOperands,
     /*  22790 */     // GIR_Coverage, 981,
     /*  22790 */     GIR_EraseRootFromParent_Done,
     /*  22791 */   // Label 394: @22791
     /*  22791 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(22839), // Rule ID 1042 //
     /*  22796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  22815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22826 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  22826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  22829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  22833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  22837 */     GIR_RootConstrainSelectedInstOperands,
     /*  22838 */     // GIR_Coverage, 1042,
     /*  22838 */     GIR_EraseRootFromParent_Done,
     /*  22839 */   // Label 395: @22839
     /*  22839 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(22866), // Rule ID 1095 //
     /*  22844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22859 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  22859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i16),
     /*  22864 */     GIR_RootConstrainSelectedInstOperands,
     /*  22865 */     // GIR_Coverage, 1095,
     /*  22865 */     GIR_Done,
     /*  22866 */   // Label 396: @22866
     /*  22866 */   GIM_Reject,
     /*  22867 */ // Label 362: @22867
     /*  22867 */ GIM_Reject,
     /*  22868 */ // Label 160: @22868
     /*  22868 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(29045),
     /*  22873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  22876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  22879 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(22997), // Rule ID 13179 //
     /*  22884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  22887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  22899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  22903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  22907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  22923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  22927 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22931 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  22935 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  22940 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  22944 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  22948 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  22952 */     // MIs[4] Operand 1
     /*  22952 */     // No operand predicates
     /*  22952 */     // MIs[2] Operand 2
     /*  22952 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  22963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22967 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  22969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  22976 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  22976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  22979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  22983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  22988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  22992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  22995 */     GIR_RootConstrainSelectedInstOperands,
     /*  22996 */     // GIR_Coverage, 13179,
     /*  22996 */     GIR_EraseRootFromParent_Done,
     /*  22997 */   // Label 398: @22997
     /*  22997 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(23115), // Rule ID 13180 //
     /*  23002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  23017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23045 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23049 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23058 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23062 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23066 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23070 */     // MIs[4] Operand 1
     /*  23070 */     // No operand predicates
     /*  23070 */     // MIs[2] Operand 2
     /*  23070 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23085 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23094 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  23097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23113 */     GIR_RootConstrainSelectedInstOperands,
     /*  23114 */     // GIR_Coverage, 13180,
     /*  23114 */     GIR_EraseRootFromParent_Done,
     /*  23115 */   // Label 399: @23115
     /*  23115 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(23233), // Rule ID 13209 //
     /*  23120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  23135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23163 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23167 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23176 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23180 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23184 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23188 */     // MIs[4] Operand 1
     /*  23188 */     // No operand predicates
     /*  23188 */     // MIs[2] Operand 2
     /*  23188 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23203 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23212 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  23215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23231 */     GIR_RootConstrainSelectedInstOperands,
     /*  23232 */     // GIR_Coverage, 13209,
     /*  23232 */     GIR_EraseRootFromParent_Done,
     /*  23233 */   // Label 400: @23233
     /*  23233 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(23351), // Rule ID 13210 //
     /*  23238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  23253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23281 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23285 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23289 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23294 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23298 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23302 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23306 */     // MIs[4] Operand 1
     /*  23306 */     // No operand predicates
     /*  23306 */     // MIs[2] Operand 2
     /*  23306 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23321 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23330 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  23333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23349 */     GIR_RootConstrainSelectedInstOperands,
     /*  23350 */     // GIR_Coverage, 13210,
     /*  23350 */     GIR_EraseRootFromParent_Done,
     /*  23351 */   // Label 401: @23351
     /*  23351 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(23469), // Rule ID 2032 //
     /*  23356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  23375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23407 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23416 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23420 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23424 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23428 */     // MIs[4] Operand 1
     /*  23428 */     // No operand predicates
     /*  23428 */     // MIs[2] Operand 2
     /*  23428 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23439 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23448 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  23451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23453 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  23455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23467 */     GIR_RootConstrainSelectedInstOperands,
     /*  23468 */     // GIR_Coverage, 2032,
     /*  23468 */     GIR_EraseRootFromParent_Done,
     /*  23469 */   // Label 402: @23469
     /*  23469 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(23587), // Rule ID 13178 //
     /*  23474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  23493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23525 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23529 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23534 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23538 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23542 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23546 */     // MIs[4] Operand 1
     /*  23546 */     // No operand predicates
     /*  23546 */     // MIs[2] Operand 2
     /*  23546 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23557 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23566 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  23569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  23573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23585 */     GIR_RootConstrainSelectedInstOperands,
     /*  23586 */     // GIR_Coverage, 13178,
     /*  23586 */     GIR_EraseRootFromParent_Done,
     /*  23587 */   // Label 403: @23587
     /*  23587 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(23705), // Rule ID 2084 //
     /*  23592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  23611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23647 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23652 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23656 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23660 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23664 */     // MIs[4] Operand 1
     /*  23664 */     // No operand predicates
     /*  23664 */     // MIs[2] Operand 2
     /*  23664 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23675 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23684 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  23687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  23691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23703 */     GIR_RootConstrainSelectedInstOperands,
     /*  23704 */     // GIR_Coverage, 2084,
     /*  23704 */     GIR_EraseRootFromParent_Done,
     /*  23705 */   // Label 404: @23705
     /*  23705 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(23823), // Rule ID 13208 //
     /*  23710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  23729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  23753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  23757 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23761 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  23765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  23770 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  23774 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23778 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  23782 */     // MIs[4] Operand 1
     /*  23782 */     // No operand predicates
     /*  23782 */     // MIs[2] Operand 2
     /*  23782 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  23793 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  23795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23802 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  23802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  23805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  23809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  23818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  23821 */     GIR_RootConstrainSelectedInstOperands,
     /*  23822 */     // GIR_Coverage, 13208,
     /*  23822 */     GIR_EraseRootFromParent_Done,
     /*  23823 */   // Label 405: @23823
     /*  23823 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(23910), // Rule ID 13089 //
     /*  23828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  23843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23855 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  23858 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  23863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23867 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23877 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23891 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  23891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  23894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  23908 */     GIR_RootConstrainSelectedInstOperands,
     /*  23909 */     // GIR_Coverage, 13089,
     /*  23909 */     GIR_EraseRootFromParent_Done,
     /*  23910 */   // Label 406: @23910
     /*  23910 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(23997), // Rule ID 13113 //
     /*  23915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  23930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23942 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  23945 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  23950 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23954 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23964 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23971 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  23978 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  23978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  23981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  23990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  23995 */     GIR_RootConstrainSelectedInstOperands,
     /*  23996 */     // GIR_Coverage, 13113,
     /*  23996 */     GIR_EraseRootFromParent_Done,
     /*  23997 */   // Label 407: @23997
     /*  23997 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(24084), // Rule ID 1688 //
     /*  24002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24033 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  24036 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  24041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24045 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24058 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24065 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  24068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24070 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24082 */     GIR_RootConstrainSelectedInstOperands,
     /*  24083 */     // GIR_Coverage, 1688,
     /*  24083 */     GIR_EraseRootFromParent_Done,
     /*  24084 */   // Label 408: @24084
     /*  24084 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(24171), // Rule ID 1766 //
     /*  24089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24120 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  24123 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  24128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24132 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24138 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24145 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24152 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  24155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24157 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24169 */     GIR_RootConstrainSelectedInstOperands,
     /*  24170 */     // GIR_Coverage, 1766,
     /*  24170 */     GIR_EraseRootFromParent_Done,
     /*  24171 */   // Label 409: @24171
     /*  24171 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(24286), // Rule ID 13174 //
     /*  24176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24211 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24215 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24219 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24223 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24227 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24232 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24236 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24240 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24244 */     // MIs[4] Operand 1
     /*  24244 */     // No operand predicates
     /*  24244 */     // MIs[2] Operand 2
     /*  24244 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  24255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24264 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24266 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  24269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24284 */     GIR_RootConstrainSelectedInstOperands,
     /*  24285 */     // GIR_Coverage, 13174,
     /*  24285 */     GIR_EraseRootFromParent_Done,
     /*  24286 */   // Label 410: @24286
     /*  24286 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(24401), // Rule ID 13173 //
     /*  24291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24331 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24335 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24339 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24343 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24347 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24352 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24356 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24360 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24364 */     // MIs[4] Operand 1
     /*  24364 */     // No operand predicates
     /*  24364 */     // MIs[2] Operand 2
     /*  24364 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  24375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24379 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24381 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  24384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24399 */     GIR_RootConstrainSelectedInstOperands,
     /*  24400 */     // GIR_Coverage, 13173,
     /*  24400 */     GIR_EraseRootFromParent_Done,
     /*  24401 */   // Label 411: @24401
     /*  24401 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(24516), // Rule ID 13204 //
     /*  24406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24449 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24453 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24457 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24462 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24466 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24470 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24474 */     // MIs[4] Operand 1
     /*  24474 */     // No operand predicates
     /*  24474 */     // MIs[2] Operand 2
     /*  24474 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  24485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24494 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24496 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  24499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24514 */     GIR_RootConstrainSelectedInstOperands,
     /*  24515 */     // GIR_Coverage, 13204,
     /*  24515 */     GIR_EraseRootFromParent_Done,
     /*  24516 */   // Label 412: @24516
     /*  24516 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(24631), // Rule ID 13203 //
     /*  24521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24540 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24569 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24573 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24577 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24582 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24586 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24590 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24594 */     // MIs[4] Operand 1
     /*  24594 */     // No operand predicates
     /*  24594 */     // MIs[2] Operand 2
     /*  24594 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  24605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24609 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24611 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  24614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24629 */     GIR_RootConstrainSelectedInstOperands,
     /*  24630 */     // GIR_Coverage, 13203,
     /*  24630 */     GIR_EraseRootFromParent_Done,
     /*  24631 */   // Label 413: @24631
     /*  24631 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(24700), // Rule ID 1786 //
     /*  24636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  24651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  24659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  24663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24683 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  24686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24698 */     GIR_RootConstrainSelectedInstOperands,
     /*  24699 */     // GIR_Coverage, 1786,
     /*  24699 */     GIR_EraseRootFromParent_Done,
     /*  24700 */   // Label 414: @24700
     /*  24700 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(24769), // Rule ID 1785 //
     /*  24705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  24720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  24728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24745 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24752 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  24755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24767 */     GIR_RootConstrainSelectedInstOperands,
     /*  24768 */     // GIR_Coverage, 1785,
     /*  24768 */     GIR_EraseRootFromParent_Done,
     /*  24769 */   // Label 415: @24769
     /*  24769 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(24838), // Rule ID 1708 //
     /*  24774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  24789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  24797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  24801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24814 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24821 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i16_v4i32),
     /*  24824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24836 */     GIR_RootConstrainSelectedInstOperands,
     /*  24837 */     // GIR_Coverage, 1708,
     /*  24837 */     GIR_EraseRootFromParent_Done,
     /*  24838 */   // Label 416: @24838
     /*  24838 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(24907), // Rule ID 1784 //
     /*  24843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  24866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  24870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24890 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  24893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24905 */     GIR_RootConstrainSelectedInstOperands,
     /*  24906 */     // GIR_Coverage, 1784,
     /*  24906 */     GIR_EraseRootFromParent_Done,
     /*  24907 */   // Label 417: @24907
     /*  24907 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(24976), // Rule ID 1783 //
     /*  24912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  24935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  24939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24952 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24959 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  24959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  24962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  24964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  24974 */     GIR_RootConstrainSelectedInstOperands,
     /*  24975 */     // GIR_Coverage, 1783,
     /*  24975 */     GIR_EraseRootFromParent_Done,
     /*  24976 */   // Label 418: @24976
     /*  24976 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(25091), // Rule ID 13172 //
     /*  24981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25024 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25028 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25032 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25036 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25041 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25045 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25049 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25053 */     // MIs[4] Operand 1
     /*  25053 */     // No operand predicates
     /*  25053 */     // MIs[2] Operand 2
     /*  25053 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25069 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25071 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  25074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25076 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  25082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25089 */     GIR_RootConstrainSelectedInstOperands,
     /*  25090 */     // GIR_Coverage, 13172,
     /*  25090 */     GIR_EraseRootFromParent_Done,
     /*  25091 */   // Label 419: @25091
     /*  25091 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(25206), // Rule ID 2030 //
     /*  25096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25140 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25148 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25152 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25156 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25161 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25165 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25169 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25173 */     // MIs[4] Operand 1
     /*  25173 */     // No operand predicates
     /*  25173 */     // MIs[2] Operand 2
     /*  25173 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25184 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25186 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  25189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25191 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  25197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25204 */     GIR_RootConstrainSelectedInstOperands,
     /*  25205 */     // GIR_Coverage, 2030,
     /*  25205 */     GIR_EraseRootFromParent_Done,
     /*  25206 */   // Label 420: @25206
     /*  25206 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(25321), // Rule ID 13202 //
     /*  25211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25250 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25258 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25262 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25271 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25275 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25279 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25283 */     // MIs[4] Operand 1
     /*  25283 */     // No operand predicates
     /*  25283 */     // MIs[2] Operand 2
     /*  25283 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25299 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25301 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  25304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25306 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  25312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25319 */     GIR_RootConstrainSelectedInstOperands,
     /*  25320 */     // GIR_Coverage, 13202,
     /*  25320 */     GIR_EraseRootFromParent_Done,
     /*  25321 */   // Label 421: @25321
     /*  25321 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(25436), // Rule ID 2082 //
     /*  25326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25378 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25382 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25386 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25391 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25395 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25399 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25403 */     // MIs[4] Operand 1
     /*  25403 */     // No operand predicates
     /*  25403 */     // MIs[2] Operand 2
     /*  25403 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25414 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25416 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  25419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25421 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  25427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25434 */     GIR_RootConstrainSelectedInstOperands,
     /*  25435 */     // GIR_Coverage, 2082,
     /*  25435 */     GIR_EraseRootFromParent_Done,
     /*  25436 */   // Label 422: @25436
     /*  25436 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(25503), // Rule ID 13103 //
     /*  25441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25470 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25484 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  25487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25501 */     GIR_RootConstrainSelectedInstOperands,
     /*  25502 */     // GIR_Coverage, 13103,
     /*  25502 */     GIR_EraseRootFromParent_Done,
     /*  25503 */   // Label 423: @25503
     /*  25503 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(25570), // Rule ID 13133 //
     /*  25508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25537 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25544 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25551 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  25554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25568 */     GIR_RootConstrainSelectedInstOperands,
     /*  25569 */     // GIR_Coverage, 13133,
     /*  25569 */     GIR_EraseRootFromParent_Done,
     /*  25570 */   // Label 424: @25570
     /*  25570 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(25637), // Rule ID 1720 //
     /*  25575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25611 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25618 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  25621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25635 */     GIR_RootConstrainSelectedInstOperands,
     /*  25636 */     // GIR_Coverage, 1720,
     /*  25636 */     GIR_EraseRootFromParent_Done,
     /*  25637 */   // Label 425: @25637
     /*  25637 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(25704), // Rule ID 1810 //
     /*  25642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25685 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  25688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25690 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25702 */     GIR_RootConstrainSelectedInstOperands,
     /*  25703 */     // GIR_Coverage, 1810,
     /*  25703 */     GIR_EraseRootFromParent_Done,
     /*  25704 */   // Label 426: @25704
     /*  25704 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(25785), // Rule ID 13087 //
     /*  25709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25736 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25739 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25748 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25768 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  25768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  25771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  25779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  25783 */     GIR_RootConstrainSelectedInstOperands,
     /*  25784 */     // GIR_Coverage, 13087,
     /*  25784 */     GIR_EraseRootFromParent_Done,
     /*  25785 */   // Label 427: @25785
     /*  25785 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(25866), // Rule ID 13111 //
     /*  25790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25817 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25820 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25825 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25829 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25849 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  25849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  25852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  25860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  25864 */     GIR_RootConstrainSelectedInstOperands,
     /*  25865 */     // GIR_Coverage, 13111,
     /*  25865 */     GIR_EraseRootFromParent_Done,
     /*  25866 */   // Label 428: @25866
     /*  25866 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(25947), // Rule ID 1686 //
     /*  25871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25902 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25905 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25910 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25914 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25930 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  25930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  25933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25935 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  25941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  25945 */     GIR_RootConstrainSelectedInstOperands,
     /*  25946 */     // GIR_Coverage, 1686,
     /*  25946 */     GIR_EraseRootFromParent_Done,
     /*  25947 */   // Label 429: @25947
     /*  25947 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(26028), // Rule ID 1764 //
     /*  25952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25983 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25986 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25995 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25999 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26011 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  26011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  26014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26016 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  26022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  26026 */     GIR_RootConstrainSelectedInstOperands,
     /*  26027 */     // GIR_Coverage, 1764,
     /*  26027 */     GIR_EraseRootFromParent_Done,
     /*  26028 */   // Label 430: @26028
     /*  26028 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(26120), // Rule ID 13177 //
     /*  26033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26085 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26089 */     // MIs[3] Operand 1
     /*  26089 */     // No operand predicates
     /*  26089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26100 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26118 */     GIR_RootConstrainSelectedInstOperands,
     /*  26119 */     // GIR_Coverage, 13177,
     /*  26119 */     GIR_EraseRootFromParent_Done,
     /*  26120 */   // Label 431: @26120
     /*  26120 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(26212), // Rule ID 13176 //
     /*  26125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26182 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26186 */     // MIs[3] Operand 1
     /*  26186 */     // No operand predicates
     /*  26186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26190 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26192 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26210 */     GIR_RootConstrainSelectedInstOperands,
     /*  26211 */     // GIR_Coverage, 13176,
     /*  26211 */     GIR_EraseRootFromParent_Done,
     /*  26212 */   // Label 432: @26212
     /*  26212 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(26304), // Rule ID 13207 //
     /*  26217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26269 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26273 */     // MIs[3] Operand 1
     /*  26273 */     // No operand predicates
     /*  26273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26284 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26302 */     GIR_RootConstrainSelectedInstOperands,
     /*  26303 */     // GIR_Coverage, 13207,
     /*  26303 */     GIR_EraseRootFromParent_Done,
     /*  26304 */   // Label 433: @26304
     /*  26304 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(26396), // Rule ID 13206 //
     /*  26309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26349 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26366 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26370 */     // MIs[3] Operand 1
     /*  26370 */     // No operand predicates
     /*  26370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26374 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26376 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26394 */     GIR_RootConstrainSelectedInstOperands,
     /*  26395 */     // GIR_Coverage, 13206,
     /*  26395 */     GIR_EraseRootFromParent_Done,
     /*  26396 */   // Label 434: @26396
     /*  26396 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(26488), // Rule ID 13175 //
     /*  26401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26457 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26461 */     // MIs[3] Operand 1
     /*  26461 */     // No operand predicates
     /*  26461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26468 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26486 */     GIR_RootConstrainSelectedInstOperands,
     /*  26487 */     // GIR_Coverage, 13175,
     /*  26487 */     GIR_EraseRootFromParent_Done,
     /*  26488 */   // Label 435: @26488
     /*  26488 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(26580), // Rule ID 2031 //
     /*  26493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26537 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26546 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26550 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26554 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26558 */     // MIs[3] Operand 1
     /*  26558 */     // No operand predicates
     /*  26558 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26560 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26565 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26578 */     GIR_RootConstrainSelectedInstOperands,
     /*  26579 */     // GIR_Coverage, 2031,
     /*  26579 */     GIR_EraseRootFromParent_Done,
     /*  26580 */   // Label 436: @26580
     /*  26580 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(26672), // Rule ID 13205 //
     /*  26585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26624 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26641 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26645 */     // MIs[3] Operand 1
     /*  26645 */     // No operand predicates
     /*  26645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26650 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26652 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26657 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26670 */     GIR_RootConstrainSelectedInstOperands,
     /*  26671 */     // GIR_Coverage, 13205,
     /*  26671 */     GIR_EraseRootFromParent_Done,
     /*  26672 */   // Label 437: @26672
     /*  26672 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(26764), // Rule ID 2083 //
     /*  26677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  26725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  26734 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26738 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26742 */     // MIs[3] Operand 1
     /*  26742 */     // No operand predicates
     /*  26742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  26744 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  26759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  26762 */     GIR_RootConstrainSelectedInstOperands,
     /*  26763 */     // GIR_Coverage, 2083,
     /*  26763 */     GIR_EraseRootFromParent_Done,
     /*  26764 */   // Label 438: @26764
     /*  26764 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(26815), // Rule ID 13125 //
     /*  26769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26801 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  26804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  26808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  26813 */     GIR_RootConstrainSelectedInstOperands,
     /*  26814 */     // GIR_Coverage, 13125,
     /*  26814 */     GIR_EraseRootFromParent_Done,
     /*  26815 */   // Label 439: @26815
     /*  26815 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(26866), // Rule ID 13097 //
     /*  26820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26845 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26852 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  26855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  26859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  26864 */     GIR_RootConstrainSelectedInstOperands,
     /*  26865 */     // GIR_Coverage, 13097,
     /*  26865 */     GIR_EraseRootFromParent_Done,
     /*  26866 */   // Label 440: @26866
     /*  26866 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(26917), // Rule ID 13124 //
     /*  26871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26903 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  26906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  26910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  26915 */     GIR_RootConstrainSelectedInstOperands,
     /*  26916 */     // GIR_Coverage, 13124,
     /*  26916 */     GIR_EraseRootFromParent_Done,
     /*  26917 */   // Label 441: @26917
     /*  26917 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(26968), // Rule ID 1802 //
     /*  26922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26954 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  26957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26959 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  26961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  26966 */     GIR_RootConstrainSelectedInstOperands,
     /*  26967 */     // GIR_Coverage, 1802,
     /*  26967 */     GIR_EraseRootFromParent_Done,
     /*  26968 */   // Label 442: @26968
     /*  26968 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(27019), // Rule ID 1714 //
     /*  26973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27005 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  27008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  27010 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  27012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  27017 */     GIR_RootConstrainSelectedInstOperands,
     /*  27018 */     // GIR_Coverage, 1714,
     /*  27018 */     GIR_EraseRootFromParent_Done,
     /*  27019 */   // Label 443: @27019
     /*  27019 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(27070), // Rule ID 1801 //
     /*  27024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27056 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  27059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  27061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  27063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  27068 */     GIR_RootConstrainSelectedInstOperands,
     /*  27069 */     // GIR_Coverage, 1801,
     /*  27069 */     GIR_EraseRootFromParent_Done,
     /*  27070 */   // Label 444: @27070
     /*  27070 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(27139), // Rule ID 13051 //
     /*  27075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27090 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  27093 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27102 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  27106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27122 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  27122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  27125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  27137 */     GIR_RootConstrainSelectedInstOperands,
     /*  27138 */     // GIR_Coverage, 13051,
     /*  27138 */     GIR_EraseRootFromParent_Done,
     /*  27139 */   // Label 445: @27139
     /*  27139 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(27208), // Rule ID 13063 //
     /*  27144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27159 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  27162 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27171 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  27175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27191 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 723:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  27191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  27194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  27206 */     GIR_RootConstrainSelectedInstOperands,
     /*  27207 */     // GIR_Coverage, 13063,
     /*  27207 */     GIR_EraseRootFromParent_Done,
     /*  27208 */   // Label 446: @27208
     /*  27208 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(27264), // Rule ID 13013 //
     /*  27213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27228 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  27231 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  27236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  27240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27251 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  27251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  27254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27262 */     GIR_RootConstrainSelectedInstOperands,
     /*  27263 */     // GIR_Coverage, 13013,
     /*  27263 */     GIR_EraseRootFromParent_Done,
     /*  27264 */   // Label 447: @27264
     /*  27264 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(27320), // Rule ID 13025 //
     /*  27269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27284 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  27287 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  27292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  27296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27307 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  27307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  27310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27318 */     GIR_RootConstrainSelectedInstOperands,
     /*  27319 */     // GIR_Coverage, 13025,
     /*  27319 */     GIR_EraseRootFromParent_Done,
     /*  27320 */   // Label 448: @27320
     /*  27320 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(27387), // Rule ID 13255 //
     /*  27325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  27340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27349 */     // MIs[1] imm
     /*  27349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27357 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  27361 */     // MIs[2] Operand 1
     /*  27361 */     // No operand predicates
     /*  27361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  27369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27371 */     // (add:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  27371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  27374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  27385 */     GIR_RootConstrainSelectedInstOperands,
     /*  27386 */     // GIR_Coverage, 13255,
     /*  27386 */     GIR_EraseRootFromParent_Done,
     /*  27387 */   // Label 449: @27387
     /*  27387 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(27454), // Rule ID 13276 //
     /*  27392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  27407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27416 */     // MIs[1] imm
     /*  27416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27424 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  27428 */     // MIs[2] Operand 1
     /*  27428 */     // No operand predicates
     /*  27428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27432 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  27436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27438 */     // (add:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  27438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  27441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  27452 */     GIR_RootConstrainSelectedInstOperands,
     /*  27453 */     // GIR_Coverage, 13276,
     /*  27453 */     GIR_EraseRootFromParent_Done,
     /*  27454 */   // Label 450: @27454
     /*  27454 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(27523), // Rule ID 1360 //
     /*  27459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27478 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  27481 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27490 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  27494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27506 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  27506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  27509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27511 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  27521 */     GIR_RootConstrainSelectedInstOperands,
     /*  27522 */     // GIR_Coverage, 1360,
     /*  27522 */     GIR_EraseRootFromParent_Done,
     /*  27523 */   // Label 451: @27523
     /*  27523 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(27592), // Rule ID 1483 //
     /*  27528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27547 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  27550 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27559 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  27563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27575 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 723:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  27575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  27578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27580 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  27590 */     GIR_RootConstrainSelectedInstOperands,
     /*  27591 */     // GIR_Coverage, 1483,
     /*  27591 */     GIR_EraseRootFromParent_Done,
     /*  27592 */   // Label 452: @27592
     /*  27592 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(27648), // Rule ID 988 //
     /*  27597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27616 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  27619 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  27624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  27628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27635 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  27635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  27638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27640 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27646 */     GIR_RootConstrainSelectedInstOperands,
     /*  27647 */     // GIR_Coverage, 988,
     /*  27647 */     GIR_EraseRootFromParent_Done,
     /*  27648 */   // Label 453: @27648
     /*  27648 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(27704), // Rule ID 1049 //
     /*  27653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27672 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  27675 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  27680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  27684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27691 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  27691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  27694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27696 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27702 */     GIR_RootConstrainSelectedInstOperands,
     /*  27703 */     // GIR_Coverage, 1049,
     /*  27703 */     GIR_EraseRootFromParent_Done,
     /*  27704 */   // Label 454: @27704
     /*  27704 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(27771), // Rule ID 2231 //
     /*  27709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  27728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27737 */     // MIs[1] imm
     /*  27737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27745 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  27749 */     // MIs[2] Operand 1
     /*  27749 */     // No operand predicates
     /*  27749 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  27753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27755 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  27755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  27758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  27769 */     GIR_RootConstrainSelectedInstOperands,
     /*  27770 */     // GIR_Coverage, 2231,
     /*  27770 */     GIR_EraseRootFromParent_Done,
     /*  27771 */   // Label 455: @27771
     /*  27771 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(27838), // Rule ID 2290 //
     /*  27776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  27795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27804 */     // MIs[1] imm
     /*  27804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27812 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  27816 */     // MIs[2] Operand 1
     /*  27816 */     // No operand predicates
     /*  27816 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  27820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27822 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  27822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  27825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  27836 */     GIR_RootConstrainSelectedInstOperands,
     /*  27837 */     // GIR_Coverage, 2290,
     /*  27837 */     GIR_EraseRootFromParent_Done,
     /*  27838 */   // Label 456: @27838
     /*  27838 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(27908), // Rule ID 6825 //
     /*  27843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  27855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  27877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  27881 */     // MIs[2] Rn
     /*  27881 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27886 */     // MIs[2] Rm
     /*  27886 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  27891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27893 */     // (add:{ *:[v4i32] } (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  27893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  27896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  27898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  27906 */     GIR_RootConstrainSelectedInstOperands,
     /*  27907 */     // GIR_Coverage, 6825,
     /*  27907 */     GIR_EraseRootFromParent_Done,
     /*  27908 */   // Label 457: @27908
     /*  27908 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(27978), // Rule ID 13640 //
     /*  27913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  27925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  27929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  27933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  27947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  27951 */     // MIs[2] Rn
     /*  27951 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27956 */     // MIs[2] Rm
     /*  27956 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  27961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27963 */     // (add:{ *:[v4i32] } (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  27963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  27966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  27968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  27976 */     GIR_RootConstrainSelectedInstOperands,
     /*  27977 */     // GIR_Coverage, 13640,
     /*  27977 */     GIR_EraseRootFromParent_Done,
     /*  27978 */   // Label 458: @27978
     /*  27978 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(28041), // Rule ID 1782 //
     /*  27983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  27998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28026 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  28029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28039 */     GIR_RootConstrainSelectedInstOperands,
     /*  28040 */     // GIR_Coverage, 1782,
     /*  28040 */     GIR_EraseRootFromParent_Done,
     /*  28041 */   // Label 459: @28041
     /*  28041 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(28104), // Rule ID 1781 //
     /*  28046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28089 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  28092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28102 */     GIR_RootConstrainSelectedInstOperands,
     /*  28103 */     // GIR_Coverage, 1781,
     /*  28103 */     GIR_EraseRootFromParent_Done,
     /*  28104 */   // Label 460: @28104
     /*  28104 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(28167), // Rule ID 1707 //
     /*  28109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28152 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  28155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28165 */     GIR_RootConstrainSelectedInstOperands,
     /*  28166 */     // GIR_Coverage, 1707,
     /*  28166 */     GIR_EraseRootFromParent_Done,
     /*  28167 */   // Label 461: @28167
     /*  28167 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(28230), // Rule ID 1780 //
     /*  28172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28215 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  28218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28228 */     GIR_RootConstrainSelectedInstOperands,
     /*  28229 */     // GIR_Coverage, 1780,
     /*  28229 */     GIR_EraseRootFromParent_Done,
     /*  28230 */   // Label 462: @28230
     /*  28230 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(28293), // Rule ID 1779 //
     /*  28235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28278 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  28281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28291 */     GIR_RootConstrainSelectedInstOperands,
     /*  28292 */     // GIR_Coverage, 1779,
     /*  28292 */     GIR_EraseRootFromParent_Done,
     /*  28293 */   // Label 463: @28293
     /*  28293 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(28354), // Rule ID 13102 //
     /*  28298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28337 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  28340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  28352 */     GIR_RootConstrainSelectedInstOperands,
     /*  28353 */     // GIR_Coverage, 13102,
     /*  28353 */     GIR_EraseRootFromParent_Done,
     /*  28354 */   // Label 464: @28354
     /*  28354 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(28415), // Rule ID 13132 //
     /*  28359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28398 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  28401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  28413 */     GIR_RootConstrainSelectedInstOperands,
     /*  28414 */     // GIR_Coverage, 13132,
     /*  28414 */     GIR_EraseRootFromParent_Done,
     /*  28415 */   // Label 465: @28415
     /*  28415 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(28463), // Rule ID 13123 //
     /*  28420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28450 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  28453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  28461 */     GIR_RootConstrainSelectedInstOperands,
     /*  28462 */     // GIR_Coverage, 13123,
     /*  28462 */     GIR_EraseRootFromParent_Done,
     /*  28463 */   // Label 466: @28463
     /*  28463 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(28511), // Rule ID 13012 //
     /*  28468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  28483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28498 */     // (add:{ *:[v4i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  28501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28509 */     GIR_RootConstrainSelectedInstOperands,
     /*  28510 */     // GIR_Coverage, 13012,
     /*  28510 */     GIR_EraseRootFromParent_Done,
     /*  28511 */   // Label 467: @28511
     /*  28511 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(28559), // Rule ID 13096 //
     /*  28516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28546 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  28549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28551 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  28557 */     GIR_RootConstrainSelectedInstOperands,
     /*  28558 */     // GIR_Coverage, 13096,
     /*  28558 */     GIR_EraseRootFromParent_Done,
     /*  28559 */   // Label 468: @28559
     /*  28559 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(28607), // Rule ID 13024 //
     /*  28564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  28579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28594 */     // (add:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  28597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28605 */     GIR_RootConstrainSelectedInstOperands,
     /*  28606 */     // GIR_Coverage, 13024,
     /*  28606 */     GIR_EraseRootFromParent_Done,
     /*  28607 */   // Label 469: @28607
     /*  28607 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(28655), // Rule ID 13122 //
     /*  28612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28642 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  28645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  28653 */     GIR_RootConstrainSelectedInstOperands,
     /*  28654 */     // GIR_Coverage, 13122,
     /*  28654 */     GIR_EraseRootFromParent_Done,
     /*  28655 */   // Label 470: @28655
     /*  28655 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(28716), // Rule ID 1719 //
     /*  28660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28699 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  28702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  28714 */     GIR_RootConstrainSelectedInstOperands,
     /*  28715 */     // GIR_Coverage, 1719,
     /*  28715 */     GIR_EraseRootFromParent_Done,
     /*  28716 */   // Label 471: @28716
     /*  28716 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(28777), // Rule ID 1809 //
     /*  28721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28760 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  28763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  28775 */     GIR_RootConstrainSelectedInstOperands,
     /*  28776 */     // GIR_Coverage, 1809,
     /*  28776 */     GIR_EraseRootFromParent_Done,
     /*  28777 */   // Label 472: @28777
     /*  28777 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(28825), // Rule ID 1800 //
     /*  28782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28812 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  28815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28817 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  28823 */     GIR_RootConstrainSelectedInstOperands,
     /*  28824 */     // GIR_Coverage, 1800,
     /*  28824 */     GIR_EraseRootFromParent_Done,
     /*  28825 */   // Label 473: @28825
     /*  28825 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(28873), // Rule ID 987 //
     /*  28830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  28849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28860 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  28863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28871 */     GIR_RootConstrainSelectedInstOperands,
     /*  28872 */     // GIR_Coverage, 987,
     /*  28872 */     GIR_EraseRootFromParent_Done,
     /*  28873 */   // Label 474: @28873
     /*  28873 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(28921), // Rule ID 1713 //
     /*  28878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28908 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  28908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  28911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  28919 */     GIR_RootConstrainSelectedInstOperands,
     /*  28920 */     // GIR_Coverage, 1713,
     /*  28920 */     GIR_EraseRootFromParent_Done,
     /*  28921 */   // Label 475: @28921
     /*  28921 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(28969), // Rule ID 1048 //
     /*  28926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  28945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28956 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  28959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28961 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28967 */     GIR_RootConstrainSelectedInstOperands,
     /*  28968 */     // GIR_Coverage, 1048,
     /*  28968 */     GIR_EraseRootFromParent_Done,
     /*  28969 */   // Label 476: @28969
     /*  28969 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(29017), // Rule ID 1799 //
     /*  28974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29004 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  29007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  29011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  29015 */     GIR_RootConstrainSelectedInstOperands,
     /*  29016 */     // GIR_Coverage, 1799,
     /*  29016 */     GIR_EraseRootFromParent_Done,
     /*  29017 */   // Label 477: @29017
     /*  29017 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(29044), // Rule ID 1098 //
     /*  29022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29037 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i32),
     /*  29042 */     GIR_RootConstrainSelectedInstOperands,
     /*  29043 */     // GIR_Coverage, 1098,
     /*  29043 */     GIR_Done,
     /*  29044 */   // Label 478: @29044
     /*  29044 */   GIM_Reject,
     /*  29045 */ // Label 397: @29045
     /*  29045 */ GIM_Reject,
     /*  29046 */ // Label 161: @29046
     /*  29046 */ GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(29895),
     /*  29051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29057 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(29190), // Rule ID 13645 //
     /*  29062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  29074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  29082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  29086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29090 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  29094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  29103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  29107 */     // MIs[1] Operand 2
     /*  29107 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  29118 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  29122 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  29126 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29130 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  29134 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  29138 */     // MIs[5] Rn
     /*  29138 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  29143 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  29145 */     // (add:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }), (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  29145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  29148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  29152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  29161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  29165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29172 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  29179 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29189 */     // GIR_Coverage, 13645,
     /*  29189 */     GIR_EraseRootFromParent_Done,
     /*  29190 */   // Label 480: @29190
     /*  29190 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(29323), // Rule ID 6830 //
     /*  29195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  29207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  29215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  29219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  29232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  29236 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  29240 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  29244 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  29248 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  29252 */     // MIs[4] Rn
     /*  29252 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  29257 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  29261 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  29265 */     // MIs[3] Operand 2
     /*  29265 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  29276 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  29278 */     // (add:{ *:[v8i8] } (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)), (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  29278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  29281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  29285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  29294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  29298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29305 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  29312 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29317 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29322 */     // GIR_Coverage, 6830,
     /*  29322 */     GIR_EraseRootFromParent_Done,
     /*  29323 */   // Label 481: @29323
     /*  29323 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(29392), // Rule ID 13041 //
     /*  29328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29343 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29346 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29355 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  29359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29375 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  29375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  29378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29390 */     GIR_RootConstrainSelectedInstOperands,
     /*  29391 */     // GIR_Coverage, 13041,
     /*  29391 */     GIR_EraseRootFromParent_Done,
     /*  29392 */   // Label 482: @29392
     /*  29392 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(29461), // Rule ID 13053 //
     /*  29397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29412 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29415 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  29420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29424 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  29428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29444 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  29444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  29447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29459 */     GIR_RootConstrainSelectedInstOperands,
     /*  29460 */     // GIR_Coverage, 13053,
     /*  29460 */     GIR_EraseRootFromParent_Done,
     /*  29461 */   // Label 483: @29461
     /*  29461 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(29528), // Rule ID 13245 //
     /*  29466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29490 */     // MIs[1] imm
     /*  29490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29498 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  29502 */     // MIs[2] Operand 1
     /*  29502 */     // No operand predicates
     /*  29502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29506 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29512 */     // (add:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  29515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29526 */     GIR_RootConstrainSelectedInstOperands,
     /*  29527 */     // GIR_Coverage, 13245,
     /*  29527 */     GIR_EraseRootFromParent_Done,
     /*  29528 */   // Label 484: @29528
     /*  29528 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(29595), // Rule ID 13266 //
     /*  29533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29557 */     // MIs[1] imm
     /*  29557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29565 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  29569 */     // MIs[2] Operand 1
     /*  29569 */     // No operand predicates
     /*  29569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29573 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29579 */     // (add:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  29582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29593 */     GIR_RootConstrainSelectedInstOperands,
     /*  29594 */     // GIR_Coverage, 13266,
     /*  29594 */     GIR_EraseRootFromParent_Done,
     /*  29595 */   // Label 485: @29595
     /*  29595 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(29664), // Rule ID 1350 //
     /*  29600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29619 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29622 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29631 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  29635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29647 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  29647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  29650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29652 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29662 */     GIR_RootConstrainSelectedInstOperands,
     /*  29663 */     // GIR_Coverage, 1350,
     /*  29663 */     GIR_EraseRootFromParent_Done,
     /*  29664 */   // Label 486: @29664
     /*  29664 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(29733), // Rule ID 1473 //
     /*  29669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29688 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29691 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  29696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29700 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  29704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29716 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  29716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  29719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29721 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29731 */     GIR_RootConstrainSelectedInstOperands,
     /*  29732 */     // GIR_Coverage, 1473,
     /*  29732 */     GIR_EraseRootFromParent_Done,
     /*  29733 */   // Label 487: @29733
     /*  29733 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(29800), // Rule ID 2221 //
     /*  29738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29766 */     // MIs[1] imm
     /*  29766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29774 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  29778 */     // MIs[2] Operand 1
     /*  29778 */     // No operand predicates
     /*  29778 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29784 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  29787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29798 */     GIR_RootConstrainSelectedInstOperands,
     /*  29799 */     // GIR_Coverage, 2221,
     /*  29799 */     GIR_EraseRootFromParent_Done,
     /*  29800 */   // Label 488: @29800
     /*  29800 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(29867), // Rule ID 2280 //
     /*  29805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29833 */     // MIs[1] imm
     /*  29833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29841 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  29845 */     // MIs[2] Operand 1
     /*  29845 */     // No operand predicates
     /*  29845 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29851 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  29854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29865 */     GIR_RootConstrainSelectedInstOperands,
     /*  29866 */     // GIR_Coverage, 2280,
     /*  29866 */     GIR_EraseRootFromParent_Done,
     /*  29867 */   // Label 489: @29867
     /*  29867 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(29894), // Rule ID 1093 //
     /*  29872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29887 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  29887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i8),
     /*  29892 */     GIR_RootConstrainSelectedInstOperands,
     /*  29893 */     // GIR_Coverage, 1093,
     /*  29893 */     GIR_Done,
     /*  29894 */   // Label 490: @29894
     /*  29894 */   GIM_Reject,
     /*  29895 */ // Label 479: @29895
     /*  29895 */ GIM_Reject,
     /*  29896 */ // Label 162: @29896
     /*  29896 */ GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(33473),
     /*  29901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  29904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29907 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(29994), // Rule ID 13085 //
     /*  29912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  29931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  29935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29939 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  29942 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29947 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  29951 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  29955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29961 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  29968 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  29975 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  29975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  29978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  29987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  29992 */     GIR_RootConstrainSelectedInstOperands,
     /*  29993 */     // GIR_Coverage, 13085,
     /*  29993 */     GIR_EraseRootFromParent_Done,
     /*  29994 */   // Label 492: @29994
     /*  29994 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(30081), // Rule ID 13109 //
     /*  29999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30026 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  30029 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  30034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30038 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  30042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30055 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30062 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  30065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30079 */     GIR_RootConstrainSelectedInstOperands,
     /*  30080 */     // GIR_Coverage, 13109,
     /*  30080 */     GIR_EraseRootFromParent_Done,
     /*  30081 */   // Label 493: @30081
     /*  30081 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(30168), // Rule ID 1684 //
     /*  30086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30117 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  30120 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  30125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30129 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  30133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30142 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30149 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  30152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30166 */     GIR_RootConstrainSelectedInstOperands,
     /*  30167 */     // GIR_Coverage, 1684,
     /*  30167 */     GIR_EraseRootFromParent_Done,
     /*  30168 */   // Label 494: @30168
     /*  30168 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(30255), // Rule ID 1762 //
     /*  30173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30204 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  30207 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  30212 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30216 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  30220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30236 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  30239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30241 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30253 */     GIR_RootConstrainSelectedInstOperands,
     /*  30254 */     // GIR_Coverage, 1762,
     /*  30254 */     GIR_EraseRootFromParent_Done,
     /*  30255 */   // Label 495: @30255
     /*  30255 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(30324), // Rule ID 1778 //
     /*  30260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30300 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30307 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  30310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30322 */     GIR_RootConstrainSelectedInstOperands,
     /*  30323 */     // GIR_Coverage, 1778,
     /*  30323 */     GIR_EraseRootFromParent_Done,
     /*  30324 */   // Label 496: @30324
     /*  30324 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(30393), // Rule ID 1777 //
     /*  30329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30362 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30369 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30376 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  30379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30391 */     GIR_RootConstrainSelectedInstOperands,
     /*  30392 */     // GIR_Coverage, 1777,
     /*  30392 */     GIR_EraseRootFromParent_Done,
     /*  30393 */   // Label 497: @30393
     /*  30393 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(30462), // Rule ID 1706 //
     /*  30398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30445 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv16i8_v8i16),
     /*  30448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30460 */     GIR_RootConstrainSelectedInstOperands,
     /*  30461 */     // GIR_Coverage, 1706,
     /*  30461 */     GIR_EraseRootFromParent_Done,
     /*  30462 */   // Label 498: @30462
     /*  30462 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(30531), // Rule ID 1776 //
     /*  30467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30500 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30507 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30514 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  30517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30529 */     GIR_RootConstrainSelectedInstOperands,
     /*  30530 */     // GIR_Coverage, 1776,
     /*  30530 */     GIR_EraseRootFromParent_Done,
     /*  30531 */   // Label 499: @30531
     /*  30531 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(30600), // Rule ID 1775 //
     /*  30536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30576 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30583 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  30586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30598 */     GIR_RootConstrainSelectedInstOperands,
     /*  30599 */     // GIR_Coverage, 1775,
     /*  30599 */     GIR_EraseRootFromParent_Done,
     /*  30600 */   // Label 500: @30600
     /*  30600 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(30667), // Rule ID 13101 //
     /*  30605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30634 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30641 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30648 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  30651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30665 */     GIR_RootConstrainSelectedInstOperands,
     /*  30666 */     // GIR_Coverage, 13101,
     /*  30666 */     GIR_EraseRootFromParent_Done,
     /*  30667 */   // Label 501: @30667
     /*  30667 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(30734), // Rule ID 13131 //
     /*  30672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30708 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30715 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  30718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30732 */     GIR_RootConstrainSelectedInstOperands,
     /*  30733 */     // GIR_Coverage, 13131,
     /*  30733 */     GIR_EraseRootFromParent_Done,
     /*  30734 */   // Label 502: @30734
     /*  30734 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(30801), // Rule ID 1718 //
     /*  30739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30775 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30782 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  30785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30799 */     GIR_RootConstrainSelectedInstOperands,
     /*  30800 */     // GIR_Coverage, 1718,
     /*  30800 */     GIR_EraseRootFromParent_Done,
     /*  30801 */   // Label 503: @30801
     /*  30801 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(30868), // Rule ID 1808 //
     /*  30806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30835 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30842 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  30849 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  30849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  30852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  30861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  30866 */     GIR_RootConstrainSelectedInstOperands,
     /*  30867 */     // GIR_Coverage, 1808,
     /*  30867 */     GIR_EraseRootFromParent_Done,
     /*  30868 */   // Label 504: @30868
     /*  30868 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(30949), // Rule ID 13083 //
     /*  30873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30900 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  30903 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  30908 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30912 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  30916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30932 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  30932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  30935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  30943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  30947 */     GIR_RootConstrainSelectedInstOperands,
     /*  30948 */     // GIR_Coverage, 13083,
     /*  30948 */     GIR_EraseRootFromParent_Done,
     /*  30949 */   // Label 505: @30949
     /*  30949 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(31030), // Rule ID 13107 //
     /*  30954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  30981 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  30984 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  30989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30993 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  30997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31013 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  31016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  31024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  31028 */     GIR_RootConstrainSelectedInstOperands,
     /*  31029 */     // GIR_Coverage, 13107,
     /*  31029 */     GIR_EraseRootFromParent_Done,
     /*  31030 */   // Label 506: @31030
     /*  31030 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(31111), // Rule ID 1682 //
     /*  31035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31066 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31069 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31078 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31094 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  31097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  31105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  31109 */     GIR_RootConstrainSelectedInstOperands,
     /*  31110 */     // GIR_Coverage, 1682,
     /*  31110 */     GIR_EraseRootFromParent_Done,
     /*  31111 */   // Label 507: @31111
     /*  31111 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(31192), // Rule ID 1760 //
     /*  31116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31147 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31150 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31159 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31175 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  31178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  31186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  31190 */     GIR_RootConstrainSelectedInstOperands,
     /*  31191 */     // GIR_Coverage, 1760,
     /*  31191 */     GIR_EraseRootFromParent_Done,
     /*  31192 */   // Label 508: @31192
     /*  31192 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(31243), // Rule ID 13121 //
     /*  31197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  31212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31222 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31229 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  31232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  31236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31241 */     GIR_RootConstrainSelectedInstOperands,
     /*  31242 */     // GIR_Coverage, 13121,
     /*  31242 */     GIR_EraseRootFromParent_Done,
     /*  31243 */   // Label 509: @31243
     /*  31243 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(31294), // Rule ID 13095 //
     /*  31248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  31263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31280 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  31283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  31287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31292 */     GIR_RootConstrainSelectedInstOperands,
     /*  31293 */     // GIR_Coverage, 13095,
     /*  31293 */     GIR_EraseRootFromParent_Done,
     /*  31294 */   // Label 510: @31294
     /*  31294 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(31345), // Rule ID 13120 //
     /*  31299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31331 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  31334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  31338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31343 */     GIR_RootConstrainSelectedInstOperands,
     /*  31344 */     // GIR_Coverage, 13120,
     /*  31344 */     GIR_EraseRootFromParent_Done,
     /*  31345 */   // Label 511: @31345
     /*  31345 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(31396), // Rule ID 1798 //
     /*  31350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  31369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31375 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31382 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  31385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31387 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  31389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31394 */     GIR_RootConstrainSelectedInstOperands,
     /*  31395 */     // GIR_Coverage, 1798,
     /*  31395 */     GIR_EraseRootFromParent_Done,
     /*  31396 */   // Label 512: @31396
     /*  31396 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(31447), // Rule ID 1712 //
     /*  31401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  31420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31433 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  31436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  31440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31445 */     GIR_RootConstrainSelectedInstOperands,
     /*  31446 */     // GIR_Coverage, 1712,
     /*  31446 */     GIR_EraseRootFromParent_Done,
     /*  31447 */   // Label 513: @31447
     /*  31447 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(31498), // Rule ID 1797 //
     /*  31452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31484 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  31487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  31489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  31491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  31496 */     GIR_RootConstrainSelectedInstOperands,
     /*  31497 */     // GIR_Coverage, 1797,
     /*  31497 */     GIR_EraseRootFromParent_Done,
     /*  31498 */   // Label 514: @31498
     /*  31498 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(31567), // Rule ID 13047 //
     /*  31503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31518 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31521 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31530 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  31534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31550 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  31550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  31553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31565 */     GIR_RootConstrainSelectedInstOperands,
     /*  31566 */     // GIR_Coverage, 13047,
     /*  31566 */     GIR_EraseRootFromParent_Done,
     /*  31567 */   // Label 515: @31567
     /*  31567 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(31636), // Rule ID 13059 //
     /*  31572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31587 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31590 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31599 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  31603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31619 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 723:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  31619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  31622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31634 */     GIR_RootConstrainSelectedInstOperands,
     /*  31635 */     // GIR_Coverage, 13059,
     /*  31635 */     GIR_EraseRootFromParent_Done,
     /*  31636 */   // Label 516: @31636
     /*  31636 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(31692), // Rule ID 13009 //
     /*  31641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31656 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  31659 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  31664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  31668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31679 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  31679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  31682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31690 */     GIR_RootConstrainSelectedInstOperands,
     /*  31691 */     // GIR_Coverage, 13009,
     /*  31691 */     GIR_EraseRootFromParent_Done,
     /*  31692 */   // Label 517: @31692
     /*  31692 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(31748), // Rule ID 13021 //
     /*  31697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31712 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  31715 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  31720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  31724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31735 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  31735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  31738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31746 */     GIR_RootConstrainSelectedInstOperands,
     /*  31747 */     // GIR_Coverage, 13021,
     /*  31747 */     GIR_EraseRootFromParent_Done,
     /*  31748 */   // Label 518: @31748
     /*  31748 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(31815), // Rule ID 13251 //
     /*  31753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31777 */     // MIs[1] imm
     /*  31777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31785 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  31789 */     // MIs[2] Operand 1
     /*  31789 */     // No operand predicates
     /*  31789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31793 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31799 */     // (add:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  31802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31813 */     GIR_RootConstrainSelectedInstOperands,
     /*  31814 */     // GIR_Coverage, 13251,
     /*  31814 */     GIR_EraseRootFromParent_Done,
     /*  31815 */   // Label 519: @31815
     /*  31815 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(31882), // Rule ID 13272 //
     /*  31820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31844 */     // MIs[1] imm
     /*  31844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31852 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  31856 */     // MIs[2] Operand 1
     /*  31856 */     // No operand predicates
     /*  31856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31860 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31866 */     // (add:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  31869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31880 */     GIR_RootConstrainSelectedInstOperands,
     /*  31881 */     // GIR_Coverage, 13272,
     /*  31881 */     GIR_EraseRootFromParent_Done,
     /*  31882 */   // Label 520: @31882
     /*  31882 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(31951), // Rule ID 1356 //
     /*  31887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31906 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31909 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31918 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  31922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31934 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  31934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  31937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31939 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31949 */     GIR_RootConstrainSelectedInstOperands,
     /*  31950 */     // GIR_Coverage, 1356,
     /*  31950 */     GIR_EraseRootFromParent_Done,
     /*  31951 */   // Label 521: @31951
     /*  31951 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(32020), // Rule ID 1479 //
     /*  31956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31975 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31978 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31987 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  31991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32003 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 723:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  32003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  32006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32008 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  32014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  32018 */     GIR_RootConstrainSelectedInstOperands,
     /*  32019 */     // GIR_Coverage, 1479,
     /*  32019 */     GIR_EraseRootFromParent_Done,
     /*  32020 */   // Label 522: @32020
     /*  32020 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(32076), // Rule ID 984 //
     /*  32025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32044 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  32047 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  32052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  32056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32063 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  32063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  32066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32068 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  32074 */     GIR_RootConstrainSelectedInstOperands,
     /*  32075 */     // GIR_Coverage, 984,
     /*  32075 */     GIR_EraseRootFromParent_Done,
     /*  32076 */   // Label 523: @32076
     /*  32076 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(32132), // Rule ID 1045 //
     /*  32081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32100 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  32103 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  32108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  32112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32119 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  32119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  32122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32124 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  32130 */     GIR_RootConstrainSelectedInstOperands,
     /*  32131 */     // GIR_Coverage, 1045,
     /*  32131 */     GIR_EraseRootFromParent_Done,
     /*  32132 */   // Label 524: @32132
     /*  32132 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(32199), // Rule ID 2227 //
     /*  32137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  32156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32165 */     // MIs[1] imm
     /*  32165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  32173 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  32177 */     // MIs[2] Operand 1
     /*  32177 */     // No operand predicates
     /*  32177 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  32181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32183 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  32183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  32186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32188 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  32197 */     GIR_RootConstrainSelectedInstOperands,
     /*  32198 */     // GIR_Coverage, 2227,
     /*  32198 */     GIR_EraseRootFromParent_Done,
     /*  32199 */   // Label 525: @32199
     /*  32199 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(32266), // Rule ID 2286 //
     /*  32204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  32223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32232 */     // MIs[1] imm
     /*  32232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  32236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  32240 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  32244 */     // MIs[2] Operand 1
     /*  32244 */     // No operand predicates
     /*  32244 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  32248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32250 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  32250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  32253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  32264 */     GIR_RootConstrainSelectedInstOperands,
     /*  32265 */     // GIR_Coverage, 2286,
     /*  32265 */     GIR_EraseRootFromParent_Done,
     /*  32266 */   // Label 526: @32266
     /*  32266 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(32336), // Rule ID 6826 //
     /*  32271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  32283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  32291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  32309 */     // MIs[2] Rn
     /*  32309 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  32314 */     // MIs[2] Rm
     /*  32314 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  32319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32321 */     // (add:{ *:[v8i16] } (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  32321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  32324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  32334 */     GIR_RootConstrainSelectedInstOperands,
     /*  32335 */     // GIR_Coverage, 6826,
     /*  32335 */     GIR_EraseRootFromParent_Done,
     /*  32336 */   // Label 527: @32336
     /*  32336 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(32406), // Rule ID 13641 //
     /*  32341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  32353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  32357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  32361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  32379 */     // MIs[2] Rn
     /*  32379 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  32384 */     // MIs[2] Rm
     /*  32384 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  32389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32391 */     // (add:{ *:[v8i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  32391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  32394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  32404 */     GIR_RootConstrainSelectedInstOperands,
     /*  32405 */     // GIR_Coverage, 13641,
     /*  32405 */     GIR_EraseRootFromParent_Done,
     /*  32406 */   // Label 528: @32406
     /*  32406 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(32469), // Rule ID 1774 //
     /*  32411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32454 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  32457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  32467 */     GIR_RootConstrainSelectedInstOperands,
     /*  32468 */     // GIR_Coverage, 1774,
     /*  32468 */     GIR_EraseRootFromParent_Done,
     /*  32469 */   // Label 529: @32469
     /*  32469 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(32532), // Rule ID 1773 //
     /*  32474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32517 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  32520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  32530 */     GIR_RootConstrainSelectedInstOperands,
     /*  32531 */     // GIR_Coverage, 1773,
     /*  32531 */     GIR_EraseRootFromParent_Done,
     /*  32532 */   // Label 530: @32532
     /*  32532 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(32595), // Rule ID 1705 //
     /*  32537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32580 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  32583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  32593 */     GIR_RootConstrainSelectedInstOperands,
     /*  32594 */     // GIR_Coverage, 1705,
     /*  32594 */     GIR_EraseRootFromParent_Done,
     /*  32595 */   // Label 531: @32595
     /*  32595 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(32658), // Rule ID 1772 //
     /*  32600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32643 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  32646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  32656 */     GIR_RootConstrainSelectedInstOperands,
     /*  32657 */     // GIR_Coverage, 1772,
     /*  32657 */     GIR_EraseRootFromParent_Done,
     /*  32658 */   // Label 532: @32658
     /*  32658 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(32721), // Rule ID 1771 //
     /*  32663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32706 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  32709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  32719 */     GIR_RootConstrainSelectedInstOperands,
     /*  32720 */     // GIR_Coverage, 1771,
     /*  32720 */     GIR_EraseRootFromParent_Done,
     /*  32721 */   // Label 533: @32721
     /*  32721 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(32782), // Rule ID 13100 //
     /*  32726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32765 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  32768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  32780 */     GIR_RootConstrainSelectedInstOperands,
     /*  32781 */     // GIR_Coverage, 13100,
     /*  32781 */     GIR_EraseRootFromParent_Done,
     /*  32782 */   // Label 534: @32782
     /*  32782 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(32843), // Rule ID 13130 //
     /*  32787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32826 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  32829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  32841 */     GIR_RootConstrainSelectedInstOperands,
     /*  32842 */     // GIR_Coverage, 13130,
     /*  32842 */     GIR_EraseRootFromParent_Done,
     /*  32843 */   // Label 535: @32843
     /*  32843 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(32891), // Rule ID 13119 //
     /*  32848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32878 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  32881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  32889 */     GIR_RootConstrainSelectedInstOperands,
     /*  32890 */     // GIR_Coverage, 13119,
     /*  32890 */     GIR_EraseRootFromParent_Done,
     /*  32891 */   // Label 536: @32891
     /*  32891 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(32939), // Rule ID 13008 //
     /*  32896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  32911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  32915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32926 */     // (add:{ *:[v8i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  32926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  32929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  32937 */     GIR_RootConstrainSelectedInstOperands,
     /*  32938 */     // GIR_Coverage, 13008,
     /*  32938 */     GIR_EraseRootFromParent_Done,
     /*  32939 */   // Label 537: @32939
     /*  32939 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(32987), // Rule ID 13094 //
     /*  32944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32974 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  32977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  32985 */     GIR_RootConstrainSelectedInstOperands,
     /*  32986 */     // GIR_Coverage, 13094,
     /*  32986 */     GIR_EraseRootFromParent_Done,
     /*  32987 */   // Label 538: @32987
     /*  32987 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(33035), // Rule ID 13020 //
     /*  32992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  33007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33022 */     // (add:{ *:[v8i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33033 */     GIR_RootConstrainSelectedInstOperands,
     /*  33034 */     // GIR_Coverage, 13020,
     /*  33034 */     GIR_EraseRootFromParent_Done,
     /*  33035 */   // Label 539: @33035
     /*  33035 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(33083), // Rule ID 13118 //
     /*  33040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33070 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  33073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  33081 */     GIR_RootConstrainSelectedInstOperands,
     /*  33082 */     // GIR_Coverage, 13118,
     /*  33082 */     GIR_EraseRootFromParent_Done,
     /*  33083 */   // Label 540: @33083
     /*  33083 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(33144), // Rule ID 1717 //
     /*  33088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  33107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  33115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33127 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  33130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33132 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  33142 */     GIR_RootConstrainSelectedInstOperands,
     /*  33143 */     // GIR_Coverage, 1717,
     /*  33143 */     GIR_EraseRootFromParent_Done,
     /*  33144 */   // Label 541: @33144
     /*  33144 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(33205), // Rule ID 1807 //
     /*  33149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  33168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  33176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33188 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  33191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  33203 */     GIR_RootConstrainSelectedInstOperands,
     /*  33204 */     // GIR_Coverage, 1807,
     /*  33204 */     GIR_EraseRootFromParent_Done,
     /*  33205 */   // Label 542: @33205
     /*  33205 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(33253), // Rule ID 1796 //
     /*  33210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  33229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33240 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  33243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  33251 */     GIR_RootConstrainSelectedInstOperands,
     /*  33252 */     // GIR_Coverage, 1796,
     /*  33252 */     GIR_EraseRootFromParent_Done,
     /*  33253 */   // Label 543: @33253
     /*  33253 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(33301), // Rule ID 983 //
     /*  33258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  33277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33288 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33293 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33299 */     GIR_RootConstrainSelectedInstOperands,
     /*  33300 */     // GIR_Coverage, 983,
     /*  33300 */     GIR_EraseRootFromParent_Done,
     /*  33301 */   // Label 544: @33301
     /*  33301 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(33349), // Rule ID 1711 //
     /*  33306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33336 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  33339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33341 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  33347 */     GIR_RootConstrainSelectedInstOperands,
     /*  33348 */     // GIR_Coverage, 1711,
     /*  33348 */     GIR_EraseRootFromParent_Done,
     /*  33349 */   // Label 545: @33349
     /*  33349 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(33397), // Rule ID 1044 //
     /*  33354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  33373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33384 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33395 */     GIR_RootConstrainSelectedInstOperands,
     /*  33396 */     // GIR_Coverage, 1044,
     /*  33396 */     GIR_EraseRootFromParent_Done,
     /*  33397 */   // Label 546: @33397
     /*  33397 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(33445), // Rule ID 1795 //
     /*  33402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  33430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33432 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  33432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  33435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33437 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  33443 */     GIR_RootConstrainSelectedInstOperands,
     /*  33444 */     // GIR_Coverage, 1795,
     /*  33444 */     GIR_EraseRootFromParent_Done,
     /*  33445 */   // Label 547: @33445
     /*  33445 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(33472), // Rule ID 1096 //
     /*  33450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33465 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33465 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i16),
     /*  33470 */     GIR_RootConstrainSelectedInstOperands,
     /*  33471 */     // GIR_Coverage, 1096,
     /*  33471 */     GIR_Done,
     /*  33472 */   // Label 548: @33472
     /*  33472 */   GIM_Reject,
     /*  33473 */ // Label 491: @33473
     /*  33473 */ GIM_Reject,
     /*  33474 */ // Label 163: @33474
     /*  33474 */ GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(34197),
     /*  33479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33485 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(33554), // Rule ID 13043 //
     /*  33490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33505 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33508 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33517 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  33521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33537 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 658:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  33540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33552 */     GIR_RootConstrainSelectedInstOperands,
     /*  33553 */     // GIR_Coverage, 13043,
     /*  33553 */     GIR_EraseRootFromParent_Done,
     /*  33554 */   // Label 550: @33554
     /*  33554 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(33623), // Rule ID 13055 //
     /*  33559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33574 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33577 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33586 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  33590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33606 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 723:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  33609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33621 */     GIR_RootConstrainSelectedInstOperands,
     /*  33622 */     // GIR_Coverage, 13055,
     /*  33622 */     GIR_EraseRootFromParent_Done,
     /*  33623 */   // Label 551: @33623
     /*  33623 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(33690), // Rule ID 13247 //
     /*  33628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33652 */     // MIs[1] imm
     /*  33652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33660 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  33664 */     // MIs[2] Operand 1
     /*  33664 */     // No operand predicates
     /*  33664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33668 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33674 */     // (add:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33688 */     GIR_RootConstrainSelectedInstOperands,
     /*  33689 */     // GIR_Coverage, 13247,
     /*  33689 */     GIR_EraseRootFromParent_Done,
     /*  33690 */   // Label 552: @33690
     /*  33690 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(33757), // Rule ID 13268 //
     /*  33695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33719 */     // MIs[1] imm
     /*  33719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33727 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  33731 */     // MIs[2] Operand 1
     /*  33731 */     // No operand predicates
     /*  33731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33735 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33741 */     // (add:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  33744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33755 */     GIR_RootConstrainSelectedInstOperands,
     /*  33756 */     // GIR_Coverage, 13268,
     /*  33756 */     GIR_EraseRootFromParent_Done,
     /*  33757 */   // Label 553: @33757
     /*  33757 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(33826), // Rule ID 1352 //
     /*  33762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33781 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33784 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33793 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  33797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33809 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 658:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  33812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33824 */     GIR_RootConstrainSelectedInstOperands,
     /*  33825 */     // GIR_Coverage, 1352,
     /*  33825 */     GIR_EraseRootFromParent_Done,
     /*  33826 */   // Label 554: @33826
     /*  33826 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(33895), // Rule ID 1475 //
     /*  33831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33850 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33853 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33862 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  33866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33878 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 723:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  33881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33883 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33893 */     GIR_RootConstrainSelectedInstOperands,
     /*  33894 */     // GIR_Coverage, 1475,
     /*  33894 */     GIR_EraseRootFromParent_Done,
     /*  33895 */   // Label 555: @33895
     /*  33895 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(33962), // Rule ID 2223 //
     /*  33900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33928 */     // MIs[1] imm
     /*  33928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33936 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  33940 */     // MIs[2] Operand 1
     /*  33940 */     // No operand predicates
     /*  33940 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33946 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  33949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33951 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33960 */     GIR_RootConstrainSelectedInstOperands,
     /*  33961 */     // GIR_Coverage, 2223,
     /*  33961 */     GIR_EraseRootFromParent_Done,
     /*  33962 */   // Label 556: @33962
     /*  33962 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(34029), // Rule ID 2282 //
     /*  33967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  33990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33995 */     // MIs[1] imm
     /*  33995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  34003 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  34007 */     // MIs[2] Operand 1
     /*  34007 */     // No operand predicates
     /*  34007 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  34011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34013 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  34013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  34016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34018 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  34027 */     GIR_RootConstrainSelectedInstOperands,
     /*  34028 */     // GIR_Coverage, 2282,
     /*  34028 */     GIR_EraseRootFromParent_Done,
     /*  34029 */   // Label 557: @34029
     /*  34029 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(34099), // Rule ID 6827 //
     /*  34034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  34046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  34054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  34072 */     // MIs[2] Rn
     /*  34072 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34077 */     // MIs[2] Rm
     /*  34077 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34084 */     // (add:{ *:[v16i8] } (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  34084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  34087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34097 */     GIR_RootConstrainSelectedInstOperands,
     /*  34098 */     // GIR_Coverage, 6827,
     /*  34098 */     GIR_EraseRootFromParent_Done,
     /*  34099 */   // Label 558: @34099
     /*  34099 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(34169), // Rule ID 13642 //
     /*  34104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  34116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  34124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  34142 */     // MIs[2] Rn
     /*  34142 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34147 */     // MIs[2] Rm
     /*  34147 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34154 */     // (add:{ *:[v16i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  34154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  34157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34167 */     GIR_RootConstrainSelectedInstOperands,
     /*  34168 */     // GIR_Coverage, 13642,
     /*  34168 */     GIR_EraseRootFromParent_Done,
     /*  34169 */   // Label 559: @34169
     /*  34169 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(34196), // Rule ID 1094 //
     /*  34174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34189 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  34189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv16i8),
     /*  34194 */     GIR_RootConstrainSelectedInstOperands,
     /*  34195 */     // GIR_Coverage, 1094,
     /*  34195 */     GIR_Done,
     /*  34196 */   // Label 560: @34196
     /*  34196 */   GIM_Reject,
     /*  34197 */ // Label 549: @34197
     /*  34197 */ GIM_Reject,
     /*  34198 */ // Label 164: @34198
     /*  34198 */ GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(34569),
     /*  34203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  34209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  34213 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(34275), // Rule ID 14826 //
     /*  34218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  34229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  34237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  34245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  34249 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  34260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34262 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  34265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  34269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  34273 */     GIR_RootConstrainSelectedInstOperands,
     /*  34274 */     // GIR_Coverage, 14826,
     /*  34274 */     GIR_EraseRootFromParent_Done,
     /*  34275 */   // Label 562: @34275
     /*  34275 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(34337), // Rule ID 14825 //
     /*  34280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  34291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  34299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  34303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  34307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  34311 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  34322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34324 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  34327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  34331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  34335 */     GIR_RootConstrainSelectedInstOperands,
     /*  34336 */     // GIR_Coverage, 14825,
     /*  34336 */     GIR_EraseRootFromParent_Done,
     /*  34337 */   // Label 563: @34337
     /*  34337 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(34399), // Rule ID 14824 //
     /*  34342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  34353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  34361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  34369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  34373 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  34384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34386 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  34389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34391 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  34393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  34397 */     GIR_RootConstrainSelectedInstOperands,
     /*  34398 */     // GIR_Coverage, 14824,
     /*  34398 */     GIR_EraseRootFromParent_Done,
     /*  34399 */   // Label 564: @34399
     /*  34399 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(34461), // Rule ID 8722 //
     /*  34404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  34415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  34423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  34427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  34431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  34435 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  34446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34448 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  34451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34453 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  34455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  34459 */     GIR_RootConstrainSelectedInstOperands,
     /*  34460 */     // GIR_Coverage, 8722,
     /*  34460 */     GIR_EraseRootFromParent_Done,
     /*  34461 */   // Label 565: @34461
     /*  34461 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(34507), // Rule ID 14827 //
     /*  34466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  34477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34481 */     // MIs[1] Operand 2
     /*  34481 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  34492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34494 */     // (add:{ *:[nxv2i64] } (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  34497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  34501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  34505 */     GIR_RootConstrainSelectedInstOperands,
     /*  34506 */     // GIR_Coverage, 14827,
     /*  34506 */     GIR_EraseRootFromParent_Done,
     /*  34507 */   // Label 566: @34507
     /*  34507 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(34553), // Rule ID 8723 //
     /*  34512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  34515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  34523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  34527 */     // MIs[1] Operand 2
     /*  34527 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  34538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34540 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }))  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  34543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  34545 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  34547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  34551 */     GIR_RootConstrainSelectedInstOperands,
     /*  34552 */     // GIR_Coverage, 8723,
     /*  34552 */     GIR_EraseRootFromParent_Done,
     /*  34553 */   // Label 567: @34553
     /*  34553 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(34568), // Rule ID 2766 //
     /*  34558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  34561 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  34561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_D),
     /*  34566 */     GIR_RootConstrainSelectedInstOperands,
     /*  34567 */     // GIR_Coverage, 2766,
     /*  34567 */     GIR_Done,
     /*  34568 */   // Label 568: @34568
     /*  34568 */   GIM_Reject,
     /*  34569 */ // Label 561: @34569
     /*  34569 */ GIM_Reject,
     /*  34570 */ // Label 165: @34570
     /*  34570 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(34595), // Rule ID 2765 //
     /*  34575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  34578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  34581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  34584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  34588 */   // (add:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  34588 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_S),
     /*  34593 */   GIR_RootConstrainSelectedInstOperands,
     /*  34594 */   // GIR_Coverage, 2765,
     /*  34594 */   GIR_Done,
     /*  34595 */ // Label 569: @34595
     /*  34595 */ GIM_Reject,
     /*  34596 */ // Label 166: @34596
     /*  34596 */ GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(34621), // Rule ID 2764 //
     /*  34601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  34604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  34607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  34610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  34614 */   // (add:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  34614 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_H),
     /*  34619 */   GIR_RootConstrainSelectedInstOperands,
     /*  34620 */   // GIR_Coverage, 2764,
     /*  34620 */   GIR_Done,
     /*  34621 */ // Label 570: @34621
     /*  34621 */ GIM_Reject,
     /*  34622 */ // Label 167: @34622
     /*  34622 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(34647), // Rule ID 2763 //
     /*  34627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  34630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  34633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  34636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  34640 */   // (add:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  34640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_B),
     /*  34645 */   GIR_RootConstrainSelectedInstOperands,
     /*  34646 */   // GIR_Coverage, 2763,
     /*  34646 */   GIR_Done,
     /*  34647 */ // Label 571: @34647
     /*  34647 */ GIM_Reject,
     /*  34648 */ // Label 168: @34648
     /*  34648 */ GIM_Reject,
     /*  34649 */ // Label 1: @34649
     /*  34649 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 585*/ GIMT_Encode4(47996),
     /*  34660 */ /*GILLT_s32*//*Label 572*/ GIMT_Encode4(34748),
     /*  34664 */ /*GILLT_s64*//*Label 573*/ GIMT_Encode4(35602), GIMT_Encode4(0),
     /*  34672 */ /*GILLT_v2s32*//*Label 574*/ GIMT_Encode4(38632),
     /*  34676 */ /*GILLT_v2s64*//*Label 575*/ GIMT_Encode4(40123),
     /*  34680 */ /*GILLT_v4s16*//*Label 576*/ GIMT_Encode4(42583),
     /*  34684 */ /*GILLT_v4s32*//*Label 577*/ GIMT_Encode4(44074),
     /*  34688 */ /*GILLT_v8s8*//*Label 578*/ GIMT_Encode4(46534),
     /*  34692 */ /*GILLT_v8s16*//*Label 579*/ GIMT_Encode4(46609),
     /*  34696 */ /*GILLT_v16s8*//*Label 580*/ GIMT_Encode4(47817), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  34716 */ /*GILLT_nxv2s64*//*Label 581*/ GIMT_Encode4(47892), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  34728 */ /*GILLT_nxv4s32*//*Label 582*/ GIMT_Encode4(47918), GIMT_Encode4(0),
     /*  34736 */ /*GILLT_nxv8s16*//*Label 583*/ GIMT_Encode4(47944), GIMT_Encode4(0),
     /*  34744 */ /*GILLT_nxv16s8*//*Label 584*/ GIMT_Encode4(47970),
     /*  34748 */ // Label 572: @34748
     /*  34748 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(35601),
     /*  34753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  34756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  34759 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(34911), // Rule ID 9769 //
     /*  34764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  34767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  34783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  34787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  34795 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  34798 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  34803 */     // MIs[2] pattern
     /*  34803 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  34806 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  34811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34813 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  34813 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  34816 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34820 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  34827 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  34830 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  34834 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34839 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  34842 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  34846 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  34849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  34854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  34859 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  34867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  34871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34876 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  34879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  34883 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  34886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  34888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34893 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  34900 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34905 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  34910 */     // GIR_Coverage, 9769,
     /*  34910 */     GIR_EraseRootFromParent_Done,
     /*  34911 */   // Label 587: @34911
     /*  34911 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(35063), // Rule ID 9781 //
     /*  34916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  34919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  34927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  34935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  34939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  34943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  34947 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  34950 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  34955 */     // MIs[2] pattern
     /*  34955 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  34958 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  34963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34965 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  34965 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  34968 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  34972 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  34979 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  34982 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  34986 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34991 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  34994 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  34998 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  35001 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35006 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35011 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  35023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35028 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  35035 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35045 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  35052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  35062 */     // GIR_Coverage, 9781,
     /*  35062 */     GIR_EraseRootFromParent_Done,
     /*  35063 */   // Label 588: @35063
     /*  35063 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(35215), // Rule ID 9793 //
     /*  35068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  35071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  35087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  35091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35099 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  35102 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  35107 */     // MIs[2] pattern
     /*  35107 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  35110 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  35115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35117 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  35117 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35120 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35124 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35131 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  35134 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35138 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35143 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  35146 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  35150 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  35153 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35158 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35163 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  35175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35180 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  35187 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35197 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  35204 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  35214 */     // GIR_Coverage, 9793,
     /*  35214 */     GIR_EraseRootFromParent_Done,
     /*  35215 */   // Label 589: @35215
     /*  35215 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(35367), // Rule ID 9805 //
     /*  35220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  35223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  35239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  35243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35251 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  35254 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  35259 */     // MIs[2] pattern
     /*  35259 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  35262 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  35267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35269 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  35269 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  35272 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35276 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  35283 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  35286 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35290 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35295 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  35298 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  35302 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  35305 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35310 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  35315 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  35323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  35327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35332 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  35339 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35349 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  35356 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35361 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  35366 */     // GIR_Coverage, 9805,
     /*  35366 */     GIR_EraseRootFromParent_Done,
     /*  35367 */   // Label 590: @35367
     /*  35367 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(35429), // Rule ID 3895 //
     /*  35372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35376 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  35380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  35388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35408 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  35408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  35411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  35427 */     GIR_RootConstrainSelectedInstOperands,
     /*  35428 */     // GIR_Coverage, 3895,
     /*  35428 */     GIR_EraseRootFromParent_Done,
     /*  35429 */   // Label 591: @35429
     /*  35429 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(35465), // Rule ID 3860 //
     /*  35434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  35442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*  35449 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)  =>  (SUBSWrx:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)
     /*  35449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrx),
     /*  35452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35454 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  35456 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  35460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  35463 */     GIR_RootConstrainSelectedInstOperands,
     /*  35464 */     // GIR_Coverage, 3860,
     /*  35464 */     GIR_EraseRootFromParent_Done,
     /*  35465 */   // Label 592: @35465
     /*  35465 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(35498), // Rule ID 3865 //
     /*  35470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  35474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*  35485 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  35485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*  35488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35490 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35492 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  35496 */     GIR_RootConstrainSelectedInstOperands,
     /*  35497 */     // GIR_Coverage, 3865,
     /*  35497 */     GIR_EraseRootFromParent_Done,
     /*  35498 */   // Label 593: @35498
     /*  35498 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(35534), // Rule ID 3854 //
     /*  35503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  35511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*  35518 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  35518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*  35521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  35529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  35532 */     GIR_RootConstrainSelectedInstOperands,
     /*  35533 */     // GIR_Coverage, 3854,
     /*  35533 */     GIR_EraseRootFromParent_Done,
     /*  35534 */   // Label 594: @35534
     /*  35534 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(35570), // Rule ID 3858 //
     /*  35539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*  35554 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)  =>  (SUBSWrs:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)
     /*  35554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrs),
     /*  35557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35559 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35561 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  35565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  35568 */     GIR_RootConstrainSelectedInstOperands,
     /*  35569 */     // GIR_Coverage, 3858,
     /*  35569 */     GIR_EraseRootFromParent_Done,
     /*  35570 */   // Label 595: @35570
     /*  35570 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(35600), // Rule ID 3856 //
     /*  35575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  35587 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SUBSWrr:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  35587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrr),
     /*  35592 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  35598 */     GIR_RootConstrainSelectedInstOperands,
     /*  35599 */     // GIR_Coverage, 3856,
     /*  35599 */     GIR_Done,
     /*  35600 */   // Label 596: @35600
     /*  35600 */   GIM_Reject,
     /*  35601 */ // Label 586: @35601
     /*  35601 */ GIM_Reject,
     /*  35602 */ // Label 573: @35602
     /*  35602 */ GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(38631),
     /*  35607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  35610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  35613 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(35749), // Rule ID 5337 //
     /*  35618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  35642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35651 */     // MIs[1] Operand 2
     /*  35651 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  35662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  35666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35670 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35674 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  35678 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  35682 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35686 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35691 */     // MIs[3] Operand 2
     /*  35691 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  35702 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  35704 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  35704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  35707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  35711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  35720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  35724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35731 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  35738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35743 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35748 */     // GIR_Coverage, 5337,
     /*  35748 */     GIR_EraseRootFromParent_Done,
     /*  35749 */   // Label 598: @35749
     /*  35749 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(35885), // Rule ID 5336 //
     /*  35754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  35778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35787 */     // MIs[1] Operand 2
     /*  35787 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  35798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  35802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35806 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35810 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  35814 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  35818 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35822 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35827 */     // MIs[3] Operand 2
     /*  35827 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  35838 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  35840 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  35840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  35843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  35847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  35856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  35860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  35865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35867 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  35874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35884 */     // GIR_Coverage, 5336,
     /*  35884 */     GIR_EraseRootFromParent_Done,
     /*  35885 */   // Label 599: @35885
     /*  35885 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(36021), // Rule ID 5346 //
     /*  35890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  35914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35923 */     // MIs[1] Operand 2
     /*  35923 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  35934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  35938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  35942 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  35946 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  35950 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  35954 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  35958 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35963 */     // MIs[3] Operand 2
     /*  35963 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  35974 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  35976 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  35976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  35979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  35983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  35992 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  35996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  35998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36003 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  36010 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36015 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  36020 */     // GIR_Coverage, 5346,
     /*  36020 */     GIR_EraseRootFromParent_Done,
     /*  36021 */   // Label 600: @36021
     /*  36021 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(36157), // Rule ID 5335 //
     /*  36026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  36038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  36042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36059 */     // MIs[1] Operand 2
     /*  36059 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  36070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  36074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  36078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  36082 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  36086 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  36090 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36094 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36099 */     // MIs[3] Operand 2
     /*  36099 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  36110 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  36112 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  36112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  36115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  36119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  36132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36139 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  36146 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36151 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  36156 */     // GIR_Coverage, 5335,
     /*  36156 */     GIR_EraseRootFromParent_Done,
     /*  36157 */   // Label 601: @36157
     /*  36157 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(36293), // Rule ID 5334 //
     /*  36162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  36174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  36178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36195 */     // MIs[1] Operand 2
     /*  36195 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  36206 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  36210 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  36214 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  36218 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  36222 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36226 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  36230 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36235 */     // MIs[3] Operand 2
     /*  36235 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  36246 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  36248 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  36248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  36251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  36255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  36268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36275 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  36282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  36287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  36292 */     // GIR_Coverage, 5334,
     /*  36292 */     GIR_EraseRootFromParent_Done,
     /*  36293 */   // Label 602: @36293
     /*  36293 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(36430), // Rule ID 3912 //
     /*  36298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36339 */     // MIs[2] Operand 2
     /*  36339 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  36350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36358 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  36362 */     // MIs[3] Operand 1
     /*  36362 */     // No operand predicates
     /*  36362 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36364 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  36364 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  36367 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  36371 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36376 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  36381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36395 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  36401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  36414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  36422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36428 */     GIR_RootConstrainSelectedInstOperands,
     /*  36429 */     // GIR_Coverage, 3912,
     /*  36429 */     GIR_EraseRootFromParent_Done,
     /*  36430 */   // Label 603: @36430
     /*  36430 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(36529), // Rule ID 3910 //
     /*  36435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  36467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  36471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36476 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36480 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36484 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  36488 */     // MIs[3] Operand 1
     /*  36488 */     // No operand predicates
     /*  36488 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36490 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  36490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  36497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36502 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  36507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  36512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36527 */     GIR_RootConstrainSelectedInstOperands,
     /*  36528 */     // GIR_Coverage, 3910,
     /*  36528 */     GIR_EraseRootFromParent_Done,
     /*  36529 */   // Label 604: @36529
     /*  36529 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(36628), // Rule ID 3911 //
     /*  36534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  36570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36583 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  36587 */     // MIs[3] Operand 1
     /*  36587 */     // No operand predicates
     /*  36587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36589 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  36589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  36596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36601 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  36606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  36611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36626 */     GIR_RootConstrainSelectedInstOperands,
     /*  36627 */     // GIR_Coverage, 3911,
     /*  36627 */     GIR_EraseRootFromParent_Done,
     /*  36628 */   // Label 605: @36628
     /*  36628 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(36714), // Rule ID 3905 //
     /*  36633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36637 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  36665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  36669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  36682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  36686 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36693 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  36693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  36696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  36706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36712 */     GIR_RootConstrainSelectedInstOperands,
     /*  36713 */     // GIR_Coverage, 3905,
     /*  36713 */     GIR_EraseRootFromParent_Done,
     /*  36714 */   // Label 606: @36714
     /*  36714 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(36800), // Rule ID 3906 //
     /*  36719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  36727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  36755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  36768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  36772 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36779 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  36779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  36782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  36788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  36792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  36798 */     GIR_RootConstrainSelectedInstOperands,
     /*  36799 */     // GIR_Coverage, 3906,
     /*  36799 */     GIR_EraseRootFromParent_Done,
     /*  36800 */   // Label 607: @36800
     /*  36800 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(36933), // Rule ID 3918 //
     /*  36805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36846 */     // MIs[2] Operand 2
     /*  36846 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  36857 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36861 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36865 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  36869 */     // MIs[3] Operand 1
     /*  36869 */     // No operand predicates
     /*  36869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36871 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  36871 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  36874 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  36878 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36883 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  36888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36902 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  36908 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36913 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  36921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  36923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  36929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  36931 */     GIR_RootConstrainSelectedInstOperands,
     /*  36932 */     // GIR_Coverage, 3918,
     /*  36932 */     GIR_EraseRootFromParent_Done,
     /*  36933 */   // Label 608: @36933
     /*  36933 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(37028), // Rule ID 3916 //
     /*  36938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  36954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  36970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  36974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  36983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36987 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  36991 */     // MIs[3] Operand 1
     /*  36991 */     // No operand predicates
     /*  36991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  36993 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  36993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  37000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37005 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  37010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  37015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37024 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  37026 */     GIR_RootConstrainSelectedInstOperands,
     /*  37027 */     // GIR_Coverage, 3916,
     /*  37027 */     GIR_EraseRootFromParent_Done,
     /*  37028 */   // Label 609: @37028
     /*  37028 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(37123), // Rule ID 3917 //
     /*  37033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  37057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  37065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  37069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37074 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  37078 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  37082 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  37086 */     // MIs[3] Operand 1
     /*  37086 */     // No operand predicates
     /*  37086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  37088 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  37088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  37091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  37095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37100 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  37105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  37110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37119 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  37121 */     GIR_RootConstrainSelectedInstOperands,
     /*  37122 */     // GIR_Coverage, 3917,
     /*  37122 */     GIR_EraseRootFromParent_Done,
     /*  37123 */   // Label 610: @37123
     /*  37123 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(37205), // Rule ID 124 //
     /*  37128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  37152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  37160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  37164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  37173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  37177 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  37181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  37188 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  37188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  37191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  37201 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  37203 */     GIR_RootConstrainSelectedInstOperands,
     /*  37204 */     // GIR_Coverage, 124,
     /*  37204 */     GIR_EraseRootFromParent_Done,
     /*  37205 */   // Label 611: @37205
     /*  37205 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(37287), // Rule ID 126 //
     /*  37210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  37234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  37242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  37246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  37255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  37259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  37263 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37268 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  37270 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  37270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  37273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  37283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  37285 */     GIR_RootConstrainSelectedInstOperands,
     /*  37286 */     // GIR_Coverage, 126,
     /*  37286 */     GIR_EraseRootFromParent_Done,
     /*  37287 */   // Label 612: @37287
     /*  37287 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(37349), // Rule ID 3896 //
     /*  37292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  37300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  37316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37328 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  37328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  37331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  37337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  37341 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37347 */     GIR_RootConstrainSelectedInstOperands,
     /*  37348 */     // GIR_Coverage, 3896,
     /*  37348 */     GIR_EraseRootFromParent_Done,
     /*  37349 */   // Label 613: @37349
     /*  37349 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(37407), // Rule ID 9766 //
     /*  37354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  37357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37373 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  37376 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  37381 */     // MIs[1] pattern
     /*  37381 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  37384 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37391 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  37391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  37394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  37396 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  37398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  37402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  37405 */     GIR_RootConstrainSelectedInstOperands,
     /*  37406 */     // GIR_Coverage, 9766,
     /*  37406 */     GIR_EraseRootFromParent_Done,
     /*  37407 */   // Label 614: @37407
     /*  37407 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(37465), // Rule ID 9778 //
     /*  37412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  37415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37431 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  37434 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  37439 */     // MIs[1] pattern
     /*  37439 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  37442 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37449 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  37449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  37452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  37454 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  37456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  37460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  37463 */     GIR_RootConstrainSelectedInstOperands,
     /*  37464 */     // GIR_Coverage, 9778,
     /*  37464 */     GIR_EraseRootFromParent_Done,
     /*  37465 */   // Label 615: @37465
     /*  37465 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(37523), // Rule ID 9790 //
     /*  37470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  37473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37489 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  37492 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  37497 */     // MIs[1] pattern
     /*  37497 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  37500 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37507 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  37507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  37510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  37512 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  37514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  37518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  37521 */     GIR_RootConstrainSelectedInstOperands,
     /*  37522 */     // GIR_Coverage, 9790,
     /*  37522 */     GIR_EraseRootFromParent_Done,
     /*  37523 */   // Label 616: @37523
     /*  37523 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(37581), // Rule ID 9802 //
     /*  37528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  37531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37547 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  37550 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  37555 */     // MIs[1] pattern
     /*  37555 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  37558 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37565 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  37565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  37568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  37570 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  37572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  37576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  37579 */     GIR_RootConstrainSelectedInstOperands,
     /*  37580 */     // GIR_Coverage, 9802,
     /*  37580 */     GIR_EraseRootFromParent_Done,
     /*  37581 */   // Label 617: @37581
     /*  37581 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(37744), // Rule ID 5301 //
     /*  37586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  37614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  37618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37632 */     // MIs[1] Operand 2
     /*  37632 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  37643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37645 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  37645 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  37648 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37652 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37659 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  37662 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37666 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37671 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37674 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  37678 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  37681 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37686 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37691 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  37699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  37703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  37719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37726 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  37733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37743 */     // GIR_Coverage, 5301,
     /*  37743 */     GIR_EraseRootFromParent_Done,
     /*  37744 */   // Label 618: @37744
     /*  37744 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(37907), // Rule ID 5298 //
     /*  37749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  37777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  37781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  37785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37795 */     // MIs[1] Operand 2
     /*  37795 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  37806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37808 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  37808 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  37811 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37815 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37822 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  37825 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37829 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37834 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37837 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  37841 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  37844 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  37862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  37866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37871 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  37878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  37882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37889 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  37896 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37901 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  37906 */     // GIR_Coverage, 5298,
     /*  37906 */     GIR_EraseRootFromParent_Done,
     /*  37907 */   // Label 619: @37907
     /*  37907 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(38057), // Rule ID 5343 //
     /*  37912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  37940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  37944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37949 */     // MIs[1] Operand 2
     /*  37949 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  37960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37962 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  37962 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  37965 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37969 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37976 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  37979 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37983 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37988 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37991 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37995 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  37998 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38003 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38008 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  38020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38025 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  38032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38039 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38051 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38056 */     // GIR_Coverage, 5343,
     /*  38056 */     GIR_EraseRootFromParent_Done,
     /*  38057 */   // Label 620: @38057
     /*  38057 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(38207), // Rule ID 5349 //
     /*  38062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38099 */     // MIs[1] Operand 2
     /*  38099 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38112 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38112 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  38115 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38119 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  38126 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  38129 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38133 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38138 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  38141 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  38145 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  38148 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38153 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38158 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  38170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38175 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  38182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38189 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38196 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38201 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38206 */     // GIR_Coverage, 5349,
     /*  38206 */     GIR_EraseRootFromParent_Done,
     /*  38207 */   // Label 621: @38207
     /*  38207 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(38357), // Rule ID 5342 //
     /*  38212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38249 */     // MIs[1] Operand 2
     /*  38249 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38262 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38262 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  38265 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38269 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  38276 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  38279 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38283 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38288 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  38291 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  38295 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  38298 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38303 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38308 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  38320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38325 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  38332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38339 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38346 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38351 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38356 */     // GIR_Coverage, 5342,
     /*  38356 */     GIR_EraseRootFromParent_Done,
     /*  38357 */   // Label 622: @38357
     /*  38357 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(38393), // Rule ID 3861 //
     /*  38362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  38370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  38377 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)  =>  (SUBSXrx:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)
     /*  38377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrx),
     /*  38380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38382 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  38384 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  38388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  38391 */     GIR_RootConstrainSelectedInstOperands,
     /*  38392 */     // GIR_Coverage, 3861,
     /*  38392 */     GIR_EraseRootFromParent_Done,
     /*  38393 */   // Label 623: @38393
     /*  38393 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(38426), // Rule ID 3866 //
     /*  38398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  38402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  38413 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  38413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*  38416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  38420 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  38424 */     GIR_RootConstrainSelectedInstOperands,
     /*  38425 */     // GIR_Coverage, 3866,
     /*  38425 */     GIR_EraseRootFromParent_Done,
     /*  38426 */   // Label 624: @38426
     /*  38426 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(38462), // Rule ID 3855 //
     /*  38431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  38439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*  38446 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  38446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  38449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  38453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  38457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  38460 */     GIR_RootConstrainSelectedInstOperands,
     /*  38461 */     // GIR_Coverage, 3855,
     /*  38461 */     GIR_EraseRootFromParent_Done,
     /*  38462 */   // Label 625: @38462
     /*  38462 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(38498), // Rule ID 3859 //
     /*  38467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  38482 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)  =>  (SUBSXrs:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)
     /*  38482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrs),
     /*  38485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  38489 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  38493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  38496 */     GIR_RootConstrainSelectedInstOperands,
     /*  38497 */     // GIR_Coverage, 3859,
     /*  38497 */     GIR_EraseRootFromParent_Done,
     /*  38498 */   // Label 626: @38498
     /*  38498 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(38537), // Rule ID 1648 //
     /*  38503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38514 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38520 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  38522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38528 */     // (sub:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (NEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /*  38528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  38531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  38535 */     GIR_RootConstrainSelectedInstOperands,
     /*  38536 */     // GIR_Coverage, 1648,
     /*  38536 */     GIR_EraseRootFromParent_Done,
     /*  38537 */   // Label 627: @38537
     /*  38537 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(38573), // Rule ID 5184 //
     /*  38542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38550 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38556 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  38558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38564 */     // (sub:{ *:[i64] } immAllZerosV:{ *:[i64] }, FPR64:{ *:[i64] }:$Rn)  =>  (NEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /*  38564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  38567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  38571 */     GIR_RootConstrainSelectedInstOperands,
     /*  38572 */     // GIR_Coverage, 5184,
     /*  38572 */     GIR_EraseRootFromParent_Done,
     /*  38573 */   // Label 628: @38573
     /*  38573 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(38600), // Rule ID 1637 //
     /*  38578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  38581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38593 */     // (sub:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  38593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv1i64),
     /*  38598 */     GIR_RootConstrainSelectedInstOperands,
     /*  38599 */     // GIR_Coverage, 1637,
     /*  38599 */     GIR_Done,
     /*  38600 */   // Label 629: @38600
     /*  38600 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(38630), // Rule ID 3857 //
     /*  38605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38617 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SUBSXrr:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  38617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrr),
     /*  38622 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  38628 */     GIR_RootConstrainSelectedInstOperands,
     /*  38629 */     // GIR_Coverage, 3857,
     /*  38629 */     GIR_Done,
     /*  38630 */   // Label 630: @38630
     /*  38630 */   GIM_Reject,
     /*  38631 */ // Label 597: @38631
     /*  38631 */ GIM_Reject,
     /*  38632 */ // Label 574: @38632
     /*  38632 */ GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(40122),
     /*  38637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  38643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38647 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(38779), // Rule ID 5333 //
     /*  38652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38681 */     // MIs[1] Operand 2
     /*  38681 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38692 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38696 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38700 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38704 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38708 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38712 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38716 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38721 */     // MIs[3] Operand 2
     /*  38721 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38732 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38734 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  38734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  38737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  38741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38761 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38768 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38773 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38778 */     // GIR_Coverage, 5333,
     /*  38778 */     GIR_EraseRootFromParent_Done,
     /*  38779 */   // Label 632: @38779
     /*  38779 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(38911), // Rule ID 5332 //
     /*  38784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38813 */     // MIs[1] Operand 2
     /*  38813 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38832 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38836 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38840 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38844 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38848 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38853 */     // MIs[3] Operand 2
     /*  38853 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38864 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38866 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  38866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  38869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  38873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38893 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38900 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38905 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38910 */     // GIR_Coverage, 5332,
     /*  38910 */     GIR_EraseRootFromParent_Done,
     /*  38911 */   // Label 633: @38911
     /*  38911 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(39043), // Rule ID 5345 //
     /*  38916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38945 */     // MIs[1] Operand 2
     /*  38945 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38956 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38960 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38964 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  38968 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38972 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38976 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  38980 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38985 */     // MIs[3] Operand 2
     /*  38985 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38996 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38998 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  38998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  39005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  39018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39025 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39032 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39037 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39042 */     // GIR_Coverage, 5345,
     /*  39042 */     GIR_EraseRootFromParent_Done,
     /*  39043 */   // Label 634: @39043
     /*  39043 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(39175), // Rule ID 5331 //
     /*  39048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39077 */     // MIs[1] Operand 2
     /*  39077 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  39092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39096 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39100 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  39104 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  39108 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39112 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39117 */     // MIs[3] Operand 2
     /*  39117 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  39128 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  39130 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  39137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  39150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39157 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39164 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39169 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39174 */     // GIR_Coverage, 5331,
     /*  39174 */     GIR_EraseRootFromParent_Done,
     /*  39175 */   // Label 635: @39175
     /*  39175 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(39307), // Rule ID 5330 //
     /*  39180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39209 */     // MIs[1] Operand 2
     /*  39209 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  39224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39228 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39232 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  39236 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39240 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39244 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39249 */     // MIs[3] Operand 2
     /*  39249 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  39260 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  39262 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  39269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  39282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39289 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39296 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39301 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39306 */     // GIR_Coverage, 5330,
     /*  39306 */     GIR_EraseRootFromParent_Done,
     /*  39307 */   // Label 636: @39307
     /*  39307 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(39466), // Rule ID 5300 //
     /*  39312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  39336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39340 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  39344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39354 */     // MIs[1] Operand 2
     /*  39354 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39367 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39367 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  39370 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39374 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39381 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  39384 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39388 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39393 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39396 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  39400 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  39403 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39408 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39413 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  39425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39430 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  39441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39448 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39455 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39460 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39465 */     // GIR_Coverage, 5300,
     /*  39465 */     GIR_EraseRootFromParent_Done,
     /*  39466 */   // Label 637: @39466
     /*  39466 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(39625), // Rule ID 5297 //
     /*  39471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  39495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39499 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  39503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39513 */     // MIs[1] Operand 2
     /*  39513 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39526 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39526 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  39529 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39533 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39540 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  39543 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39547 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39552 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39555 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  39559 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  39562 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39567 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39572 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  39584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39589 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  39600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39607 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39614 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39619 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39624 */     // GIR_Coverage, 5297,
     /*  39624 */     GIR_EraseRootFromParent_Done,
     /*  39625 */   // Label 638: @39625
     /*  39625 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(39771), // Rule ID 5341 //
     /*  39630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  39654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39663 */     // MIs[1] Operand 2
     /*  39663 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39676 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39676 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  39679 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39683 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39690 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  39693 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39697 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39702 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39705 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  39709 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  39712 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39717 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39722 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  39734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39739 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  39746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39753 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39760 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39765 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39770 */     // GIR_Coverage, 5341,
     /*  39770 */     GIR_EraseRootFromParent_Done,
     /*  39771 */   // Label 639: @39771
     /*  39771 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(39917), // Rule ID 5348 //
     /*  39776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39809 */     // MIs[1] Operand 2
     /*  39809 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39822 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39822 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  39825 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39829 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39836 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  39839 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39843 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39848 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39851 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  39855 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  39858 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39863 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39868 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  39876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  39880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39885 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  39892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39899 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  39906 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39911 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  39916 */     // GIR_Coverage, 5348,
     /*  39916 */     GIR_EraseRootFromParent_Done,
     /*  39917 */   // Label 640: @39917
     /*  39917 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(40063), // Rule ID 5340 //
     /*  39922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  39950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39955 */     // MIs[1] Operand 2
     /*  39955 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39968 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  39968 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  39971 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39975 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39982 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  39985 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39989 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39994 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39997 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40001 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40004 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40009 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40014 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  40022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  40026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40031 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40045 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40062 */     // GIR_Coverage, 5340,
     /*  40062 */     GIR_EraseRootFromParent_Done,
     /*  40063 */   // Label 641: @40063
     /*  40063 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(40098), // Rule ID 962 //
     /*  40068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40075 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40081 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  40083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40089 */     // (sub:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn)  =>  (NEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i32),
     /*  40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  40096 */     GIR_RootConstrainSelectedInstOperands,
     /*  40097 */     // GIR_Coverage, 962,
     /*  40097 */     GIR_EraseRootFromParent_Done,
     /*  40098 */   // Label 642: @40098
     /*  40098 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(40121), // Rule ID 1469 //
     /*  40103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40114 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  40114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i32),
     /*  40119 */     GIR_RootConstrainSelectedInstOperands,
     /*  40120 */     // GIR_Coverage, 1469,
     /*  40120 */     GIR_Done,
     /*  40121 */   // Label 643: @40121
     /*  40121 */   GIM_Reject,
     /*  40122 */ // Label 631: @40122
     /*  40122 */ GIM_Reject,
     /*  40123 */ // Label 575: @40123
     /*  40123 */ GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(42582),
     /*  40128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  40134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40138 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(40252), // Rule ID 2041 //
     /*  40143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  40158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40178 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40182 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  40186 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40190 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  40194 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40199 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  40203 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  40207 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  40211 */     // MIs[4] Operand 1
     /*  40211 */     // No operand predicates
     /*  40211 */     // MIs[2] Operand 2
     /*  40211 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  40222 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  40224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40231 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  40231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  40234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40236 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  40238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  40247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  40250 */     GIR_RootConstrainSelectedInstOperands,
     /*  40251 */     // GIR_Coverage, 2041,
     /*  40251 */     GIR_EraseRootFromParent_Done,
     /*  40252 */   // Label 645: @40252
     /*  40252 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(40366), // Rule ID 13195 //
     /*  40257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  40272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  40300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40304 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  40308 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40313 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  40317 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  40321 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  40325 */     // MIs[4] Operand 1
     /*  40325 */     // No operand predicates
     /*  40325 */     // MIs[2] Operand 2
     /*  40325 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  40336 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  40338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40345 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  40345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  40348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  40352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  40361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  40364 */     GIR_RootConstrainSelectedInstOperands,
     /*  40365 */     // GIR_Coverage, 13195,
     /*  40365 */     GIR_EraseRootFromParent_Done,
     /*  40366 */   // Label 646: @40366
     /*  40366 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(40480), // Rule ID 2093 //
     /*  40371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  40386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40406 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40410 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  40414 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40418 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  40422 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40427 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  40431 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  40435 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  40439 */     // MIs[4] Operand 1
     /*  40439 */     // No operand predicates
     /*  40439 */     // MIs[2] Operand 2
     /*  40439 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  40450 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  40452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40459 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  40459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  40462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40464 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  40466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  40475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  40478 */     GIR_RootConstrainSelectedInstOperands,
     /*  40479 */     // GIR_Coverage, 2093,
     /*  40479 */     GIR_EraseRootFromParent_Done,
     /*  40480 */   // Label 647: @40480
     /*  40480 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(40594), // Rule ID 13225 //
     /*  40485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  40500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  40528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40532 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  40536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40541 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  40545 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  40549 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  40553 */     // MIs[4] Operand 1
     /*  40553 */     // No operand predicates
     /*  40553 */     // MIs[2] Operand 2
     /*  40553 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  40564 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  40566 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40573 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  40573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  40576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  40580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  40589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  40592 */     GIR_RootConstrainSelectedInstOperands,
     /*  40593 */     // GIR_Coverage, 13225,
     /*  40593 */     GIR_EraseRootFromParent_Done,
     /*  40594 */   // Label 648: @40594
     /*  40594 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(40659), // Rule ID 1848 //
     /*  40599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40635 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40642 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  40642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  40645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  40657 */     GIR_RootConstrainSelectedInstOperands,
     /*  40658 */     // GIR_Coverage, 1848,
     /*  40658 */     GIR_EraseRootFromParent_Done,
     /*  40659 */   // Label 649: @40659
     /*  40659 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(40724), // Rule ID 1847 //
     /*  40664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40707 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  40707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  40710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  40722 */     GIR_RootConstrainSelectedInstOperands,
     /*  40723 */     // GIR_Coverage, 1847,
     /*  40723 */     GIR_EraseRootFromParent_Done,
     /*  40724 */   // Label 650: @40724
     /*  40724 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(40789), // Rule ID 1752 //
     /*  40729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  40740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  40752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40765 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40772 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  40772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i32_v2i64),
     /*  40775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  40787 */     GIR_RootConstrainSelectedInstOperands,
     /*  40788 */     // GIR_Coverage, 1752,
     /*  40788 */     GIR_EraseRootFromParent_Done,
     /*  40789 */   // Label 651: @40789
     /*  40789 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(40854), // Rule ID 1846 //
     /*  40794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40830 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40837 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  40837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  40840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  40852 */     GIR_RootConstrainSelectedInstOperands,
     /*  40853 */     // GIR_Coverage, 1846,
     /*  40853 */     GIR_EraseRootFromParent_Done,
     /*  40854 */   // Label 652: @40854
     /*  40854 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(40919), // Rule ID 1845 //
     /*  40859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40895 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  40902 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  40902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  40905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  40912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  40917 */     GIR_RootConstrainSelectedInstOperands,
     /*  40918 */     // GIR_Coverage, 1845,
     /*  40918 */     GIR_EraseRootFromParent_Done,
     /*  40919 */   // Label 653: @40919
     /*  40919 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(41030), // Rule ID 13193 //
     /*  40924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  40927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  40939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  40963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  40967 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  40971 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  40975 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40980 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  40984 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  40988 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  40992 */     // MIs[4] Operand 1
     /*  40992 */     // No operand predicates
     /*  40992 */     // MIs[2] Operand 2
     /*  40992 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  41003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41008 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41010 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  41013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41015 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  41021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  41025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  41028 */     GIR_RootConstrainSelectedInstOperands,
     /*  41029 */     // GIR_Coverage, 13193,
     /*  41029 */     GIR_EraseRootFromParent_Done,
     /*  41030 */   // Label 654: @41030
     /*  41030 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(41141), // Rule ID 2039 //
     /*  41035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  41050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  41079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41083 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41087 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  41091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41096 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  41100 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41104 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41108 */     // MIs[4] Operand 1
     /*  41108 */     // No operand predicates
     /*  41108 */     // MIs[2] Operand 2
     /*  41108 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  41119 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41121 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  41124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  41132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  41136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  41139 */     GIR_RootConstrainSelectedInstOperands,
     /*  41140 */     // GIR_Coverage, 2039,
     /*  41140 */     GIR_EraseRootFromParent_Done,
     /*  41141 */   // Label 655: @41141
     /*  41141 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(41252), // Rule ID 13223 //
     /*  41146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  41161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41181 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  41185 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41189 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41193 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  41197 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41202 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  41206 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41210 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41214 */     // MIs[4] Operand 1
     /*  41214 */     // No operand predicates
     /*  41214 */     // MIs[2] Operand 2
     /*  41214 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  41225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41230 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41232 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  41235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  41243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  41247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  41250 */     GIR_RootConstrainSelectedInstOperands,
     /*  41251 */     // GIR_Coverage, 13223,
     /*  41251 */     GIR_EraseRootFromParent_Done,
     /*  41252 */   // Label 656: @41252
     /*  41252 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(41363), // Rule ID 2091 //
     /*  41257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  41272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  41301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41305 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41309 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  41313 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41318 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  41322 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41326 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41330 */     // MIs[4] Operand 1
     /*  41330 */     // No operand predicates
     /*  41330 */     // MIs[2] Operand 2
     /*  41330 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  41341 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41343 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  41346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41348 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  41354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  41358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  41361 */     GIR_RootConstrainSelectedInstOperands,
     /*  41362 */     // GIR_Coverage, 2091,
     /*  41362 */     GIR_EraseRootFromParent_Done,
     /*  41363 */   // Label 657: @41363
     /*  41363 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(41426), // Rule ID 1728 //
     /*  41368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  41383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41393 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41407 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  41407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_v2i64),
     /*  41410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41412 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  41419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  41424 */     GIR_RootConstrainSelectedInstOperands,
     /*  41425 */     // GIR_Coverage, 1728,
     /*  41425 */     GIR_EraseRootFromParent_Done,
     /*  41426 */   // Label 658: @41426
     /*  41426 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(41489), // Rule ID 1818 //
     /*  41431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  41446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41456 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41470 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  41470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_v2i64),
     /*  41473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  41482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  41487 */     GIR_RootConstrainSelectedInstOperands,
     /*  41488 */     // GIR_Coverage, 1818,
     /*  41488 */     GIR_EraseRootFromParent_Done,
     /*  41489 */   // Label 659: @41489
     /*  41489 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(41577), // Rule ID 13194 //
     /*  41494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  41509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41529 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  41533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41538 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  41542 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41546 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41550 */     // MIs[3] Operand 1
     /*  41550 */     // No operand predicates
     /*  41550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41557 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  41560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41562 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  41568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  41572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  41575 */     GIR_RootConstrainSelectedInstOperands,
     /*  41576 */     // GIR_Coverage, 13194,
     /*  41576 */     GIR_EraseRootFromParent_Done,
     /*  41577 */   // Label 660: @41577
     /*  41577 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(41665), // Rule ID 2040 //
     /*  41582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  41597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41622 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  41626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  41635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41639 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41643 */     // MIs[3] Operand 1
     /*  41643 */     // No operand predicates
     /*  41643 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41645 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  41648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41650 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  41656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  41660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  41663 */     GIR_RootConstrainSelectedInstOperands,
     /*  41664 */     // GIR_Coverage, 2040,
     /*  41664 */     GIR_EraseRootFromParent_Done,
     /*  41665 */   // Label 661: @41665
     /*  41665 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(41753), // Rule ID 13224 //
     /*  41670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  41685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  41709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  41718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41722 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41726 */     // MIs[3] Operand 1
     /*  41726 */     // No operand predicates
     /*  41726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41733 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  41736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41738 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  41744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  41748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  41751 */     GIR_RootConstrainSelectedInstOperands,
     /*  41752 */     // GIR_Coverage, 13224,
     /*  41752 */     GIR_EraseRootFromParent_Done,
     /*  41753 */   // Label 662: @41753
     /*  41753 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(41841), // Rule ID 2092 //
     /*  41758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  41773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  41790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  41794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  41802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  41811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  41815 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  41819 */     // MIs[3] Operand 1
     /*  41819 */     // No operand predicates
     /*  41819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  41821 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  41821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  41824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41826 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  41828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  41832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  41836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  41839 */     GIR_RootConstrainSelectedInstOperands,
     /*  41840 */     // GIR_Coverage, 2092,
     /*  41840 */     GIR_EraseRootFromParent_Done,
     /*  41841 */   // Label 663: @41841
     /*  41841 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(41888), // Rule ID 1860 //
     /*  41846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41867 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41874 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  41874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  41877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  41886 */     GIR_RootConstrainSelectedInstOperands,
     /*  41887 */     // GIR_Coverage, 1860,
     /*  41887 */     GIR_EraseRootFromParent_Done,
     /*  41888 */   // Label 664: @41888
     /*  41888 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(41935), // Rule ID 1758 //
     /*  41893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41921 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  41921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i32_v2i64),
     /*  41924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41926 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  41933 */     GIR_RootConstrainSelectedInstOperands,
     /*  41934 */     // GIR_Coverage, 1758,
     /*  41934 */     GIR_EraseRootFromParent_Done,
     /*  41935 */   // Label 665: @41935
     /*  41935 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(41982), // Rule ID 1859 //
     /*  41940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  41968 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  41968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  41971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41973 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  41980 */     GIR_RootConstrainSelectedInstOperands,
     /*  41981 */     // GIR_Coverage, 1859,
     /*  41981 */     GIR_EraseRootFromParent_Done,
     /*  41982 */   // Label 666: @41982
     /*  41982 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(42041), // Rule ID 1844 //
     /*  41987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42026 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  42029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42039 */     GIR_RootConstrainSelectedInstOperands,
     /*  42040 */     // GIR_Coverage, 1844,
     /*  42040 */     GIR_EraseRootFromParent_Done,
     /*  42041 */   // Label 667: @42041
     /*  42041 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(42100), // Rule ID 1843 //
     /*  42046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42085 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  42088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42098 */     GIR_RootConstrainSelectedInstOperands,
     /*  42099 */     // GIR_Coverage, 1843,
     /*  42099 */     GIR_EraseRootFromParent_Done,
     /*  42100 */   // Label 668: @42100
     /*  42100 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(42159), // Rule ID 1751 //
     /*  42105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42144 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  42147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42157 */     GIR_RootConstrainSelectedInstOperands,
     /*  42158 */     // GIR_Coverage, 1751,
     /*  42158 */     GIR_EraseRootFromParent_Done,
     /*  42159 */   // Label 669: @42159
     /*  42159 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(42218), // Rule ID 1842 //
     /*  42164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42203 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  42206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42216 */     GIR_RootConstrainSelectedInstOperands,
     /*  42217 */     // GIR_Coverage, 1842,
     /*  42217 */     GIR_EraseRootFromParent_Done,
     /*  42218 */   // Label 670: @42218
     /*  42218 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(42277), // Rule ID 1841 //
     /*  42223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42262 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  42265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42275 */     GIR_RootConstrainSelectedInstOperands,
     /*  42276 */     // GIR_Coverage, 1841,
     /*  42276 */     GIR_EraseRootFromParent_Done,
     /*  42277 */   // Label 671: @42277
     /*  42277 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(42312), // Rule ID 964 //
     /*  42282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42289 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42295 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  42297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42303 */     // (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn)  =>  (NEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  42303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i64),
     /*  42306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  42310 */     GIR_RootConstrainSelectedInstOperands,
     /*  42311 */     // GIR_Coverage, 964,
     /*  42311 */     GIR_EraseRootFromParent_Done,
     /*  42312 */   // Label 672: @42312
     /*  42312 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(42369), // Rule ID 1727 //
     /*  42317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42352 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  42355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  42367 */     GIR_RootConstrainSelectedInstOperands,
     /*  42368 */     // GIR_Coverage, 1727,
     /*  42368 */     GIR_EraseRootFromParent_Done,
     /*  42369 */   // Label 673: @42369
     /*  42369 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(42426), // Rule ID 1817 //
     /*  42374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  42389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42409 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  42412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42414 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  42420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  42424 */     GIR_RootConstrainSelectedInstOperands,
     /*  42425 */     // GIR_Coverage, 1817,
     /*  42425 */     GIR_EraseRootFromParent_Done,
     /*  42426 */   // Label 674: @42426
     /*  42426 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(42470), // Rule ID 1858 //
     /*  42431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42457 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  42460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42462 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  42464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  42468 */     GIR_RootConstrainSelectedInstOperands,
     /*  42469 */     // GIR_Coverage, 1858,
     /*  42469 */     GIR_EraseRootFromParent_Done,
     /*  42470 */   // Label 675: @42470
     /*  42470 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(42514), // Rule ID 1757 //
     /*  42475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42501 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  42504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  42508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  42512 */     GIR_RootConstrainSelectedInstOperands,
     /*  42513 */     // GIR_Coverage, 1757,
     /*  42513 */     GIR_EraseRootFromParent_Done,
     /*  42514 */   // Label 676: @42514
     /*  42514 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(42558), // Rule ID 1857 //
     /*  42519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42545 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  42548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  42552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  42556 */     GIR_RootConstrainSelectedInstOperands,
     /*  42557 */     // GIR_Coverage, 1857,
     /*  42557 */     GIR_EraseRootFromParent_Done,
     /*  42558 */   // Label 677: @42558
     /*  42558 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(42581), // Rule ID 1471 //
     /*  42563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42574 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  42574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i64),
     /*  42579 */     GIR_RootConstrainSelectedInstOperands,
     /*  42580 */     // GIR_Coverage, 1471,
     /*  42580 */     GIR_Done,
     /*  42581 */   // Label 678: @42581
     /*  42581 */   GIM_Reject,
     /*  42582 */ // Label 644: @42582
     /*  42582 */ GIM_Reject,
     /*  42583 */ // Label 576: @42583
     /*  42583 */ GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(44073),
     /*  42588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  42594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42598 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(42730), // Rule ID 5329 //
     /*  42603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42623 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42632 */     // MIs[1] Operand 2
     /*  42632 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  42647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42651 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42655 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  42659 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42663 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42667 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42672 */     // MIs[3] Operand 2
     /*  42672 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  42683 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42685 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  42685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  42688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  42692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  42705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42712 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42724 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42729 */     // GIR_Coverage, 5329,
     /*  42729 */     GIR_EraseRootFromParent_Done,
     /*  42730 */   // Label 680: @42730
     /*  42730 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(42862), // Rule ID 5328 //
     /*  42735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42764 */     // MIs[1] Operand 2
     /*  42764 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42775 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  42779 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42783 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42787 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  42791 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42795 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42799 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42804 */     // MIs[3] Operand 2
     /*  42804 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  42815 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42817 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  42817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  42820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  42824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  42837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42844 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42851 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42856 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42861 */     // GIR_Coverage, 5328,
     /*  42861 */     GIR_EraseRootFromParent_Done,
     /*  42862 */   // Label 681: @42862
     /*  42862 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(42994), // Rule ID 5344 //
     /*  42867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42896 */     // MIs[1] Operand 2
     /*  42896 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  42911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  42919 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  42923 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42927 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  42931 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42936 */     // MIs[3] Operand 2
     /*  42936 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  42947 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42949 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  42949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  42952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  42956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  42969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42976 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42988 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42993 */     // GIR_Coverage, 5344,
     /*  42993 */     GIR_EraseRootFromParent_Done,
     /*  42994 */   // Label 682: @42994
     /*  42994 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(43126), // Rule ID 5327 //
     /*  42999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43028 */     // MIs[1] Operand 2
     /*  43028 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43051 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  43055 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43059 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43063 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43068 */     // MIs[3] Operand 2
     /*  43068 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  43079 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43081 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  43088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  43097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  43101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43108 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43115 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43120 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43125 */     // GIR_Coverage, 5327,
     /*  43125 */     GIR_EraseRootFromParent_Done,
     /*  43126 */   // Label 683: @43126
     /*  43126 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(43258), // Rule ID 5326 //
     /*  43131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43160 */     // MIs[1] Operand 2
     /*  43160 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  43175 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43179 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43183 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  43187 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43191 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43195 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43200 */     // MIs[3] Operand 2
     /*  43200 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  43211 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43213 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  43220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  43229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  43233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43240 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43257 */     // GIR_Coverage, 5326,
     /*  43257 */     GIR_EraseRootFromParent_Done,
     /*  43258 */   // Label 684: @43258
     /*  43258 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(43417), // Rule ID 5299 //
     /*  43263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  43287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  43295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43305 */     // MIs[1] Operand 2
     /*  43305 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43318 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43318 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  43321 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43325 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43332 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  43335 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43339 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43344 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43347 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  43351 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  43354 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43359 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43364 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  43376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43381 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  43388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  43392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43399 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43406 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43411 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43416 */     // GIR_Coverage, 5299,
     /*  43416 */     GIR_EraseRootFromParent_Done,
     /*  43417 */   // Label 685: @43417
     /*  43417 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(43576), // Rule ID 5296 //
     /*  43422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  43446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  43454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43464 */     // MIs[1] Operand 2
     /*  43464 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43477 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43477 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  43480 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43484 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43491 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  43494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43503 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43506 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  43510 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  43513 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43518 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43523 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  43535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43540 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  43547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  43551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43558 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43570 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43575 */     // GIR_Coverage, 5296,
     /*  43575 */     GIR_EraseRootFromParent_Done,
     /*  43576 */   // Label 686: @43576
     /*  43576 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(43722), // Rule ID 5339 //
     /*  43581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43614 */     // MIs[1] Operand 2
     /*  43614 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43627 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43627 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  43630 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43634 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43641 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  43644 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43648 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43653 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43656 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  43660 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  43663 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43668 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43673 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  43685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43690 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  43697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43704 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43711 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43716 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43721 */     // GIR_Coverage, 5339,
     /*  43721 */     GIR_EraseRootFromParent_Done,
     /*  43722 */   // Label 687: @43722
     /*  43722 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(43868), // Rule ID 5347 //
     /*  43727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43760 */     // MIs[1] Operand 2
     /*  43760 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43773 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43773 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  43776 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43780 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43787 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  43790 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43794 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43799 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43802 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  43806 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  43809 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43814 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43819 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  43831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43836 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  43843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43850 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  43857 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43862 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43867 */     // GIR_Coverage, 5347,
     /*  43867 */     GIR_EraseRootFromParent_Done,
     /*  43868 */   // Label 688: @43868
     /*  43868 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(44014), // Rule ID 5338 //
     /*  43873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  43889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  43901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43906 */     // MIs[1] Operand 2
     /*  43906 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  43917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43919 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  43919 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  43922 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43926 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43933 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  43936 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43940 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43945 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43948 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  43952 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  43955 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43960 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43965 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  43973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  43977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43982 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  43989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43996 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  44003 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44008 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44013 */     // GIR_Coverage, 5338,
     /*  44013 */     GIR_EraseRootFromParent_Done,
     /*  44014 */   // Label 689: @44014
     /*  44014 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(44049), // Rule ID 960 //
     /*  44019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44026 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44032 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  44034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44040 */     // (sub:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn)  =>  (NEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  44040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i16),
     /*  44043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  44047 */     GIR_RootConstrainSelectedInstOperands,
     /*  44048 */     // GIR_Coverage, 960,
     /*  44048 */     GIR_EraseRootFromParent_Done,
     /*  44049 */   // Label 690: @44049
     /*  44049 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(44072), // Rule ID 1467 //
     /*  44054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44065 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  44065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i16),
     /*  44070 */     GIR_RootConstrainSelectedInstOperands,
     /*  44071 */     // GIR_Coverage, 1467,
     /*  44071 */     GIR_Done,
     /*  44072 */   // Label 691: @44072
     /*  44072 */   GIM_Reject,
     /*  44073 */ // Label 679: @44073
     /*  44073 */ GIM_Reject,
     /*  44074 */ // Label 577: @44074
     /*  44074 */ GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(46533),
     /*  44079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  44085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44089 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(44203), // Rule ID 2038 //
     /*  44094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  44125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  44137 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44141 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  44145 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  44150 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  44154 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44158 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  44162 */     // MIs[4] Operand 1
     /*  44162 */     // No operand predicates
     /*  44162 */     // MIs[2] Operand 2
     /*  44162 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  44173 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  44175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44182 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  44185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44187 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  44198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  44201 */     GIR_RootConstrainSelectedInstOperands,
     /*  44202 */     // GIR_Coverage, 2038,
     /*  44202 */     GIR_EraseRootFromParent_Done,
     /*  44203 */   // Label 693: @44203
     /*  44203 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(44317), // Rule ID 13192 //
     /*  44208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  44239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  44251 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44255 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  44259 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  44264 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  44268 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44272 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  44276 */     // MIs[4] Operand 1
     /*  44276 */     // No operand predicates
     /*  44276 */     // MIs[2] Operand 2
     /*  44276 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  44287 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  44289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44296 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  44299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44301 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  44312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  44315 */     GIR_RootConstrainSelectedInstOperands,
     /*  44316 */     // GIR_Coverage, 13192,
     /*  44316 */     GIR_EraseRootFromParent_Done,
     /*  44317 */   // Label 694: @44317
     /*  44317 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(44431), // Rule ID 2090 //
     /*  44322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  44353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  44365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44369 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  44373 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  44378 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  44382 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44386 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  44390 */     // MIs[4] Operand 1
     /*  44390 */     // No operand predicates
     /*  44390 */     // MIs[2] Operand 2
     /*  44390 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  44401 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  44403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44410 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  44413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44415 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  44426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  44429 */     GIR_RootConstrainSelectedInstOperands,
     /*  44430 */     // GIR_Coverage, 2090,
     /*  44430 */     GIR_EraseRootFromParent_Done,
     /*  44431 */   // Label 695: @44431
     /*  44431 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(44545), // Rule ID 13222 //
     /*  44436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  44467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  44479 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44483 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  44487 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  44492 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  44496 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44500 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  44504 */     // MIs[4] Operand 1
     /*  44504 */     // No operand predicates
     /*  44504 */     // MIs[2] Operand 2
     /*  44504 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  44515 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  44517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44524 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  44527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44529 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  44540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  44543 */     GIR_RootConstrainSelectedInstOperands,
     /*  44544 */     // GIR_Coverage, 13222,
     /*  44544 */     GIR_EraseRootFromParent_Done,
     /*  44545 */   // Label 696: @44545
     /*  44545 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(44610), // Rule ID 1840 //
     /*  44550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44586 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44593 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  44593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  44596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44608 */     GIR_RootConstrainSelectedInstOperands,
     /*  44609 */     // GIR_Coverage, 1840,
     /*  44609 */     GIR_EraseRootFromParent_Done,
     /*  44610 */   // Label 697: @44610
     /*  44610 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(44675), // Rule ID 1839 //
     /*  44615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44658 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  44658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  44661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44673 */     GIR_RootConstrainSelectedInstOperands,
     /*  44674 */     // GIR_Coverage, 1839,
     /*  44674 */     GIR_EraseRootFromParent_Done,
     /*  44675 */   // Label 698: @44675
     /*  44675 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(44740), // Rule ID 1750 //
     /*  44680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44716 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44723 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  44723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i16_v4i32),
     /*  44726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44738 */     GIR_RootConstrainSelectedInstOperands,
     /*  44739 */     // GIR_Coverage, 1750,
     /*  44739 */     GIR_EraseRootFromParent_Done,
     /*  44740 */   // Label 699: @44740
     /*  44740 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(44805), // Rule ID 1838 //
     /*  44745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44788 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  44788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  44791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44803 */     GIR_RootConstrainSelectedInstOperands,
     /*  44804 */     // GIR_Coverage, 1838,
     /*  44804 */     GIR_EraseRootFromParent_Done,
     /*  44805 */   // Label 700: @44805
     /*  44805 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(44870), // Rule ID 1837 //
     /*  44810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44846 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  44853 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  44853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  44856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44868 */     GIR_RootConstrainSelectedInstOperands,
     /*  44869 */     // GIR_Coverage, 1837,
     /*  44869 */     GIR_EraseRootFromParent_Done,
     /*  44870 */   // Label 701: @44870
     /*  44870 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(44981), // Rule ID 13190 //
     /*  44875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  44894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  44898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  44906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44910 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  44914 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  44918 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  44922 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  44926 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  44931 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  44935 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44939 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  44943 */     // MIs[4] Operand 1
     /*  44943 */     // No operand predicates
     /*  44943 */     // MIs[2] Operand 2
     /*  44943 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  44954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44959 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  44961 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  44964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44966 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  44976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  44979 */     GIR_RootConstrainSelectedInstOperands,
     /*  44980 */     // GIR_Coverage, 13190,
     /*  44980 */     GIR_EraseRootFromParent_Done,
     /*  44981 */   // Label 702: @44981
     /*  44981 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(45092), // Rule ID 2036 //
     /*  44986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  45001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  45030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45034 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45038 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  45042 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  45051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45055 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45059 */     // MIs[4] Operand 1
     /*  45059 */     // No operand predicates
     /*  45059 */     // MIs[2] Operand 2
     /*  45059 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  45070 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45072 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  45075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45077 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  45087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  45090 */     GIR_RootConstrainSelectedInstOperands,
     /*  45091 */     // GIR_Coverage, 2036,
     /*  45091 */     GIR_EraseRootFromParent_Done,
     /*  45092 */   // Label 703: @45092
     /*  45092 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(45203), // Rule ID 13220 //
     /*  45097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  45136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45140 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45144 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  45148 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45153 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  45157 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45161 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45165 */     // MIs[4] Operand 1
     /*  45165 */     // No operand predicates
     /*  45165 */     // MIs[2] Operand 2
     /*  45165 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  45176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45181 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45183 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  45186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45188 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  45194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  45198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  45201 */     GIR_RootConstrainSelectedInstOperands,
     /*  45202 */     // GIR_Coverage, 13220,
     /*  45202 */     GIR_EraseRootFromParent_Done,
     /*  45203 */   // Label 704: @45203
     /*  45203 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(45314), // Rule ID 2088 //
     /*  45208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  45252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45256 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45260 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  45264 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45269 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  45273 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45277 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45281 */     // MIs[4] Operand 1
     /*  45281 */     // No operand predicates
     /*  45281 */     // MIs[2] Operand 2
     /*  45281 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  45292 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45294 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  45297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45299 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  45309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  45312 */     GIR_RootConstrainSelectedInstOperands,
     /*  45313 */     // GIR_Coverage, 2088,
     /*  45313 */     GIR_EraseRootFromParent_Done,
     /*  45314 */   // Label 705: @45314
     /*  45314 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(45377), // Rule ID 1726 //
     /*  45319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  45334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45358 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  45358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_v4i32),
     /*  45361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  45370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  45375 */     GIR_RootConstrainSelectedInstOperands,
     /*  45376 */     // GIR_Coverage, 1726,
     /*  45376 */     GIR_EraseRootFromParent_Done,
     /*  45377 */   // Label 706: @45377
     /*  45377 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(45440), // Rule ID 1816 //
     /*  45382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45421 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  45421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_v4i32),
     /*  45424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  45433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  45438 */     GIR_RootConstrainSelectedInstOperands,
     /*  45439 */     // GIR_Coverage, 1816,
     /*  45439 */     GIR_EraseRootFromParent_Done,
     /*  45440 */   // Label 707: @45440
     /*  45440 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(45528), // Rule ID 13191 //
     /*  45445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  45460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  45484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45497 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45501 */     // MIs[3] Operand 1
     /*  45501 */     // No operand predicates
     /*  45501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45508 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  45511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45513 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  45519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  45523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  45526 */     GIR_RootConstrainSelectedInstOperands,
     /*  45527 */     // GIR_Coverage, 13191,
     /*  45527 */     GIR_EraseRootFromParent_Done,
     /*  45528 */   // Label 708: @45528
     /*  45528 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(45616), // Rule ID 2037 //
     /*  45533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  45548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  45577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45586 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45590 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45594 */     // MIs[3] Operand 1
     /*  45594 */     // No operand predicates
     /*  45594 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45596 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  45599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45601 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  45611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  45614 */     GIR_RootConstrainSelectedInstOperands,
     /*  45615 */     // GIR_Coverage, 2037,
     /*  45615 */     GIR_EraseRootFromParent_Done,
     /*  45616 */   // Label 709: @45616
     /*  45616 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(45704), // Rule ID 13221 //
     /*  45621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  45660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45673 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45677 */     // MIs[3] Operand 1
     /*  45677 */     // No operand predicates
     /*  45677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45684 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  45687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  45695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  45699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  45702 */     GIR_RootConstrainSelectedInstOperands,
     /*  45703 */     // GIR_Coverage, 13221,
     /*  45703 */     GIR_EraseRootFromParent_Done,
     /*  45704 */   // Label 710: @45704
     /*  45704 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(45792), // Rule ID 2089 //
     /*  45709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  45745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  45753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  45758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  45762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  45766 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  45770 */     // MIs[3] Operand 1
     /*  45770 */     // No operand predicates
     /*  45770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  45772 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  45772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  45775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45777 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  45787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  45790 */     GIR_RootConstrainSelectedInstOperands,
     /*  45791 */     // GIR_Coverage, 2089,
     /*  45791 */     GIR_EraseRootFromParent_Done,
     /*  45792 */   // Label 711: @45792
     /*  45792 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(45839), // Rule ID 1856 //
     /*  45797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45818 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45825 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  45825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  45828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  45837 */     GIR_RootConstrainSelectedInstOperands,
     /*  45838 */     // GIR_Coverage, 1856,
     /*  45838 */     GIR_EraseRootFromParent_Done,
     /*  45839 */   // Label 712: @45839
     /*  45839 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(45886), // Rule ID 1756 //
     /*  45844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45872 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  45872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i16_v4i32),
     /*  45875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45877 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  45884 */     GIR_RootConstrainSelectedInstOperands,
     /*  45885 */     // GIR_Coverage, 1756,
     /*  45885 */     GIR_EraseRootFromParent_Done,
     /*  45886 */   // Label 713: @45886
     /*  45886 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(45933), // Rule ID 1855 //
     /*  45891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45912 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  45919 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  45919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  45922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45924 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  45931 */     GIR_RootConstrainSelectedInstOperands,
     /*  45932 */     // GIR_Coverage, 1855,
     /*  45932 */     GIR_EraseRootFromParent_Done,
     /*  45933 */   // Label 714: @45933
     /*  45933 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(45992), // Rule ID 1836 //
     /*  45938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45977 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  45977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  45980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  45990 */     GIR_RootConstrainSelectedInstOperands,
     /*  45991 */     // GIR_Coverage, 1836,
     /*  45991 */     GIR_EraseRootFromParent_Done,
     /*  45992 */   // Label 715: @45992
     /*  45992 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(46051), // Rule ID 1835 //
     /*  45997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46036 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  46039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46049 */     GIR_RootConstrainSelectedInstOperands,
     /*  46050 */     // GIR_Coverage, 1835,
     /*  46050 */     GIR_EraseRootFromParent_Done,
     /*  46051 */   // Label 716: @46051
     /*  46051 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(46110), // Rule ID 1749 //
     /*  46056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46095 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  46098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46108 */     GIR_RootConstrainSelectedInstOperands,
     /*  46109 */     // GIR_Coverage, 1749,
     /*  46109 */     GIR_EraseRootFromParent_Done,
     /*  46110 */   // Label 717: @46110
     /*  46110 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(46169), // Rule ID 1834 //
     /*  46115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46154 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  46157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46167 */     GIR_RootConstrainSelectedInstOperands,
     /*  46168 */     // GIR_Coverage, 1834,
     /*  46168 */     GIR_EraseRootFromParent_Done,
     /*  46169 */   // Label 718: @46169
     /*  46169 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(46228), // Rule ID 1833 //
     /*  46174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46213 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  46216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46226 */     GIR_RootConstrainSelectedInstOperands,
     /*  46227 */     // GIR_Coverage, 1833,
     /*  46227 */     GIR_EraseRootFromParent_Done,
     /*  46228 */   // Label 719: @46228
     /*  46228 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(46263), // Rule ID 963 //
     /*  46233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46240 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46246 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  46248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46254 */     // (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn)  =>  (NEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  46254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i32),
     /*  46257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46261 */     GIR_RootConstrainSelectedInstOperands,
     /*  46262 */     // GIR_Coverage, 963,
     /*  46262 */     GIR_EraseRootFromParent_Done,
     /*  46263 */   // Label 720: @46263
     /*  46263 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(46320), // Rule ID 1725 //
     /*  46268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46303 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  46306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  46318 */     GIR_RootConstrainSelectedInstOperands,
     /*  46319 */     // GIR_Coverage, 1725,
     /*  46319 */     GIR_EraseRootFromParent_Done,
     /*  46320 */   // Label 721: @46320
     /*  46320 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(46377), // Rule ID 1815 //
     /*  46325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  46340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46360 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  46363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46365 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  46371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  46375 */     GIR_RootConstrainSelectedInstOperands,
     /*  46376 */     // GIR_Coverage, 1815,
     /*  46376 */     GIR_EraseRootFromParent_Done,
     /*  46377 */   // Label 722: @46377
     /*  46377 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(46421), // Rule ID 1854 //
     /*  46382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46408 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  46411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  46415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  46419 */     GIR_RootConstrainSelectedInstOperands,
     /*  46420 */     // GIR_Coverage, 1854,
     /*  46420 */     GIR_EraseRootFromParent_Done,
     /*  46421 */   // Label 723: @46421
     /*  46421 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(46465), // Rule ID 1755 //
     /*  46426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46452 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  46455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46457 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  46459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  46463 */     GIR_RootConstrainSelectedInstOperands,
     /*  46464 */     // GIR_Coverage, 1755,
     /*  46464 */     GIR_EraseRootFromParent_Done,
     /*  46465 */   // Label 724: @46465
     /*  46465 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(46509), // Rule ID 1853 //
     /*  46470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46496 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  46499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46501 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  46503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  46507 */     GIR_RootConstrainSelectedInstOperands,
     /*  46508 */     // GIR_Coverage, 1853,
     /*  46508 */     GIR_EraseRootFromParent_Done,
     /*  46509 */   // Label 725: @46509
     /*  46509 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(46532), // Rule ID 1470 //
     /*  46514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46525 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  46525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i32),
     /*  46530 */     GIR_RootConstrainSelectedInstOperands,
     /*  46531 */     // GIR_Coverage, 1470,
     /*  46531 */     GIR_Done,
     /*  46532 */   // Label 726: @46532
     /*  46532 */   GIM_Reject,
     /*  46533 */ // Label 692: @46533
     /*  46533 */ GIM_Reject,
     /*  46534 */ // Label 578: @46534
     /*  46534 */ GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(46608),
     /*  46539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  46545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46549 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(46584), // Rule ID 958 //
     /*  46554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46561 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46567 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  46569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46575 */     // (sub:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn)  =>  (NEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  46575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i8),
     /*  46578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46582 */     GIR_RootConstrainSelectedInstOperands,
     /*  46583 */     // GIR_Coverage, 958,
     /*  46583 */     GIR_EraseRootFromParent_Done,
     /*  46584 */   // Label 728: @46584
     /*  46584 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(46607), // Rule ID 1465 //
     /*  46589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46600 */     // (sub:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  46600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i8),
     /*  46605 */     GIR_RootConstrainSelectedInstOperands,
     /*  46606 */     // GIR_Coverage, 1465,
     /*  46606 */     GIR_Done,
     /*  46607 */   // Label 729: @46607
     /*  46607 */   GIM_Reject,
     /*  46608 */ // Label 727: @46608
     /*  46608 */ GIM_Reject,
     /*  46609 */ // Label 579: @46609
     /*  46609 */ GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(47816),
     /*  46614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  46620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46624 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(46689), // Rule ID 1832 //
     /*  46629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46672 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  46675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  46687 */     GIR_RootConstrainSelectedInstOperands,
     /*  46688 */     // GIR_Coverage, 1832,
     /*  46688 */     GIR_EraseRootFromParent_Done,
     /*  46689 */   // Label 731: @46689
     /*  46689 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(46754), // Rule ID 1831 //
     /*  46694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46730 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46737 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  46740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  46752 */     GIR_RootConstrainSelectedInstOperands,
     /*  46753 */     // GIR_Coverage, 1831,
     /*  46753 */     GIR_EraseRootFromParent_Done,
     /*  46754 */   // Label 732: @46754
     /*  46754 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(46819), // Rule ID 1748 //
     /*  46759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46795 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46802 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv16i8_v8i16),
     /*  46805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  46817 */     GIR_RootConstrainSelectedInstOperands,
     /*  46818 */     // GIR_Coverage, 1748,
     /*  46818 */     GIR_EraseRootFromParent_Done,
     /*  46819 */   // Label 733: @46819
     /*  46819 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(46884), // Rule ID 1830 //
     /*  46824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46860 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46867 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  46870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  46882 */     GIR_RootConstrainSelectedInstOperands,
     /*  46883 */     // GIR_Coverage, 1830,
     /*  46883 */     GIR_EraseRootFromParent_Done,
     /*  46884 */   // Label 734: @46884
     /*  46884 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(46949), // Rule ID 1829 //
     /*  46889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  46908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46925 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46932 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  46935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  46947 */     GIR_RootConstrainSelectedInstOperands,
     /*  46948 */     // GIR_Coverage, 1829,
     /*  46948 */     GIR_EraseRootFromParent_Done,
     /*  46949 */   // Label 735: @46949
     /*  46949 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(47012), // Rule ID 1724 //
     /*  46954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  46977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46979 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  46993 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  46993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv16i8_v8i16),
     /*  46996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47010 */     GIR_RootConstrainSelectedInstOperands,
     /*  47011 */     // GIR_Coverage, 1724,
     /*  47011 */     GIR_EraseRootFromParent_Done,
     /*  47012 */   // Label 736: @47012
     /*  47012 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(47075), // Rule ID 1814 //
     /*  47017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  47040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  47049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  47056 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  47056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv16i8_v8i16),
     /*  47059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47073 */     GIR_RootConstrainSelectedInstOperands,
     /*  47074 */     // GIR_Coverage, 1814,
     /*  47074 */     GIR_EraseRootFromParent_Done,
     /*  47075 */   // Label 737: @47075
     /*  47075 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(47122), // Rule ID 1852 //
     /*  47080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  47108 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  47108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  47111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  47120 */     GIR_RootConstrainSelectedInstOperands,
     /*  47121 */     // GIR_Coverage, 1852,
     /*  47121 */     GIR_EraseRootFromParent_Done,
     /*  47122 */   // Label 738: @47122
     /*  47122 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(47169), // Rule ID 1754 //
     /*  47127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  47155 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  47155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv16i8_v8i16),
     /*  47158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47160 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  47167 */     GIR_RootConstrainSelectedInstOperands,
     /*  47168 */     // GIR_Coverage, 1754,
     /*  47168 */     GIR_EraseRootFromParent_Done,
     /*  47169 */   // Label 739: @47169
     /*  47169 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(47216), // Rule ID 1851 //
     /*  47174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47195 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  47202 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  47202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  47205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47207 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  47214 */     GIR_RootConstrainSelectedInstOperands,
     /*  47215 */     // GIR_Coverage, 1851,
     /*  47215 */     GIR_EraseRootFromParent_Done,
     /*  47216 */   // Label 740: @47216
     /*  47216 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(47275), // Rule ID 1828 //
     /*  47221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47260 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  47263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  47273 */     GIR_RootConstrainSelectedInstOperands,
     /*  47274 */     // GIR_Coverage, 1828,
     /*  47274 */     GIR_EraseRootFromParent_Done,
     /*  47275 */   // Label 741: @47275
     /*  47275 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(47334), // Rule ID 1827 //
     /*  47280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47319 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  47322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  47332 */     GIR_RootConstrainSelectedInstOperands,
     /*  47333 */     // GIR_Coverage, 1827,
     /*  47333 */     GIR_EraseRootFromParent_Done,
     /*  47334 */   // Label 742: @47334
     /*  47334 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(47393), // Rule ID 1747 //
     /*  47339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47378 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  47381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  47391 */     GIR_RootConstrainSelectedInstOperands,
     /*  47392 */     // GIR_Coverage, 1747,
     /*  47392 */     GIR_EraseRootFromParent_Done,
     /*  47393 */   // Label 743: @47393
     /*  47393 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(47452), // Rule ID 1826 //
     /*  47398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47437 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  47440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  47450 */     GIR_RootConstrainSelectedInstOperands,
     /*  47451 */     // GIR_Coverage, 1826,
     /*  47451 */     GIR_EraseRootFromParent_Done,
     /*  47452 */   // Label 744: @47452
     /*  47452 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(47511), // Rule ID 1825 //
     /*  47457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47496 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  47499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  47509 */     GIR_RootConstrainSelectedInstOperands,
     /*  47510 */     // GIR_Coverage, 1825,
     /*  47510 */     GIR_EraseRootFromParent_Done,
     /*  47511 */   // Label 745: @47511
     /*  47511 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(47546), // Rule ID 961 //
     /*  47516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47523 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  47529 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  47531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47537 */     // (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn)  =>  (NEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  47537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i16),
     /*  47540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47544 */     GIR_RootConstrainSelectedInstOperands,
     /*  47545 */     // GIR_Coverage, 961,
     /*  47545 */     GIR_EraseRootFromParent_Done,
     /*  47546 */   // Label 746: @47546
     /*  47546 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(47603), // Rule ID 1723 //
     /*  47551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  47574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47586 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  47589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47591 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  47601 */     GIR_RootConstrainSelectedInstOperands,
     /*  47602 */     // GIR_Coverage, 1723,
     /*  47602 */     GIR_EraseRootFromParent_Done,
     /*  47603 */   // Label 747: @47603
     /*  47603 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(47660), // Rule ID 1813 //
     /*  47608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  47631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47643 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  47646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47648 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  47658 */     GIR_RootConstrainSelectedInstOperands,
     /*  47659 */     // GIR_Coverage, 1813,
     /*  47659 */     GIR_EraseRootFromParent_Done,
     /*  47660 */   // Label 748: @47660
     /*  47660 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(47704), // Rule ID 1850 //
     /*  47665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47691 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  47694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47696 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  47702 */     GIR_RootConstrainSelectedInstOperands,
     /*  47703 */     // GIR_Coverage, 1850,
     /*  47703 */     GIR_EraseRootFromParent_Done,
     /*  47704 */   // Label 749: @47704
     /*  47704 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(47748), // Rule ID 1753 //
     /*  47709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47735 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  47738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  47746 */     GIR_RootConstrainSelectedInstOperands,
     /*  47747 */     // GIR_Coverage, 1753,
     /*  47747 */     GIR_EraseRootFromParent_Done,
     /*  47748 */   // Label 750: @47748
     /*  47748 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(47792), // Rule ID 1849 //
     /*  47753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  47772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47779 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  47779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  47782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  47786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  47790 */     GIR_RootConstrainSelectedInstOperands,
     /*  47791 */     // GIR_Coverage, 1849,
     /*  47791 */     GIR_EraseRootFromParent_Done,
     /*  47792 */   // Label 751: @47792
     /*  47792 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(47815), // Rule ID 1468 //
     /*  47797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47808 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i16),
     /*  47813 */     GIR_RootConstrainSelectedInstOperands,
     /*  47814 */     // GIR_Coverage, 1468,
     /*  47814 */     GIR_Done,
     /*  47815 */   // Label 752: @47815
     /*  47815 */   GIM_Reject,
     /*  47816 */ // Label 730: @47816
     /*  47816 */ GIM_Reject,
     /*  47817 */ // Label 580: @47817
     /*  47817 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(47891),
     /*  47822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  47825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  47828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47832 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(47867), // Rule ID 959 //
     /*  47837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47844 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  47850 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  47852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47858 */     // (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn)  =>  (NEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  47858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv16i8),
     /*  47861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  47865 */     GIR_RootConstrainSelectedInstOperands,
     /*  47866 */     // GIR_Coverage, 959,
     /*  47866 */     GIR_EraseRootFromParent_Done,
     /*  47867 */   // Label 754: @47867
     /*  47867 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(47890), // Rule ID 1466 //
     /*  47872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47883 */     // (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  47883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv16i8),
     /*  47888 */     GIR_RootConstrainSelectedInstOperands,
     /*  47889 */     // GIR_Coverage, 1466,
     /*  47889 */     GIR_Done,
     /*  47890 */   // Label 755: @47890
     /*  47890 */   GIM_Reject,
     /*  47891 */ // Label 753: @47891
     /*  47891 */ GIM_Reject,
     /*  47892 */ // Label 581: @47892
     /*  47892 */ GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(47917), // Rule ID 7273 //
     /*  47897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  47900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  47903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  47906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  47910 */   // (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  47910 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_D),
     /*  47915 */   GIR_RootConstrainSelectedInstOperands,
     /*  47916 */   // GIR_Coverage, 7273,
     /*  47916 */   GIR_Done,
     /*  47917 */ // Label 756: @47917
     /*  47917 */ GIM_Reject,
     /*  47918 */ // Label 582: @47918
     /*  47918 */ GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(47943), // Rule ID 7272 //
     /*  47923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  47926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  47929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  47932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  47936 */   // (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  47936 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_S),
     /*  47941 */   GIR_RootConstrainSelectedInstOperands,
     /*  47942 */   // GIR_Coverage, 7272,
     /*  47942 */   GIR_Done,
     /*  47943 */ // Label 757: @47943
     /*  47943 */ GIM_Reject,
     /*  47944 */ // Label 583: @47944
     /*  47944 */ GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(47969), // Rule ID 7271 //
     /*  47949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  47952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  47955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  47958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  47962 */   // (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  47962 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_H),
     /*  47967 */   GIR_RootConstrainSelectedInstOperands,
     /*  47968 */   // GIR_Coverage, 7271,
     /*  47968 */   GIR_Done,
     /*  47969 */ // Label 758: @47969
     /*  47969 */ GIM_Reject,
     /*  47970 */ // Label 584: @47970
     /*  47970 */ GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(47995), // Rule ID 7270 //
     /*  47975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  47978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  47981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  47984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  47988 */   // (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  47988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_B),
     /*  47993 */   GIR_RootConstrainSelectedInstOperands,
     /*  47994 */   // GIR_Coverage, 7270,
     /*  47994 */   GIR_Done,
     /*  47995 */ // Label 759: @47995
     /*  47995 */ GIM_Reject,
     /*  47996 */ // Label 585: @47996
     /*  47996 */ GIM_Reject,
     /*  47997 */ // Label 2: @47997
     /*  47997 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 768*/ GIMT_Encode4(49825),
     /*  48008 */ /*GILLT_s32*//*Label 760*/ GIMT_Encode4(48048),
     /*  48012 */ /*GILLT_s64*//*Label 761*/ GIMT_Encode4(48205), GIMT_Encode4(0),
     /*  48020 */ /*GILLT_v2s32*//*Label 762*/ GIMT_Encode4(48749), GIMT_Encode4(0),
     /*  48028 */ /*GILLT_v4s16*//*Label 763*/ GIMT_Encode4(49087),
     /*  48032 */ /*GILLT_v4s32*//*Label 764*/ GIMT_Encode4(49425),
     /*  48036 */ /*GILLT_v8s8*//*Label 765*/ GIMT_Encode4(49591),
     /*  48040 */ /*GILLT_v8s16*//*Label 766*/ GIMT_Encode4(49625),
     /*  48044 */ /*GILLT_v16s8*//*Label 767*/ GIMT_Encode4(49791),
     /*  48048 */ // Label 760: @48048
     /*  48048 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(48204),
     /*  48053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  48059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48063 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(48118), // Rule ID 3897 //
     /*  48068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  48076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  48084 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  48088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48099 */     // (mul:{ *:[i32] } (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn), GPR32:{ *:[i32] }:$Rm)  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  48099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  48102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  48110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48116 */     GIR_RootConstrainSelectedInstOperands,
     /*  48117 */     // GIR_Coverage, 3897,
     /*  48117 */     GIR_EraseRootFromParent_Done,
     /*  48118 */   // Label 770: @48118
     /*  48118 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(48173), // Rule ID 13475 //
     /*  48123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  48135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  48143 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  48147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48154 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  48154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  48157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48163 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  48165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48171 */     GIR_RootConstrainSelectedInstOperands,
     /*  48172 */     // GIR_Coverage, 13475,
     /*  48172 */     GIR_EraseRootFromParent_Done,
     /*  48173 */   // Label 771: @48173
     /*  48173 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(48203), // Rule ID 3893 //
     /*  48178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48186 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (MADDWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  48186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDWrrr),
     /*  48189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48191 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  48195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48201 */     GIR_RootConstrainSelectedInstOperands,
     /*  48202 */     // GIR_Coverage, 3893,
     /*  48202 */     GIR_EraseRootFromParent_Done,
     /*  48203 */   // Label 772: @48203
     /*  48203 */   GIM_Reject,
     /*  48204 */ // Label 769: @48204
     /*  48204 */ GIM_Reject,
     /*  48205 */ // Label 761: @48205
     /*  48205 */ GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(48748),
     /*  48210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  48216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48220 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(48275), // Rule ID 3898 //
     /*  48225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  48233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48241 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  48245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48256 */     // (mul:{ *:[i64] } (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn), GPR64:{ *:[i64] }:$Rm)  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  48256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  48259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  48267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48273 */     GIR_RootConstrainSelectedInstOperands,
     /*  48274 */     // GIR_Coverage, 3898,
     /*  48274 */     GIR_EraseRootFromParent_Done,
     /*  48275 */   // Label 774: @48275
     /*  48275 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(48330), // Rule ID 13476 //
     /*  48280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  48292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48300 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  48304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48311 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  48311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  48314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  48322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48328 */     GIR_RootConstrainSelectedInstOperands,
     /*  48329 */     // GIR_Coverage, 13476,
     /*  48329 */     GIR_EraseRootFromParent_Done,
     /*  48330 */   // Label 775: @48330
     /*  48330 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(48443), // Rule ID 3909 //
     /*  48335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  48343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  48347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48352 */     // MIs[1] Operand 2
     /*  48352 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  48363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48371 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  48375 */     // MIs[2] Operand 1
     /*  48375 */     // No operand predicates
     /*  48375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48377 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  48377 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48380 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  48384 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48389 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  48394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  48396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48408 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  48414 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  48427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  48435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48441 */     GIR_RootConstrainSelectedInstOperands,
     /*  48442 */     // GIR_Coverage, 3909,
     /*  48442 */     GIR_EraseRootFromParent_Done,
     /*  48443 */   // Label 776: @48443
     /*  48443 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(48518), // Rule ID 3907 //
     /*  48448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48473 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  48477 */     // MIs[2] Operand 1
     /*  48477 */     // No operand predicates
     /*  48477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48479 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  48479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  48486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48491 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  48496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  48501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48516 */     GIR_RootConstrainSelectedInstOperands,
     /*  48517 */     // GIR_Coverage, 3907,
     /*  48517 */     GIR_EraseRootFromParent_Done,
     /*  48518 */   // Label 777: @48518
     /*  48518 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(48593), // Rule ID 3908 //
     /*  48523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48548 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  48552 */     // MIs[2] Operand 1
     /*  48552 */     // No operand predicates
     /*  48552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48554 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  48554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  48561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48566 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  48571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  48576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48591 */     GIR_RootConstrainSelectedInstOperands,
     /*  48592 */     // GIR_Coverage, 3908,
     /*  48592 */     GIR_EraseRootFromParent_Done,
     /*  48593 */   // Label 778: @48593
     /*  48593 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(48655), // Rule ID 3901 //
     /*  48598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48623 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  48627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48634 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  48634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  48637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48653 */     GIR_RootConstrainSelectedInstOperands,
     /*  48654 */     // GIR_Coverage, 3901,
     /*  48654 */     GIR_EraseRootFromParent_Done,
     /*  48655 */   // Label 779: @48655
     /*  48655 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(48717), // Rule ID 3904 //
     /*  48660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  48672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  48689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  48694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48696 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  48696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  48699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48715 */     GIR_RootConstrainSelectedInstOperands,
     /*  48716 */     // GIR_Coverage, 3904,
     /*  48716 */     GIR_EraseRootFromParent_Done,
     /*  48717 */   // Label 780: @48717
     /*  48717 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(48747), // Rule ID 3894 //
     /*  48722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  48730 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (MADDXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  48730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDXrrr),
     /*  48733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48735 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  48739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  48745 */     GIR_RootConstrainSelectedInstOperands,
     /*  48746 */     // GIR_Coverage, 3894,
     /*  48746 */     GIR_EraseRootFromParent_Done,
     /*  48747 */   // Label 781: @48747
     /*  48747 */   GIM_Reject,
     /*  48748 */ // Label 773: @48748
     /*  48748 */ GIM_Reject,
     /*  48749 */ // Label 762: @48749
     /*  48749 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(49086),
     /*  48754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  48757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  48760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48764 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48850), // Rule ID 13169 //
     /*  48769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  48780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  48784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  48792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  48796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48813 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  48817 */     // MIs[3] Operand 1
     /*  48817 */     // No operand predicates
     /*  48817 */     // MIs[1] Operand 2
     /*  48817 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  48828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48834 */     // (mul:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  48837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48848 */     GIR_RootConstrainSelectedInstOperands,
     /*  48849 */     // GIR_Coverage, 13169,
     /*  48849 */     GIR_EraseRootFromParent_Done,
     /*  48850 */   // Label 783: @48850
     /*  48850 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48936), // Rule ID 2027 //
     /*  48855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  48870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  48874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  48882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  48886 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48903 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  48907 */     // MIs[3] Operand 1
     /*  48907 */     // No operand predicates
     /*  48907 */     // MIs[1] Operand 2
     /*  48907 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  48918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48920 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  48923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48925 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48934 */     GIR_RootConstrainSelectedInstOperands,
     /*  48935 */     // GIR_Coverage, 2027,
     /*  48935 */     GIR_EraseRootFromParent_Done,
     /*  48936 */   // Label 784: @48936
     /*  48936 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48999), // Rule ID 13170 //
     /*  48941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  48952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  48956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  48960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48973 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  48977 */     // MIs[2] Operand 1
     /*  48977 */     // No operand predicates
     /*  48977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48983 */     // (mul:{ *:[v2i32] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  48986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  48994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  48997 */     GIR_RootConstrainSelectedInstOperands,
     /*  48998 */     // GIR_Coverage, 13170,
     /*  48998 */     GIR_EraseRootFromParent_Done,
     /*  48999 */   // Label 785: @48999
     /*  48999 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(49062), // Rule ID 2028 //
     /*  49004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  49019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  49023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49040 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  49044 */     // MIs[2] Operand 1
     /*  49044 */     // No operand predicates
     /*  49044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49046 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  49049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49060 */     GIR_RootConstrainSelectedInstOperands,
     /*  49061 */     // GIR_Coverage, 2028,
     /*  49061 */     GIR_EraseRootFromParent_Done,
     /*  49062 */   // Label 786: @49062
     /*  49062 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(49085), // Rule ID 1345 //
     /*  49067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49078 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (MULv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  49078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32),
     /*  49083 */     GIR_RootConstrainSelectedInstOperands,
     /*  49084 */     // GIR_Coverage, 1345,
     /*  49084 */     GIR_Done,
     /*  49085 */   // Label 787: @49085
     /*  49085 */   GIM_Reject,
     /*  49086 */ // Label 782: @49086
     /*  49086 */ GIM_Reject,
     /*  49087 */ // Label 763: @49087
     /*  49087 */ GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(49424),
     /*  49092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  49098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49102 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(49188), // Rule ID 13166 //
     /*  49107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  49118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  49126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49134 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  49138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  49147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49151 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49155 */     // MIs[3] Operand 1
     /*  49155 */     // No operand predicates
     /*  49155 */     // MIs[1] Operand 2
     /*  49155 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  49166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  49172 */     // (mul:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  49175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  49186 */     GIR_RootConstrainSelectedInstOperands,
     /*  49187 */     // GIR_Coverage, 13166,
     /*  49187 */     GIR_EraseRootFromParent_Done,
     /*  49188 */   // Label 789: @49188
     /*  49188 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(49274), // Rule ID 2024 //
     /*  49193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  49208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  49216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49224 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  49228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  49237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49241 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49245 */     // MIs[3] Operand 1
     /*  49245 */     // No operand predicates
     /*  49245 */     // MIs[1] Operand 2
     /*  49245 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  49256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  49258 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  49261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49263 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  49272 */     GIR_RootConstrainSelectedInstOperands,
     /*  49273 */     // GIR_Coverage, 2024,
     /*  49273 */     GIR_EraseRootFromParent_Done,
     /*  49274 */   // Label 790: @49274
     /*  49274 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(49337), // Rule ID 13167 //
     /*  49279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49311 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49315 */     // MIs[2] Operand 1
     /*  49315 */     // No operand predicates
     /*  49315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49321 */     // (mul:{ *:[v4i16] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  49324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49335 */     GIR_RootConstrainSelectedInstOperands,
     /*  49336 */     // GIR_Coverage, 13167,
     /*  49336 */     GIR_EraseRootFromParent_Done,
     /*  49337 */   // Label 791: @49337
     /*  49337 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(49400), // Rule ID 2025 //
     /*  49342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49378 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49382 */     // MIs[2] Operand 1
     /*  49382 */     // No operand predicates
     /*  49382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49384 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  49387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49398 */     GIR_RootConstrainSelectedInstOperands,
     /*  49399 */     // GIR_Coverage, 2025,
     /*  49399 */     GIR_EraseRootFromParent_Done,
     /*  49400 */   // Label 792: @49400
     /*  49400 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49423), // Rule ID 1343 //
     /*  49405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49416 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (MULv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16),
     /*  49421 */     GIR_RootConstrainSelectedInstOperands,
     /*  49422 */     // GIR_Coverage, 1343,
     /*  49422 */     GIR_Done,
     /*  49423 */   // Label 793: @49423
     /*  49423 */   GIM_Reject,
     /*  49424 */ // Label 788: @49424
     /*  49424 */ GIM_Reject,
     /*  49425 */ // Label 764: @49425
     /*  49425 */ GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49590),
     /*  49430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  49433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  49436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49440 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49503), // Rule ID 13171 //
     /*  49445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  49456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  49460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49477 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  49481 */     // MIs[2] Operand 1
     /*  49481 */     // No operand predicates
     /*  49481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49487 */     // (mul:{ *:[v4i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4i32] }:$Rn)  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  49490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49501 */     GIR_RootConstrainSelectedInstOperands,
     /*  49502 */     // GIR_Coverage, 13171,
     /*  49502 */     GIR_EraseRootFromParent_Done,
     /*  49503 */   // Label 795: @49503
     /*  49503 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49566), // Rule ID 2029 //
     /*  49508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  49523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  49527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49544 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  49548 */     // MIs[2] Operand 1
     /*  49548 */     // No operand predicates
     /*  49548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49550 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  49553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49555 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49564 */     GIR_RootConstrainSelectedInstOperands,
     /*  49565 */     // GIR_Coverage, 2029,
     /*  49565 */     GIR_EraseRootFromParent_Done,
     /*  49566 */   // Label 796: @49566
     /*  49566 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49589), // Rule ID 1346 //
     /*  49571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49582 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (MULv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  49582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32),
     /*  49587 */     GIR_RootConstrainSelectedInstOperands,
     /*  49588 */     // GIR_Coverage, 1346,
     /*  49588 */     GIR_Done,
     /*  49589 */   // Label 797: @49589
     /*  49589 */   GIM_Reject,
     /*  49590 */ // Label 794: @49590
     /*  49590 */ GIM_Reject,
     /*  49591 */ // Label 765: @49591
     /*  49591 */ GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49624), // Rule ID 1341 //
     /*  49596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49617 */   // (mul:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (MULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i8),
     /*  49622 */   GIR_RootConstrainSelectedInstOperands,
     /*  49623 */   // GIR_Coverage, 1341,
     /*  49623 */   GIR_Done,
     /*  49624 */ // Label 798: @49624
     /*  49624 */ GIM_Reject,
     /*  49625 */ // Label 766: @49625
     /*  49625 */ GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49790),
     /*  49630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49640 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49703), // Rule ID 13168 //
     /*  49645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49677 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49681 */     // MIs[2] Operand 1
     /*  49681 */     // No operand predicates
     /*  49681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49687 */     // (mul:{ *:[v8i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8i16] }:$Rn)  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  49690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49701 */     GIR_RootConstrainSelectedInstOperands,
     /*  49702 */     // GIR_Coverage, 13168,
     /*  49702 */     GIR_EraseRootFromParent_Done,
     /*  49703 */   // Label 800: @49703
     /*  49703 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49766), // Rule ID 2026 //
     /*  49708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  49723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  49731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  49736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  49740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  49744 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  49748 */     // MIs[2] Operand 1
     /*  49748 */     // No operand predicates
     /*  49748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49750 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  49750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  49753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49755 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  49764 */     GIR_RootConstrainSelectedInstOperands,
     /*  49765 */     // GIR_Coverage, 2026,
     /*  49765 */     GIR_EraseRootFromParent_Done,
     /*  49766 */   // Label 801: @49766
     /*  49766 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49789), // Rule ID 1344 //
     /*  49771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49782 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (MULv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  49782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16),
     /*  49787 */     GIR_RootConstrainSelectedInstOperands,
     /*  49788 */     // GIR_Coverage, 1344,
     /*  49788 */     GIR_Done,
     /*  49789 */   // Label 802: @49789
     /*  49789 */   GIM_Reject,
     /*  49790 */ // Label 799: @49790
     /*  49790 */ GIM_Reject,
     /*  49791 */ // Label 767: @49791
     /*  49791 */ GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49824), // Rule ID 1342 //
     /*  49796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  49802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  49805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49817 */   // (mul:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (MULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv16i8),
     /*  49822 */   GIR_RootConstrainSelectedInstOperands,
     /*  49823 */   // GIR_Coverage, 1342,
     /*  49823 */   GIR_Done,
     /*  49824 */ // Label 803: @49824
     /*  49824 */ GIM_Reject,
     /*  49825 */ // Label 768: @49825
     /*  49825 */ GIM_Reject,
     /*  49826 */ // Label 3: @49826
     /*  49826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 806*/ GIMT_Encode4(49907),
     /*  49837 */ /*GILLT_s32*//*Label 804*/ GIMT_Encode4(49845),
     /*  49841 */ /*GILLT_s64*//*Label 805*/ GIMT_Encode4(49876),
     /*  49845 */ // Label 804: @49845
     /*  49845 */ GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49875), // Rule ID 117 //
     /*  49850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  49856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49868 */   // (sdiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  49868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /*  49873 */   GIR_RootConstrainSelectedInstOperands,
     /*  49874 */   // GIR_Coverage, 117,
     /*  49874 */   GIR_Done,
     /*  49875 */ // Label 807: @49875
     /*  49875 */ GIM_Reject,
     /*  49876 */ // Label 805: @49876
     /*  49876 */ GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49906), // Rule ID 118 //
     /*  49881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  49887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49899 */   // (sdiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  49899 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /*  49904 */   GIR_RootConstrainSelectedInstOperands,
     /*  49905 */   // GIR_Coverage, 118,
     /*  49905 */   GIR_Done,
     /*  49906 */ // Label 808: @49906
     /*  49906 */ GIM_Reject,
     /*  49907 */ // Label 806: @49907
     /*  49907 */ GIM_Reject,
     /*  49908 */ // Label 4: @49908
     /*  49908 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 811*/ GIMT_Encode4(49989),
     /*  49919 */ /*GILLT_s32*//*Label 809*/ GIMT_Encode4(49927),
     /*  49923 */ /*GILLT_s64*//*Label 810*/ GIMT_Encode4(49958),
     /*  49927 */ // Label 809: @49927
     /*  49927 */ GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(49957), // Rule ID 115 //
     /*  49932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  49938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  49950 */   // (udiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  49950 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /*  49955 */   GIR_RootConstrainSelectedInstOperands,
     /*  49956 */   // GIR_Coverage, 115,
     /*  49956 */   GIR_Done,
     /*  49957 */ // Label 812: @49957
     /*  49957 */ GIM_Reject,
     /*  49958 */ // Label 810: @49958
     /*  49958 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(49988), // Rule ID 116 //
     /*  49963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  49969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  49981 */   // (udiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  49981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /*  49986 */   GIR_RootConstrainSelectedInstOperands,
     /*  49987 */   // GIR_Coverage, 116,
     /*  49987 */   GIR_Done,
     /*  49988 */ // Label 813: @49988
     /*  49988 */ GIM_Reject,
     /*  49989 */ // Label 811: @49989
     /*  49989 */ GIM_Reject,
     /*  49990 */ // Label 5: @49990
     /*  49990 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 832*/ GIMT_Encode4(57735),
     /*  50001 */ /*GILLT_s32*//*Label 814*/ GIMT_Encode4(50089),
     /*  50005 */ /*GILLT_s64*//*Label 815*/ GIMT_Encode4(50587), GIMT_Encode4(0),
     /*  50013 */ /*GILLT_v2s32*//*Label 816*/ GIMT_Encode4(52022),
     /*  50017 */ /*GILLT_v2s64*//*Label 817*/ GIMT_Encode4(52182),
     /*  50021 */ /*GILLT_v4s16*//*Label 818*/ GIMT_Encode4(52342),
     /*  50025 */ /*GILLT_v4s32*//*Label 819*/ GIMT_Encode4(52502),
     /*  50029 */ /*GILLT_v8s8*//*Label 820*/ GIMT_Encode4(52662),
     /*  50033 */ /*GILLT_v8s16*//*Label 821*/ GIMT_Encode4(52822),
     /*  50037 */ /*GILLT_v16s8*//*Label 822*/ GIMT_Encode4(52982),
     /*  50041 */ /*GILLT_nxv1s1*//*Label 823*/ GIMT_Encode4(53142),
     /*  50045 */ /*GILLT_nxv2s1*//*Label 824*/ GIMT_Encode4(53683), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  50057 */ /*GILLT_nxv2s64*//*Label 825*/ GIMT_Encode4(54224),
     /*  50061 */ /*GILLT_nxv4s1*//*Label 826*/ GIMT_Encode4(54696), GIMT_Encode4(0),
     /*  50069 */ /*GILLT_nxv4s32*//*Label 827*/ GIMT_Encode4(55237),
     /*  50073 */ /*GILLT_nxv8s1*//*Label 828*/ GIMT_Encode4(55709),
     /*  50077 */ /*GILLT_nxv8s16*//*Label 829*/ GIMT_Encode4(56250),
     /*  50081 */ /*GILLT_nxv16s1*//*Label 830*/ GIMT_Encode4(56722),
     /*  50085 */ /*GILLT_nxv16s8*//*Label 831*/ GIMT_Encode4(57263),
     /*  50089 */ // Label 814: @50089
     /*  50089 */ GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(50586),
     /*  50094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  50097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  50100 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(50155), // Rule ID 12928 //
     /*  50105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50125 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  50142 */     // (and:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  50142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  50145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50153 */     GIR_RootConstrainSelectedInstOperands,
     /*  50154 */     // GIR_Coverage, 12928,
     /*  50154 */     GIR_EraseRootFromParent_Done,
     /*  50155 */   // Label 834: @50155
     /*  50155 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(50210), // Rule ID 162 //
     /*  50160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50190 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  50197 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  50197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  50200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50202 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50204 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50208 */     GIR_RootConstrainSelectedInstOperands,
     /*  50209 */     // GIR_Coverage, 162,
     /*  50209 */     GIR_EraseRootFromParent_Done,
     /*  50210 */   // Label 835: @50210
     /*  50210 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(50279), // Rule ID 5584 //
     /*  50215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  50227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  50231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  50244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50248 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  50252 */     // MIs[2] Operand 1
     /*  50252 */     // No operand predicates
     /*  50252 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  50263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50265 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), 255:{ *:[i32] })  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /*  50265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  50268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  50277 */     GIR_RootConstrainSelectedInstOperands,
     /*  50278 */     // GIR_Coverage, 5584,
     /*  50278 */     GIR_EraseRootFromParent_Done,
     /*  50279 */   // Label 836: @50279
     /*  50279 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(50348), // Rule ID 5585 //
     /*  50284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  50296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  50300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  50313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50317 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  50321 */     // MIs[2] Operand 1
     /*  50321 */     // No operand predicates
     /*  50321 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  50332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50334 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 65535:{ *:[i32] })  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /*  50334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  50337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  50346 */     GIR_RootConstrainSelectedInstOperands,
     /*  50347 */     // GIR_Coverage, 5585,
     /*  50347 */     GIR_EraseRootFromParent_Done,
     /*  50348 */   // Label 837: @50348
     /*  50348 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(50401), // Rule ID 12926 //
     /*  50353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50378 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50388 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  50388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  50391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50399 */     GIR_RootConstrainSelectedInstOperands,
     /*  50400 */     // GIR_Coverage, 12926,
     /*  50400 */     GIR_EraseRootFromParent_Done,
     /*  50401 */   // Label 838: @50401
     /*  50401 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(50454), // Rule ID 160 //
     /*  50406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50435 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50441 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  50441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  50444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50452 */     GIR_RootConstrainSelectedInstOperands,
     /*  50453 */     // GIR_Coverage, 160,
     /*  50453 */     GIR_EraseRootFromParent_Done,
     /*  50454 */   // Label 839: @50454
     /*  50454 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(50495), // Rule ID 142 //
     /*  50459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  50463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50475 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  50479 */     // MIs[1] Operand 1
     /*  50479 */     // No operand predicates
     /*  50479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50481 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ANDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  50481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /*  50484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50486 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50488 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  50493 */     GIR_RootConstrainSelectedInstOperands,
     /*  50494 */     // GIR_Coverage, 142,
     /*  50494 */     GIR_EraseRootFromParent_Done,
     /*  50495 */   // Label 840: @50495
     /*  50495 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(50528), // Rule ID 12924 //
     /*  50500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  50515 */     // (and:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  50515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  50518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50522 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50526 */     GIR_RootConstrainSelectedInstOperands,
     /*  50527 */     // GIR_Coverage, 12924,
     /*  50527 */     GIR_EraseRootFromParent_Done,
     /*  50528 */   // Label 841: @50528
     /*  50528 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(50561), // Rule ID 158 //
     /*  50533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  50548 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  50548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  50551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50553 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50559 */     GIR_RootConstrainSelectedInstOperands,
     /*  50560 */     // GIR_Coverage, 158,
     /*  50560 */     GIR_EraseRootFromParent_Done,
     /*  50561 */   // Label 842: @50561
     /*  50561 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(50585), // Rule ID 156 //
     /*  50566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50578 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ANDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  50578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDWrr),
     /*  50583 */     GIR_RootConstrainSelectedInstOperands,
     /*  50584 */     // GIR_Coverage, 156,
     /*  50584 */     GIR_Done,
     /*  50585 */   // Label 843: @50585
     /*  50585 */   GIM_Reject,
     /*  50586 */ // Label 833: @50586
     /*  50586 */ GIM_Reject,
     /*  50587 */ // Label 815: @50587
     /*  50587 */ GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52021),
     /*  50592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  50595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  50598 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(50653), // Rule ID 12929 //
     /*  50603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50623 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  50640 */     // (and:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  50640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  50643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50651 */     GIR_RootConstrainSelectedInstOperands,
     /*  50652 */     // GIR_Coverage, 12929,
     /*  50652 */     GIR_EraseRootFromParent_Done,
     /*  50653 */   // Label 845: @50653
     /*  50653 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(50708), // Rule ID 163 //
     /*  50658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  50674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50682 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  50686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  50695 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  50695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  50698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50702 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  50706 */     GIR_RootConstrainSelectedInstOperands,
     /*  50707 */     // GIR_Coverage, 163,
     /*  50707 */     GIR_EraseRootFromParent_Done,
     /*  50708 */   // Label 846: @50708
     /*  50708 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(50821), // Rule ID 5586 //
     /*  50713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  50717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  50733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  50737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  50741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  50754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50758 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  50762 */     // MIs[3] Operand 1
     /*  50762 */     // No operand predicates
     /*  50762 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  50773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  50775 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), sub_32:{ *:[i32] })
     /*  50775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  50782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50787 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  50791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  50794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  50796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  50799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  50804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  50810 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  50815 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50820 */     // GIR_Coverage, 5586,
     /*  50820 */     GIR_EraseRootFromParent_Done,
     /*  50821 */   // Label 847: @50821
     /*  50821 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(50934), // Rule ID 5587 //
     /*  50826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  50830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  50846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  50850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  50854 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  50867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50871 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  50875 */     // MIs[3] Operand 1
     /*  50875 */     // No operand predicates
     /*  50875 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  50886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  50888 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), sub_32:{ *:[i32] })
     /*  50888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  50895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  50904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  50907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  50909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  50912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  50917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  50923 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  50928 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50933 */     // GIR_Coverage, 5587,
     /*  50933 */     GIR_EraseRootFromParent_Done,
     /*  50934 */   // Label 848: @50934
     /*  50934 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(51033), // Rule ID 6992 //
     /*  50939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  50943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  50951 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  50954 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  50959 */     // MIs[1] addr
     /*  50959 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  50963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  50968 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /*  50972 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  50983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50985 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  50985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /*  50992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51001 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51032 */     // GIR_Coverage, 6992,
     /*  51032 */     GIR_EraseRootFromParent_Done,
     /*  51033 */   // Label 849: @51033
     /*  51033 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(51132), // Rule ID 6993 //
     /*  51038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  51050 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  51053 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  51058 */     // MIs[1] addr
     /*  51058 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  51062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51067 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /*  51071 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  51082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51084 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  51084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /*  51091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51100 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51121 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51126 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51131 */     // GIR_Coverage, 6993,
     /*  51131 */     GIR_EraseRootFromParent_Done,
     /*  51132 */   // Label 850: @51132
     /*  51132 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(51231), // Rule ID 6994 //
     /*  51137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  51149 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  51152 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  51157 */     // MIs[1] addr
     /*  51157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  51161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51166 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /*  51170 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51183 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  51183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /*  51190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51199 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51220 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51225 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51230 */     // GIR_Coverage, 6994,
     /*  51230 */     GIR_EraseRootFromParent_Done,
     /*  51231 */   // Label 851: @51231
     /*  51231 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(51330), // Rule ID 6999 //
     /*  51236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  51248 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  51251 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  51256 */     // MIs[1] addr
     /*  51256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  51260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51265 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /*  51269 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  51280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51282 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  51282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /*  51289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51298 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51319 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51329 */     // GIR_Coverage, 6999,
     /*  51329 */     GIR_EraseRootFromParent_Done,
     /*  51330 */   // Label 852: @51330
     /*  51330 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(51429), // Rule ID 7000 //
     /*  51335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  51347 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  51350 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  51355 */     // MIs[1] addr
     /*  51355 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  51359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51364 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /*  51368 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  51379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51381 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  51381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /*  51388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51397 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51428 */     // GIR_Coverage, 7000,
     /*  51428 */     GIR_EraseRootFromParent_Done,
     /*  51429 */   // Label 853: @51429
     /*  51429 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(51528), // Rule ID 7001 //
     /*  51434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  51446 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  51449 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  51454 */     // MIs[1] addr
     /*  51454 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  51458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51463 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /*  51467 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51480 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  51480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /*  51487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  51496 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51517 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51522 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51527 */     // GIR_Coverage, 7001,
     /*  51527 */     GIR_EraseRootFromParent_Done,
     /*  51528 */   // Label 854: @51528
     /*  51528 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(51581), // Rule ID 12927 //
     /*  51533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  51545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51558 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  51562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51568 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  51568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  51571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51579 */     GIR_RootConstrainSelectedInstOperands,
     /*  51580 */     // GIR_Coverage, 12927,
     /*  51580 */     GIR_EraseRootFromParent_Done,
     /*  51581 */   // Label 855: @51581
     /*  51581 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(51634), // Rule ID 161 //
     /*  51586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  51602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51615 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  51619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51621 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  51621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  51624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51626 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51632 */     GIR_RootConstrainSelectedInstOperands,
     /*  51633 */     // GIR_Coverage, 161,
     /*  51633 */     GIR_EraseRootFromParent_Done,
     /*  51634 */   // Label 856: @51634
     /*  51634 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(51734), // Rule ID 3946 //
     /*  51639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51647 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51658 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (ORRWrr:{ *:[i32] } WZR:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  51658 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  51661 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51665 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51670 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51676 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51681 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  51693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51704 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  51707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  51712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  51717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  51723 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  51728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51733 */     // GIR_Coverage, 3946,
     /*  51733 */     GIR_EraseRootFromParent_Done,
     /*  51734 */   // Label 857: @51734
     /*  51734 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(51775), // Rule ID 143 //
     /*  51739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  51743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51755 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  51759 */     // MIs[1] Operand 1
     /*  51759 */     // No operand predicates
     /*  51759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51761 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ANDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  51761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXri),
     /*  51764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51766 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51768 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  51773 */     GIR_RootConstrainSelectedInstOperands,
     /*  51774 */     // GIR_Coverage, 143,
     /*  51774 */     GIR_EraseRootFromParent_Done,
     /*  51775 */   // Label 858: @51775
     /*  51775 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(51808), // Rule ID 12925 //
     /*  51780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  51795 */     // (and:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  51795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  51798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  51806 */     GIR_RootConstrainSelectedInstOperands,
     /*  51807 */     // GIR_Coverage, 12925,
     /*  51807 */     GIR_EraseRootFromParent_Done,
     /*  51808 */   // Label 859: @51808
     /*  51808 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(51841), // Rule ID 159 //
     /*  51813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  51828 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  51828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  51831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51833 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51835 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  51839 */     GIR_RootConstrainSelectedInstOperands,
     /*  51840 */     // GIR_Coverage, 159,
     /*  51840 */     GIR_EraseRootFromParent_Done,
     /*  51841 */   // Label 860: @51841
     /*  51841 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(51905), // Rule ID 13580 //
     /*  51846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  51861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51878 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  51884 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  51886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51892 */     // (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  51892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  51895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51897 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  51899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  51903 */     GIR_RootConstrainSelectedInstOperands,
     /*  51904 */     // GIR_Coverage, 13580,
     /*  51904 */     GIR_EraseRootFromParent_Done,
     /*  51905 */   // Label 861: @51905
     /*  51905 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(51969), // Rule ID 4981 //
     /*  51910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  51929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51946 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  51952 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  51954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51956 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  51956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  51959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51961 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  51963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  51967 */     GIR_RootConstrainSelectedInstOperands,
     /*  51968 */     // GIR_Coverage, 4981,
     /*  51968 */     GIR_EraseRootFromParent_Done,
     /*  51969 */   // Label 862: @51969
     /*  51969 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(51993), // Rule ID 157 //
     /*  51974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51986 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ANDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  51986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDXrr),
     /*  51991 */     GIR_RootConstrainSelectedInstOperands,
     /*  51992 */     // GIR_Coverage, 157,
     /*  51992 */     GIR_Done,
     /*  51993 */   // Label 863: @51993
     /*  51993 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(52020), // Rule ID 2475 //
     /*  51998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52013 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ANDv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  52013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  52018 */     GIR_RootConstrainSelectedInstOperands,
     /*  52019 */     // GIR_Coverage, 2475,
     /*  52019 */     GIR_Done,
     /*  52020 */   // Label 864: @52020
     /*  52020 */   GIM_Reject,
     /*  52021 */ // Label 844: @52021
     /*  52021 */ GIM_Reject,
     /*  52022 */ // Label 816: @52022
     /*  52022 */ GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(52181),
     /*  52027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  52030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52037 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(52097), // Rule ID 13579 //
     /*  52042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  52057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52070 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52076 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52084 */     // (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  52084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52089 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  52091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52095 */     GIR_RootConstrainSelectedInstOperands,
     /*  52096 */     // GIR_Coverage, 13579,
     /*  52096 */     GIR_EraseRootFromParent_Done,
     /*  52097 */   // Label 866: @52097
     /*  52097 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(52157), // Rule ID 4980 //
     /*  52102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  52121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52134 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52140 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52144 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  52144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52149 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  52151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52155 */     GIR_RootConstrainSelectedInstOperands,
     /*  52156 */     // GIR_Coverage, 4980,
     /*  52156 */     GIR_EraseRootFromParent_Done,
     /*  52157 */   // Label 867: @52157
     /*  52157 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(52180), // Rule ID 2474 //
     /*  52162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52173 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ANDv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  52173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  52178 */     GIR_RootConstrainSelectedInstOperands,
     /*  52179 */     // GIR_Coverage, 2474,
     /*  52179 */     GIR_Done,
     /*  52180 */   // Label 868: @52180
     /*  52180 */   GIM_Reject,
     /*  52181 */ // Label 865: @52181
     /*  52181 */ GIM_Reject,
     /*  52182 */ // Label 817: @52182
     /*  52182 */ GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(52341),
     /*  52187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  52190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  52193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52197 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(52257), // Rule ID 13583 //
     /*  52202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  52217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  52221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52230 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52236 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52244 */     // (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  52244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52249 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  52251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52255 */     GIR_RootConstrainSelectedInstOperands,
     /*  52256 */     // GIR_Coverage, 13583,
     /*  52256 */     GIR_EraseRootFromParent_Done,
     /*  52257 */   // Label 870: @52257
     /*  52257 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(52317), // Rule ID 4984 //
     /*  52262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  52281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  52285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52294 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52300 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52304 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  52304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52309 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  52311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52315 */     GIR_RootConstrainSelectedInstOperands,
     /*  52316 */     // GIR_Coverage, 4984,
     /*  52316 */     GIR_EraseRootFromParent_Done,
     /*  52317 */   // Label 871: @52317
     /*  52317 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(52340), // Rule ID 2478 //
     /*  52322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52333 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ANDv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  52333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  52338 */     GIR_RootConstrainSelectedInstOperands,
     /*  52339 */     // GIR_Coverage, 2478,
     /*  52339 */     GIR_Done,
     /*  52340 */   // Label 872: @52340
     /*  52340 */   GIM_Reject,
     /*  52341 */ // Label 869: @52341
     /*  52341 */ GIM_Reject,
     /*  52342 */ // Label 818: @52342
     /*  52342 */ GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(52501),
     /*  52347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  52350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52357 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(52417), // Rule ID 13578 //
     /*  52362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  52377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52390 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52396 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52404 */     // (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  52404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52409 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  52411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52415 */     GIR_RootConstrainSelectedInstOperands,
     /*  52416 */     // GIR_Coverage, 13578,
     /*  52416 */     GIR_EraseRootFromParent_Done,
     /*  52417 */   // Label 874: @52417
     /*  52417 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(52477), // Rule ID 4979 //
     /*  52422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  52441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52454 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52460 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52464 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  52464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52469 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  52471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52475 */     GIR_RootConstrainSelectedInstOperands,
     /*  52476 */     // GIR_Coverage, 4979,
     /*  52476 */     GIR_EraseRootFromParent_Done,
     /*  52477 */   // Label 875: @52477
     /*  52477 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(52500), // Rule ID 2473 //
     /*  52482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52493 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ANDv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  52493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  52498 */     GIR_RootConstrainSelectedInstOperands,
     /*  52499 */     // GIR_Coverage, 2473,
     /*  52499 */     GIR_Done,
     /*  52500 */   // Label 876: @52500
     /*  52500 */   GIM_Reject,
     /*  52501 */ // Label 873: @52501
     /*  52501 */ GIM_Reject,
     /*  52502 */ // Label 819: @52502
     /*  52502 */ GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(52661),
     /*  52507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52517 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(52577), // Rule ID 13582 //
     /*  52522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52550 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52556 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52564 */     // (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  52564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52569 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  52571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52575 */     GIR_RootConstrainSelectedInstOperands,
     /*  52576 */     // GIR_Coverage, 13582,
     /*  52576 */     GIR_EraseRootFromParent_Done,
     /*  52577 */   // Label 878: @52577
     /*  52577 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(52637), // Rule ID 4983 //
     /*  52582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52614 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52620 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52624 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  52624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52629 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  52631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52635 */     GIR_RootConstrainSelectedInstOperands,
     /*  52636 */     // GIR_Coverage, 4983,
     /*  52636 */     GIR_EraseRootFromParent_Done,
     /*  52637 */   // Label 879: @52637
     /*  52637 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(52660), // Rule ID 2477 //
     /*  52642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52653 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ANDv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  52653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  52658 */     GIR_RootConstrainSelectedInstOperands,
     /*  52659 */     // GIR_Coverage, 2477,
     /*  52659 */     GIR_Done,
     /*  52660 */   // Label 880: @52660
     /*  52660 */   GIM_Reject,
     /*  52661 */ // Label 877: @52661
     /*  52661 */ GIM_Reject,
     /*  52662 */ // Label 820: @52662
     /*  52662 */ GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(52821),
     /*  52667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52677 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(52737), // Rule ID 13064 //
     /*  52682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52710 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52716 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52724 */     // (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52735 */     GIR_RootConstrainSelectedInstOperands,
     /*  52736 */     // GIR_Coverage, 13064,
     /*  52736 */     GIR_EraseRootFromParent_Done,
     /*  52737 */   // Label 882: @52737
     /*  52737 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(52797), // Rule ID 1590 //
     /*  52742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52774 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52780 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52784 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  52787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52795 */     GIR_RootConstrainSelectedInstOperands,
     /*  52796 */     // GIR_Coverage, 1590,
     /*  52796 */     GIR_EraseRootFromParent_Done,
     /*  52797 */   // Label 883: @52797
     /*  52797 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(52820), // Rule ID 1588 //
     /*  52802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52813 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ANDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  52818 */     GIR_RootConstrainSelectedInstOperands,
     /*  52819 */     // GIR_Coverage, 1588,
     /*  52819 */     GIR_Done,
     /*  52820 */   // Label 884: @52820
     /*  52820 */   GIM_Reject,
     /*  52821 */ // Label 881: @52821
     /*  52821 */ GIM_Reject,
     /*  52822 */ // Label 821: @52822
     /*  52822 */ GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(52981),
     /*  52827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52837 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(52897), // Rule ID 13581 //
     /*  52842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52870 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52876 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52884 */     // (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  52884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52889 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  52891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52895 */     GIR_RootConstrainSelectedInstOperands,
     /*  52896 */     // GIR_Coverage, 13581,
     /*  52896 */     GIR_EraseRootFromParent_Done,
     /*  52897 */   // Label 886: @52897
     /*  52897 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(52957), // Rule ID 4982 //
     /*  52902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52934 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  52940 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  52942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52944 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  52944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  52947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52949 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  52951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  52955 */     GIR_RootConstrainSelectedInstOperands,
     /*  52956 */     // GIR_Coverage, 4982,
     /*  52956 */     GIR_EraseRootFromParent_Done,
     /*  52957 */   // Label 887: @52957
     /*  52957 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(52980), // Rule ID 2476 //
     /*  52962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52973 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ANDv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  52973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  52978 */     GIR_RootConstrainSelectedInstOperands,
     /*  52979 */     // GIR_Coverage, 2476,
     /*  52979 */     GIR_Done,
     /*  52980 */   // Label 888: @52980
     /*  52980 */   GIM_Reject,
     /*  52981 */ // Label 885: @52981
     /*  52981 */ GIM_Reject,
     /*  52982 */ // Label 822: @52982
     /*  52982 */ GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(53141),
     /*  52987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  52990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  52993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52997 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(53057), // Rule ID 13065 //
     /*  53002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  53021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53030 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  53036 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  53038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53044 */     // (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  53044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  53047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53055 */     GIR_RootConstrainSelectedInstOperands,
     /*  53056 */     // GIR_Coverage, 13065,
     /*  53056 */     GIR_EraseRootFromParent_Done,
     /*  53057 */   // Label 890: @53057
     /*  53057 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(53117), // Rule ID 1591 //
     /*  53062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  53085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53094 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  53100 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  53102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53104 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  53104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  53107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53109 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53115 */     GIR_RootConstrainSelectedInstOperands,
     /*  53116 */     // GIR_Coverage, 1591,
     /*  53116 */     GIR_EraseRootFromParent_Done,
     /*  53117 */   // Label 891: @53117
     /*  53117 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(53140), // Rule ID 1589 //
     /*  53122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53133 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ANDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  53133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  53138 */     GIR_RootConstrainSelectedInstOperands,
     /*  53139 */     // GIR_Coverage, 1589,
     /*  53139 */     GIR_Done,
     /*  53140 */   // Label 892: @53140
     /*  53140 */   GIM_Reject,
     /*  53141 */ // Label 889: @53141
     /*  53141 */ GIM_Reject,
     /*  53142 */ // Label 823: @53142
     /*  53142 */ GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(53682),
     /*  53147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  53157 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(53214), // Rule ID 14781 //
     /*  53162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53193 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53199 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53212 */     GIR_RootConstrainSelectedInstOperands,
     /*  53213 */     // GIR_Coverage, 14781,
     /*  53213 */     GIR_EraseRootFromParent_Done,
     /*  53214 */   // Label 894: @53214
     /*  53214 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(53271), // Rule ID 14784 //
     /*  53219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53250 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53256 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53269 */     GIR_RootConstrainSelectedInstOperands,
     /*  53270 */     // GIR_Coverage, 14784,
     /*  53270 */     GIR_EraseRootFromParent_Done,
     /*  53271 */   // Label 895: @53271
     /*  53271 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(53328), // Rule ID 14780 //
     /*  53276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53291 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53307 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53313 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53326 */     GIR_RootConstrainSelectedInstOperands,
     /*  53327 */     // GIR_Coverage, 14780,
     /*  53327 */     GIR_EraseRootFromParent_Done,
     /*  53328 */   // Label 896: @53328
     /*  53328 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(53385), // Rule ID 14783 //
     /*  53333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53364 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53370 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53383 */     GIR_RootConstrainSelectedInstOperands,
     /*  53384 */     // GIR_Coverage, 14783,
     /*  53384 */     GIR_EraseRootFromParent_Done,
     /*  53385 */   // Label 897: @53385
     /*  53385 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(53442), // Rule ID 14779 //
     /*  53390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53421 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53427 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53432 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53440 */     GIR_RootConstrainSelectedInstOperands,
     /*  53441 */     // GIR_Coverage, 14779,
     /*  53441 */     GIR_EraseRootFromParent_Done,
     /*  53442 */   // Label 898: @53442
     /*  53442 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(53499), // Rule ID 14782 //
     /*  53447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53478 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53484 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53497 */     GIR_RootConstrainSelectedInstOperands,
     /*  53498 */     // GIR_Coverage, 14782,
     /*  53498 */     GIR_EraseRootFromParent_Done,
     /*  53499 */   // Label 899: @53499
     /*  53499 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(53556), // Rule ID 8261 //
     /*  53504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53535 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53541 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53548 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53554 */     GIR_RootConstrainSelectedInstOperands,
     /*  53555 */     // GIR_Coverage, 8261,
     /*  53555 */     GIR_EraseRootFromParent_Done,
     /*  53556 */   // Label 900: @53556
     /*  53556 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(53613), // Rule ID 8262 //
     /*  53561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  53576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  53580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53592 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53598 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53603 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53605 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53611 */     GIR_RootConstrainSelectedInstOperands,
     /*  53612 */     // GIR_Coverage, 8262,
     /*  53612 */     GIR_EraseRootFromParent_Done,
     /*  53613 */   // Label 901: @53613
     /*  53613 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(53660), // Rule ID 10513 //
     /*  53618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  53625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  53629 */     // (and:{ *:[nxv1i1] } PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)
     /*  53629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  53632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  53636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53641 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  53644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  53649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53654 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  53656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  53658 */     GIR_RootConstrainSelectedInstOperands,
     /*  53659 */     // GIR_Coverage, 10513,
     /*  53659 */     GIR_EraseRootFromParent_Done,
     /*  53660 */   // Label 902: @53660
     /*  53660 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(53681), // Rule ID 2739 //
     /*  53665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53668 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  53668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  53671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53673 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  53679 */     GIR_RootConstrainSelectedInstOperands,
     /*  53680 */     // GIR_Coverage, 2739,
     /*  53680 */     GIR_EraseRootFromParent_Done,
     /*  53681 */   // Label 903: @53681
     /*  53681 */   GIM_Reject,
     /*  53682 */ // Label 893: @53682
     /*  53682 */ GIM_Reject,
     /*  53683 */ // Label 824: @53683
     /*  53683 */ GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(54223),
     /*  53688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  53698 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(53755), // Rule ID 14772 //
     /*  53703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53734 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53740 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  53740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53753 */     GIR_RootConstrainSelectedInstOperands,
     /*  53754 */     // GIR_Coverage, 14772,
     /*  53754 */     GIR_EraseRootFromParent_Done,
     /*  53755 */   // Label 905: @53755
     /*  53755 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(53812), // Rule ID 14775 //
     /*  53760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53797 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  53797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53810 */     GIR_RootConstrainSelectedInstOperands,
     /*  53811 */     // GIR_Coverage, 14775,
     /*  53811 */     GIR_EraseRootFromParent_Done,
     /*  53812 */   // Label 906: @53812
     /*  53812 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(53869), // Rule ID 14771 //
     /*  53817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53848 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53854 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  53854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53867 */     GIR_RootConstrainSelectedInstOperands,
     /*  53868 */     // GIR_Coverage, 14771,
     /*  53868 */     GIR_EraseRootFromParent_Done,
     /*  53869 */   // Label 907: @53869
     /*  53869 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(53926), // Rule ID 14774 //
     /*  53874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  53905 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53911 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  53911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  53920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  53924 */     GIR_RootConstrainSelectedInstOperands,
     /*  53925 */     // GIR_Coverage, 14774,
     /*  53925 */     GIR_EraseRootFromParent_Done,
     /*  53926 */   // Label 908: @53926
     /*  53926 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(53983), // Rule ID 14770 //
     /*  53931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  53946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  53950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  53958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  53962 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  53966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53968 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  53968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  53971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  53973 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53975 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  53977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  53981 */     GIR_RootConstrainSelectedInstOperands,
     /*  53982 */     // GIR_Coverage, 14770,
     /*  53982 */     GIR_EraseRootFromParent_Done,
     /*  53983 */   // Label 909: @53983
     /*  53983 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(54040), // Rule ID 14773 //
     /*  53988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  53991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  54003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  54007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54019 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54025 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  54025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54032 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54038 */     GIR_RootConstrainSelectedInstOperands,
     /*  54039 */     // GIR_Coverage, 14773,
     /*  54039 */     GIR_EraseRootFromParent_Done,
     /*  54040 */   // Label 910: @54040
     /*  54040 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(54097), // Rule ID 8257 //
     /*  54045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  54060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  54064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54076 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54082 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  54082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54087 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54095 */     GIR_RootConstrainSelectedInstOperands,
     /*  54096 */     // GIR_Coverage, 8257,
     /*  54096 */     GIR_EraseRootFromParent_Done,
     /*  54097 */   // Label 911: @54097
     /*  54097 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(54154), // Rule ID 8258 //
     /*  54102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  54117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  54121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54133 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54139 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  54139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54144 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54146 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54152 */     GIR_RootConstrainSelectedInstOperands,
     /*  54153 */     // GIR_Coverage, 8258,
     /*  54153 */     GIR_EraseRootFromParent_Done,
     /*  54154 */   // Label 912: @54154
     /*  54154 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(54201), // Rule ID 10512 //
     /*  54159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  54166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  54170 */     // (and:{ *:[nxv2i1] } PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)
     /*  54170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  54173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  54177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54182 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  54185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  54190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54195 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  54197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  54199 */     GIR_RootConstrainSelectedInstOperands,
     /*  54200 */     // GIR_Coverage, 10512,
     /*  54200 */     GIR_EraseRootFromParent_Done,
     /*  54201 */   // Label 913: @54201
     /*  54201 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(54222), // Rule ID 2738 //
     /*  54206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54209 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  54209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  54212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54214 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54216 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  54220 */     GIR_RootConstrainSelectedInstOperands,
     /*  54221 */     // GIR_Coverage, 2738,
     /*  54221 */     GIR_EraseRootFromParent_Done,
     /*  54222 */   // Label 914: @54222
     /*  54222 */   GIM_Reject,
     /*  54223 */ // Label 904: @54223
     /*  54223 */ GIM_Reject,
     /*  54224 */ // Label 825: @54224
     /*  54224 */ GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(54695),
     /*  54229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  54239 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(54294), // Rule ID 14712 //
     /*  54244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54275 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54281 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54292 */     GIR_RootConstrainSelectedInstOperands,
     /*  54293 */     // GIR_Coverage, 14712,
     /*  54293 */     GIR_EraseRootFromParent_Done,
     /*  54294 */   // Label 916: @54294
     /*  54294 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(54349), // Rule ID 14715 //
     /*  54299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54330 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54336 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54347 */     GIR_RootConstrainSelectedInstOperands,
     /*  54348 */     // GIR_Coverage, 14715,
     /*  54348 */     GIR_EraseRootFromParent_Done,
     /*  54349 */   // Label 917: @54349
     /*  54349 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(54404), // Rule ID 14711 //
     /*  54354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54385 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54391 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54402 */     GIR_RootConstrainSelectedInstOperands,
     /*  54403 */     // GIR_Coverage, 14711,
     /*  54403 */     GIR_EraseRootFromParent_Done,
     /*  54404 */   // Label 918: @54404
     /*  54404 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(54459), // Rule ID 14714 //
     /*  54409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54440 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54446 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54457 */     GIR_RootConstrainSelectedInstOperands,
     /*  54458 */     // GIR_Coverage, 14714,
     /*  54458 */     GIR_EraseRootFromParent_Done,
     /*  54459 */   // Label 919: @54459
     /*  54459 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(54514), // Rule ID 14710 //
     /*  54464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54495 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54501 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54512 */     GIR_RootConstrainSelectedInstOperands,
     /*  54513 */     // GIR_Coverage, 14710,
     /*  54513 */     GIR_EraseRootFromParent_Done,
     /*  54514 */   // Label 920: @54514
     /*  54514 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(54569), // Rule ID 14713 //
     /*  54519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54550 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54556 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54561 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54567 */     GIR_RootConstrainSelectedInstOperands,
     /*  54568 */     // GIR_Coverage, 14713,
     /*  54568 */     GIR_EraseRootFromParent_Done,
     /*  54569 */   // Label 921: @54569
     /*  54569 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(54624), // Rule ID 7310 //
     /*  54574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54605 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54611 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54616 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54622 */     GIR_RootConstrainSelectedInstOperands,
     /*  54623 */     // GIR_Coverage, 7310,
     /*  54623 */     GIR_EraseRootFromParent_Done,
     /*  54624 */   // Label 922: @54624
     /*  54624 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(54679), // Rule ID 7311 //
     /*  54629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  54644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  54648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54660 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54666 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  54669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  54671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54677 */     GIR_RootConstrainSelectedInstOperands,
     /*  54678 */     // GIR_Coverage, 7311,
     /*  54678 */     GIR_EraseRootFromParent_Done,
     /*  54679 */   // Label 923: @54679
     /*  54679 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(54694), // Rule ID 3132 //
     /*  54684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54687 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  54687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  54692 */     GIR_RootConstrainSelectedInstOperands,
     /*  54693 */     // GIR_Coverage, 3132,
     /*  54693 */     GIR_Done,
     /*  54694 */   // Label 924: @54694
     /*  54694 */   GIM_Reject,
     /*  54695 */ // Label 915: @54695
     /*  54695 */ GIM_Reject,
     /*  54696 */ // Label 826: @54696
     /*  54696 */ GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(55236),
     /*  54701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  54711 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(54768), // Rule ID 14763 //
     /*  54716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54747 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54753 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  54753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54766 */     GIR_RootConstrainSelectedInstOperands,
     /*  54767 */     // GIR_Coverage, 14763,
     /*  54767 */     GIR_EraseRootFromParent_Done,
     /*  54768 */   // Label 926: @54768
     /*  54768 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(54825), // Rule ID 14766 //
     /*  54773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54804 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54810 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  54810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54823 */     GIR_RootConstrainSelectedInstOperands,
     /*  54824 */     // GIR_Coverage, 14766,
     /*  54824 */     GIR_EraseRootFromParent_Done,
     /*  54825 */   // Label 927: @54825
     /*  54825 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(54882), // Rule ID 14762 //
     /*  54830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54861 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54867 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  54867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54880 */     GIR_RootConstrainSelectedInstOperands,
     /*  54881 */     // GIR_Coverage, 14762,
     /*  54881 */     GIR_EraseRootFromParent_Done,
     /*  54882 */   // Label 928: @54882
     /*  54882 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(54939), // Rule ID 14765 //
     /*  54887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  54918 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54924 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  54924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  54933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  54937 */     GIR_RootConstrainSelectedInstOperands,
     /*  54938 */     // GIR_Coverage, 14765,
     /*  54938 */     GIR_EraseRootFromParent_Done,
     /*  54939 */   // Label 929: @54939
     /*  54939 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(54996), // Rule ID 14761 //
     /*  54944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  54947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  54959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  54963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  54971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  54975 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  54979 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54981 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  54981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  54984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  54986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  54990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  54994 */     GIR_RootConstrainSelectedInstOperands,
     /*  54995 */     // GIR_Coverage, 14761,
     /*  54995 */     GIR_EraseRootFromParent_Done,
     /*  54996 */   // Label 930: @54996
     /*  54996 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(55053), // Rule ID 14764 //
     /*  55001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  55016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  55020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55032 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55038 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  55038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55043 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55045 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55051 */     GIR_RootConstrainSelectedInstOperands,
     /*  55052 */     // GIR_Coverage, 14764,
     /*  55052 */     GIR_EraseRootFromParent_Done,
     /*  55053 */   // Label 931: @55053
     /*  55053 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(55110), // Rule ID 8253 //
     /*  55058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  55073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  55077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55089 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55095 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  55095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55100 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55102 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55108 */     GIR_RootConstrainSelectedInstOperands,
     /*  55109 */     // GIR_Coverage, 8253,
     /*  55109 */     GIR_EraseRootFromParent_Done,
     /*  55110 */   // Label 932: @55110
     /*  55110 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(55167), // Rule ID 8254 //
     /*  55115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  55130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  55134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55146 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55152 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  55152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55157 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55159 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55165 */     GIR_RootConstrainSelectedInstOperands,
     /*  55166 */     // GIR_Coverage, 8254,
     /*  55166 */     GIR_EraseRootFromParent_Done,
     /*  55167 */   // Label 933: @55167
     /*  55167 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(55214), // Rule ID 10511 //
     /*  55172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  55179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  55183 */     // (and:{ *:[nxv4i1] } PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)
     /*  55183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  55186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  55190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55195 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  55198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  55203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55208 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  55210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  55212 */     GIR_RootConstrainSelectedInstOperands,
     /*  55213 */     // GIR_Coverage, 10511,
     /*  55213 */     GIR_EraseRootFromParent_Done,
     /*  55214 */   // Label 934: @55214
     /*  55214 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(55235), // Rule ID 2737 //
     /*  55219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55222 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  55222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  55225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55227 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  55233 */     GIR_RootConstrainSelectedInstOperands,
     /*  55234 */     // GIR_Coverage, 2737,
     /*  55234 */     GIR_EraseRootFromParent_Done,
     /*  55235 */   // Label 935: @55235
     /*  55235 */   GIM_Reject,
     /*  55236 */ // Label 925: @55236
     /*  55236 */ GIM_Reject,
     /*  55237 */ // Label 827: @55237
     /*  55237 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(55708),
     /*  55242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  55252 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(55307), // Rule ID 14703 //
     /*  55257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55288 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55294 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55305 */     GIR_RootConstrainSelectedInstOperands,
     /*  55306 */     // GIR_Coverage, 14703,
     /*  55306 */     GIR_EraseRootFromParent_Done,
     /*  55307 */   // Label 937: @55307
     /*  55307 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(55362), // Rule ID 14706 //
     /*  55312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55343 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55349 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55360 */     GIR_RootConstrainSelectedInstOperands,
     /*  55361 */     // GIR_Coverage, 14706,
     /*  55361 */     GIR_EraseRootFromParent_Done,
     /*  55362 */   // Label 938: @55362
     /*  55362 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(55417), // Rule ID 14702 //
     /*  55367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55398 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55404 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55415 */     GIR_RootConstrainSelectedInstOperands,
     /*  55416 */     // GIR_Coverage, 14702,
     /*  55416 */     GIR_EraseRootFromParent_Done,
     /*  55417 */   // Label 939: @55417
     /*  55417 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(55472), // Rule ID 14705 //
     /*  55422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55453 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55459 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55470 */     GIR_RootConstrainSelectedInstOperands,
     /*  55471 */     // GIR_Coverage, 14705,
     /*  55471 */     GIR_EraseRootFromParent_Done,
     /*  55472 */   // Label 940: @55472
     /*  55472 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(55527), // Rule ID 14701 //
     /*  55477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55508 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55514 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55519 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55525 */     GIR_RootConstrainSelectedInstOperands,
     /*  55526 */     // GIR_Coverage, 14701,
     /*  55526 */     GIR_EraseRootFromParent_Done,
     /*  55527 */   // Label 941: @55527
     /*  55527 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(55582), // Rule ID 14704 //
     /*  55532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55563 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55569 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55574 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55580 */     GIR_RootConstrainSelectedInstOperands,
     /*  55581 */     // GIR_Coverage, 14704,
     /*  55581 */     GIR_EraseRootFromParent_Done,
     /*  55582 */   // Label 942: @55582
     /*  55582 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(55637), // Rule ID 7306 //
     /*  55587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55618 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55624 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55629 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55635 */     GIR_RootConstrainSelectedInstOperands,
     /*  55636 */     // GIR_Coverage, 7306,
     /*  55636 */     GIR_EraseRootFromParent_Done,
     /*  55637 */   // Label 943: @55637
     /*  55637 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(55692), // Rule ID 7307 //
     /*  55642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  55657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  55661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55673 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55679 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  55682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  55684 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  55686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55690 */     GIR_RootConstrainSelectedInstOperands,
     /*  55691 */     // GIR_Coverage, 7307,
     /*  55691 */     GIR_EraseRootFromParent_Done,
     /*  55692 */   // Label 944: @55692
     /*  55692 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(55707), // Rule ID 3131 //
     /*  55697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55700 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  55700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  55705 */     GIR_RootConstrainSelectedInstOperands,
     /*  55706 */     // GIR_Coverage, 3131,
     /*  55706 */     GIR_Done,
     /*  55707 */   // Label 945: @55707
     /*  55707 */   GIM_Reject,
     /*  55708 */ // Label 936: @55708
     /*  55708 */ GIM_Reject,
     /*  55709 */ // Label 828: @55709
     /*  55709 */ GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(56249),
     /*  55714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  55724 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(55781), // Rule ID 14754 //
     /*  55729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55760 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55766 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  55766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55779 */     GIR_RootConstrainSelectedInstOperands,
     /*  55780 */     // GIR_Coverage, 14754,
     /*  55780 */     GIR_EraseRootFromParent_Done,
     /*  55781 */   // Label 947: @55781
     /*  55781 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(55838), // Rule ID 14757 //
     /*  55786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55817 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55823 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  55823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55836 */     GIR_RootConstrainSelectedInstOperands,
     /*  55837 */     // GIR_Coverage, 14757,
     /*  55837 */     GIR_EraseRootFromParent_Done,
     /*  55838 */   // Label 948: @55838
     /*  55838 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(55895), // Rule ID 14753 //
     /*  55843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55874 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55880 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  55880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55893 */     GIR_RootConstrainSelectedInstOperands,
     /*  55894 */     // GIR_Coverage, 14753,
     /*  55894 */     GIR_EraseRootFromParent_Done,
     /*  55895 */   // Label 949: @55895
     /*  55895 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(55952), // Rule ID 14756 //
     /*  55900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55931 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55937 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  55937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55950 */     GIR_RootConstrainSelectedInstOperands,
     /*  55951 */     // GIR_Coverage, 14756,
     /*  55951 */     GIR_EraseRootFromParent_Done,
     /*  55952 */   // Label 950: @55952
     /*  55952 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(56009), // Rule ID 14752 //
     /*  55957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  55972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  55976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55988 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55994 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  55994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55999 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56001 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56007 */     GIR_RootConstrainSelectedInstOperands,
     /*  56008 */     // GIR_Coverage, 14752,
     /*  56008 */     GIR_EraseRootFromParent_Done,
     /*  56009 */   // Label 951: @56009
     /*  56009 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(56066), // Rule ID 14755 //
     /*  56014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  56029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  56033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56045 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56051 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  56051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56056 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56058 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56064 */     GIR_RootConstrainSelectedInstOperands,
     /*  56065 */     // GIR_Coverage, 14755,
     /*  56065 */     GIR_EraseRootFromParent_Done,
     /*  56066 */   // Label 952: @56066
     /*  56066 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(56123), // Rule ID 8249 //
     /*  56071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  56086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  56090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56102 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56108 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  56108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56115 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56121 */     GIR_RootConstrainSelectedInstOperands,
     /*  56122 */     // GIR_Coverage, 8249,
     /*  56122 */     GIR_EraseRootFromParent_Done,
     /*  56123 */   // Label 953: @56123
     /*  56123 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(56180), // Rule ID 8250 //
     /*  56128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  56143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  56147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56159 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56165 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  56165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56172 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56178 */     GIR_RootConstrainSelectedInstOperands,
     /*  56179 */     // GIR_Coverage, 8250,
     /*  56179 */     GIR_EraseRootFromParent_Done,
     /*  56180 */   // Label 954: @56180
     /*  56180 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(56227), // Rule ID 10510 //
     /*  56185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56196 */     // (and:{ *:[nxv8i1] } PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)
     /*  56196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  56199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  56203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56208 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  56211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  56213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  56223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  56225 */     GIR_RootConstrainSelectedInstOperands,
     /*  56226 */     // GIR_Coverage, 10510,
     /*  56226 */     GIR_EraseRootFromParent_Done,
     /*  56227 */   // Label 955: @56227
     /*  56227 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(56248), // Rule ID 2736 //
     /*  56232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56235 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  56235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  56246 */     GIR_RootConstrainSelectedInstOperands,
     /*  56247 */     // GIR_Coverage, 2736,
     /*  56247 */     GIR_EraseRootFromParent_Done,
     /*  56248 */   // Label 956: @56248
     /*  56248 */   GIM_Reject,
     /*  56249 */ // Label 946: @56249
     /*  56249 */ GIM_Reject,
     /*  56250 */ // Label 829: @56250
     /*  56250 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(56721),
     /*  56255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  56265 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(56320), // Rule ID 14694 //
     /*  56270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56301 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56307 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56318 */     GIR_RootConstrainSelectedInstOperands,
     /*  56319 */     // GIR_Coverage, 14694,
     /*  56319 */     GIR_EraseRootFromParent_Done,
     /*  56320 */   // Label 958: @56320
     /*  56320 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(56375), // Rule ID 14697 //
     /*  56325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56356 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56362 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56373 */     GIR_RootConstrainSelectedInstOperands,
     /*  56374 */     // GIR_Coverage, 14697,
     /*  56374 */     GIR_EraseRootFromParent_Done,
     /*  56375 */   // Label 959: @56375
     /*  56375 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(56430), // Rule ID 14693 //
     /*  56380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56417 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56428 */     GIR_RootConstrainSelectedInstOperands,
     /*  56429 */     // GIR_Coverage, 14693,
     /*  56429 */     GIR_EraseRootFromParent_Done,
     /*  56430 */   // Label 960: @56430
     /*  56430 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(56485), // Rule ID 14696 //
     /*  56435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56466 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56472 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56483 */     GIR_RootConstrainSelectedInstOperands,
     /*  56484 */     // GIR_Coverage, 14696,
     /*  56484 */     GIR_EraseRootFromParent_Done,
     /*  56485 */   // Label 961: @56485
     /*  56485 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(56540), // Rule ID 14692 //
     /*  56490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56521 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56527 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56532 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56538 */     GIR_RootConstrainSelectedInstOperands,
     /*  56539 */     // GIR_Coverage, 14692,
     /*  56539 */     GIR_EraseRootFromParent_Done,
     /*  56540 */   // Label 962: @56540
     /*  56540 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(56595), // Rule ID 14695 //
     /*  56545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56576 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56582 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56587 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56593 */     GIR_RootConstrainSelectedInstOperands,
     /*  56594 */     // GIR_Coverage, 14695,
     /*  56594 */     GIR_EraseRootFromParent_Done,
     /*  56595 */   // Label 963: @56595
     /*  56595 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(56650), // Rule ID 7302 //
     /*  56600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56631 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56637 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56642 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56648 */     GIR_RootConstrainSelectedInstOperands,
     /*  56649 */     // GIR_Coverage, 7302,
     /*  56649 */     GIR_EraseRootFromParent_Done,
     /*  56650 */   // Label 964: @56650
     /*  56650 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(56705), // Rule ID 7303 //
     /*  56655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  56670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  56674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56686 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56692 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56697 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56703 */     GIR_RootConstrainSelectedInstOperands,
     /*  56704 */     // GIR_Coverage, 7303,
     /*  56704 */     GIR_EraseRootFromParent_Done,
     /*  56705 */   // Label 965: @56705
     /*  56705 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(56720), // Rule ID 3130 //
     /*  56710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56713 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  56713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  56718 */     GIR_RootConstrainSelectedInstOperands,
     /*  56719 */     // GIR_Coverage, 3130,
     /*  56719 */     GIR_Done,
     /*  56720 */   // Label 966: @56720
     /*  56720 */   GIM_Reject,
     /*  56721 */ // Label 957: @56721
     /*  56721 */ GIM_Reject,
     /*  56722 */ // Label 830: @56722
     /*  56722 */ GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(57262),
     /*  56727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  56737 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(56794), // Rule ID 14745 //
     /*  56742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56773 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56779 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  56779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56792 */     GIR_RootConstrainSelectedInstOperands,
     /*  56793 */     // GIR_Coverage, 14745,
     /*  56793 */     GIR_EraseRootFromParent_Done,
     /*  56794 */   // Label 968: @56794
     /*  56794 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(56851), // Rule ID 14748 //
     /*  56799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56830 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56836 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  56836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56849 */     GIR_RootConstrainSelectedInstOperands,
     /*  56850 */     // GIR_Coverage, 14748,
     /*  56850 */     GIR_EraseRootFromParent_Done,
     /*  56851 */   // Label 969: @56851
     /*  56851 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(56908), // Rule ID 14744 //
     /*  56856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56887 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56893 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  56893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56906 */     GIR_RootConstrainSelectedInstOperands,
     /*  56907 */     // GIR_Coverage, 14744,
     /*  56907 */     GIR_EraseRootFromParent_Done,
     /*  56908 */   // Label 970: @56908
     /*  56908 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(56965), // Rule ID 14747 //
     /*  56913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56944 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56950 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  56950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56963 */     GIR_RootConstrainSelectedInstOperands,
     /*  56964 */     // GIR_Coverage, 14747,
     /*  56964 */     GIR_EraseRootFromParent_Done,
     /*  56965 */   // Label 971: @56965
     /*  56965 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(57022), // Rule ID 14743 //
     /*  56970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  56985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  56989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57001 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57007 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  57007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57020 */     GIR_RootConstrainSelectedInstOperands,
     /*  57021 */     // GIR_Coverage, 14743,
     /*  57021 */     GIR_EraseRootFromParent_Done,
     /*  57022 */   // Label 972: @57022
     /*  57022 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(57079), // Rule ID 14746 //
     /*  57027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  57042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  57046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57058 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57064 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  57064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57069 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57071 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57077 */     GIR_RootConstrainSelectedInstOperands,
     /*  57078 */     // GIR_Coverage, 14746,
     /*  57078 */     GIR_EraseRootFromParent_Done,
     /*  57079 */   // Label 973: @57079
     /*  57079 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(57136), // Rule ID 8245 //
     /*  57084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  57099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  57103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57115 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57121 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  57121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57134 */     GIR_RootConstrainSelectedInstOperands,
     /*  57135 */     // GIR_Coverage, 8245,
     /*  57135 */     GIR_EraseRootFromParent_Done,
     /*  57136 */   // Label 974: @57136
     /*  57136 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(57193), // Rule ID 8246 //
     /*  57141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  57156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  57160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57172 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57178 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  57178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57183 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57185 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57191 */     GIR_RootConstrainSelectedInstOperands,
     /*  57192 */     // GIR_Coverage, 8246,
     /*  57192 */     GIR_EraseRootFromParent_Done,
     /*  57193 */   // Label 975: @57193
     /*  57193 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(57240), // Rule ID 10509 //
     /*  57198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57209 */     // (and:{ *:[nxv16i1] } PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)
     /*  57209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  57212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  57216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57221 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  57224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  57226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  57236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  57238 */     GIR_RootConstrainSelectedInstOperands,
     /*  57239 */     // GIR_Coverage, 10509,
     /*  57239 */     GIR_EraseRootFromParent_Done,
     /*  57240 */   // Label 976: @57240
     /*  57240 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(57261), // Rule ID 2735 //
     /*  57245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57248 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  57248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57253 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  57259 */     GIR_RootConstrainSelectedInstOperands,
     /*  57260 */     // GIR_Coverage, 2735,
     /*  57260 */     GIR_EraseRootFromParent_Done,
     /*  57261 */   // Label 977: @57261
     /*  57261 */   GIM_Reject,
     /*  57262 */ // Label 967: @57262
     /*  57262 */ GIM_Reject,
     /*  57263 */ // Label 831: @57263
     /*  57263 */ GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(57734),
     /*  57268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  57278 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(57333), // Rule ID 14685 //
     /*  57283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57314 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57320 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57331 */     GIR_RootConstrainSelectedInstOperands,
     /*  57332 */     // GIR_Coverage, 14685,
     /*  57332 */     GIR_EraseRootFromParent_Done,
     /*  57333 */   // Label 979: @57333
     /*  57333 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(57388), // Rule ID 14688 //
     /*  57338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57369 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57375 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57386 */     GIR_RootConstrainSelectedInstOperands,
     /*  57387 */     // GIR_Coverage, 14688,
     /*  57387 */     GIR_EraseRootFromParent_Done,
     /*  57388 */   // Label 980: @57388
     /*  57388 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(57443), // Rule ID 14684 //
     /*  57393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57424 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57430 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57441 */     GIR_RootConstrainSelectedInstOperands,
     /*  57442 */     // GIR_Coverage, 14684,
     /*  57442 */     GIR_EraseRootFromParent_Done,
     /*  57443 */   // Label 981: @57443
     /*  57443 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(57498), // Rule ID 14687 //
     /*  57448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57479 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57485 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57496 */     GIR_RootConstrainSelectedInstOperands,
     /*  57497 */     // GIR_Coverage, 14687,
     /*  57497 */     GIR_EraseRootFromParent_Done,
     /*  57498 */   // Label 982: @57498
     /*  57498 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(57553), // Rule ID 14683 //
     /*  57503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57534 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57540 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57545 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57551 */     GIR_RootConstrainSelectedInstOperands,
     /*  57552 */     // GIR_Coverage, 14683,
     /*  57552 */     GIR_EraseRootFromParent_Done,
     /*  57553 */   // Label 983: @57553
     /*  57553 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(57608), // Rule ID 14686 //
     /*  57558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57589 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57595 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57600 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57606 */     GIR_RootConstrainSelectedInstOperands,
     /*  57607 */     // GIR_Coverage, 14686,
     /*  57607 */     GIR_EraseRootFromParent_Done,
     /*  57608 */   // Label 984: @57608
     /*  57608 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(57663), // Rule ID 7298 //
     /*  57613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57644 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57650 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57655 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57661 */     GIR_RootConstrainSelectedInstOperands,
     /*  57662 */     // GIR_Coverage, 7298,
     /*  57662 */     GIR_EraseRootFromParent_Done,
     /*  57663 */   // Label 985: @57663
     /*  57663 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(57718), // Rule ID 7299 //
     /*  57668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  57683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  57687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57699 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57705 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57710 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57716 */     GIR_RootConstrainSelectedInstOperands,
     /*  57717 */     // GIR_Coverage, 7299,
     /*  57717 */     GIR_EraseRootFromParent_Done,
     /*  57718 */   // Label 986: @57718
     /*  57718 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(57733), // Rule ID 3129 //
     /*  57723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57726 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  57726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  57731 */     GIR_RootConstrainSelectedInstOperands,
     /*  57732 */     // GIR_Coverage, 3129,
     /*  57732 */     GIR_Done,
     /*  57733 */   // Label 987: @57733
     /*  57733 */   GIM_Reject,
     /*  57734 */ // Label 978: @57734
     /*  57734 */ GIM_Reject,
     /*  57735 */ // Label 832: @57735
     /*  57735 */ GIM_Reject,
     /*  57736 */ // Label 6: @57736
     /*  57736 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1006*/ GIMT_Encode4(69782),
     /*  57747 */ /*GILLT_s32*//*Label 988*/ GIMT_Encode4(57835),
     /*  57751 */ /*GILLT_s64*//*Label 989*/ GIMT_Encode4(58195), GIMT_Encode4(0),
     /*  57759 */ /*GILLT_v2s32*//*Label 990*/ GIMT_Encode4(60362),
     /*  57763 */ /*GILLT_v2s64*//*Label 991*/ GIMT_Encode4(61670),
     /*  57767 */ /*GILLT_v4s16*//*Label 992*/ GIMT_Encode4(62978),
     /*  57771 */ /*GILLT_v4s32*//*Label 993*/ GIMT_Encode4(64286),
     /*  57775 */ /*GILLT_v8s8*//*Label 994*/ GIMT_Encode4(65594),
     /*  57779 */ /*GILLT_v8s16*//*Label 995*/ GIMT_Encode4(66902),
     /*  57783 */ /*GILLT_v16s8*//*Label 996*/ GIMT_Encode4(68210),
     /*  57787 */ /*GILLT_nxv1s1*//*Label 997*/ GIMT_Encode4(69518),
     /*  57791 */ /*GILLT_nxv2s1*//*Label 998*/ GIMT_Encode4(69550), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  57803 */ /*GILLT_nxv2s64*//*Label 999*/ GIMT_Encode4(69582),
     /*  57807 */ /*GILLT_nxv4s1*//*Label 1000*/ GIMT_Encode4(69608), GIMT_Encode4(0),
     /*  57815 */ /*GILLT_nxv4s32*//*Label 1001*/ GIMT_Encode4(69640),
     /*  57819 */ /*GILLT_nxv8s1*//*Label 1002*/ GIMT_Encode4(69666),
     /*  57823 */ /*GILLT_nxv8s16*//*Label 1003*/ GIMT_Encode4(69698),
     /*  57827 */ /*GILLT_nxv16s1*//*Label 1004*/ GIMT_Encode4(69724),
     /*  57831 */ /*GILLT_nxv16s8*//*Label 1005*/ GIMT_Encode4(69756),
     /*  57835 */ // Label 988: @57835
     /*  57835 */ GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(58194),
     /*  57840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  57843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  57846 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(57901), // Rule ID 12948 //
     /*  57851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  57855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57871 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  57875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  57879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  57888 */     // (or:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  57888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  57891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  57893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  57895 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  57899 */     GIR_RootConstrainSelectedInstOperands,
     /*  57900 */     // GIR_Coverage, 12948,
     /*  57900 */     GIR_EraseRootFromParent_Done,
     /*  57901 */   // Label 1008: @57901
     /*  57901 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(57956), // Rule ID 174 //
     /*  57906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  57910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  57914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  57926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  57930 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  57934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  57943 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  57943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  57946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  57948 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  57950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  57954 */     GIR_RootConstrainSelectedInstOperands,
     /*  57955 */     // GIR_Coverage, 174,
     /*  57955 */     GIR_EraseRootFromParent_Done,
     /*  57956 */   // Label 1009: @57956
     /*  57956 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(57997), // Rule ID 146 //
     /*  57961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  57965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  57969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  57977 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  57981 */     // MIs[1] Operand 1
     /*  57981 */     // No operand predicates
     /*  57981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  57983 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ORRWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  57983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWri),
     /*  57986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  57988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  57990 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  57995 */     GIR_RootConstrainSelectedInstOperands,
     /*  57996 */     // GIR_Coverage, 146,
     /*  57996 */     GIR_EraseRootFromParent_Done,
     /*  57997 */   // Label 1010: @57997
     /*  57997 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(58030), // Rule ID 12950 //
     /*  58002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  58017 */     // (or:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  58017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  58020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58024 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  58028 */     GIR_RootConstrainSelectedInstOperands,
     /*  58029 */     // GIR_Coverage, 12950,
     /*  58029 */     GIR_EraseRootFromParent_Done,
     /*  58030 */   // Label 1011: @58030
     /*  58030 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(58063), // Rule ID 178 //
     /*  58035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  58050 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  58050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  58053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  58057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  58061 */     GIR_RootConstrainSelectedInstOperands,
     /*  58062 */     // GIR_Coverage, 178,
     /*  58062 */     GIR_EraseRootFromParent_Done,
     /*  58063 */   // Label 1012: @58063
     /*  58063 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(58116), // Rule ID 12946 //
     /*  58068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  58084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  58088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58093 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  58097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58103 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  58103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  58106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  58114 */     GIR_RootConstrainSelectedInstOperands,
     /*  58115 */     // GIR_Coverage, 12946,
     /*  58115 */     GIR_EraseRootFromParent_Done,
     /*  58116 */   // Label 1013: @58116
     /*  58116 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(58169), // Rule ID 172 //
     /*  58121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  58141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  58145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58150 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  58154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58156 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  58156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  58159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  58163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  58167 */     GIR_RootConstrainSelectedInstOperands,
     /*  58168 */     // GIR_Coverage, 172,
     /*  58168 */     GIR_EraseRootFromParent_Done,
     /*  58169 */   // Label 1014: @58169
     /*  58169 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(58193), // Rule ID 176 //
     /*  58174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  58186 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ORRWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  58186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  58191 */     GIR_RootConstrainSelectedInstOperands,
     /*  58192 */     // GIR_Coverage, 176,
     /*  58192 */     GIR_Done,
     /*  58193 */   // Label 1015: @58193
     /*  58193 */   GIM_Reject,
     /*  58194 */ // Label 1007: @58194
     /*  58194 */ GIM_Reject,
     /*  58195 */ // Label 989: @58195
     /*  58195 */ GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(60361),
     /*  58200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  58203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  58206 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(58328), // Rule ID 3959 //
     /*  58211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  58239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58252 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  58256 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  58267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  58271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58275 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  58279 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  58283 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  58287 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  58291 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  58295 */     // MIs[4] Rn
     /*  58295 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58300 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  58304 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  58315 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58317 */     // (or:{ *:[i64] } (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }), (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  58317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  58320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  58326 */     GIR_RootConstrainSelectedInstOperands,
     /*  58327 */     // GIR_Coverage, 3959,
     /*  58327 */     GIR_EraseRootFromParent_Done,
     /*  58328 */   // Label 1017: @58328
     /*  58328 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(58450), // Rule ID 13498 //
     /*  58333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  58361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58374 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  58378 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  58389 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  58393 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58397 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  58401 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  58405 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  58409 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  58413 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  58417 */     // MIs[4] Rn
     /*  58417 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58422 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  58426 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  58437 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58439 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }), (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  58439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  58442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  58448 */     GIR_RootConstrainSelectedInstOperands,
     /*  58449 */     // GIR_Coverage, 13498,
     /*  58449 */     GIR_EraseRootFromParent_Done,
     /*  58450 */   // Label 1018: @58450
     /*  58450 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(58505), // Rule ID 12949 //
     /*  58455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58475 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  58479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  58492 */     // (or:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  58492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  58495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  58499 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  58503 */     GIR_RootConstrainSelectedInstOperands,
     /*  58504 */     // GIR_Coverage, 12949,
     /*  58504 */     GIR_EraseRootFromParent_Done,
     /*  58505 */   // Label 1019: @58505
     /*  58505 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(58560), // Rule ID 175 //
     /*  58510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  58518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58534 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  58538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  58540 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  58547 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  58547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  58550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  58552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  58554 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  58558 */     GIR_RootConstrainSelectedInstOperands,
     /*  58559 */     // GIR_Coverage, 175,
     /*  58559 */     GIR_EraseRootFromParent_Done,
     /*  58560 */   // Label 1020: @58560
     /*  58560 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(58669), // Rule ID 13298 //
     /*  58565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58600 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  58613 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  58619 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  58621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58626 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  58630 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58634 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  58638 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58643 */     // MIs[4] LHS
     /*  58643 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58648 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58650 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  58650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  58653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  58659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  58663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  58667 */     GIR_RootConstrainSelectedInstOperands,
     /*  58668 */     // GIR_Coverage, 13298,
     /*  58668 */     GIR_EraseRootFromParent_Done,
     /*  58669 */   // Label 1021: @58669
     /*  58669 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(58778), // Rule ID 13297 //
     /*  58674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  58722 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  58728 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  58730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58735 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  58739 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58743 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  58747 */     // MIs[4] LHS
     /*  58747 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58752 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58757 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58759 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  58759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  58762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  58768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  58772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  58776 */     GIR_RootConstrainSelectedInstOperands,
     /*  58777 */     // GIR_Coverage, 13297,
     /*  58777 */     GIR_EraseRootFromParent_Done,
     /*  58778 */   // Label 1022: @58778
     /*  58778 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(58887), // Rule ID 13300 //
     /*  58783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  58836 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  58842 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  58844 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  58848 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58852 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  58856 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58861 */     // MIs[4] LHS
     /*  58861 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58866 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58868 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  58868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  58871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  58877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  58881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  58885 */     GIR_RootConstrainSelectedInstOperands,
     /*  58886 */     // GIR_Coverage, 13300,
     /*  58886 */     GIR_EraseRootFromParent_Done,
     /*  58887 */   // Label 1023: @58887
     /*  58887 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(58996), // Rule ID 13299 //
     /*  58892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  58895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  58911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  58915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58932 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  58936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  58945 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  58951 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  58953 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  58957 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  58961 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  58965 */     // MIs[4] LHS
     /*  58965 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  58970 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  58975 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  58977 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  58977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  58980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  58986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  58990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  58994 */     GIR_RootConstrainSelectedInstOperands,
     /*  58995 */     // GIR_Coverage, 13299,
     /*  58995 */     GIR_EraseRootFromParent_Done,
     /*  58996 */   // Label 1024: @58996
     /*  58996 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(59105), // Rule ID 2462 //
     /*  59001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  59038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59046 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59050 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  59054 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59058 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  59062 */     // MIs[3] LHS
     /*  59062 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  59067 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  59071 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  59077 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  59079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59084 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  59086 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  59086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  59089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  59095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  59099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  59103 */     GIR_RootConstrainSelectedInstOperands,
     /*  59104 */     // GIR_Coverage, 2462,
     /*  59104 */     GIR_EraseRootFromParent_Done,
     /*  59105 */   // Label 1025: @59105
     /*  59105 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(59214), // Rule ID 13295 //
     /*  59110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  59147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  59163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59167 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  59171 */     // MIs[3] LHS
     /*  59171 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  59176 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  59180 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  59186 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  59188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59193 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  59195 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  59195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  59198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  59204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  59208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  59212 */     GIR_RootConstrainSelectedInstOperands,
     /*  59213 */     // GIR_Coverage, 13295,
     /*  59213 */     GIR_EraseRootFromParent_Done,
     /*  59214 */   // Label 1026: @59214
     /*  59214 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(59323), // Rule ID 13294 //
     /*  59219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  59256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  59277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59281 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  59285 */     // MIs[3] LHS
     /*  59285 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  59290 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  59294 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  59300 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  59302 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  59304 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  59304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  59307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  59313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  59317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  59321 */     GIR_RootConstrainSelectedInstOperands,
     /*  59322 */     // GIR_Coverage, 13294,
     /*  59322 */     GIR_EraseRootFromParent_Done,
     /*  59323 */   // Label 1027: @59323
     /*  59323 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(59432), // Rule ID 13296 //
     /*  59328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  59365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  59369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59373 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  59377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  59386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59390 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  59394 */     // MIs[3] LHS
     /*  59394 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  59399 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  59403 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  59409 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  59411 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  59413 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  59413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  59416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  59422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  59426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  59430 */     GIR_RootConstrainSelectedInstOperands,
     /*  59431 */     // GIR_Coverage, 13296,
     /*  59431 */     GIR_EraseRootFromParent_Done,
     /*  59432 */   // Label 1028: @59432
     /*  59432 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(59473), // Rule ID 147 //
     /*  59437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  59441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59453 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  59457 */     // MIs[1] Operand 1
     /*  59457 */     // No operand predicates
     /*  59457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  59459 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ORRXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  59459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXri),
     /*  59462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59464 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  59466 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  59471 */     GIR_RootConstrainSelectedInstOperands,
     /*  59472 */     // GIR_Coverage, 147,
     /*  59472 */     GIR_EraseRootFromParent_Done,
     /*  59473 */   // Label 1029: @59473
     /*  59473 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(59506), // Rule ID 12951 //
     /*  59478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  59493 */     // (or:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  59493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  59496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  59504 */     GIR_RootConstrainSelectedInstOperands,
     /*  59505 */     // GIR_Coverage, 12951,
     /*  59505 */     GIR_EraseRootFromParent_Done,
     /*  59506 */   // Label 1030: @59506
     /*  59506 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(59539), // Rule ID 179 //
     /*  59511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  59526 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  59526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  59529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  59533 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  59537 */     GIR_RootConstrainSelectedInstOperands,
     /*  59538 */     // GIR_Coverage, 179,
     /*  59538 */     GIR_EraseRootFromParent_Done,
     /*  59539 */   // Label 1031: @59539
     /*  59539 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(59606), // Rule ID 13234 //
     /*  59544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  59559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59568 */     // MIs[1] imm
     /*  59568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59576 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59580 */     // MIs[2] Operand 1
     /*  59580 */     // No operand predicates
     /*  59580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59590 */     // (or:{ *:[i64] } (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  59590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  59593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  59597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59604 */     GIR_RootConstrainSelectedInstOperands,
     /*  59605 */     // GIR_Coverage, 13234,
     /*  59605 */     GIR_EraseRootFromParent_Done,
     /*  59606 */   // Label 1032: @59606
     /*  59606 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(59673), // Rule ID 13622 //
     /*  59611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  59626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59635 */     // MIs[1] imm
     /*  59635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59643 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59647 */     // MIs[2] Operand 1
     /*  59647 */     // No operand predicates
     /*  59647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59657 */     // (or:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*  59657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  59660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  59664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59671 */     GIR_RootConstrainSelectedInstOperands,
     /*  59672 */     // GIR_Coverage, 13622,
     /*  59672 */     GIR_EraseRootFromParent_Done,
     /*  59673 */   // Label 1033: @59673
     /*  59673 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(59740), // Rule ID 13237 //
     /*  59678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  59693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59702 */     // MIs[1] imm
     /*  59702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59710 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59714 */     // MIs[2] Operand 1
     /*  59714 */     // No operand predicates
     /*  59714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59724 */     // (or:{ *:[i64] } (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  59724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  59727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  59731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59738 */     GIR_RootConstrainSelectedInstOperands,
     /*  59739 */     // GIR_Coverage, 13237,
     /*  59739 */     GIR_EraseRootFromParent_Done,
     /*  59740 */   // Label 1034: @59740
     /*  59740 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(59807), // Rule ID 13625 //
     /*  59745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  59760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59769 */     // MIs[1] imm
     /*  59769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59777 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59781 */     // MIs[2] Operand 1
     /*  59781 */     // No operand predicates
     /*  59781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59791 */     // (or:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*  59791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  59794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  59798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59805 */     GIR_RootConstrainSelectedInstOperands,
     /*  59806 */     // GIR_Coverage, 13625,
     /*  59806 */     GIR_EraseRootFromParent_Done,
     /*  59807 */   // Label 1035: @59807
     /*  59807 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(59860), // Rule ID 12947 //
     /*  59812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  59832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59837 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  59841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  59845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  59847 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  59847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  59850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  59852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  59854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  59858 */     GIR_RootConstrainSelectedInstOperands,
     /*  59859 */     // GIR_Coverage, 12947,
     /*  59859 */     GIR_EraseRootFromParent_Done,
     /*  59860 */   // Label 1036: @59860
     /*  59860 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(59927), // Rule ID 2113 //
     /*  59865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  59884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59893 */     // MIs[1] imm
     /*  59893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59901 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59905 */     // MIs[2] Operand 1
     /*  59905 */     // No operand predicates
     /*  59905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59911 */     // (or:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  59911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  59914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  59918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59925 */     GIR_RootConstrainSelectedInstOperands,
     /*  59926 */     // GIR_Coverage, 2113,
     /*  59926 */     GIR_EraseRootFromParent_Done,
     /*  59927 */   // Label 1037: @59927
     /*  59927 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(59994), // Rule ID 6186 //
     /*  59932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  59935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  59951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  59955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  59960 */     // MIs[1] imm
     /*  59960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  59968 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  59972 */     // MIs[2] Operand 1
     /*  59972 */     // No operand predicates
     /*  59972 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  59976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59978 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*  59978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  59981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  59985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  59989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  59992 */     GIR_RootConstrainSelectedInstOperands,
     /*  59993 */     // GIR_Coverage, 6186,
     /*  59993 */     GIR_EraseRootFromParent_Done,
     /*  59994 */   // Label 1038: @59994
     /*  59994 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(60061), // Rule ID 2122 //
     /*  59999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  60018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60027 */     // MIs[1] imm
     /*  60027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  60035 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  60039 */     // MIs[2] Operand 1
     /*  60039 */     // No operand predicates
     /*  60039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  60043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60045 */     // (or:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  60045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  60048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60050 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  60052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  60056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  60059 */     GIR_RootConstrainSelectedInstOperands,
     /*  60060 */     // GIR_Coverage, 2122,
     /*  60060 */     GIR_EraseRootFromParent_Done,
     /*  60061 */   // Label 1039: @60061
     /*  60061 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(60128), // Rule ID 6192 //
     /*  60066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  60085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60094 */     // MIs[1] imm
     /*  60094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  60102 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  60106 */     // MIs[2] Operand 1
     /*  60106 */     // No operand predicates
     /*  60106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  60110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60112 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /*  60112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  60115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60117 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  60119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  60123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  60126 */     GIR_RootConstrainSelectedInstOperands,
     /*  60127 */     // GIR_Coverage, 6192,
     /*  60127 */     GIR_EraseRootFromParent_Done,
     /*  60128 */   // Label 1040: @60128
     /*  60128 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(60181), // Rule ID 173 //
     /*  60133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60168 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  60168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  60171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  60175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  60179 */     GIR_RootConstrainSelectedInstOperands,
     /*  60180 */     // GIR_Coverage, 173,
     /*  60180 */     GIR_EraseRootFromParent_Done,
     /*  60181 */   // Label 1041: @60181
     /*  60181 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(60245), // Rule ID 13586 //
     /*  60186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60218 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60224 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  60226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60232 */     // (or:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  60232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  60235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60237 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  60239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  60243 */     GIR_RootConstrainSelectedInstOperands,
     /*  60244 */     // GIR_Coverage, 13586,
     /*  60244 */     GIR_EraseRootFromParent_Done,
     /*  60245 */   // Label 1042: @60245
     /*  60245 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(60309), // Rule ID 4993 //
     /*  60250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60286 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60292 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  60294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60296 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  60296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  60299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60301 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  60303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  60307 */     GIR_RootConstrainSelectedInstOperands,
     /*  60308 */     // GIR_Coverage, 4993,
     /*  60308 */     GIR_EraseRootFromParent_Done,
     /*  60309 */   // Label 1043: @60309
     /*  60309 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(60333), // Rule ID 177 //
     /*  60314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60326 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ORRXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  60326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRXrr),
     /*  60331 */     GIR_RootConstrainSelectedInstOperands,
     /*  60332 */     // GIR_Coverage, 177,
     /*  60332 */     GIR_Done,
     /*  60333 */   // Label 1044: @60333
     /*  60333 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(60360), // Rule ID 4999 //
     /*  60338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60353 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ORRv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  60353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  60358 */     GIR_RootConstrainSelectedInstOperands,
     /*  60359 */     // GIR_Coverage, 4999,
     /*  60359 */     GIR_Done,
     /*  60360 */   // Label 1045: @60360
     /*  60360 */   GIM_Reject,
     /*  60361 */ // Label 1016: @60361
     /*  60361 */ GIM_Reject,
     /*  60362 */ // Label 990: @60362
     /*  60362 */ GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(61669),
     /*  60367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60373 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(60482), // Rule ID 13291 //
     /*  60378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  60426 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60432 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  60434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60439 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  60443 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60447 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60451 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60456 */     // MIs[4] LHS
     /*  60456 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60461 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60463 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  60463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  60466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  60472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  60476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  60480 */     GIR_RootConstrainSelectedInstOperands,
     /*  60481 */     // GIR_Coverage, 13291,
     /*  60481 */     GIR_EraseRootFromParent_Done,
     /*  60482 */   // Label 1047: @60482
     /*  60482 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(60591), // Rule ID 13290 //
     /*  60487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  60535 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60541 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  60543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60548 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  60552 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60556 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60560 */     // MIs[4] LHS
     /*  60560 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60565 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60570 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60572 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  60572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  60575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  60581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  60585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  60589 */     GIR_RootConstrainSelectedInstOperands,
     /*  60590 */     // GIR_Coverage, 13290,
     /*  60590 */     GIR_EraseRootFromParent_Done,
     /*  60591 */   // Label 1048: @60591
     /*  60591 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(60700), // Rule ID 13293 //
     /*  60596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  60649 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60655 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  60657 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  60661 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60665 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60669 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60674 */     // MIs[4] LHS
     /*  60674 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60679 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60681 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  60681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  60684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  60690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  60694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  60698 */     GIR_RootConstrainSelectedInstOperands,
     /*  60699 */     // GIR_Coverage, 13293,
     /*  60699 */     GIR_EraseRootFromParent_Done,
     /*  60700 */   // Label 1049: @60700
     /*  60700 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(60809), // Rule ID 13292 //
     /*  60705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60745 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  60758 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60764 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  60766 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  60770 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60774 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60778 */     // MIs[4] LHS
     /*  60778 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60783 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60788 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60790 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  60790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  60793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  60799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  60803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  60807 */     GIR_RootConstrainSelectedInstOperands,
     /*  60808 */     // GIR_Coverage, 13292,
     /*  60808 */     GIR_EraseRootFromParent_Done,
     /*  60809 */   // Label 1050: @60809
     /*  60809 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(60918), // Rule ID 2461 //
     /*  60814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  60851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  60867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60871 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60875 */     // MIs[3] LHS
     /*  60875 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  60880 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  60884 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60890 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  60892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60897 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60899 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  60899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  60902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  60908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  60912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  60916 */     GIR_RootConstrainSelectedInstOperands,
     /*  60917 */     // GIR_Coverage, 2461,
     /*  60917 */     GIR_EraseRootFromParent_Done,
     /*  60918 */   // Label 1051: @60918
     /*  60918 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(61027), // Rule ID 13288 //
     /*  60923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  60926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  60956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  60960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  60968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  60976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60980 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  60984 */     // MIs[3] LHS
     /*  60984 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  60989 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  60993 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  60999 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61006 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61008 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  61008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  61017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  61021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  61025 */     GIR_RootConstrainSelectedInstOperands,
     /*  61026 */     // GIR_Coverage, 13288,
     /*  61026 */     GIR_EraseRootFromParent_Done,
     /*  61027 */   // Label 1052: @61027
     /*  61027 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(61136), // Rule ID 13287 //
     /*  61032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61077 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61086 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61090 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61094 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61098 */     // MIs[3] LHS
     /*  61098 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  61103 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61107 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61113 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61115 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61117 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  61117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  61126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  61130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  61134 */     GIR_RootConstrainSelectedInstOperands,
     /*  61135 */     // GIR_Coverage, 13287,
     /*  61135 */     GIR_EraseRootFromParent_Done,
     /*  61136 */   // Label 1053: @61136
     /*  61136 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(61245), // Rule ID 13289 //
     /*  61141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61186 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61203 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61207 */     // MIs[3] LHS
     /*  61207 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  61212 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61216 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61222 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61224 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61226 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  61226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  61235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  61239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  61243 */     GIR_RootConstrainSelectedInstOperands,
     /*  61244 */     // GIR_Coverage, 13289,
     /*  61244 */     GIR_EraseRootFromParent_Done,
     /*  61245 */   // Label 1054: @61245
     /*  61245 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(61312), // Rule ID 13254 //
     /*  61250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  61265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61274 */     // MIs[1] imm
     /*  61274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61282 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  61286 */     // MIs[2] Operand 1
     /*  61286 */     // No operand predicates
     /*  61286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  61294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61296 */     // (or:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  61296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  61299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  61303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  61307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  61310 */     GIR_RootConstrainSelectedInstOperands,
     /*  61311 */     // GIR_Coverage, 13254,
     /*  61311 */     GIR_EraseRootFromParent_Done,
     /*  61312 */   // Label 1055: @61312
     /*  61312 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(61379), // Rule ID 13275 //
     /*  61317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  61332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61341 */     // MIs[1] imm
     /*  61341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61349 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  61353 */     // MIs[2] Operand 1
     /*  61353 */     // No operand predicates
     /*  61353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61357 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  61361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61363 */     // (or:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  61363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  61366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  61370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  61374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  61377 */     GIR_RootConstrainSelectedInstOperands,
     /*  61378 */     // GIR_Coverage, 13275,
     /*  61378 */     GIR_EraseRootFromParent_Done,
     /*  61379 */   // Label 1056: @61379
     /*  61379 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(61446), // Rule ID 2230 //
     /*  61384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  61403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61412 */     // MIs[1] imm
     /*  61412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61420 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  61424 */     // MIs[2] Operand 1
     /*  61424 */     // No operand predicates
     /*  61424 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  61428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61430 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  61430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  61433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  61437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  61441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  61444 */     GIR_RootConstrainSelectedInstOperands,
     /*  61445 */     // GIR_Coverage, 2230,
     /*  61445 */     GIR_EraseRootFromParent_Done,
     /*  61446 */   // Label 1057: @61446
     /*  61446 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(61513), // Rule ID 2289 //
     /*  61451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  61470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61479 */     // MIs[1] imm
     /*  61479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61487 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  61491 */     // MIs[2] Operand 1
     /*  61491 */     // No operand predicates
     /*  61491 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  61495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61497 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  61497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  61500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61502 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  61504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  61508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  61511 */     GIR_RootConstrainSelectedInstOperands,
     /*  61512 */     // GIR_Coverage, 2289,
     /*  61512 */     GIR_EraseRootFromParent_Done,
     /*  61513 */   // Label 1058: @61513
     /*  61513 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(61577), // Rule ID 13585 //
     /*  61518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61550 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61556 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  61558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61564 */     // (or:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  61564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  61567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61569 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  61571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  61575 */     GIR_RootConstrainSelectedInstOperands,
     /*  61576 */     // GIR_Coverage, 13585,
     /*  61576 */     GIR_EraseRootFromParent_Done,
     /*  61577 */   // Label 1059: @61577
     /*  61577 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(61641), // Rule ID 4992 //
     /*  61582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  61605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  61609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61618 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61624 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  61626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61628 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  61628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  61631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61633 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  61635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  61639 */     GIR_RootConstrainSelectedInstOperands,
     /*  61640 */     // GIR_Coverage, 4992,
     /*  61640 */     GIR_EraseRootFromParent_Done,
     /*  61641 */   // Label 1060: @61641
     /*  61641 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(61668), // Rule ID 4998 //
     /*  61646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61661 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ORRv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  61661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  61666 */     GIR_RootConstrainSelectedInstOperands,
     /*  61667 */     // GIR_Coverage, 4998,
     /*  61667 */     GIR_Done,
     /*  61668 */   // Label 1061: @61668
     /*  61668 */   GIM_Reject,
     /*  61669 */ // Label 1046: @61669
     /*  61669 */ GIM_Reject,
     /*  61670 */ // Label 991: @61670
     /*  61670 */ GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(62977),
     /*  61675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61681 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(61790), // Rule ID 13319 //
     /*  61686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61721 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61734 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61740 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61747 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61751 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61755 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61759 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61764 */     // MIs[4] LHS
     /*  61764 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61769 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61771 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  61771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  61774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  61784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61788 */     GIR_RootConstrainSelectedInstOperands,
     /*  61789 */     // GIR_Coverage, 13319,
     /*  61789 */     GIR_EraseRootFromParent_Done,
     /*  61790 */   // Label 1063: @61790
     /*  61790 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(61899), // Rule ID 13318 //
     /*  61795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61843 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61849 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61856 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61860 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61864 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61868 */     // MIs[4] LHS
     /*  61868 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61873 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61878 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61880 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  61880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  61883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  61893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61897 */     GIR_RootConstrainSelectedInstOperands,
     /*  61898 */     // GIR_Coverage, 13318,
     /*  61898 */     GIR_EraseRootFromParent_Done,
     /*  61899 */   // Label 1064: @61899
     /*  61899 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(62008), // Rule ID 13321 //
     /*  61904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  61948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61953 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61957 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61963 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61965 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61969 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61973 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  61977 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  61982 */     // MIs[4] LHS
     /*  61982 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61987 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61989 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  61989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  61992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  62002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62006 */     GIR_RootConstrainSelectedInstOperands,
     /*  62007 */     // GIR_Coverage, 13321,
     /*  62007 */     GIR_EraseRootFromParent_Done,
     /*  62008 */   // Label 1065: @62008
     /*  62008 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(62117), // Rule ID 13320 //
     /*  62013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62066 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62072 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62074 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62078 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62082 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62086 */     // MIs[4] LHS
     /*  62086 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62091 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62096 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62098 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  62098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  62101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62115 */     GIR_RootConstrainSelectedInstOperands,
     /*  62116 */     // GIR_Coverage, 13320,
     /*  62116 */     GIR_EraseRootFromParent_Done,
     /*  62117 */   // Label 1066: @62117
     /*  62117 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(62226), // Rule ID 2465 //
     /*  62122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62167 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62175 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62179 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62183 */     // MIs[3] LHS
     /*  62183 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62188 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62192 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62198 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62205 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62207 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  62207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  62210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62224 */     GIR_RootConstrainSelectedInstOperands,
     /*  62225 */     // GIR_Coverage, 2465,
     /*  62225 */     GIR_EraseRootFromParent_Done,
     /*  62226 */   // Label 1067: @62226
     /*  62226 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(62335), // Rule ID 13316 //
     /*  62231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62288 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62292 */     // MIs[3] LHS
     /*  62292 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62297 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62301 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62307 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62314 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62316 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  62316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  62319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62333 */     GIR_RootConstrainSelectedInstOperands,
     /*  62334 */     // GIR_Coverage, 13316,
     /*  62334 */     GIR_EraseRootFromParent_Done,
     /*  62335 */   // Label 1068: @62335
     /*  62335 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(62444), // Rule ID 13315 //
     /*  62340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62385 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62402 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62406 */     // MIs[3] LHS
     /*  62406 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62411 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62415 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62421 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62423 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62425 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  62425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  62428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62442 */     GIR_RootConstrainSelectedInstOperands,
     /*  62443 */     // GIR_Coverage, 13315,
     /*  62443 */     GIR_EraseRootFromParent_Done,
     /*  62444 */   // Label 1069: @62444
     /*  62444 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(62553), // Rule ID 13317 //
     /*  62449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62511 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62515 */     // MIs[3] LHS
     /*  62515 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62520 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62524 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62530 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62532 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62534 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  62534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  62537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62551 */     GIR_RootConstrainSelectedInstOperands,
     /*  62552 */     // GIR_Coverage, 13317,
     /*  62552 */     GIR_EraseRootFromParent_Done,
     /*  62553 */   // Label 1070: @62553
     /*  62553 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(62620), // Rule ID 13258 //
     /*  62558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62582 */     // MIs[1] imm
     /*  62582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62590 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62594 */     // MIs[2] Operand 1
     /*  62594 */     // No operand predicates
     /*  62594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62598 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62604 */     // (or:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  62607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62618 */     GIR_RootConstrainSelectedInstOperands,
     /*  62619 */     // GIR_Coverage, 13258,
     /*  62619 */     GIR_EraseRootFromParent_Done,
     /*  62620 */   // Label 1071: @62620
     /*  62620 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(62687), // Rule ID 13279 //
     /*  62625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62649 */     // MIs[1] imm
     /*  62649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62657 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62661 */     // MIs[2] Operand 1
     /*  62661 */     // No operand predicates
     /*  62661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62671 */     // (or:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  62674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62685 */     GIR_RootConstrainSelectedInstOperands,
     /*  62686 */     // GIR_Coverage, 13279,
     /*  62686 */     GIR_EraseRootFromParent_Done,
     /*  62687 */   // Label 1072: @62687
     /*  62687 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(62754), // Rule ID 2234 //
     /*  62692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62720 */     // MIs[1] imm
     /*  62720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62728 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62732 */     // MIs[2] Operand 1
     /*  62732 */     // No operand predicates
     /*  62732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62738 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  62741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  62745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62752 */     GIR_RootConstrainSelectedInstOperands,
     /*  62753 */     // GIR_Coverage, 2234,
     /*  62753 */     GIR_EraseRootFromParent_Done,
     /*  62754 */   // Label 1073: @62754
     /*  62754 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(62821), // Rule ID 2293 //
     /*  62759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62787 */     // MIs[1] imm
     /*  62787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62795 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62799 */     // MIs[2] Operand 1
     /*  62799 */     // No operand predicates
     /*  62799 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62805 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  62808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  62812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62819 */     GIR_RootConstrainSelectedInstOperands,
     /*  62820 */     // GIR_Coverage, 2293,
     /*  62820 */     GIR_EraseRootFromParent_Done,
     /*  62821 */   // Label 1074: @62821
     /*  62821 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(62885), // Rule ID 13589 //
     /*  62826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62858 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62864 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  62866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62872 */     // (or:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  62872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  62875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62877 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  62879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62883 */     GIR_RootConstrainSelectedInstOperands,
     /*  62884 */     // GIR_Coverage, 13589,
     /*  62884 */     GIR_EraseRootFromParent_Done,
     /*  62885 */   // Label 1075: @62885
     /*  62885 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(62949), // Rule ID 4996 //
     /*  62890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  62913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  62917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62926 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62932 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  62934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62936 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  62936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  62939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62941 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  62943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62947 */     GIR_RootConstrainSelectedInstOperands,
     /*  62948 */     // GIR_Coverage, 4996,
     /*  62948 */     GIR_EraseRootFromParent_Done,
     /*  62949 */   // Label 1076: @62949
     /*  62949 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(62976), // Rule ID 5002 //
     /*  62954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  62969 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ORRv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  62969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  62974 */     GIR_RootConstrainSelectedInstOperands,
     /*  62975 */     // GIR_Coverage, 5002,
     /*  62975 */     GIR_Done,
     /*  62976 */   // Label 1077: @62976
     /*  62976 */   GIM_Reject,
     /*  62977 */ // Label 1062: @62977
     /*  62977 */ GIM_Reject,
     /*  62978 */ // Label 992: @62978
     /*  62978 */ GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(64285),
     /*  62983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  62986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  62989 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(63098), // Rule ID 13284 //
     /*  62994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63042 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63048 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63055 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63059 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63063 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63067 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63072 */     // MIs[4] LHS
     /*  63072 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63077 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63079 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63096 */     GIR_RootConstrainSelectedInstOperands,
     /*  63097 */     // GIR_Coverage, 13284,
     /*  63097 */     GIR_EraseRootFromParent_Done,
     /*  63098 */   // Label 1079: @63098
     /*  63098 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(63207), // Rule ID 13283 //
     /*  63103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63151 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63157 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63164 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63168 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63172 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63176 */     // MIs[4] LHS
     /*  63176 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63181 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63186 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63188 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63205 */     GIR_RootConstrainSelectedInstOperands,
     /*  63206 */     // GIR_Coverage, 13283,
     /*  63206 */     GIR_EraseRootFromParent_Done,
     /*  63207 */   // Label 1080: @63207
     /*  63207 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(63316), // Rule ID 13286 //
     /*  63212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63265 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63271 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63273 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63277 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63281 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63285 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63290 */     // MIs[4] LHS
     /*  63290 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63295 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63297 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63314 */     GIR_RootConstrainSelectedInstOperands,
     /*  63315 */     // GIR_Coverage, 13286,
     /*  63315 */     GIR_EraseRootFromParent_Done,
     /*  63316 */   // Label 1081: @63316
     /*  63316 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(63425), // Rule ID 13285 //
     /*  63321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63374 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63380 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63382 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63386 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63390 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63394 */     // MIs[4] LHS
     /*  63394 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63399 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63404 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63406 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63423 */     GIR_RootConstrainSelectedInstOperands,
     /*  63424 */     // GIR_Coverage, 13285,
     /*  63424 */     GIR_EraseRootFromParent_Done,
     /*  63425 */   // Label 1082: @63425
     /*  63425 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(63534), // Rule ID 2460 //
     /*  63430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63487 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63491 */     // MIs[3] LHS
     /*  63491 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63496 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63500 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63506 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63513 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63515 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63532 */     GIR_RootConstrainSelectedInstOperands,
     /*  63533 */     // GIR_Coverage, 2460,
     /*  63533 */     GIR_EraseRootFromParent_Done,
     /*  63534 */   // Label 1083: @63534
     /*  63534 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(63643), // Rule ID 13281 //
     /*  63539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63584 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63596 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63600 */     // MIs[3] LHS
     /*  63600 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  63605 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63609 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63615 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63622 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63624 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  63633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  63637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63641 */     GIR_RootConstrainSelectedInstOperands,
     /*  63642 */     // GIR_Coverage, 13281,
     /*  63642 */     GIR_EraseRootFromParent_Done,
     /*  63643 */   // Label 1084: @63643
     /*  63643 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(63752), // Rule ID 13280 //
     /*  63648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63702 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63706 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63710 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63714 */     // MIs[3] LHS
     /*  63714 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63719 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63723 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63729 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63731 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63733 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  63750 */     GIR_RootConstrainSelectedInstOperands,
     /*  63751 */     // GIR_Coverage, 13280,
     /*  63751 */     GIR_EraseRootFromParent_Done,
     /*  63752 */   // Label 1085: @63752
     /*  63752 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(63861), // Rule ID 13282 //
     /*  63757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63802 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63819 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  63823 */     // MIs[3] LHS
     /*  63823 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  63828 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63832 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63838 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63840 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63842 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  63842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  63851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  63855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  63859 */     GIR_RootConstrainSelectedInstOperands,
     /*  63860 */     // GIR_Coverage, 13282,
     /*  63860 */     GIR_EraseRootFromParent_Done,
     /*  63861 */   // Label 1086: @63861
     /*  63861 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(63928), // Rule ID 13250 //
     /*  63866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  63881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63890 */     // MIs[1] imm
     /*  63890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63898 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  63902 */     // MIs[2] Operand 1
     /*  63902 */     // No operand predicates
     /*  63902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63912 */     // (or:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  63915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  63919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63926 */     GIR_RootConstrainSelectedInstOperands,
     /*  63927 */     // GIR_Coverage, 13250,
     /*  63927 */     GIR_EraseRootFromParent_Done,
     /*  63928 */   // Label 1087: @63928
     /*  63928 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(63995), // Rule ID 13271 //
     /*  63933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  63948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  63952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63957 */     // MIs[1] imm
     /*  63957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63965 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  63969 */     // MIs[2] Operand 1
     /*  63969 */     // No operand predicates
     /*  63969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63979 */     // (or:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  63982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  63986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63993 */     GIR_RootConstrainSelectedInstOperands,
     /*  63994 */     // GIR_Coverage, 13271,
     /*  63994 */     GIR_EraseRootFromParent_Done,
     /*  63995 */   // Label 1088: @63995
     /*  63995 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(64062), // Rule ID 2226 //
     /*  64000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  64023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64028 */     // MIs[1] imm
     /*  64028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64036 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  64040 */     // MIs[2] Operand 1
     /*  64040 */     // No operand predicates
     /*  64040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64046 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  64049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64060 */     GIR_RootConstrainSelectedInstOperands,
     /*  64061 */     // GIR_Coverage, 2226,
     /*  64061 */     GIR_EraseRootFromParent_Done,
     /*  64062 */   // Label 1089: @64062
     /*  64062 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(64129), // Rule ID 2285 //
     /*  64067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  64090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64095 */     // MIs[1] imm
     /*  64095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64103 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  64107 */     // MIs[2] Operand 1
     /*  64107 */     // No operand predicates
     /*  64107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64113 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  64116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64118 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64127 */     GIR_RootConstrainSelectedInstOperands,
     /*  64128 */     // GIR_Coverage, 2285,
     /*  64128 */     GIR_EraseRootFromParent_Done,
     /*  64129 */   // Label 1090: @64129
     /*  64129 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(64193), // Rule ID 13584 //
     /*  64134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  64153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  64157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64166 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64172 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64180 */     // (or:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  64180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64185 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  64187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64191 */     GIR_RootConstrainSelectedInstOperands,
     /*  64192 */     // GIR_Coverage, 13584,
     /*  64192 */     GIR_EraseRootFromParent_Done,
     /*  64193 */   // Label 1091: @64193
     /*  64193 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(64257), // Rule ID 4991 //
     /*  64198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  64221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  64225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64234 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64240 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64244 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  64244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64249 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  64251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64255 */     GIR_RootConstrainSelectedInstOperands,
     /*  64256 */     // GIR_Coverage, 4991,
     /*  64256 */     GIR_EraseRootFromParent_Done,
     /*  64257 */   // Label 1092: @64257
     /*  64257 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(64284), // Rule ID 4997 //
     /*  64262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64277 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ORRv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  64277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  64282 */     GIR_RootConstrainSelectedInstOperands,
     /*  64283 */     // GIR_Coverage, 4997,
     /*  64283 */     GIR_Done,
     /*  64284 */   // Label 1093: @64284
     /*  64284 */   GIM_Reject,
     /*  64285 */ // Label 1078: @64285
     /*  64285 */ GIM_Reject,
     /*  64286 */ // Label 993: @64286
     /*  64286 */ GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(65593),
     /*  64291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64297 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(64406), // Rule ID 13312 //
     /*  64302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64337 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64346 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64350 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64356 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64363 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64367 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64371 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64375 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64380 */     // MIs[4] LHS
     /*  64380 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64385 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64387 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64404 */     GIR_RootConstrainSelectedInstOperands,
     /*  64405 */     // GIR_Coverage, 13312,
     /*  64405 */     GIR_EraseRootFromParent_Done,
     /*  64406 */   // Label 1095: @64406
     /*  64406 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(64515), // Rule ID 13311 //
     /*  64411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64459 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64472 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64476 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64480 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64484 */     // MIs[4] LHS
     /*  64484 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64489 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64494 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64496 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64513 */     GIR_RootConstrainSelectedInstOperands,
     /*  64514 */     // GIR_Coverage, 13311,
     /*  64514 */     GIR_EraseRootFromParent_Done,
     /*  64515 */   // Label 1096: @64515
     /*  64515 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(64624), // Rule ID 13314 //
     /*  64520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64560 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64573 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64579 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64581 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64585 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64589 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64593 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64598 */     // MIs[4] LHS
     /*  64598 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64603 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64605 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64622 */     GIR_RootConstrainSelectedInstOperands,
     /*  64623 */     // GIR_Coverage, 13314,
     /*  64623 */     GIR_EraseRootFromParent_Done,
     /*  64624 */   // Label 1097: @64624
     /*  64624 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(64733), // Rule ID 13313 //
     /*  64629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64682 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64688 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64690 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64694 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64698 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64702 */     // MIs[4] LHS
     /*  64702 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64707 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64712 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64714 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64731 */     GIR_RootConstrainSelectedInstOperands,
     /*  64732 */     // GIR_Coverage, 13313,
     /*  64732 */     GIR_EraseRootFromParent_Done,
     /*  64733 */   // Label 1098: @64733
     /*  64733 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(64842), // Rule ID 2464 //
     /*  64738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64783 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64795 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64799 */     // MIs[3] LHS
     /*  64799 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  64804 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64808 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64814 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64821 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64823 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  64832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  64836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64840 */     GIR_RootConstrainSelectedInstOperands,
     /*  64841 */     // GIR_Coverage, 2464,
     /*  64841 */     GIR_EraseRootFromParent_Done,
     /*  64842 */   // Label 1099: @64842
     /*  64842 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(64951), // Rule ID 13309 //
     /*  64847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64904 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64908 */     // MIs[3] LHS
     /*  64908 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64913 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64917 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64923 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64930 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64932 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  64932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64949 */     GIR_RootConstrainSelectedInstOperands,
     /*  64950 */     // GIR_Coverage, 13309,
     /*  64950 */     GIR_EraseRootFromParent_Done,
     /*  64951 */   // Label 1100: @64951
     /*  64951 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(65060), // Rule ID 13308 //
     /*  64956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  64975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  64979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65001 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65018 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65022 */     // MIs[3] LHS
     /*  65022 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65027 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65031 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65037 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65039 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65041 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  65041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65058 */     GIR_RootConstrainSelectedInstOperands,
     /*  65059 */     // GIR_Coverage, 13308,
     /*  65059 */     GIR_EraseRootFromParent_Done,
     /*  65060 */   // Label 1101: @65060
     /*  65060 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(65169), // Rule ID 13310 //
     /*  65065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65110 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65127 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65131 */     // MIs[3] LHS
     /*  65131 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65136 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65140 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65146 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65148 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65150 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  65150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65167 */     GIR_RootConstrainSelectedInstOperands,
     /*  65168 */     // GIR_Coverage, 13310,
     /*  65168 */     GIR_EraseRootFromParent_Done,
     /*  65169 */   // Label 1102: @65169
     /*  65169 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(65236), // Rule ID 13256 //
     /*  65174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65198 */     // MIs[1] imm
     /*  65198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65206 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  65210 */     // MIs[2] Operand 1
     /*  65210 */     // No operand predicates
     /*  65210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65214 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65220 */     // (or:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  65223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65234 */     GIR_RootConstrainSelectedInstOperands,
     /*  65235 */     // GIR_Coverage, 13256,
     /*  65235 */     GIR_EraseRootFromParent_Done,
     /*  65236 */   // Label 1103: @65236
     /*  65236 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(65303), // Rule ID 13277 //
     /*  65241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65265 */     // MIs[1] imm
     /*  65265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65273 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  65277 */     // MIs[2] Operand 1
     /*  65277 */     // No operand predicates
     /*  65277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65287 */     // (or:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  65290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65292 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65301 */     GIR_RootConstrainSelectedInstOperands,
     /*  65302 */     // GIR_Coverage, 13277,
     /*  65302 */     GIR_EraseRootFromParent_Done,
     /*  65303 */   // Label 1104: @65303
     /*  65303 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(65370), // Rule ID 2232 //
     /*  65308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65336 */     // MIs[1] imm
     /*  65336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65344 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  65348 */     // MIs[2] Operand 1
     /*  65348 */     // No operand predicates
     /*  65348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65354 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  65357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65359 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65368 */     GIR_RootConstrainSelectedInstOperands,
     /*  65369 */     // GIR_Coverage, 2232,
     /*  65369 */     GIR_EraseRootFromParent_Done,
     /*  65370 */   // Label 1105: @65370
     /*  65370 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(65437), // Rule ID 2291 //
     /*  65375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65403 */     // MIs[1] imm
     /*  65403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65411 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  65415 */     // MIs[2] Operand 1
     /*  65415 */     // No operand predicates
     /*  65415 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65421 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  65424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65435 */     GIR_RootConstrainSelectedInstOperands,
     /*  65436 */     // GIR_Coverage, 2291,
     /*  65436 */     GIR_EraseRootFromParent_Done,
     /*  65437 */   // Label 1106: @65437
     /*  65437 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(65501), // Rule ID 13588 //
     /*  65442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65474 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65480 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65488 */     // (or:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  65488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65493 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  65495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65499 */     GIR_RootConstrainSelectedInstOperands,
     /*  65500 */     // GIR_Coverage, 13588,
     /*  65500 */     GIR_EraseRootFromParent_Done,
     /*  65501 */   // Label 1107: @65501
     /*  65501 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(65565), // Rule ID 4995 //
     /*  65506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  65529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  65533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65542 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65548 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65552 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  65552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65557 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  65559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65563 */     GIR_RootConstrainSelectedInstOperands,
     /*  65564 */     // GIR_Coverage, 4995,
     /*  65564 */     GIR_EraseRootFromParent_Done,
     /*  65565 */   // Label 1108: @65565
     /*  65565 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(65592), // Rule ID 5001 //
     /*  65570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65585 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ORRv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  65585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  65590 */     GIR_RootConstrainSelectedInstOperands,
     /*  65591 */     // GIR_Coverage, 5001,
     /*  65591 */     GIR_Done,
     /*  65592 */   // Label 1109: @65592
     /*  65592 */   GIM_Reject,
     /*  65593 */ // Label 1094: @65593
     /*  65593 */ GIM_Reject,
     /*  65594 */ // Label 994: @65594
     /*  65594 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(66901),
     /*  65599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65605 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(65714), // Rule ID 13072 //
     /*  65610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65645 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65658 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65664 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65671 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65675 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65679 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65683 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65688 */     // MIs[4] Rd
     /*  65688 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65693 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65695 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  65695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  65704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  65708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  65712 */     GIR_RootConstrainSelectedInstOperands,
     /*  65713 */     // GIR_Coverage, 13072,
     /*  65713 */     GIR_EraseRootFromParent_Done,
     /*  65714 */   // Label 1111: @65714
     /*  65714 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(65823), // Rule ID 13071 //
     /*  65719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65754 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65767 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65773 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65780 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65784 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65788 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65792 */     // MIs[4] Rd
     /*  65792 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65797 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65802 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65804 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  65804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  65813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  65817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  65821 */     GIR_RootConstrainSelectedInstOperands,
     /*  65822 */     // GIR_Coverage, 13071,
     /*  65822 */     GIR_EraseRootFromParent_Done,
     /*  65823 */   // Label 1112: @65823
     /*  65823 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(65932), // Rule ID 13074 //
     /*  65828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65881 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65887 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65889 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65893 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65897 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65901 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65906 */     // MIs[4] Rd
     /*  65906 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65911 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65913 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  65913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  65922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  65926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  65930 */     GIR_RootConstrainSelectedInstOperands,
     /*  65931 */     // GIR_Coverage, 13074,
     /*  65931 */     GIR_EraseRootFromParent_Done,
     /*  65932 */   // Label 1113: @65932
     /*  65932 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(66041), // Rule ID 13073 //
     /*  65937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  65977 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  65981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65986 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65990 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65996 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65998 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66002 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66006 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66010 */     // MIs[4] Rd
     /*  66010 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66015 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66020 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66022 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  66031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  66035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  66039 */     GIR_RootConstrainSelectedInstOperands,
     /*  66040 */     // GIR_Coverage, 13073,
     /*  66040 */     GIR_EraseRootFromParent_Done,
     /*  66041 */   // Label 1114: @66041
     /*  66041 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(66150), // Rule ID 1598 //
     /*  66046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66091 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66099 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66103 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66107 */     // MIs[3] Rd
     /*  66107 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66112 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66116 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66122 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66129 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66131 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  66140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  66144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  66148 */     GIR_RootConstrainSelectedInstOperands,
     /*  66149 */     // GIR_Coverage, 1598,
     /*  66149 */     GIR_EraseRootFromParent_Done,
     /*  66150 */   // Label 1115: @66150
     /*  66150 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(66259), // Rule ID 13069 //
     /*  66155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66200 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66212 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66216 */     // MIs[3] Rd
     /*  66216 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66221 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66225 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66231 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66238 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66240 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  66249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  66257 */     GIR_RootConstrainSelectedInstOperands,
     /*  66258 */     // GIR_Coverage, 13069,
     /*  66258 */     GIR_EraseRootFromParent_Done,
     /*  66259 */   // Label 1116: @66259
     /*  66259 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(66368), // Rule ID 13068 //
     /*  66264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66318 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66322 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66326 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66330 */     // MIs[3] Rd
     /*  66330 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66335 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66339 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66345 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66347 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66349 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  66358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  66362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  66366 */     GIR_RootConstrainSelectedInstOperands,
     /*  66367 */     // GIR_Coverage, 13068,
     /*  66367 */     GIR_EraseRootFromParent_Done,
     /*  66368 */   // Label 1117: @66368
     /*  66368 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(66477), // Rule ID 13070 //
     /*  66373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66435 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66439 */     // MIs[3] Rd
     /*  66439 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66444 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66448 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66454 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66456 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66458 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  66467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  66475 */     GIR_RootConstrainSelectedInstOperands,
     /*  66476 */     // GIR_Coverage, 13070,
     /*  66476 */     GIR_EraseRootFromParent_Done,
     /*  66477 */   // Label 1118: @66477
     /*  66477 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(66544), // Rule ID 13246 //
     /*  66482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66506 */     // MIs[1] imm
     /*  66506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66514 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  66518 */     // MIs[2] Operand 1
     /*  66518 */     // No operand predicates
     /*  66518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66528 */     // (or:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  66531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66542 */     GIR_RootConstrainSelectedInstOperands,
     /*  66543 */     // GIR_Coverage, 13246,
     /*  66543 */     GIR_EraseRootFromParent_Done,
     /*  66544 */   // Label 1119: @66544
     /*  66544 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(66611), // Rule ID 13267 //
     /*  66549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66573 */     // MIs[1] imm
     /*  66573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66581 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  66585 */     // MIs[2] Operand 1
     /*  66585 */     // No operand predicates
     /*  66585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66589 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66595 */     // (or:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  66598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66609 */     GIR_RootConstrainSelectedInstOperands,
     /*  66610 */     // GIR_Coverage, 13267,
     /*  66610 */     GIR_EraseRootFromParent_Done,
     /*  66611 */   // Label 1120: @66611
     /*  66611 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(66678), // Rule ID 2222 //
     /*  66616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66644 */     // MIs[1] imm
     /*  66644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66652 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  66656 */     // MIs[2] Operand 1
     /*  66656 */     // No operand predicates
     /*  66656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66662 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  66665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66667 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  66669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66676 */     GIR_RootConstrainSelectedInstOperands,
     /*  66677 */     // GIR_Coverage, 2222,
     /*  66677 */     GIR_EraseRootFromParent_Done,
     /*  66678 */   // Label 1121: @66678
     /*  66678 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(66745), // Rule ID 2281 //
     /*  66683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66711 */     // MIs[1] imm
     /*  66711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66719 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  66723 */     // MIs[2] Operand 1
     /*  66723 */     // No operand predicates
     /*  66723 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66729 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  66732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66734 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  66736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66743 */     GIR_RootConstrainSelectedInstOperands,
     /*  66744 */     // GIR_Coverage, 2281,
     /*  66744 */     GIR_EraseRootFromParent_Done,
     /*  66745 */   // Label 1122: @66745
     /*  66745 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(66809), // Rule ID 13066 //
     /*  66750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66782 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66788 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  66790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66796 */     // (or:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  66799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  66801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  66803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  66807 */     GIR_RootConstrainSelectedInstOperands,
     /*  66808 */     // GIR_Coverage, 13066,
     /*  66808 */     GIR_EraseRootFromParent_Done,
     /*  66809 */   // Label 1123: @66809
     /*  66809 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(66873), // Rule ID 1594 //
     /*  66814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  66837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  66841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66850 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66856 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  66858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66860 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  66863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  66865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  66867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  66871 */     GIR_RootConstrainSelectedInstOperands,
     /*  66872 */     // GIR_Coverage, 1594,
     /*  66872 */     GIR_EraseRootFromParent_Done,
     /*  66873 */   // Label 1124: @66873
     /*  66873 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(66900), // Rule ID 1596 //
     /*  66878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66893 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ORRv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  66893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  66898 */     GIR_RootConstrainSelectedInstOperands,
     /*  66899 */     // GIR_Coverage, 1596,
     /*  66899 */     GIR_Done,
     /*  66900 */   // Label 1125: @66900
     /*  66900 */   GIM_Reject,
     /*  66901 */ // Label 1110: @66901
     /*  66901 */ GIM_Reject,
     /*  66902 */ // Label 995: @66902
     /*  66902 */ GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(68209),
     /*  66907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  66910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66913 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(67022), // Rule ID 13305 //
     /*  66918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  66937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  66953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  66957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66966 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66972 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66979 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66983 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66987 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  66991 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66996 */     // MIs[4] LHS
     /*  66996 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67001 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67003 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67020 */     GIR_RootConstrainSelectedInstOperands,
     /*  67021 */     // GIR_Coverage, 13305,
     /*  67021 */     GIR_EraseRootFromParent_Done,
     /*  67022 */   // Label 1127: @67022
     /*  67022 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(67131), // Rule ID 13304 //
     /*  67027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67062 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67075 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67081 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67088 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67092 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67096 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67100 */     // MIs[4] LHS
     /*  67100 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67105 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67110 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67112 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67129 */     GIR_RootConstrainSelectedInstOperands,
     /*  67130 */     // GIR_Coverage, 13304,
     /*  67130 */     GIR_EraseRootFromParent_Done,
     /*  67131 */   // Label 1128: @67131
     /*  67131 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(67240), // Rule ID 13307 //
     /*  67136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67189 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67195 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67197 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67201 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67205 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67209 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67214 */     // MIs[4] LHS
     /*  67214 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67219 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67221 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67238 */     GIR_RootConstrainSelectedInstOperands,
     /*  67239 */     // GIR_Coverage, 13307,
     /*  67239 */     GIR_EraseRootFromParent_Done,
     /*  67240 */   // Label 1129: @67240
     /*  67240 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(67349), // Rule ID 13306 //
     /*  67245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67298 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67304 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67306 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67310 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67314 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67318 */     // MIs[4] LHS
     /*  67318 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67323 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67328 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67330 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67347 */     GIR_RootConstrainSelectedInstOperands,
     /*  67348 */     // GIR_Coverage, 13306,
     /*  67348 */     GIR_EraseRootFromParent_Done,
     /*  67349 */   // Label 1130: @67349
     /*  67349 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(67458), // Rule ID 2463 //
     /*  67354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67411 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67415 */     // MIs[3] LHS
     /*  67415 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67420 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67424 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67430 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67437 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67439 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67456 */     GIR_RootConstrainSelectedInstOperands,
     /*  67457 */     // GIR_Coverage, 2463,
     /*  67457 */     GIR_EraseRootFromParent_Done,
     /*  67458 */   // Label 1131: @67458
     /*  67458 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(67567), // Rule ID 13302 //
     /*  67463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67508 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67520 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67524 */     // MIs[3] LHS
     /*  67524 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67529 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67533 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67539 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67546 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67548 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67565 */     GIR_RootConstrainSelectedInstOperands,
     /*  67566 */     // GIR_Coverage, 13302,
     /*  67566 */     GIR_EraseRootFromParent_Done,
     /*  67567 */   // Label 1132: @67567
     /*  67567 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(67676), // Rule ID 13301 //
     /*  67572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67626 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67630 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67634 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67638 */     // MIs[3] LHS
     /*  67638 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67643 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67647 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67653 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67655 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67657 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  67674 */     GIR_RootConstrainSelectedInstOperands,
     /*  67675 */     // GIR_Coverage, 13301,
     /*  67675 */     GIR_EraseRootFromParent_Done,
     /*  67676 */   // Label 1133: @67676
     /*  67676 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(67785), // Rule ID 13303 //
     /*  67681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67743 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  67747 */     // MIs[3] LHS
     /*  67747 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67752 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67756 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67762 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67764 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67766 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  67766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  67783 */     GIR_RootConstrainSelectedInstOperands,
     /*  67784 */     // GIR_Coverage, 13303,
     /*  67784 */     GIR_EraseRootFromParent_Done,
     /*  67785 */   // Label 1134: @67785
     /*  67785 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(67852), // Rule ID 13252 //
     /*  67790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67814 */     // MIs[1] imm
     /*  67814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67822 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67826 */     // MIs[2] Operand 1
     /*  67826 */     // No operand predicates
     /*  67826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67830 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67836 */     // (or:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  67839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67850 */     GIR_RootConstrainSelectedInstOperands,
     /*  67851 */     // GIR_Coverage, 13252,
     /*  67851 */     GIR_EraseRootFromParent_Done,
     /*  67852 */   // Label 1135: @67852
     /*  67852 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(67919), // Rule ID 13273 //
     /*  67857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  67872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67881 */     // MIs[1] imm
     /*  67881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67889 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67893 */     // MIs[2] Operand 1
     /*  67893 */     // No operand predicates
     /*  67893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67897 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67903 */     // (or:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  67906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67917 */     GIR_RootConstrainSelectedInstOperands,
     /*  67918 */     // GIR_Coverage, 13273,
     /*  67918 */     GIR_EraseRootFromParent_Done,
     /*  67919 */   // Label 1136: @67919
     /*  67919 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(67986), // Rule ID 2228 //
     /*  67924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  67947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67952 */     // MIs[1] imm
     /*  67952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67960 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67964 */     // MIs[2] Operand 1
     /*  67964 */     // No operand predicates
     /*  67964 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67970 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  67973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67975 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67984 */     GIR_RootConstrainSelectedInstOperands,
     /*  67985 */     // GIR_Coverage, 2228,
     /*  67985 */     GIR_EraseRootFromParent_Done,
     /*  67986 */   // Label 1137: @67986
     /*  67986 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(68053), // Rule ID 2287 //
     /*  67991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68019 */     // MIs[1] imm
     /*  68019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68027 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  68031 */     // MIs[2] Operand 1
     /*  68031 */     // No operand predicates
     /*  68031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68037 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  68040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68042 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68051 */     GIR_RootConstrainSelectedInstOperands,
     /*  68052 */     // GIR_Coverage, 2287,
     /*  68052 */     GIR_EraseRootFromParent_Done,
     /*  68053 */   // Label 1138: @68053
     /*  68053 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(68117), // Rule ID 13587 //
     /*  68058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68090 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68096 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68104 */     // (or:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  68104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68109 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  68111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68115 */     GIR_RootConstrainSelectedInstOperands,
     /*  68116 */     // GIR_Coverage, 13587,
     /*  68116 */     GIR_EraseRootFromParent_Done,
     /*  68117 */   // Label 1139: @68117
     /*  68117 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(68181), // Rule ID 4994 //
     /*  68122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  68145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  68149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68158 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68164 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68168 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  68168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68173 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  68175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68179 */     GIR_RootConstrainSelectedInstOperands,
     /*  68180 */     // GIR_Coverage, 4994,
     /*  68180 */     GIR_EraseRootFromParent_Done,
     /*  68181 */   // Label 1140: @68181
     /*  68181 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(68208), // Rule ID 5000 //
     /*  68186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68201 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ORRv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  68201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  68206 */     GIR_RootConstrainSelectedInstOperands,
     /*  68207 */     // GIR_Coverage, 5000,
     /*  68207 */     GIR_Done,
     /*  68208 */   // Label 1141: @68208
     /*  68208 */   GIM_Reject,
     /*  68209 */ // Label 1126: @68209
     /*  68209 */ GIM_Reject,
     /*  68210 */ // Label 996: @68210
     /*  68210 */ GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(69517),
     /*  68215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68221 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(68330), // Rule ID 13079 //
     /*  68226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68261 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68270 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68274 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68280 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68287 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68291 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68295 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68299 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68304 */     // MIs[4] Rd
     /*  68304 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68309 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68311 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68328 */     GIR_RootConstrainSelectedInstOperands,
     /*  68329 */     // GIR_Coverage, 13079,
     /*  68329 */     GIR_EraseRootFromParent_Done,
     /*  68330 */   // Label 1143: @68330
     /*  68330 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(68439), // Rule ID 13078 //
     /*  68335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68370 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68383 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68396 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68400 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68404 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68408 */     // MIs[4] Rd
     /*  68408 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68413 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68418 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68420 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68437 */     GIR_RootConstrainSelectedInstOperands,
     /*  68438 */     // GIR_Coverage, 13078,
     /*  68438 */     GIR_EraseRootFromParent_Done,
     /*  68439 */   // Label 1144: @68439
     /*  68439 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(68548), // Rule ID 13081 //
     /*  68444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68497 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68503 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68505 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68509 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68513 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68517 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68522 */     // MIs[4] Rd
     /*  68522 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68527 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68529 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68546 */     GIR_RootConstrainSelectedInstOperands,
     /*  68547 */     // GIR_Coverage, 13081,
     /*  68547 */     GIR_EraseRootFromParent_Done,
     /*  68548 */   // Label 1145: @68548
     /*  68548 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(68657), // Rule ID 13080 //
     /*  68553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68606 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68612 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68614 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68618 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68622 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68626 */     // MIs[4] Rd
     /*  68626 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68631 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68636 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68638 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68655 */     GIR_RootConstrainSelectedInstOperands,
     /*  68656 */     // GIR_Coverage, 13080,
     /*  68656 */     GIR_EraseRootFromParent_Done,
     /*  68657 */   // Label 1146: @68657
     /*  68657 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(68766), // Rule ID 1599 //
     /*  68662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68707 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  68715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68719 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68723 */     // MIs[3] Rd
     /*  68723 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68728 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68732 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68738 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68745 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68747 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  68756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  68760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  68764 */     GIR_RootConstrainSelectedInstOperands,
     /*  68765 */     // GIR_Coverage, 1599,
     /*  68765 */     GIR_EraseRootFromParent_Done,
     /*  68766 */   // Label 1147: @68766
     /*  68766 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(68875), // Rule ID 13076 //
     /*  68771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68816 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  68824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68828 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68832 */     // MIs[3] Rd
     /*  68832 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  68837 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68841 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68847 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68854 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68856 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  68865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  68873 */     GIR_RootConstrainSelectedInstOperands,
     /*  68874 */     // GIR_Coverage, 13076,
     /*  68874 */     GIR_EraseRootFromParent_Done,
     /*  68875 */   // Label 1148: @68875
     /*  68875 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(68984), // Rule ID 13075 //
     /*  68880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  68925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68942 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  68946 */     // MIs[3] Rd
     /*  68946 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68951 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68955 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68961 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68963 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68965 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  68965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  68974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  68978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  68982 */     GIR_RootConstrainSelectedInstOperands,
     /*  68983 */     // GIR_Coverage, 13075,
     /*  68983 */     GIR_EraseRootFromParent_Done,
     /*  68984 */   // Label 1149: @68984
     /*  68984 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(69093), // Rule ID 13077 //
     /*  68989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  69012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  69038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69051 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  69055 */     // MIs[3] Rd
     /*  69055 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69060 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69064 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69070 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69072 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69074 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  69074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  69083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  69091 */     GIR_RootConstrainSelectedInstOperands,
     /*  69092 */     // GIR_Coverage, 13077,
     /*  69092 */     GIR_EraseRootFromParent_Done,
     /*  69093 */   // Label 1150: @69093
     /*  69093 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(69160), // Rule ID 13248 //
     /*  69098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69122 */     // MIs[1] imm
     /*  69122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69130 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69134 */     // MIs[2] Operand 1
     /*  69134 */     // No operand predicates
     /*  69134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69138 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69144 */     // (or:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  69147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69158 */     GIR_RootConstrainSelectedInstOperands,
     /*  69159 */     // GIR_Coverage, 13248,
     /*  69159 */     GIR_EraseRootFromParent_Done,
     /*  69160 */   // Label 1151: @69160
     /*  69160 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(69227), // Rule ID 13269 //
     /*  69165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69189 */     // MIs[1] imm
     /*  69189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69197 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69201 */     // MIs[2] Operand 1
     /*  69201 */     // No operand predicates
     /*  69201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69205 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69211 */     // (or:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  69214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69225 */     GIR_RootConstrainSelectedInstOperands,
     /*  69226 */     // GIR_Coverage, 13269,
     /*  69226 */     GIR_EraseRootFromParent_Done,
     /*  69227 */   // Label 1152: @69227
     /*  69227 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(69294), // Rule ID 2224 //
     /*  69232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69260 */     // MIs[1] imm
     /*  69260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69268 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69272 */     // MIs[2] Operand 1
     /*  69272 */     // No operand predicates
     /*  69272 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69278 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  69281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69292 */     GIR_RootConstrainSelectedInstOperands,
     /*  69293 */     // GIR_Coverage, 2224,
     /*  69293 */     GIR_EraseRootFromParent_Done,
     /*  69294 */   // Label 1153: @69294
     /*  69294 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(69361), // Rule ID 2283 //
     /*  69299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69327 */     // MIs[1] imm
     /*  69327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69335 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69339 */     // MIs[2] Operand 1
     /*  69339 */     // No operand predicates
     /*  69339 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69345 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  69348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69359 */     GIR_RootConstrainSelectedInstOperands,
     /*  69360 */     // GIR_Coverage, 2283,
     /*  69360 */     GIR_EraseRootFromParent_Done,
     /*  69361 */   // Label 1154: @69361
     /*  69361 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(69425), // Rule ID 13067 //
     /*  69366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  69389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69398 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69404 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69412 */     // (or:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  69412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  69415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69423 */     GIR_RootConstrainSelectedInstOperands,
     /*  69424 */     // GIR_Coverage, 13067,
     /*  69424 */     GIR_EraseRootFromParent_Done,
     /*  69425 */   // Label 1155: @69425
     /*  69425 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(69489), // Rule ID 1595 //
     /*  69430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  69453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  69457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69466 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69472 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69476 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  69476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  69479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69481 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  69483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69487 */     GIR_RootConstrainSelectedInstOperands,
     /*  69488 */     // GIR_Coverage, 1595,
     /*  69488 */     GIR_EraseRootFromParent_Done,
     /*  69489 */   // Label 1156: @69489
     /*  69489 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(69516), // Rule ID 1597 //
     /*  69494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69509 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ORRv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  69509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  69514 */     GIR_RootConstrainSelectedInstOperands,
     /*  69515 */     // GIR_Coverage, 1597,
     /*  69515 */     GIR_Done,
     /*  69516 */   // Label 1157: @69516
     /*  69516 */   GIM_Reject,
     /*  69517 */ // Label 1142: @69517
     /*  69517 */ GIM_Reject,
     /*  69518 */ // Label 997: @69518
     /*  69518 */ GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(69549), // Rule ID 8284 //
     /*  69523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  69529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  69532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  69536 */   // (or:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  69536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  69539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  69541 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69543 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69545 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  69547 */   GIR_RootConstrainSelectedInstOperands,
     /*  69548 */   // GIR_Coverage, 8284,
     /*  69548 */   GIR_EraseRootFromParent_Done,
     /*  69549 */ // Label 1158: @69549
     /*  69549 */ GIM_Reject,
     /*  69550 */ // Label 998: @69550
     /*  69550 */ GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(69581), // Rule ID 8283 //
     /*  69555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  69561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  69564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  69568 */   // (or:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  69568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  69571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  69573 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69575 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69577 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  69579 */   GIR_RootConstrainSelectedInstOperands,
     /*  69580 */   // GIR_Coverage, 8283,
     /*  69580 */   GIR_EraseRootFromParent_Done,
     /*  69581 */ // Label 1159: @69581
     /*  69581 */ GIM_Reject,
     /*  69582 */ // Label 999: @69582
     /*  69582 */ GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(69607), // Rule ID 7293 //
     /*  69587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  69593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  69596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  69600 */   // (or:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  69600 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  69605 */   GIR_RootConstrainSelectedInstOperands,
     /*  69606 */   // GIR_Coverage, 7293,
     /*  69606 */   GIR_Done,
     /*  69607 */ // Label 1160: @69607
     /*  69607 */ GIM_Reject,
     /*  69608 */ // Label 1000: @69608
     /*  69608 */ GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(69639), // Rule ID 8282 //
     /*  69613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  69619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  69622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  69626 */   // (or:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  69626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  69629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  69631 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69633 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69635 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  69637 */   GIR_RootConstrainSelectedInstOperands,
     /*  69638 */   // GIR_Coverage, 8282,
     /*  69638 */   GIR_EraseRootFromParent_Done,
     /*  69639 */ // Label 1161: @69639
     /*  69639 */ GIM_Reject,
     /*  69640 */ // Label 1001: @69640
     /*  69640 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(69665), // Rule ID 7292 //
     /*  69645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  69651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  69654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  69658 */   // (or:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  69658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  69663 */   GIR_RootConstrainSelectedInstOperands,
     /*  69664 */   // GIR_Coverage, 7292,
     /*  69664 */   GIR_Done,
     /*  69665 */ // Label 1162: @69665
     /*  69665 */ GIM_Reject,
     /*  69666 */ // Label 1002: @69666
     /*  69666 */ GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(69697), // Rule ID 8281 //
     /*  69671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  69677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  69680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  69684 */   // (or:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  69684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  69687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  69689 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69691 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69693 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  69695 */   GIR_RootConstrainSelectedInstOperands,
     /*  69696 */   // GIR_Coverage, 8281,
     /*  69696 */   GIR_EraseRootFromParent_Done,
     /*  69697 */ // Label 1163: @69697
     /*  69697 */ GIM_Reject,
     /*  69698 */ // Label 1003: @69698
     /*  69698 */ GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(69723), // Rule ID 7291 //
     /*  69703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  69709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  69712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  69716 */   // (or:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  69716 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  69721 */   GIR_RootConstrainSelectedInstOperands,
     /*  69722 */   // GIR_Coverage, 7291,
     /*  69722 */   GIR_Done,
     /*  69723 */ // Label 1164: @69723
     /*  69723 */ GIM_Reject,
     /*  69724 */ // Label 1004: @69724
     /*  69724 */ GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(69755), // Rule ID 8280 //
     /*  69729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  69735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  69738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  69742 */   // (or:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  69742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  69745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  69747 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69749 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  69751 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  69753 */   GIR_RootConstrainSelectedInstOperands,
     /*  69754 */   // GIR_Coverage, 8280,
     /*  69754 */   GIR_EraseRootFromParent_Done,
     /*  69755 */ // Label 1165: @69755
     /*  69755 */ GIM_Reject,
     /*  69756 */ // Label 1005: @69756
     /*  69756 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(69781), // Rule ID 7290 //
     /*  69761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  69764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  69767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  69770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  69774 */   // (or:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  69774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  69779 */   GIR_RootConstrainSelectedInstOperands,
     /*  69780 */   // GIR_Coverage, 7290,
     /*  69780 */   GIR_Done,
     /*  69781 */ // Label 1166: @69781
     /*  69781 */ GIM_Reject,
     /*  69782 */ // Label 1006: @69782
     /*  69782 */ GIM_Reject,
     /*  69783 */ // Label 7: @69783
     /*  69783 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1185*/ GIMT_Encode4(75721),
     /*  69794 */ /*GILLT_s32*//*Label 1167*/ GIMT_Encode4(69882),
     /*  69798 */ /*GILLT_s64*//*Label 1168*/ GIMT_Encode4(70562), GIMT_Encode4(0),
     /*  69806 */ /*GILLT_v2s32*//*Label 1169*/ GIMT_Encode4(71305),
     /*  69810 */ /*GILLT_v2s64*//*Label 1170*/ GIMT_Encode4(71373),
     /*  69814 */ /*GILLT_v4s16*//*Label 1171*/ GIMT_Encode4(71899),
     /*  69818 */ /*GILLT_v4s32*//*Label 1172*/ GIMT_Encode4(71967),
     /*  69822 */ /*GILLT_v8s8*//*Label 1173*/ GIMT_Encode4(72493),
     /*  69826 */ /*GILLT_v8s16*//*Label 1174*/ GIMT_Encode4(72564),
     /*  69830 */ /*GILLT_v16s8*//*Label 1175*/ GIMT_Encode4(73090),
     /*  69834 */ /*GILLT_nxv1s1*//*Label 1176*/ GIMT_Encode4(73619),
     /*  69838 */ /*GILLT_nxv2s1*//*Label 1177*/ GIMT_Encode4(73669), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  69850 */ /*GILLT_nxv2s64*//*Label 1178*/ GIMT_Encode4(73719),
     /*  69854 */ /*GILLT_nxv4s1*//*Label 1179*/ GIMT_Encode4(74182), GIMT_Encode4(0),
     /*  69862 */ /*GILLT_nxv4s32*//*Label 1180*/ GIMT_Encode4(74232),
     /*  69866 */ /*GILLT_nxv8s1*//*Label 1181*/ GIMT_Encode4(74695),
     /*  69870 */ /*GILLT_nxv8s16*//*Label 1182*/ GIMT_Encode4(74745),
     /*  69874 */ /*GILLT_nxv16s1*//*Label 1183*/ GIMT_Encode4(75208),
     /*  69878 */ /*GILLT_nxv16s8*//*Label 1184*/ GIMT_Encode4(75258),
     /*  69882 */ // Label 1167: @69882
     /*  69882 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(70561),
     /*  69887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  69890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  69893 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(69951), // Rule ID 12937 //
     /*  69898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  69902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  69914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  69918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  69923 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  69927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  69936 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  69936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  69939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  69949 */     GIR_RootConstrainSelectedInstOperands,
     /*  69950 */     // GIR_Coverage, 12937,
     /*  69950 */     GIR_EraseRootFromParent_Done,
     /*  69951 */   // Label 1187: @69951
     /*  69951 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(70006), // Rule ID 12936 //
     /*  69956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  69960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  69972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  69976 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  69980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  69984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  69993 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  69993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  69996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70000 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70004 */     GIR_RootConstrainSelectedInstOperands,
     /*  70005 */     // GIR_Coverage, 12936,
     /*  70005 */     GIR_EraseRootFromParent_Done,
     /*  70006 */   // Label 1188: @70006
     /*  70006 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(70064), // Rule ID 12934 //
     /*  70011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70036 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70049 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  70052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  70058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70062 */     GIR_RootConstrainSelectedInstOperands,
     /*  70063 */     // GIR_Coverage, 12934,
     /*  70063 */     GIR_EraseRootFromParent_Done,
     /*  70064 */   // Label 1189: @70064
     /*  70064 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(70122), // Rule ID 166 //
     /*  70069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70094 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70100 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70107 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  70110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70120 */     GIR_RootConstrainSelectedInstOperands,
     /*  70121 */     // GIR_Coverage, 166,
     /*  70121 */     GIR_EraseRootFromParent_Done,
     /*  70122 */   // Label 1190: @70122
     /*  70122 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(70180), // Rule ID 12935 //
     /*  70127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70152 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70165 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  70168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70174 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70178 */     GIR_RootConstrainSelectedInstOperands,
     /*  70179 */     // GIR_Coverage, 12935,
     /*  70179 */     GIR_EraseRootFromParent_Done,
     /*  70180 */   // Label 1191: @70180
     /*  70180 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(70235), // Rule ID 12938 //
     /*  70185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70209 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70222 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  70225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70227 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  70229 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70233 */     GIR_RootConstrainSelectedInstOperands,
     /*  70234 */     // GIR_Coverage, 12938,
     /*  70234 */     GIR_EraseRootFromParent_Done,
     /*  70235 */   // Label 1192: @70235
     /*  70235 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(70276), // Rule ID 144 //
     /*  70240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  70244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70256 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  70260 */     // MIs[1] Operand 1
     /*  70260 */     // No operand predicates
     /*  70260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70262 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (EORWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  70262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /*  70265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70267 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  70269 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  70274 */     GIR_RootConstrainSelectedInstOperands,
     /*  70275 */     // GIR_Coverage, 144,
     /*  70275 */     GIR_EraseRootFromParent_Done,
     /*  70276 */   // Label 1193: @70276
     /*  70276 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(70309), // Rule ID 12944 //
     /*  70281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70296 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  70299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70303 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70307 */     GIR_RootConstrainSelectedInstOperands,
     /*  70308 */     // GIR_Coverage, 12944,
     /*  70308 */     GIR_EraseRootFromParent_Done,
     /*  70309 */   // Label 1194: @70309
     /*  70309 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(70342), // Rule ID 170 //
     /*  70314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  70329 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  70329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  70332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70334 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  70336 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70340 */     GIR_RootConstrainSelectedInstOperands,
     /*  70341 */     // GIR_Coverage, 170,
     /*  70341 */     GIR_EraseRootFromParent_Done,
     /*  70342 */   // Label 1195: @70342
     /*  70342 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(70395), // Rule ID 12930 //
     /*  70347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70372 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70382 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rm)  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  70382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  70385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  70393 */     GIR_RootConstrainSelectedInstOperands,
     /*  70394 */     // GIR_Coverage, 12930,
     /*  70394 */     GIR_EraseRootFromParent_Done,
     /*  70395 */   // Label 1196: @70395
     /*  70395 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(70451), // Rule ID 164 //
     /*  70400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70436 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm), -1:{ *:[i32] })  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  70436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  70439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  70449 */     GIR_RootConstrainSelectedInstOperands,
     /*  70450 */     // GIR_Coverage, 164,
     /*  70450 */     GIR_EraseRootFromParent_Done,
     /*  70451 */   // Label 1197: @70451
     /*  70451 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(70504), // Rule ID 12931 //
     /*  70456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70485 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70491 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  70491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  70494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  70502 */     GIR_RootConstrainSelectedInstOperands,
     /*  70503 */     // GIR_Coverage, 12931,
     /*  70503 */     GIR_EraseRootFromParent_Done,
     /*  70504 */   // Label 1198: @70504
     /*  70504 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(70536), // Rule ID 3944 //
     /*  70509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70521 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Wm, -1:{ *:[i32] })  =>  (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Wm)
     /*  70521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  70524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  70532 */     GIR_RootToRootCopy, /*OpIdx*/1, // Wm
     /*  70534 */     GIR_RootConstrainSelectedInstOperands,
     /*  70535 */     // GIR_Coverage, 3944,
     /*  70535 */     GIR_EraseRootFromParent_Done,
     /*  70536 */   // Label 1199: @70536
     /*  70536 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(70560), // Rule ID 168 //
     /*  70541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  70553 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (EORWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  70553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORWrr),
     /*  70558 */     GIR_RootConstrainSelectedInstOperands,
     /*  70559 */     // GIR_Coverage, 168,
     /*  70559 */     GIR_Done,
     /*  70560 */   // Label 1200: @70560
     /*  70560 */   GIM_Reject,
     /*  70561 */ // Label 1186: @70561
     /*  70561 */ GIM_Reject,
     /*  70562 */ // Label 1168: @70562
     /*  70562 */ GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(71304),
     /*  70567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  70570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  70573 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(70631), // Rule ID 12942 //
     /*  70578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70603 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70616 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70629 */     GIR_RootConstrainSelectedInstOperands,
     /*  70630 */     // GIR_Coverage, 12942,
     /*  70630 */     GIR_EraseRootFromParent_Done,
     /*  70631 */   // Label 1202: @70631
     /*  70631 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(70686), // Rule ID 12941 //
     /*  70636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70656 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70666 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70673 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70680 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70684 */     GIR_RootConstrainSelectedInstOperands,
     /*  70685 */     // GIR_Coverage, 12941,
     /*  70685 */     GIR_EraseRootFromParent_Done,
     /*  70686 */   // Label 1203: @70686
     /*  70686 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(70744), // Rule ID 12939 //
     /*  70691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70716 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70729 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  70738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70742 */     GIR_RootConstrainSelectedInstOperands,
     /*  70743 */     // GIR_Coverage, 12939,
     /*  70743 */     GIR_EraseRootFromParent_Done,
     /*  70744 */   // Label 1204: @70744
     /*  70744 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(70802), // Rule ID 167 //
     /*  70749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  70778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70780 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70787 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70796 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70800 */     GIR_RootConstrainSelectedInstOperands,
     /*  70801 */     // GIR_Coverage, 167,
     /*  70801 */     GIR_EraseRootFromParent_Done,
     /*  70802 */   // Label 1205: @70802
     /*  70802 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(70860), // Rule ID 12940 //
     /*  70807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70832 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70845 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70854 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70858 */     GIR_RootConstrainSelectedInstOperands,
     /*  70859 */     // GIR_Coverage, 12940,
     /*  70859 */     GIR_EraseRootFromParent_Done,
     /*  70860 */   // Label 1206: @70860
     /*  70860 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(70915), // Rule ID 12943 //
     /*  70865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  70885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  70889 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70895 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70902 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  70905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70907 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  70909 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70913 */     GIR_RootConstrainSelectedInstOperands,
     /*  70914 */     // GIR_Coverage, 12943,
     /*  70914 */     GIR_EraseRootFromParent_Done,
     /*  70915 */   // Label 1207: @70915
     /*  70915 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(70956), // Rule ID 145 //
     /*  70920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  70924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70936 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  70940 */     // MIs[1] Operand 1
     /*  70940 */     // No operand predicates
     /*  70940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  70942 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (EORXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  70942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXri),
     /*  70945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70947 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  70949 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  70954 */     GIR_RootConstrainSelectedInstOperands,
     /*  70955 */     // GIR_Coverage, 145,
     /*  70955 */     GIR_EraseRootFromParent_Done,
     /*  70956 */   // Label 1208: @70956
     /*  70956 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(70989), // Rule ID 12945 //
     /*  70961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  70976 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  70976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  70979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  70983 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  70987 */     GIR_RootConstrainSelectedInstOperands,
     /*  70988 */     // GIR_Coverage, 12945,
     /*  70988 */     GIR_EraseRootFromParent_Done,
     /*  70989 */   // Label 1209: @70989
     /*  70989 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(71022), // Rule ID 171 //
     /*  70994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  70998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  71009 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  71009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  71012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71016 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  71020 */     GIR_RootConstrainSelectedInstOperands,
     /*  71021 */     // GIR_Coverage, 171,
     /*  71021 */     GIR_EraseRootFromParent_Done,
     /*  71022 */   // Label 1210: @71022
     /*  71022 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(71075), // Rule ID 12932 //
     /*  71027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  71043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  71047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71052 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  71056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71062 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rm)  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  71062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  71065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  71073 */     GIR_RootConstrainSelectedInstOperands,
     /*  71074 */     // GIR_Coverage, 12932,
     /*  71074 */     GIR_EraseRootFromParent_Done,
     /*  71075 */   // Label 1211: @71075
     /*  71075 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(71131), // Rule ID 165 //
     /*  71080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  71096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  71100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  71114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71116 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm), -1:{ *:[i64] })  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  71116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  71119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  71129 */     GIR_RootConstrainSelectedInstOperands,
     /*  71130 */     // GIR_Coverage, 165,
     /*  71130 */     GIR_EraseRootFromParent_Done,
     /*  71131 */   // Label 1212: @71131
     /*  71131 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(71184), // Rule ID 12933 //
     /*  71136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  71156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  71160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71165 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  71169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71171 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  71171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  71174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  71182 */     GIR_RootConstrainSelectedInstOperands,
     /*  71183 */     // GIR_Coverage, 12933,
     /*  71183 */     GIR_EraseRootFromParent_Done,
     /*  71184 */   // Label 1213: @71184
     /*  71184 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(71216), // Rule ID 3945 //
     /*  71189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71197 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  71201 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Xm, -1:{ *:[i64] })  =>  (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Xm)
     /*  71201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  71204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  71212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Xm
     /*  71214 */     GIR_RootConstrainSelectedInstOperands,
     /*  71215 */     // GIR_Coverage, 3945,
     /*  71215 */     GIR_EraseRootFromParent_Done,
     /*  71216 */   // Label 1214: @71216
     /*  71216 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(71252), // Rule ID 4891 //
     /*  71221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71233 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71239 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  71241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71243 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] })  =>  (NOTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /*  71243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  71246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71250 */     GIR_RootConstrainSelectedInstOperands,
     /*  71251 */     // GIR_Coverage, 4891,
     /*  71251 */     GIR_EraseRootFromParent_Done,
     /*  71252 */   // Label 1215: @71252
     /*  71252 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(71276), // Rule ID 169 //
     /*  71257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  71269 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (EORXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  71269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORXrr),
     /*  71274 */     GIR_RootConstrainSelectedInstOperands,
     /*  71275 */     // GIR_Coverage, 169,
     /*  71275 */     GIR_Done,
     /*  71276 */   // Label 1216: @71276
     /*  71276 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(71303), // Rule ID 4987 //
     /*  71281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71296 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (EORv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  71296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  71301 */     GIR_RootConstrainSelectedInstOperands,
     /*  71302 */     // GIR_Coverage, 4987,
     /*  71302 */     GIR_Done,
     /*  71303 */   // Label 1217: @71303
     /*  71303 */   GIM_Reject,
     /*  71304 */ // Label 1201: @71304
     /*  71304 */ GIM_Reject,
     /*  71305 */ // Label 1169: @71305
     /*  71305 */ GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(71372),
     /*  71310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  71313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  71316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71324 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(71352), // Rule ID 4889 //
     /*  71329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71333 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71339 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  71341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71343 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] })  =>  (NOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  71343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  71346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71348 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71350 */     GIR_RootConstrainSelectedInstOperands,
     /*  71351 */     // GIR_Coverage, 4889,
     /*  71351 */     GIR_EraseRootFromParent_Done,
     /*  71352 */   // Label 1219: @71352
     /*  71352 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(71371), // Rule ID 4986 //
     /*  71357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71364 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (EORv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  71364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  71369 */     GIR_RootConstrainSelectedInstOperands,
     /*  71370 */     // GIR_Coverage, 4986,
     /*  71370 */     GIR_Done,
     /*  71371 */   // Label 1220: @71371
     /*  71371 */   GIM_Reject,
     /*  71372 */ // Label 1218: @71372
     /*  71372 */ GIM_Reject,
     /*  71373 */ // Label 1170: @71373
     /*  71373 */ GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(71898),
     /*  71378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71388 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(71473), // Rule ID 13467 //
     /*  71393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71433 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71437 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71443 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71456 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  71459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  71463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  71467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  71471 */     GIR_RootConstrainSelectedInstOperands,
     /*  71472 */     // GIR_Coverage, 13467,
     /*  71472 */     GIR_EraseRootFromParent_Done,
     /*  71473 */   // Label 1222: @71473
     /*  71473 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(71558), // Rule ID 13466 //
     /*  71478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71514 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71527 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71533 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71539 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71541 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  71544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  71548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  71552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  71556 */     GIR_RootConstrainSelectedInstOperands,
     /*  71557 */     // GIR_Coverage, 13466,
     /*  71557 */     GIR_EraseRootFromParent_Done,
     /*  71558 */   // Label 1223: @71558
     /*  71558 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(71643), // Rule ID 13465 //
     /*  71563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71611 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71617 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71624 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71626 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  71629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71631 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  71633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  71637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  71641 */     GIR_RootConstrainSelectedInstOperands,
     /*  71642 */     // GIR_Coverage, 13465,
     /*  71642 */     GIR_EraseRootFromParent_Done,
     /*  71643 */   // Label 1224: @71643
     /*  71643 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(71728), // Rule ID 3772 //
     /*  71648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71701 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71707 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71709 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71711 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  71714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  71718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  71722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  71726 */     GIR_RootConstrainSelectedInstOperands,
     /*  71727 */     // GIR_Coverage, 3772,
     /*  71727 */     GIR_EraseRootFromParent_Done,
     /*  71728 */   // Label 1225: @71728
     /*  71728 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(71760), // Rule ID 4892 //
     /*  71733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71741 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71747 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  71749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71751 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] })  =>  (NOTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  71751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  71754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71758 */     GIR_RootConstrainSelectedInstOperands,
     /*  71759 */     // GIR_Coverage, 4892,
     /*  71759 */     GIR_EraseRootFromParent_Done,
     /*  71760 */   // Label 1226: @71760
     /*  71760 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(71817), // Rule ID 3768 //
     /*  71765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71800 */     // (xor:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Va)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  71803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  71809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  71813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  71815 */     GIR_RootConstrainSelectedInstOperands,
     /*  71816 */     // GIR_Coverage, 3768,
     /*  71816 */     GIR_EraseRootFromParent_Done,
     /*  71817 */   // Label 1227: @71817
     /*  71817 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(71874), // Rule ID 13455 //
     /*  71822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  71841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  71845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71857 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  71857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  71860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  71862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  71866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  71870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  71872 */     GIR_RootConstrainSelectedInstOperands,
     /*  71873 */     // GIR_Coverage, 13455,
     /*  71873 */     GIR_EraseRootFromParent_Done,
     /*  71874 */   // Label 1228: @71874
     /*  71874 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(71897), // Rule ID 4990 //
     /*  71879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71890 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (EORv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  71890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  71895 */     GIR_RootConstrainSelectedInstOperands,
     /*  71896 */     // GIR_Coverage, 4990,
     /*  71896 */     GIR_Done,
     /*  71897 */   // Label 1229: @71897
     /*  71897 */   GIM_Reject,
     /*  71898 */ // Label 1221: @71898
     /*  71898 */ GIM_Reject,
     /*  71899 */ // Label 1171: @71899
     /*  71899 */ GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(71966),
     /*  71904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  71907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  71910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71918 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(71946), // Rule ID 4887 //
     /*  71923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71927 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71933 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  71935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  71937 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] })  =>  (NOTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  71937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  71940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71942 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71944 */     GIR_RootConstrainSelectedInstOperands,
     /*  71945 */     // GIR_Coverage, 4887,
     /*  71945 */     GIR_EraseRootFromParent_Done,
     /*  71946 */   // Label 1231: @71946
     /*  71946 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(71965), // Rule ID 4985 //
     /*  71951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  71958 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (EORv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  71958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  71963 */     GIR_RootConstrainSelectedInstOperands,
     /*  71964 */     // GIR_Coverage, 4985,
     /*  71964 */     GIR_Done,
     /*  71965 */   // Label 1232: @71965
     /*  71965 */   GIM_Reject,
     /*  71966 */ // Label 1230: @71966
     /*  71966 */ GIM_Reject,
     /*  71967 */ // Label 1172: @71967
     /*  71967 */ GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(72492),
     /*  71972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  71975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  71978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71982 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(72067), // Rule ID 13464 //
     /*  71987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  71990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72031 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72037 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72048 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72050 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  72057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72065 */     GIR_RootConstrainSelectedInstOperands,
     /*  72066 */     // GIR_Coverage, 13464,
     /*  72066 */     GIR_EraseRootFromParent_Done,
     /*  72067 */   // Label 1234: @72067
     /*  72067 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(72152), // Rule ID 13463 //
     /*  72072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72121 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72127 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72133 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72135 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  72142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  72146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72150 */     GIR_RootConstrainSelectedInstOperands,
     /*  72151 */     // GIR_Coverage, 13463,
     /*  72151 */     GIR_EraseRootFromParent_Done,
     /*  72152 */   // Label 1235: @72152
     /*  72152 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(72237), // Rule ID 13462 //
     /*  72157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72192 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72205 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72211 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72220 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72225 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  72227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72235 */     GIR_RootConstrainSelectedInstOperands,
     /*  72236 */     // GIR_Coverage, 13462,
     /*  72236 */     GIR_EraseRootFromParent_Done,
     /*  72237 */   // Label 1236: @72237
     /*  72237 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(72322), // Rule ID 3771 //
     /*  72242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72282 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72295 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72301 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72305 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72310 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  72312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  72316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72320 */     GIR_RootConstrainSelectedInstOperands,
     /*  72321 */     // GIR_Coverage, 3771,
     /*  72321 */     GIR_EraseRootFromParent_Done,
     /*  72322 */   // Label 1237: @72322
     /*  72322 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(72354), // Rule ID 4890 //
     /*  72327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72335 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72341 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  72343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72345 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] })  =>  (NOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  72345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  72348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72352 */     GIR_RootConstrainSelectedInstOperands,
     /*  72353 */     // GIR_Coverage, 4890,
     /*  72353 */     GIR_EraseRootFromParent_Done,
     /*  72354 */   // Label 1238: @72354
     /*  72354 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(72411), // Rule ID 3767 //
     /*  72359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72394 */     // (xor:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Va)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  72397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  72403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  72409 */     GIR_RootConstrainSelectedInstOperands,
     /*  72410 */     // GIR_Coverage, 3767,
     /*  72410 */     GIR_EraseRootFromParent_Done,
     /*  72411 */   // Label 1239: @72411
     /*  72411 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(72468), // Rule ID 13454 //
     /*  72416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  72435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  72439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72451 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  72451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  72454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  72460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72464 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  72466 */     GIR_RootConstrainSelectedInstOperands,
     /*  72467 */     // GIR_Coverage, 13454,
     /*  72467 */     GIR_EraseRootFromParent_Done,
     /*  72468 */   // Label 1240: @72468
     /*  72468 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(72491), // Rule ID 4989 //
     /*  72473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72484 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (EORv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  72484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  72489 */     GIR_RootConstrainSelectedInstOperands,
     /*  72490 */     // GIR_Coverage, 4989,
     /*  72490 */     GIR_Done,
     /*  72491 */   // Label 1241: @72491
     /*  72491 */   GIM_Reject,
     /*  72492 */ // Label 1233: @72492
     /*  72492 */ GIM_Reject,
     /*  72493 */ // Label 1173: @72493
     /*  72493 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(72563),
     /*  72498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  72501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  72504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  72508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  72512 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(72543), // Rule ID 965 //
     /*  72517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72524 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72530 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  72532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72534 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] })  =>  (NOTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  72534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  72537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72541 */     GIR_RootConstrainSelectedInstOperands,
     /*  72542 */     // GIR_Coverage, 965,
     /*  72542 */     GIR_EraseRootFromParent_Done,
     /*  72543 */   // Label 1243: @72543
     /*  72543 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(72562), // Rule ID 1592 //
     /*  72548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  72555 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (EORv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  72555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  72560 */     GIR_RootConstrainSelectedInstOperands,
     /*  72561 */     // GIR_Coverage, 1592,
     /*  72561 */     GIR_Done,
     /*  72562 */   // Label 1244: @72562
     /*  72562 */   GIM_Reject,
     /*  72563 */ // Label 1242: @72563
     /*  72563 */ GIM_Reject,
     /*  72564 */ // Label 1174: @72564
     /*  72564 */ GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(73089),
     /*  72569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72579 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(72664), // Rule ID 13461 //
     /*  72584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72628 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72634 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72647 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  72647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  72654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72662 */     GIR_RootConstrainSelectedInstOperands,
     /*  72663 */     // GIR_Coverage, 13461,
     /*  72663 */     GIR_EraseRootFromParent_Done,
     /*  72664 */   // Label 1246: @72664
     /*  72664 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(72749), // Rule ID 13460 //
     /*  72669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72718 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72724 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72732 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  72732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  72739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  72743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72747 */     GIR_RootConstrainSelectedInstOperands,
     /*  72748 */     // GIR_Coverage, 13460,
     /*  72748 */     GIR_EraseRootFromParent_Done,
     /*  72749 */   // Label 1247: @72749
     /*  72749 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(72834), // Rule ID 13459 //
     /*  72754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72802 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72808 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72815 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72817 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  72817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  72824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  72828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72832 */     GIR_RootConstrainSelectedInstOperands,
     /*  72833 */     // GIR_Coverage, 13459,
     /*  72833 */     GIR_EraseRootFromParent_Done,
     /*  72834 */   // Label 1248: @72834
     /*  72834 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(72919), // Rule ID 3770 //
     /*  72839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72879 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72883 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72888 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72892 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72898 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  72900 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72902 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  72902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  72905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72907 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  72909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  72913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  72917 */     GIR_RootConstrainSelectedInstOperands,
     /*  72918 */     // GIR_Coverage, 3770,
     /*  72918 */     GIR_EraseRootFromParent_Done,
     /*  72919 */   // Label 1249: @72919
     /*  72919 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(72951), // Rule ID 4888 //
     /*  72924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72932 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72938 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  72940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72942 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] })  =>  (NOTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  72942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  72945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72947 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72949 */     GIR_RootConstrainSelectedInstOperands,
     /*  72950 */     // GIR_Coverage, 4888,
     /*  72950 */     GIR_EraseRootFromParent_Done,
     /*  72951 */   // Label 1250: @72951
     /*  72951 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(73008), // Rule ID 3766 //
     /*  72956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  72959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  72971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  72975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72991 */     // (xor:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Va)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  72991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  72994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  72996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  73000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  73006 */     GIR_RootConstrainSelectedInstOperands,
     /*  73007 */     // GIR_Coverage, 3766,
     /*  73007 */     GIR_EraseRootFromParent_Done,
     /*  73008 */   // Label 1251: @73008
     /*  73008 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(73065), // Rule ID 13453 //
     /*  73013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  73032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  73036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73048 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm))  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  73048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  73051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  73057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  73063 */     GIR_RootConstrainSelectedInstOperands,
     /*  73064 */     // GIR_Coverage, 13453,
     /*  73064 */     GIR_EraseRootFromParent_Done,
     /*  73065 */   // Label 1252: @73065
     /*  73065 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(73088), // Rule ID 4988 //
     /*  73070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73081 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (EORv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  73081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  73086 */     GIR_RootConstrainSelectedInstOperands,
     /*  73087 */     // GIR_Coverage, 4988,
     /*  73087 */     GIR_Done,
     /*  73088 */   // Label 1253: @73088
     /*  73088 */   GIM_Reject,
     /*  73089 */ // Label 1245: @73089
     /*  73089 */ GIM_Reject,
     /*  73090 */ // Label 1175: @73090
     /*  73090 */ GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(73618),
     /*  73095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73105 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(73190), // Rule ID 13458 //
     /*  73110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73154 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73160 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73173 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  73176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  73180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  73188 */     GIR_RootConstrainSelectedInstOperands,
     /*  73189 */     // GIR_Coverage, 13458,
     /*  73189 */     GIR_EraseRootFromParent_Done,
     /*  73190 */   // Label 1255: @73190
     /*  73190 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(73275), // Rule ID 13457 //
     /*  73195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73244 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73250 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73258 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  73261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  73265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  73269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  73273 */     GIR_RootConstrainSelectedInstOperands,
     /*  73274 */     // GIR_Coverage, 13457,
     /*  73274 */     GIR_EraseRootFromParent_Done,
     /*  73275 */   // Label 1256: @73275
     /*  73275 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(73360), // Rule ID 13456 //
     /*  73280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73328 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73334 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73343 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  73346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73348 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  73350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  73358 */     GIR_RootConstrainSelectedInstOperands,
     /*  73359 */     // GIR_Coverage, 13456,
     /*  73359 */     GIR_EraseRootFromParent_Done,
     /*  73360 */   // Label 1257: @73360
     /*  73360 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(73445), // Rule ID 3769 //
     /*  73365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73418 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73424 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73426 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73428 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  73431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73433 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  73435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  73439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  73443 */     GIR_RootConstrainSelectedInstOperands,
     /*  73444 */     // GIR_Coverage, 3769,
     /*  73444 */     GIR_EraseRootFromParent_Done,
     /*  73445 */   // Label 1258: @73445
     /*  73445 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(73480), // Rule ID 966 //
     /*  73450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73461 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73467 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  73469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73471 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] })  =>  (NOTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  73471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  73474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73478 */     GIR_RootConstrainSelectedInstOperands,
     /*  73479 */     // GIR_Coverage, 966,
     /*  73479 */     GIR_EraseRootFromParent_Done,
     /*  73480 */   // Label 1259: @73480
     /*  73480 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(73537), // Rule ID 3765 //
     /*  73485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73520 */     // (xor:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Va)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  73523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  73529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  73535 */     GIR_RootConstrainSelectedInstOperands,
     /*  73536 */     // GIR_Coverage, 3765,
     /*  73536 */     GIR_EraseRootFromParent_Done,
     /*  73537 */   // Label 1260: @73537
     /*  73537 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(73594), // Rule ID 13452 //
     /*  73542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  73545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  73561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  73565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73577 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm))  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  73577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  73580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  73582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  73586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  73590 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  73592 */     GIR_RootConstrainSelectedInstOperands,
     /*  73593 */     // GIR_Coverage, 13452,
     /*  73593 */     GIR_EraseRootFromParent_Done,
     /*  73594 */   // Label 1261: @73594
     /*  73594 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(73617), // Rule ID 1593 //
     /*  73599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73610 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (EORv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  73610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  73615 */     GIR_RootConstrainSelectedInstOperands,
     /*  73616 */     // GIR_Coverage, 1593,
     /*  73616 */     GIR_Done,
     /*  73617 */   // Label 1262: @73617
     /*  73617 */   GIM_Reject,
     /*  73618 */ // Label 1254: @73618
     /*  73618 */ GIM_Reject,
     /*  73619 */ // Label 1176: @73619
     /*  73619 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(73668), // Rule ID 8274 //
     /*  73624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  73627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  73630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  73633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  73637 */   // (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  73637 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  73640 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  73644 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73649 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  73652 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  73654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  73657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  73659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73662 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  73664 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  73666 */   GIR_RootConstrainSelectedInstOperands,
     /*  73667 */   // GIR_Coverage, 8274,
     /*  73667 */   GIR_EraseRootFromParent_Done,
     /*  73668 */ // Label 1263: @73668
     /*  73668 */ GIM_Reject,
     /*  73669 */ // Label 1177: @73669
     /*  73669 */ GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(73718), // Rule ID 8273 //
     /*  73674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  73677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  73680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  73683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  73687 */   // (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  73687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  73690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  73694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73699 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  73702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  73704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  73707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  73709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  73712 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  73714 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  73716 */   GIR_RootConstrainSelectedInstOperands,
     /*  73717 */   // GIR_Coverage, 8273,
     /*  73717 */   GIR_EraseRootFromParent_Done,
     /*  73718 */ // Label 1264: @73718
     /*  73718 */ GIM_Reject,
     /*  73719 */ // Label 1178: @73719
     /*  73719 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(74181),
     /*  73724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  73734 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(73805), // Rule ID 15310 //
     /*  73739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  73742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73778 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73786 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73788 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  73788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  73791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  73793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  73795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  73799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  73803 */     GIR_RootConstrainSelectedInstOperands,
     /*  73804 */     // GIR_Coverage, 15310,
     /*  73804 */     GIR_EraseRootFromParent_Done,
     /*  73805 */   // Label 1266: @73805
     /*  73805 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(73876), // Rule ID 15309 //
     /*  73810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  73813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73841 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73845 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73849 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73855 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73857 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73859 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  73859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  73862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  73864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  73866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  73870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  73874 */     GIR_RootConstrainSelectedInstOperands,
     /*  73875 */     // GIR_Coverage, 15309,
     /*  73875 */     GIR_EraseRootFromParent_Done,
     /*  73876 */   // Label 1267: @73876
     /*  73876 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(73947), // Rule ID 15308 //
     /*  73881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  73884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73916 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73920 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73926 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73930 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  73930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  73933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  73935 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  73937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  73941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  73945 */     GIR_RootConstrainSelectedInstOperands,
     /*  73946 */     // GIR_Coverage, 15308,
     /*  73946 */     GIR_EraseRootFromParent_Done,
     /*  73947 */   // Label 1268: @73947
     /*  73947 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(74018), // Rule ID 11656 //
     /*  73952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  73955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  73983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  73987 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  73991 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73997 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74001 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  74001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74016 */     GIR_RootConstrainSelectedInstOperands,
     /*  74017 */     // GIR_Coverage, 11656,
     /*  74017 */     GIR_EraseRootFromParent_Done,
     /*  74018 */   // Label 1269: @74018
     /*  74018 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(74079), // Rule ID 11680 //
     /*  74023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  74034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  74038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  74042 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  74046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  74050 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74056 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  74058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74060 */     // (xor:{ *:[nxv2i64] } (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), immAllOnesV:{ *:[nxv2i64] })  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  74060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  74063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  74069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  74073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  74077 */     GIR_RootConstrainSelectedInstOperands,
     /*  74078 */     // GIR_Coverage, 11680,
     /*  74078 */     GIR_EraseRootFromParent_Done,
     /*  74079 */   // Label 1270: @74079
     /*  74079 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(74122), // Rule ID 13419 //
     /*  74084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  74099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  74103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74105 */     // (xor:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  74105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  74108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  74114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  74120 */     GIR_RootConstrainSelectedInstOperands,
     /*  74121 */     // GIR_Coverage, 13419,
     /*  74121 */     GIR_EraseRootFromParent_Done,
     /*  74122 */   // Label 1271: @74122
     /*  74122 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(74165), // Rule ID 3140 //
     /*  74127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  74142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  74146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74148 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  74148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  74151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74153 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  74163 */     GIR_RootConstrainSelectedInstOperands,
     /*  74164 */     // GIR_Coverage, 3140,
     /*  74164 */     GIR_EraseRootFromParent_Done,
     /*  74165 */   // Label 1272: @74165
     /*  74165 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(74180), // Rule ID 7297 //
     /*  74170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  74173 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  74173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  74178 */     GIR_RootConstrainSelectedInstOperands,
     /*  74179 */     // GIR_Coverage, 7297,
     /*  74179 */     GIR_Done,
     /*  74180 */   // Label 1273: @74180
     /*  74180 */   GIM_Reject,
     /*  74181 */ // Label 1265: @74181
     /*  74181 */ GIM_Reject,
     /*  74182 */ // Label 1179: @74182
     /*  74182 */ GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(74231), // Rule ID 8272 //
     /*  74187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  74190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  74193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  74196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  74200 */   // (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  74200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  74203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  74207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74212 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  74215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  74217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  74220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  74222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74225 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74227 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  74229 */   GIR_RootConstrainSelectedInstOperands,
     /*  74230 */   // GIR_Coverage, 8272,
     /*  74230 */   GIR_EraseRootFromParent_Done,
     /*  74231 */ // Label 1274: @74231
     /*  74231 */ GIM_Reject,
     /*  74232 */ // Label 1180: @74232
     /*  74232 */ GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(74694),
     /*  74237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  74247 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(74318), // Rule ID 15307 //
     /*  74252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74283 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74287 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74291 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74297 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74301 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  74308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74316 */     GIR_RootConstrainSelectedInstOperands,
     /*  74317 */     // GIR_Coverage, 15307,
     /*  74317 */     GIR_EraseRootFromParent_Done,
     /*  74318 */   // Label 1276: @74318
     /*  74318 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(74389), // Rule ID 15306 //
     /*  74323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74362 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74368 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74372 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  74379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74387 */     GIR_RootConstrainSelectedInstOperands,
     /*  74388 */     // GIR_Coverage, 15306,
     /*  74388 */     GIR_EraseRootFromParent_Done,
     /*  74389 */   // Label 1277: @74389
     /*  74389 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(74460), // Rule ID 15305 //
     /*  74394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74425 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74433 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74439 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74443 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74448 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74458 */     GIR_RootConstrainSelectedInstOperands,
     /*  74459 */     // GIR_Coverage, 15305,
     /*  74459 */     GIR_EraseRootFromParent_Done,
     /*  74460 */   // Label 1278: @74460
     /*  74460 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(74531), // Rule ID 11654 //
     /*  74465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74504 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74510 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74514 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74519 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74529 */     GIR_RootConstrainSelectedInstOperands,
     /*  74530 */     // GIR_Coverage, 11654,
     /*  74530 */     GIR_EraseRootFromParent_Done,
     /*  74531 */   // Label 1279: @74531
     /*  74531 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(74592), // Rule ID 11678 //
     /*  74536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  74547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74555 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  74559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  74563 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74569 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  74571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74573 */     // (xor:{ *:[nxv4i32] } (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), immAllOnesV:{ *:[nxv4i32] })  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  74576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  74582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  74586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  74590 */     GIR_RootConstrainSelectedInstOperands,
     /*  74591 */     // GIR_Coverage, 11678,
     /*  74591 */     GIR_EraseRootFromParent_Done,
     /*  74592 */   // Label 1280: @74592
     /*  74592 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(74635), // Rule ID 13418 //
     /*  74597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74618 */     // (xor:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  74621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  74627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  74633 */     GIR_RootConstrainSelectedInstOperands,
     /*  74634 */     // GIR_Coverage, 13418,
     /*  74634 */     GIR_EraseRootFromParent_Done,
     /*  74635 */   // Label 1281: @74635
     /*  74635 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(74678), // Rule ID 3138 //
     /*  74640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  74655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  74659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74661 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  74661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  74664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74666 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  74676 */     GIR_RootConstrainSelectedInstOperands,
     /*  74677 */     // GIR_Coverage, 3138,
     /*  74677 */     GIR_EraseRootFromParent_Done,
     /*  74678 */   // Label 1282: @74678
     /*  74678 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(74693), // Rule ID 7296 //
     /*  74683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  74686 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  74686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  74691 */     GIR_RootConstrainSelectedInstOperands,
     /*  74692 */     // GIR_Coverage, 7296,
     /*  74692 */     GIR_Done,
     /*  74693 */   // Label 1283: @74693
     /*  74693 */   GIM_Reject,
     /*  74694 */ // Label 1275: @74694
     /*  74694 */ GIM_Reject,
     /*  74695 */ // Label 1181: @74695
     /*  74695 */ GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(74744), // Rule ID 8271 //
     /*  74700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  74703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  74706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  74709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  74713 */   // (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  74713 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  74716 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  74720 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74725 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  74728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  74730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  74733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  74735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  74738 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74740 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  74742 */   GIR_RootConstrainSelectedInstOperands,
     /*  74743 */   // GIR_Coverage, 8271,
     /*  74743 */   GIR_EraseRootFromParent_Done,
     /*  74744 */ // Label 1284: @74744
     /*  74744 */ GIM_Reject,
     /*  74745 */ // Label 1182: @74745
     /*  74745 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(75207),
     /*  74750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  74760 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(74831), // Rule ID 15304 //
     /*  74765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74804 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74810 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74814 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  74814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  74821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74829 */     GIR_RootConstrainSelectedInstOperands,
     /*  74830 */     // GIR_Coverage, 15304,
     /*  74830 */     GIR_EraseRootFromParent_Done,
     /*  74831 */   // Label 1286: @74831
     /*  74831 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(74902), // Rule ID 15303 //
     /*  74836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74871 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74875 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74881 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74883 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74885 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  74885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  74896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74900 */     GIR_RootConstrainSelectedInstOperands,
     /*  74901 */     // GIR_Coverage, 15303,
     /*  74901 */     GIR_EraseRootFromParent_Done,
     /*  74902 */   // Label 1287: @74902
     /*  74902 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(74973), // Rule ID 15302 //
     /*  74907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74946 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74952 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74956 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  74956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  74959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  74961 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  74963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  74967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  74971 */     GIR_RootConstrainSelectedInstOperands,
     /*  74972 */     // GIR_Coverage, 15302,
     /*  74972 */     GIR_EraseRootFromParent_Done,
     /*  74973 */   // Label 1288: @74973
     /*  74973 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(75044), // Rule ID 11652 //
     /*  74978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  74981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  74993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  74997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  75009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  75013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75017 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75023 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75027 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  75027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  75030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75032 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  75038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  75042 */     GIR_RootConstrainSelectedInstOperands,
     /*  75043 */     // GIR_Coverage, 11652,
     /*  75043 */     GIR_EraseRootFromParent_Done,
     /*  75044 */   // Label 1289: @75044
     /*  75044 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(75105), // Rule ID 11676 //
     /*  75049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  75060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  75064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  75068 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  75072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  75076 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75082 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  75084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75086 */     // (xor:{ *:[nxv8i16] } (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), immAllOnesV:{ *:[nxv8i16] })  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  75086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  75089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  75095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  75099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  75103 */     GIR_RootConstrainSelectedInstOperands,
     /*  75104 */     // GIR_Coverage, 11676,
     /*  75104 */     GIR_EraseRootFromParent_Done,
     /*  75105 */   // Label 1290: @75105
     /*  75105 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(75148), // Rule ID 13417 //
     /*  75110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  75125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  75129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75131 */     // (xor:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  75131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  75134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  75140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  75144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  75146 */     GIR_RootConstrainSelectedInstOperands,
     /*  75147 */     // GIR_Coverage, 13417,
     /*  75147 */     GIR_EraseRootFromParent_Done,
     /*  75148 */   // Label 1291: @75148
     /*  75148 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(75191), // Rule ID 3136 //
     /*  75153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  75168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  75172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75174 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  75174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  75177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75179 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  75185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  75189 */     GIR_RootConstrainSelectedInstOperands,
     /*  75190 */     // GIR_Coverage, 3136,
     /*  75190 */     GIR_EraseRootFromParent_Done,
     /*  75191 */   // Label 1292: @75191
     /*  75191 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(75206), // Rule ID 7295 //
     /*  75196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  75199 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  75199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  75204 */     GIR_RootConstrainSelectedInstOperands,
     /*  75205 */     // GIR_Coverage, 7295,
     /*  75205 */     GIR_Done,
     /*  75206 */   // Label 1293: @75206
     /*  75206 */   GIM_Reject,
     /*  75207 */ // Label 1285: @75207
     /*  75207 */ GIM_Reject,
     /*  75208 */ // Label 1183: @75208
     /*  75208 */ GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(75257), // Rule ID 8270 //
     /*  75213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  75216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  75219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  75222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  75226 */   // (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  75226 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  75229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  75233 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75238 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  75241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  75243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  75246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  75248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75251 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75253 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  75255 */   GIR_RootConstrainSelectedInstOperands,
     /*  75256 */   // GIR_Coverage, 8270,
     /*  75256 */   GIR_EraseRootFromParent_Done,
     /*  75257 */ // Label 1294: @75257
     /*  75257 */ GIM_Reject,
     /*  75258 */ // Label 1184: @75258
     /*  75258 */ GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(75720),
     /*  75263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  75273 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(75344), // Rule ID 15301 //
     /*  75278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75317 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75323 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75325 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75327 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  75330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  75334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  75338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  75342 */     GIR_RootConstrainSelectedInstOperands,
     /*  75343 */     // GIR_Coverage, 15301,
     /*  75343 */     GIR_EraseRootFromParent_Done,
     /*  75344 */   // Label 1296: @75344
     /*  75344 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(75415), // Rule ID 15300 //
     /*  75349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75384 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75388 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75394 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75396 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75398 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  75401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  75405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  75409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  75413 */     GIR_RootConstrainSelectedInstOperands,
     /*  75414 */     // GIR_Coverage, 15300,
     /*  75414 */     GIR_EraseRootFromParent_Done,
     /*  75415 */   // Label 1297: @75415
     /*  75415 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(75486), // Rule ID 15299 //
     /*  75420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75459 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75469 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  75472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  75480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  75484 */     GIR_RootConstrainSelectedInstOperands,
     /*  75485 */     // GIR_Coverage, 15299,
     /*  75485 */     GIR_EraseRootFromParent_Done,
     /*  75486 */   // Label 1298: @75486
     /*  75486 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(75557), // Rule ID 11650 //
     /*  75491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75526 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75530 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75536 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75538 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75540 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  75543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75545 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  75551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  75555 */     GIR_RootConstrainSelectedInstOperands,
     /*  75556 */     // GIR_Coverage, 11650,
     /*  75556 */     GIR_EraseRootFromParent_Done,
     /*  75557 */   // Label 1299: @75557
     /*  75557 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(75618), // Rule ID 11674 //
     /*  75562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  75573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75581 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  75585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  75589 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75595 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  75597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75599 */     // (xor:{ *:[nxv16i8] } (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), immAllOnesV:{ *:[nxv16i8] })  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  75602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  75608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  75612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  75616 */     GIR_RootConstrainSelectedInstOperands,
     /*  75617 */     // GIR_Coverage, 11674,
     /*  75617 */     GIR_EraseRootFromParent_Done,
     /*  75618 */   // Label 1300: @75618
     /*  75618 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(75661), // Rule ID 13416 //
     /*  75623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75644 */     // (xor:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  75647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  75653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  75657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  75659 */     GIR_RootConstrainSelectedInstOperands,
     /*  75660 */     // GIR_Coverage, 13416,
     /*  75660 */     GIR_EraseRootFromParent_Done,
     /*  75661 */   // Label 1301: @75661
     /*  75661 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(75704), // Rule ID 3134 //
     /*  75666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  75669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  75681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  75685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75687 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  75687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  75690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  75692 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  75694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  75698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  75702 */     GIR_RootConstrainSelectedInstOperands,
     /*  75703 */     // GIR_Coverage, 3134,
     /*  75703 */     GIR_EraseRootFromParent_Done,
     /*  75704 */   // Label 1302: @75704
     /*  75704 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(75719), // Rule ID 7294 //
     /*  75709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  75712 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  75712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  75717 */     GIR_RootConstrainSelectedInstOperands,
     /*  75718 */     // GIR_Coverage, 7294,
     /*  75718 */     GIR_Done,
     /*  75719 */   // Label 1303: @75719
     /*  75719 */   GIM_Reject,
     /*  75720 */ // Label 1295: @75720
     /*  75720 */ GIM_Reject,
     /*  75721 */ // Label 1185: @75721
     /*  75721 */ GIM_Reject,
     /*  75722 */ // Label 8: @75722
     /*  75722 */ GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(82858),
     /*  75727 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  75730 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(23), /*)*//*default:*//*Label 1316*/ GIMT_Encode4(82857),
     /*  75741 */   /*GILLT_v2s64*//*Label 1305*/ GIMT_Encode4(75809), GIMT_Encode4(0),
     /*  75749 */   /*GILLT_v4s32*//*Label 1306*/ GIMT_Encode4(76330), GIMT_Encode4(0),
     /*  75757 */   /*GILLT_v8s16*//*Label 1307*/ GIMT_Encode4(78613),
     /*  75761 */   /*GILLT_v16s8*//*Label 1308*/ GIMT_Encode4(80893), GIMT_Encode4(0),
     /*  75769 */   /*GILLT_nxv2s1*//*Label 1309*/ GIMT_Encode4(82675), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  75785 */   /*GILLT_nxv4s1*//*Label 1310*/ GIMT_Encode4(82701),
     /*  75789 */   /*GILLT_nxv4s16*//*Label 1311*/ GIMT_Encode4(82727),
     /*  75793 */   /*GILLT_nxv4s32*//*Label 1312*/ GIMT_Encode4(82753),
     /*  75797 */   /*GILLT_nxv8s1*//*Label 1313*/ GIMT_Encode4(82779),
     /*  75801 */   /*GILLT_nxv8s16*//*Label 1314*/ GIMT_Encode4(82805),
     /*  75805 */   /*GILLT_nxv16s1*//*Label 1315*/ GIMT_Encode4(82831),
     /*  75809 */   // Label 1305: @75809
     /*  75809 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(76329),
     /*  75814 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  75817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  75820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75828 */     GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(75890), // Rule ID 5692 //
     /*  75833 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75837 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75843 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  75845 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75847 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1i64] }:$Rn), dsub:{ *:[i32] })
     /*  75847 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  75850 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  75854 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75859 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  75863 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  75865 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  75868 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  75870 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75873 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75876 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  75879 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75884 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75889 */       // GIR_Coverage, 5692,
     /*  75889 */       GIR_EraseRootFromParent_Done,
     /*  75890 */     // Label 1318: @75890
     /*  75890 */     GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(75952), // Rule ID 5696 //
     /*  75895 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75899 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75905 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  75907 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75909 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1f64] }:$Rn), dsub:{ *:[i32] })
     /*  75909 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  75912 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  75916 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75921 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  75925 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  75927 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  75930 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  75932 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  75935 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75938 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  75941 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75946 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75951 */       // GIR_Coverage, 5696,
     /*  75951 */       GIR_EraseRootFromParent_Done,
     /*  75952 */     // Label 1319: @75952
     /*  75952 */     GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(76010), // Rule ID 5693 //
     /*  75957 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75961 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  75965 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75967 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, (undef:{ *:[v1i64] }))  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] })
     /*  75967 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  75970 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  75974 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  75979 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  75981 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  75984 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  75986 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  75989 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75991 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  75994 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75999 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76004 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76009 */       // GIR_Coverage, 5693,
     /*  76009 */       GIR_EraseRootFromParent_Done,
     /*  76010 */     // Label 1320: @76010
     /*  76010 */     GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(76068), // Rule ID 5697 //
     /*  76015 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76019 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  76023 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76025 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, (undef:{ *:[v1f64] }))  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] })
     /*  76025 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  76028 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76032 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76037 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  76039 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76042 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76044 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76047 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76049 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  76052 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76057 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76062 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76067 */       // GIR_Coverage, 5697,
     /*  76067 */       GIR_EraseRootFromParent_Done,
     /*  76068 */     // Label 1321: @76068
     /*  76068 */     GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(76198), // Rule ID 5691 //
     /*  76073 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76077 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn)  =>  (INSvi64lane:{ *:[v2i64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  76077 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  76080 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76084 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76089 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  76091 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  76094 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76098 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76103 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  76106 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  76110 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  76113 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76118 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76123 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76128 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  76131 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76135 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76140 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  76142 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76145 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76149 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76154 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  76157 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  76161 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76164 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76169 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76174 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76179 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  76182 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76184 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76187 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  76190 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  76193 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76196 */       GIR_RootConstrainSelectedInstOperands,
     /*  76197 */       // GIR_Coverage, 5691,
     /*  76197 */       GIR_EraseRootFromParent_Done,
     /*  76198 */     // Label 1322: @76198
     /*  76198 */     GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(76328), // Rule ID 5695 //
     /*  76203 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76207 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rd, V64:{ *:[v1f64] }:$Rn)  =>  (INSvi64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  76207 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  76210 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76214 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76219 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  76221 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  76224 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76228 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76233 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  76236 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  76240 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  76243 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76248 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76253 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76258 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  76261 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76265 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76270 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  76272 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76275 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76279 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76284 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  76287 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  76291 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76294 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76299 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76304 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76309 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  76312 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76314 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76317 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  76320 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  76323 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76326 */       GIR_RootConstrainSelectedInstOperands,
     /*  76327 */       // GIR_Coverage, 5695,
     /*  76327 */       GIR_EraseRootFromParent_Done,
     /*  76328 */     // Label 1323: @76328
     /*  76328 */     GIM_Reject,
     /*  76329 */   // Label 1317: @76329
     /*  76329 */   GIM_Reject,
     /*  76330 */   // Label 1306: @76330
     /*  76330 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(78612),
     /*  76335 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  76338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  76341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76345 */     GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(76467), // Rule ID 5355 //
     /*  76350 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76354 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76358 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  76362 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76366 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76370 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  76374 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76378 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  76382 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76386 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76390 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  76394 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76399 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76404 */       // MIs[2] Operand 2
     /*  76404 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  76415 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76417 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  76417 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76420 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  76424 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76429 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  76432 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  76436 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76439 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76444 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76449 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  76452 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76454 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76457 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  76461 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  76465 */       GIR_RootConstrainSelectedInstOperands,
     /*  76466 */       // GIR_Coverage, 5355,
     /*  76466 */       GIR_EraseRootFromParent_Done,
     /*  76467 */     // Label 1325: @76467
     /*  76467 */     GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(76589), // Rule ID 5361 //
     /*  76472 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76476 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76480 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  76484 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76488 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76492 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  76496 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76500 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  76504 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  76508 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76512 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  76516 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76521 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76526 */       // MIs[2] Operand 2
     /*  76526 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  76537 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76539 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  76539 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76542 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  76546 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76551 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  76554 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  76558 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76561 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76566 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76571 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  76574 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76576 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76579 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  76583 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  76587 */       GIR_RootConstrainSelectedInstOperands,
     /*  76588 */       // GIR_Coverage, 5361,
     /*  76588 */       GIR_EraseRootFromParent_Done,
     /*  76589 */     // Label 1326: @76589
     /*  76589 */     GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(76691), // Rule ID 5507 //
     /*  76594 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76598 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  76602 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76606 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76610 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  76614 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76618 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76623 */       // MIs[2] Operand 2
     /*  76623 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  76634 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76638 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  76642 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76646 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  76650 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  76654 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  76658 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76663 */       // MIs[4] Operand 2
     /*  76663 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(32),
     /*  76674 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76676 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })), (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, 32:{ *:[i32] })))  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  76676 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /*  76679 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76681 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  76685 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  76689 */       GIR_RootConstrainSelectedInstOperands,
     /*  76690 */       // GIR_Coverage, 5507,
     /*  76690 */       GIR_EraseRootFromParent_Done,
     /*  76691 */     // Label 1327: @76691
     /*  76691 */     GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(76820), // Rule ID 6239 //
     /*  76696 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76700 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76704 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  76708 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  76711 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  76716 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  76720 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  76724 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76729 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 32,
     /*  76733 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76735 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vd, (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] }))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /*  76735 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  76738 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  76742 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76747 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  76750 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  76752 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  76755 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76759 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76764 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  76766 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76769 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76773 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76778 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  76781 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  76785 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76788 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76793 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76798 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76803 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  76806 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76808 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  76811 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  76815 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  76818 */       GIR_RootConstrainSelectedInstOperands,
     /*  76819 */       // GIR_Coverage, 6239,
     /*  76819 */       GIR_EraseRootFromParent_Done,
     /*  76820 */     // Label 1328: @76820
     /*  76820 */     GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(76862), // Rule ID 5702 //
     /*  76825 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  76832 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  76839 */       // (concat_vectors:{ *:[v4i32] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (INSvi64lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })
     /*  76839 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  76842 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76844 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  76849 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76852 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  76857 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  76860 */       GIR_RootConstrainSelectedInstOperands,
     /*  76861 */       // GIR_Coverage, 5702,
     /*  76861 */       GIR_EraseRootFromParent_Done,
     /*  76862 */     // Label 1329: @76862
     /*  76862 */     GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(76904), // Rule ID 5706 //
     /*  76867 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  76874 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  76881 */       // (concat_vectors:{ *:[v4f32] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn), (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm))  =>  (INSvi64lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] })
     /*  76881 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  76884 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  76886 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  76891 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  76894 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  76899 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  76902 */       GIR_RootConstrainSelectedInstOperands,
     /*  76903 */       // GIR_Coverage, 5706,
     /*  76903 */       GIR_EraseRootFromParent_Done,
     /*  76904 */     // Label 1330: @76904
     /*  76904 */     GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(77027), // Rule ID 2569 //
     /*  76909 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76912 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76916 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76920 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  76924 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  76927 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  76932 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  76936 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  76940 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76945 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76949 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  76953 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  76957 */       // MIs[2] Operand 1
     /*  76957 */       // No operand predicates
     /*  76957 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76959 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (RSHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  76959 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  76962 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  76966 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76971 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  76973 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  76976 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  76980 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  76985 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  76988 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  76992 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  76995 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77000 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77005 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77010 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i32_shift),
     /*  77013 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77015 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77018 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77022 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  77025 */       GIR_RootConstrainSelectedInstOperands,
     /*  77026 */       // GIR_Coverage, 2569,
     /*  77026 */       GIR_EraseRootFromParent_Done,
     /*  77027 */     // Label 1331: @77027
     /*  77027 */     GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(77150), // Rule ID 6207 //
     /*  77032 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77035 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77039 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77043 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  77047 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77051 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77055 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  77059 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77063 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77068 */       // MIs[2] imm
     /*  77068 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77072 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77076 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  77080 */       // MIs[3] Operand 1
     /*  77080 */       // No operand predicates
     /*  77080 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77082 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  77082 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77085 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77089 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77094 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77096 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77099 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77103 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77108 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77111 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77115 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77118 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77123 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77128 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77133 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  77136 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77138 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77141 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  77145 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  77148 */       GIR_RootConstrainSelectedInstOperands,
     /*  77149 */       // GIR_Coverage, 6207,
     /*  77149 */       GIR_EraseRootFromParent_Done,
     /*  77150 */     // Label 1332: @77150
     /*  77150 */     GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(77270), // Rule ID 6245 //
     /*  77155 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77159 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77163 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  77167 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77171 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77175 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  77179 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77183 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77188 */       // MIs[2] imm
     /*  77188 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77192 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77196 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  77200 */       // MIs[3] Operand 1
     /*  77200 */       // No operand predicates
     /*  77200 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77202 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  77202 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77205 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77209 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77214 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77216 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77219 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77223 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77228 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77231 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77235 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77238 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77243 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77248 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77253 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  77256 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77258 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77261 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  77265 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  77268 */       GIR_RootConstrainSelectedInstOperands,
     /*  77269 */       // GIR_Coverage, 6245,
     /*  77269 */       GIR_EraseRootFromParent_Done,
     /*  77270 */     // Label 1333: @77270
     /*  77270 */     GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(77387), // Rule ID 2492 //
     /*  77275 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77278 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77282 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77286 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  77290 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  77293 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  77298 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  77302 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  77306 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77311 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77316 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77318 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 568:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  77318 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77321 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77325 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77330 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77332 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77335 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77339 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77344 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77347 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77351 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77354 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77359 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77364 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77369 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  77372 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77374 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77377 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77381 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  77385 */       GIR_RootConstrainSelectedInstOperands,
     /*  77386 */       // GIR_Coverage, 2492,
     /*  77386 */       GIR_EraseRootFromParent_Done,
     /*  77387 */     // Label 1334: @77387
     /*  77387 */     GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(77504), // Rule ID 5283 //
     /*  77392 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77395 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77399 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77403 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  77407 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  77410 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  77415 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  77419 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  77423 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77428 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77433 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77435 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 713:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  77435 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77438 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77442 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77447 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77449 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77452 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77456 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77461 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77464 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77468 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77471 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77476 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77481 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77486 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  77489 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77491 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77494 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77498 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  77502 */       GIR_RootConstrainSelectedInstOperands,
     /*  77503 */       // GIR_Coverage, 5283,
     /*  77503 */       GIR_EraseRootFromParent_Done,
     /*  77504 */     // Label 1335: @77504
     /*  77504 */     GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(77621), // Rule ID 5286 //
     /*  77509 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77512 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77516 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77520 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  77524 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  77527 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  77532 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  77536 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  77540 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77545 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77550 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77552 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 655:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  77552 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77555 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77559 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77564 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77566 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77569 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77573 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77578 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77581 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77585 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77588 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77593 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77598 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77603 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  77606 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77608 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77611 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77615 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  77619 */       GIR_RootConstrainSelectedInstOperands,
     /*  77620 */       // GIR_Coverage, 5286,
     /*  77620 */       GIR_EraseRootFromParent_Done,
     /*  77621 */     // Label 1336: @77621
     /*  77621 */     GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(77738), // Rule ID 5289 //
     /*  77626 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77629 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77633 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77637 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  77641 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  77644 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  77649 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  77653 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  77657 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77662 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77667 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77669 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RSUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  77669 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77672 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77676 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77681 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77683 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77686 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77690 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77695 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77698 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77702 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77705 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77710 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77715 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77720 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v4i32),
     /*  77723 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77725 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77728 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77732 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  77736 */       GIR_RootConstrainSelectedInstOperands,
     /*  77737 */       // GIR_Coverage, 5289,
     /*  77737 */       GIR_EraseRootFromParent_Done,
     /*  77738 */     // Label 1337: @77738
     /*  77738 */     GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(77842), // Rule ID 2488 //
     /*  77743 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77746 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77750 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77754 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  77758 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  77761 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /*  77766 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  77770 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77775 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77777 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (intrinsic_wo_chain:{ *:[v2f32] } 590:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn))  =>  (FCVTXNv4f32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  77777 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  77780 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  77784 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77789 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  77791 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  77794 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  77798 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77803 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  77806 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  77810 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  77813 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77818 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77823 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77828 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv4f32),
     /*  77831 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77833 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77836 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77840 */       GIR_RootConstrainSelectedInstOperands,
     /*  77841 */       // GIR_Coverage, 2488,
     /*  77841 */       GIR_EraseRootFromParent_Done,
     /*  77842 */     // Label 1338: @77842
     /*  77842 */     GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(77898), // Rule ID 5440 //
     /*  77847 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77851 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  77855 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77859 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77864 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  77868 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  77872 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  77876 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77881 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  77883 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm))  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  77883 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /*  77886 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77888 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77892 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  77896 */       GIR_RootConstrainSelectedInstOperands,
     /*  77897 */       // GIR_Coverage, 5440,
     /*  77897 */       GIR_EraseRootFromParent_Done,
     /*  77898 */     // Label 1339: @77898
     /*  77898 */     GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(77964), // Rule ID 5700 //
     /*  77903 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77907 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77911 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77917 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  77919 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77921 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /*  77921 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  77924 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  77928 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77933 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  77937 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77939 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  77942 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  77944 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  77947 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77950 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  77953 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77958 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77963 */       // GIR_Coverage, 5700,
     /*  77963 */       GIR_EraseRootFromParent_Done,
     /*  77964 */     // Label 1340: @77964
     /*  77964 */     GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(78030), // Rule ID 5704 //
     /*  77969 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  77973 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77977 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77983 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  77985 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77987 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2f32] }:$Rn), dsub:{ *:[i32] })
     /*  77987 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  77990 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  77994 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77999 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  78003 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78005 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  78008 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78010 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78013 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78016 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  78019 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78024 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78029 */       // GIR_Coverage, 5704,
     /*  78029 */       GIR_EraseRootFromParent_Done,
     /*  78030 */     // Label 1341: @78030
     /*  78030 */     GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(78123), // Rule ID 4854 //
     /*  78035 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78039 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78043 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  78047 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  78051 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78056 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78058 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn))  =>  (FCVTNv4i32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  78058 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  78061 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78065 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78070 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  78072 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78075 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78079 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78084 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  78087 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78091 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78094 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78099 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78104 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78109 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i32),
     /*  78112 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78114 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78117 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  78121 */       GIR_RootConstrainSelectedInstOperands,
     /*  78122 */       // GIR_Coverage, 4854,
     /*  78122 */       GIR_EraseRootFromParent_Done,
     /*  78123 */     // Label 1342: @78123
     /*  78123 */     GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(78219), // Rule ID 4901 //
     /*  78128 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  78131 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78135 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78139 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  78143 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  78147 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78152 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78154 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn))  =>  (XTNv4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn)
     /*  78154 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  78157 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78161 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78166 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  78168 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78171 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78175 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78180 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  78183 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78187 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78190 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78195 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78200 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78205 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i32),
     /*  78208 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78210 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78213 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  78217 */       GIR_RootConstrainSelectedInstOperands,
     /*  78218 */       // GIR_Coverage, 4901,
     /*  78218 */       GIR_EraseRootFromParent_Done,
     /*  78219 */     // Label 1343: @78219
     /*  78219 */     GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(78281), // Rule ID 5701 //
     /*  78224 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78228 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78232 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  78236 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78238 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, (undef:{ *:[v2i32] }))  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] })
     /*  78238 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78241 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78245 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78250 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78252 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78255 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78257 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78260 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  78262 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  78265 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78270 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78275 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78280 */       // GIR_Coverage, 5701,
     /*  78280 */       GIR_EraseRootFromParent_Done,
     /*  78281 */     // Label 1344: @78281
     /*  78281 */     GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(78343), // Rule ID 5705 //
     /*  78286 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78290 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78294 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  78298 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78300 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, (undef:{ *:[v2f32] }))  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] })
     /*  78300 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  78303 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78307 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78312 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78314 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78317 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78319 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78322 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  78324 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  78327 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78332 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78337 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78342 */       // GIR_Coverage, 5705,
     /*  78342 */       GIR_EraseRootFromParent_Done,
     /*  78343 */     // Label 1345: @78343
     /*  78343 */     GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(78477), // Rule ID 5699 //
     /*  78348 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78352 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78356 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (INSvi64lane:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  78356 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  78359 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78363 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78368 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  78370 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  78373 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78377 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78382 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  78385 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  78389 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  78392 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78397 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78402 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78407 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  78410 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78414 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78419 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  78421 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78424 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78428 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78433 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  78436 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78440 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78443 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78448 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78453 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78458 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  78461 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78463 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78466 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  78469 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  78472 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78475 */       GIR_RootConstrainSelectedInstOperands,
     /*  78476 */       // GIR_Coverage, 5699,
     /*  78476 */       GIR_EraseRootFromParent_Done,
     /*  78477 */     // Label 1346: @78477
     /*  78477 */     GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(78611), // Rule ID 5703 //
     /*  78482 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78486 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78490 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn)  =>  (INSvi64lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  78490 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  78493 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78497 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78502 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  78504 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  78507 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78511 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78516 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  78519 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  78523 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  78526 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78531 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78536 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78541 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  78544 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  78548 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78553 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  78555 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78558 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  78562 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78567 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  78570 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78574 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78577 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78582 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78587 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78592 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  78595 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78597 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78600 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  78603 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  78606 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  78609 */       GIR_RootConstrainSelectedInstOperands,
     /*  78610 */       // GIR_Coverage, 5703,
     /*  78610 */       GIR_EraseRootFromParent_Done,
     /*  78611 */     // Label 1347: @78611
     /*  78611 */     GIM_Reject,
     /*  78612 */   // Label 1324: @78612
     /*  78612 */   GIM_Reject,
     /*  78613 */   // Label 1307: @78613
     /*  78613 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(80892),
     /*  78618 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  78621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  78624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78628 */     GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(78750), // Rule ID 5354 //
     /*  78633 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78637 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78641 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  78645 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78649 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78653 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  78657 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78661 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  78665 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  78669 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78673 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  78677 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78682 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78687 */       // MIs[2] Operand 2
     /*  78687 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  78698 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78700 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  78700 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78703 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  78707 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78712 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  78715 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78719 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78722 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78727 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78732 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  78735 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78737 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78740 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  78744 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  78748 */       GIR_RootConstrainSelectedInstOperands,
     /*  78749 */       // GIR_Coverage, 5354,
     /*  78749 */       GIR_EraseRootFromParent_Done,
     /*  78750 */     // Label 1349: @78750
     /*  78750 */     GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(78872), // Rule ID 5360 //
     /*  78755 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78759 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78763 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  78767 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78771 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78775 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  78779 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78783 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  78787 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  78791 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78795 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  78799 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78804 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78809 */       // MIs[2] Operand 2
     /*  78809 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  78820 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78822 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  78822 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  78825 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  78829 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78834 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  78837 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  78841 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  78844 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78849 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78854 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  78857 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  78859 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78862 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  78866 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  78870 */       GIR_RootConstrainSelectedInstOperands,
     /*  78871 */       // GIR_Coverage, 5360,
     /*  78871 */       GIR_EraseRootFromParent_Done,
     /*  78872 */     // Label 1350: @78872
     /*  78872 */     GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(78974), // Rule ID 5506 //
     /*  78877 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78881 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  78885 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78889 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78893 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  78897 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78901 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78906 */       // MIs[2] Operand 2
     /*  78906 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  78917 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  78921 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  78925 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78929 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  78933 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  78937 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  78941 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  78946 */       // MIs[4] Operand 2
     /*  78946 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(16),
     /*  78957 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  78959 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })), (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, 16:{ *:[i32] })))  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  78959 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /*  78962 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  78964 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  78968 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  78972 */       GIR_RootConstrainSelectedInstOperands,
     /*  78973 */       // GIR_Coverage, 5506,
     /*  78973 */       GIR_EraseRootFromParent_Done,
     /*  78974 */     // Label 1351: @78974
     /*  78974 */     GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(79103), // Rule ID 6238 //
     /*  78979 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  78983 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78987 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  78991 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  78994 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  78999 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79003 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  79007 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79012 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 16,
     /*  79016 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79018 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vd, (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] }))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /*  79018 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  79021 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  79025 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79030 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  79033 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  79035 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79038 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79042 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79047 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79049 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79052 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79056 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79061 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79064 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  79068 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79071 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79076 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79081 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79086 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  79089 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79091 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79094 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  79098 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  79101 */       GIR_RootConstrainSelectedInstOperands,
     /*  79102 */       // GIR_Coverage, 6238,
     /*  79102 */       GIR_EraseRootFromParent_Done,
     /*  79103 */     // Label 1352: @79103
     /*  79103 */     GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(79145), // Rule ID 5710 //
     /*  79108 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  79115 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  79122 */       // (concat_vectors:{ *:[v8i16] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (INSvi64lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })
     /*  79122 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  79125 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79127 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  79132 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79135 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  79140 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  79143 */       GIR_RootConstrainSelectedInstOperands,
     /*  79144 */       // GIR_Coverage, 5710,
     /*  79144 */       GIR_EraseRootFromParent_Done,
     /*  79145 */     // Label 1353: @79145
     /*  79145 */     GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(79187), // Rule ID 5714 //
     /*  79150 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  79157 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  79164 */       // (concat_vectors:{ *:[v8f16] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn), (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rm))  =>  (INSvi64lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] })
     /*  79164 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  79167 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79169 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  79174 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79177 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  79182 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  79185 */       GIR_RootConstrainSelectedInstOperands,
     /*  79186 */       // GIR_Coverage, 5714,
     /*  79186 */       GIR_EraseRootFromParent_Done,
     /*  79187 */     // Label 1354: @79187
     /*  79187 */     GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(79310), // Rule ID 2567 //
     /*  79192 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79195 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79199 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79203 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  79207 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  79210 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  79215 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79219 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  79223 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79228 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  79232 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  79236 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  79240 */       // MIs[2] Operand 1
     /*  79240 */       // No operand predicates
     /*  79240 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79242 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (RSHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  79242 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79245 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79249 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79254 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79256 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79259 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79263 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79268 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79271 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79275 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79278 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79283 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79288 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79293 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i16_shift),
     /*  79296 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79298 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79301 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  79305 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  79308 */       GIR_RootConstrainSelectedInstOperands,
     /*  79309 */       // GIR_Coverage, 2567,
     /*  79309 */       GIR_EraseRootFromParent_Done,
     /*  79310 */     // Label 1355: @79310
     /*  79310 */     GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(79433), // Rule ID 6206 //
     /*  79315 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79318 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79322 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79326 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  79330 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  79334 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79338 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  79342 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  79346 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79351 */       // MIs[2] imm
     /*  79351 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79355 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  79359 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  79363 */       // MIs[3] Operand 1
     /*  79363 */       // No operand predicates
     /*  79363 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79365 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  79365 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79368 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79372 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79377 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79379 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79382 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79386 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79391 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79394 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79398 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79401 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79406 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79411 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79416 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  79419 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79421 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79424 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  79428 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  79431 */       GIR_RootConstrainSelectedInstOperands,
     /*  79432 */       // GIR_Coverage, 6206,
     /*  79432 */       GIR_EraseRootFromParent_Done,
     /*  79433 */     // Label 1356: @79433
     /*  79433 */     GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(79553), // Rule ID 6244 //
     /*  79438 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79442 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79446 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  79450 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  79454 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79458 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  79462 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  79466 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79471 */       // MIs[2] imm
     /*  79471 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79475 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  79479 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  79483 */       // MIs[3] Operand 1
     /*  79483 */       // No operand predicates
     /*  79483 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79485 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  79485 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79488 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79492 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79497 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79499 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79502 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79506 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79511 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79514 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79518 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79521 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79526 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79531 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79536 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  79539 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79541 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79544 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  79548 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  79551 */       GIR_RootConstrainSelectedInstOperands,
     /*  79552 */       // GIR_Coverage, 6244,
     /*  79552 */       GIR_EraseRootFromParent_Done,
     /*  79553 */     // Label 1357: @79553
     /*  79553 */     GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(79670), // Rule ID 2491 //
     /*  79558 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79561 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79565 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79569 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  79573 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  79576 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  79581 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79585 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79589 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79594 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79599 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79601 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 568:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  79601 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79604 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79608 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79613 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79615 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79618 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79622 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79627 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79630 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79634 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79637 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79642 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79647 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79652 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  79655 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79657 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79660 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  79664 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  79668 */       GIR_RootConstrainSelectedInstOperands,
     /*  79669 */       // GIR_Coverage, 2491,
     /*  79669 */       GIR_EraseRootFromParent_Done,
     /*  79670 */     // Label 1358: @79670
     /*  79670 */     GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(79787), // Rule ID 5282 //
     /*  79675 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79678 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79682 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79686 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  79690 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  79693 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  79698 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79702 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79706 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79711 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79716 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79718 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 713:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  79718 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79721 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79725 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79730 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79732 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79735 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79739 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79744 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79747 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79751 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79754 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79759 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79764 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79769 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  79772 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79774 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79777 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  79781 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  79785 */       GIR_RootConstrainSelectedInstOperands,
     /*  79786 */       // GIR_Coverage, 5282,
     /*  79786 */       GIR_EraseRootFromParent_Done,
     /*  79787 */     // Label 1359: @79787
     /*  79787 */     GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(79904), // Rule ID 5285 //
     /*  79792 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79795 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79799 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79803 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  79807 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  79810 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  79815 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79819 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79823 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79828 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79833 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79835 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 655:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  79835 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79838 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79842 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79847 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79849 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79852 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79856 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79861 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79864 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79868 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79871 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79876 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79881 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79886 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  79889 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79891 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79894 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  79898 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  79902 */       GIR_RootConstrainSelectedInstOperands,
     /*  79903 */       // GIR_Coverage, 5285,
     /*  79903 */       GIR_EraseRootFromParent_Done,
     /*  79904 */     // Label 1360: @79904
     /*  79904 */     GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(80021), // Rule ID 5288 //
     /*  79909 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  79912 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79916 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79920 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  79924 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  79927 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  79932 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  79936 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  79940 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79945 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79950 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79952 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RSUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  79952 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79955 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79959 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79964 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79966 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79969 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79973 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79978 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79981 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79985 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79988 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79993 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79998 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80003 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v8i16),
     /*  80006 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80008 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80011 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  80015 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  80019 */       GIR_RootConstrainSelectedInstOperands,
     /*  80020 */       // GIR_Coverage, 5288,
     /*  80020 */       GIR_EraseRootFromParent_Done,
     /*  80021 */     // Label 1361: @80021
     /*  80021 */     GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(80122), // Rule ID 4848 //
     /*  80026 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80030 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80034 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  80038 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  80041 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /*  80046 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  80050 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80055 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80057 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 763:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  80057 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80060 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80064 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80069 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80071 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80074 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80078 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80083 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80086 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80090 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80093 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80098 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80103 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80108 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  80111 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80113 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80116 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  80120 */       GIR_RootConstrainSelectedInstOperands,
     /*  80121 */       // GIR_Coverage, 4848,
     /*  80121 */       GIR_EraseRootFromParent_Done,
     /*  80122 */     // Label 1362: @80122
     /*  80122 */     GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(80178), // Rule ID 5431 //
     /*  80127 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  80131 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80135 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  80139 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80144 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  80148 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80152 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  80156 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80161 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80163 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm))  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  80163 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /*  80166 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  80168 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  80172 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  80176 */       GIR_RootConstrainSelectedInstOperands,
     /*  80177 */       // GIR_Coverage, 5431,
     /*  80177 */       GIR_EraseRootFromParent_Done,
     /*  80178 */     // Label 1363: @80178
     /*  80178 */     GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(80244), // Rule ID 5708 //
     /*  80183 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80187 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80191 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80197 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80199 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80201 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4i16] }:$Rn), dsub:{ *:[i32] })
     /*  80201 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80204 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80208 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80213 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80217 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80219 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80222 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80224 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80227 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80230 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80233 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80238 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80243 */       // GIR_Coverage, 5708,
     /*  80243 */       GIR_EraseRootFromParent_Done,
     /*  80244 */     // Label 1364: @80244
     /*  80244 */     GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(80310), // Rule ID 5712 //
     /*  80249 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80253 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80257 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80263 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80265 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80267 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4f16] }:$Rn), dsub:{ *:[i32] })
     /*  80267 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80270 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80274 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80279 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80283 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80285 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80288 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80290 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80293 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80296 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80299 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80304 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80309 */       // GIR_Coverage, 5712,
     /*  80309 */       GIR_EraseRootFromParent_Done,
     /*  80310 */     // Label 1365: @80310
     /*  80310 */     GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(80403), // Rule ID 4856 //
     /*  80315 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80319 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80323 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  80327 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  80331 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80336 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80338 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  80338 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80341 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80345 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80350 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80352 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80355 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80359 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80364 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80367 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80371 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80374 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80379 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80384 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80389 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  80392 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80394 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80397 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  80401 */       GIR_RootConstrainSelectedInstOperands,
     /*  80402 */       // GIR_Coverage, 4856,
     /*  80402 */       GIR_EraseRootFromParent_Done,
     /*  80403 */     // Label 1366: @80403
     /*  80403 */     GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(80499), // Rule ID 4900 //
     /*  80408 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  80411 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80415 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80419 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80423 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  80427 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80432 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80434 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn))  =>  (XTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn)
     /*  80434 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80437 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80441 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80446 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80448 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80451 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80455 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80460 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80463 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80467 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80470 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80475 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80480 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80485 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i16),
     /*  80488 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80490 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80493 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  80497 */       GIR_RootConstrainSelectedInstOperands,
     /*  80498 */       // GIR_Coverage, 4900,
     /*  80498 */       GIR_EraseRootFromParent_Done,
     /*  80499 */     // Label 1367: @80499
     /*  80499 */     GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(80561), // Rule ID 5709 //
     /*  80504 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80508 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80512 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80516 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80518 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, (undef:{ *:[v4i16] }))  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] })
     /*  80518 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  80521 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80525 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80530 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80532 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80535 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80537 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80540 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80542 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80545 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80550 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80555 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80560 */       // GIR_Coverage, 5709,
     /*  80560 */       GIR_EraseRootFromParent_Done,
     /*  80561 */     // Label 1368: @80561
     /*  80561 */     GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(80623), // Rule ID 5713 //
     /*  80566 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80570 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80574 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80578 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80580 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, (undef:{ *:[v4f16] }))  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] })
     /*  80580 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  80583 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80587 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80592 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80594 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80597 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80599 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80602 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80604 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80607 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80612 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80617 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80622 */       // GIR_Coverage, 5713,
     /*  80622 */       GIR_EraseRootFromParent_Done,
     /*  80623 */     // Label 1369: @80623
     /*  80623 */     GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(80757), // Rule ID 5707 //
     /*  80628 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80632 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80636 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (INSvi64lane:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80636 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80639 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80643 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80648 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80650 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80653 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80657 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80662 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80665 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80669 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80672 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80677 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80682 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80687 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80690 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80694 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80699 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80701 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80704 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80708 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80713 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80716 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80720 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80723 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80728 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80733 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80738 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80741 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80743 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80746 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80749 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80752 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80755 */       GIR_RootConstrainSelectedInstOperands,
     /*  80756 */       // GIR_Coverage, 5707,
     /*  80756 */       GIR_EraseRootFromParent_Done,
     /*  80757 */     // Label 1370: @80757
     /*  80757 */     GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(80891), // Rule ID 5711 //
     /*  80762 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80766 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80770 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn)  =>  (INSvi64lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80770 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80773 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80777 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80782 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80784 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80787 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80791 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80796 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80799 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80803 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80806 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80811 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80816 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80821 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80824 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80828 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80833 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80835 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80838 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80842 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80847 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80850 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80854 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80857 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80862 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80867 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80872 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80875 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80877 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80880 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80883 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80886 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80889 */       GIR_RootConstrainSelectedInstOperands,
     /*  80890 */       // GIR_Coverage, 5711,
     /*  80890 */       GIR_EraseRootFromParent_Done,
     /*  80891 */     // Label 1371: @80891
     /*  80891 */     GIM_Reject,
     /*  80892 */   // Label 1348: @80892
     /*  80892 */   GIM_Reject,
     /*  80893 */   // Label 1308: @80893
     /*  80893 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(82674),
     /*  80898 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  80901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  80904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80908 */     GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(81030), // Rule ID 5353 //
     /*  80913 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80917 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80921 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80925 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  80929 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80933 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80937 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  80941 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80945 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  80949 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  80953 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  80957 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80962 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80967 */       // MIs[2] Operand 2
     /*  80967 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  80978 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80980 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  80980 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80983 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80987 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80992 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80995 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80999 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81002 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81007 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81012 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  81015 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81017 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81020 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  81024 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  81028 */       GIR_RootConstrainSelectedInstOperands,
     /*  81029 */       // GIR_Coverage, 5353,
     /*  81029 */       GIR_EraseRootFromParent_Done,
     /*  81030 */     // Label 1373: @81030
     /*  81030 */     GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(81152), // Rule ID 5359 //
     /*  81035 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81039 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81043 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81047 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81051 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81055 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81059 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81063 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  81067 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  81071 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81075 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81079 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81084 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81089 */       // MIs[2] Operand 2
     /*  81089 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  81100 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81102 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  81102 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81105 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  81109 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81114 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  81117 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81121 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81124 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81129 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81134 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  81137 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81139 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81142 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  81146 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  81150 */       GIR_RootConstrainSelectedInstOperands,
     /*  81151 */       // GIR_Coverage, 5359,
     /*  81151 */       GIR_EraseRootFromParent_Done,
     /*  81152 */     // Label 1374: @81152
     /*  81152 */     GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(81254), // Rule ID 5505 //
     /*  81157 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  81161 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81165 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81169 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81173 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81177 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81181 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81186 */       // MIs[2] Operand 2
     /*  81186 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  81197 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  81201 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81205 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81209 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  81213 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81217 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81221 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81226 */       // MIs[4] Operand 2
     /*  81226 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  81237 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  81239 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })), (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, 8:{ *:[i32] })))  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  81239 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /*  81242 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  81244 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  81248 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  81252 */       GIR_RootConstrainSelectedInstOperands,
     /*  81253 */       // GIR_Coverage, 5505,
     /*  81253 */       GIR_EraseRootFromParent_Done,
     /*  81254 */     // Label 1375: @81254
     /*  81254 */     GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(81383), // Rule ID 6237 //
     /*  81259 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81263 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81267 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81271 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81274 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81279 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81283 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81287 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81292 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 8,
     /*  81296 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81298 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Vd, (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] }))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /*  81298 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  81301 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  81305 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81310 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  81313 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  81315 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81318 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81322 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81327 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81329 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81332 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81336 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81341 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81344 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  81348 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81351 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81356 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81361 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81366 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  81369 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81371 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81374 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  81378 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  81381 */       GIR_RootConstrainSelectedInstOperands,
     /*  81382 */       // GIR_Coverage, 6237,
     /*  81382 */       GIR_EraseRootFromParent_Done,
     /*  81383 */     // Label 1376: @81383
     /*  81383 */     GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(81425), // Rule ID 5718 //
     /*  81388 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  81395 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  81402 */       // (concat_vectors:{ *:[v16i8] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (INSvi64lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })
     /*  81402 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  81405 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81407 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  81412 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81415 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  81420 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  81423 */       GIR_RootConstrainSelectedInstOperands,
     /*  81424 */       // GIR_Coverage, 5718,
     /*  81424 */       GIR_EraseRootFromParent_Done,
     /*  81425 */     // Label 1377: @81425
     /*  81425 */     GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(81548), // Rule ID 2565 //
     /*  81430 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81433 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81437 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81441 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81445 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81448 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81453 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81457 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81461 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81466 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  81470 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81474 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  81478 */       // MIs[2] Operand 1
     /*  81478 */       // No operand predicates
     /*  81478 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  81480 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (RSHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  81480 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81483 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81487 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81492 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81494 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81497 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81501 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81506 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81509 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81513 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81516 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81521 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81526 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81531 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv16i8_shift),
     /*  81534 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81536 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81539 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81543 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  81546 */       GIR_RootConstrainSelectedInstOperands,
     /*  81547 */       // GIR_Coverage, 2565,
     /*  81547 */       GIR_EraseRootFromParent_Done,
     /*  81548 */     // Label 1378: @81548
     /*  81548 */     GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(81671), // Rule ID 6205 //
     /*  81553 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81556 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81560 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81564 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81568 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81572 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81576 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  81580 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81584 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81589 */       // MIs[2] imm
     /*  81589 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81593 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81597 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  81601 */       // MIs[3] Operand 1
     /*  81601 */       // No operand predicates
     /*  81601 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81603 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  81603 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81606 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81610 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81615 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81617 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81620 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81624 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81629 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81632 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81636 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81639 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81644 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81649 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81654 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  81657 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81659 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81662 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81666 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81669 */       GIR_RootConstrainSelectedInstOperands,
     /*  81670 */       // GIR_Coverage, 6205,
     /*  81670 */       GIR_EraseRootFromParent_Done,
     /*  81671 */     // Label 1379: @81671
     /*  81671 */     GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(81791), // Rule ID 6243 //
     /*  81676 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81680 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81684 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81688 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81692 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81696 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81700 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  81704 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81709 */       // MIs[2] imm
     /*  81709 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81713 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81717 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  81721 */       // MIs[3] Operand 1
     /*  81721 */       // No operand predicates
     /*  81721 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81723 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  81723 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81726 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81730 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81735 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81737 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81740 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81744 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81749 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81752 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81756 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81759 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81764 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81769 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81774 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  81777 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81779 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81782 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81786 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81789 */       GIR_RootConstrainSelectedInstOperands,
     /*  81790 */       // GIR_Coverage, 6243,
     /*  81790 */       GIR_EraseRootFromParent_Done,
     /*  81791 */     // Label 1380: @81791
     /*  81791 */     GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(81908), // Rule ID 2490 //
     /*  81796 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81799 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81803 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81807 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81811 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81814 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  81819 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81823 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  81827 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81832 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81837 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81839 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 568:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  81839 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81842 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81846 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81851 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81853 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81856 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81860 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81865 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81868 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81872 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81875 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81880 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81885 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81890 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  81893 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81895 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81898 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81902 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81906 */       GIR_RootConstrainSelectedInstOperands,
     /*  81907 */       // GIR_Coverage, 2490,
     /*  81907 */       GIR_EraseRootFromParent_Done,
     /*  81908 */     // Label 1381: @81908
     /*  81908 */     GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(82025), // Rule ID 5281 //
     /*  81913 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81916 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81920 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81924 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81928 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81931 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  81936 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  81940 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  81944 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81949 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81954 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81956 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 713:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  81956 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81959 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81963 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81968 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81970 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81973 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81977 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81982 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81985 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81989 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81992 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81997 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82002 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82007 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  82010 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82012 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82015 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82019 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82023 */       GIR_RootConstrainSelectedInstOperands,
     /*  82024 */       // GIR_Coverage, 5281,
     /*  82024 */       GIR_EraseRootFromParent_Done,
     /*  82025 */     // Label 1382: @82025
     /*  82025 */     GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(82142), // Rule ID 5284 //
     /*  82030 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82033 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82037 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82041 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82045 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  82048 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  82053 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  82057 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  82061 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82066 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82071 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82073 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 655:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  82073 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82076 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82080 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82085 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82087 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82090 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82094 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82099 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82102 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82106 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82109 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82114 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82119 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82124 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  82127 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82129 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82132 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82136 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82140 */       GIR_RootConstrainSelectedInstOperands,
     /*  82141 */       // GIR_Coverage, 5284,
     /*  82141 */       GIR_EraseRootFromParent_Done,
     /*  82142 */     // Label 1383: @82142
     /*  82142 */     GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(82259), // Rule ID 5287 //
     /*  82147 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82150 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82154 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82158 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82162 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  82165 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  82170 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  82174 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  82178 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82183 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82188 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82190 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RSUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  82190 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82193 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82197 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82202 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82204 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82207 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82211 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82216 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82219 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82223 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82226 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82231 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82236 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82241 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v16i8),
     /*  82244 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82246 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82249 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82253 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82257 */       GIR_RootConstrainSelectedInstOperands,
     /*  82258 */       // GIR_Coverage, 5287,
     /*  82258 */       GIR_EraseRootFromParent_Done,
     /*  82259 */     // Label 1384: @82259
     /*  82259 */     GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(82315), // Rule ID 5422 //
     /*  82264 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  82268 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82272 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  82276 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82281 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  82285 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82289 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  82293 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82298 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  82300 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn), (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vm))  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  82300 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /*  82303 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  82305 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  82309 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  82313 */       GIR_RootConstrainSelectedInstOperands,
     /*  82314 */       // GIR_Coverage, 5422,
     /*  82314 */       GIR_EraseRootFromParent_Done,
     /*  82315 */     // Label 1385: @82315
     /*  82315 */     GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(82381), // Rule ID 5716 //
     /*  82320 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82324 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82328 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82334 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  82336 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82338 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v8i8] }:$Rn), dsub:{ *:[i32] })
     /*  82338 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  82341 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  82345 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82350 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  82354 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82356 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82359 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82361 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82364 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82367 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82370 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82375 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82380 */       // GIR_Coverage, 5716,
     /*  82380 */       GIR_EraseRootFromParent_Done,
     /*  82381 */     // Label 1386: @82381
     /*  82381 */     GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(82477), // Rule ID 4899 //
     /*  82386 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82389 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82393 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82397 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82401 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  82405 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82410 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82412 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn))  =>  (XTNv16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn)
     /*  82412 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82415 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82419 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82424 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82426 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82429 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82433 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82438 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82441 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82445 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82448 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82453 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82458 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82463 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv16i8),
     /*  82466 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82468 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82471 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  82475 */       GIR_RootConstrainSelectedInstOperands,
     /*  82476 */       // GIR_Coverage, 4899,
     /*  82476 */       GIR_EraseRootFromParent_Done,
     /*  82477 */     // Label 1387: @82477
     /*  82477 */     GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(82539), // Rule ID 5717 //
     /*  82482 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82486 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82490 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  82494 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82496 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, (undef:{ *:[v8i8] }))  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] })
     /*  82496 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  82499 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82503 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82508 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82510 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82513 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82515 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82518 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82520 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82523 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82528 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82533 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82538 */       // GIR_Coverage, 5717,
     /*  82538 */       GIR_EraseRootFromParent_Done,
     /*  82539 */     // Label 1388: @82539
     /*  82539 */     GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(82673), // Rule ID 5715 //
     /*  82544 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82548 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82552 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (INSvi64lane:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82552 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82555 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82559 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82564 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82566 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82569 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82573 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82578 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82581 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82585 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82588 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82593 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82598 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82603 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82606 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82610 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82615 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82617 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82620 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82624 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82629 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82632 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82636 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82639 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82644 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82649 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82654 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82657 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82659 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82662 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82665 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82668 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82671 */       GIR_RootConstrainSelectedInstOperands,
     /*  82672 */       // GIR_Coverage, 5715,
     /*  82672 */       GIR_EraseRootFromParent_Done,
     /*  82673 */     // Label 1389: @82673
     /*  82673 */     GIM_Reject,
     /*  82674 */   // Label 1372: @82674
     /*  82674 */   GIM_Reject,
     /*  82675 */   // Label 1309: @82675
     /*  82675 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(82700), // Rule ID 8901 //
     /*  82680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82683 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  82686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  82689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  82693 */     // (concat_vectors:{ *:[nxv2i1] } nxv1i1:{ *:[nxv1i1] }:$p1, nxv1i1:{ *:[nxv1i1] }:$p2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv1i1] }:$p1, ?:{ *:[nxv1i1] }:$p2)
     /*  82693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /*  82698 */     GIR_RootConstrainSelectedInstOperands,
     /*  82699 */     // GIR_Coverage, 8901,
     /*  82699 */     GIR_Done,
     /*  82700 */   // Label 1390: @82700
     /*  82700 */   GIM_Reject,
     /*  82701 */   // Label 1310: @82701
     /*  82701 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(82726), // Rule ID 8902 //
     /*  82706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82709 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  82712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  82715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  82719 */     // (concat_vectors:{ *:[nxv4i1] } nxv2i1:{ *:[nxv2i1] }:$p1, nxv2i1:{ *:[nxv2i1] }:$p2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv2i1] }:$p1, ?:{ *:[nxv2i1] }:$p2)
     /*  82719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /*  82724 */     GIR_RootConstrainSelectedInstOperands,
     /*  82725 */     // GIR_Coverage, 8902,
     /*  82725 */     GIR_Done,
     /*  82726 */   // Label 1391: @82726
     /*  82726 */   GIM_Reject,
     /*  82727 */   // Label 1311: @82727
     /*  82727 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(82752), // Rule ID 8905 //
     /*  82732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82735 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  82738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  82741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  82745 */     // (concat_vectors:{ *:[nxv4f16] } nxv2f16:{ *:[nxv2f16] }:$v1, nxv2f16:{ *:[nxv2f16] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv2f16] }:$v1, ?:{ *:[nxv2f16] }:$v2)
     /*  82745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  82750 */     GIR_RootConstrainSelectedInstOperands,
     /*  82751 */     // GIR_Coverage, 8905,
     /*  82751 */     GIR_Done,
     /*  82752 */   // Label 1392: @82752
     /*  82752 */   GIM_Reject,
     /*  82753 */   // Label 1312: @82753
     /*  82753 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(82778), // Rule ID 8907 //
     /*  82758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82761 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  82764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  82767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  82771 */     // (concat_vectors:{ *:[nxv4f32] } nxv2f32:{ *:[nxv2f32] }:$v1, nxv2f32:{ *:[nxv2f32] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv2f32] }:$v1, ?:{ *:[nxv2f32] }:$v2)
     /*  82771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  82776 */     GIR_RootConstrainSelectedInstOperands,
     /*  82777 */     // GIR_Coverage, 8907,
     /*  82777 */     GIR_Done,
     /*  82778 */   // Label 1393: @82778
     /*  82778 */   GIM_Reject,
     /*  82779 */   // Label 1313: @82779
     /*  82779 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(82804), // Rule ID 8903 //
     /*  82784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82787 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  82790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  82793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  82797 */     // (concat_vectors:{ *:[nxv8i1] } nxv4i1:{ *:[nxv4i1] }:$p1, nxv4i1:{ *:[nxv4i1] }:$p2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv4i1] }:$p1, ?:{ *:[nxv4i1] }:$p2)
     /*  82797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /*  82802 */     GIR_RootConstrainSelectedInstOperands,
     /*  82803 */     // GIR_Coverage, 8903,
     /*  82803 */     GIR_Done,
     /*  82804 */   // Label 1394: @82804
     /*  82804 */   GIM_Reject,
     /*  82805 */   // Label 1314: @82805
     /*  82805 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(82830), // Rule ID 8906 //
     /*  82810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82813 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  82816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  82819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  82823 */     // (concat_vectors:{ *:[nxv8f16] } nxv4f16:{ *:[nxv4f16] }:$v1, nxv4f16:{ *:[nxv4f16] }:$v2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv4f16] }:$v1, ?:{ *:[nxv4f16] }:$v2)
     /*  82823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /*  82828 */     GIR_RootConstrainSelectedInstOperands,
     /*  82829 */     // GIR_Coverage, 8906,
     /*  82829 */     GIR_Done,
     /*  82830 */   // Label 1395: @82830
     /*  82830 */   GIM_Reject,
     /*  82831 */   // Label 1315: @82831
     /*  82831 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(82856), // Rule ID 8904 //
     /*  82836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  82839 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  82842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  82845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  82849 */     // (concat_vectors:{ *:[nxv16i1] } nxv8i1:{ *:[nxv8i1] }:$p1, nxv8i1:{ *:[nxv8i1] }:$p2)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } ?:{ *:[nxv8i1] }:$p1, ?:{ *:[nxv8i1] }:$p2)
     /*  82849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /*  82854 */     GIR_RootConstrainSelectedInstOperands,
     /*  82855 */     // GIR_Coverage, 8904,
     /*  82855 */     GIR_Done,
     /*  82856 */   // Label 1396: @82856
     /*  82856 */   GIM_Reject,
     /*  82857 */   // Label 1316: @82857
     /*  82857 */   GIM_Reject,
     /*  82858 */ // Label 1304: @82858
     /*  82858 */ GIM_Reject,
     /*  82859 */ // Label 9: @82859
     /*  82859 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1411*/ GIMT_Encode4(92802),
     /*  82870 */ /*GILLT_s32*//*Label 1397*/ GIMT_Encode4(82958),
     /*  82874 */ /*GILLT_s64*//*Label 1398*/ GIMT_Encode4(83339),
     /*  82878 */ /*GILLT_s128*//*Label 1399*/ GIMT_Encode4(85314),
     /*  82882 */ /*GILLT_v2s32*//*Label 1400*/ GIMT_Encode4(85960),
     /*  82886 */ /*GILLT_v2s64*//*Label 1401*/ GIMT_Encode4(86875),
     /*  82890 */ /*GILLT_v4s16*//*Label 1402*/ GIMT_Encode4(87644),
     /*  82894 */ /*GILLT_v4s32*//*Label 1403*/ GIMT_Encode4(88559),
     /*  82898 */ /*GILLT_v8s8*//*Label 1404*/ GIMT_Encode4(89404),
     /*  82902 */ /*GILLT_v8s16*//*Label 1405*/ GIMT_Encode4(89965),
     /*  82906 */ /*GILLT_v16s8*//*Label 1406*/ GIMT_Encode4(90810), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  82926 */ /*GILLT_nxv2s64*//*Label 1407*/ GIMT_Encode4(91262), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  82938 */ /*GILLT_nxv4s32*//*Label 1408*/ GIMT_Encode4(91711), GIMT_Encode4(0),
     /*  82946 */ /*GILLT_nxv8s16*//*Label 1409*/ GIMT_Encode4(92160), GIMT_Encode4(0),
     /*  82954 */ /*GILLT_nxv16s8*//*Label 1410*/ GIMT_Encode4(92609),
     /*  82958 */ // Label 1397: @82958
     /*  82958 */ GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(83338),
     /*  82963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  82966 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(83036), // Rule ID 6952 //
     /*  82971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  82975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  82979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  82983 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  82986 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  82993 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  82996 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83002 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  83009 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>)  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  83009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  83012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  83024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  83029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83034 */     GIR_RootConstrainSelectedInstOperands,
     /*  83035 */     // GIR_Coverage, 6952,
     /*  83035 */     GIR_EraseRootFromParent_Done,
     /*  83036 */   // Label 1413: @83036
     /*  83036 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(83106), // Rule ID 6953 //
     /*  83041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83053 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83056 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  83063 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83066 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  83079 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>)  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  83079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  83082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  83094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  83099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83104 */     GIR_RootConstrainSelectedInstOperands,
     /*  83105 */     // GIR_Coverage, 6953,
     /*  83105 */     GIR_EraseRootFromParent_Done,
     /*  83106 */   // Label 1414: @83106
     /*  83106 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(83171), // Rule ID 6954 //
     /*  83111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83123 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83126 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  83133 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83136 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  83149 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>)  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  83149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  83152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83169 */     GIR_RootConstrainSelectedInstOperands,
     /*  83170 */     // GIR_Coverage, 6954,
     /*  83170 */     GIR_EraseRootFromParent_Done,
     /*  83171 */   // Label 1415: @83171
     /*  83171 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(83236), // Rule ID 6955 //
     /*  83176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83188 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83191 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  83198 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83201 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  83214 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>)  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  83214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /*  83217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83234 */     GIR_RootConstrainSelectedInstOperands,
     /*  83235 */     // GIR_Coverage, 6955,
     /*  83235 */     GIR_EraseRootFromParent_Done,
     /*  83236 */   // Label 1416: @83236
     /*  83236 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(83289), // Rule ID 5682 //
     /*  83241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  83253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  83261 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  83265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83267 */     // (bitconvert:{ *:[f32] } (vector_extract:{ *:[i32] } v4i32:{ *:[v4i32] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4i32] }:$src, ssub:{ *:[i32] })
     /*  83267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83272 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // src
     /*  83278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83288 */     // GIR_Coverage, 5682,
     /*  83288 */     GIR_EraseRootFromParent_Done,
     /*  83289 */   // Label 1417: @83289
     /*  83289 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(83313), // Rule ID 6569 //
     /*  83294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  83302 */     // (bitconvert:{ *:[f32] } GPR32:{ *:[i32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Xn, FPR32:{ *:[i32] })
     /*  83302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83307 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83312 */     // GIR_Coverage, 6569,
     /*  83312 */     GIR_Done,
     /*  83313 */   // Label 1418: @83313
     /*  83313 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(83337), // Rule ID 6570 //
     /*  83318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  83322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  83326 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i32] } FPR32:{ *:[f32] }:$Xn, GPR32:{ *:[i32] })
     /*  83326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83331 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  83336 */     // GIR_Coverage, 6570,
     /*  83336 */     GIR_Done,
     /*  83337 */   // Label 1419: @83337
     /*  83337 */   GIM_Reject,
     /*  83338 */ // Label 1412: @83338
     /*  83338 */ GIM_Reject,
     /*  83339 */ // Label 1398: @83339
     /*  83339 */ GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(83412), // Rule ID 6956 //
     /*  83344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83351 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83355 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83359 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83362 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  83369 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83372 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83376 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83378 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  83385 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>)  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  83385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  83388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  83400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  83405 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83410 */   GIR_RootConstrainSelectedInstOperands,
     /*  83411 */   // GIR_Coverage, 6956,
     /*  83411 */   GIR_EraseRootFromParent_Done,
     /*  83412 */ // Label 1420: @83412
     /*  83412 */ GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(83485), // Rule ID 6957 //
     /*  83417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83424 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83428 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83432 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83435 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  83442 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83445 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83449 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83451 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  83458 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>)  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  83458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  83461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  83473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  83478 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83483 */   GIR_RootConstrainSelectedInstOperands,
     /*  83484 */   // GIR_Coverage, 6957,
     /*  83484 */   GIR_EraseRootFromParent_Done,
     /*  83485 */ // Label 1421: @83485
     /*  83485 */ GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(83553), // Rule ID 6958 //
     /*  83490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83497 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83501 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83505 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83508 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  83515 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83518 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83522 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83524 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  83531 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>)  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  83531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  83534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83546 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83551 */   GIR_RootConstrainSelectedInstOperands,
     /*  83552 */   // GIR_Coverage, 6958,
     /*  83552 */   GIR_EraseRootFromParent_Done,
     /*  83553 */ // Label 1422: @83553
     /*  83553 */ GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(83621), // Rule ID 6959 //
     /*  83558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  83573 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  83576 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  83583 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  83586 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  83590 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83592 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  83599 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>)  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  83599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  83602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  83604 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  83614 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  83619 */   GIR_RootConstrainSelectedInstOperands,
     /*  83620 */   // GIR_Coverage, 6959,
     /*  83620 */   GIR_EraseRootFromParent_Done,
     /*  83621 */ // Label 1423: @83621
     /*  83621 */ GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(83677), // Rule ID 5684 //
     /*  83626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83633 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83637 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  83641 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  83645 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  83649 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  83653 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83655 */   // (bitconvert:{ *:[f64] } (vector_extract:{ *:[i64] } v2i64:{ *:[v2i64] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2i64] }:$src, dsub:{ *:[i32] })
     /*  83655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83660 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /*  83666 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83671 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83676 */   // GIR_Coverage, 5684,
     /*  83676 */   GIR_EraseRootFromParent_Done,
     /*  83677 */ // Label 1424: @83677
     /*  83677 */ GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(83707), // Rule ID 6544 //
     /*  83682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  83688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83696 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] })
     /*  83696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83701 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83706 */   // GIR_Coverage, 6544,
     /*  83706 */   GIR_Done,
     /*  83707 */ // Label 1425: @83707
     /*  83707 */ GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(83737), // Rule ID 6545 //
     /*  83712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  83718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83726 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] })
     /*  83726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83731 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83736 */   // GIR_Coverage, 6545,
     /*  83736 */   GIR_Done,
     /*  83737 */ // Label 1426: @83737
     /*  83737 */ GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(83767), // Rule ID 6546 //
     /*  83742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  83748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83756 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] })
     /*  83756 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83761 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83766 */   // GIR_Coverage, 6546,
     /*  83766 */   GIR_Done,
     /*  83767 */ // Label 1427: @83767
     /*  83767 */ GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(83797), // Rule ID 6547 //
     /*  83772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  83778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83786 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] })
     /*  83786 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83791 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83796 */   // GIR_Coverage, 6547,
     /*  83796 */   GIR_Done,
     /*  83797 */ // Label 1428: @83797
     /*  83797 */ GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(83827), // Rule ID 6548 //
     /*  83802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  83808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83816 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] })
     /*  83816 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83821 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83826 */   // GIR_Coverage, 6548,
     /*  83826 */   GIR_Done,
     /*  83827 */ // Label 1429: @83827
     /*  83827 */ GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(83857), // Rule ID 6549 //
     /*  83832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  83835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  83838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83846 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  83846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83856 */   // GIR_Coverage, 6549,
     /*  83856 */   GIR_Done,
     /*  83857 */ // Label 1430: @83857
     /*  83857 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(83907), // Rule ID 6555 //
     /*  83862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  83865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  83868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83876 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (REV64v8i8:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] }))
     /*  83876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  83879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83888 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  83892 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  83900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  83902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83905 */   GIR_RootConstrainSelectedInstOperands,
     /*  83906 */   // GIR_Coverage, 6555,
     /*  83906 */   GIR_EraseRootFromParent_Done,
     /*  83907 */ // Label 1431: @83907
     /*  83907 */ GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(83957), // Rule ID 6556 //
     /*  83912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  83915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  83918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83926 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] }))
     /*  83926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  83929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83938 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  83942 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  83950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  83952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83955 */   GIR_RootConstrainSelectedInstOperands,
     /*  83956 */   // GIR_Coverage, 6556,
     /*  83956 */   GIR_EraseRootFromParent_Done,
     /*  83957 */ // Label 1432: @83957
     /*  83957 */ GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(84007), // Rule ID 6557 //
     /*  83962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  83965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  83968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83976 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] }))
     /*  83976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  83979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  83983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83988 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  83992 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  83997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  84002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84005 */   GIR_RootConstrainSelectedInstOperands,
     /*  84006 */   // GIR_Coverage, 6557,
     /*  84006 */   GIR_EraseRootFromParent_Done,
     /*  84007 */ // Label 1433: @84007
     /*  84007 */ GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(84057), // Rule ID 6558 //
     /*  84012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84026 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] }))
     /*  84026 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84029 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84033 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84038 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  84042 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  84050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  84052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84055 */   GIR_RootConstrainSelectedInstOperands,
     /*  84056 */   // GIR_Coverage, 6558,
     /*  84056 */   GIR_EraseRootFromParent_Done,
     /*  84057 */ // Label 1434: @84057
     /*  84057 */ GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(84107), // Rule ID 6559 //
     /*  84062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84076 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] }))
     /*  84076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84088 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  84092 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  84102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84105 */   GIR_RootConstrainSelectedInstOperands,
     /*  84106 */   // GIR_Coverage, 6559,
     /*  84106 */   GIR_EraseRootFromParent_Done,
     /*  84107 */ // Label 1435: @84107
     /*  84107 */ GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(84134), // Rule ID 6560 //
     /*  84112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84123 */   // (bitconvert:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  84123 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84128 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84133 */   // GIR_Coverage, 6560,
     /*  84133 */   GIR_Done,
     /*  84134 */ // Label 1436: @84134
     /*  84134 */ GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(84161), // Rule ID 6561 //
     /*  84139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84150 */   // (bitconvert:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  84150 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84155 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84160 */   // GIR_Coverage, 6561,
     /*  84160 */   GIR_Done,
     /*  84161 */ // Label 1437: @84161
     /*  84161 */ GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(84188), // Rule ID 6562 //
     /*  84166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84177 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1i64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1i64] }:$Vn, GPR64:{ *:[i32] })
     /*  84177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84182 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84187 */   // GIR_Coverage, 6562,
     /*  84187 */   GIR_Done,
     /*  84188 */ // Label 1438: @84188
     /*  84188 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(84215), // Rule ID 6571 //
     /*  84193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84204 */   // (bitconvert:{ *:[f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  84204 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84209 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84214 */   // GIR_Coverage, 6571,
     /*  84214 */   GIR_Done,
     /*  84215 */ // Label 1439: @84215
     /*  84215 */ GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(84242), // Rule ID 6572 //
     /*  84220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84231 */   // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } FPR64:{ *:[f64] }:$Xn, GPR64:{ *:[i32] })
     /*  84231 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84236 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84241 */   // GIR_Coverage, 6572,
     /*  84241 */   GIR_Done,
     /*  84242 */ // Label 1440: @84242
     /*  84242 */ GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(84269), // Rule ID 6573 //
     /*  84247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84258 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  84258 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84263 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  84268 */   // GIR_Coverage, 6573,
     /*  84268 */   GIR_Done,
     /*  84269 */ // Label 1441: @84269
     /*  84269 */ GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(84301), // Rule ID 6574 //
     /*  84274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84288 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84291 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84293 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84295 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84300 */   // GIR_Coverage, 6574,
     /*  84300 */   GIR_EraseRootFromParent_Done,
     /*  84301 */ // Label 1442: @84301
     /*  84301 */ GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(84333), // Rule ID 6575 //
     /*  84306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84320 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84323 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84325 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84327 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84332 */   // GIR_Coverage, 6575,
     /*  84332 */   GIR_EraseRootFromParent_Done,
     /*  84333 */ // Label 1443: @84333
     /*  84333 */ GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(84365), // Rule ID 6576 //
     /*  84338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  84344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84352 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84355 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84357 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84359 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84364 */   // GIR_Coverage, 6576,
     /*  84364 */   GIR_EraseRootFromParent_Done,
     /*  84365 */ // Label 1444: @84365
     /*  84365 */ GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(84397), // Rule ID 6577 //
     /*  84370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84384 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84387 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84389 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84391 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84396 */   // GIR_Coverage, 6577,
     /*  84396 */   GIR_EraseRootFromParent_Done,
     /*  84397 */ // Label 1445: @84397
     /*  84397 */ GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(84429), // Rule ID 6578 //
     /*  84402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84416 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84419 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84421 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84423 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84428 */   // GIR_Coverage, 6578,
     /*  84428 */   GIR_EraseRootFromParent_Done,
     /*  84429 */ // Label 1446: @84429
     /*  84429 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(84455), // Rule ID 6579 //
     /*  84434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84448 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)
     /*  84448 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84453 */   GIR_RootConstrainSelectedInstOperands,
     /*  84454 */   // GIR_Coverage, 6579,
     /*  84454 */   GIR_Done,
     /*  84455 */ // Label 1447: @84455
     /*  84455 */ GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(84481), // Rule ID 6580 //
     /*  84460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84474 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)
     /*  84474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  84479 */   GIR_RootConstrainSelectedInstOperands,
     /*  84480 */   // GIR_Coverage, 6580,
     /*  84480 */   GIR_Done,
     /*  84481 */ // Label 1448: @84481
     /*  84481 */ GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(84507), // Rule ID 6581 //
     /*  84486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  84492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84500 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)
     /*  84500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  84505 */   GIR_RootConstrainSelectedInstOperands,
     /*  84506 */   // GIR_Coverage, 6581,
     /*  84506 */   GIR_Done,
     /*  84507 */ // Label 1449: @84507
     /*  84507 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(84533), // Rule ID 6582 //
     /*  84512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84526 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)
     /*  84526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  84531 */   GIR_RootConstrainSelectedInstOperands,
     /*  84532 */   // GIR_Coverage, 6582,
     /*  84532 */   GIR_Done,
     /*  84533 */ // Label 1450: @84533
     /*  84533 */ GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(84559), // Rule ID 6583 //
     /*  84538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84552 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)
     /*  84552 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84557 */   GIR_RootConstrainSelectedInstOperands,
     /*  84558 */   // GIR_Coverage, 6583,
     /*  84558 */   GIR_Done,
     /*  84559 */ // Label 1451: @84559
     /*  84559 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(84588), // Rule ID 6584 //
     /*  84564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84575 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84578 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84580 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84582 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84587 */   // GIR_Coverage, 6584,
     /*  84587 */   GIR_EraseRootFromParent_Done,
     /*  84588 */ // Label 1452: @84588
     /*  84588 */ GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(84617), // Rule ID 6585 //
     /*  84593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84604 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  84604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84607 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84609 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84611 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84616 */   // GIR_Coverage, 6585,
     /*  84616 */   GIR_EraseRootFromParent_Done,
     /*  84617 */ // Label 1453: @84617
     /*  84617 */ GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(84649), // Rule ID 6639 //
     /*  84622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84636 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84639 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84641 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84643 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84648 */   // GIR_Coverage, 6639,
     /*  84648 */   GIR_EraseRootFromParent_Done,
     /*  84649 */ // Label 1454: @84649
     /*  84649 */ GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(84681), // Rule ID 6640 //
     /*  84654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84668 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84671 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84673 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84675 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84680 */   // GIR_Coverage, 6640,
     /*  84680 */   GIR_EraseRootFromParent_Done,
     /*  84681 */ // Label 1455: @84681
     /*  84681 */ GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(84713), // Rule ID 6641 //
     /*  84686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84700 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84703 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84705 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84712 */   // GIR_Coverage, 6641,
     /*  84712 */   GIR_EraseRootFromParent_Done,
     /*  84713 */ // Label 1456: @84713
     /*  84713 */ GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(84745), // Rule ID 6642 //
     /*  84718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  84724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84732 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84744 */   // GIR_Coverage, 6642,
     /*  84744 */   GIR_EraseRootFromParent_Done,
     /*  84745 */ // Label 1457: @84745
     /*  84745 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(84777), // Rule ID 6643 //
     /*  84750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84764 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84767 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84776 */   // GIR_Coverage, 6643,
     /*  84776 */   GIR_EraseRootFromParent_Done,
     /*  84777 */ // Label 1458: @84777
     /*  84777 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(84803), // Rule ID 6644 //
     /*  84782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84796 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)
     /*  84796 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84801 */   GIR_RootConstrainSelectedInstOperands,
     /*  84802 */   // GIR_Coverage, 6644,
     /*  84802 */   GIR_Done,
     /*  84803 */ // Label 1459: @84803
     /*  84803 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(84829), // Rule ID 6645 //
     /*  84808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84822 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)
     /*  84822 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  84827 */   GIR_RootConstrainSelectedInstOperands,
     /*  84828 */   // GIR_Coverage, 6645,
     /*  84828 */   GIR_Done,
     /*  84829 */ // Label 1460: @84829
     /*  84829 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(84855), // Rule ID 6646 //
     /*  84834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84848 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)
     /*  84848 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  84853 */   GIR_RootConstrainSelectedInstOperands,
     /*  84854 */   // GIR_Coverage, 6646,
     /*  84854 */   GIR_Done,
     /*  84855 */ // Label 1461: @84855
     /*  84855 */ GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(84881), // Rule ID 6647 //
     /*  84860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  84866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84874 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)
     /*  84874 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  84879 */   GIR_RootConstrainSelectedInstOperands,
     /*  84880 */   // GIR_Coverage, 6647,
     /*  84880 */   GIR_Done,
     /*  84881 */ // Label 1462: @84881
     /*  84881 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(84907), // Rule ID 6648 //
     /*  84886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  84889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  84892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84900 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)
     /*  84900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  84905 */   GIR_RootConstrainSelectedInstOperands,
     /*  84906 */   // GIR_Coverage, 6648,
     /*  84906 */   GIR_Done,
     /*  84907 */ // Label 1463: @84907
     /*  84907 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(84936), // Rule ID 6649 //
     /*  84912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84923 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84926 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84928 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84930 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84935 */   // GIR_Coverage, 6649,
     /*  84935 */   GIR_EraseRootFromParent_Done,
     /*  84936 */ // Label 1464: @84936
     /*  84936 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(84965), // Rule ID 6650 //
     /*  84941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  84944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84952 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  84952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84955 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84957 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84959 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84964 */   // GIR_Coverage, 6650,
     /*  84964 */   GIR_EraseRootFromParent_Done,
     /*  84965 */ // Label 1465: @84965
     /*  84965 */ GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(84997), // Rule ID 6651 //
     /*  84970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  84973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  84976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84984 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  84984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  84987 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  84989 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  84991 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84996 */   // GIR_Coverage, 6651,
     /*  84996 */   GIR_EraseRootFromParent_Done,
     /*  84997 */ // Label 1466: @84997
     /*  84997 */ GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(85029), // Rule ID 6652 //
     /*  85002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  85008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85016 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85019 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85021 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85023 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85028 */   // GIR_Coverage, 6652,
     /*  85028 */   GIR_EraseRootFromParent_Done,
     /*  85029 */ // Label 1467: @85029
     /*  85029 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(85061), // Rule ID 6653 //
     /*  85034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  85040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85048 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85051 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85053 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85055 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85060 */   // GIR_Coverage, 6653,
     /*  85060 */   GIR_EraseRootFromParent_Done,
     /*  85061 */ // Label 1468: @85061
     /*  85061 */ GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(85093), // Rule ID 6654 //
     /*  85066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  85072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85080 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85083 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85085 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85092 */   // GIR_Coverage, 6654,
     /*  85092 */   GIR_EraseRootFromParent_Done,
     /*  85093 */ // Label 1469: @85093
     /*  85093 */ GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(85125), // Rule ID 6655 //
     /*  85098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  85104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85112 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85115 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85117 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85119 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85124 */   // GIR_Coverage, 6655,
     /*  85124 */   GIR_EraseRootFromParent_Done,
     /*  85125 */ // Label 1470: @85125
     /*  85125 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(85151), // Rule ID 6656 //
     /*  85130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  85136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85144 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)
     /*  85144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  85149 */   GIR_RootConstrainSelectedInstOperands,
     /*  85150 */   // GIR_Coverage, 6656,
     /*  85150 */   GIR_Done,
     /*  85151 */ // Label 1471: @85151
     /*  85151 */ GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(85177), // Rule ID 6657 //
     /*  85156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  85162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85170 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)
     /*  85170 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  85175 */   GIR_RootConstrainSelectedInstOperands,
     /*  85176 */   // GIR_Coverage, 6657,
     /*  85176 */   GIR_Done,
     /*  85177 */ // Label 1472: @85177
     /*  85177 */ GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(85203), // Rule ID 6658 //
     /*  85182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  85188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85196 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)
     /*  85196 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  85201 */   GIR_RootConstrainSelectedInstOperands,
     /*  85202 */   // GIR_Coverage, 6658,
     /*  85202 */   GIR_Done,
     /*  85203 */ // Label 1473: @85203
     /*  85203 */ GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(85229), // Rule ID 6659 //
     /*  85208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  85214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85222 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)
     /*  85222 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  85227 */   GIR_RootConstrainSelectedInstOperands,
     /*  85228 */   // GIR_Coverage, 6659,
     /*  85228 */   GIR_Done,
     /*  85229 */ // Label 1474: @85229
     /*  85229 */ GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(85255), // Rule ID 6660 //
     /*  85234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  85240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85248 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)
     /*  85248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  85253 */   GIR_RootConstrainSelectedInstOperands,
     /*  85254 */   // GIR_Coverage, 6660,
     /*  85254 */   GIR_Done,
     /*  85255 */ // Label 1475: @85255
     /*  85255 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(85284), // Rule ID 6661 //
     /*  85260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  85263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85271 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85274 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85276 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85278 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85283 */   // GIR_Coverage, 6661,
     /*  85283 */   GIR_EraseRootFromParent_Done,
     /*  85284 */ // Label 1476: @85284
     /*  85284 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(85313), // Rule ID 6662 //
     /*  85289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  85292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85300 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  85300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85303 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85305 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85307 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85312 */   // GIR_Coverage, 6662,
     /*  85312 */   GIR_EraseRootFromParent_Done,
     /*  85313 */ // Label 1477: @85313
     /*  85313 */ GIM_Reject,
     /*  85314 */ // Label 1399: @85314
     /*  85314 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(85346), // Rule ID 6676 //
     /*  85319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  85325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85333 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85336 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85338 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85340 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85345 */   // GIR_Coverage, 6676,
     /*  85345 */   GIR_EraseRootFromParent_Done,
     /*  85346 */ // Label 1478: @85346
     /*  85346 */ GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(85378), // Rule ID 6677 //
     /*  85351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  85357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85365 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85368 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85370 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85372 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85377 */   // GIR_Coverage, 6677,
     /*  85377 */   GIR_EraseRootFromParent_Done,
     /*  85378 */ // Label 1479: @85378
     /*  85378 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(85410), // Rule ID 6678 //
     /*  85383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85397 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85400 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85402 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85404 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85409 */   // GIR_Coverage, 6678,
     /*  85409 */   GIR_EraseRootFromParent_Done,
     /*  85410 */ // Label 1480: @85410
     /*  85410 */ GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(85442), // Rule ID 6679 //
     /*  85415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  85421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85429 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85432 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85434 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85436 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85441 */   // GIR_Coverage, 6679,
     /*  85441 */   GIR_EraseRootFromParent_Done,
     /*  85442 */ // Label 1481: @85442
     /*  85442 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(85474), // Rule ID 6680 //
     /*  85447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  85453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85461 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85464 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85466 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85468 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85473 */   // GIR_Coverage, 6680,
     /*  85473 */   GIR_EraseRootFromParent_Done,
     /*  85474 */ // Label 1482: @85474
     /*  85474 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(85506), // Rule ID 6681 //
     /*  85479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85493 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85496 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85498 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85500 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85505 */   // GIR_Coverage, 6681,
     /*  85505 */   GIR_EraseRootFromParent_Done,
     /*  85506 */ // Label 1483: @85506
     /*  85506 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(85538), // Rule ID 6682 //
     /*  85511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  85517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85525 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  85525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85528 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  85530 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85532 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85537 */   // GIR_Coverage, 6682,
     /*  85537 */   GIR_EraseRootFromParent_Done,
     /*  85538 */ // Label 1484: @85538
     /*  85538 */ GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(85571), // Rule ID 6683 //
     /*  85543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  85549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85557 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2i64] }:$src, FPR128:{ *:[v2i64] }:$src, 8:{ *:[i32] })
     /*  85557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85562 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85564 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85569 */   GIR_RootConstrainSelectedInstOperands,
     /*  85570 */   // GIR_Coverage, 6683,
     /*  85570 */   GIR_EraseRootFromParent_Done,
     /*  85571 */ // Label 1485: @85571
     /*  85571 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(85642), // Rule ID 6684 //
     /*  85576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  85582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85590 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), 8:{ *:[i32] })
     /*  85590 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85593 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  85597 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85602 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  85615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85620 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  85637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85640 */   GIR_RootConstrainSelectedInstOperands,
     /*  85641 */   // GIR_Coverage, 6684,
     /*  85641 */   GIR_EraseRootFromParent_Done,
     /*  85642 */ // Label 1486: @85642
     /*  85642 */ GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(85713), // Rule ID 6685 //
     /*  85647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85661 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), 8:{ *:[i32] })
     /*  85661 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85664 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  85668 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85673 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  85686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85691 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  85708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85711 */   GIR_RootConstrainSelectedInstOperands,
     /*  85712 */   // GIR_Coverage, 6685,
     /*  85712 */   GIR_EraseRootFromParent_Done,
     /*  85713 */ // Label 1487: @85713
     /*  85713 */ GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(85784), // Rule ID 6686 //
     /*  85718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85732 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), 8:{ *:[i32] })
     /*  85732 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85735 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  85739 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85744 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  85757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85762 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  85779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85782 */   GIR_RootConstrainSelectedInstOperands,
     /*  85783 */   // GIR_Coverage, 6686,
     /*  85783 */   GIR_EraseRootFromParent_Done,
     /*  85784 */ // Label 1488: @85784
     /*  85784 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(85817), // Rule ID 6687 //
     /*  85789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  85795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85803 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2f64] }:$src, FPR128:{ *:[v2f64] }:$src, 8:{ *:[i32] })
     /*  85803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85808 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85810 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  85812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85815 */   GIR_RootConstrainSelectedInstOperands,
     /*  85816 */   // GIR_Coverage, 6687,
     /*  85816 */   GIR_EraseRootFromParent_Done,
     /*  85817 */ // Label 1489: @85817
     /*  85817 */ GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(85888), // Rule ID 6688 //
     /*  85822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  85828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85836 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), 8:{ *:[i32] })
     /*  85836 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85839 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  85843 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85848 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  85861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85866 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  85883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85886 */   GIR_RootConstrainSelectedInstOperands,
     /*  85887 */   // GIR_Coverage, 6688,
     /*  85887 */   GIR_EraseRootFromParent_Done,
     /*  85888 */ // Label 1490: @85888
     /*  85888 */ GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(85959), // Rule ID 6689 //
     /*  85893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  85896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  85899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85907 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), 8:{ *:[i32] })
     /*  85907 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85910 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  85914 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85919 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  85932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85937 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  85941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  85946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85948 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85951 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  85954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  85957 */   GIR_RootConstrainSelectedInstOperands,
     /*  85958 */   // GIR_Coverage, 6689,
     /*  85958 */   GIR_EraseRootFromParent_Done,
     /*  85959 */ // Label 1491: @85959
     /*  85959 */ GIM_Reject,
     /*  85960 */ // Label 1400: @85960
     /*  85960 */ GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(85990), // Rule ID 6541 //
     /*  85965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  85971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  85979 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  85979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  85984 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85989 */   // GIR_Coverage, 6541,
     /*  85989 */   GIR_Done,
     /*  85990 */ // Label 1492: @85990
     /*  85990 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(86020), // Rule ID 6543 //
     /*  85995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  85998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  86009 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  86009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86014 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86019 */   // GIR_Coverage, 6543,
     /*  86019 */   GIR_Done,
     /*  86020 */ // Label 1493: @86020
     /*  86020 */ GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(86070), // Rule ID 6552 //
     /*  86025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  86039 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2i32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  86039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  86042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86051 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  86055 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  86065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86068 */   GIR_RootConstrainSelectedInstOperands,
     /*  86069 */   // GIR_Coverage, 6552,
     /*  86069 */   GIR_EraseRootFromParent_Done,
     /*  86070 */ // Label 1494: @86070
     /*  86070 */ GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(86120), // Rule ID 6554 //
     /*  86075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  86089 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  86089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  86092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86101 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  86105 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  86115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86118 */   GIR_RootConstrainSelectedInstOperands,
     /*  86119 */   // GIR_Coverage, 6554,
     /*  86119 */   GIR_EraseRootFromParent_Done,
     /*  86120 */ // Label 1495: @86120
     /*  86120 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(86152), // Rule ID 6586 //
     /*  86125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86139 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86142 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86144 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86146 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86151 */   // GIR_Coverage, 6586,
     /*  86151 */   GIR_EraseRootFromParent_Done,
     /*  86152 */ // Label 1496: @86152
     /*  86152 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(86184), // Rule ID 6587 //
     /*  86157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86171 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86174 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86176 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86178 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86183 */   // GIR_Coverage, 6587,
     /*  86183 */   GIR_EraseRootFromParent_Done,
     /*  86184 */ // Label 1497: @86184
     /*  86184 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(86216), // Rule ID 6588 //
     /*  86189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  86195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86203 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86206 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86208 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86210 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86215 */   // GIR_Coverage, 6588,
     /*  86215 */   GIR_EraseRootFromParent_Done,
     /*  86216 */ // Label 1498: @86216
     /*  86216 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(86248), // Rule ID 6589 //
     /*  86221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86235 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86238 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86240 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86242 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86247 */   // GIR_Coverage, 6589,
     /*  86247 */   GIR_EraseRootFromParent_Done,
     /*  86248 */ // Label 1499: @86248
     /*  86248 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(86280), // Rule ID 6590 //
     /*  86253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86267 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86270 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86272 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86274 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86279 */   // GIR_Coverage, 6590,
     /*  86279 */   GIR_EraseRootFromParent_Done,
     /*  86280 */ // Label 1500: @86280
     /*  86280 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(86312), // Rule ID 6591 //
     /*  86285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86299 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86302 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86304 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86306 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86311 */   // GIR_Coverage, 6591,
     /*  86311 */   GIR_EraseRootFromParent_Done,
     /*  86312 */ // Label 1501: @86312
     /*  86312 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(86338), // Rule ID 6592 //
     /*  86317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86331 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)
     /*  86331 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86336 */   GIR_RootConstrainSelectedInstOperands,
     /*  86337 */   // GIR_Coverage, 6592,
     /*  86337 */   GIR_Done,
     /*  86338 */ // Label 1502: @86338
     /*  86338 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(86364), // Rule ID 6593 //
     /*  86343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86357 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)
     /*  86357 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  86362 */   GIR_RootConstrainSelectedInstOperands,
     /*  86363 */   // GIR_Coverage, 6593,
     /*  86363 */   GIR_Done,
     /*  86364 */ // Label 1503: @86364
     /*  86364 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(86390), // Rule ID 6594 //
     /*  86369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  86375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86383 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)
     /*  86383 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  86388 */   GIR_RootConstrainSelectedInstOperands,
     /*  86389 */   // GIR_Coverage, 6594,
     /*  86389 */   GIR_Done,
     /*  86390 */ // Label 1504: @86390
     /*  86390 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(86416), // Rule ID 6595 //
     /*  86395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86409 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)
     /*  86409 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86414 */   GIR_RootConstrainSelectedInstOperands,
     /*  86415 */   // GIR_Coverage, 6595,
     /*  86415 */   GIR_Done,
     /*  86416 */ // Label 1505: @86416
     /*  86416 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(86442), // Rule ID 6596 //
     /*  86421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86435 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)
     /*  86435 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86440 */   GIR_RootConstrainSelectedInstOperands,
     /*  86441 */   // GIR_Coverage, 6596,
     /*  86441 */   GIR_Done,
     /*  86442 */ // Label 1506: @86442
     /*  86442 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(86468), // Rule ID 6597 //
     /*  86447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86461 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)
     /*  86461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  86466 */   GIR_RootConstrainSelectedInstOperands,
     /*  86467 */   // GIR_Coverage, 6597,
     /*  86467 */   GIR_Done,
     /*  86468 */ // Label 1507: @86468
     /*  86468 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(86497), // Rule ID 6598 //
     /*  86473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  86476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86484 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  86484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86487 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86489 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86491 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86496 */   // GIR_Coverage, 6598,
     /*  86496 */   GIR_EraseRootFromParent_Done,
     /*  86497 */ // Label 1508: @86497
     /*  86497 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(86529), // Rule ID 6663 //
     /*  86502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86516 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86519 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86521 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86523 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86528 */   // GIR_Coverage, 6663,
     /*  86528 */   GIR_EraseRootFromParent_Done,
     /*  86529 */ // Label 1509: @86529
     /*  86529 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(86561), // Rule ID 6664 //
     /*  86534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86548 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86551 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86553 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86555 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86560 */   // GIR_Coverage, 6664,
     /*  86560 */   GIR_EraseRootFromParent_Done,
     /*  86561 */ // Label 1510: @86561
     /*  86561 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(86593), // Rule ID 6665 //
     /*  86566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  86572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86580 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86583 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86585 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86587 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86592 */   // GIR_Coverage, 6665,
     /*  86592 */   GIR_EraseRootFromParent_Done,
     /*  86593 */ // Label 1511: @86593
     /*  86593 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(86625), // Rule ID 6666 //
     /*  86598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86612 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86615 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86617 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86619 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86624 */   // GIR_Coverage, 6666,
     /*  86624 */   GIR_EraseRootFromParent_Done,
     /*  86625 */ // Label 1512: @86625
     /*  86625 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(86657), // Rule ID 6667 //
     /*  86630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86644 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86647 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86649 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86651 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86656 */   // GIR_Coverage, 6667,
     /*  86656 */   GIR_EraseRootFromParent_Done,
     /*  86657 */ // Label 1513: @86657
     /*  86657 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(86689), // Rule ID 6668 //
     /*  86662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86676 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86679 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86681 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86683 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86688 */   // GIR_Coverage, 6668,
     /*  86688 */   GIR_EraseRootFromParent_Done,
     /*  86689 */ // Label 1514: @86689
     /*  86689 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(86715), // Rule ID 6669 //
     /*  86694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86708 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)
     /*  86708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86713 */   GIR_RootConstrainSelectedInstOperands,
     /*  86714 */   // GIR_Coverage, 6669,
     /*  86714 */   GIR_Done,
     /*  86715 */ // Label 1515: @86715
     /*  86715 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(86741), // Rule ID 6670 //
     /*  86720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86734 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)
     /*  86734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  86739 */   GIR_RootConstrainSelectedInstOperands,
     /*  86740 */   // GIR_Coverage, 6670,
     /*  86740 */   GIR_Done,
     /*  86741 */ // Label 1516: @86741
     /*  86741 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(86767), // Rule ID 6671 //
     /*  86746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  86752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86760 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)
     /*  86760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  86765 */   GIR_RootConstrainSelectedInstOperands,
     /*  86766 */   // GIR_Coverage, 6671,
     /*  86766 */   GIR_Done,
     /*  86767 */ // Label 1517: @86767
     /*  86767 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(86793), // Rule ID 6672 //
     /*  86772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86786 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)
     /*  86786 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86791 */   GIR_RootConstrainSelectedInstOperands,
     /*  86792 */   // GIR_Coverage, 6672,
     /*  86792 */   GIR_Done,
     /*  86793 */ // Label 1518: @86793
     /*  86793 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(86819), // Rule ID 6673 //
     /*  86798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  86804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86812 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)
     /*  86812 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  86817 */   GIR_RootConstrainSelectedInstOperands,
     /*  86818 */   // GIR_Coverage, 6673,
     /*  86818 */   GIR_Done,
     /*  86819 */ // Label 1519: @86819
     /*  86819 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(86845), // Rule ID 6674 //
     /*  86824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  86827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  86830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86838 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)
     /*  86838 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  86843 */   GIR_RootConstrainSelectedInstOperands,
     /*  86844 */   // GIR_Coverage, 6674,
     /*  86844 */   GIR_Done,
     /*  86845 */ // Label 1520: @86845
     /*  86845 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(86874), // Rule ID 6675 //
     /*  86850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  86853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86861 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  86861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86864 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86866 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86868 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86873 */   // GIR_Coverage, 6675,
     /*  86873 */   GIR_EraseRootFromParent_Done,
     /*  86874 */ // Label 1521: @86874
     /*  86874 */ GIM_Reject,
     /*  86875 */ // Label 1401: @86875
     /*  86875 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(86907), // Rule ID 6690 //
     /*  86880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  86886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86894 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  86894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86897 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86899 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86901 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86906 */   // GIR_Coverage, 6690,
     /*  86906 */   GIR_EraseRootFromParent_Done,
     /*  86907 */ // Label 1522: @86907
     /*  86907 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(86939), // Rule ID 6691 //
     /*  86912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  86918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86926 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  86926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86929 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86931 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86933 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86938 */   // GIR_Coverage, 6691,
     /*  86938 */   GIR_EraseRootFromParent_Done,
     /*  86939 */ // Label 1523: @86939
     /*  86939 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(86971), // Rule ID 6692 //
     /*  86944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86958 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  86958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86961 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86963 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86965 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86970 */   // GIR_Coverage, 6692,
     /*  86970 */   GIR_EraseRootFromParent_Done,
     /*  86971 */ // Label 1524: @86971
     /*  86971 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(87003), // Rule ID 6693 //
     /*  86976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  86979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86990 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  86990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  86993 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  86995 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  86997 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87002 */   // GIR_Coverage, 6693,
     /*  87002 */   GIR_EraseRootFromParent_Done,
     /*  87003 */ // Label 1525: @87003
     /*  87003 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(87035), // Rule ID 6694 //
     /*  87008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  87014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87022 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  87022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87025 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87027 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87029 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87034 */   // GIR_Coverage, 6694,
     /*  87034 */   GIR_EraseRootFromParent_Done,
     /*  87035 */ // Label 1526: @87035
     /*  87035 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(87067), // Rule ID 6695 //
     /*  87040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87054 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  87054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87057 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87059 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87061 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87066 */   // GIR_Coverage, 6695,
     /*  87066 */   GIR_EraseRootFromParent_Done,
     /*  87067 */ // Label 1527: @87067
     /*  87067 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(87100), // Rule ID 6696 //
     /*  87072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  87078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87086 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2f64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  87086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  87089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87091 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87093 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  87098 */   GIR_RootConstrainSelectedInstOperands,
     /*  87099 */   // GIR_Coverage, 6696,
     /*  87099 */   GIR_EraseRootFromParent_Done,
     /*  87100 */ // Label 1528: @87100
     /*  87100 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(87126), // Rule ID 6697 //
     /*  87105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87119 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)
     /*  87119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  87124 */   GIR_RootConstrainSelectedInstOperands,
     /*  87125 */   // GIR_Coverage, 6697,
     /*  87125 */   GIR_Done,
     /*  87126 */ // Label 1529: @87126
     /*  87126 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(87152), // Rule ID 6698 //
     /*  87131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87145 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)
     /*  87145 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  87150 */   GIR_RootConstrainSelectedInstOperands,
     /*  87151 */   // GIR_Coverage, 6698,
     /*  87151 */   GIR_Done,
     /*  87152 */ // Label 1530: @87152
     /*  87152 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(87178), // Rule ID 6699 //
     /*  87157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87171 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)
     /*  87171 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  87176 */   GIR_RootConstrainSelectedInstOperands,
     /*  87177 */   // GIR_Coverage, 6699,
     /*  87177 */   GIR_Done,
     /*  87178 */ // Label 1531: @87178
     /*  87178 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(87204), // Rule ID 6700 //
     /*  87183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  87189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87197 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)
     /*  87197 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  87202 */   GIR_RootConstrainSelectedInstOperands,
     /*  87203 */   // GIR_Coverage, 6700,
     /*  87203 */   GIR_Done,
     /*  87204 */ // Label 1532: @87204
     /*  87204 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(87230), // Rule ID 6701 //
     /*  87209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87223 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)
     /*  87223 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  87228 */   GIR_RootConstrainSelectedInstOperands,
     /*  87229 */   // GIR_Coverage, 6701,
     /*  87229 */   GIR_Done,
     /*  87230 */ // Label 1533: @87230
     /*  87230 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(87259), // Rule ID 6702 //
     /*  87235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  87238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87246 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  87246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87249 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87251 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87253 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87258 */   // GIR_Coverage, 6702,
     /*  87258 */   GIR_EraseRootFromParent_Done,
     /*  87259 */ // Label 1534: @87259
     /*  87259 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(87291), // Rule ID 6716 //
     /*  87264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  87270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87278 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87281 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87283 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87285 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87290 */   // GIR_Coverage, 6716,
     /*  87290 */   GIR_EraseRootFromParent_Done,
     /*  87291 */ // Label 1535: @87291
     /*  87291 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(87323), // Rule ID 6717 //
     /*  87296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87310 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87313 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87315 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87317 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87322 */   // GIR_Coverage, 6717,
     /*  87322 */   GIR_EraseRootFromParent_Done,
     /*  87323 */ // Label 1536: @87323
     /*  87323 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(87355), // Rule ID 6718 //
     /*  87328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87342 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87345 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87347 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87349 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87354 */   // GIR_Coverage, 6718,
     /*  87354 */   GIR_EraseRootFromParent_Done,
     /*  87355 */ // Label 1537: @87355
     /*  87355 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(87387), // Rule ID 6719 //
     /*  87360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  87366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87374 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87377 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87379 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87381 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87386 */   // GIR_Coverage, 6719,
     /*  87386 */   GIR_EraseRootFromParent_Done,
     /*  87387 */ // Label 1538: @87387
     /*  87387 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(87419), // Rule ID 6720 //
     /*  87392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87406 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87409 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87411 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87413 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87418 */   // GIR_Coverage, 6720,
     /*  87418 */   GIR_EraseRootFromParent_Done,
     /*  87419 */ // Label 1539: @87419
     /*  87419 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(87451), // Rule ID 6721 //
     /*  87424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87438 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87441 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87443 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87445 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87450 */   // GIR_Coverage, 6721,
     /*  87450 */   GIR_EraseRootFromParent_Done,
     /*  87451 */ // Label 1540: @87451
     /*  87451 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(87484), // Rule ID 6722 //
     /*  87456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  87462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87470 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2i64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  87470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  87473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87475 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87477 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  87482 */   GIR_RootConstrainSelectedInstOperands,
     /*  87483 */   // GIR_Coverage, 6722,
     /*  87483 */   GIR_EraseRootFromParent_Done,
     /*  87484 */ // Label 1541: @87484
     /*  87484 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(87510), // Rule ID 6723 //
     /*  87489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87503 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)
     /*  87503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  87508 */   GIR_RootConstrainSelectedInstOperands,
     /*  87509 */   // GIR_Coverage, 6723,
     /*  87509 */   GIR_Done,
     /*  87510 */ // Label 1542: @87510
     /*  87510 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(87536), // Rule ID 6724 //
     /*  87515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87529 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)
     /*  87529 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  87534 */   GIR_RootConstrainSelectedInstOperands,
     /*  87535 */   // GIR_Coverage, 6724,
     /*  87535 */   GIR_Done,
     /*  87536 */ // Label 1543: @87536
     /*  87536 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(87562), // Rule ID 6725 //
     /*  87541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  87547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87555 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)
     /*  87555 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  87560 */   GIR_RootConstrainSelectedInstOperands,
     /*  87561 */   // GIR_Coverage, 6725,
     /*  87561 */   GIR_Done,
     /*  87562 */ // Label 1544: @87562
     /*  87562 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(87588), // Rule ID 6726 //
     /*  87567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87581 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)
     /*  87581 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  87586 */   GIR_RootConstrainSelectedInstOperands,
     /*  87587 */   // GIR_Coverage, 6726,
     /*  87587 */   GIR_Done,
     /*  87588 */ // Label 1545: @87588
     /*  87588 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(87614), // Rule ID 6727 //
     /*  87593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87607 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)
     /*  87607 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  87612 */   GIR_RootConstrainSelectedInstOperands,
     /*  87613 */   // GIR_Coverage, 6727,
     /*  87613 */   GIR_Done,
     /*  87614 */ // Label 1546: @87614
     /*  87614 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(87643), // Rule ID 6728 //
     /*  87619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  87622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87630 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  87630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87633 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87635 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87637 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87642 */   // GIR_Coverage, 6728,
     /*  87642 */   GIR_EraseRootFromParent_Done,
     /*  87643 */ // Label 1547: @87643
     /*  87643 */ GIM_Reject,
     /*  87644 */ // Label 1402: @87644
     /*  87644 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(87674), // Rule ID 6540 //
     /*  87649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87663 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  87663 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87668 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87673 */   // GIR_Coverage, 6540,
     /*  87673 */   GIR_Done,
     /*  87674 */ // Label 1548: @87674
     /*  87674 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(87704), // Rule ID 6542 //
     /*  87679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87693 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  87693 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87698 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87703 */   // GIR_Coverage, 6542,
     /*  87703 */   GIR_Done,
     /*  87704 */ // Label 1549: @87704
     /*  87704 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(87754), // Rule ID 6551 //
     /*  87709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87723 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4i16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  87723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87735 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  87739 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  87747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87752 */   GIR_RootConstrainSelectedInstOperands,
     /*  87753 */   // GIR_Coverage, 6551,
     /*  87753 */   GIR_EraseRootFromParent_Done,
     /*  87754 */ // Label 1550: @87754
     /*  87754 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(87804), // Rule ID 6553 //
     /*  87759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87773 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  87773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87785 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  87789 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  87797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87802 */   GIR_RootConstrainSelectedInstOperands,
     /*  87803 */   // GIR_Coverage, 6553,
     /*  87803 */   GIR_EraseRootFromParent_Done,
     /*  87804 */ // Label 1551: @87804
     /*  87804 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(87836), // Rule ID 6599 //
     /*  87809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87823 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87826 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87828 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87830 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87835 */   // GIR_Coverage, 6599,
     /*  87835 */   GIR_EraseRootFromParent_Done,
     /*  87836 */ // Label 1552: @87836
     /*  87836 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(87868), // Rule ID 6600 //
     /*  87841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  87847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87855 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87858 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87860 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87862 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87867 */   // GIR_Coverage, 6600,
     /*  87867 */   GIR_EraseRootFromParent_Done,
     /*  87868 */ // Label 1553: @87868
     /*  87868 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(87900), // Rule ID 6601 //
     /*  87873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  87879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87887 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87890 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87892 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87899 */   // GIR_Coverage, 6601,
     /*  87899 */   GIR_EraseRootFromParent_Done,
     /*  87900 */ // Label 1554: @87900
     /*  87900 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(87932), // Rule ID 6602 //
     /*  87905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87919 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87922 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87924 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87931 */   // GIR_Coverage, 6602,
     /*  87931 */   GIR_EraseRootFromParent_Done,
     /*  87932 */ // Label 1555: @87932
     /*  87932 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(87964), // Rule ID 6603 //
     /*  87937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  87943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87951 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87954 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87956 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87958 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87963 */   // GIR_Coverage, 6603,
     /*  87963 */   GIR_EraseRootFromParent_Done,
     /*  87964 */ // Label 1556: @87964
     /*  87964 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(87996), // Rule ID 6604 //
     /*  87969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87983 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  87983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87986 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  87988 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  87990 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87995 */   // GIR_Coverage, 6604,
     /*  87995 */   GIR_EraseRootFromParent_Done,
     /*  87996 */ // Label 1557: @87996
     /*  87996 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(88022), // Rule ID 6605 //
     /*  88001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88015 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)
     /*  88015 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88020 */   GIR_RootConstrainSelectedInstOperands,
     /*  88021 */   // GIR_Coverage, 6605,
     /*  88021 */   GIR_Done,
     /*  88022 */ // Label 1558: @88022
     /*  88022 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(88048), // Rule ID 6606 //
     /*  88027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88041 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)
     /*  88041 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  88046 */   GIR_RootConstrainSelectedInstOperands,
     /*  88047 */   // GIR_Coverage, 6606,
     /*  88047 */   GIR_Done,
     /*  88048 */ // Label 1559: @88048
     /*  88048 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(88074), // Rule ID 6607 //
     /*  88053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88067 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)
     /*  88067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  88072 */   GIR_RootConstrainSelectedInstOperands,
     /*  88073 */   // GIR_Coverage, 6607,
     /*  88073 */   GIR_Done,
     /*  88074 */ // Label 1560: @88074
     /*  88074 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(88100), // Rule ID 6608 //
     /*  88079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88093 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)
     /*  88093 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88098 */   GIR_RootConstrainSelectedInstOperands,
     /*  88099 */   // GIR_Coverage, 6608,
     /*  88099 */   GIR_Done,
     /*  88100 */ // Label 1561: @88100
     /*  88100 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(88126), // Rule ID 6609 //
     /*  88105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88119 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)
     /*  88119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  88124 */   GIR_RootConstrainSelectedInstOperands,
     /*  88125 */   // GIR_Coverage, 6609,
     /*  88125 */   GIR_Done,
     /*  88126 */ // Label 1562: @88126
     /*  88126 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(88152), // Rule ID 6610 //
     /*  88131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88145 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)
     /*  88145 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88150 */   GIR_RootConstrainSelectedInstOperands,
     /*  88151 */   // GIR_Coverage, 6610,
     /*  88151 */   GIR_Done,
     /*  88152 */ // Label 1563: @88152
     /*  88152 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(88181), // Rule ID 6611 //
     /*  88157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88168 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  88168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88171 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88173 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88175 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88180 */   // GIR_Coverage, 6611,
     /*  88180 */   GIR_EraseRootFromParent_Done,
     /*  88181 */ // Label 1564: @88181
     /*  88181 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(88213), // Rule ID 6612 //
     /*  88186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88200 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88203 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88205 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88207 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88212 */   // GIR_Coverage, 6612,
     /*  88212 */   GIR_EraseRootFromParent_Done,
     /*  88213 */ // Label 1565: @88213
     /*  88213 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(88245), // Rule ID 6613 //
     /*  88218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88232 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88235 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88237 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88239 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88244 */   // GIR_Coverage, 6613,
     /*  88244 */   GIR_EraseRootFromParent_Done,
     /*  88245 */ // Label 1566: @88245
     /*  88245 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(88277), // Rule ID 6614 //
     /*  88250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88264 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88267 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88269 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88276 */   // GIR_Coverage, 6614,
     /*  88276 */   GIR_EraseRootFromParent_Done,
     /*  88277 */ // Label 1567: @88277
     /*  88277 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(88309), // Rule ID 6615 //
     /*  88282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88296 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88299 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88301 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88308 */   // GIR_Coverage, 6615,
     /*  88308 */   GIR_EraseRootFromParent_Done,
     /*  88309 */ // Label 1568: @88309
     /*  88309 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(88341), // Rule ID 6616 //
     /*  88314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88328 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88331 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88333 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88335 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88340 */   // GIR_Coverage, 6616,
     /*  88340 */   GIR_EraseRootFromParent_Done,
     /*  88341 */ // Label 1569: @88341
     /*  88341 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(88373), // Rule ID 6617 //
     /*  88346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88360 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88363 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88365 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88367 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88372 */   // GIR_Coverage, 6617,
     /*  88372 */   GIR_EraseRootFromParent_Done,
     /*  88373 */ // Label 1570: @88373
     /*  88373 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(88399), // Rule ID 6618 //
     /*  88378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88392 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)
     /*  88392 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88397 */   GIR_RootConstrainSelectedInstOperands,
     /*  88398 */   // GIR_Coverage, 6618,
     /*  88398 */   GIR_Done,
     /*  88399 */ // Label 1571: @88399
     /*  88399 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(88425), // Rule ID 6619 //
     /*  88404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88418 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)
     /*  88418 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  88423 */   GIR_RootConstrainSelectedInstOperands,
     /*  88424 */   // GIR_Coverage, 6619,
     /*  88424 */   GIR_Done,
     /*  88425 */ // Label 1572: @88425
     /*  88425 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(88451), // Rule ID 6620 //
     /*  88430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88444 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)
     /*  88444 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  88449 */   GIR_RootConstrainSelectedInstOperands,
     /*  88450 */   // GIR_Coverage, 6620,
     /*  88450 */   GIR_Done,
     /*  88451 */ // Label 1573: @88451
     /*  88451 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(88477), // Rule ID 6621 //
     /*  88456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88470 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)
     /*  88470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88475 */   GIR_RootConstrainSelectedInstOperands,
     /*  88476 */   // GIR_Coverage, 6621,
     /*  88476 */   GIR_Done,
     /*  88477 */ // Label 1574: @88477
     /*  88477 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(88503), // Rule ID 6622 //
     /*  88482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88496 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)
     /*  88496 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  88501 */   GIR_RootConstrainSelectedInstOperands,
     /*  88502 */   // GIR_Coverage, 6622,
     /*  88502 */   GIR_Done,
     /*  88503 */ // Label 1575: @88503
     /*  88503 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(88529), // Rule ID 6623 //
     /*  88508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88522 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)
     /*  88522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88527 */   GIR_RootConstrainSelectedInstOperands,
     /*  88528 */   // GIR_Coverage, 6623,
     /*  88528 */   GIR_Done,
     /*  88529 */ // Label 1576: @88529
     /*  88529 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(88558), // Rule ID 6624 //
     /*  88534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88545 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  88545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88548 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88550 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88552 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88557 */   // GIR_Coverage, 6624,
     /*  88557 */   GIR_EraseRootFromParent_Done,
     /*  88558 */ // Label 1577: @88558
     /*  88558 */ GIM_Reject,
     /*  88559 */ // Label 1403: @88559
     /*  88559 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(88591), // Rule ID 6703 //
     /*  88564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  88570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88578 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88581 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88583 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88585 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88590 */   // GIR_Coverage, 6703,
     /*  88590 */   GIR_EraseRootFromParent_Done,
     /*  88591 */ // Label 1578: @88591
     /*  88591 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(88623), // Rule ID 6704 //
     /*  88596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  88602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88610 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88613 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88615 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88617 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88622 */   // GIR_Coverage, 6704,
     /*  88622 */   GIR_EraseRootFromParent_Done,
     /*  88623 */ // Label 1579: @88623
     /*  88623 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(88655), // Rule ID 6705 //
     /*  88628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  88634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88642 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88645 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88647 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88649 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88654 */   // GIR_Coverage, 6705,
     /*  88654 */   GIR_EraseRootFromParent_Done,
     /*  88655 */ // Label 1580: @88655
     /*  88655 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(88687), // Rule ID 6706 //
     /*  88660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  88666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88674 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88677 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88679 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88686 */   // GIR_Coverage, 6706,
     /*  88686 */   GIR_EraseRootFromParent_Done,
     /*  88687 */ // Label 1581: @88687
     /*  88687 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(88719), // Rule ID 6707 //
     /*  88692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88706 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88709 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88711 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88713 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88718 */   // GIR_Coverage, 6707,
     /*  88718 */   GIR_EraseRootFromParent_Done,
     /*  88719 */ // Label 1582: @88719
     /*  88719 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(88751), // Rule ID 6708 //
     /*  88724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88738 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88741 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88743 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88745 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88750 */   // GIR_Coverage, 6708,
     /*  88750 */   GIR_EraseRootFromParent_Done,
     /*  88751 */ // Label 1583: @88751
     /*  88751 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(88822), // Rule ID 6709 //
     /*  88756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  88762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88770 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4f32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  88770 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  88773 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  88777 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88782 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  88786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  88788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  88791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  88795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  88804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  88806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  88809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  88817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  88820 */   GIR_RootConstrainSelectedInstOperands,
     /*  88821 */   // GIR_Coverage, 6709,
     /*  88821 */   GIR_EraseRootFromParent_Done,
     /*  88822 */ // Label 1584: @88822
     /*  88822 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(88848), // Rule ID 6710 //
     /*  88827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  88833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88841 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)
     /*  88841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  88846 */   GIR_RootConstrainSelectedInstOperands,
     /*  88847 */   // GIR_Coverage, 6710,
     /*  88847 */   GIR_Done,
     /*  88848 */ // Label 1585: @88848
     /*  88848 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(88874), // Rule ID 6711 //
     /*  88853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  88859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88867 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)
     /*  88867 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  88872 */   GIR_RootConstrainSelectedInstOperands,
     /*  88873 */   // GIR_Coverage, 6711,
     /*  88873 */   GIR_Done,
     /*  88874 */ // Label 1586: @88874
     /*  88874 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(88900), // Rule ID 6712 //
     /*  88879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  88885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88893 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)
     /*  88893 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  88898 */   GIR_RootConstrainSelectedInstOperands,
     /*  88899 */   // GIR_Coverage, 6712,
     /*  88899 */   GIR_Done,
     /*  88900 */ // Label 1587: @88900
     /*  88900 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(88926), // Rule ID 6713 //
     /*  88905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88919 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)
     /*  88919 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  88924 */   GIR_RootConstrainSelectedInstOperands,
     /*  88925 */   // GIR_Coverage, 6713,
     /*  88925 */   GIR_Done,
     /*  88926 */ // Label 1588: @88926
     /*  88926 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(88952), // Rule ID 6714 //
     /*  88931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88945 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)
     /*  88945 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  88950 */   GIR_RootConstrainSelectedInstOperands,
     /*  88951 */   // GIR_Coverage, 6714,
     /*  88951 */   GIR_Done,
     /*  88952 */ // Label 1589: @88952
     /*  88952 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(88981), // Rule ID 6715 //
     /*  88957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  88960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88968 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  88968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88971 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88973 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88975 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88980 */   // GIR_Coverage, 6715,
     /*  88980 */   GIR_EraseRootFromParent_Done,
     /*  88981 */ // Label 1590: @88981
     /*  88981 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(89013), // Rule ID 6729 //
     /*  88986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  88992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89000 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89003 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89005 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89007 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89012 */   // GIR_Coverage, 6729,
     /*  89012 */   GIR_EraseRootFromParent_Done,
     /*  89013 */ // Label 1591: @89013
     /*  89013 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(89045), // Rule ID 6730 //
     /*  89018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89032 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89035 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89037 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89044 */   // GIR_Coverage, 6730,
     /*  89044 */   GIR_EraseRootFromParent_Done,
     /*  89045 */ // Label 1592: @89045
     /*  89045 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(89077), // Rule ID 6731 //
     /*  89050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89064 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89067 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89076 */   // GIR_Coverage, 6731,
     /*  89076 */   GIR_EraseRootFromParent_Done,
     /*  89077 */ // Label 1593: @89077
     /*  89077 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(89109), // Rule ID 6732 //
     /*  89082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  89088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89096 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89099 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89101 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89103 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89108 */   // GIR_Coverage, 6732,
     /*  89108 */   GIR_EraseRootFromParent_Done,
     /*  89109 */ // Label 1594: @89109
     /*  89109 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(89141), // Rule ID 6733 //
     /*  89114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89128 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89131 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89133 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89135 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89140 */   // GIR_Coverage, 6733,
     /*  89140 */   GIR_EraseRootFromParent_Done,
     /*  89141 */ // Label 1595: @89141
     /*  89141 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(89173), // Rule ID 6734 //
     /*  89146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89160 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89163 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89165 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89167 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89172 */   // GIR_Coverage, 6734,
     /*  89172 */   GIR_EraseRootFromParent_Done,
     /*  89173 */ // Label 1596: @89173
     /*  89173 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(89244), // Rule ID 6735 //
     /*  89178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  89184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89192 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4i32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  89192 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89195 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89199 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89204 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89210 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89213 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89217 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89222 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89242 */   GIR_RootConstrainSelectedInstOperands,
     /*  89243 */   // GIR_Coverage, 6735,
     /*  89243 */   GIR_EraseRootFromParent_Done,
     /*  89244 */ // Label 1597: @89244
     /*  89244 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(89270), // Rule ID 6736 //
     /*  89249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89263 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)
     /*  89263 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89268 */   GIR_RootConstrainSelectedInstOperands,
     /*  89269 */   // GIR_Coverage, 6736,
     /*  89269 */   GIR_Done,
     /*  89270 */ // Label 1598: @89270
     /*  89270 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(89296), // Rule ID 6737 //
     /*  89275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89289 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)
     /*  89289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  89294 */   GIR_RootConstrainSelectedInstOperands,
     /*  89295 */   // GIR_Coverage, 6737,
     /*  89295 */   GIR_Done,
     /*  89296 */ // Label 1599: @89296
     /*  89296 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(89322), // Rule ID 6738 //
     /*  89301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  89307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89315 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)
     /*  89315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  89320 */   GIR_RootConstrainSelectedInstOperands,
     /*  89321 */   // GIR_Coverage, 6738,
     /*  89321 */   GIR_Done,
     /*  89322 */ // Label 1600: @89322
     /*  89322 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(89348), // Rule ID 6739 //
     /*  89327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89341 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)
     /*  89341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89346 */   GIR_RootConstrainSelectedInstOperands,
     /*  89347 */   // GIR_Coverage, 6739,
     /*  89347 */   GIR_Done,
     /*  89348 */ // Label 1601: @89348
     /*  89348 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(89374), // Rule ID 6740 //
     /*  89353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89367 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)
     /*  89367 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  89372 */   GIR_RootConstrainSelectedInstOperands,
     /*  89373 */   // GIR_Coverage, 6740,
     /*  89373 */   GIR_Done,
     /*  89374 */ // Label 1602: @89374
     /*  89374 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(89403), // Rule ID 6741 //
     /*  89379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  89382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89390 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  89390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89393 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89402 */   // GIR_Coverage, 6741,
     /*  89402 */   GIR_EraseRootFromParent_Done,
     /*  89403 */ // Label 1603: @89403
     /*  89403 */ GIM_Reject,
     /*  89404 */ // Label 1404: @89404
     /*  89404 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(89478), // Rule ID 5592 //
     /*  89409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89416 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  89420 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  89424 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  89428 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  89433 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89435 */   // (bitconvert:{ *:[v8i8] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn))  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (FMOVWSr:{ *:[f32] } GPR32:{ *:[i32] }:$Rn), ssub:{ *:[i32] })
     /*  89435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  89438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVWSr),
     /*  89442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89447 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  89451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  89456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  89461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /*  89467 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89472 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  89477 */   // GIR_Coverage, 5592,
     /*  89477 */   GIR_EraseRootFromParent_Done,
     /*  89478 */ // Label 1604: @89478
     /*  89478 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(89508), // Rule ID 6539 //
     /*  89483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  89497 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  89497 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89502 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89507 */   // GIR_Coverage, 6539,
     /*  89507 */   GIR_Done,
     /*  89508 */ // Label 1605: @89508
     /*  89508 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(89558), // Rule ID 6550 //
     /*  89513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  89527 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v8i8:{ *:[v8i8] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  89527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  89530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89539 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  89543 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89556 */   GIR_RootConstrainSelectedInstOperands,
     /*  89557 */   // GIR_Coverage, 6550,
     /*  89557 */   GIR_EraseRootFromParent_Done,
     /*  89558 */ // Label 1606: @89558
     /*  89558 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(89590), // Rule ID 6625 //
     /*  89563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89577 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89580 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89582 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89589 */   // GIR_Coverage, 6625,
     /*  89589 */   GIR_EraseRootFromParent_Done,
     /*  89590 */ // Label 1607: @89590
     /*  89590 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(89622), // Rule ID 6626 //
     /*  89595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89609 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89612 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89614 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89616 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89621 */   // GIR_Coverage, 6626,
     /*  89621 */   GIR_EraseRootFromParent_Done,
     /*  89622 */ // Label 1608: @89622
     /*  89622 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(89654), // Rule ID 6627 //
     /*  89627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89641 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89644 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89646 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89653 */   // GIR_Coverage, 6627,
     /*  89653 */   GIR_EraseRootFromParent_Done,
     /*  89654 */ // Label 1609: @89654
     /*  89654 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(89686), // Rule ID 6628 //
     /*  89659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89673 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89676 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89678 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89680 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89685 */   // GIR_Coverage, 6628,
     /*  89685 */   GIR_EraseRootFromParent_Done,
     /*  89686 */ // Label 1610: @89686
     /*  89686 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(89718), // Rule ID 6629 //
     /*  89691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89705 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89708 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89710 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89712 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89717 */   // GIR_Coverage, 6629,
     /*  89717 */   GIR_EraseRootFromParent_Done,
     /*  89718 */ // Label 1611: @89718
     /*  89718 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(89750), // Rule ID 6630 //
     /*  89723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89737 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89740 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89742 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89744 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89749 */   // GIR_Coverage, 6630,
     /*  89749 */   GIR_EraseRootFromParent_Done,
     /*  89750 */ // Label 1612: @89750
     /*  89750 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(89782), // Rule ID 6631 //
     /*  89755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89769 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  89769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89772 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89774 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89776 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89781 */   // GIR_Coverage, 6631,
     /*  89781 */   GIR_EraseRootFromParent_Done,
     /*  89782 */ // Label 1613: @89782
     /*  89782 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(89808), // Rule ID 6632 //
     /*  89787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89801 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)
     /*  89801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89806 */   GIR_RootConstrainSelectedInstOperands,
     /*  89807 */   // GIR_Coverage, 6632,
     /*  89807 */   GIR_Done,
     /*  89808 */ // Label 1614: @89808
     /*  89808 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(89834), // Rule ID 6633 //
     /*  89813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89827 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)
     /*  89827 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  89832 */   GIR_RootConstrainSelectedInstOperands,
     /*  89833 */   // GIR_Coverage, 6633,
     /*  89833 */   GIR_Done,
     /*  89834 */ // Label 1615: @89834
     /*  89834 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(89860), // Rule ID 6634 //
     /*  89839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89853 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)
     /*  89853 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  89858 */   GIR_RootConstrainSelectedInstOperands,
     /*  89859 */   // GIR_Coverage, 6634,
     /*  89859 */   GIR_Done,
     /*  89860 */ // Label 1616: @89860
     /*  89860 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(89886), // Rule ID 6635 //
     /*  89865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89879 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)
     /*  89879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89884 */   GIR_RootConstrainSelectedInstOperands,
     /*  89885 */   // GIR_Coverage, 6635,
     /*  89885 */   GIR_Done,
     /*  89886 */ // Label 1617: @89886
     /*  89886 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(89912), // Rule ID 6636 //
     /*  89891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89905 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)
     /*  89905 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  89910 */   GIR_RootConstrainSelectedInstOperands,
     /*  89911 */   // GIR_Coverage, 6636,
     /*  89911 */   GIR_Done,
     /*  89912 */ // Label 1618: @89912
     /*  89912 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(89938), // Rule ID 6637 //
     /*  89917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89931 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)
     /*  89931 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89936 */   GIR_RootConstrainSelectedInstOperands,
     /*  89937 */   // GIR_Coverage, 6637,
     /*  89937 */   GIR_Done,
     /*  89938 */ // Label 1619: @89938
     /*  89938 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(89964), // Rule ID 6638 //
     /*  89943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89957 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)
     /*  89957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  89962 */   GIR_RootConstrainSelectedInstOperands,
     /*  89963 */   // GIR_Coverage, 6638,
     /*  89963 */   GIR_Done,
     /*  89964 */ // Label 1620: @89964
     /*  89964 */ GIM_Reject,
     /*  89965 */ // Label 1405: @89965
     /*  89965 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(89997), // Rule ID 6742 //
     /*  89970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  89976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89984 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  89984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89987 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89989 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89991 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89996 */   // GIR_Coverage, 6742,
     /*  89996 */   GIR_EraseRootFromParent_Done,
     /*  89997 */ // Label 1621: @89997
     /*  89997 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(90029), // Rule ID 6743 //
     /*  90002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90016 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90019 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90021 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90023 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90028 */   // GIR_Coverage, 6743,
     /*  90028 */   GIR_EraseRootFromParent_Done,
     /*  90029 */ // Label 1622: @90029
     /*  90029 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(90061), // Rule ID 6744 //
     /*  90034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90048 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90051 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90053 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90055 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90060 */   // GIR_Coverage, 6744,
     /*  90060 */   GIR_EraseRootFromParent_Done,
     /*  90061 */ // Label 1623: @90061
     /*  90061 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(90093), // Rule ID 6745 //
     /*  90066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90080 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90083 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90085 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90092 */   // GIR_Coverage, 6745,
     /*  90092 */   GIR_EraseRootFromParent_Done,
     /*  90093 */ // Label 1624: @90093
     /*  90093 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(90125), // Rule ID 6746 //
     /*  90098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90112 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90115 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90117 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90119 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90124 */   // GIR_Coverage, 6746,
     /*  90124 */   GIR_EraseRootFromParent_Done,
     /*  90125 */ // Label 1625: @90125
     /*  90125 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(90157), // Rule ID 6747 //
     /*  90130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90144 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90147 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90149 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90151 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90156 */   // GIR_Coverage, 6747,
     /*  90156 */   GIR_EraseRootFromParent_Done,
     /*  90157 */ // Label 1626: @90157
     /*  90157 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(90228), // Rule ID 6748 //
     /*  90162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  90168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90176 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8i16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  90176 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90179 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90183 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90188 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90206 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90226 */   GIR_RootConstrainSelectedInstOperands,
     /*  90227 */   // GIR_Coverage, 6748,
     /*  90227 */   GIR_EraseRootFromParent_Done,
     /*  90228 */ // Label 1627: @90228
     /*  90228 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(90254), // Rule ID 6749 //
     /*  90233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90247 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)
     /*  90247 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90252 */   GIR_RootConstrainSelectedInstOperands,
     /*  90253 */   // GIR_Coverage, 6749,
     /*  90253 */   GIR_Done,
     /*  90254 */ // Label 1628: @90254
     /*  90254 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(90280), // Rule ID 6750 //
     /*  90259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90273 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)
     /*  90273 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  90278 */   GIR_RootConstrainSelectedInstOperands,
     /*  90279 */   // GIR_Coverage, 6750,
     /*  90279 */   GIR_Done,
     /*  90280 */ // Label 1629: @90280
     /*  90280 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(90306), // Rule ID 6751 //
     /*  90285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90299 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)
     /*  90299 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  90304 */   GIR_RootConstrainSelectedInstOperands,
     /*  90305 */   // GIR_Coverage, 6751,
     /*  90305 */   GIR_Done,
     /*  90306 */ // Label 1630: @90306
     /*  90306 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(90332), // Rule ID 6752 //
     /*  90311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90325 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)
     /*  90325 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90330 */   GIR_RootConstrainSelectedInstOperands,
     /*  90331 */   // GIR_Coverage, 6752,
     /*  90331 */   GIR_Done,
     /*  90332 */ // Label 1631: @90332
     /*  90332 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(90358), // Rule ID 6753 //
     /*  90337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90351 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)
     /*  90351 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  90356 */   GIR_RootConstrainSelectedInstOperands,
     /*  90357 */   // GIR_Coverage, 6753,
     /*  90357 */   GIR_Done,
     /*  90358 */ // Label 1632: @90358
     /*  90358 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(90387), // Rule ID 6754 //
     /*  90363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90374 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  90374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90377 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90379 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90381 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90386 */   // GIR_Coverage, 6754,
     /*  90386 */   GIR_EraseRootFromParent_Done,
     /*  90387 */ // Label 1633: @90387
     /*  90387 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(90419), // Rule ID 6755 //
     /*  90392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  90398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90406 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90409 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90411 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90413 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90418 */   // GIR_Coverage, 6755,
     /*  90418 */   GIR_EraseRootFromParent_Done,
     /*  90419 */ // Label 1634: @90419
     /*  90419 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(90451), // Rule ID 6756 //
     /*  90424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90438 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90441 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90443 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90445 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90450 */   // GIR_Coverage, 6756,
     /*  90450 */   GIR_EraseRootFromParent_Done,
     /*  90451 */ // Label 1635: @90451
     /*  90451 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(90483), // Rule ID 6757 //
     /*  90456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90470 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90473 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90475 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90477 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90482 */   // GIR_Coverage, 6757,
     /*  90482 */   GIR_EraseRootFromParent_Done,
     /*  90483 */ // Label 1636: @90483
     /*  90483 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(90515), // Rule ID 6758 //
     /*  90488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90502 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90505 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90507 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90509 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90514 */   // GIR_Coverage, 6758,
     /*  90514 */   GIR_EraseRootFromParent_Done,
     /*  90515 */ // Label 1637: @90515
     /*  90515 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(90547), // Rule ID 6759 //
     /*  90520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90534 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90537 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90539 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90541 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90546 */   // GIR_Coverage, 6759,
     /*  90546 */   GIR_EraseRootFromParent_Done,
     /*  90547 */ // Label 1638: @90547
     /*  90547 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(90579), // Rule ID 6760 //
     /*  90552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90566 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90569 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90571 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90573 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90578 */   // GIR_Coverage, 6760,
     /*  90578 */   GIR_EraseRootFromParent_Done,
     /*  90579 */ // Label 1639: @90579
     /*  90579 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(90650), // Rule ID 6761 //
     /*  90584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  90590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90598 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8f16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  90598 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90601 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90605 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90610 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90616 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90619 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90623 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90628 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90648 */   GIR_RootConstrainSelectedInstOperands,
     /*  90649 */   // GIR_Coverage, 6761,
     /*  90649 */   GIR_EraseRootFromParent_Done,
     /*  90650 */ // Label 1640: @90650
     /*  90650 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(90676), // Rule ID 6762 //
     /*  90655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90669 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)
     /*  90669 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90674 */   GIR_RootConstrainSelectedInstOperands,
     /*  90675 */   // GIR_Coverage, 6762,
     /*  90675 */   GIR_Done,
     /*  90676 */ // Label 1641: @90676
     /*  90676 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(90702), // Rule ID 6763 //
     /*  90681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90695 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)
     /*  90695 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  90700 */   GIR_RootConstrainSelectedInstOperands,
     /*  90701 */   // GIR_Coverage, 6763,
     /*  90701 */   GIR_Done,
     /*  90702 */ // Label 1642: @90702
     /*  90702 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(90728), // Rule ID 6764 //
     /*  90707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90721 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)
     /*  90721 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  90726 */   GIR_RootConstrainSelectedInstOperands,
     /*  90727 */   // GIR_Coverage, 6764,
     /*  90727 */   GIR_Done,
     /*  90728 */ // Label 1643: @90728
     /*  90728 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(90754), // Rule ID 6765 //
     /*  90733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90747 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)
     /*  90747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90752 */   GIR_RootConstrainSelectedInstOperands,
     /*  90753 */   // GIR_Coverage, 6765,
     /*  90753 */   GIR_Done,
     /*  90754 */ // Label 1644: @90754
     /*  90754 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(90780), // Rule ID 6766 //
     /*  90759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90773 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)
     /*  90773 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  90778 */   GIR_RootConstrainSelectedInstOperands,
     /*  90779 */   // GIR_Coverage, 6766,
     /*  90779 */   GIR_Done,
     /*  90780 */ // Label 1645: @90780
     /*  90780 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(90809), // Rule ID 6767 //
     /*  90785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90796 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  90796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90799 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90801 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90808 */   // GIR_Coverage, 6767,
     /*  90808 */   GIR_EraseRootFromParent_Done,
     /*  90809 */ // Label 1646: @90809
     /*  90809 */ GIM_Reject,
     /*  90810 */ // Label 1406: @90810
     /*  90810 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(90842), // Rule ID 6768 //
     /*  90815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  90821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90829 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90832 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90834 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90836 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90841 */   // GIR_Coverage, 6768,
     /*  90841 */   GIR_EraseRootFromParent_Done,
     /*  90842 */ // Label 1647: @90842
     /*  90842 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(90874), // Rule ID 6769 //
     /*  90847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90861 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90864 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90866 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90868 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90873 */   // GIR_Coverage, 6769,
     /*  90873 */   GIR_EraseRootFromParent_Done,
     /*  90874 */ // Label 1648: @90874
     /*  90874 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(90906), // Rule ID 6770 //
     /*  90879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90893 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90896 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90898 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90900 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90905 */   // GIR_Coverage, 6770,
     /*  90905 */   GIR_EraseRootFromParent_Done,
     /*  90906 */ // Label 1649: @90906
     /*  90906 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(90938), // Rule ID 6771 //
     /*  90911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90925 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90928 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90930 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90932 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90937 */   // GIR_Coverage, 6771,
     /*  90937 */   GIR_EraseRootFromParent_Done,
     /*  90938 */ // Label 1650: @90938
     /*  90938 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(90970), // Rule ID 6772 //
     /*  90943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90957 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90960 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90962 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90964 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90969 */   // GIR_Coverage, 6772,
     /*  90969 */   GIR_EraseRootFromParent_Done,
     /*  90970 */ // Label 1651: @90970
     /*  90970 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(91002), // Rule ID 6773 //
     /*  90975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90989 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  90989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90992 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90994 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90996 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91001 */   // GIR_Coverage, 6773,
     /*  91001 */   GIR_EraseRootFromParent_Done,
     /*  91002 */ // Label 1652: @91002
     /*  91002 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(91034), // Rule ID 6774 //
     /*  91007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91021 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  91021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91024 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91026 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91028 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91033 */   // GIR_Coverage, 6774,
     /*  91033 */   GIR_EraseRootFromParent_Done,
     /*  91034 */ // Label 1653: @91034
     /*  91034 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(91105), // Rule ID 6775 //
     /*  91039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91053 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v16i8] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  91053 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  91056 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91060 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  91065 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  91069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  91071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  91074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  91083 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  91087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  91089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  91092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  91097 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  91100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  91103 */   GIR_RootConstrainSelectedInstOperands,
     /*  91104 */   // GIR_Coverage, 6775,
     /*  91104 */   GIR_EraseRootFromParent_Done,
     /*  91105 */ // Label 1654: @91105
     /*  91105 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(91131), // Rule ID 6776 //
     /*  91110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91124 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)
     /*  91124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91129 */   GIR_RootConstrainSelectedInstOperands,
     /*  91130 */   // GIR_Coverage, 6776,
     /*  91130 */   GIR_Done,
     /*  91131 */ // Label 1655: @91131
     /*  91131 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(91157), // Rule ID 6777 //
     /*  91136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91150 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)
     /*  91150 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  91155 */   GIR_RootConstrainSelectedInstOperands,
     /*  91156 */   // GIR_Coverage, 6777,
     /*  91156 */   GIR_Done,
     /*  91157 */ // Label 1656: @91157
     /*  91157 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(91183), // Rule ID 6778 //
     /*  91162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91176 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)
     /*  91176 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  91181 */   GIR_RootConstrainSelectedInstOperands,
     /*  91182 */   // GIR_Coverage, 6778,
     /*  91182 */   GIR_Done,
     /*  91183 */ // Label 1657: @91183
     /*  91183 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(91209), // Rule ID 6779 //
     /*  91188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91202 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)
     /*  91202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91207 */   GIR_RootConstrainSelectedInstOperands,
     /*  91208 */   // GIR_Coverage, 6779,
     /*  91208 */   GIR_Done,
     /*  91209 */ // Label 1658: @91209
     /*  91209 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(91235), // Rule ID 6780 //
     /*  91214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91228 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)
     /*  91228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  91233 */   GIR_RootConstrainSelectedInstOperands,
     /*  91234 */   // GIR_Coverage, 6780,
     /*  91234 */   GIR_Done,
     /*  91235 */ // Label 1659: @91235
     /*  91235 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(91261), // Rule ID 6781 //
     /*  91240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91254 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)
     /*  91254 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  91259 */   GIR_RootConstrainSelectedInstOperands,
     /*  91260 */   // GIR_Coverage, 6781,
     /*  91260 */   GIR_Done,
     /*  91261 */ // Label 1660: @91261
     /*  91261 */ GIM_Reject,
     /*  91262 */ // Label 1407: @91262
     /*  91262 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(91294), // Rule ID 10390 //
     /*  91267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  91273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91281 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91284 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91286 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91288 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91293 */   // GIR_Coverage, 10390,
     /*  91293 */   GIR_EraseRootFromParent_Done,
     /*  91294 */ // Label 1661: @91294
     /*  91294 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(91326), // Rule ID 10391 //
     /*  91299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91313 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91316 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91318 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91320 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91325 */   // GIR_Coverage, 10391,
     /*  91325 */   GIR_EraseRootFromParent_Done,
     /*  91326 */ // Label 1662: @91326
     /*  91326 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(91358), // Rule ID 10392 //
     /*  91331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91345 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91348 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91350 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91352 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91357 */   // GIR_Coverage, 10392,
     /*  91357 */   GIR_EraseRootFromParent_Done,
     /*  91358 */ // Label 1663: @91358
     /*  91358 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(91390), // Rule ID 10393 //
     /*  91363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91377 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91380 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91382 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91384 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91389 */   // GIR_Coverage, 10393,
     /*  91389 */   GIR_EraseRootFromParent_Done,
     /*  91390 */ // Label 1664: @91390
     /*  91390 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(91422), // Rule ID 10394 //
     /*  91395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91409 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91412 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91414 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91416 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91421 */   // GIR_Coverage, 10394,
     /*  91421 */   GIR_EraseRootFromParent_Done,
     /*  91422 */ // Label 1665: @91422
     /*  91422 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(91454), // Rule ID 10395 //
     /*  91427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91441 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91444 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91446 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91448 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91453 */   // GIR_Coverage, 10395,
     /*  91453 */   GIR_EraseRootFromParent_Done,
     /*  91454 */ // Label 1666: @91454
     /*  91454 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(91486), // Rule ID 10408 //
     /*  91459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  91465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91473 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91476 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91478 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91480 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91485 */   // GIR_Coverage, 10408,
     /*  91485 */   GIR_EraseRootFromParent_Done,
     /*  91486 */ // Label 1667: @91486
     /*  91486 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(91518), // Rule ID 10409 //
     /*  91491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91505 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91508 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91510 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91512 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91517 */   // GIR_Coverage, 10409,
     /*  91517 */   GIR_EraseRootFromParent_Done,
     /*  91518 */ // Label 1668: @91518
     /*  91518 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(91550), // Rule ID 10410 //
     /*  91523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91537 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91540 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91542 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91544 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91549 */   // GIR_Coverage, 10410,
     /*  91549 */   GIR_EraseRootFromParent_Done,
     /*  91550 */ // Label 1669: @91550
     /*  91550 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(91582), // Rule ID 10411 //
     /*  91555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91569 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91572 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91574 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91576 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91581 */   // GIR_Coverage, 10411,
     /*  91581 */   GIR_EraseRootFromParent_Done,
     /*  91582 */ // Label 1670: @91582
     /*  91582 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(91614), // Rule ID 10412 //
     /*  91587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91601 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91604 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91606 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91608 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91613 */   // GIR_Coverage, 10412,
     /*  91613 */   GIR_EraseRootFromParent_Done,
     /*  91614 */ // Label 1671: @91614
     /*  91614 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(91646), // Rule ID 10413 //
     /*  91619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91633 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91636 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91638 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91640 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91645 */   // GIR_Coverage, 10413,
     /*  91645 */   GIR_EraseRootFromParent_Done,
     /*  91646 */ // Label 1672: @91646
     /*  91646 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(91678), // Rule ID 10418 //
     /*  91651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  91654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91665 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  91665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91668 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91670 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91672 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91677 */   // GIR_Coverage, 10418,
     /*  91677 */   GIR_EraseRootFromParent_Done,
     /*  91678 */ // Label 1673: @91678
     /*  91678 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(91710), // Rule ID 10419 //
     /*  91683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  91686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91697 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  91697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91700 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91702 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91704 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91709 */   // GIR_Coverage, 10419,
     /*  91709 */   GIR_EraseRootFromParent_Done,
     /*  91710 */ // Label 1674: @91710
     /*  91710 */ GIM_Reject,
     /*  91711 */ // Label 1408: @91711
     /*  91711 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(91743), // Rule ID 10384 //
     /*  91716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  91722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91730 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91733 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91735 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91737 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91742 */   // GIR_Coverage, 10384,
     /*  91742 */   GIR_EraseRootFromParent_Done,
     /*  91743 */ // Label 1675: @91743
     /*  91743 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(91775), // Rule ID 10385 //
     /*  91748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91762 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91765 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91767 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91769 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91774 */   // GIR_Coverage, 10385,
     /*  91774 */   GIR_EraseRootFromParent_Done,
     /*  91775 */ // Label 1676: @91775
     /*  91775 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(91807), // Rule ID 10386 //
     /*  91780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91794 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91797 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91799 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91801 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91806 */   // GIR_Coverage, 10386,
     /*  91806 */   GIR_EraseRootFromParent_Done,
     /*  91807 */ // Label 1677: @91807
     /*  91807 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(91839), // Rule ID 10387 //
     /*  91812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91826 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91829 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91831 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91833 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91838 */   // GIR_Coverage, 10387,
     /*  91838 */   GIR_EraseRootFromParent_Done,
     /*  91839 */ // Label 1678: @91839
     /*  91839 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(91871), // Rule ID 10388 //
     /*  91844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91858 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91861 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91863 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91865 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91870 */   // GIR_Coverage, 10388,
     /*  91870 */   GIR_EraseRootFromParent_Done,
     /*  91871 */ // Label 1679: @91871
     /*  91871 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(91903), // Rule ID 10389 //
     /*  91876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  91882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91890 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  91890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91893 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91895 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91897 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91902 */   // GIR_Coverage, 10389,
     /*  91902 */   GIR_EraseRootFromParent_Done,
     /*  91903 */ // Label 1680: @91903
     /*  91903 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(91935), // Rule ID 10402 //
     /*  91908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  91914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91922 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  91922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91925 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91927 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91929 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91934 */   // GIR_Coverage, 10402,
     /*  91934 */   GIR_EraseRootFromParent_Done,
     /*  91935 */ // Label 1681: @91935
     /*  91935 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(91967), // Rule ID 10403 //
     /*  91940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  91946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91954 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  91954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91957 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91959 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91961 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91966 */   // GIR_Coverage, 10403,
     /*  91966 */   GIR_EraseRootFromParent_Done,
     /*  91967 */ // Label 1682: @91967
     /*  91967 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(91999), // Rule ID 10404 //
     /*  91972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  91978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91986 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  91986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91989 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91991 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91993 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  91998 */   // GIR_Coverage, 10404,
     /*  91998 */   GIR_EraseRootFromParent_Done,
     /*  91999 */ // Label 1683: @91999
     /*  91999 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(92031), // Rule ID 10405 //
     /*  92004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92018 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  92018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92021 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92023 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92025 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92030 */   // GIR_Coverage, 10405,
     /*  92030 */   GIR_EraseRootFromParent_Done,
     /*  92031 */ // Label 1684: @92031
     /*  92031 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(92063), // Rule ID 10406 //
     /*  92036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92050 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  92050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92053 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92055 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92057 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92062 */   // GIR_Coverage, 10406,
     /*  92062 */   GIR_EraseRootFromParent_Done,
     /*  92063 */ // Label 1685: @92063
     /*  92063 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(92095), // Rule ID 10407 //
     /*  92068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92082 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  92082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92085 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92087 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92089 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92094 */   // GIR_Coverage, 10407,
     /*  92094 */   GIR_EraseRootFromParent_Done,
     /*  92095 */ // Label 1686: @92095
     /*  92095 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(92127), // Rule ID 10416 //
     /*  92100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  92103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92114 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  92114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92117 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92119 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92121 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92126 */   // GIR_Coverage, 10416,
     /*  92126 */   GIR_EraseRootFromParent_Done,
     /*  92127 */ // Label 1687: @92127
     /*  92127 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(92159), // Rule ID 10417 //
     /*  92132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  92135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92146 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  92146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92149 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92151 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92153 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92158 */   // GIR_Coverage, 10417,
     /*  92158 */   GIR_EraseRootFromParent_Done,
     /*  92159 */ // Label 1688: @92159
     /*  92159 */ GIM_Reject,
     /*  92160 */ // Label 1409: @92160
     /*  92160 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(92192), // Rule ID 10378 //
     /*  92165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  92171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92179 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92182 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92184 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92186 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92191 */   // GIR_Coverage, 10378,
     /*  92191 */   GIR_EraseRootFromParent_Done,
     /*  92192 */ // Label 1689: @92192
     /*  92192 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(92224), // Rule ID 10379 //
     /*  92197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92211 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92214 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92216 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92218 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92223 */   // GIR_Coverage, 10379,
     /*  92223 */   GIR_EraseRootFromParent_Done,
     /*  92224 */ // Label 1690: @92224
     /*  92224 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(92256), // Rule ID 10380 //
     /*  92229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92243 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92246 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92248 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92250 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92255 */   // GIR_Coverage, 10380,
     /*  92255 */   GIR_EraseRootFromParent_Done,
     /*  92256 */ // Label 1691: @92256
     /*  92256 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(92288), // Rule ID 10381 //
     /*  92261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92275 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92278 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92280 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92282 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92287 */   // GIR_Coverage, 10381,
     /*  92287 */   GIR_EraseRootFromParent_Done,
     /*  92288 */ // Label 1692: @92288
     /*  92288 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(92320), // Rule ID 10382 //
     /*  92293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92307 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92310 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92312 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92314 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92319 */   // GIR_Coverage, 10382,
     /*  92319 */   GIR_EraseRootFromParent_Done,
     /*  92320 */ // Label 1693: @92320
     /*  92320 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(92352), // Rule ID 10383 //
     /*  92325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92339 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92342 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92344 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92346 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92351 */   // GIR_Coverage, 10383,
     /*  92351 */   GIR_EraseRootFromParent_Done,
     /*  92352 */ // Label 1694: @92352
     /*  92352 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(92384), // Rule ID 10396 //
     /*  92357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  92363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92371 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92374 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92376 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92378 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92383 */   // GIR_Coverage, 10396,
     /*  92383 */   GIR_EraseRootFromParent_Done,
     /*  92384 */ // Label 1695: @92384
     /*  92384 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(92416), // Rule ID 10397 //
     /*  92389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92403 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92406 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92408 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92410 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92415 */   // GIR_Coverage, 10397,
     /*  92415 */   GIR_EraseRootFromParent_Done,
     /*  92416 */ // Label 1696: @92416
     /*  92416 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(92448), // Rule ID 10398 //
     /*  92421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92435 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92438 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92440 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92442 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92447 */   // GIR_Coverage, 10398,
     /*  92447 */   GIR_EraseRootFromParent_Done,
     /*  92448 */ // Label 1697: @92448
     /*  92448 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(92480), // Rule ID 10399 //
     /*  92453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92467 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92470 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92472 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92474 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92479 */   // GIR_Coverage, 10399,
     /*  92479 */   GIR_EraseRootFromParent_Done,
     /*  92480 */ // Label 1698: @92480
     /*  92480 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(92512), // Rule ID 10400 //
     /*  92485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92499 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92502 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92504 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92506 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92511 */   // GIR_Coverage, 10400,
     /*  92511 */   GIR_EraseRootFromParent_Done,
     /*  92512 */ // Label 1699: @92512
     /*  92512 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(92544), // Rule ID 10401 //
     /*  92517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92531 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92534 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92536 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92538 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92543 */   // GIR_Coverage, 10401,
     /*  92543 */   GIR_EraseRootFromParent_Done,
     /*  92544 */ // Label 1700: @92544
     /*  92544 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(92576), // Rule ID 10414 //
     /*  92549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  92552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92563 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  92563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92566 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92568 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92570 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92575 */   // GIR_Coverage, 10414,
     /*  92575 */   GIR_EraseRootFromParent_Done,
     /*  92576 */ // Label 1701: @92576
     /*  92576 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(92608), // Rule ID 10415 //
     /*  92581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  92584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92595 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  92595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92598 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92600 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92602 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92607 */   // GIR_Coverage, 10415,
     /*  92607 */   GIR_EraseRootFromParent_Done,
     /*  92608 */ // Label 1702: @92608
     /*  92608 */ GIM_Reject,
     /*  92609 */ // Label 1410: @92609
     /*  92609 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(92641), // Rule ID 10372 //
     /*  92614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92628 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92631 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92633 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92635 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92640 */   // GIR_Coverage, 10372,
     /*  92640 */   GIR_EraseRootFromParent_Done,
     /*  92641 */ // Label 1703: @92641
     /*  92641 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(92673), // Rule ID 10373 //
     /*  92646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92660 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92663 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92665 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92667 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92672 */   // GIR_Coverage, 10373,
     /*  92672 */   GIR_EraseRootFromParent_Done,
     /*  92673 */ // Label 1704: @92673
     /*  92673 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(92705), // Rule ID 10374 //
     /*  92678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92692 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92695 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92697 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92699 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92704 */   // GIR_Coverage, 10374,
     /*  92704 */   GIR_EraseRootFromParent_Done,
     /*  92705 */ // Label 1705: @92705
     /*  92705 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(92737), // Rule ID 10375 //
     /*  92710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  92716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92724 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92727 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92729 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92731 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92736 */   // GIR_Coverage, 10375,
     /*  92736 */   GIR_EraseRootFromParent_Done,
     /*  92737 */ // Label 1706: @92737
     /*  92737 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(92769), // Rule ID 10376 //
     /*  92742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  92748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92756 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92759 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92761 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92763 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92768 */   // GIR_Coverage, 10376,
     /*  92768 */   GIR_EraseRootFromParent_Done,
     /*  92769 */ // Label 1707: @92769
     /*  92769 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(92801), // Rule ID 10377 //
     /*  92774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  92780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92788 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  92788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92791 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92793 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92795 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  92800 */   // GIR_Coverage, 10377,
     /*  92800 */   GIR_EraseRootFromParent_Done,
     /*  92801 */ // Label 1708: @92801
     /*  92801 */ GIM_Reject,
     /*  92802 */ // Label 1411: @92802
     /*  92802 */ GIM_Reject,
     /*  92803 */ // Label 10: @92803
     /*  92803 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1717*/ GIMT_Encode4(93293),
     /*  92814 */ /*GILLT_s16*//*Label 1709*/ GIMT_Encode4(92854),
     /*  92818 */ /*GILLT_s32*//*Label 1710*/ GIMT_Encode4(92885),
     /*  92822 */ /*GILLT_s64*//*Label 1711*/ GIMT_Encode4(92916), GIMT_Encode4(0),
     /*  92830 */ /*GILLT_v2s32*//*Label 1712*/ GIMT_Encode4(92947),
     /*  92834 */ /*GILLT_v2s64*//*Label 1713*/ GIMT_Encode4(92978),
     /*  92838 */ /*GILLT_v4s16*//*Label 1714*/ GIMT_Encode4(93009),
     /*  92842 */ /*GILLT_v4s32*//*Label 1715*/ GIMT_Encode4(93040), GIMT_Encode4(0),
     /*  92850 */ /*GILLT_v8s16*//*Label 1716*/ GIMT_Encode4(93071),
     /*  92854 */ // Label 1709: @92854
     /*  92854 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(92884), // Rule ID 564 //
     /*  92859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  92862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  92865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  92869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  92873 */   // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTZHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  92873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZHr),
     /*  92878 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  92882 */   GIR_RootConstrainSelectedInstOperands,
     /*  92883 */   // GIR_Coverage, 564,
     /*  92883 */   GIR_Done,
     /*  92884 */ // Label 1718: @92884
     /*  92884 */ GIM_Reject,
     /*  92885 */ // Label 1710: @92885
     /*  92885 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(92915), // Rule ID 566 //
     /*  92890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  92893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  92896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  92900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  92904 */   // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  92904 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZSr),
     /*  92909 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  92913 */   GIR_RootConstrainSelectedInstOperands,
     /*  92914 */   // GIR_Coverage, 566,
     /*  92914 */   GIR_Done,
     /*  92915 */ // Label 1719: @92915
     /*  92915 */ GIM_Reject,
     /*  92916 */ // Label 1711: @92916
     /*  92916 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(92946), // Rule ID 568 //
     /*  92921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  92924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92935 */   // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  92935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZDr),
     /*  92940 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  92944 */   GIR_RootConstrainSelectedInstOperands,
     /*  92945 */   // GIR_Coverage, 568,
     /*  92945 */   GIR_Done,
     /*  92946 */ // Label 1720: @92946
     /*  92946 */ GIM_Reject,
     /*  92947 */ // Label 1712: @92947
     /*  92947 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(92977), // Rule ID 926 //
     /*  92952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  92955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92966 */   // (ftrunc:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTZv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  92966 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f32),
     /*  92971 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  92975 */   GIR_RootConstrainSelectedInstOperands,
     /*  92976 */   // GIR_Coverage, 926,
     /*  92976 */   GIR_Done,
     /*  92977 */ // Label 1721: @92977
     /*  92977 */ GIM_Reject,
     /*  92978 */ // Label 1713: @92978
     /*  92978 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(93008), // Rule ID 930 //
     /*  92983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  92986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92997 */   // (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTZv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  92997 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f64),
     /*  93002 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93006 */   GIR_RootConstrainSelectedInstOperands,
     /*  93007 */   // GIR_Coverage, 930,
     /*  93007 */   GIR_Done,
     /*  93008 */ // Label 1722: @93008
     /*  93008 */ GIM_Reject,
     /*  93009 */ // Label 1714: @93009
     /*  93009 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(93039), // Rule ID 922 //
     /*  93014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  93017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93028 */   // (ftrunc:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTZv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  93028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f16),
     /*  93033 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93037 */   GIR_RootConstrainSelectedInstOperands,
     /*  93038 */   // GIR_Coverage, 922,
     /*  93038 */   GIR_Done,
     /*  93039 */ // Label 1723: @93039
     /*  93039 */ GIM_Reject,
     /*  93040 */ // Label 1715: @93040
     /*  93040 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(93070), // Rule ID 928 //
     /*  93045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  93048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93059 */   // (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTZv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  93059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  93064 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93068 */   GIR_RootConstrainSelectedInstOperands,
     /*  93069 */   // GIR_Coverage, 928,
     /*  93069 */   GIR_Done,
     /*  93070 */ // Label 1724: @93070
     /*  93070 */ GIM_Reject,
     /*  93071 */ // Label 1716: @93071
     /*  93071 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(93292),
     /*  93076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93087 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(93106), // Rule ID 924 //
     /*  93092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  93095 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTZv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  93095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv8f16),
     /*  93100 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93104 */     GIR_RootConstrainSelectedInstOperands,
     /*  93105 */     // GIR_Coverage, 924,
     /*  93105 */     GIR_Done,
     /*  93106 */   // Label 1726: @93106
     /*  93106 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(93291), // Rule ID 6900 //
     /*  93111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  93114 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTZv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTZv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  93114 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  93117 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  93121 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93126 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  93132 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  93135 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  93139 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93144 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  93147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  93149 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  93152 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93156 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93161 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  93167 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93172 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93177 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  93180 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  93184 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93189 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  93192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  93194 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  93197 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  93201 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93206 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  93209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  93211 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  93214 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  93218 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93223 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  93226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  93228 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93231 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  93235 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  93249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93254 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  93257 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  93260 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  93263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93268 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93273 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  93281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  93289 */     GIR_RootConstrainSelectedInstOperands,
     /*  93290 */     // GIR_Coverage, 6900,
     /*  93290 */     GIR_EraseRootFromParent_Done,
     /*  93291 */   // Label 1727: @93291
     /*  93291 */   GIM_Reject,
     /*  93292 */ // Label 1725: @93292
     /*  93292 */ GIM_Reject,
     /*  93293 */ // Label 1717: @93293
     /*  93293 */ GIM_Reject,
     /*  93294 */ // Label 11: @93294
     /*  93294 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1736*/ GIMT_Encode4(93784),
     /*  93305 */ /*GILLT_s16*//*Label 1728*/ GIMT_Encode4(93345),
     /*  93309 */ /*GILLT_s32*//*Label 1729*/ GIMT_Encode4(93376),
     /*  93313 */ /*GILLT_s64*//*Label 1730*/ GIMT_Encode4(93407), GIMT_Encode4(0),
     /*  93321 */ /*GILLT_v2s32*//*Label 1731*/ GIMT_Encode4(93438),
     /*  93325 */ /*GILLT_v2s64*//*Label 1732*/ GIMT_Encode4(93469),
     /*  93329 */ /*GILLT_v4s16*//*Label 1733*/ GIMT_Encode4(93500),
     /*  93333 */ /*GILLT_v4s32*//*Label 1734*/ GIMT_Encode4(93531), GIMT_Encode4(0),
     /*  93341 */ /*GILLT_v8s16*//*Label 1735*/ GIMT_Encode4(93562),
     /*  93345 */ // Label 1728: @93345
     /*  93345 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(93375), // Rule ID 528 //
     /*  93350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  93353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  93356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  93360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  93364 */   // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTAHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  93364 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAHr),
     /*  93369 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93373 */   GIR_RootConstrainSelectedInstOperands,
     /*  93374 */   // GIR_Coverage, 528,
     /*  93374 */   GIR_Done,
     /*  93375 */ // Label 1737: @93375
     /*  93375 */ GIM_Reject,
     /*  93376 */ // Label 1729: @93376
     /*  93376 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(93406), // Rule ID 530 //
     /*  93381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  93384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  93387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  93391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  93395 */   // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTASr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  93395 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTASr),
     /*  93400 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93404 */   GIR_RootConstrainSelectedInstOperands,
     /*  93405 */   // GIR_Coverage, 530,
     /*  93405 */   GIR_Done,
     /*  93406 */ // Label 1738: @93406
     /*  93406 */ GIM_Reject,
     /*  93407 */ // Label 1730: @93407
     /*  93407 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(93437), // Rule ID 532 //
     /*  93412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  93415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93426 */   // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTADr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  93426 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTADr),
     /*  93431 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93435 */   GIR_RootConstrainSelectedInstOperands,
     /*  93436 */   // GIR_Coverage, 532,
     /*  93436 */   GIR_Done,
     /*  93437 */ // Label 1739: @93437
     /*  93437 */ GIM_Reject,
     /*  93438 */ // Label 1731: @93438
     /*  93438 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(93468), // Rule ID 866 //
     /*  93443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  93446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93457 */   // (fround:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  93457 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f32),
     /*  93462 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93466 */   GIR_RootConstrainSelectedInstOperands,
     /*  93467 */   // GIR_Coverage, 866,
     /*  93467 */   GIR_Done,
     /*  93468 */ // Label 1740: @93468
     /*  93468 */ GIM_Reject,
     /*  93469 */ // Label 1732: @93469
     /*  93469 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(93499), // Rule ID 870 //
     /*  93474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  93477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93488 */   // (fround:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  93488 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f64),
     /*  93493 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93497 */   GIR_RootConstrainSelectedInstOperands,
     /*  93498 */   // GIR_Coverage, 870,
     /*  93498 */   GIR_Done,
     /*  93499 */ // Label 1741: @93499
     /*  93499 */ GIM_Reject,
     /*  93500 */ // Label 1733: @93500
     /*  93500 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(93530), // Rule ID 862 //
     /*  93505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  93508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93519 */   // (fround:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  93519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f16),
     /*  93524 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93528 */   GIR_RootConstrainSelectedInstOperands,
     /*  93529 */   // GIR_Coverage, 862,
     /*  93529 */   GIR_Done,
     /*  93530 */ // Label 1742: @93530
     /*  93530 */ GIM_Reject,
     /*  93531 */ // Label 1734: @93531
     /*  93531 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(93561), // Rule ID 868 //
     /*  93536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  93539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93550 */   // (fround:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  93550 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  93555 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93559 */   GIR_RootConstrainSelectedInstOperands,
     /*  93560 */   // GIR_Coverage, 868,
     /*  93560 */   GIR_Done,
     /*  93561 */ // Label 1743: @93561
     /*  93561 */ GIM_Reject,
     /*  93562 */ // Label 1735: @93562
     /*  93562 */ GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(93783),
     /*  93567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93578 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(93597), // Rule ID 864 //
     /*  93583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  93586 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  93586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv8f16),
     /*  93591 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  93595 */     GIR_RootConstrainSelectedInstOperands,
     /*  93596 */     // GIR_Coverage, 864,
     /*  93596 */     GIR_Done,
     /*  93597 */   // Label 1745: @93597
     /*  93597 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(93782), // Rule ID 6894 //
     /*  93602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  93605 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTAv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTAv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  93605 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  93608 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  93612 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93617 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  93623 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  93626 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  93630 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93635 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  93638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  93640 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  93643 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93647 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93652 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  93658 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93663 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93668 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  93671 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  93675 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93680 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  93683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  93685 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  93688 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  93692 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93697 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  93700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  93702 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  93705 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  93709 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93714 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  93717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  93719 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93722 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  93726 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  93740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93745 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  93748 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  93751 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  93754 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93759 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93764 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  93772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  93780 */     GIR_RootConstrainSelectedInstOperands,
     /*  93781 */     // GIR_Coverage, 6894,
     /*  93781 */     GIR_EraseRootFromParent_Done,
     /*  93782 */   // Label 1746: @93782
     /*  93782 */   GIM_Reject,
     /*  93783 */ // Label 1744: @93783
     /*  93783 */ GIM_Reject,
     /*  93784 */ // Label 1736: @93784
     /*  93784 */ GIM_Reject,
     /*  93785 */ // Label 12: @93785
     /*  93785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 1749*/ GIMT_Encode4(94052),
     /*  93796 */ /*GILLT_s32*//*Label 1747*/ GIMT_Encode4(93804),
     /*  93800 */ /*GILLT_s64*//*Label 1748*/ GIMT_Encode4(93928),
     /*  93804 */ // Label 1747: @93804
     /*  93804 */ GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(93847), // Rule ID 4725 //
     /*  93809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  93812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  93815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  93819 */   // (lrint:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  93819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  93822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  93826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93831 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /*  93840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93845 */   GIR_RootConstrainSelectedInstOperands,
     /*  93846 */   // GIR_Coverage, 4725,
     /*  93846 */   GIR_EraseRootFromParent_Done,
     /*  93847 */ // Label 1750: @93847
     /*  93847 */ GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(93887), // Rule ID 4731 //
     /*  93852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  93855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  93859 */   // (lrint:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  93859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  93862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  93866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93871 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93875 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /*  93880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93882 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93885 */   GIR_RootConstrainSelectedInstOperands,
     /*  93886 */   // GIR_Coverage, 4731,
     /*  93886 */   GIR_EraseRootFromParent_Done,
     /*  93887 */ // Label 1751: @93887
     /*  93887 */ GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(93927), // Rule ID 4733 //
     /*  93892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  93899 */   // (lrint:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  93899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  93902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  93906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93911 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /*  93920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93925 */   GIR_RootConstrainSelectedInstOperands,
     /*  93926 */   // GIR_Coverage, 4733,
     /*  93926 */   GIR_EraseRootFromParent_Done,
     /*  93927 */ // Label 1752: @93927
     /*  93927 */ GIM_Reject,
     /*  93928 */ // Label 1748: @93928
     /*  93928 */ GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(93971), // Rule ID 4727 //
     /*  93933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  93936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  93939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  93943 */   // (lrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  93943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  93946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  93950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93955 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93959 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  93964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93966 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93969 */   GIR_RootConstrainSelectedInstOperands,
     /*  93970 */   // GIR_Coverage, 4727,
     /*  93970 */   GIR_EraseRootFromParent_Done,
     /*  93971 */ // Label 1753: @93971
     /*  93971 */ GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(94011), // Rule ID 4735 //
     /*  93976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  93979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  93983 */   // (lrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  93983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  93986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  93990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93995 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  93999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  94004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94009 */   GIR_RootConstrainSelectedInstOperands,
     /*  94010 */   // GIR_Coverage, 4735,
     /*  94010 */   GIR_EraseRootFromParent_Done,
     /*  94011 */ // Label 1754: @94011
     /*  94011 */ GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(94051), // Rule ID 4737 //
     /*  94016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94023 */   // (lrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  94023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  94026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  94030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94035 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  94039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  94044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94049 */   GIR_RootConstrainSelectedInstOperands,
     /*  94050 */   // GIR_Coverage, 4737,
     /*  94050 */   GIR_EraseRootFromParent_Done,
     /*  94051 */ // Label 1755: @94051
     /*  94051 */ GIM_Reject,
     /*  94052 */ // Label 1749: @94052
     /*  94052 */ GIM_Reject,
     /*  94053 */ // Label 13: @94053
     /*  94053 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(94202),
     /*  94058 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  94061 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 1760*/ GIMT_Encode4(94201),
     /*  94072 */   /*GILLT_s16*//*Label 1757*/ GIMT_Encode4(94084),
     /*  94076 */   /*GILLT_s32*//*Label 1758*/ GIMT_Encode4(94125),
     /*  94080 */   /*GILLT_s64*//*Label 1759*/ GIMT_Encode4(94163),
     /*  94084 */   // Label 1757: @94084
     /*  94084 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(94124), // Rule ID 4729 //
     /*  94089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  94092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94096 */     // (llrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  94096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  94099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  94103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  94112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  94117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94122 */     GIR_RootConstrainSelectedInstOperands,
     /*  94123 */     // GIR_Coverage, 4729,
     /*  94123 */     GIR_EraseRootFromParent_Done,
     /*  94124 */   // Label 1761: @94124
     /*  94124 */   GIM_Reject,
     /*  94125 */   // Label 1758: @94125
     /*  94125 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(94162), // Rule ID 4739 //
     /*  94130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94134 */     // (llrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  94134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  94137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  94141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  94150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  94155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94160 */     GIR_RootConstrainSelectedInstOperands,
     /*  94161 */     // GIR_Coverage, 4739,
     /*  94161 */     GIR_EraseRootFromParent_Done,
     /*  94162 */   // Label 1762: @94162
     /*  94162 */   GIM_Reject,
     /*  94163 */   // Label 1759: @94163
     /*  94163 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(94200), // Rule ID 4741 //
     /*  94168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94172 */     // (llrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  94172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  94175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  94179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  94188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  94193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94198 */     GIR_RootConstrainSelectedInstOperands,
     /*  94199 */     // GIR_Coverage, 4741,
     /*  94199 */     GIR_EraseRootFromParent_Done,
     /*  94200 */   // Label 1763: @94200
     /*  94200 */   GIM_Reject,
     /*  94201 */   // Label 1760: @94201
     /*  94201 */   GIM_Reject,
     /*  94202 */ // Label 1756: @94202
     /*  94202 */ GIM_Reject,
     /*  94203 */ // Label 14: @94203
     /*  94203 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1772*/ GIMT_Encode4(94693),
     /*  94214 */ /*GILLT_s16*//*Label 1764*/ GIMT_Encode4(94254),
     /*  94218 */ /*GILLT_s32*//*Label 1765*/ GIMT_Encode4(94285),
     /*  94222 */ /*GILLT_s64*//*Label 1766*/ GIMT_Encode4(94316), GIMT_Encode4(0),
     /*  94230 */ /*GILLT_v2s32*//*Label 1767*/ GIMT_Encode4(94347),
     /*  94234 */ /*GILLT_v2s64*//*Label 1768*/ GIMT_Encode4(94378),
     /*  94238 */ /*GILLT_v4s16*//*Label 1769*/ GIMT_Encode4(94409),
     /*  94242 */ /*GILLT_v4s32*//*Label 1770*/ GIMT_Encode4(94440), GIMT_Encode4(0),
     /*  94250 */ /*GILLT_v8s16*//*Label 1771*/ GIMT_Encode4(94471),
     /*  94254 */ // Label 1764: @94254
     /*  94254 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(94284), // Rule ID 546 //
     /*  94259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  94262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  94265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  94269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  94273 */   // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTNHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  94273 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNHr),
     /*  94278 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94282 */   GIR_RootConstrainSelectedInstOperands,
     /*  94283 */   // GIR_Coverage, 546,
     /*  94283 */   GIR_Done,
     /*  94284 */ // Label 1773: @94284
     /*  94284 */ GIM_Reject,
     /*  94285 */ // Label 1765: @94285
     /*  94285 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(94315), // Rule ID 548 //
     /*  94290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  94296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  94300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  94304 */   // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTNSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  94304 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNSr),
     /*  94309 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94313 */   GIR_RootConstrainSelectedInstOperands,
     /*  94314 */   // GIR_Coverage, 548,
     /*  94314 */   GIR_Done,
     /*  94315 */ // Label 1774: @94315
     /*  94315 */ GIM_Reject,
     /*  94316 */ // Label 1766: @94316
     /*  94316 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(94346), // Rule ID 550 //
     /*  94321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94335 */   // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTNDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  94335 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNDr),
     /*  94340 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94344 */   GIR_RootConstrainSelectedInstOperands,
     /*  94345 */   // GIR_Coverage, 550,
     /*  94345 */   GIR_Done,
     /*  94346 */ // Label 1775: @94346
     /*  94346 */ GIM_Reject,
     /*  94347 */ // Label 1767: @94347
     /*  94347 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(94377), // Rule ID 896 //
     /*  94352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  94355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94366 */   // (froundeven:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTNv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  94366 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f32),
     /*  94371 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94375 */   GIR_RootConstrainSelectedInstOperands,
     /*  94376 */   // GIR_Coverage, 896,
     /*  94376 */   GIR_Done,
     /*  94377 */ // Label 1776: @94377
     /*  94377 */ GIM_Reject,
     /*  94378 */ // Label 1768: @94378
     /*  94378 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(94408), // Rule ID 900 //
     /*  94383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  94386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94397 */   // (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTNv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  94397 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f64),
     /*  94402 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94406 */   GIR_RootConstrainSelectedInstOperands,
     /*  94407 */   // GIR_Coverage, 900,
     /*  94407 */   GIR_Done,
     /*  94408 */ // Label 1777: @94408
     /*  94408 */ GIM_Reject,
     /*  94409 */ // Label 1769: @94409
     /*  94409 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(94439), // Rule ID 892 //
     /*  94414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  94417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94428 */   // (froundeven:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTNv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  94428 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f16),
     /*  94433 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94437 */   GIR_RootConstrainSelectedInstOperands,
     /*  94438 */   // GIR_Coverage, 892,
     /*  94438 */   GIR_Done,
     /*  94439 */ // Label 1778: @94439
     /*  94439 */ GIM_Reject,
     /*  94440 */ // Label 1770: @94440
     /*  94440 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(94470), // Rule ID 898 //
     /*  94445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  94448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94459 */   // (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTNv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  94459 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  94464 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94468 */   GIR_RootConstrainSelectedInstOperands,
     /*  94469 */   // GIR_Coverage, 898,
     /*  94469 */   GIR_Done,
     /*  94470 */ // Label 1779: @94470
     /*  94470 */ GIM_Reject,
     /*  94471 */ // Label 1771: @94471
     /*  94471 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(94692),
     /*  94476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94487 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(94506), // Rule ID 894 //
     /*  94492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  94495 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTNv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  94495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv8f16),
     /*  94500 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  94504 */     GIR_RootConstrainSelectedInstOperands,
     /*  94505 */     // GIR_Coverage, 894,
     /*  94505 */     GIR_Done,
     /*  94506 */   // Label 1781: @94506
     /*  94506 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(94691), // Rule ID 6896 //
     /*  94511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  94514 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTNv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTNv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  94514 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  94517 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  94521 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94526 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  94530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  94532 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  94535 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  94539 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94544 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  94547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  94549 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  94552 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94556 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94561 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  94567 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94572 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94577 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  94580 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  94584 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94589 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  94592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  94594 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  94597 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  94601 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94606 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  94609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  94611 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  94614 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  94618 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94623 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  94626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  94628 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  94631 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  94635 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  94642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  94645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  94649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  94657 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  94660 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  94663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  94681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  94689 */     GIR_RootConstrainSelectedInstOperands,
     /*  94690 */     // GIR_Coverage, 6896,
     /*  94690 */     GIR_EraseRootFromParent_Done,
     /*  94691 */   // Label 1782: @94691
     /*  94691 */   GIM_Reject,
     /*  94692 */ // Label 1780: @94692
     /*  94692 */ GIM_Reject,
     /*  94693 */ // Label 1772: @94693
     /*  94693 */ GIM_Reject,
     /*  94694 */ // Label 15: @94694
     /*  94694 */ GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(94726), // Rule ID 3846 //
     /*  94699 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  94702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94706 */   // (readcyclecounter:{ *:[i64] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 57090:{ *:[i32] })
     /*  94706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /*  94709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  94711 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(57090),
     /*  94721 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  94724 */   GIR_RootConstrainSelectedInstOperands,
     /*  94725 */   // GIR_Coverage, 3846,
     /*  94725 */   GIR_EraseRootFromParent_Done,
     /*  94726 */ // Label 1783: @94726
     /*  94726 */ GIM_Reject,
     /*  94727 */ // Label 16: @94727
     /*  94727 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 1804*/ GIMT_Encode4(103322),
     /*  94738 */ /*GILLT_s8*//*Label 1784*/ GIMT_Encode4(94834),
     /*  94742 */ /*GILLT_s16*//*Label 1785*/ GIMT_Encode4(95010),
     /*  94746 */ /*GILLT_s32*//*Label 1786*/ GIMT_Encode4(95186),
     /*  94750 */ /*GILLT_s64*//*Label 1787*/ GIMT_Encode4(97484),
     /*  94754 */ /*GILLT_s128*//*Label 1788*/ GIMT_Encode4(100165),
     /*  94758 */ /*GILLT_v2s32*//*Label 1789*/ GIMT_Encode4(100374),
     /*  94762 */ /*GILLT_v2s64*//*Label 1790*/ GIMT_Encode4(100752),
     /*  94766 */ /*GILLT_v4s16*//*Label 1791*/ GIMT_Encode4(101130),
     /*  94770 */ /*GILLT_v4s32*//*Label 1792*/ GIMT_Encode4(101508),
     /*  94774 */ /*GILLT_v8s8*//*Label 1793*/ GIMT_Encode4(101886),
     /*  94778 */ /*GILLT_v8s16*//*Label 1794*/ GIMT_Encode4(102094),
     /*  94782 */ /*GILLT_v16s8*//*Label 1795*/ GIMT_Encode4(102472), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  94794 */ /*GILLT_nxv2s16*//*Label 1796*/ GIMT_Encode4(102680),
     /*  94798 */ /*GILLT_nxv2s32*//*Label 1797*/ GIMT_Encode4(102744),
     /*  94802 */ /*GILLT_nxv2s64*//*Label 1798*/ GIMT_Encode4(102808), GIMT_Encode4(0),
     /*  94810 */ /*GILLT_nxv4s16*//*Label 1799*/ GIMT_Encode4(102922),
     /*  94814 */ /*GILLT_nxv4s32*//*Label 1800*/ GIMT_Encode4(102986), GIMT_Encode4(0),
     /*  94822 */ /*GILLT_nxv8s16*//*Label 1801*/ GIMT_Encode4(103100),
     /*  94826 */ /*GILLT_nxv16s1*//*Label 1802*/ GIMT_Encode4(103214),
     /*  94830 */ /*GILLT_nxv16s8*//*Label 1803*/ GIMT_Encode4(103258),
     /*  94834 */ // Label 1784: @94834
     /*  94834 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(95009),
     /*  94839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  94842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  94846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /*  94850 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  94854 */   GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(94895), // Rule ID 237 //
     /*  94859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  94869 */     // (ld:{ *:[i8] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  94869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /*  94872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  94874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  94879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  94884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  94889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94893 */     GIR_RootConstrainSelectedInstOperands,
     /*  94894 */     // GIR_Coverage, 237,
     /*  94894 */     GIR_EraseRootFromParent_Done,
     /*  94895 */   // Label 1806: @94895
     /*  94895 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(94936), // Rule ID 238 //
     /*  94900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  94910 */     // (ld:{ *:[i8] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  94910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /*  94913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  94915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  94920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  94925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  94930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94934 */     GIR_RootConstrainSelectedInstOperands,
     /*  94935 */     // GIR_Coverage, 238,
     /*  94935 */     GIR_EraseRootFromParent_Done,
     /*  94936 */   // Label 1807: @94936
     /*  94936 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(94972), // Rule ID 261 //
     /*  94941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  94951 */     // (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  94951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /*  94954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  94956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  94961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  94966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  94970 */     GIR_RootConstrainSelectedInstOperands,
     /*  94971 */     // GIR_Coverage, 261,
     /*  94971 */     GIR_EraseRootFromParent_Done,
     /*  94972 */   // Label 1808: @94972
     /*  94972 */   GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(95008), // Rule ID 282 //
     /*  94977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  94980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  94987 */     // (ld:{ *:[i8] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  94987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /*  94990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  94992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  94997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95006 */     GIR_RootConstrainSelectedInstOperands,
     /*  95007 */     // GIR_Coverage, 282,
     /*  95007 */     GIR_EraseRootFromParent_Done,
     /*  95008 */   // Label 1809: @95008
     /*  95008 */   GIM_Reject,
     /*  95009 */ // Label 1805: @95009
     /*  95009 */ GIM_Reject,
     /*  95010 */ // Label 1785: @95010
     /*  95010 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(95185),
     /*  95015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95018 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  95026 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95030 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(95071), // Rule ID 239 //
     /*  95035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  95045 */     // (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroW:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  95045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /*  95048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95069 */     GIR_RootConstrainSelectedInstOperands,
     /*  95070 */     // GIR_Coverage, 239,
     /*  95070 */     GIR_EraseRootFromParent_Done,
     /*  95071 */   // Label 1811: @95071
     /*  95071 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(95112), // Rule ID 240 //
     /*  95076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  95086 */     // (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroX:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  95086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /*  95089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95110 */     GIR_RootConstrainSelectedInstOperands,
     /*  95111 */     // GIR_Coverage, 240,
     /*  95111 */     GIR_EraseRootFromParent_Done,
     /*  95112 */   // Label 1812: @95112
     /*  95112 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(95148), // Rule ID 262 //
     /*  95117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  95127 */     // (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHui:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  95127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /*  95130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95146 */     GIR_RootConstrainSelectedInstOperands,
     /*  95147 */     // GIR_Coverage, 262,
     /*  95147 */     GIR_EraseRootFromParent_Done,
     /*  95148 */   // Label 1813: @95148
     /*  95148 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(95184), // Rule ID 283 //
     /*  95153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  95163 */     // (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURHi:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  95163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /*  95166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95182 */     GIR_RootConstrainSelectedInstOperands,
     /*  95183 */     // GIR_Coverage, 283,
     /*  95183 */     GIR_EraseRootFromParent_Done,
     /*  95184 */   // Label 1814: @95184
     /*  95184 */   GIM_Reject,
     /*  95185 */ // Label 1810: @95185
     /*  95185 */ GIM_Reject,
     /*  95186 */ // Label 1786: @95186
     /*  95186 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(95239), // Rule ID 233 //
     /*  95191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95194 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95202 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95206 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  95213 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  95213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  95216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95233 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95237 */   GIR_RootConstrainSelectedInstOperands,
     /*  95238 */   // GIR_Coverage, 233,
     /*  95238 */   GIR_EraseRootFromParent_Done,
     /*  95239 */ // Label 1815: @95239
     /*  95239 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(95292), // Rule ID 234 //
     /*  95244 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95247 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95255 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95259 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  95266 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  95266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  95269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95281 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95286 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95290 */   GIR_RootConstrainSelectedInstOperands,
     /*  95291 */   // GIR_Coverage, 234,
     /*  95291 */   GIR_EraseRootFromParent_Done,
     /*  95292 */ // Label 1816: @95292
     /*  95292 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(95348), // Rule ID 241 //
     /*  95297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95300 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95303 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  95311 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95315 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  95322 */   // (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  95322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  95325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95342 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95346 */   GIR_RootConstrainSelectedInstOperands,
     /*  95347 */   // GIR_Coverage, 241,
     /*  95347 */   GIR_EraseRootFromParent_Done,
     /*  95348 */ // Label 1817: @95348
     /*  95348 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(95404), // Rule ID 242 //
     /*  95353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95356 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95359 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  95367 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95371 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  95378 */   // (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  95378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  95381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95383 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95388 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95398 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95402 */   GIR_RootConstrainSelectedInstOperands,
     /*  95403 */   // GIR_Coverage, 242,
     /*  95403 */   GIR_EraseRootFromParent_Done,
     /*  95404 */ // Label 1818: @95404
     /*  95404 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(95464), // Rule ID 4062 //
     /*  95409 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95412 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95416 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95427 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95431 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  95438 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  95438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  95441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95443 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95448 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95458 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95462 */   GIR_RootConstrainSelectedInstOperands,
     /*  95463 */   // GIR_Coverage, 4062,
     /*  95463 */   GIR_EraseRootFromParent_Done,
     /*  95464 */ // Label 1819: @95464
     /*  95464 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(95524), // Rule ID 4063 //
     /*  95469 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95472 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95476 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95491 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  95498 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  95498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  95501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95522 */   GIR_RootConstrainSelectedInstOperands,
     /*  95523 */   // GIR_Coverage, 4063,
     /*  95523 */   GIR_EraseRootFromParent_Done,
     /*  95524 */ // Label 1820: @95524
     /*  95524 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(95584), // Rule ID 4064 //
     /*  95529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95532 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  95543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95547 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95551 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  95558 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  95558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /*  95561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95573 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95578 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95582 */   GIR_RootConstrainSelectedInstOperands,
     /*  95583 */   // GIR_Coverage, 4064,
     /*  95583 */   GIR_EraseRootFromParent_Done,
     /*  95584 */ // Label 1821: @95584
     /*  95584 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(95644), // Rule ID 4065 //
     /*  95589 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95592 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95596 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  95603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  95618 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  95618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /*  95621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95642 */   GIR_RootConstrainSelectedInstOperands,
     /*  95643 */   // GIR_Coverage, 4065,
     /*  95643 */   GIR_EraseRootFromParent_Done,
     /*  95644 */ // Label 1822: @95644
     /*  95644 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(95704), // Rule ID 4066 //
     /*  95649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95652 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  95663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  95678 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  95678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  95681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95698 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95702 */   GIR_RootConstrainSelectedInstOperands,
     /*  95703 */   // GIR_Coverage, 4066,
     /*  95703 */   GIR_EraseRootFromParent_Done,
     /*  95704 */ // Label 1823: @95704
     /*  95704 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(95764), // Rule ID 4067 //
     /*  95709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95712 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95716 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  95723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95727 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95731 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  95738 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  95738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  95741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  95758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95762 */   GIR_RootConstrainSelectedInstOperands,
     /*  95763 */   // GIR_Coverage, 4067,
     /*  95763 */   GIR_EraseRootFromParent_Done,
     /*  95764 */ // Label 1824: @95764
     /*  95764 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(95812), // Rule ID 260 //
     /*  95769 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95772 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95784 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  95791 */   // (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /*  95791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /*  95794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95806 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95810 */   GIR_RootConstrainSelectedInstOperands,
     /*  95811 */   // GIR_Coverage, 260,
     /*  95811 */   GIR_EraseRootFromParent_Done,
     /*  95812 */ // Label 1825: @95812
     /*  95812 */ GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(95863), // Rule ID 263 //
     /*  95817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  95820 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95823 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  95827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  95831 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95835 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  95842 */   // (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /*  95842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  95845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95847 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95852 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  95857 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95861 */   GIR_RootConstrainSelectedInstOperands,
     /*  95862 */   // GIR_Coverage, 263,
     /*  95862 */   GIR_EraseRootFromParent_Done,
     /*  95863 */ // Label 1826: @95863
     /*  95863 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(95922), // Rule ID 6920 //
     /*  95868 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  95871 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95878 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  95881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95885 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95889 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  95896 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /*  95896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  95899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95920 */   GIR_RootConstrainSelectedInstOperands,
     /*  95921 */   // GIR_Coverage, 6920,
     /*  95921 */   GIR_EraseRootFromParent_Done,
     /*  95922 */ // Label 1827: @95922
     /*  95922 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(95981), // Rule ID 6922 //
     /*  95927 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  95930 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  95937 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  95940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  95944 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  95948 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  95955 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /*  95955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  95958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  95960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  95965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  95970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  95975 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  95979 */   GIR_RootConstrainSelectedInstOperands,
     /*  95980 */   // GIR_Coverage, 6922,
     /*  95980 */   GIR_EraseRootFromParent_Done,
     /*  95981 */ // Label 1828: @95981
     /*  95981 */ GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(96040), // Rule ID 6932 //
     /*  95986 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  95989 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  95996 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  95999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96003 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96007 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  96014 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  96014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /*  96017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  96029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  96034 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96038 */   GIR_RootConstrainSelectedInstOperands,
     /*  96039 */   // GIR_Coverage, 6932,
     /*  96039 */   GIR_EraseRootFromParent_Done,
     /*  96040 */ // Label 1829: @96040
     /*  96040 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(96099), // Rule ID 6934 //
     /*  96045 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96048 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96055 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96062 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96066 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  96073 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  96073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /*  96076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  96088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  96093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96097 */   GIR_RootConstrainSelectedInstOperands,
     /*  96098 */   // GIR_Coverage, 6934,
     /*  96098 */   GIR_EraseRootFromParent_Done,
     /*  96099 */ // Label 1830: @96099
     /*  96099 */ GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(96158), // Rule ID 6942 //
     /*  96104 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  96114 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96125 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  96132 */   // (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  96132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  96135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96142 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  96147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  96152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96156 */   GIR_RootConstrainSelectedInstOperands,
     /*  96157 */   // GIR_Coverage, 6942,
     /*  96157 */   GIR_EraseRootFromParent_Done,
     /*  96158 */ // Label 1831: @96158
     /*  96158 */ GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(96217), // Rule ID 6943 //
     /*  96163 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  96173 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96180 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96184 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  96191 */   // (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  96191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  96194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  96206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  96211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96215 */   GIR_RootConstrainSelectedInstOperands,
     /*  96216 */   // GIR_Coverage, 6943,
     /*  96216 */   GIR_EraseRootFromParent_Done,
     /*  96217 */ // Label 1832: @96217
     /*  96217 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(96265), // Rule ID 281 //
     /*  96222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96225 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96233 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96237 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  96244 */   // (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  96244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /*  96247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96249 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96263 */   GIR_RootConstrainSelectedInstOperands,
     /*  96264 */   // GIR_Coverage, 281,
     /*  96264 */   GIR_EraseRootFromParent_Done,
     /*  96265 */ // Label 1833: @96265
     /*  96265 */ GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(96316), // Rule ID 284 //
     /*  96270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  96273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96276 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  96284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96288 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  96295 */   // (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  96295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /*  96298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96310 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96314 */   GIR_RootConstrainSelectedInstOperands,
     /*  96315 */   // GIR_Coverage, 284,
     /*  96315 */   GIR_EraseRootFromParent_Done,
     /*  96316 */ // Label 1834: @96316
     /*  96316 */ GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(96370), // Rule ID 6924 //
     /*  96321 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96324 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96331 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96342 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  96349 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  96349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /*  96352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96359 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96364 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96368 */   GIR_RootConstrainSelectedInstOperands,
     /*  96369 */   // GIR_Coverage, 6924,
     /*  96369 */   GIR_EraseRootFromParent_Done,
     /*  96370 */ // Label 1835: @96370
     /*  96370 */ GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(96424), // Rule ID 6926 //
     /*  96375 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96378 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96385 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  96403 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15433>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /*  96406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96422 */   GIR_RootConstrainSelectedInstOperands,
     /*  96423 */   // GIR_Coverage, 6926,
     /*  96423 */   GIR_EraseRootFromParent_Done,
     /*  96424 */ // Label 1836: @96424
     /*  96424 */ GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(96478), // Rule ID 6936 //
     /*  96429 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96432 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96439 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96446 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96450 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  96457 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  96457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /*  96460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96467 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96472 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96476 */   GIR_RootConstrainSelectedInstOperands,
     /*  96477 */   // GIR_Coverage, 6936,
     /*  96477 */   GIR_EraseRootFromParent_Done,
     /*  96478 */ // Label 1837: @96478
     /*  96478 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(96532), // Rule ID 6938 //
     /*  96483 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96486 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96493 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96500 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96504 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  96511 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15442>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /*  96514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96516 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96526 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96530 */   GIR_RootConstrainSelectedInstOperands,
     /*  96531 */   // GIR_Coverage, 6938,
     /*  96531 */   GIR_EraseRootFromParent_Done,
     /*  96532 */ // Label 1838: @96532
     /*  96532 */ GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(96586), // Rule ID 6944 //
     /*  96537 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96540 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  96547 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96554 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96558 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  96565 */   // (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /*  96565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /*  96568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96580 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96584 */   GIR_RootConstrainSelectedInstOperands,
     /*  96585 */   // GIR_Coverage, 6944,
     /*  96585 */   GIR_EraseRootFromParent_Done,
     /*  96586 */ // Label 1839: @96586
     /*  96586 */ GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(96640), // Rule ID 6945 //
     /*  96591 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96594 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  96601 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  96619 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15450>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /*  96622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96634 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96638 */   GIR_RootConstrainSelectedInstOperands,
     /*  96639 */   // GIR_Coverage, 6945,
     /*  96639 */   GIR_EraseRootFromParent_Done,
     /*  96640 */ // Label 1840: @96640
     /*  96640 */ GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(96697), // Rule ID 7260 //
     /*  96645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /*  96648 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96665 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96669 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  96676 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15431>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /*  96679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96695 */   GIR_RootConstrainSelectedInstOperands,
     /*  96696 */   // GIR_Coverage, 7260,
     /*  96696 */   GIR_EraseRootFromParent_Done,
     /*  96697 */ // Label 1841: @96697
     /*  96697 */ GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(96754), // Rule ID 7262 //
     /*  96702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /*  96705 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96708 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96722 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96726 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  96733 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15440>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /*  96736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96748 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96752 */   GIR_RootConstrainSelectedInstOperands,
     /*  96753 */   // GIR_Coverage, 7262,
     /*  96753 */   GIR_EraseRootFromParent_Done,
     /*  96754 */ // Label 1842: @96754
     /*  96754 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(96811), // Rule ID 7264 //
     /*  96759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /*  96762 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  96765 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  96772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  96775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96779 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96783 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  96790 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15425>>  =>  (LDAPURi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  96790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURi),
     /*  96793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96805 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96809 */   GIR_RootConstrainSelectedInstOperands,
     /*  96810 */   // GIR_Coverage, 7264,
     /*  96810 */   GIR_EraseRootFromParent_Done,
     /*  96811 */ // Label 1843: @96811
     /*  96811 */ GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(96866), // Rule ID 4089 //
     /*  96816 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96819 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96834 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96838 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  96845 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  96845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /*  96848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96855 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96864 */   GIR_RootConstrainSelectedInstOperands,
     /*  96865 */   // GIR_Coverage, 4089,
     /*  96865 */   GIR_EraseRootFromParent_Done,
     /*  96866 */ // Label 1844: @96866
     /*  96866 */ GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(96921), // Rule ID 4090 //
     /*  96871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96874 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96878 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96889 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96893 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  96900 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  96900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /*  96903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96905 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96915 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96919 */   GIR_RootConstrainSelectedInstOperands,
     /*  96920 */   // GIR_Coverage, 4090,
     /*  96920 */   GIR_EraseRootFromParent_Done,
     /*  96921 */ // Label 1845: @96921
     /*  96921 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(96976), // Rule ID 4091 //
     /*  96926 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96929 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96933 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  96940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96944 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  96948 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  96955 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  96955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /*  96958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  96960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  96965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  96970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  96974 */   GIR_RootConstrainSelectedInstOperands,
     /*  96975 */   // GIR_Coverage, 4091,
     /*  96975 */   GIR_EraseRootFromParent_Done,
     /*  96976 */ // Label 1846: @96976
     /*  96976 */ GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(97031), // Rule ID 4112 //
     /*  96981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96984 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  96988 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  96995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  96999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97003 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  97010 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  97010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /*  97013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97025 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97029 */   GIR_RootConstrainSelectedInstOperands,
     /*  97030 */   // GIR_Coverage, 4112,
     /*  97030 */   GIR_EraseRootFromParent_Done,
     /*  97031 */ // Label 1847: @97031
     /*  97031 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(97086), // Rule ID 4113 //
     /*  97036 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97039 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97043 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  97065 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  97065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /*  97068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97084 */   GIR_RootConstrainSelectedInstOperands,
     /*  97085 */   // GIR_Coverage, 4113,
     /*  97085 */   GIR_EraseRootFromParent_Done,
     /*  97086 */ // Label 1848: @97086
     /*  97086 */ GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(97141), // Rule ID 4114 //
     /*  97091 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97094 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97098 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  97120 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  97120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /*  97123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  97135 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97139 */   GIR_RootConstrainSelectedInstOperands,
     /*  97140 */   // GIR_Coverage, 4114,
     /*  97140 */   GIR_EraseRootFromParent_Done,
     /*  97141 */ // Label 1849: @97141
     /*  97141 */ GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(97181), // Rule ID 6912 //
     /*  97146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /*  97149 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97152 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97166 */   // MIs[0] ptr
     /*  97166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97174 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15421>>  =>  (LDAPRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRB),
     /*  97179 */   GIR_RootConstrainSelectedInstOperands,
     /*  97180 */   // GIR_Coverage, 6912,
     /*  97180 */   GIR_Done,
     /*  97181 */ // Label 1850: @97181
     /*  97181 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(97221), // Rule ID 6913 //
     /*  97186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /*  97189 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97192 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97199 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97206 */   // MIs[0] ptr
     /*  97206 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97214 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15423>>  =>  (LDAPRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97214 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRH),
     /*  97219 */   GIR_RootConstrainSelectedInstOperands,
     /*  97220 */   // GIR_Coverage, 6913,
     /*  97220 */   GIR_Done,
     /*  97221 */ // Label 1851: @97221
     /*  97221 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(97261), // Rule ID 6914 //
     /*  97226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /*  97229 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  97239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97246 */   // MIs[0] ptr
     /*  97246 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97254 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15425>>  =>  (LDAPRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97254 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRW),
     /*  97259 */   GIR_RootConstrainSelectedInstOperands,
     /*  97260 */   // GIR_Coverage, 6914,
     /*  97260 */   GIR_Done,
     /*  97261 */ // Label 1852: @97261
     /*  97261 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(97298), // Rule ID 6916 //
     /*  97266 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97269 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97276 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  97279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97283 */   // MIs[0] ptr
     /*  97283 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97291 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15429>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97291 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /*  97296 */   GIR_RootConstrainSelectedInstOperands,
     /*  97297 */   // GIR_Coverage, 6916,
     /*  97297 */   GIR_Done,
     /*  97298 */ // Label 1853: @97298
     /*  97298 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(97335), // Rule ID 6918 //
     /*  97303 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97306 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97320 */   // MIs[0] ptr
     /*  97320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97328 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15431>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97328 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /*  97333 */   GIR_RootConstrainSelectedInstOperands,
     /*  97334 */   // GIR_Coverage, 6918,
     /*  97334 */   GIR_Done,
     /*  97335 */ // Label 1854: @97335
     /*  97335 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(97372), // Rule ID 6928 //
     /*  97340 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97343 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  97353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97357 */   // MIs[0] ptr
     /*  97357 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97365 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15438>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97365 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /*  97370 */   GIR_RootConstrainSelectedInstOperands,
     /*  97371 */   // GIR_Coverage, 6928,
     /*  97371 */   GIR_Done,
     /*  97372 */ // Label 1855: @97372
     /*  97372 */ GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(97409), // Rule ID 6930 //
     /*  97377 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  97387 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97394 */   // MIs[0] ptr
     /*  97394 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97402 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15440>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97402 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /*  97407 */   GIR_RootConstrainSelectedInstOperands,
     /*  97408 */   // GIR_Coverage, 6930,
     /*  97408 */   GIR_Done,
     /*  97409 */ // Label 1856: @97409
     /*  97409 */ GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(97446), // Rule ID 6940 //
     /*  97414 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97417 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  97424 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  97427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97431 */   // MIs[0] ptr
     /*  97431 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97439 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15447>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97439 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /*  97444 */   GIR_RootConstrainSelectedInstOperands,
     /*  97445 */   // GIR_Coverage, 6940,
     /*  97445 */   GIR_Done,
     /*  97446 */ // Label 1857: @97446
     /*  97446 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(97483), // Rule ID 6941 //
     /*  97451 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  97454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  97461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  97464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97468 */   // MIs[0] ptr
     /*  97468 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  97472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  97476 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15425>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /*  97476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /*  97481 */   GIR_RootConstrainSelectedInstOperands,
     /*  97482 */   // GIR_Coverage, 6941,
     /*  97482 */   GIR_Done,
     /*  97483 */ // Label 1858: @97483
     /*  97483 */ GIM_Reject,
     /*  97484 */ // Label 1787: @97484
     /*  97484 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(97537), // Rule ID 235 //
     /*  97489 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97492 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  97500 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97504 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  97511 */   // (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  97511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /*  97514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97516 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97531 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97535 */   GIR_RootConstrainSelectedInstOperands,
     /*  97536 */   // GIR_Coverage, 235,
     /*  97536 */   GIR_EraseRootFromParent_Done,
     /*  97537 */ // Label 1859: @97537
     /*  97537 */ GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(97590), // Rule ID 236 //
     /*  97542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97545 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  97553 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97557 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  97564 */   // (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  97564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /*  97567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97569 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97574 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97579 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97584 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97588 */   GIR_RootConstrainSelectedInstOperands,
     /*  97589 */   // GIR_Coverage, 236,
     /*  97589 */   GIR_EraseRootFromParent_Done,
     /*  97590 */ // Label 1860: @97590
     /*  97590 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(97646), // Rule ID 243 //
     /*  97595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97598 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97601 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97609 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97613 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  97620 */   // (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  97620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  97623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97644 */   GIR_RootConstrainSelectedInstOperands,
     /*  97645 */   // GIR_Coverage, 243,
     /*  97645 */   GIR_EraseRootFromParent_Done,
     /*  97646 */ // Label 1861: @97646
     /*  97646 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(97702), // Rule ID 244 //
     /*  97651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97654 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97657 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97665 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97669 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  97676 */   // (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  97676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  97679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97700 */   GIR_RootConstrainSelectedInstOperands,
     /*  97701 */   // GIR_Coverage, 244,
     /*  97701 */   GIR_EraseRootFromParent_Done,
     /*  97702 */ // Label 1862: @97702
     /*  97702 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(97755), // Rule ID 4028 //
     /*  97707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97710 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97722 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  97729 */   // (ld:{ *:[v1i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  97729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  97732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97749 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97753 */   GIR_RootConstrainSelectedInstOperands,
     /*  97754 */   // GIR_Coverage, 4028,
     /*  97754 */   GIR_EraseRootFromParent_Done,
     /*  97755 */ // Label 1863: @97755
     /*  97755 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(97808), // Rule ID 4029 //
     /*  97760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97763 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97771 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97775 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  97782 */   // (ld:{ *:[v1i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  97782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  97785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97806 */   GIR_RootConstrainSelectedInstOperands,
     /*  97807 */   // GIR_Coverage, 4029,
     /*  97807 */   GIR_EraseRootFromParent_Done,
     /*  97808 */ // Label 1864: @97808
     /*  97808 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(97861), // Rule ID 4030 //
     /*  97813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97828 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  97835 */   // (ld:{ *:[v1f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  97835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  97838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97855 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97859 */   GIR_RootConstrainSelectedInstOperands,
     /*  97860 */   // GIR_Coverage, 4030,
     /*  97860 */   GIR_EraseRootFromParent_Done,
     /*  97861 */ // Label 1865: @97861
     /*  97861 */ GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(97914), // Rule ID 4031 //
     /*  97866 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97869 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97877 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97881 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  97888 */   // (ld:{ *:[v1f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  97888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  97891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  97893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97898 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97908 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97912 */   GIR_RootConstrainSelectedInstOperands,
     /*  97913 */   // GIR_Coverage, 4031,
     /*  97913 */   GIR_EraseRootFromParent_Done,
     /*  97914 */ // Label 1866: @97914
     /*  97914 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(98006), // Rule ID 4054 //
     /*  97919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97922 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  97926 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  97933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  97937 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  97941 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  97948 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  97948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  97951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  97955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  97965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  97970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  97975 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  97979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  97984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  97989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  97995 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98000 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98005 */   // GIR_Coverage, 4054,
     /*  98005 */   GIR_EraseRootFromParent_Done,
     /*  98006 */ // Label 1867: @98006
     /*  98006 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(98098), // Rule ID 4055 //
     /*  98011 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98014 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98018 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  98040 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  98047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98052 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98067 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98092 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98097 */   // GIR_Coverage, 4055,
     /*  98097 */   GIR_EraseRootFromParent_Done,
     /*  98098 */ // Label 1868: @98098
     /*  98098 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(98190), // Rule ID 4056 //
     /*  98103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98106 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98110 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98125 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  98132 */   // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98132 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98135 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /*  98139 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98144 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98159 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98163 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98179 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98184 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98189 */   // GIR_Coverage, 4056,
     /*  98189 */   GIR_EraseRootFromParent_Done,
     /*  98190 */ // Label 1869: @98190
     /*  98190 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(98282), // Rule ID 4057 //
     /*  98195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98198 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98202 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  98209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98217 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  98224 */   // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /*  98231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98236 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98241 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98251 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98265 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98276 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98281 */   // GIR_Coverage, 4057,
     /*  98281 */   GIR_EraseRootFromParent_Done,
     /*  98282 */ // Label 1870: @98282
     /*  98282 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(98374), // Rule ID 4058 //
     /*  98287 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98290 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98294 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  98301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98305 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98309 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  98316 */   // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98316 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98319 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  98323 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98328 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98333 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98338 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98343 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98363 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98368 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98373 */   // GIR_Coverage, 4058,
     /*  98373 */   GIR_EraseRootFromParent_Done,
     /*  98374 */ // Label 1871: @98374
     /*  98374 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(98466), // Rule ID 4059 //
     /*  98379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98382 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98386 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  98393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98397 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98401 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  98408 */   // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  98415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98435 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98449 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98455 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98460 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98465 */   // GIR_Coverage, 4059,
     /*  98465 */   GIR_EraseRootFromParent_Done,
     /*  98466 */ // Label 1872: @98466
     /*  98466 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(98558), // Rule ID 4060 //
     /*  98471 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98474 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98478 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98489 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98493 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  98500 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  98507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98527 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98547 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98552 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98557 */   // GIR_Coverage, 4060,
     /*  98557 */   GIR_EraseRootFromParent_Done,
     /*  98558 */ // Label 1873: @98558
     /*  98558 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(98650), // Rule ID 4061 //
     /*  98563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98566 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  98577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  98592 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /*  98592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  98599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98604 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98619 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  98628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  98633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  98639 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  98644 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98649 */   // GIR_Coverage, 4061,
     /*  98649 */   GIR_EraseRootFromParent_Done,
     /*  98650 */ // Label 1874: @98650
     /*  98650 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(98698), // Rule ID 259 //
     /*  98655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98658 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98666 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98670 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  98677 */   // (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  98677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /*  98680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98692 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98696 */   GIR_RootConstrainSelectedInstOperands,
     /*  98697 */   // GIR_Coverage, 259,
     /*  98697 */   GIR_EraseRootFromParent_Done,
     /*  98698 */ // Label 1875: @98698
     /*  98698 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(98749), // Rule ID 264 //
     /*  98703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98706 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98709 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  98728 */   // (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  98728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  98731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98743 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98747 */   GIR_RootConstrainSelectedInstOperands,
     /*  98748 */   // GIR_Coverage, 264,
     /*  98748 */   GIR_EraseRootFromParent_Done,
     /*  98749 */ // Label 1876: @98749
     /*  98749 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(98808), // Rule ID 6948 //
     /*  98754 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98757 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  98764 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  98767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98771 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98775 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  98782 */   // (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  98782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /*  98785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98806 */   GIR_RootConstrainSelectedInstOperands,
     /*  98807 */   // GIR_Coverage, 6948,
     /*  98807 */   GIR_EraseRootFromParent_Done,
     /*  98808 */ // Label 1877: @98808
     /*  98808 */ GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(98867), // Rule ID 6949 //
     /*  98813 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98816 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  98823 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  98826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98830 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98834 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  98841 */   // (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  98841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /*  98844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98865 */   GIR_RootConstrainSelectedInstOperands,
     /*  98866 */   // GIR_Coverage, 6949,
     /*  98866 */   GIR_EraseRootFromParent_Done,
     /*  98867 */ // Label 1878: @98867
     /*  98867 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(98915), // Rule ID 280 //
     /*  98872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98875 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98883 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98887 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  98894 */   // (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  98894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /*  98897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98899 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98904 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98909 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98913 */   GIR_RootConstrainSelectedInstOperands,
     /*  98914 */   // GIR_Coverage, 280,
     /*  98914 */   GIR_EraseRootFromParent_Done,
     /*  98915 */ // Label 1879: @98915
     /*  98915 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(98966), // Rule ID 285 //
     /*  98920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98923 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98926 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98934 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98938 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  98945 */   // (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  98945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  98948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98950 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98955 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98960 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98964 */   GIR_RootConstrainSelectedInstOperands,
     /*  98965 */   // GIR_Coverage, 285,
     /*  98965 */   GIR_EraseRootFromParent_Done,
     /*  98966 */ // Label 1880: @98966
     /*  98966 */ GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(99020), // Rule ID 6950 //
     /*  98971 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  98974 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  98981 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  98984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98988 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98992 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  98999 */   // (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  98999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /*  99002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99014 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99018 */   GIR_RootConstrainSelectedInstOperands,
     /*  99019 */   // GIR_Coverage, 6950,
     /*  99019 */   GIR_EraseRootFromParent_Done,
     /*  99020 */ // Label 1881: @99020
     /*  99020 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(99074), // Rule ID 6951 //
     /*  99025 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99028 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  99035 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  99038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  99042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  99053 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15458>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  99053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /*  99056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99068 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99072 */   GIR_RootConstrainSelectedInstOperands,
     /*  99073 */   // GIR_Coverage, 6951,
     /*  99073 */   GIR_EraseRootFromParent_Done,
     /*  99074 */ // Label 1882: @99074
     /*  99074 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(99131), // Rule ID 7265 //
     /*  99079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /*  99082 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99085 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  99092 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  99095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  99099 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99103 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  99110 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15427>>  =>  (LDAPURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  99110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURXi),
     /*  99113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99129 */   GIR_RootConstrainSelectedInstOperands,
     /*  99130 */   // GIR_Coverage, 7265,
     /*  99130 */   GIR_EraseRootFromParent_Done,
     /*  99131 */ // Label 1883: @99131
     /*  99131 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(99179), // Rule ID 4075 //
     /*  99136 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99139 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99147 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99151 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  99158 */   // (ld:{ *:[v1f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  99158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  99161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99177 */   GIR_RootConstrainSelectedInstOperands,
     /*  99178 */   // GIR_Coverage, 4075,
     /*  99178 */   GIR_EraseRootFromParent_Done,
     /*  99179 */ // Label 1884: @99179
     /*  99179 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(99227), // Rule ID 4076 //
     /*  99184 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99187 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  99206 */   // (ld:{ *:[v1i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  99206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  99209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99221 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99225 */   GIR_RootConstrainSelectedInstOperands,
     /*  99226 */   // GIR_Coverage, 4076,
     /*  99226 */   GIR_EraseRootFromParent_Done,
     /*  99227 */ // Label 1885: @99227
     /*  99227 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(99314), // Rule ID 4092 //
     /*  99232 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99235 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99239 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  99246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  99261 */   // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /*  99261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /*  99268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99278 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99283 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99308 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99313 */   // GIR_Coverage, 4092,
     /*  99313 */   GIR_EraseRootFromParent_Done,
     /*  99314 */ // Label 1886: @99314
     /*  99314 */ GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(99401), // Rule ID 4093 //
     /*  99319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99322 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99326 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99341 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  99348 */   // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /*  99348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /*  99355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99370 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99390 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99395 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99400 */   // GIR_Coverage, 4093,
     /*  99400 */   GIR_EraseRootFromParent_Done,
     /*  99401 */ // Label 1887: @99401
     /*  99401 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(99488), // Rule ID 4094 //
     /*  99406 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99409 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99413 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99424 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99428 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  99435 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /*  99435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /*  99442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99457 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99477 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99482 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99487 */   // GIR_Coverage, 4094,
     /*  99487 */   GIR_EraseRootFromParent_Done,
     /*  99488 */ // Label 1888: @99488
     /*  99488 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(99575), // Rule ID 4095 //
     /*  99493 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99496 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99500 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99515 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  99522 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /*  99522 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99525 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /*  99529 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99544 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99564 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99569 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99574 */   // GIR_Coverage, 4095,
     /*  99574 */   GIR_EraseRootFromParent_Done,
     /*  99575 */ // Label 1889: @99575
     /*  99575 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(99623), // Rule ID 4103 //
     /*  99580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99591 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99595 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  99602 */   // (ld:{ *:[v1f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  99602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  99605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99617 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99621 */   GIR_RootConstrainSelectedInstOperands,
     /*  99622 */   // GIR_Coverage, 4103,
     /*  99622 */   GIR_EraseRootFromParent_Done,
     /*  99623 */ // Label 1890: @99623
     /*  99623 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(99671), // Rule ID 4104 //
     /*  99628 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99631 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99639 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99643 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  99650 */   // (ld:{ *:[v1i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  99650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  99653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99655 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99665 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99669 */   GIR_RootConstrainSelectedInstOperands,
     /*  99670 */   // GIR_Coverage, 4104,
     /*  99670 */   GIR_EraseRootFromParent_Done,
     /*  99671 */ // Label 1891: @99671
     /*  99671 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(99758), // Rule ID 4115 //
     /*  99676 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99679 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99683 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  99690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99694 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99698 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  99705 */   // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /*  99705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /*  99712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99727 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99731 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99747 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99752 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99757 */   // GIR_Coverage, 4115,
     /*  99757 */   GIR_EraseRootFromParent_Done,
     /*  99758 */ // Label 1892: @99758
     /*  99758 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(99845), // Rule ID 4116 //
     /*  99763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99766 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99781 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99785 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  99792 */   // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /*  99792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /*  99799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99814 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99828 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99834 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99839 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99844 */   // GIR_Coverage, 4116,
     /*  99844 */   GIR_EraseRootFromParent_Done,
     /*  99845 */ // Label 1893: @99845
     /*  99845 */ GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(99932), // Rule ID 4117 //
     /*  99850 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99853 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99857 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  99879 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /*  99879 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99882 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /*  99886 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99891 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99901 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  99915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  99921 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99931 */   // GIR_Coverage, 4117,
     /*  99931 */   GIR_EraseRootFromParent_Done,
     /*  99932 */ // Label 1894: @99932
     /*  99932 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(100019), // Rule ID 4118 //
     /*  99937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99940 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99944 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  99955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  99966 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /*  99966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  99969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /*  99973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99978 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99983 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99988 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  99994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  99997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 100002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 100005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 100008 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 100013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100018 */   // GIR_Coverage, 4118,
     /* 100018 */   GIR_EraseRootFromParent_Done,
     /* 100019 */ // Label 1895: @100019
     /* 100019 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(100059), // Rule ID 6915 //
     /* 100024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 100027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100030 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 100037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 100044 */   // MIs[0] ptr
     /* 100044 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 100048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 100052 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15427>>  =>  (LDAPRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 100052 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRX),
     /* 100057 */   GIR_RootConstrainSelectedInstOperands,
     /* 100058 */   // GIR_Coverage, 6915,
     /* 100058 */   GIR_Done,
     /* 100059 */ // Label 1896: @100059
     /* 100059 */ GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(100096), // Rule ID 6946 //
     /* 100064 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100067 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 100074 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 100077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 100081 */   // MIs[0] ptr
     /* 100081 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 100085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 100089 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15455>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 100089 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 100094 */   GIR_RootConstrainSelectedInstOperands,
     /* 100095 */   // GIR_Coverage, 6946,
     /* 100095 */   GIR_Done,
     /* 100096 */ // Label 1897: @100096
     /* 100096 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(100133), // Rule ID 6947 //
     /* 100101 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100104 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 100111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 100118 */   // MIs[0] ptr
     /* 100118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 100122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 100126 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15427>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 100126 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 100131 */   GIR_RootConstrainSelectedInstOperands,
     /* 100132 */   // GIR_Coverage, 6947,
     /* 100132 */   GIR_Done,
     /* 100133 */ // Label 1898: @100133
     /* 100133 */ GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(100164), // Rule ID 6299 //
     /* 100138 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100141 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 100149 */   // MIs[0] Rn
     /* 100149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 100153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 100157 */   // (ld:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 100157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev1d),
     /* 100162 */   GIR_RootConstrainSelectedInstOperands,
     /* 100163 */   // GIR_Coverage, 6299,
     /* 100163 */   GIR_Done,
     /* 100164 */ // Label 1899: @100164
     /* 100164 */ GIM_Reject,
     /* 100165 */ // Label 1788: @100165
     /* 100165 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(100373),
     /* 100170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100173 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 100181 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100185 */   GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(100226), // Rule ID 245 //
     /* 100190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 100200 */     // (ld:{ *:[f128] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 100200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 100203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100224 */     GIR_RootConstrainSelectedInstOperands,
     /* 100225 */     // GIR_Coverage, 245,
     /* 100225 */     GIR_EraseRootFromParent_Done,
     /* 100226 */   // Label 1901: @100226
     /* 100226 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(100267), // Rule ID 246 //
     /* 100231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 100241 */     // (ld:{ *:[f128] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 100241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 100244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100265 */     GIR_RootConstrainSelectedInstOperands,
     /* 100266 */     // GIR_Coverage, 246,
     /* 100266 */     GIR_EraseRootFromParent_Done,
     /* 100267 */   // Label 1902: @100267
     /* 100267 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(100303), // Rule ID 265 //
     /* 100272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 100282 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 100282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 100285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100301 */     GIR_RootConstrainSelectedInstOperands,
     /* 100302 */     // GIR_Coverage, 265,
     /* 100302 */     GIR_EraseRootFromParent_Done,
     /* 100303 */   // Label 1903: @100303
     /* 100303 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(100339), // Rule ID 286 //
     /* 100308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 100318 */     // (ld:{ *:[f128] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 100321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100337 */     GIR_RootConstrainSelectedInstOperands,
     /* 100338 */     // GIR_Coverage, 286,
     /* 100338 */     GIR_EraseRootFromParent_Done,
     /* 100339 */   // Label 1904: @100339
     /* 100339 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(100372), // Rule ID 4084 //
     /* 100344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 100351 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 100351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 100354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100370 */     GIR_RootConstrainSelectedInstOperands,
     /* 100371 */     // GIR_Coverage, 4084,
     /* 100371 */     GIR_EraseRootFromParent_Done,
     /* 100372 */   // Label 1905: @100372
     /* 100372 */   GIM_Reject,
     /* 100373 */ // Label 1900: @100373
     /* 100373 */ GIM_Reject,
     /* 100374 */ // Label 1789: @100374
     /* 100374 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(100751),
     /* 100379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 100390 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(100435), // Rule ID 4018 //
     /* 100395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 100409 */     // (ld:{ *:[v2i32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 100409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 100412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100433 */     GIR_RootConstrainSelectedInstOperands,
     /* 100434 */     // GIR_Coverage, 4018,
     /* 100434 */     GIR_EraseRootFromParent_Done,
     /* 100435 */   // Label 1907: @100435
     /* 100435 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(100480), // Rule ID 4019 //
     /* 100440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 100454 */     // (ld:{ *:[v2i32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 100454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 100457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100478 */     GIR_RootConstrainSelectedInstOperands,
     /* 100479 */     // GIR_Coverage, 4019,
     /* 100479 */     GIR_EraseRootFromParent_Done,
     /* 100480 */   // Label 1908: @100480
     /* 100480 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(100525), // Rule ID 4020 //
     /* 100485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 100499 */     // (ld:{ *:[v2f32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 100499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 100502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100523 */     GIR_RootConstrainSelectedInstOperands,
     /* 100524 */     // GIR_Coverage, 4020,
     /* 100524 */     GIR_EraseRootFromParent_Done,
     /* 100525 */   // Label 1909: @100525
     /* 100525 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(100570), // Rule ID 4021 //
     /* 100530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 100544 */     // (ld:{ *:[v2f32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 100544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 100547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100568 */     GIR_RootConstrainSelectedInstOperands,
     /* 100569 */     // GIR_Coverage, 4021,
     /* 100569 */     GIR_EraseRootFromParent_Done,
     /* 100570 */   // Label 1910: @100570
     /* 100570 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(100610), // Rule ID 4070 //
     /* 100575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 100589 */     // (ld:{ *:[v2f32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 100589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 100592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100608 */     GIR_RootConstrainSelectedInstOperands,
     /* 100609 */     // GIR_Coverage, 4070,
     /* 100609 */     GIR_EraseRootFromParent_Done,
     /* 100610 */   // Label 1911: @100610
     /* 100610 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(100650), // Rule ID 4073 //
     /* 100615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 100629 */     // (ld:{ *:[v2i32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 100629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 100632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100648 */     GIR_RootConstrainSelectedInstOperands,
     /* 100649 */     // GIR_Coverage, 4073,
     /* 100649 */     GIR_EraseRootFromParent_Done,
     /* 100650 */   // Label 1912: @100650
     /* 100650 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(100690), // Rule ID 4098 //
     /* 100655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 100669 */     // (ld:{ *:[v2f32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 100672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100688 */     GIR_RootConstrainSelectedInstOperands,
     /* 100689 */     // GIR_Coverage, 4098,
     /* 100689 */     GIR_EraseRootFromParent_Done,
     /* 100690 */   // Label 1913: @100690
     /* 100690 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(100730), // Rule ID 4099 //
     /* 100695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 100709 */     // (ld:{ *:[v2i32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 100712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100728 */     GIR_RootConstrainSelectedInstOperands,
     /* 100729 */     // GIR_Coverage, 4099,
     /* 100729 */     GIR_EraseRootFromParent_Done,
     /* 100730 */   // Label 1914: @100730
     /* 100730 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(100750), // Rule ID 6298 //
     /* 100735 */     // MIs[0] Rn
     /* 100735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 100739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 100743 */     // (ld:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 100743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2s),
     /* 100748 */     GIR_RootConstrainSelectedInstOperands,
     /* 100749 */     // GIR_Coverage, 6298,
     /* 100749 */     GIR_Done,
     /* 100750 */   // Label 1915: @100750
     /* 100750 */   GIM_Reject,
     /* 100751 */ // Label 1906: @100751
     /* 100751 */ GIM_Reject,
     /* 100752 */ // Label 1790: @100752
     /* 100752 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(101129),
     /* 100757 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100760 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 100768 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(100813), // Rule ID 4032 //
     /* 100773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 100787 */     // (ld:{ *:[v2i64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 100787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 100790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100811 */     GIR_RootConstrainSelectedInstOperands,
     /* 100812 */     // GIR_Coverage, 4032,
     /* 100812 */     GIR_EraseRootFromParent_Done,
     /* 100813 */   // Label 1917: @100813
     /* 100813 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(100858), // Rule ID 4033 //
     /* 100818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 100832 */     // (ld:{ *:[v2i64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 100832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 100835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100856 */     GIR_RootConstrainSelectedInstOperands,
     /* 100857 */     // GIR_Coverage, 4033,
     /* 100857 */     GIR_EraseRootFromParent_Done,
     /* 100858 */   // Label 1918: @100858
     /* 100858 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(100903), // Rule ID 4034 //
     /* 100863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 100877 */     // (ld:{ *:[v2f64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 100877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 100880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100901 */     GIR_RootConstrainSelectedInstOperands,
     /* 100902 */     // GIR_Coverage, 4034,
     /* 100902 */     GIR_EraseRootFromParent_Done,
     /* 100903 */   // Label 1919: @100903
     /* 100903 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(100948), // Rule ID 4035 //
     /* 100908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 100922 */     // (ld:{ *:[v2f64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 100922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 100925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100946 */     GIR_RootConstrainSelectedInstOperands,
     /* 100947 */     // GIR_Coverage, 4035,
     /* 100947 */     GIR_EraseRootFromParent_Done,
     /* 100948 */   // Label 1920: @100948
     /* 100948 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(100988), // Rule ID 4078 //
     /* 100953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 100967 */     // (ld:{ *:[v2f64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 100967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 100970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100986 */     GIR_RootConstrainSelectedInstOperands,
     /* 100987 */     // GIR_Coverage, 4078,
     /* 100987 */     GIR_EraseRootFromParent_Done,
     /* 100988 */   // Label 1921: @100988
     /* 100988 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(101028), // Rule ID 4082 //
     /* 100993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 100996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 101007 */     // (ld:{ *:[v2i64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 101007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 101010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101026 */     GIR_RootConstrainSelectedInstOperands,
     /* 101027 */     // GIR_Coverage, 4082,
     /* 101027 */     GIR_EraseRootFromParent_Done,
     /* 101028 */   // Label 1922: @101028
     /* 101028 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(101068), // Rule ID 4105 //
     /* 101033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 101047 */     // (ld:{ *:[v2f64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 101050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101066 */     GIR_RootConstrainSelectedInstOperands,
     /* 101067 */     // GIR_Coverage, 4105,
     /* 101067 */     GIR_EraseRootFromParent_Done,
     /* 101068 */   // Label 1923: @101068
     /* 101068 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(101108), // Rule ID 4106 //
     /* 101073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 101087 */     // (ld:{ *:[v2i64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 101090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101106 */     GIR_RootConstrainSelectedInstOperands,
     /* 101107 */     // GIR_Coverage, 4106,
     /* 101107 */     GIR_EraseRootFromParent_Done,
     /* 101108 */   // Label 1924: @101108
     /* 101108 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(101128), // Rule ID 6295 //
     /* 101113 */     // MIs[0] Rn
     /* 101113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101121 */     // (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 101121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2d),
     /* 101126 */     GIR_RootConstrainSelectedInstOperands,
     /* 101127 */     // GIR_Coverage, 6295,
     /* 101127 */     GIR_Done,
     /* 101128 */   // Label 1925: @101128
     /* 101128 */   GIM_Reject,
     /* 101129 */ // Label 1916: @101129
     /* 101129 */ GIM_Reject,
     /* 101130 */ // Label 1791: @101130
     /* 101130 */ GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(101507),
     /* 101135 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101138 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101146 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(101191), // Rule ID 4024 //
     /* 101151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101165 */     // (ld:{ *:[v4i16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101189 */     GIR_RootConstrainSelectedInstOperands,
     /* 101190 */     // GIR_Coverage, 4024,
     /* 101190 */     GIR_EraseRootFromParent_Done,
     /* 101191 */   // Label 1927: @101191
     /* 101191 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(101236), // Rule ID 4025 //
     /* 101196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101210 */     // (ld:{ *:[v4i16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101234 */     GIR_RootConstrainSelectedInstOperands,
     /* 101235 */     // GIR_Coverage, 4025,
     /* 101235 */     GIR_EraseRootFromParent_Done,
     /* 101236 */   // Label 1928: @101236
     /* 101236 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(101281), // Rule ID 4026 //
     /* 101241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101255 */     // (ld:{ *:[v4f16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101279 */     GIR_RootConstrainSelectedInstOperands,
     /* 101280 */     // GIR_Coverage, 4026,
     /* 101280 */     GIR_EraseRootFromParent_Done,
     /* 101281 */   // Label 1929: @101281
     /* 101281 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(101326), // Rule ID 4027 //
     /* 101286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101300 */     // (ld:{ *:[v4f16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101324 */     GIR_RootConstrainSelectedInstOperands,
     /* 101325 */     // GIR_Coverage, 4027,
     /* 101325 */     GIR_EraseRootFromParent_Done,
     /* 101326 */   // Label 1930: @101326
     /* 101326 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(101366), // Rule ID 4072 //
     /* 101331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 101345 */     // (ld:{ *:[v4i16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 101345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 101348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101364 */     GIR_RootConstrainSelectedInstOperands,
     /* 101365 */     // GIR_Coverage, 4072,
     /* 101365 */     GIR_EraseRootFromParent_Done,
     /* 101366 */   // Label 1931: @101366
     /* 101366 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(101406), // Rule ID 4074 //
     /* 101371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 101385 */     // (ld:{ *:[v4f16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 101385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 101388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101404 */     GIR_RootConstrainSelectedInstOperands,
     /* 101405 */     // GIR_Coverage, 4074,
     /* 101405 */     GIR_EraseRootFromParent_Done,
     /* 101406 */   // Label 1932: @101406
     /* 101406 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(101446), // Rule ID 4100 //
     /* 101411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 101425 */     // (ld:{ *:[v4i16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 101428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101444 */     GIR_RootConstrainSelectedInstOperands,
     /* 101445 */     // GIR_Coverage, 4100,
     /* 101445 */     GIR_EraseRootFromParent_Done,
     /* 101446 */   // Label 1933: @101446
     /* 101446 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(101486), // Rule ID 4102 //
     /* 101451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 101465 */     // (ld:{ *:[v4f16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 101468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101484 */     GIR_RootConstrainSelectedInstOperands,
     /* 101485 */     // GIR_Coverage, 4102,
     /* 101485 */     GIR_EraseRootFromParent_Done,
     /* 101486 */   // Label 1934: @101486
     /* 101486 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(101506), // Rule ID 6297 //
     /* 101491 */     // MIs[0] Rn
     /* 101491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101499 */     // (ld:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 101499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4h),
     /* 101504 */     GIR_RootConstrainSelectedInstOperands,
     /* 101505 */     // GIR_Coverage, 6297,
     /* 101505 */     GIR_Done,
     /* 101506 */   // Label 1935: @101506
     /* 101506 */   GIM_Reject,
     /* 101507 */ // Label 1926: @101507
     /* 101507 */ GIM_Reject,
     /* 101508 */ // Label 1792: @101508
     /* 101508 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(101885),
     /* 101513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101516 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 101524 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(101569), // Rule ID 4036 //
     /* 101529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 101543 */     // (ld:{ *:[v4i32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 101543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 101546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101567 */     GIR_RootConstrainSelectedInstOperands,
     /* 101568 */     // GIR_Coverage, 4036,
     /* 101568 */     GIR_EraseRootFromParent_Done,
     /* 101569 */   // Label 1937: @101569
     /* 101569 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(101614), // Rule ID 4037 //
     /* 101574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 101588 */     // (ld:{ *:[v4i32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 101588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 101591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101612 */     GIR_RootConstrainSelectedInstOperands,
     /* 101613 */     // GIR_Coverage, 4037,
     /* 101613 */     GIR_EraseRootFromParent_Done,
     /* 101614 */   // Label 1938: @101614
     /* 101614 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(101659), // Rule ID 4038 //
     /* 101619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 101633 */     // (ld:{ *:[v4f32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 101633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 101636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101657 */     GIR_RootConstrainSelectedInstOperands,
     /* 101658 */     // GIR_Coverage, 4038,
     /* 101658 */     GIR_EraseRootFromParent_Done,
     /* 101659 */   // Label 1939: @101659
     /* 101659 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(101704), // Rule ID 4039 //
     /* 101664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 101678 */     // (ld:{ *:[v4f32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 101678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 101681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101702 */     GIR_RootConstrainSelectedInstOperands,
     /* 101703 */     // GIR_Coverage, 4039,
     /* 101703 */     GIR_EraseRootFromParent_Done,
     /* 101704 */   // Label 1940: @101704
     /* 101704 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(101744), // Rule ID 4077 //
     /* 101709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 101723 */     // (ld:{ *:[v4f32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 101723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 101726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101742 */     GIR_RootConstrainSelectedInstOperands,
     /* 101743 */     // GIR_Coverage, 4077,
     /* 101743 */     GIR_EraseRootFromParent_Done,
     /* 101744 */   // Label 1941: @101744
     /* 101744 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(101784), // Rule ID 4081 //
     /* 101749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 101763 */     // (ld:{ *:[v4i32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 101763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 101766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101782 */     GIR_RootConstrainSelectedInstOperands,
     /* 101783 */     // GIR_Coverage, 4081,
     /* 101783 */     GIR_EraseRootFromParent_Done,
     /* 101784 */   // Label 1942: @101784
     /* 101784 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(101824), // Rule ID 4107 //
     /* 101789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 101803 */     // (ld:{ *:[v4f32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 101806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101822 */     GIR_RootConstrainSelectedInstOperands,
     /* 101823 */     // GIR_Coverage, 4107,
     /* 101823 */     GIR_EraseRootFromParent_Done,
     /* 101824 */   // Label 1943: @101824
     /* 101824 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(101864), // Rule ID 4108 //
     /* 101829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 101843 */     // (ld:{ *:[v4i32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 101846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101862 */     GIR_RootConstrainSelectedInstOperands,
     /* 101863 */     // GIR_Coverage, 4108,
     /* 101863 */     GIR_EraseRootFromParent_Done,
     /* 101864 */   // Label 1944: @101864
     /* 101864 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(101884), // Rule ID 6294 //
     /* 101869 */     // MIs[0] Rn
     /* 101869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101877 */     // (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 101877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4s),
     /* 101882 */     GIR_RootConstrainSelectedInstOperands,
     /* 101883 */     // GIR_Coverage, 6294,
     /* 101883 */     GIR_Done,
     /* 101884 */   // Label 1945: @101884
     /* 101884 */   GIM_Reject,
     /* 101885 */ // Label 1936: @101885
     /* 101885 */ GIM_Reject,
     /* 101886 */ // Label 1793: @101886
     /* 101886 */ GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(102093),
     /* 101891 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101894 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101902 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(101947), // Rule ID 4022 //
     /* 101907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101921 */     // (ld:{ *:[v8i8] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101945 */     GIR_RootConstrainSelectedInstOperands,
     /* 101946 */     // GIR_Coverage, 4022,
     /* 101946 */     GIR_EraseRootFromParent_Done,
     /* 101947 */   // Label 1947: @101947
     /* 101947 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(101992), // Rule ID 4023 //
     /* 101952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 101955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101966 */     // (ld:{ *:[v8i8] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101990 */     GIR_RootConstrainSelectedInstOperands,
     /* 101991 */     // GIR_Coverage, 4023,
     /* 101991 */     GIR_EraseRootFromParent_Done,
     /* 101992 */   // Label 1948: @101992
     /* 101992 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(102032), // Rule ID 4071 //
     /* 101997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 102011 */     // (ld:{ *:[v8i8] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 102011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 102014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102030 */     GIR_RootConstrainSelectedInstOperands,
     /* 102031 */     // GIR_Coverage, 4071,
     /* 102031 */     GIR_EraseRootFromParent_Done,
     /* 102032 */   // Label 1949: @102032
     /* 102032 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(102072), // Rule ID 4101 //
     /* 102037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 102051 */     // (ld:{ *:[v8i8] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 102051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 102054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102070 */     GIR_RootConstrainSelectedInstOperands,
     /* 102071 */     // GIR_Coverage, 4101,
     /* 102071 */     GIR_EraseRootFromParent_Done,
     /* 102072 */   // Label 1950: @102072
     /* 102072 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(102092), // Rule ID 6296 //
     /* 102077 */     // MIs[0] Rn
     /* 102077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102085 */     // (ld:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 102085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8b),
     /* 102090 */     GIR_RootConstrainSelectedInstOperands,
     /* 102091 */     // GIR_Coverage, 6296,
     /* 102091 */     GIR_Done,
     /* 102092 */   // Label 1951: @102092
     /* 102092 */   GIM_Reject,
     /* 102093 */ // Label 1946: @102093
     /* 102093 */ GIM_Reject,
     /* 102094 */ // Label 1794: @102094
     /* 102094 */ GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(102471),
     /* 102099 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102102 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 102110 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(102155), // Rule ID 4040 //
     /* 102115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 102129 */     // (ld:{ *:[v8i16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 102129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 102132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102153 */     GIR_RootConstrainSelectedInstOperands,
     /* 102154 */     // GIR_Coverage, 4040,
     /* 102154 */     GIR_EraseRootFromParent_Done,
     /* 102155 */   // Label 1953: @102155
     /* 102155 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(102200), // Rule ID 4041 //
     /* 102160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 102174 */     // (ld:{ *:[v8i16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 102174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 102177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102198 */     GIR_RootConstrainSelectedInstOperands,
     /* 102199 */     // GIR_Coverage, 4041,
     /* 102199 */     GIR_EraseRootFromParent_Done,
     /* 102200 */   // Label 1954: @102200
     /* 102200 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(102245), // Rule ID 4042 //
     /* 102205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 102219 */     // (ld:{ *:[v8f16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 102219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 102222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102243 */     GIR_RootConstrainSelectedInstOperands,
     /* 102244 */     // GIR_Coverage, 4042,
     /* 102244 */     GIR_EraseRootFromParent_Done,
     /* 102245 */   // Label 1955: @102245
     /* 102245 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(102290), // Rule ID 4043 //
     /* 102250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 102264 */     // (ld:{ *:[v8f16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 102264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 102267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102288 */     GIR_RootConstrainSelectedInstOperands,
     /* 102289 */     // GIR_Coverage, 4043,
     /* 102289 */     GIR_EraseRootFromParent_Done,
     /* 102290 */   // Label 1956: @102290
     /* 102290 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(102330), // Rule ID 4080 //
     /* 102295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 102309 */     // (ld:{ *:[v8i16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 102309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 102312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102328 */     GIR_RootConstrainSelectedInstOperands,
     /* 102329 */     // GIR_Coverage, 4080,
     /* 102329 */     GIR_EraseRootFromParent_Done,
     /* 102330 */   // Label 1957: @102330
     /* 102330 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(102370), // Rule ID 4083 //
     /* 102335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 102349 */     // (ld:{ *:[v8f16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 102349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 102352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102368 */     GIR_RootConstrainSelectedInstOperands,
     /* 102369 */     // GIR_Coverage, 4083,
     /* 102369 */     GIR_EraseRootFromParent_Done,
     /* 102370 */   // Label 1958: @102370
     /* 102370 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(102410), // Rule ID 4109 //
     /* 102375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 102389 */     // (ld:{ *:[v8i16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 102389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 102392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102408 */     GIR_RootConstrainSelectedInstOperands,
     /* 102409 */     // GIR_Coverage, 4109,
     /* 102409 */     GIR_EraseRootFromParent_Done,
     /* 102410 */   // Label 1959: @102410
     /* 102410 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(102450), // Rule ID 4111 //
     /* 102415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 102429 */     // (ld:{ *:[v8f16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 102429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 102432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102448 */     GIR_RootConstrainSelectedInstOperands,
     /* 102449 */     // GIR_Coverage, 4111,
     /* 102449 */     GIR_EraseRootFromParent_Done,
     /* 102450 */   // Label 1960: @102450
     /* 102450 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(102470), // Rule ID 6293 //
     /* 102455 */     // MIs[0] Rn
     /* 102455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102463 */     // (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 102463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8h),
     /* 102468 */     GIR_RootConstrainSelectedInstOperands,
     /* 102469 */     // GIR_Coverage, 6293,
     /* 102469 */     GIR_Done,
     /* 102470 */   // Label 1961: @102470
     /* 102470 */   GIM_Reject,
     /* 102471 */ // Label 1952: @102471
     /* 102471 */ GIM_Reject,
     /* 102472 */ // Label 1795: @102472
     /* 102472 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(102679),
     /* 102477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102480 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 102488 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(102533), // Rule ID 4044 //
     /* 102493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 102507 */     // (ld:{ *:[v16i8] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 102507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 102510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102531 */     GIR_RootConstrainSelectedInstOperands,
     /* 102532 */     // GIR_Coverage, 4044,
     /* 102532 */     GIR_EraseRootFromParent_Done,
     /* 102533 */   // Label 1963: @102533
     /* 102533 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(102578), // Rule ID 4045 //
     /* 102538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 102552 */     // (ld:{ *:[v16i8] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 102552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 102555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102576 */     GIR_RootConstrainSelectedInstOperands,
     /* 102577 */     // GIR_Coverage, 4045,
     /* 102577 */     GIR_EraseRootFromParent_Done,
     /* 102578 */   // Label 1964: @102578
     /* 102578 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(102618), // Rule ID 4079 //
     /* 102583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 102597 */     // (ld:{ *:[v16i8] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 102597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 102600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102616 */     GIR_RootConstrainSelectedInstOperands,
     /* 102617 */     // GIR_Coverage, 4079,
     /* 102617 */     GIR_EraseRootFromParent_Done,
     /* 102618 */   // Label 1965: @102618
     /* 102618 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(102658), // Rule ID 4110 //
     /* 102623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 102626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 102637 */     // (ld:{ *:[v16i8] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 102637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 102640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102656 */     GIR_RootConstrainSelectedInstOperands,
     /* 102657 */     // GIR_Coverage, 4110,
     /* 102657 */     GIR_EraseRootFromParent_Done,
     /* 102658 */   // Label 1966: @102658
     /* 102658 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(102678), // Rule ID 6292 //
     /* 102663 */     // MIs[0] Rn
     /* 102663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102671 */     // (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 102671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev16b),
     /* 102676 */     GIR_RootConstrainSelectedInstOperands,
     /* 102677 */     // GIR_Coverage, 6292,
     /* 102677 */     GIR_Done,
     /* 102678 */   // Label 1967: @102678
     /* 102678 */   GIM_Reject,
     /* 102679 */ // Label 1962: @102679
     /* 102679 */ GIM_Reject,
     /* 102680 */ // Label 1796: @102680
     /* 102680 */ GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(102743), // Rule ID 10774 //
     /* 102685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 102688 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102691 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 102699 */   // MIs[0] base
     /* 102699 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102707 */   // (ld:{ *:[nxv2f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_D_IMM:{ *:[nxv2f16] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 102707 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 102710 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 102714 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102719 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 102722 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_D_IMM),
     /* 102727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 102729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102732 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 102734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102741 */   GIR_RootConstrainSelectedInstOperands,
     /* 102742 */   // GIR_Coverage, 10774,
     /* 102742 */   GIR_EraseRootFromParent_Done,
     /* 102743 */ // Label 1968: @102743
     /* 102743 */ GIM_Reject,
     /* 102744 */ // Label 1797: @102744
     /* 102744 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(102807), // Rule ID 10780 //
     /* 102749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 102752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102755 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 102763 */   // MIs[0] base
     /* 102763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102771 */   // (ld:{ *:[nxv2f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_D_IMM:{ *:[nxv2f32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 102771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 102774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 102778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102783 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 102786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_D_IMM),
     /* 102791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 102793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102796 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 102798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102805 */   GIR_RootConstrainSelectedInstOperands,
     /* 102806 */   // GIR_Coverage, 10780,
     /* 102806 */   GIR_EraseRootFromParent_Done,
     /* 102807 */ // Label 1969: @102807
     /* 102807 */ GIM_Reject,
     /* 102808 */ // Label 1798: @102808
     /* 102808 */ GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(102921),
     /* 102813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 102824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102832 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(102876), // Rule ID 10765 //
     /* 102837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 102840 */     // (ld:{ *:[nxv2i64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2i64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 102840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 102843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 102847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102852 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 102855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 102860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 102862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102865 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 102867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102874 */     GIR_RootConstrainSelectedInstOperands,
     /* 102875 */     // GIR_Coverage, 10765,
     /* 102875 */     GIR_EraseRootFromParent_Done,
     /* 102876 */   // Label 1971: @102876
     /* 102876 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(102920), // Rule ID 10783 //
     /* 102881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 102884 */     // (ld:{ *:[nxv2f64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2f64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 102884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 102887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 102891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102896 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 102899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 102904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 102906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102909 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 102911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102918 */     GIR_RootConstrainSelectedInstOperands,
     /* 102919 */     // GIR_Coverage, 10783,
     /* 102919 */     GIR_EraseRootFromParent_Done,
     /* 102920 */   // Label 1972: @102920
     /* 102920 */   GIM_Reject,
     /* 102921 */ // Label 1970: @102921
     /* 102921 */ GIM_Reject,
     /* 102922 */ // Label 1799: @102922
     /* 102922 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(102985), // Rule ID 10771 //
     /* 102927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 102930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102933 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 102941 */   // MIs[0] base
     /* 102941 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102949 */   // (ld:{ *:[nxv4f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_S_IMM:{ *:[nxv4f16] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 102949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 102952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 102956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102961 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 102964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_S_IMM),
     /* 102969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 102971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102974 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 102976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102979 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102983 */   GIR_RootConstrainSelectedInstOperands,
     /* 102984 */   // GIR_Coverage, 10771,
     /* 102984 */   GIR_EraseRootFromParent_Done,
     /* 102985 */ // Label 1973: @102985
     /* 102985 */ GIM_Reject,
     /* 102986 */ // Label 1800: @102986
     /* 102986 */ GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(103099),
     /* 102991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 103002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 103006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103010 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(103054), // Rule ID 10753 //
     /* 103015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103018 */     // (ld:{ *:[nxv4i32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 103021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 103025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103030 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 103033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 103038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 103040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103043 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103052 */     GIR_RootConstrainSelectedInstOperands,
     /* 103053 */     // GIR_Coverage, 10753,
     /* 103053 */     GIR_EraseRootFromParent_Done,
     /* 103054 */   // Label 1975: @103054
     /* 103054 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(103098), // Rule ID 10777 //
     /* 103059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103062 */     // (ld:{ *:[nxv4f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4f32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 103065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 103069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103074 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 103077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 103082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 103084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103087 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103096 */     GIR_RootConstrainSelectedInstOperands,
     /* 103097 */     // GIR_Coverage, 10777,
     /* 103097 */     GIR_EraseRootFromParent_Done,
     /* 103098 */   // Label 1976: @103098
     /* 103098 */   GIM_Reject,
     /* 103099 */ // Label 1974: @103099
     /* 103099 */ GIM_Reject,
     /* 103100 */ // Label 1801: @103100
     /* 103100 */ GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(103213),
     /* 103105 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103108 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 103116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 103120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103124 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(103168), // Rule ID 10732 //
     /* 103129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103132 */     // (ld:{ *:[nxv8i16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8i16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 103135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 103139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103144 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 103147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 103152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 103154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103157 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103166 */     GIR_RootConstrainSelectedInstOperands,
     /* 103167 */     // GIR_Coverage, 10732,
     /* 103167 */     GIR_EraseRootFromParent_Done,
     /* 103168 */   // Label 1978: @103168
     /* 103168 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(103212), // Rule ID 10768 //
     /* 103173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103176 */     // (ld:{ *:[nxv8f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8f16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 103179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 103183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103188 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 103191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 103196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 103198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103201 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103210 */     GIR_RootConstrainSelectedInstOperands,
     /* 103211 */     // GIR_Coverage, 10768,
     /* 103211 */     GIR_EraseRootFromParent_Done,
     /* 103212 */   // Label 1979: @103212
     /* 103212 */   GIM_Reject,
     /* 103213 */ // Label 1977: @103213
     /* 103213 */ GIM_Reject,
     /* 103214 */ // Label 1802: @103214
     /* 103214 */ GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(103257), // Rule ID 2419 //
     /* 103219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103225 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 103233 */   // MIs[0] base
     /* 103233 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 103237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103241 */   // (ld:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_PXI:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_PXI),
     /* 103244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pt]
     /* 103246 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103251 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103255 */   GIR_RootConstrainSelectedInstOperands,
     /* 103256 */   // GIR_Coverage, 2419,
     /* 103256 */   GIR_EraseRootFromParent_Done,
     /* 103257 */ // Label 1980: @103257
     /* 103257 */ GIM_Reject,
     /* 103258 */ // Label 1803: @103258
     /* 103258 */ GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(103321), // Rule ID 10700 //
     /* 103263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 103266 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103269 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 103277 */   // MIs[0] base
     /* 103277 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 103281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103285 */   // (ld:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1B_IMM:{ *:[nxv16i8] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 103285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 103288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 103292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103297 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 103300 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1B_IMM),
     /* 103305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 103307 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103310 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 103312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103315 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103319 */   GIR_RootConstrainSelectedInstOperands,
     /* 103320 */   // GIR_Coverage, 10700,
     /* 103320 */   GIR_EraseRootFromParent_Done,
     /* 103321 */ // Label 1981: @103321
     /* 103321 */ GIM_Reject,
     /* 103322 */ // Label 1804: @103322
     /* 103322 */ GIM_Reject,
     /* 103323 */ // Label 17: @103323
     /* 103323 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 1984*/ GIMT_Encode4(104372),
     /* 103334 */ /*GILLT_s32*//*Label 1982*/ GIMT_Encode4(103342),
     /* 103338 */ /*GILLT_s64*//*Label 1983*/ GIMT_Encode4(103756),
     /* 103342 */ // Label 1982: @103342
     /* 103342 */ GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(103755),
     /* 103347 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103350 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(103403), // Rule ID 247 //
     /* 103355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 103377 */     // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 103377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroW),
     /* 103380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103401 */     GIR_RootConstrainSelectedInstOperands,
     /* 103402 */     // GIR_Coverage, 247,
     /* 103402 */     GIR_EraseRootFromParent_Done,
     /* 103403 */   // Label 1986: @103403
     /* 103403 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(103456), // Rule ID 248 //
     /* 103408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 103430 */     // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 103430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroX),
     /* 103433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103454 */     GIR_RootConstrainSelectedInstOperands,
     /* 103455 */     // GIR_Coverage, 248,
     /* 103455 */     GIR_EraseRootFromParent_Done,
     /* 103456 */   // Label 1987: @103456
     /* 103456 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(103509), // Rule ID 251 //
     /* 103461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 103483 */     // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 103483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroW),
     /* 103486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103507 */     GIR_RootConstrainSelectedInstOperands,
     /* 103508 */     // GIR_Coverage, 251,
     /* 103508 */     GIR_EraseRootFromParent_Done,
     /* 103509 */   // Label 1988: @103509
     /* 103509 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(103562), // Rule ID 252 //
     /* 103514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 103536 */     // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 103536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroX),
     /* 103539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103560 */     GIR_RootConstrainSelectedInstOperands,
     /* 103561 */     // GIR_Coverage, 252,
     /* 103561 */     GIR_EraseRootFromParent_Done,
     /* 103562 */   // Label 1989: @103562
     /* 103562 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(103610), // Rule ID 268 //
     /* 103567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 103589 */     // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 103589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWui),
     /* 103592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103608 */     GIR_RootConstrainSelectedInstOperands,
     /* 103609 */     // GIR_Coverage, 268,
     /* 103609 */     GIR_EraseRootFromParent_Done,
     /* 103610 */   // Label 1990: @103610
     /* 103610 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(103658), // Rule ID 270 //
     /* 103615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 103637 */     // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 103637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWui),
     /* 103640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103656 */     GIR_RootConstrainSelectedInstOperands,
     /* 103657 */     // GIR_Coverage, 270,
     /* 103657 */     GIR_EraseRootFromParent_Done,
     /* 103658 */   // Label 1991: @103658
     /* 103658 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(103706), // Rule ID 289 //
     /* 103663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 103685 */     // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHWi),
     /* 103688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103704 */     GIR_RootConstrainSelectedInstOperands,
     /* 103705 */     // GIR_Coverage, 289,
     /* 103705 */     GIR_EraseRootFromParent_Done,
     /* 103706 */   // Label 1992: @103706
     /* 103706 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(103754), // Rule ID 291 //
     /* 103711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 103733 */     // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBWi),
     /* 103736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103752 */     GIR_RootConstrainSelectedInstOperands,
     /* 103753 */     // GIR_Coverage, 291,
     /* 103753 */     GIR_EraseRootFromParent_Done,
     /* 103754 */   // Label 1993: @103754
     /* 103754 */   GIM_Reject,
     /* 103755 */ // Label 1985: @103755
     /* 103755 */ GIM_Reject,
     /* 103756 */ // Label 1983: @103756
     /* 103756 */ GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(104371),
     /* 103761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103764 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(103817), // Rule ID 249 //
     /* 103769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 103791 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 103791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroW),
     /* 103794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103815 */     GIR_RootConstrainSelectedInstOperands,
     /* 103816 */     // GIR_Coverage, 249,
     /* 103816 */     GIR_EraseRootFromParent_Done,
     /* 103817 */   // Label 1995: @103817
     /* 103817 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(103870), // Rule ID 250 //
     /* 103822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 103844 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 103844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroX),
     /* 103847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103868 */     GIR_RootConstrainSelectedInstOperands,
     /* 103869 */     // GIR_Coverage, 250,
     /* 103869 */     GIR_EraseRootFromParent_Done,
     /* 103870 */   // Label 1996: @103870
     /* 103870 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(103923), // Rule ID 253 //
     /* 103875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 103897 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 103897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroW),
     /* 103900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103921 */     GIR_RootConstrainSelectedInstOperands,
     /* 103922 */     // GIR_Coverage, 253,
     /* 103922 */     GIR_EraseRootFromParent_Done,
     /* 103923 */   // Label 1997: @103923
     /* 103923 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(103976), // Rule ID 254 //
     /* 103928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 103950 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 103950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroX),
     /* 103953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103974 */     GIR_RootConstrainSelectedInstOperands,
     /* 103975 */     // GIR_Coverage, 254,
     /* 103975 */     GIR_EraseRootFromParent_Done,
     /* 103976 */   // Label 1998: @103976
     /* 103976 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(104029), // Rule ID 255 //
     /* 103981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 104003 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 104003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroW),
     /* 104006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104027 */     GIR_RootConstrainSelectedInstOperands,
     /* 104028 */     // GIR_Coverage, 255,
     /* 104028 */     GIR_EraseRootFromParent_Done,
     /* 104029 */   // Label 1999: @104029
     /* 104029 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(104082), // Rule ID 256 //
     /* 104034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 104041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 104056 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 104056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroX),
     /* 104059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104080 */     GIR_RootConstrainSelectedInstOperands,
     /* 104081 */     // GIR_Coverage, 256,
     /* 104081 */     GIR_EraseRootFromParent_Done,
     /* 104082 */   // Label 2000: @104082
     /* 104082 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(104130), // Rule ID 269 //
     /* 104087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 104109 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 104109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXui),
     /* 104112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104128 */     GIR_RootConstrainSelectedInstOperands,
     /* 104129 */     // GIR_Coverage, 269,
     /* 104129 */     GIR_EraseRootFromParent_Done,
     /* 104130 */   // Label 2001: @104130
     /* 104130 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(104178), // Rule ID 271 //
     /* 104135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104157 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 104157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXui),
     /* 104160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104176 */     GIR_RootConstrainSelectedInstOperands,
     /* 104177 */     // GIR_Coverage, 271,
     /* 104177 */     GIR_EraseRootFromParent_Done,
     /* 104178 */   // Label 2002: @104178
     /* 104178 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(104226), // Rule ID 272 //
     /* 104183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 104190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 104205 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 104205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWui),
     /* 104208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104224 */     GIR_RootConstrainSelectedInstOperands,
     /* 104225 */     // GIR_Coverage, 272,
     /* 104225 */     GIR_EraseRootFromParent_Done,
     /* 104226 */   // Label 2003: @104226
     /* 104226 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(104274), // Rule ID 290 //
     /* 104231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 104253 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 104253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHXi),
     /* 104256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104272 */     GIR_RootConstrainSelectedInstOperands,
     /* 104273 */     // GIR_Coverage, 290,
     /* 104273 */     GIR_EraseRootFromParent_Done,
     /* 104274 */   // Label 2004: @104274
     /* 104274 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(104322), // Rule ID 292 //
     /* 104279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 104301 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 104301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBXi),
     /* 104304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104320 */     GIR_RootConstrainSelectedInstOperands,
     /* 104321 */     // GIR_Coverage, 292,
     /* 104321 */     GIR_EraseRootFromParent_Done,
     /* 104322 */   // Label 2005: @104322
     /* 104322 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(104370), // Rule ID 293 //
     /* 104327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 104334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 104349 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDURSWi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 104349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSWi),
     /* 104352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104368 */     GIR_RootConstrainSelectedInstOperands,
     /* 104369 */     // GIR_Coverage, 293,
     /* 104369 */     GIR_EraseRootFromParent_Done,
     /* 104370 */   // Label 2006: @104370
     /* 104370 */   GIM_Reject,
     /* 104371 */ // Label 1994: @104371
     /* 104371 */ GIM_Reject,
     /* 104372 */ // Label 1984: @104372
     /* 104372 */ GIM_Reject,
     /* 104373 */ // Label 18: @104373
     /* 104373 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2009*/ GIMT_Encode4(107341),
     /* 104384 */ /*GILLT_s32*//*Label 2007*/ GIMT_Encode4(104392),
     /* 104388 */ /*GILLT_s64*//*Label 2008*/ GIMT_Encode4(105851),
     /* 104392 */ // Label 2007: @104392
     /* 104392 */ GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(104448), // Rule ID 229 //
     /* 104397 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104400 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104411 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104415 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 104422 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 104422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 104425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104442 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104446 */   GIR_RootConstrainSelectedInstOperands,
     /* 104447 */   // GIR_Coverage, 229,
     /* 104447 */   GIR_EraseRootFromParent_Done,
     /* 104448 */ // Label 2010: @104448
     /* 104448 */ GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(104504), // Rule ID 230 //
     /* 104453 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104456 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104467 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104471 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 104478 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 104478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 104481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104502 */   GIR_RootConstrainSelectedInstOperands,
     /* 104503 */   // GIR_Coverage, 230,
     /* 104503 */   GIR_EraseRootFromParent_Done,
     /* 104504 */ // Label 2011: @104504
     /* 104504 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(104560), // Rule ID 231 //
     /* 104509 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104523 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 104534 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 104534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 104537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104554 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104558 */   GIR_RootConstrainSelectedInstOperands,
     /* 104559 */   // GIR_Coverage, 231,
     /* 104559 */   GIR_EraseRootFromParent_Done,
     /* 104560 */ // Label 2012: @104560
     /* 104560 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(104616), // Rule ID 232 //
     /* 104565 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104568 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104579 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104583 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 104590 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 104590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 104593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104614 */   GIR_RootConstrainSelectedInstOperands,
     /* 104615 */   // GIR_Coverage, 232,
     /* 104615 */   GIR_EraseRootFromParent_Done,
     /* 104616 */ // Label 2013: @104616
     /* 104616 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(104672), // Rule ID 4068 //
     /* 104621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104624 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104635 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104639 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 104646 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 104646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 104649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104666 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104670 */   GIR_RootConstrainSelectedInstOperands,
     /* 104671 */   // GIR_Coverage, 4068,
     /* 104671 */   GIR_EraseRootFromParent_Done,
     /* 104672 */ // Label 2014: @104672
     /* 104672 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(104728), // Rule ID 4069 //
     /* 104677 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104680 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 104702 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 104702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 104705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104707 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104726 */   GIR_RootConstrainSelectedInstOperands,
     /* 104727 */   // GIR_Coverage, 4069,
     /* 104727 */   GIR_EraseRootFromParent_Done,
     /* 104728 */ // Label 2015: @104728
     /* 104728 */ GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(104779), // Rule ID 266 //
     /* 104733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104747 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104751 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 104758 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 104758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 104761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104773 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104777 */   GIR_RootConstrainSelectedInstOperands,
     /* 104778 */   // GIR_Coverage, 266,
     /* 104778 */   GIR_EraseRootFromParent_Done,
     /* 104779 */ // Label 2016: @104779
     /* 104779 */ GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(104830), // Rule ID 267 //
     /* 104784 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104787 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104798 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104802 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104809 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 104809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 104812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104819 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104828 */   GIR_RootConstrainSelectedInstOperands,
     /* 104829 */   // GIR_Coverage, 267,
     /* 104829 */   GIR_EraseRootFromParent_Done,
     /* 104830 */ // Label 2017: @104830
     /* 104830 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(104889), // Rule ID 6921 //
     /* 104835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104845 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104856 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 104863 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 104863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 104866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 104883 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104887 */   GIR_RootConstrainSelectedInstOperands,
     /* 104888 */   // GIR_Coverage, 6921,
     /* 104888 */   GIR_EraseRootFromParent_Done,
     /* 104889 */ // Label 2018: @104889
     /* 104889 */ GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(104948), // Rule ID 6923 //
     /* 104894 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104897 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104904 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104911 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104915 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 104922 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 104922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 104925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 104942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104946 */   GIR_RootConstrainSelectedInstOperands,
     /* 104947 */   // GIR_Coverage, 6923,
     /* 104947 */   GIR_EraseRootFromParent_Done,
     /* 104948 */ // Label 2019: @104948
     /* 104948 */ GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(105007), // Rule ID 6933 //
     /* 104953 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104963 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104970 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104974 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 104981 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 104981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 104984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104991 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104996 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105001 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105005 */   GIR_RootConstrainSelectedInstOperands,
     /* 105006 */   // GIR_Coverage, 6933,
     /* 105006 */   GIR_EraseRootFromParent_Done,
     /* 105007 */ // Label 2020: @105007
     /* 105007 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(105066), // Rule ID 6935 //
     /* 105012 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105015 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105022 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 105040 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 105040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 105043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105055 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105060 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105064 */   GIR_RootConstrainSelectedInstOperands,
     /* 105065 */   // GIR_Coverage, 6935,
     /* 105065 */   GIR_EraseRootFromParent_Done,
     /* 105066 */ // Label 2021: @105066
     /* 105066 */ GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(105117), // Rule ID 287 //
     /* 105071 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105074 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105085 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105089 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 105096 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 105096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 105099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105111 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105115 */   GIR_RootConstrainSelectedInstOperands,
     /* 105116 */   // GIR_Coverage, 287,
     /* 105116 */   GIR_EraseRootFromParent_Done,
     /* 105117 */ // Label 2022: @105117
     /* 105117 */ GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(105168), // Rule ID 288 //
     /* 105122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105125 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105136 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105140 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 105147 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 105147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 105150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105157 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105162 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105166 */   GIR_RootConstrainSelectedInstOperands,
     /* 105167 */   // GIR_Coverage, 288,
     /* 105167 */   GIR_EraseRootFromParent_Done,
     /* 105168 */ // Label 2023: @105168
     /* 105168 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(105219), // Rule ID 4087 //
     /* 105173 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105176 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105187 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105191 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 105198 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 105198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 105201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105203 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105213 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105217 */   GIR_RootConstrainSelectedInstOperands,
     /* 105218 */   // GIR_Coverage, 4087,
     /* 105218 */   GIR_EraseRootFromParent_Done,
     /* 105219 */ // Label 2024: @105219
     /* 105219 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(105270), // Rule ID 4119 //
     /* 105224 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105227 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105238 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105242 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 105249 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 105252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105264 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105268 */   GIR_RootConstrainSelectedInstOperands,
     /* 105269 */   // GIR_Coverage, 4119,
     /* 105269 */   GIR_EraseRootFromParent_Done,
     /* 105270 */ // Label 2025: @105270
     /* 105270 */ GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(105321), // Rule ID 4120 //
     /* 105275 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105289 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105293 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 105300 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 105303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105310 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105315 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105319 */   GIR_RootConstrainSelectedInstOperands,
     /* 105320 */   // GIR_Coverage, 4120,
     /* 105320 */   GIR_EraseRootFromParent_Done,
     /* 105321 */ // Label 2026: @105321
     /* 105321 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(105372), // Rule ID 4121 //
     /* 105326 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105329 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105340 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105344 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 105351 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 105354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105361 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105366 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105370 */   GIR_RootConstrainSelectedInstOperands,
     /* 105371 */   // GIR_Coverage, 4121,
     /* 105371 */   GIR_EraseRootFromParent_Done,
     /* 105372 */ // Label 2027: @105372
     /* 105372 */ GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(105426), // Rule ID 6925 //
     /* 105377 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105387 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105394 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105398 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 105405 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15433>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 105405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 105408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105424 */   GIR_RootConstrainSelectedInstOperands,
     /* 105425 */   // GIR_Coverage, 6925,
     /* 105425 */   GIR_EraseRootFromParent_Done,
     /* 105426 */ // Label 2028: @105426
     /* 105426 */ GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(105480), // Rule ID 6927 //
     /* 105431 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105434 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105441 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 105459 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15433>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 105462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105474 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105478 */   GIR_RootConstrainSelectedInstOperands,
     /* 105479 */   // GIR_Coverage, 6927,
     /* 105479 */   GIR_EraseRootFromParent_Done,
     /* 105480 */ // Label 2029: @105480
     /* 105480 */ GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(105534), // Rule ID 6937 //
     /* 105485 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105495 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105502 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105506 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 105513 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15442>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 105513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 105516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105532 */   GIR_RootConstrainSelectedInstOperands,
     /* 105533 */   // GIR_Coverage, 6937,
     /* 105533 */   GIR_EraseRootFromParent_Done,
     /* 105534 */ // Label 2030: @105534
     /* 105534 */ GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(105588), // Rule ID 6939 //
     /* 105539 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105542 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105549 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105560 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 105567 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15442>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 105570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105586 */   GIR_RootConstrainSelectedInstOperands,
     /* 105587 */   // GIR_Coverage, 6939,
     /* 105587 */   GIR_EraseRootFromParent_Done,
     /* 105588 */ // Label 2031: @105588
     /* 105588 */ GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(105645), // Rule ID 7261 //
     /* 105593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 105596 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105599 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105606 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105613 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105617 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 105624 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15431>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 105627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105643 */   GIR_RootConstrainSelectedInstOperands,
     /* 105644 */   // GIR_Coverage, 7261,
     /* 105644 */   GIR_EraseRootFromParent_Done,
     /* 105645 */ // Label 2032: @105645
     /* 105645 */ GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(105702), // Rule ID 7263 //
     /* 105650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 105653 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105674 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 105681 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15440>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 105684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105700 */   GIR_RootConstrainSelectedInstOperands,
     /* 105701 */   // GIR_Coverage, 7263,
     /* 105701 */   GIR_EraseRootFromParent_Done,
     /* 105702 */ // Label 2033: @105702
     /* 105702 */ GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(105739), // Rule ID 6917 //
     /* 105707 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105710 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105717 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 105720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105724 */   // MIs[0] ptr
     /* 105724 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105732 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15429>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 105732 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 105737 */   GIR_RootConstrainSelectedInstOperands,
     /* 105738 */   // GIR_Coverage, 6917,
     /* 105738 */   GIR_Done,
     /* 105739 */ // Label 2034: @105739
     /* 105739 */ GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(105776), // Rule ID 6919 //
     /* 105744 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105747 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105754 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105761 */   // MIs[0] ptr
     /* 105761 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105769 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15431>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 105769 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 105774 */   GIR_RootConstrainSelectedInstOperands,
     /* 105775 */   // GIR_Coverage, 6919,
     /* 105775 */   GIR_Done,
     /* 105776 */ // Label 2035: @105776
     /* 105776 */ GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(105813), // Rule ID 6929 //
     /* 105781 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105784 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 105794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105798 */   // MIs[0] ptr
     /* 105798 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105806 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15438>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 105806 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 105811 */   GIR_RootConstrainSelectedInstOperands,
     /* 105812 */   // GIR_Coverage, 6929,
     /* 105812 */   GIR_Done,
     /* 105813 */ // Label 2036: @105813
     /* 105813 */ GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(105850), // Rule ID 6931 //
     /* 105818 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 105821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 105828 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 105831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105835 */   // MIs[0] ptr
     /* 105835 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105843 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15440>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 105843 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 105848 */   GIR_RootConstrainSelectedInstOperands,
     /* 105849 */   // GIR_Coverage, 6931,
     /* 105849 */   GIR_Done,
     /* 105850 */ // Label 2037: @105850
     /* 105850 */ GIM_Reject,
     /* 105851 */ // Label 2008: @105851
     /* 105851 */ GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(107340),
     /* 105856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105859 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(105944), // Rule ID 4046 //
     /* 105864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 105875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 105886 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 105886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 105889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 105893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105913 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 105919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 105922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 105927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 105930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 105933 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 105938 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 105943 */     // GIR_Coverage, 4046,
     /* 105943 */     GIR_EraseRootFromParent_Done,
     /* 105944 */   // Label 2039: @105944
     /* 105944 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(106029), // Rule ID 4047 //
     /* 105949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 105956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 105960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 105971 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 105971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 105974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 105978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105998 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106018 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106028 */     // GIR_Coverage, 4047,
     /* 106028 */     GIR_EraseRootFromParent_Done,
     /* 106029 */   // Label 2040: @106029
     /* 106029 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(106114), // Rule ID 4048 //
     /* 106034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 106041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 106056 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 106063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106083 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106103 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106108 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106113 */     // GIR_Coverage, 4048,
     /* 106113 */     GIR_EraseRootFromParent_Done,
     /* 106114 */   // Label 2041: @106114
     /* 106114 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(106199), // Rule ID 4049 //
     /* 106119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 106126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 106141 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 106148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106168 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106188 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106193 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106198 */     // GIR_Coverage, 4049,
     /* 106198 */     GIR_EraseRootFromParent_Done,
     /* 106199 */   // Label 2042: @106199
     /* 106199 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(106284), // Rule ID 4050 //
     /* 106204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 106211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 106226 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 106233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106253 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106273 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106283 */     // GIR_Coverage, 4050,
     /* 106283 */     GIR_EraseRootFromParent_Done,
     /* 106284 */   // Label 2043: @106284
     /* 106284 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(106369), // Rule ID 4051 //
     /* 106289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 106296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 106311 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 106318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106338 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106358 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106363 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106368 */     // GIR_Coverage, 4051,
     /* 106368 */     GIR_EraseRootFromParent_Done,
     /* 106369 */   // Label 2044: @106369
     /* 106369 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(106454), // Rule ID 4052 //
     /* 106374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 106381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 106396 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 106403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106423 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106443 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106448 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106453 */     // GIR_Coverage, 4052,
     /* 106453 */     GIR_EraseRootFromParent_Done,
     /* 106454 */   // Label 2045: @106454
     /* 106454 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(106539), // Rule ID 4053 //
     /* 106459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 106466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 106481 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 106481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 106488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106508 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106528 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106533 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106538 */     // GIR_Coverage, 4053,
     /* 106538 */     GIR_EraseRootFromParent_Done,
     /* 106539 */   // Label 2046: @106539
     /* 106539 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(106619), // Rule ID 4085 //
     /* 106544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 106551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 106566 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 106566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 106573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106588 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106618 */     // GIR_Coverage, 4085,
     /* 106618 */     GIR_EraseRootFromParent_Done,
     /* 106619 */   // Label 2047: @106619
     /* 106619 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(106699), // Rule ID 4086 //
     /* 106624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 106631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 106646 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 106646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 106653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106668 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106688 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106693 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106698 */     // GIR_Coverage, 4086,
     /* 106698 */     GIR_EraseRootFromParent_Done,
     /* 106699 */   // Label 2048: @106699
     /* 106699 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(106779), // Rule ID 4088 //
     /* 106704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 106711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 106726 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 106726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 106733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106748 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106768 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106773 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106778 */     // GIR_Coverage, 4088,
     /* 106778 */     GIR_EraseRootFromParent_Done,
     /* 106779 */   // Label 2049: @106779
     /* 106779 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(106859), // Rule ID 4096 //
     /* 106784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 106791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 106806 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 106806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 106813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106828 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106848 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106853 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106858 */     // GIR_Coverage, 4096,
     /* 106858 */     GIR_EraseRootFromParent_Done,
     /* 106859 */   // Label 2050: @106859
     /* 106859 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(106939), // Rule ID 4122 //
     /* 106864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 106871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 106886 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 106886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 106893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106908 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 106928 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106933 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 106938 */     // GIR_Coverage, 4122,
     /* 106938 */     GIR_EraseRootFromParent_Done,
     /* 106939 */   // Label 2051: @106939
     /* 106939 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(107019), // Rule ID 4123 //
     /* 106944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 106951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 106955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 106966 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 106966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 106969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 106973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106988 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 106997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 107008 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107013 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107018 */     // GIR_Coverage, 4123,
     /* 107018 */     GIR_EraseRootFromParent_Done,
     /* 107019 */   // Label 2052: @107019
     /* 107019 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(107099), // Rule ID 4124 //
     /* 107024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 107046 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 107046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 107049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 107053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107068 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 107077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 107088 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107093 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107098 */     // GIR_Coverage, 4124,
     /* 107098 */     GIR_EraseRootFromParent_Done,
     /* 107099 */   // Label 2053: @107099
     /* 107099 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(107179), // Rule ID 4125 //
     /* 107104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 107126 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 107126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 107129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 107133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107148 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 107157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 107159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 107168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107178 */     // GIR_Coverage, 4125,
     /* 107178 */     GIR_EraseRootFromParent_Done,
     /* 107179 */   // Label 2054: @107179
     /* 107179 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(107259), // Rule ID 4126 //
     /* 107184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 107206 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 107206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 107209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 107213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107228 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 107237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 107239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 107248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107258 */     // GIR_Coverage, 4126,
     /* 107258 */     GIR_EraseRootFromParent_Done,
     /* 107259 */   // Label 2055: @107259
     /* 107259 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(107339), // Rule ID 4127 //
     /* 107264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 107286 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 107286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 107289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 107293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107308 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 107317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 107319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 107328 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 107333 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107338 */     // GIR_Coverage, 4127,
     /* 107338 */     GIR_EraseRootFromParent_Done,
     /* 107339 */   // Label 2056: @107339
     /* 107339 */   GIM_Reject,
     /* 107340 */ // Label 2038: @107340
     /* 107340 */ GIM_Reject,
     /* 107341 */ // Label 2009: @107341
     /* 107341 */ GIM_Reject,
     /* 107342 */ // Label 19: @107342
     /* 107342 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 2077*/ GIMT_Encode4(120653),
     /* 107353 */ /*GILLT_s8*//*Label 2057*/ GIMT_Encode4(107449),
     /* 107357 */ /*GILLT_s16*//*Label 2058*/ GIMT_Encode4(107816),
     /* 107361 */ /*GILLT_s32*//*Label 2059*/ GIMT_Encode4(108955),
     /* 107365 */ /*GILLT_s64*//*Label 2060*/ GIMT_Encode4(113550),
     /* 107369 */ /*GILLT_s128*//*Label 2061*/ GIMT_Encode4(117319),
     /* 107373 */ /*GILLT_v2s32*//*Label 2062*/ GIMT_Encode4(117525),
     /* 107377 */ /*GILLT_v2s64*//*Label 2063*/ GIMT_Encode4(117931),
     /* 107381 */ /*GILLT_v4s16*//*Label 2064*/ GIMT_Encode4(118381),
     /* 107385 */ /*GILLT_v4s32*//*Label 2065*/ GIMT_Encode4(118787),
     /* 107389 */ /*GILLT_v8s8*//*Label 2066*/ GIMT_Encode4(119193),
     /* 107393 */ /*GILLT_v8s16*//*Label 2067*/ GIMT_Encode4(119413),
     /* 107397 */ /*GILLT_v16s8*//*Label 2068*/ GIMT_Encode4(119819), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 107409 */ /*GILLT_nxv2s16*//*Label 2069*/ GIMT_Encode4(120039),
     /* 107413 */ /*GILLT_nxv2s32*//*Label 2070*/ GIMT_Encode4(120099),
     /* 107417 */ /*GILLT_nxv2s64*//*Label 2071*/ GIMT_Encode4(120159), GIMT_Encode4(0),
     /* 107425 */ /*GILLT_nxv4s16*//*Label 2072*/ GIMT_Encode4(120269),
     /* 107429 */ /*GILLT_nxv4s32*//*Label 2073*/ GIMT_Encode4(120329), GIMT_Encode4(0),
     /* 107437 */ /*GILLT_nxv8s16*//*Label 2074*/ GIMT_Encode4(120439),
     /* 107441 */ /*GILLT_nxv16s1*//*Label 2075*/ GIMT_Encode4(120549),
     /* 107445 */ /*GILLT_nxv16s8*//*Label 2076*/ GIMT_Encode4(120593),
     /* 107449 */ // Label 2057: @107449
     /* 107449 */ GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(107815),
     /* 107454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107461 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(107529), // Rule ID 12889 //
     /* 107466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 107470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 107474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 107478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 107482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 107491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 107495 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 107499 */     // MIs[2] Operand 1
     /* 107499 */     // No operand predicates
     /* 107499 */     // MIs[0] Rn
     /* 107499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 107509 */     // (st (vector_extract:{ *:[i8] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 107509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 107512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 107516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 107519 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 107521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 107527 */     GIR_RootConstrainSelectedInstOperands,
     /* 107528 */     // GIR_Coverage, 12889,
     /* 107528 */     GIR_EraseRootFromParent_Done,
     /* 107529 */   // Label 2079: @107529
     /* 107529 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(107628), // Rule ID 12890 //
     /* 107534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 107538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 107542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 107546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 107550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 107555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 107559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 107563 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 107567 */     // MIs[2] Operand 1
     /* 107567 */     // No operand predicates
     /* 107567 */     // MIs[0] Rn
     /* 107567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 107577 */     // (st (vector_extract:{ *:[i8] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 107577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 107580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 107584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107589 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 107592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 107596 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 107599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 107609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 107612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 107618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 107620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 107626 */     GIR_RootConstrainSelectedInstOperands,
     /* 107627 */     // GIR_Coverage, 12890,
     /* 107627 */     GIR_EraseRootFromParent_Done,
     /* 107628 */   // Label 2080: @107628
     /* 107628 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(107677), // Rule ID 303 //
     /* 107633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 107636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 107640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 107651 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroW FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 107651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroW),
     /* 107654 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 107656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107675 */     GIR_RootConstrainSelectedInstOperands,
     /* 107676 */     // GIR_Coverage, 303,
     /* 107676 */     GIR_EraseRootFromParent_Done,
     /* 107677 */   // Label 2081: @107677
     /* 107677 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(107726), // Rule ID 304 //
     /* 107682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 107685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 107689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 107700 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroX FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 107700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroX),
     /* 107703 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 107705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107724 */     GIR_RootConstrainSelectedInstOperands,
     /* 107725 */     // GIR_Coverage, 304,
     /* 107725 */     GIR_EraseRootFromParent_Done,
     /* 107726 */   // Label 2082: @107726
     /* 107726 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(107770), // Rule ID 313 //
     /* 107731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 107734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 107738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 107749 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBui FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 107749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBui),
     /* 107752 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 107754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107768 */     GIR_RootConstrainSelectedInstOperands,
     /* 107769 */     // GIR_Coverage, 313,
     /* 107769 */     GIR_EraseRootFromParent_Done,
     /* 107770 */   // Label 2083: @107770
     /* 107770 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(107814), // Rule ID 321 //
     /* 107775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 107778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 107782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 107793 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURBi FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 107793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBi),
     /* 107796 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 107798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107812 */     GIR_RootConstrainSelectedInstOperands,
     /* 107813 */     // GIR_Coverage, 321,
     /* 107813 */     GIR_EraseRootFromParent_Done,
     /* 107814 */   // Label 2084: @107814
     /* 107814 */   GIM_Reject,
     /* 107815 */ // Label 2078: @107815
     /* 107815 */ GIM_Reject,
     /* 107816 */ // Label 2058: @107816
     /* 107816 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(108954),
     /* 107821 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107824 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107828 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(107927), // Rule ID 4424 //
     /* 107833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 107837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 107841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 107845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 107849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107854 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 107858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 107871 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 107871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 107874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107883 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 107889 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 107894 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 107902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 107925 */     GIR_RootConstrainSelectedInstOperands,
     /* 107926 */     // GIR_Coverage, 4424,
     /* 107926 */     GIR_EraseRootFromParent_Done,
     /* 107927 */   // Label 2086: @107927
     /* 107927 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(108026), // Rule ID 4425 //
     /* 107932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 107936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 107940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 107944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 107948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107953 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 107957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 107963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 107970 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107982 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 107988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 107993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 108001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108024 */     GIR_RootConstrainSelectedInstOperands,
     /* 108025 */     // GIR_Coverage, 4425,
     /* 108025 */     GIR_EraseRootFromParent_Done,
     /* 108026 */   // Label 2087: @108026
     /* 108026 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(108125), // Rule ID 12887 //
     /* 108031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108052 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108069 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108081 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 108100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108123 */     GIR_RootConstrainSelectedInstOperands,
     /* 108124 */     // GIR_Coverage, 12887,
     /* 108124 */     GIR_EraseRootFromParent_Done,
     /* 108125 */   // Label 2088: @108125
     /* 108125 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(108224), // Rule ID 12888 //
     /* 108130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108151 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108168 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108180 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108186 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108191 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 108199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108222 */     GIR_RootConstrainSelectedInstOperands,
     /* 108223 */     // GIR_Coverage, 12888,
     /* 108223 */     GIR_EraseRootFromParent_Done,
     /* 108224 */   // Label 2089: @108224
     /* 108224 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(108318), // Rule ID 4453 //
     /* 108229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 108241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108250 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108267 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108279 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108285 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108290 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 108298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108316 */     GIR_RootConstrainSelectedInstOperands,
     /* 108317 */     // GIR_Coverage, 4453,
     /* 108317 */     GIR_EraseRootFromParent_Done,
     /* 108318 */   // Label 2090: @108318
     /* 108318 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(108412), // Rule ID 4478 //
     /* 108323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 108335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108344 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 108361 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 108361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108373 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108384 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 108392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108410 */     GIR_RootConstrainSelectedInstOperands,
     /* 108411 */     // GIR_Coverage, 4478,
     /* 108411 */     GIR_EraseRootFromParent_Done,
     /* 108412 */   // Label 2091: @108412
     /* 108412 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(108506), // Rule ID 12886 //
     /* 108417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108438 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108455 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108467 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108473 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 108486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108504 */     GIR_RootConstrainSelectedInstOperands,
     /* 108505 */     // GIR_Coverage, 12886,
     /* 108505 */     GIR_EraseRootFromParent_Done,
     /* 108506 */   // Label 2092: @108506
     /* 108506 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(108600), // Rule ID 12892 //
     /* 108511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108532 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 108549 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 108549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 108552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108561 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 108567 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108572 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 108580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108598 */     GIR_RootConstrainSelectedInstOperands,
     /* 108599 */     // GIR_Coverage, 12892,
     /* 108599 */     GIR_EraseRootFromParent_Done,
     /* 108600 */   // Label 2093: @108600
     /* 108600 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(108668), // Rule ID 6359 //
     /* 108605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 108617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 108630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108634 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 108638 */     // MIs[2] Operand 1
     /* 108638 */     // No operand predicates
     /* 108638 */     // MIs[0] Rn
     /* 108638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 108648 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 108648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 108651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 108655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 108658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 108660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 108666 */     GIR_RootConstrainSelectedInstOperands,
     /* 108667 */     // GIR_Coverage, 6359,
     /* 108667 */     GIR_EraseRootFromParent_Done,
     /* 108668 */   // Label 2094: @108668
     /* 108668 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(108767), // Rule ID 6364 //
     /* 108673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 108685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 108698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108702 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 108706 */     // MIs[2] Operand 1
     /* 108706 */     // No operand predicates
     /* 108706 */     // MIs[0] Rn
     /* 108706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 108716 */     // (st (vector_extract:{ *:[f16] } VecListOne64:{ *:[v4f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 108716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 108719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 108723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108728 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 108731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 108735 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 108738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 108748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 108751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 108757 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 108759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 108765 */     GIR_RootConstrainSelectedInstOperands,
     /* 108766 */     // GIR_Coverage, 6364,
     /* 108766 */     GIR_EraseRootFromParent_Done,
     /* 108767 */   // Label 2095: @108767
     /* 108767 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(108816), // Rule ID 305 //
     /* 108772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 108775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108790 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 108793 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 108795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108814 */     GIR_RootConstrainSelectedInstOperands,
     /* 108815 */     // GIR_Coverage, 305,
     /* 108815 */     GIR_EraseRootFromParent_Done,
     /* 108816 */   // Label 2096: @108816
     /* 108816 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(108865), // Rule ID 306 //
     /* 108821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 108824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108839 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 108842 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 108844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108863 */     GIR_RootConstrainSelectedInstOperands,
     /* 108864 */     // GIR_Coverage, 306,
     /* 108864 */     GIR_EraseRootFromParent_Done,
     /* 108865 */   // Label 2097: @108865
     /* 108865 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(108909), // Rule ID 314 //
     /* 108870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 108873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108888 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 108891 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 108893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108907 */     GIR_RootConstrainSelectedInstOperands,
     /* 108908 */     // GIR_Coverage, 314,
     /* 108908 */     GIR_EraseRootFromParent_Done,
     /* 108909 */   // Label 2098: @108909
     /* 108909 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(108953), // Rule ID 322 //
     /* 108914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 108917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 108921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 108932 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 108935 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 108937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108951 */     GIR_RootConstrainSelectedInstOperands,
     /* 108952 */     // GIR_Coverage, 322,
     /* 108952 */     GIR_EraseRootFromParent_Done,
     /* 108953 */   // Label 2099: @108953
     /* 108953 */   GIM_Reject,
     /* 108954 */ // Label 2085: @108954
     /* 108954 */ GIM_Reject,
     /* 108955 */ // Label 2059: @108955
     /* 108955 */ GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(109068), // Rule ID 4422 //
     /* 108960 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108963 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108967 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 108978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 108982 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 108986 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 108990 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 108995 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 108999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109003 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 109012 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 109012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 109015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109024 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 109030 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 109035 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 109043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109061 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109066 */   GIR_RootConstrainSelectedInstOperands,
     /* 109067 */   // GIR_Coverage, 4422,
     /* 109067 */   GIR_EraseRootFromParent_Done,
     /* 109068 */ // Label 2100: @109068
     /* 109068 */ GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(109181), // Rule ID 4423 //
     /* 109073 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109076 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109080 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109087 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109091 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109095 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 109099 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109103 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109108 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109112 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109116 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109118 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 109125 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 109125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 109128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109137 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 109143 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 109148 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 109156 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109174 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109179 */   GIR_RootConstrainSelectedInstOperands,
     /* 109180 */   // GIR_Coverage, 4423,
     /* 109180 */   GIR_EraseRootFromParent_Done,
     /* 109181 */ // Label 2101: @109181
     /* 109181 */ GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(109287), // Rule ID 4426 //
     /* 109186 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109189 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109193 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109197 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109201 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109205 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109209 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109214 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109218 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109222 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109224 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 109231 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 109231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109243 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109249 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109254 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 109262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109285 */   GIR_RootConstrainSelectedInstOperands,
     /* 109286 */   // GIR_Coverage, 4426,
     /* 109286 */   GIR_EraseRootFromParent_Done,
     /* 109287 */ // Label 2102: @109287
     /* 109287 */ GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(109393), // Rule ID 4427 //
     /* 109292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109295 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109299 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109303 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109307 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109311 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109315 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109320 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109324 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109328 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109330 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 109337 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 109337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109349 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109355 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109360 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 109368 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109376 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109391 */   GIR_RootConstrainSelectedInstOperands,
     /* 109392 */   // GIR_Coverage, 4427,
     /* 109392 */   GIR_EraseRootFromParent_Done,
     /* 109393 */ // Label 2103: @109393
     /* 109393 */ GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(109499), // Rule ID 4428 //
     /* 109398 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109401 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109405 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109409 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109413 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109417 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109421 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109426 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109434 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109436 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 109443 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 109443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109455 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109461 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109466 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 109474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109492 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109497 */   GIR_RootConstrainSelectedInstOperands,
     /* 109498 */   // GIR_Coverage, 4428,
     /* 109498 */   GIR_EraseRootFromParent_Done,
     /* 109499 */ // Label 2104: @109499
     /* 109499 */ GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(109605), // Rule ID 4429 //
     /* 109504 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109507 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109511 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109515 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109519 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109523 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109527 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109532 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109536 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109542 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 109549 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 109549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109561 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109567 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109572 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 109580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109598 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109603 */   GIR_RootConstrainSelectedInstOperands,
     /* 109604 */   // GIR_Coverage, 4429,
     /* 109604 */   GIR_EraseRootFromParent_Done,
     /* 109605 */ // Label 2105: @109605
     /* 109605 */ GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(109711), // Rule ID 12894 //
     /* 109610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109613 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109625 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 109629 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109633 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 109638 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109646 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109648 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 109655 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 109655 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109662 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109667 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109673 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109678 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 109683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 109686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109689 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109704 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109709 */   GIR_RootConstrainSelectedInstOperands,
     /* 109710 */   // GIR_Coverage, 12894,
     /* 109710 */   GIR_EraseRootFromParent_Done,
     /* 109711 */ // Label 2106: @109711
     /* 109711 */ GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(109817), // Rule ID 12895 //
     /* 109716 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109719 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109723 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109731 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 109735 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109739 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 109744 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109748 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109752 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109754 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 109761 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 109761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109773 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109779 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109784 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 109789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 109792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109810 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109815 */   GIR_RootConstrainSelectedInstOperands,
     /* 109816 */   // GIR_Coverage, 12895,
     /* 109816 */   GIR_EraseRootFromParent_Done,
     /* 109817 */ // Label 2107: @109817
     /* 109817 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(109925), // Rule ID 4452 //
     /* 109822 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109825 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109829 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109836 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109840 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109844 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 109848 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109852 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109857 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109861 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109865 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109867 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109874 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 109877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109886 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 109892 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 109897 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 109905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109918 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 109923 */   GIR_RootConstrainSelectedInstOperands,
     /* 109924 */   // GIR_Coverage, 4452,
     /* 109924 */   GIR_EraseRootFromParent_Done,
     /* 109925 */ // Label 2108: @109925
     /* 109925 */ GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(110026), // Rule ID 4454 //
     /* 109930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109933 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 109937 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 109941 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 109945 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 109949 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 109953 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 109958 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 109962 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109966 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109968 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 109975 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 109975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109987 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 109993 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 109998 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 110006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110024 */   GIR_RootConstrainSelectedInstOperands,
     /* 110025 */   // GIR_Coverage, 4454,
     /* 110025 */   GIR_EraseRootFromParent_Done,
     /* 110026 */ // Label 2109: @110026
     /* 110026 */ GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(110127), // Rule ID 4455 //
     /* 110031 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110034 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110046 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110050 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110054 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110059 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110063 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110069 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 110076 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 110076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110088 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 110094 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 110099 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 110107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110110 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110125 */   GIR_RootConstrainSelectedInstOperands,
     /* 110126 */   // GIR_Coverage, 4455,
     /* 110126 */   GIR_EraseRootFromParent_Done,
     /* 110127 */ // Label 2110: @110127
     /* 110127 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(110235), // Rule ID 4477 //
     /* 110132 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110135 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110139 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110146 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110150 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110154 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 110158 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110162 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110167 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110175 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110177 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 110184 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 110187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110196 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 110202 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 110207 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 110215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110228 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110233 */   GIR_RootConstrainSelectedInstOperands,
     /* 110234 */   // GIR_Coverage, 4477,
     /* 110234 */   GIR_EraseRootFromParent_Done,
     /* 110235 */ // Label 2111: @110235
     /* 110235 */ GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(110336), // Rule ID 4479 //
     /* 110240 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110243 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110247 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110251 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110255 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110259 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110263 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110268 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110272 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110276 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110278 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 110285 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110297 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 110303 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 110308 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 110316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110324 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110334 */   GIR_RootConstrainSelectedInstOperands,
     /* 110335 */   // GIR_Coverage, 4479,
     /* 110335 */   GIR_EraseRootFromParent_Done,
     /* 110336 */ // Label 2112: @110336
     /* 110336 */ GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(110437), // Rule ID 4480 //
     /* 110341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110344 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110348 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110352 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110356 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110360 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110364 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110369 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110373 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110377 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110379 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 110386 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110398 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 110404 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 110409 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 110417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110435 */   GIR_RootConstrainSelectedInstOperands,
     /* 110436 */   // GIR_Coverage, 4480,
     /* 110436 */   GIR_EraseRootFromParent_Done,
     /* 110437 */ // Label 2113: @110437
     /* 110437 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(110538), // Rule ID 12891 //
     /* 110442 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110445 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110449 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110453 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110457 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 110461 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110465 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 110470 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110474 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110478 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110480 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 110487 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 110487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110499 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 110505 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 110510 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 110515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 110518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110531 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110536 */   GIR_RootConstrainSelectedInstOperands,
     /* 110537 */   // GIR_Coverage, 12891,
     /* 110537 */   GIR_EraseRootFromParent_Done,
     /* 110538 */ // Label 2114: @110538
     /* 110538 */ GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(110639), // Rule ID 12893 //
     /* 110543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110550 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110554 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110558 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 110562 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110566 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 110571 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 110575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110579 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110581 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 110588 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110600 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 110606 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 110611 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 110616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 110619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110637 */   GIR_RootConstrainSelectedInstOperands,
     /* 110638 */   // GIR_Coverage, 12893,
     /* 110638 */   GIR_EraseRootFromParent_Done,
     /* 110639 */ // Label 2115: @110639
     /* 110639 */ GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(110721), // Rule ID 6353 //
     /* 110644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110647 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110658 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110662 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110666 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 110670 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110674 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110679 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 110683 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 110687 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 110691 */   // MIs[2] Operand 1
     /* 110691 */   // No operand predicates
     /* 110691 */   // MIs[0] Rn
     /* 110691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110699 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110701 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 110701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 110704 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 110708 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 110711 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 110713 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 110719 */   GIR_RootConstrainSelectedInstOperands,
     /* 110720 */   // GIR_Coverage, 6353,
     /* 110720 */   GIR_EraseRootFromParent_Done,
     /* 110721 */ // Label 2116: @110721
     /* 110721 */ GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(110803), // Rule ID 6354 //
     /* 110726 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110729 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110733 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110740 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110744 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110748 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 110752 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110756 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110761 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 110765 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 110769 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 110773 */   // MIs[2] Operand 1
     /* 110773 */   // No operand predicates
     /* 110773 */   // MIs[0] Rn
     /* 110773 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110781 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110783 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 110783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 110786 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 110790 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 110793 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 110795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 110801 */   GIR_RootConstrainSelectedInstOperands,
     /* 110802 */   // GIR_Coverage, 6354,
     /* 110802 */   GIR_EraseRootFromParent_Done,
     /* 110803 */ // Label 2117: @110803
     /* 110803 */ GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(110878), // Rule ID 6355 //
     /* 110808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110815 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110819 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110823 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110827 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110831 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110836 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 110840 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 110844 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 110848 */   // MIs[2] Operand 1
     /* 110848 */   // No operand predicates
     /* 110848 */   // MIs[0] Rn
     /* 110848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110856 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110858 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 110858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 110861 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 110865 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 110868 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 110870 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 110876 */   GIR_RootConstrainSelectedInstOperands,
     /* 110877 */   // GIR_Coverage, 6355,
     /* 110877 */   GIR_EraseRootFromParent_Done,
     /* 110878 */ // Label 2118: @110878
     /* 110878 */ GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(110953), // Rule ID 6356 //
     /* 110883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110890 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110894 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110898 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 110902 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110906 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 110911 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 110915 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 110919 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 110923 */   // MIs[2] Operand 1
     /* 110923 */   // No operand predicates
     /* 110923 */   // MIs[0] Rn
     /* 110923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110931 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 110933 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 110933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 110936 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 110940 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 110943 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 110945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 110951 */   GIR_RootConstrainSelectedInstOperands,
     /* 110952 */   // GIR_Coverage, 6356,
     /* 110952 */   GIR_EraseRootFromParent_Done,
     /* 110953 */ // Label 2119: @110953
     /* 110953 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(111066), // Rule ID 6360 //
     /* 110958 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110961 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 110965 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110972 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 110976 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 110980 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 110984 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 110988 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 110993 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 110997 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111001 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 111005 */   // MIs[2] Operand 1
     /* 111005 */   // No operand predicates
     /* 111005 */   // MIs[0] Rn
     /* 111005 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111013 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111015 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 111018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111027 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 111030 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111034 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 111037 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111042 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 111050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111053 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111056 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111058 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111064 */   GIR_RootConstrainSelectedInstOperands,
     /* 111065 */   // GIR_Coverage, 6360,
     /* 111065 */   GIR_EraseRootFromParent_Done,
     /* 111066 */ // Label 2120: @111066
     /* 111066 */ GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(111179), // Rule ID 6361 //
     /* 111071 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111074 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 111089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 111093 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 111097 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 111101 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111106 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 111110 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111114 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 111118 */   // MIs[2] Operand 1
     /* 111118 */   // No operand predicates
     /* 111118 */   // MIs[0] Rn
     /* 111118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111126 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111128 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v4i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 111131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111140 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 111143 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111147 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 111150 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111155 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 111163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111166 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111169 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111171 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111177 */   GIR_RootConstrainSelectedInstOperands,
     /* 111178 */   // GIR_Coverage, 6361,
     /* 111178 */   GIR_EraseRootFromParent_Done,
     /* 111179 */ // Label 2121: @111179
     /* 111179 */ GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(111285), // Rule ID 6362 //
     /* 111184 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111187 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111191 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 111195 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 111199 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 111203 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 111207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111212 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 111216 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111220 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 111224 */   // MIs[2] Operand 1
     /* 111224 */   // No operand predicates
     /* 111224 */   // MIs[0] Rn
     /* 111224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111232 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111234 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 111237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111246 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 111249 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111253 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 111256 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111261 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 111269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111272 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111275 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111283 */   GIR_RootConstrainSelectedInstOperands,
     /* 111284 */   // GIR_Coverage, 6362,
     /* 111284 */   GIR_EraseRootFromParent_Done,
     /* 111285 */ // Label 2122: @111285
     /* 111285 */ GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(111391), // Rule ID 6363 //
     /* 111290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111293 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 111301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 111305 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 111309 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 111313 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111318 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 111322 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111326 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 111330 */   // MIs[2] Operand 1
     /* 111330 */   // No operand predicates
     /* 111330 */   // MIs[0] Rn
     /* 111330 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111338 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111340 */   // (st (vector_extract:{ *:[f32] } VecListOne64:{ *:[v2f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 111343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111352 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 111355 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111359 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 111362 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111367 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 111375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111378 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111381 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111383 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111389 */   GIR_RootConstrainSelectedInstOperands,
     /* 111390 */   // GIR_Coverage, 6363,
     /* 111390 */   GIR_EraseRootFromParent_Done,
     /* 111391 */ // Label 2123: @111391
     /* 111391 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(111451), // Rule ID 295 //
     /* 111396 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111399 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111403 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111418 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 111425 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 111425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 111428 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111445 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111449 */   GIR_RootConstrainSelectedInstOperands,
     /* 111450 */   // GIR_Coverage, 295,
     /* 111450 */   GIR_EraseRootFromParent_Done,
     /* 111451 */ // Label 2124: @111451
     /* 111451 */ GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(111511), // Rule ID 296 //
     /* 111456 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111459 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111463 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111474 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111478 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 111485 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 111485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 111488 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111505 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111509 */   GIR_RootConstrainSelectedInstOperands,
     /* 111510 */   // GIR_Coverage, 296,
     /* 111510 */   GIR_EraseRootFromParent_Done,
     /* 111511 */ // Label 2125: @111511
     /* 111511 */ GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(111571), // Rule ID 297 //
     /* 111516 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111519 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111534 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111538 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 111545 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 111545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 111548 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111565 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111569 */   GIR_RootConstrainSelectedInstOperands,
     /* 111570 */   // GIR_Coverage, 297,
     /* 111570 */   GIR_EraseRootFromParent_Done,
     /* 111571 */ // Label 2126: @111571
     /* 111571 */ GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(111631), // Rule ID 298 //
     /* 111576 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111579 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111583 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111598 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 111605 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 111605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 111608 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111625 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111629 */   GIR_RootConstrainSelectedInstOperands,
     /* 111630 */   // GIR_Coverage, 298,
     /* 111630 */   GIR_EraseRootFromParent_Done,
     /* 111631 */ // Label 2127: @111631
     /* 111631 */ GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(111684), // Rule ID 299 //
     /* 111636 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111639 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111647 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111651 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 111658 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 111658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 111661 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111682 */   GIR_RootConstrainSelectedInstOperands,
     /* 111683 */   // GIR_Coverage, 299,
     /* 111683 */   GIR_EraseRootFromParent_Done,
     /* 111684 */ // Label 2128: @111684
     /* 111684 */ GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(111737), // Rule ID 300 //
     /* 111689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111692 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 111711 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 111711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 111714 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111735 */   GIR_RootConstrainSelectedInstOperands,
     /* 111736 */   // GIR_Coverage, 300,
     /* 111736 */   GIR_EraseRootFromParent_Done,
     /* 111737 */ // Label 2129: @111737
     /* 111737 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(111793), // Rule ID 307 //
     /* 111742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111748 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 111756 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111760 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 111767 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 111767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 111770 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111787 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111791 */   GIR_RootConstrainSelectedInstOperands,
     /* 111792 */   // GIR_Coverage, 307,
     /* 111792 */   GIR_EraseRootFromParent_Done,
     /* 111793 */ // Label 2130: @111793
     /* 111793 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(111849), // Rule ID 308 //
     /* 111798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111801 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111804 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 111812 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111816 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 111823 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 111823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 111826 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111828 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111843 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111847 */   GIR_RootConstrainSelectedInstOperands,
     /* 111848 */   // GIR_Coverage, 308,
     /* 111848 */   GIR_EraseRootFromParent_Done,
     /* 111849 */ // Label 2131: @111849
     /* 111849 */ GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(111901), // Rule ID 312 //
     /* 111854 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111857 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 111876 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 111876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 111879 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 111885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111895 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111899 */   GIR_RootConstrainSelectedInstOperands,
     /* 111900 */   // GIR_Coverage, 312,
     /* 111900 */   GIR_EraseRootFromParent_Done,
     /* 111901 */ // Label 2132: @111901
     /* 111901 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(111952), // Rule ID 315 //
     /* 111906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111912 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 111920 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111924 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 111931 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 111931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 111934 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111936 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111946 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111950 */   GIR_RootConstrainSelectedInstOperands,
     /* 111951 */   // GIR_Coverage, 315,
     /* 111951 */   GIR_EraseRootFromParent_Done,
     /* 111952 */ // Label 2133: @111952
     /* 111952 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(112011), // Rule ID 317 //
     /* 111957 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111960 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111975 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111979 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 111986 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 111986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 111989 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 111995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112005 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112009 */   GIR_RootConstrainSelectedInstOperands,
     /* 112010 */   // GIR_Coverage, 317,
     /* 112010 */   GIR_EraseRootFromParent_Done,
     /* 112011 */ // Label 2134: @112011
     /* 112011 */ GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(112070), // Rule ID 318 //
     /* 112016 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112019 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112023 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112034 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112038 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 112045 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 112045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 112048 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 112054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112064 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112068 */   GIR_RootConstrainSelectedInstOperands,
     /* 112069 */   // GIR_Coverage, 318,
     /* 112069 */   GIR_EraseRootFromParent_Done,
     /* 112070 */ // Label 2135: @112070
     /* 112070 */ GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(112147), // Rule ID 6980 //
     /* 112075 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112085 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112088 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 112096 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 112100 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 112105 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112109 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112111 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 112118 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 112118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 112121 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 112125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112140 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112145 */   GIR_RootConstrainSelectedInstOperands,
     /* 112146 */   // GIR_Coverage, 6980,
     /* 112146 */   GIR_EraseRootFromParent_Done,
     /* 112147 */ // Label 2136: @112147
     /* 112147 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(112224), // Rule ID 6981 //
     /* 112152 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112155 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112162 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112165 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112169 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 112173 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 112177 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 112182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112186 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112188 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 112195 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 112195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 112198 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 112202 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112217 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112222 */   GIR_RootConstrainSelectedInstOperands,
     /* 112223 */   // GIR_Coverage, 6981,
     /* 112223 */   GIR_EraseRootFromParent_Done,
     /* 112224 */ // Label 2137: @112224
     /* 112224 */ GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(112283), // Rule ID 6961 //
     /* 112229 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112239 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112246 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112250 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 112257 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15473>>  =>  (STRBBroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 112257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 112260 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112281 */   GIR_RootConstrainSelectedInstOperands,
     /* 112282 */   // GIR_Coverage, 6961,
     /* 112282 */   GIR_EraseRootFromParent_Done,
     /* 112283 */ // Label 2138: @112283
     /* 112283 */ GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(112342), // Rule ID 6962 //
     /* 112288 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112291 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112298 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112305 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112309 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 112316 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15473>>  =>  (STRBBroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 112316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 112319 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112321 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112326 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112331 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112340 */   GIR_RootConstrainSelectedInstOperands,
     /* 112341 */   // GIR_Coverage, 6962,
     /* 112341 */   GIR_EraseRootFromParent_Done,
     /* 112342 */ // Label 2139: @112342
     /* 112342 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(112401), // Rule ID 6966 //
     /* 112347 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112350 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112357 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 112375 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15480>>  =>  (STRHHroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 112375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 112378 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112399 */   GIR_RootConstrainSelectedInstOperands,
     /* 112400 */   // GIR_Coverage, 6966,
     /* 112400 */   GIR_EraseRootFromParent_Done,
     /* 112401 */ // Label 2140: @112401
     /* 112401 */ GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(112460), // Rule ID 6967 //
     /* 112406 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112409 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112416 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112423 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112427 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 112434 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15480>>  =>  (STRHHroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 112434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 112437 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112449 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112454 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112458 */   GIR_RootConstrainSelectedInstOperands,
     /* 112459 */   // GIR_Coverage, 6967,
     /* 112459 */   GIR_EraseRootFromParent_Done,
     /* 112460 */ // Label 2141: @112460
     /* 112460 */ GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(112519), // Rule ID 6971 //
     /* 112465 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112468 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112475 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112482 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112486 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 112493 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRWroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 112493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 112496 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112513 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112517 */   GIR_RootConstrainSelectedInstOperands,
     /* 112518 */   // GIR_Coverage, 6971,
     /* 112518 */   GIR_EraseRootFromParent_Done,
     /* 112519 */ // Label 2142: @112519
     /* 112519 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(112578), // Rule ID 6972 //
     /* 112524 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112527 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112534 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112541 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112545 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 112552 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRWroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 112552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 112555 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112557 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112562 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112576 */   GIR_RootConstrainSelectedInstOperands,
     /* 112577 */   // GIR_Coverage, 6972,
     /* 112577 */   GIR_EraseRootFromParent_Done,
     /* 112578 */ // Label 2143: @112578
     /* 112578 */ GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(112650), // Rule ID 6982 //
     /* 112583 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112586 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112593 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112596 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112600 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 112604 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 112608 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 112613 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112617 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112619 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 112626 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRSui FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 112626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 112629 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 112633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112648 */   GIR_RootConstrainSelectedInstOperands,
     /* 112649 */   // GIR_Coverage, 6982,
     /* 112649 */   GIR_EraseRootFromParent_Done,
     /* 112650 */ // Label 2144: @112650
     /* 112650 */ GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(112722), // Rule ID 6983 //
     /* 112655 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 112665 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 112676 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 112680 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 112685 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112689 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112691 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 112698 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STURSi FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 112698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 112701 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 112705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112720 */   GIR_RootConstrainSelectedInstOperands,
     /* 112721 */   // GIR_Coverage, 6983,
     /* 112721 */   GIR_EraseRootFromParent_Done,
     /* 112722 */ // Label 2145: @112722
     /* 112722 */ GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(112774), // Rule ID 320 //
     /* 112727 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112730 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112738 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112742 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 112749 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURWi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 112752 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 112758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112772 */   GIR_RootConstrainSelectedInstOperands,
     /* 112773 */   // GIR_Coverage, 320,
     /* 112773 */   GIR_EraseRootFromParent_Done,
     /* 112774 */ // Label 2146: @112774
     /* 112774 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(112825), // Rule ID 323 //
     /* 112779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 112793 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112797 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 112804 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 112807 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112823 */   GIR_RootConstrainSelectedInstOperands,
     /* 112824 */   // GIR_Coverage, 323,
     /* 112824 */   GIR_EraseRootFromParent_Done,
     /* 112825 */ // Label 2147: @112825
     /* 112825 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(112884), // Rule ID 326 //
     /* 112830 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112833 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112837 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 112859 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 112862 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 112868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112882 */   GIR_RootConstrainSelectedInstOperands,
     /* 112883 */   // GIR_Coverage, 326,
     /* 112883 */   GIR_EraseRootFromParent_Done,
     /* 112884 */ // Label 2148: @112884
     /* 112884 */ GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(112943), // Rule ID 327 //
     /* 112889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112892 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112918 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 112921 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 112927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112937 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112941 */   GIR_RootConstrainSelectedInstOperands,
     /* 112942 */   // GIR_Coverage, 327,
     /* 112942 */   GIR_EraseRootFromParent_Done,
     /* 112943 */ // Label 2149: @112943
     /* 112943 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(112997), // Rule ID 6963 //
     /* 112948 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 112951 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112958 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 112961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112965 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112969 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 112976 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15473>>  =>  (STRBBui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 112976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 112979 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 112981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112995 */   GIR_RootConstrainSelectedInstOperands,
     /* 112996 */   // GIR_Coverage, 6963,
     /* 112996 */   GIR_EraseRootFromParent_Done,
     /* 112997 */ // Label 2150: @112997
     /* 112997 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(113051), // Rule ID 6964 //
     /* 113002 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113005 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 113012 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113019 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113023 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 113030 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15473>>  =>  (STURBBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 113033 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113045 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113049 */   GIR_RootConstrainSelectedInstOperands,
     /* 113050 */   // GIR_Coverage, 6964,
     /* 113050 */   GIR_EraseRootFromParent_Done,
     /* 113051 */ // Label 2151: @113051
     /* 113051 */ GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(113105), // Rule ID 6968 //
     /* 113056 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113059 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113066 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113073 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113084 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15480>>  =>  (STRHHui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 113087 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113099 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113103 */   GIR_RootConstrainSelectedInstOperands,
     /* 113104 */   // GIR_Coverage, 6968,
     /* 113104 */   GIR_EraseRootFromParent_Done,
     /* 113105 */ // Label 2152: @113105
     /* 113105 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(113159), // Rule ID 6969 //
     /* 113110 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113113 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113120 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113127 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 113138 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15480>>  =>  (STURHHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 113141 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113157 */   GIR_RootConstrainSelectedInstOperands,
     /* 113158 */   // GIR_Coverage, 6969,
     /* 113158 */   GIR_EraseRootFromParent_Done,
     /* 113159 */ // Label 2153: @113159
     /* 113159 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(113213), // Rule ID 6973 //
     /* 113164 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113167 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 113174 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113181 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113185 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 113192 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STRWui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 113192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 113195 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113202 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113207 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113211 */   GIR_RootConstrainSelectedInstOperands,
     /* 113212 */   // GIR_Coverage, 6973,
     /* 113212 */   GIR_EraseRootFromParent_Done,
     /* 113213 */ // Label 2154: @113213
     /* 113213 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(113267), // Rule ID 6974 //
     /* 113218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 113228 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113239 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 113246 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15487>>  =>  (STURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 113249 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113261 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113265 */   GIR_RootConstrainSelectedInstOperands,
     /* 113266 */   // GIR_Coverage, 6974,
     /* 113266 */   GIR_EraseRootFromParent_Done,
     /* 113267 */ // Label 2155: @113267
     /* 113267 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(113324), // Rule ID 7266 //
     /* 113272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 113275 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 113285 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113296 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 113303 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15471>>  =>  (STLURBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURBi),
     /* 113306 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113318 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113322 */   GIR_RootConstrainSelectedInstOperands,
     /* 113323 */   // GIR_Coverage, 7266,
     /* 113323 */   GIR_EraseRootFromParent_Done,
     /* 113324 */ // Label 2156: @113324
     /* 113324 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(113381), // Rule ID 7267 //
     /* 113329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 113332 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113335 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113342 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 113360 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15478>>  =>  (STLURHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURHi),
     /* 113363 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113375 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113379 */   GIR_RootConstrainSelectedInstOperands,
     /* 113380 */   // GIR_Coverage, 7267,
     /* 113380 */   GIR_EraseRootFromParent_Done,
     /* 113381 */ // Label 2157: @113381
     /* 113381 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(113438), // Rule ID 7268 //
     /* 113386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 113389 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113392 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 113399 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113406 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113410 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 113417 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15485>>  =>  (STLURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURWi),
     /* 113420 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 113422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113436 */   GIR_RootConstrainSelectedInstOperands,
     /* 113437 */   // GIR_Coverage, 7268,
     /* 113437 */   GIR_EraseRootFromParent_Done,
     /* 113438 */ // Label 2158: @113438
     /* 113438 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(113475), // Rule ID 6960 //
     /* 113443 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113446 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 113453 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113460 */   // MIs[0] ptr
     /* 113460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113468 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15471>>  =>  (STLRB GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 113468 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRB),
     /* 113473 */   GIR_RootConstrainSelectedInstOperands,
     /* 113474 */   // GIR_Coverage, 6960,
     /* 113474 */   GIR_Done,
     /* 113475 */ // Label 2159: @113475
     /* 113475 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(113512), // Rule ID 6965 //
     /* 113480 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113483 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113497 */   // MIs[0] ptr
     /* 113497 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113505 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15478>>  =>  (STLRH GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 113505 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRH),
     /* 113510 */   GIR_RootConstrainSelectedInstOperands,
     /* 113511 */   // GIR_Coverage, 6965,
     /* 113511 */   GIR_Done,
     /* 113512 */ // Label 2160: @113512
     /* 113512 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(113549), // Rule ID 6970 //
     /* 113517 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 113520 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 113527 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 113530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 113534 */   // MIs[0] ptr
     /* 113534 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113542 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15485>>  =>  (STLRW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 113542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRW),
     /* 113547 */   GIR_RootConstrainSelectedInstOperands,
     /* 113548 */   // GIR_Coverage, 6970,
     /* 113548 */   GIR_Done,
     /* 113549 */ // Label 2161: @113549
     /* 113549 */ GIM_Reject,
     /* 113550 */ // Label 2060: @113550
     /* 113550 */ GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(113656), // Rule ID 4430 //
     /* 113555 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113558 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113562 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113566 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113570 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 113574 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113578 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113583 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113591 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 113600 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 113600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 113603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113612 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 113618 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113623 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 113631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113644 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113649 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113654 */   GIR_RootConstrainSelectedInstOperands,
     /* 113655 */   // GIR_Coverage, 4430,
     /* 113655 */   GIR_EraseRootFromParent_Done,
     /* 113656 */ // Label 2162: @113656
     /* 113656 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(113762), // Rule ID 4431 //
     /* 113661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113664 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113676 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 113680 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113684 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113689 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113697 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113699 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 113706 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 113706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 113709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113718 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 113724 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113729 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 113737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113760 */   GIR_RootConstrainSelectedInstOperands,
     /* 113761 */   // GIR_Coverage, 4431,
     /* 113761 */   GIR_EraseRootFromParent_Done,
     /* 113762 */ // Label 2163: @113762
     /* 113762 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(113868), // Rule ID 4432 //
     /* 113767 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113770 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113782 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 113786 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113790 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113795 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113799 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113803 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113805 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 113812 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 113812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 113815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113824 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 113830 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113835 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 113843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113866 */   GIR_RootConstrainSelectedInstOperands,
     /* 113867 */   // GIR_Coverage, 4432,
     /* 113867 */   GIR_EraseRootFromParent_Done,
     /* 113868 */ // Label 2164: @113868
     /* 113868 */ GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(113974), // Rule ID 4433 //
     /* 113873 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113876 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113880 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113888 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 113892 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113896 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113901 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113905 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 113918 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 113918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 113921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113930 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 113936 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113941 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 113949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113972 */   GIR_RootConstrainSelectedInstOperands,
     /* 113973 */   // GIR_Coverage, 4433,
     /* 113973 */   GIR_EraseRootFromParent_Done,
     /* 113974 */ // Label 2165: @113974
     /* 113974 */ GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(114075), // Rule ID 4456 //
     /* 113979 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113982 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113986 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113990 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113994 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 113998 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114002 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114007 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114011 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114015 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114017 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 114024 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 114024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 114027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114036 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 114042 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114047 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 114055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114068 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114073 */   GIR_RootConstrainSelectedInstOperands,
     /* 114074 */   // GIR_Coverage, 4456,
     /* 114074 */   GIR_EraseRootFromParent_Done,
     /* 114075 */ // Label 2166: @114075
     /* 114075 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(114176), // Rule ID 4457 //
     /* 114080 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114083 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114087 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114091 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114095 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 114099 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114103 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114108 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114112 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114116 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114118 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 114125 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 114125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 114128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114137 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 114143 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114148 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 114156 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114169 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114174 */   GIR_RootConstrainSelectedInstOperands,
     /* 114175 */   // GIR_Coverage, 4457,
     /* 114175 */   GIR_EraseRootFromParent_Done,
     /* 114176 */ // Label 2167: @114176
     /* 114176 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(114277), // Rule ID 4481 //
     /* 114181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114188 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114192 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114196 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 114200 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114204 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114209 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114217 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114219 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 114226 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114226 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 114229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114233 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114238 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 114244 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114249 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 114257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114270 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114275 */   GIR_RootConstrainSelectedInstOperands,
     /* 114276 */   // GIR_Coverage, 4481,
     /* 114276 */   GIR_EraseRootFromParent_Done,
     /* 114277 */ // Label 2168: @114277
     /* 114277 */ GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(114378), // Rule ID 4482 //
     /* 114282 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114285 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114289 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114293 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114297 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 114301 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114305 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114310 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114314 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114318 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114320 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 114327 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 114330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114339 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 114345 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114350 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 114358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114361 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114366 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114376 */   GIR_RootConstrainSelectedInstOperands,
     /* 114377 */   // GIR_Coverage, 4482,
     /* 114377 */   GIR_EraseRootFromParent_Done,
     /* 114378 */ // Label 2169: @114378
     /* 114378 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(114453), // Rule ID 6357 //
     /* 114383 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114386 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114390 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114394 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114398 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 114402 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114406 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114411 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114415 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114419 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 114423 */   // MIs[2] Operand 1
     /* 114423 */   // No operand predicates
     /* 114423 */   // MIs[0] Rn
     /* 114423 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 114431 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114433 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 114433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 114436 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 114440 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 114443 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 114445 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 114451 */   GIR_RootConstrainSelectedInstOperands,
     /* 114452 */   // GIR_Coverage, 6357,
     /* 114452 */   GIR_EraseRootFromParent_Done,
     /* 114453 */ // Label 2170: @114453
     /* 114453 */ GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(114528), // Rule ID 6358 //
     /* 114458 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114461 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114465 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114469 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114473 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 114477 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114481 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114486 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114490 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114494 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 114498 */   // MIs[2] Operand 1
     /* 114498 */   // No operand predicates
     /* 114498 */   // MIs[0] Rn
     /* 114498 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 114506 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114508 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 114508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 114511 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 114515 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 114518 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 114520 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 114526 */   GIR_RootConstrainSelectedInstOperands,
     /* 114527 */   // GIR_Coverage, 6358,
     /* 114527 */   GIR_EraseRootFromParent_Done,
     /* 114528 */ // Label 2171: @114528
     /* 114528 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(114581), // Rule ID 301 //
     /* 114533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114536 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114544 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114548 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 114555 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroW GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 114555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 114558 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114565 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114575 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114579 */   GIR_RootConstrainSelectedInstOperands,
     /* 114580 */   // GIR_Coverage, 301,
     /* 114580 */   GIR_EraseRootFromParent_Done,
     /* 114581 */ // Label 2172: @114581
     /* 114581 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(114634), // Rule ID 302 //
     /* 114586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114589 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114597 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 114608 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroX GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 114608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 114611 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114618 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114628 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114632 */   GIR_RootConstrainSelectedInstOperands,
     /* 114633 */   // GIR_Coverage, 302,
     /* 114633 */   GIR_EraseRootFromParent_Done,
     /* 114634 */ // Label 2173: @114634
     /* 114634 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(114690), // Rule ID 309 //
     /* 114639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 114642 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114645 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114653 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114657 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 114664 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 114664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 114667 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114684 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114688 */   GIR_RootConstrainSelectedInstOperands,
     /* 114689 */   // GIR_Coverage, 309,
     /* 114689 */   GIR_EraseRootFromParent_Done,
     /* 114690 */ // Label 2174: @114690
     /* 114690 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(114746), // Rule ID 310 //
     /* 114695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 114698 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114701 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114709 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114713 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 114720 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 114720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 114723 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 114725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114740 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114744 */   GIR_RootConstrainSelectedInstOperands,
     /* 114745 */   // GIR_Coverage, 310,
     /* 114745 */   GIR_EraseRootFromParent_Done,
     /* 114746 */ // Label 2175: @114746
     /* 114746 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(114835), // Rule ID 4388 //
     /* 114751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 114765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 114780 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 114780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114792 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 114798 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 114803 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 114811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114819 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114824 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114829 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114833 */   GIR_RootConstrainSelectedInstOperands,
     /* 114834 */   // GIR_Coverage, 4388,
     /* 114834 */   GIR_EraseRootFromParent_Done,
     /* 114835 */ // Label 2176: @114835
     /* 114835 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(114924), // Rule ID 4389 //
     /* 114840 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114843 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114847 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 114854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 114869 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 114869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114881 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 114887 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 114892 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 114900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114913 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114918 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 114922 */   GIR_RootConstrainSelectedInstOperands,
     /* 114923 */   // GIR_Coverage, 4389,
     /* 114923 */   GIR_EraseRootFromParent_Done,
     /* 114924 */ // Label 2177: @114924
     /* 114924 */ GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(115013), // Rule ID 4390 //
     /* 114929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114932 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114936 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114947 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114951 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 114958 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 114958 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114961 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114965 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114970 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 114976 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 114981 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 114986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 114989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114992 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115002 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115007 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115011 */   GIR_RootConstrainSelectedInstOperands,
     /* 115012 */   // GIR_Coverage, 4390,
     /* 115012 */   GIR_EraseRootFromParent_Done,
     /* 115013 */ // Label 2178: @115013
     /* 115013 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(115102), // Rule ID 4391 //
     /* 115018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115021 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115025 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 115047 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 115047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115059 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115065 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115070 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 115078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115091 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115096 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115100 */   GIR_RootConstrainSelectedInstOperands,
     /* 115101 */   // GIR_Coverage, 4391,
     /* 115101 */   GIR_EraseRootFromParent_Done,
     /* 115102 */ // Label 2179: @115102
     /* 115102 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(115191), // Rule ID 4392 //
     /* 115107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115110 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115114 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 115121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115129 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 115136 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 115136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115148 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115154 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115159 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 115167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115189 */   GIR_RootConstrainSelectedInstOperands,
     /* 115190 */   // GIR_Coverage, 4392,
     /* 115190 */   GIR_EraseRootFromParent_Done,
     /* 115191 */ // Label 2180: @115191
     /* 115191 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(115280), // Rule ID 4393 //
     /* 115196 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115199 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115203 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 115210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115214 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115218 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 115225 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 115225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115237 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115243 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115248 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 115256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115274 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115278 */   GIR_RootConstrainSelectedInstOperands,
     /* 115279 */   // GIR_Coverage, 4393,
     /* 115279 */   GIR_EraseRootFromParent_Done,
     /* 115280 */ // Label 2181: @115280
     /* 115280 */ GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(115333), // Rule ID 4404 //
     /* 115285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 115307 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 115307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 115310 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115331 */   GIR_RootConstrainSelectedInstOperands,
     /* 115332 */   // GIR_Coverage, 4404,
     /* 115332 */   GIR_EraseRootFromParent_Done,
     /* 115333 */ // Label 2182: @115333
     /* 115333 */ GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(115386), // Rule ID 4405 //
     /* 115338 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115341 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 115360 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 115360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 115363 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115384 */   GIR_RootConstrainSelectedInstOperands,
     /* 115385 */   // GIR_Coverage, 4405,
     /* 115385 */   GIR_EraseRootFromParent_Done,
     /* 115386 */ // Label 2183: @115386
     /* 115386 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(115439), // Rule ID 4406 //
     /* 115391 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115394 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115402 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115406 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 115413 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 115413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 115416 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115433 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115437 */   GIR_RootConstrainSelectedInstOperands,
     /* 115438 */   // GIR_Coverage, 4406,
     /* 115438 */   GIR_EraseRootFromParent_Done,
     /* 115439 */ // Label 2184: @115439
     /* 115439 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(115492), // Rule ID 4407 //
     /* 115444 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115447 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115455 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115459 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 115466 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 115466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 115469 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115486 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115490 */   GIR_RootConstrainSelectedInstOperands,
     /* 115491 */   // GIR_Coverage, 4407,
     /* 115491 */   GIR_EraseRootFromParent_Done,
     /* 115492 */ // Label 2185: @115492
     /* 115492 */ GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(115544), // Rule ID 311 //
     /* 115497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115500 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115508 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115512 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 115519 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXui GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 115519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 115522 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 115528 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115533 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115538 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115542 */   GIR_RootConstrainSelectedInstOperands,
     /* 115543 */   // GIR_Coverage, 311,
     /* 115543 */   GIR_EraseRootFromParent_Done,
     /* 115544 */ // Label 2186: @115544
     /* 115544 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(115595), // Rule ID 316 //
     /* 115549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 115552 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115555 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115563 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115567 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 115574 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 115574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 115577 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115579 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115584 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115589 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115593 */   GIR_RootConstrainSelectedInstOperands,
     /* 115594 */   // GIR_Coverage, 316,
     /* 115594 */   GIR_EraseRootFromParent_Done,
     /* 115595 */ // Label 2187: @115595
     /* 115595 */ GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(115643), // Rule ID 4434 //
     /* 115600 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115603 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115611 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115615 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 115622 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 115622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 115625 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115637 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115641 */   GIR_RootConstrainSelectedInstOperands,
     /* 115642 */   // GIR_Coverage, 4434,
     /* 115642 */   GIR_EraseRootFromParent_Done,
     /* 115643 */ // Label 2188: @115643
     /* 115643 */ GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(115691), // Rule ID 4435 //
     /* 115648 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115651 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115659 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115663 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 115670 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 115670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 115673 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115689 */   GIR_RootConstrainSelectedInstOperands,
     /* 115690 */   // GIR_Coverage, 4435,
     /* 115690 */   GIR_EraseRootFromParent_Done,
     /* 115691 */ // Label 2189: @115691
     /* 115691 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(115775), // Rule ID 4449 //
     /* 115696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115699 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115703 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 115710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115714 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115718 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115725 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115737 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115743 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115748 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 115756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115764 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115769 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115773 */   GIR_RootConstrainSelectedInstOperands,
     /* 115774 */   // GIR_Coverage, 4449,
     /* 115774 */   GIR_EraseRootFromParent_Done,
     /* 115775 */ // Label 2190: @115775
     /* 115775 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(115859), // Rule ID 4450 //
     /* 115780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115783 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115787 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115798 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115802 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 115809 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 115809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115821 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115827 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115832 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 115840 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115857 */   GIR_RootConstrainSelectedInstOperands,
     /* 115858 */   // GIR_Coverage, 4450,
     /* 115858 */   GIR_EraseRootFromParent_Done,
     /* 115859 */ // Label 2191: @115859
     /* 115859 */ GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(115943), // Rule ID 4451 //
     /* 115864 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115867 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115871 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115882 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115886 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 115893 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 115893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115905 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 115911 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115916 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 115921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 115924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115937 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115941 */   GIR_RootConstrainSelectedInstOperands,
     /* 115942 */   // GIR_Coverage, 4451,
     /* 115942 */   GIR_EraseRootFromParent_Done,
     /* 115943 */ // Label 2192: @115943
     /* 115943 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(116020), // Rule ID 6984 //
     /* 115948 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 115951 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 115958 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 115961 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115965 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 115969 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 115973 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115982 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115984 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 115991 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 115991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 115994 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 115998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116003 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116013 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116018 */   GIR_RootConstrainSelectedInstOperands,
     /* 116019 */   // GIR_Coverage, 6984,
     /* 116019 */   GIR_EraseRootFromParent_Done,
     /* 116020 */ // Label 2193: @116020
     /* 116020 */ GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(116097), // Rule ID 6985 //
     /* 116025 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116028 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116035 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116046 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116050 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116055 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116059 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 116068 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 116068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 116071 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116080 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116085 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116090 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116095 */   GIR_RootConstrainSelectedInstOperands,
     /* 116096 */   // GIR_Coverage, 6985,
     /* 116096 */   GIR_EraseRootFromParent_Done,
     /* 116097 */ // Label 2194: @116097
     /* 116097 */ GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(116156), // Rule ID 6976 //
     /* 116102 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116105 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116112 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116119 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116123 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 116130 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRXroW GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 116130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 116133 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116150 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116154 */   GIR_RootConstrainSelectedInstOperands,
     /* 116155 */   // GIR_Coverage, 6976,
     /* 116155 */   GIR_EraseRootFromParent_Done,
     /* 116156 */ // Label 2195: @116156
     /* 116156 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(116215), // Rule ID 6977 //
     /* 116161 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116164 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116171 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116178 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116182 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 116189 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRXroX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 116189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 116192 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116194 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116209 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116213 */   GIR_RootConstrainSelectedInstOperands,
     /* 116214 */   // GIR_Coverage, 6977,
     /* 116214 */   GIR_EraseRootFromParent_Done,
     /* 116215 */ // Label 2196: @116215
     /* 116215 */ GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(116287), // Rule ID 6986 //
     /* 116220 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116223 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116230 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116233 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116237 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116241 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116245 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116254 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116256 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 116263 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRDui FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 116266 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116285 */   GIR_RootConstrainSelectedInstOperands,
     /* 116286 */   // GIR_Coverage, 6986,
     /* 116286 */   GIR_EraseRootFromParent_Done,
     /* 116287 */ // Label 2197: @116287
     /* 116287 */ GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(116359), // Rule ID 6987 //
     /* 116292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116302 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116305 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116309 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116313 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116317 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116322 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116326 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116328 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116335 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STURDi FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 116338 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116352 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116357 */   GIR_RootConstrainSelectedInstOperands,
     /* 116358 */   // GIR_Coverage, 6987,
     /* 116358 */   GIR_EraseRootFromParent_Done,
     /* 116359 */ // Label 2198: @116359
     /* 116359 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(116456), // Rule ID 7258 //
     /* 116364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 116367 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116370 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116377 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116380 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116384 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116388 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 116392 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 116396 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116400 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 116404 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 116408 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116413 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 116417 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116421 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 116425 */   // MIs[3] Operand 1
     /* 116425 */   // No operand predicates
     /* 116425 */   // MIs[0] Rn
     /* 116425 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116433 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 116435 */   // (atomic_store (bitconvert:{ *:[i64] } (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15492>>  =>  (STL1 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 116438 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vt
     /* 116442 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 116445 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116447 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 116454 */   GIR_RootConstrainSelectedInstOperands,
     /* 116455 */   // GIR_Coverage, 7258,
     /* 116455 */   GIR_EraseRootFromParent_Done,
     /* 116456 */ // Label 2199: @116456
     /* 116456 */ GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(116508), // Rule ID 319 //
     /* 116461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116464 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116472 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116476 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116483 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURXi GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 116483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 116486 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 116492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116497 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116506 */   GIR_RootConstrainSelectedInstOperands,
     /* 116507 */   // GIR_Coverage, 319,
     /* 116507 */   GIR_EraseRootFromParent_Done,
     /* 116508 */ // Label 2200: @116508
     /* 116508 */ GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(116559), // Rule ID 324 //
     /* 116513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116516 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116519 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116527 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116531 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116538 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 116538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 116541 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116543 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116548 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116553 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116557 */   GIR_RootConstrainSelectedInstOperands,
     /* 116558 */   // GIR_Coverage, 324,
     /* 116558 */   GIR_EraseRootFromParent_Done,
     /* 116559 */ // Label 2201: @116559
     /* 116559 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(116613), // Rule ID 6978 //
     /* 116564 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116567 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116574 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 116592 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STRXui GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 116592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 116595 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116607 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116611 */   GIR_RootConstrainSelectedInstOperands,
     /* 116612 */   // GIR_Coverage, 6978,
     /* 116612 */   GIR_EraseRootFromParent_Done,
     /* 116613 */ // Label 2202: @116613
     /* 116613 */ GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(116667), // Rule ID 6979 //
     /* 116618 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116621 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116628 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116635 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116639 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116646 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15494>>  =>  (STURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 116649 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116651 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116661 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116665 */   GIR_RootConstrainSelectedInstOperands,
     /* 116666 */   // GIR_Coverage, 6979,
     /* 116666 */   GIR_EraseRootFromParent_Done,
     /* 116667 */ // Label 2203: @116667
     /* 116667 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(116724), // Rule ID 7269 //
     /* 116672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 116675 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116678 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 116685 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116703 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15492>>  =>  (STLURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURXi),
     /* 116706 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116718 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116722 */   GIR_RootConstrainSelectedInstOperands,
     /* 116723 */   // GIR_Coverage, 7269,
     /* 116723 */   GIR_EraseRootFromParent_Done,
     /* 116724 */ // Label 2204: @116724
     /* 116724 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(116772), // Rule ID 4458 //
     /* 116729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116751 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 116754 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116770 */   GIR_RootConstrainSelectedInstOperands,
     /* 116771 */   // GIR_Coverage, 4458,
     /* 116771 */   GIR_EraseRootFromParent_Done,
     /* 116772 */ // Label 2205: @116772
     /* 116772 */ GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(116820), // Rule ID 4459 //
     /* 116777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116780 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116788 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116792 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 116799 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 116802 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116818 */   GIR_RootConstrainSelectedInstOperands,
     /* 116819 */   // GIR_Coverage, 4459,
     /* 116819 */   GIR_EraseRootFromParent_Done,
     /* 116820 */ // Label 2206: @116820
     /* 116820 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(116904), // Rule ID 4474 //
     /* 116825 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116828 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116832 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116843 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116847 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 116854 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STURWi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116866 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 116872 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116877 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 116885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116902 */   GIR_RootConstrainSelectedInstOperands,
     /* 116903 */   // GIR_Coverage, 4474,
     /* 116903 */   GIR_EraseRootFromParent_Done,
     /* 116904 */ // Label 2207: @116904
     /* 116904 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(116988), // Rule ID 4475 //
     /* 116909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116912 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116916 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116927 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116931 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 116938 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116950 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 116956 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116961 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 116966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 116969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116977 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116982 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116986 */   GIR_RootConstrainSelectedInstOperands,
     /* 116987 */   // GIR_Coverage, 4475,
     /* 116987 */   GIR_EraseRootFromParent_Done,
     /* 116988 */ // Label 2208: @116988
     /* 116988 */ GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(117072), // Rule ID 4476 //
     /* 116993 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116996 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117000 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 117011 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117015 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117022 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 117025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117034 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 117040 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117045 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 117050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 117053 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117066 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117070 */   GIR_RootConstrainSelectedInstOperands,
     /* 117071 */   // GIR_Coverage, 4476,
     /* 117071 */   GIR_EraseRootFromParent_Done,
     /* 117072 */ // Label 2209: @117072
     /* 117072 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(117156), // Rule ID 7257 //
     /* 117077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 117080 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117083 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 117090 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117093 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117097 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 117101 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 117105 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 117109 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117114 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 117118 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117122 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 117126 */   // MIs[2] Operand 1
     /* 117126 */   // No operand predicates
     /* 117126 */   // MIs[0] Rn
     /* 117126 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117134 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 117136 */   // (atomic_store (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15492>>  =>  (STL1 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 117136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 117139 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 117143 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 117146 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 117148 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 117154 */   GIR_RootConstrainSelectedInstOperands,
     /* 117155 */   // GIR_Coverage, 7257,
     /* 117155 */   GIR_EraseRootFromParent_Done,
     /* 117156 */ // Label 2210: @117156
     /* 117156 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(117254), // Rule ID 7259 //
     /* 117161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 117164 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117167 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 117174 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117177 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117181 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117185 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 117189 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117194 */   // MIs[0] Rn
     /* 117194 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117202 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117204 */   // (atomic_store (bitconvert:{ *:[i64] } VecListOne64:{ *:[v1f64] }:$Vt), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15492>>  =>  (STL1 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, VecListOne64:{ *:[v1f64] }:$Vt, dsub:{ *:[i32] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn)
     /* 117204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 117207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 117211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117216 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 117219 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 117223 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 117226 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117231 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 117239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 117245 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 117247 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117252 */   GIR_RootConstrainSelectedInstOperands,
     /* 117253 */   // GIR_Coverage, 7259,
     /* 117253 */   GIR_EraseRootFromParent_Done,
     /* 117254 */ // Label 2211: @117254
     /* 117254 */ GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(117291), // Rule ID 6975 //
     /* 117259 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117262 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 117269 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 117276 */   // MIs[0] ptr
     /* 117276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117284 */   // (atomic_store GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15492>>  =>  (STLRX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 117284 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRX),
     /* 117289 */   GIR_RootConstrainSelectedInstOperands,
     /* 117290 */   // GIR_Coverage, 6975,
     /* 117290 */   GIR_Done,
     /* 117291 */ // Label 2212: @117291
     /* 117291 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(117318), // Rule ID 6307 //
     /* 117296 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117299 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117303 */   // MIs[0] Rn
     /* 117303 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117311 */   // (st v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev1d v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 117311 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev1d),
     /* 117316 */   GIR_RootConstrainSelectedInstOperands,
     /* 117317 */   // GIR_Coverage, 6307,
     /* 117317 */   GIR_Done,
     /* 117318 */ // Label 2213: @117318
     /* 117318 */ GIM_Reject,
     /* 117319 */ // Label 2061: @117319
     /* 117319 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(117524),
     /* 117324 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117327 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117335 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117339 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(117380), // Rule ID 4386 //
     /* 117344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 117347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 117354 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 117354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 117357 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117378 */     GIR_RootConstrainSelectedInstOperands,
     /* 117379 */     // GIR_Coverage, 4386,
     /* 117379 */     GIR_EraseRootFromParent_Done,
     /* 117380 */   // Label 2215: @117380
     /* 117380 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(117421), // Rule ID 4387 //
     /* 117385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 117388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 117395 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 117395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 117398 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117419 */     GIR_RootConstrainSelectedInstOperands,
     /* 117420 */     // GIR_Coverage, 4387,
     /* 117420 */     GIR_EraseRootFromParent_Done,
     /* 117421 */   // Label 2216: @117421
     /* 117421 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(117454), // Rule ID 4441 //
     /* 117426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 117433 */     // (st FPR128:{ *:[f128] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 117433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 117436 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117452 */     GIR_RootConstrainSelectedInstOperands,
     /* 117453 */     // GIR_Coverage, 4441,
     /* 117453 */     GIR_EraseRootFromParent_Done,
     /* 117454 */   // Label 2217: @117454
     /* 117454 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(117487), // Rule ID 4465 //
     /* 117459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 117466 */     // (st FPR128:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 117469 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117485 */     GIR_RootConstrainSelectedInstOperands,
     /* 117486 */     // GIR_Coverage, 4465,
     /* 117486 */     GIR_EraseRootFromParent_Done,
     /* 117487 */   // Label 2218: @117487
     /* 117487 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(117523), // Rule ID 325 //
     /* 117492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 117495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 117502 */     // (st FPR128Op:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128Op:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 117505 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117521 */     GIR_RootConstrainSelectedInstOperands,
     /* 117522 */     // GIR_Coverage, 325,
     /* 117522 */     GIR_EraseRootFromParent_Done,
     /* 117523 */   // Label 2219: @117523
     /* 117523 */   GIM_Reject,
     /* 117524 */ // Label 2214: @117524
     /* 117524 */ GIM_Reject,
     /* 117525 */ // Label 2062: @117525
     /* 117525 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(117930),
     /* 117530 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117533 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117537 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(117586), // Rule ID 4394 //
     /* 117542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 117560 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 117560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 117563 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117584 */     GIR_RootConstrainSelectedInstOperands,
     /* 117585 */     // GIR_Coverage, 4394,
     /* 117585 */     GIR_EraseRootFromParent_Done,
     /* 117586 */   // Label 2221: @117586
     /* 117586 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(117635), // Rule ID 4395 //
     /* 117591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 117609 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 117609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 117612 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117633 */     GIR_RootConstrainSelectedInstOperands,
     /* 117634 */     // GIR_Coverage, 4395,
     /* 117634 */     GIR_EraseRootFromParent_Done,
     /* 117635 */   // Label 2222: @117635
     /* 117635 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(117684), // Rule ID 4396 //
     /* 117640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 117658 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 117658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 117661 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117682 */     GIR_RootConstrainSelectedInstOperands,
     /* 117683 */     // GIR_Coverage, 4396,
     /* 117683 */     GIR_EraseRootFromParent_Done,
     /* 117684 */   // Label 2223: @117684
     /* 117684 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(117733), // Rule ID 4397 //
     /* 117689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 117707 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 117707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 117710 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117731 */     GIR_RootConstrainSelectedInstOperands,
     /* 117732 */     // GIR_Coverage, 4397,
     /* 117732 */     GIR_EraseRootFromParent_Done,
     /* 117733 */   // Label 2224: @117733
     /* 117733 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(117777), // Rule ID 4436 //
     /* 117738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 117756 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 117756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 117759 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117775 */     GIR_RootConstrainSelectedInstOperands,
     /* 117776 */     // GIR_Coverage, 4436,
     /* 117776 */     GIR_EraseRootFromParent_Done,
     /* 117777 */   // Label 2225: @117777
     /* 117777 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(117821), // Rule ID 4439 //
     /* 117782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 117800 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 117800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 117803 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117819 */     GIR_RootConstrainSelectedInstOperands,
     /* 117820 */     // GIR_Coverage, 4439,
     /* 117820 */     GIR_EraseRootFromParent_Done,
     /* 117821 */   // Label 2226: @117821
     /* 117821 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(117865), // Rule ID 4460 //
     /* 117826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 117844 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 117847 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117863 */     GIR_RootConstrainSelectedInstOperands,
     /* 117864 */     // GIR_Coverage, 4460,
     /* 117864 */     GIR_EraseRootFromParent_Done,
     /* 117865 */   // Label 2227: @117865
     /* 117865 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(117909), // Rule ID 4463 //
     /* 117870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 117873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 117888 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 117891 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117907 */     GIR_RootConstrainSelectedInstOperands,
     /* 117908 */     // GIR_Coverage, 4463,
     /* 117908 */     GIR_EraseRootFromParent_Done,
     /* 117909 */   // Label 2228: @117909
     /* 117909 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(117929), // Rule ID 6306 //
     /* 117914 */     // MIs[0] Rn
     /* 117914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117922 */     // (st v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2s v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 117922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2s),
     /* 117927 */     GIR_RootConstrainSelectedInstOperands,
     /* 117928 */     // GIR_Coverage, 6306,
     /* 117928 */     GIR_Done,
     /* 117929 */   // Label 2229: @117929
     /* 117929 */   GIM_Reject,
     /* 117930 */ // Label 2220: @117930
     /* 117930 */ GIM_Reject,
     /* 117931 */ // Label 2063: @117931
     /* 117931 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(118380),
     /* 117936 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117939 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117943 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(117992), // Rule ID 4408 //
     /* 117948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 117951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 117966 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 117966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 117969 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117990 */     GIR_RootConstrainSelectedInstOperands,
     /* 117991 */     // GIR_Coverage, 4408,
     /* 117991 */     GIR_EraseRootFromParent_Done,
     /* 117992 */   // Label 2231: @117992
     /* 117992 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(118041), // Rule ID 4409 //
     /* 117997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 118015 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 118015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 118018 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118039 */     GIR_RootConstrainSelectedInstOperands,
     /* 118040 */     // GIR_Coverage, 4409,
     /* 118040 */     GIR_EraseRootFromParent_Done,
     /* 118041 */   // Label 2232: @118041
     /* 118041 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(118090), // Rule ID 4410 //
     /* 118046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 118064 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 118064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 118067 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118088 */     GIR_RootConstrainSelectedInstOperands,
     /* 118089 */     // GIR_Coverage, 4410,
     /* 118089 */     GIR_EraseRootFromParent_Done,
     /* 118090 */   // Label 2233: @118090
     /* 118090 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(118139), // Rule ID 4411 //
     /* 118095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 118113 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 118113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 118116 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118137 */     GIR_RootConstrainSelectedInstOperands,
     /* 118138 */     // GIR_Coverage, 4411,
     /* 118138 */     GIR_EraseRootFromParent_Done,
     /* 118139 */   // Label 2234: @118139
     /* 118139 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(118183), // Rule ID 4443 //
     /* 118144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 118162 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 118162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 118165 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118181 */     GIR_RootConstrainSelectedInstOperands,
     /* 118182 */     // GIR_Coverage, 4443,
     /* 118182 */     GIR_EraseRootFromParent_Done,
     /* 118183 */   // Label 2235: @118183
     /* 118183 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(118227), // Rule ID 4447 //
     /* 118188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 118206 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 118206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 118209 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118225 */     GIR_RootConstrainSelectedInstOperands,
     /* 118226 */     // GIR_Coverage, 4447,
     /* 118226 */     GIR_EraseRootFromParent_Done,
     /* 118227 */   // Label 2236: @118227
     /* 118227 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(118271), // Rule ID 4467 //
     /* 118232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 118250 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 118253 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118269 */     GIR_RootConstrainSelectedInstOperands,
     /* 118270 */     // GIR_Coverage, 4467,
     /* 118270 */     GIR_EraseRootFromParent_Done,
     /* 118271 */   // Label 2237: @118271
     /* 118271 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(118315), // Rule ID 4471 //
     /* 118276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 118294 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 118297 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118313 */     GIR_RootConstrainSelectedInstOperands,
     /* 118314 */     // GIR_Coverage, 4471,
     /* 118314 */     GIR_EraseRootFromParent_Done,
     /* 118315 */   // Label 2238: @118315
     /* 118315 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(118359), // Rule ID 4472 //
     /* 118320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 118338 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 118341 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118357 */     GIR_RootConstrainSelectedInstOperands,
     /* 118358 */     // GIR_Coverage, 4472,
     /* 118358 */     GIR_EraseRootFromParent_Done,
     /* 118359 */   // Label 2239: @118359
     /* 118359 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(118379), // Rule ID 6303 //
     /* 118364 */     // MIs[0] Rn
     /* 118364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118372 */     // (st v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2d v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 118372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2d),
     /* 118377 */     GIR_RootConstrainSelectedInstOperands,
     /* 118378 */     // GIR_Coverage, 6303,
     /* 118378 */     GIR_Done,
     /* 118379 */   // Label 2240: @118379
     /* 118379 */   GIM_Reject,
     /* 118380 */ // Label 2230: @118380
     /* 118380 */ GIM_Reject,
     /* 118381 */ // Label 2064: @118381
     /* 118381 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(118786),
     /* 118386 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118389 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118393 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(118442), // Rule ID 4398 //
     /* 118398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118416 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118419 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118440 */     GIR_RootConstrainSelectedInstOperands,
     /* 118441 */     // GIR_Coverage, 4398,
     /* 118441 */     GIR_EraseRootFromParent_Done,
     /* 118442 */   // Label 2242: @118442
     /* 118442 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(118491), // Rule ID 4399 //
     /* 118447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118465 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118468 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118489 */     GIR_RootConstrainSelectedInstOperands,
     /* 118490 */     // GIR_Coverage, 4399,
     /* 118490 */     GIR_EraseRootFromParent_Done,
     /* 118491 */   // Label 2243: @118491
     /* 118491 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(118540), // Rule ID 4402 //
     /* 118496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118514 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118517 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118538 */     GIR_RootConstrainSelectedInstOperands,
     /* 118539 */     // GIR_Coverage, 4402,
     /* 118539 */     GIR_EraseRootFromParent_Done,
     /* 118540 */   // Label 2244: @118540
     /* 118540 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(118589), // Rule ID 4403 //
     /* 118545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118563 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118566 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118587 */     GIR_RootConstrainSelectedInstOperands,
     /* 118588 */     // GIR_Coverage, 4403,
     /* 118588 */     GIR_EraseRootFromParent_Done,
     /* 118589 */   // Label 2245: @118589
     /* 118589 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(118633), // Rule ID 4438 //
     /* 118594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 118612 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 118612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 118615 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118631 */     GIR_RootConstrainSelectedInstOperands,
     /* 118632 */     // GIR_Coverage, 4438,
     /* 118632 */     GIR_EraseRootFromParent_Done,
     /* 118633 */   // Label 2246: @118633
     /* 118633 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(118677), // Rule ID 4440 //
     /* 118638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 118656 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 118656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 118659 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118675 */     GIR_RootConstrainSelectedInstOperands,
     /* 118676 */     // GIR_Coverage, 4440,
     /* 118676 */     GIR_EraseRootFromParent_Done,
     /* 118677 */   // Label 2247: @118677
     /* 118677 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(118721), // Rule ID 4462 //
     /* 118682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 118700 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 118703 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118719 */     GIR_RootConstrainSelectedInstOperands,
     /* 118720 */     // GIR_Coverage, 4462,
     /* 118720 */     GIR_EraseRootFromParent_Done,
     /* 118721 */   // Label 2248: @118721
     /* 118721 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(118765), // Rule ID 4464 //
     /* 118726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 118729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 118744 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 118747 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118763 */     GIR_RootConstrainSelectedInstOperands,
     /* 118764 */     // GIR_Coverage, 4464,
     /* 118764 */     GIR_EraseRootFromParent_Done,
     /* 118765 */   // Label 2249: @118765
     /* 118765 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(118785), // Rule ID 6305 //
     /* 118770 */     // MIs[0] Rn
     /* 118770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118778 */     // (st v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4h v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 118778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4h),
     /* 118783 */     GIR_RootConstrainSelectedInstOperands,
     /* 118784 */     // GIR_Coverage, 6305,
     /* 118784 */     GIR_Done,
     /* 118785 */   // Label 2250: @118785
     /* 118785 */   GIM_Reject,
     /* 118786 */ // Label 2241: @118786
     /* 118786 */ GIM_Reject,
     /* 118787 */ // Label 2065: @118787
     /* 118787 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(119192),
     /* 118792 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118795 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118799 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(118848), // Rule ID 4412 //
     /* 118804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 118822 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 118822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 118825 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118846 */     GIR_RootConstrainSelectedInstOperands,
     /* 118847 */     // GIR_Coverage, 4412,
     /* 118847 */     GIR_EraseRootFromParent_Done,
     /* 118848 */   // Label 2252: @118848
     /* 118848 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(118897), // Rule ID 4413 //
     /* 118853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 118871 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 118871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 118874 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118895 */     GIR_RootConstrainSelectedInstOperands,
     /* 118896 */     // GIR_Coverage, 4413,
     /* 118896 */     GIR_EraseRootFromParent_Done,
     /* 118897 */   // Label 2253: @118897
     /* 118897 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(118946), // Rule ID 4414 //
     /* 118902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 118920 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 118920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 118923 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118944 */     GIR_RootConstrainSelectedInstOperands,
     /* 118945 */     // GIR_Coverage, 4414,
     /* 118945 */     GIR_EraseRootFromParent_Done,
     /* 118946 */   // Label 2254: @118946
     /* 118946 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(118995), // Rule ID 4415 //
     /* 118951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 118954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 118969 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 118969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 118972 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118993 */     GIR_RootConstrainSelectedInstOperands,
     /* 118994 */     // GIR_Coverage, 4415,
     /* 118994 */     GIR_EraseRootFromParent_Done,
     /* 118995 */   // Label 2255: @118995
     /* 118995 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(119039), // Rule ID 4442 //
     /* 119000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 119018 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 119018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 119021 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119037 */     GIR_RootConstrainSelectedInstOperands,
     /* 119038 */     // GIR_Coverage, 4442,
     /* 119038 */     GIR_EraseRootFromParent_Done,
     /* 119039 */   // Label 2256: @119039
     /* 119039 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(119083), // Rule ID 4446 //
     /* 119044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 119062 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 119062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 119065 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119081 */     GIR_RootConstrainSelectedInstOperands,
     /* 119082 */     // GIR_Coverage, 4446,
     /* 119082 */     GIR_EraseRootFromParent_Done,
     /* 119083 */   // Label 2257: @119083
     /* 119083 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(119127), // Rule ID 4466 //
     /* 119088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119106 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 119109 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119125 */     GIR_RootConstrainSelectedInstOperands,
     /* 119126 */     // GIR_Coverage, 4466,
     /* 119126 */     GIR_EraseRootFromParent_Done,
     /* 119127 */   // Label 2258: @119127
     /* 119127 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(119171), // Rule ID 4470 //
     /* 119132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119150 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 119153 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119169 */     GIR_RootConstrainSelectedInstOperands,
     /* 119170 */     // GIR_Coverage, 4470,
     /* 119170 */     GIR_EraseRootFromParent_Done,
     /* 119171 */   // Label 2259: @119171
     /* 119171 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(119191), // Rule ID 6302 //
     /* 119176 */     // MIs[0] Rn
     /* 119176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119184 */     // (st v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4s v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 119184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4s),
     /* 119189 */     GIR_RootConstrainSelectedInstOperands,
     /* 119190 */     // GIR_Coverage, 6302,
     /* 119190 */     GIR_Done,
     /* 119191 */   // Label 2260: @119191
     /* 119191 */   GIM_Reject,
     /* 119192 */ // Label 2251: @119192
     /* 119192 */ GIM_Reject,
     /* 119193 */ // Label 2066: @119193
     /* 119193 */ GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(119412),
     /* 119198 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119201 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119205 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(119254), // Rule ID 4400 //
     /* 119210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119228 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 119231 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119252 */     GIR_RootConstrainSelectedInstOperands,
     /* 119253 */     // GIR_Coverage, 4400,
     /* 119253 */     GIR_EraseRootFromParent_Done,
     /* 119254 */   // Label 2262: @119254
     /* 119254 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(119303), // Rule ID 4401 //
     /* 119259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119277 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119280 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119301 */     GIR_RootConstrainSelectedInstOperands,
     /* 119302 */     // GIR_Coverage, 4401,
     /* 119302 */     GIR_EraseRootFromParent_Done,
     /* 119303 */   // Label 2263: @119303
     /* 119303 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(119347), // Rule ID 4437 //
     /* 119308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119326 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119329 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119345 */     GIR_RootConstrainSelectedInstOperands,
     /* 119346 */     // GIR_Coverage, 4437,
     /* 119346 */     GIR_EraseRootFromParent_Done,
     /* 119347 */   // Label 2264: @119347
     /* 119347 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(119391), // Rule ID 4461 //
     /* 119352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 119370 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 119373 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119389 */     GIR_RootConstrainSelectedInstOperands,
     /* 119390 */     // GIR_Coverage, 4461,
     /* 119390 */     GIR_EraseRootFromParent_Done,
     /* 119391 */   // Label 2265: @119391
     /* 119391 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(119411), // Rule ID 6304 //
     /* 119396 */     // MIs[0] Rn
     /* 119396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119404 */     // (st v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8b v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 119404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8b),
     /* 119409 */     GIR_RootConstrainSelectedInstOperands,
     /* 119410 */     // GIR_Coverage, 6304,
     /* 119410 */     GIR_Done,
     /* 119411 */   // Label 2266: @119411
     /* 119411 */   GIM_Reject,
     /* 119412 */ // Label 2261: @119412
     /* 119412 */ GIM_Reject,
     /* 119413 */ // Label 2067: @119413
     /* 119413 */ GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(119818),
     /* 119418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119421 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119425 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(119474), // Rule ID 4416 //
     /* 119430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 119448 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 119448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 119451 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119472 */     GIR_RootConstrainSelectedInstOperands,
     /* 119473 */     // GIR_Coverage, 4416,
     /* 119473 */     GIR_EraseRootFromParent_Done,
     /* 119474 */   // Label 2268: @119474
     /* 119474 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(119523), // Rule ID 4417 //
     /* 119479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 119497 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 119497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 119500 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119521 */     GIR_RootConstrainSelectedInstOperands,
     /* 119522 */     // GIR_Coverage, 4417,
     /* 119522 */     GIR_EraseRootFromParent_Done,
     /* 119523 */   // Label 2269: @119523
     /* 119523 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(119572), // Rule ID 4420 //
     /* 119528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 119546 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 119546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 119549 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119570 */     GIR_RootConstrainSelectedInstOperands,
     /* 119571 */     // GIR_Coverage, 4420,
     /* 119571 */     GIR_EraseRootFromParent_Done,
     /* 119572 */   // Label 2270: @119572
     /* 119572 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(119621), // Rule ID 4421 //
     /* 119577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 119595 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 119595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 119598 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119619 */     GIR_RootConstrainSelectedInstOperands,
     /* 119620 */     // GIR_Coverage, 4421,
     /* 119620 */     GIR_EraseRootFromParent_Done,
     /* 119621 */   // Label 2271: @119621
     /* 119621 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(119665), // Rule ID 4445 //
     /* 119626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 119644 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 119644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 119647 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119663 */     GIR_RootConstrainSelectedInstOperands,
     /* 119664 */     // GIR_Coverage, 4445,
     /* 119664 */     GIR_EraseRootFromParent_Done,
     /* 119665 */   // Label 2272: @119665
     /* 119665 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(119709), // Rule ID 4448 //
     /* 119670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 119688 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 119688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 119691 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119707 */     GIR_RootConstrainSelectedInstOperands,
     /* 119708 */     // GIR_Coverage, 4448,
     /* 119708 */     GIR_EraseRootFromParent_Done,
     /* 119709 */   // Label 2273: @119709
     /* 119709 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(119753), // Rule ID 4469 //
     /* 119714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119732 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 119735 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119751 */     GIR_RootConstrainSelectedInstOperands,
     /* 119752 */     // GIR_Coverage, 4469,
     /* 119752 */     GIR_EraseRootFromParent_Done,
     /* 119753 */   // Label 2274: @119753
     /* 119753 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(119797), // Rule ID 4473 //
     /* 119758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119776 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 119779 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119795 */     GIR_RootConstrainSelectedInstOperands,
     /* 119796 */     // GIR_Coverage, 4473,
     /* 119796 */     GIR_EraseRootFromParent_Done,
     /* 119797 */   // Label 2275: @119797
     /* 119797 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(119817), // Rule ID 6301 //
     /* 119802 */     // MIs[0] Rn
     /* 119802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119810 */     // (st v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8h v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 119810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8h),
     /* 119815 */     GIR_RootConstrainSelectedInstOperands,
     /* 119816 */     // GIR_Coverage, 6301,
     /* 119816 */     GIR_Done,
     /* 119817 */   // Label 2276: @119817
     /* 119817 */   GIM_Reject,
     /* 119818 */ // Label 2267: @119818
     /* 119818 */ GIM_Reject,
     /* 119819 */ // Label 2068: @119819
     /* 119819 */ GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(120038),
     /* 119824 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119827 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119831 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(119880), // Rule ID 4418 //
     /* 119836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 119854 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 119854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 119857 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119878 */     GIR_RootConstrainSelectedInstOperands,
     /* 119879 */     // GIR_Coverage, 4418,
     /* 119879 */     GIR_EraseRootFromParent_Done,
     /* 119880 */   // Label 2278: @119880
     /* 119880 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(119929), // Rule ID 4419 //
     /* 119885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 119888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 119903 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 119903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 119906 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119927 */     GIR_RootConstrainSelectedInstOperands,
     /* 119928 */     // GIR_Coverage, 4419,
     /* 119928 */     GIR_EraseRootFromParent_Done,
     /* 119929 */   // Label 2279: @119929
     /* 119929 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(119973), // Rule ID 4444 //
     /* 119934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 119952 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 119952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 119955 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119971 */     GIR_RootConstrainSelectedInstOperands,
     /* 119972 */     // GIR_Coverage, 4444,
     /* 119972 */     GIR_EraseRootFromParent_Done,
     /* 119973 */   // Label 2280: @119973
     /* 119973 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(120017), // Rule ID 4468 //
     /* 119978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 119981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119996 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 119999 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120015 */     GIR_RootConstrainSelectedInstOperands,
     /* 120016 */     // GIR_Coverage, 4468,
     /* 120016 */     GIR_EraseRootFromParent_Done,
     /* 120017 */   // Label 2281: @120017
     /* 120017 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(120037), // Rule ID 6300 //
     /* 120022 */     // MIs[0] Rn
     /* 120022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120030 */     // (st v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev16b v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 120030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev16b),
     /* 120035 */     GIR_RootConstrainSelectedInstOperands,
     /* 120036 */     // GIR_Coverage, 6300,
     /* 120036 */     GIR_Done,
     /* 120037 */   // Label 2282: @120037
     /* 120037 */   GIM_Reject,
     /* 120038 */ // Label 2277: @120038
     /* 120038 */ GIM_Reject,
     /* 120039 */ // Label 2069: @120039
     /* 120039 */ GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(120098), // Rule ID 10690 //
     /* 120044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120047 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120050 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120054 */   // MIs[0] base
     /* 120054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120062 */   // (st nxv2f16:{ *:[nxv2f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_D_IMM ZPR:{ *:[nxv2f16] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 120069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120074 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_D_IMM),
     /* 120082 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120087 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120092 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120096 */   GIR_RootConstrainSelectedInstOperands,
     /* 120097 */   // GIR_Coverage, 10690,
     /* 120097 */   GIR_EraseRootFromParent_Done,
     /* 120098 */ // Label 2283: @120098
     /* 120098 */ GIM_Reject,
     /* 120099 */ // Label 2070: @120099
     /* 120099 */ GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(120158), // Rule ID 10696 //
     /* 120104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120110 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120114 */   // MIs[0] base
     /* 120114 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120122 */   // (st nxv2f32:{ *:[nxv2f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_D_IMM ZPR:{ *:[nxv2f32] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 120129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120134 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_D_IMM),
     /* 120142 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120147 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120156 */   GIR_RootConstrainSelectedInstOperands,
     /* 120157 */   // GIR_Coverage, 10696,
     /* 120157 */   GIR_EraseRootFromParent_Done,
     /* 120158 */ // Label 2284: @120158
     /* 120158 */ GIM_Reject,
     /* 120159 */ // Label 2071: @120159
     /* 120159 */ GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(120268),
     /* 120164 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120179 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(120223), // Rule ID 10681 //
     /* 120184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120187 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2i64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 120194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120199 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 120207 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120212 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120221 */     GIR_RootConstrainSelectedInstOperands,
     /* 120222 */     // GIR_Coverage, 10681,
     /* 120222 */     GIR_EraseRootFromParent_Done,
     /* 120223 */   // Label 2286: @120223
     /* 120223 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(120267), // Rule ID 10699 //
     /* 120228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120231 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2f64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 120238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120243 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 120251 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120256 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120265 */     GIR_RootConstrainSelectedInstOperands,
     /* 120266 */     // GIR_Coverage, 10699,
     /* 120266 */     GIR_EraseRootFromParent_Done,
     /* 120267 */   // Label 2287: @120267
     /* 120267 */   GIM_Reject,
     /* 120268 */ // Label 2285: @120268
     /* 120268 */ GIM_Reject,
     /* 120269 */ // Label 2072: @120269
     /* 120269 */ GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(120328), // Rule ID 10687 //
     /* 120274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120277 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120280 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120284 */   // MIs[0] base
     /* 120284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120292 */   // (st nxv4f16:{ *:[nxv4f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_S_IMM ZPR:{ *:[nxv4f16] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 120299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120304 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_S_IMM),
     /* 120312 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120317 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120326 */   GIR_RootConstrainSelectedInstOperands,
     /* 120327 */   // GIR_Coverage, 10687,
     /* 120327 */   GIR_EraseRootFromParent_Done,
     /* 120328 */ // Label 2288: @120328
     /* 120328 */ GIM_Reject,
     /* 120329 */ // Label 2073: @120329
     /* 120329 */ GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(120438),
     /* 120334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120337 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120341 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120349 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(120393), // Rule ID 10675 //
     /* 120354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120357 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4i32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 120364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120369 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 120377 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120382 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120391 */     GIR_RootConstrainSelectedInstOperands,
     /* 120392 */     // GIR_Coverage, 10675,
     /* 120392 */     GIR_EraseRootFromParent_Done,
     /* 120393 */   // Label 2290: @120393
     /* 120393 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(120437), // Rule ID 10693 //
     /* 120398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120401 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4f32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 120408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120413 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 120421 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120426 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120435 */     GIR_RootConstrainSelectedInstOperands,
     /* 120436 */     // GIR_Coverage, 10693,
     /* 120436 */     GIR_EraseRootFromParent_Done,
     /* 120437 */   // Label 2291: @120437
     /* 120437 */   GIM_Reject,
     /* 120438 */ // Label 2289: @120438
     /* 120438 */ GIM_Reject,
     /* 120439 */ // Label 2074: @120439
     /* 120439 */ GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(120548),
     /* 120444 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120447 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120451 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120459 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(120503), // Rule ID 10666 //
     /* 120464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120467 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8i16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 120474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 120487 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120492 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120501 */     GIR_RootConstrainSelectedInstOperands,
     /* 120502 */     // GIR_Coverage, 10666,
     /* 120502 */     GIR_EraseRootFromParent_Done,
     /* 120503 */   // Label 2293: @120503
     /* 120503 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(120547), // Rule ID 10684 //
     /* 120508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120511 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8f16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 120518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120523 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 120531 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120536 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120545 */     GIR_RootConstrainSelectedInstOperands,
     /* 120546 */     // GIR_Coverage, 10684,
     /* 120546 */     GIR_EraseRootFromParent_Done,
     /* 120547 */   // Label 2294: @120547
     /* 120547 */   GIM_Reject,
     /* 120548 */ // Label 2292: @120548
     /* 120548 */ GIM_Reject,
     /* 120549 */ // Label 2075: @120549
     /* 120549 */ GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(120592), // Rule ID 2421 //
     /* 120554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120560 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 120568 */   // MIs[0] base
     /* 120568 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120576 */   // (st PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_PXI PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_PXI),
     /* 120579 */   GIR_RootToRootCopy, /*OpIdx*/0, // Val
     /* 120581 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120590 */   GIR_RootConstrainSelectedInstOperands,
     /* 120591 */   // GIR_Coverage, 2421,
     /* 120591 */   GIR_EraseRootFromParent_Done,
     /* 120592 */ // Label 2295: @120592
     /* 120592 */ GIM_Reject,
     /* 120593 */ // Label 2076: @120593
     /* 120593 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(120652), // Rule ID 10652 //
     /* 120598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 120601 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120604 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120608 */   // MIs[0] base
     /* 120608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120616 */   // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1B_IMM ZPR:{ *:[nxv16i8] }:$val, (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 120616 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 120619 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 120623 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120628 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 120631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 120633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1B_IMM),
     /* 120636 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120641 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 120643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 120646 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120650 */   GIR_RootConstrainSelectedInstOperands,
     /* 120651 */   // GIR_Coverage, 10652,
     /* 120651 */   GIR_EraseRootFromParent_Done,
     /* 120652 */ // Label 2296: @120652
     /* 120652 */ GIM_Reject,
     /* 120653 */ // Label 2077: @120653
     /* 120653 */ GIM_Reject,
     /* 120654 */ // Label 20: @120654
     /* 120654 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2299*/ GIMT_Encode4(122004),
     /* 120665 */ /*GILLT_s32*//*Label 2297*/ GIMT_Encode4(120673),
     /* 120669 */ /*GILLT_s64*//*Label 2298*/ GIMT_Encode4(121691),
     /* 120673 */ // Label 2297: @120673
     /* 120673 */ GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(121690),
     /* 120678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 120681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 120684 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(120739), // Rule ID 7198 //
     /* 120689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 120702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120706 */     // MIs[0] Rn
     /* 120706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120722 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (CASW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASW),
     /* 120725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 120727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 120729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 120731 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120737 */     GIR_RootConstrainSelectedInstOperands,
     /* 120738 */     // GIR_Coverage, 7198,
     /* 120738 */     GIR_EraseRootFromParent_Done,
     /* 120739 */   // Label 2301: @120739
     /* 120739 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(120794), // Rule ID 7199 //
     /* 120744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 120757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120761 */     // MIs[0] Rn
     /* 120761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120777 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (CASAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAW),
     /* 120780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 120782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 120784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 120786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120792 */     GIR_RootConstrainSelectedInstOperands,
     /* 120793 */     // GIR_Coverage, 7199,
     /* 120793 */     GIR_EraseRootFromParent_Done,
     /* 120794 */   // Label 2302: @120794
     /* 120794 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(120849), // Rule ID 7200 //
     /* 120799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120802 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120809 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120816 */     // MIs[0] Rn
     /* 120816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120832 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (CASLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLW),
     /* 120835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 120837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 120839 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 120841 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120847 */     GIR_RootConstrainSelectedInstOperands,
     /* 120848 */     // GIR_Coverage, 7200,
     /* 120848 */     GIR_EraseRootFromParent_Done,
     /* 120849 */   // Label 2303: @120849
     /* 120849 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(120904), // Rule ID 7201 //
     /* 120854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120857 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 120867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120871 */     // MIs[0] Rn
     /* 120871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120887 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 120890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 120892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 120894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 120896 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120902 */     GIR_RootConstrainSelectedInstOperands,
     /* 120903 */     // GIR_Coverage, 7201,
     /* 120903 */     GIR_EraseRootFromParent_Done,
     /* 120904 */   // Label 2304: @120904
     /* 120904 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(120959), // Rule ID 7202 //
     /* 120909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 120922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120926 */     // MIs[0] Rn
     /* 120926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120942 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 120945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 120947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 120949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 120951 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120957 */     GIR_RootConstrainSelectedInstOperands,
     /* 120958 */     // GIR_Coverage, 7202,
     /* 120958 */     GIR_EraseRootFromParent_Done,
     /* 120959 */   // Label 2305: @120959
     /* 120959 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(121014), // Rule ID 7203 //
     /* 120964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 120967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 120974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 120977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120981 */     // MIs[0] Rn
     /* 120981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120997 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (CASH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 120997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASH),
     /* 121000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121012 */     GIR_RootConstrainSelectedInstOperands,
     /* 121013 */     // GIR_Coverage, 7203,
     /* 121013 */     GIR_EraseRootFromParent_Done,
     /* 121014 */   // Label 2306: @121014
     /* 121014 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(121069), // Rule ID 7204 //
     /* 121019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 121032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121036 */     // MIs[0] Rn
     /* 121036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121052 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (CASAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAH),
     /* 121055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121067 */     GIR_RootConstrainSelectedInstOperands,
     /* 121068 */     // GIR_Coverage, 7204,
     /* 121068 */     GIR_EraseRootFromParent_Done,
     /* 121069 */   // Label 2307: @121069
     /* 121069 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(121124), // Rule ID 7205 //
     /* 121074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121091 */     // MIs[0] Rn
     /* 121091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121107 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (CASLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLH),
     /* 121110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121116 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121122 */     GIR_RootConstrainSelectedInstOperands,
     /* 121123 */     // GIR_Coverage, 7205,
     /* 121123 */     GIR_EraseRootFromParent_Done,
     /* 121124 */   // Label 2308: @121124
     /* 121124 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(121179), // Rule ID 7206 //
     /* 121129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 121142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121146 */     // MIs[0] Rn
     /* 121146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121162 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 121165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121177 */     GIR_RootConstrainSelectedInstOperands,
     /* 121178 */     // GIR_Coverage, 7206,
     /* 121178 */     GIR_EraseRootFromParent_Done,
     /* 121179 */   // Label 2309: @121179
     /* 121179 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(121234), // Rule ID 7207 //
     /* 121184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121187 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121194 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 121197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121201 */     // MIs[0] Rn
     /* 121201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121217 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 121220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121226 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121232 */     GIR_RootConstrainSelectedInstOperands,
     /* 121233 */     // GIR_Coverage, 7207,
     /* 121233 */     GIR_EraseRootFromParent_Done,
     /* 121234 */   // Label 2310: @121234
     /* 121234 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(121289), // Rule ID 7208 //
     /* 121239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 121252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121256 */     // MIs[0] Rn
     /* 121256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121272 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (CASB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASB),
     /* 121275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121281 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121287 */     GIR_RootConstrainSelectedInstOperands,
     /* 121288 */     // GIR_Coverage, 7208,
     /* 121288 */     GIR_EraseRootFromParent_Done,
     /* 121289 */   // Label 2311: @121289
     /* 121289 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(121344), // Rule ID 7209 //
     /* 121294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 121307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121311 */     // MIs[0] Rn
     /* 121311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121327 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (CASAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAB),
     /* 121330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121342 */     GIR_RootConstrainSelectedInstOperands,
     /* 121343 */     // GIR_Coverage, 7209,
     /* 121343 */     GIR_EraseRootFromParent_Done,
     /* 121344 */   // Label 2312: @121344
     /* 121344 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(121399), // Rule ID 7210 //
     /* 121349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121366 */     // MIs[0] Rn
     /* 121366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121382 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (CASLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLB),
     /* 121385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121391 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121397 */     GIR_RootConstrainSelectedInstOperands,
     /* 121398 */     // GIR_Coverage, 7210,
     /* 121398 */     GIR_EraseRootFromParent_Done,
     /* 121399 */   // Label 2313: @121399
     /* 121399 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(121454), // Rule ID 7211 //
     /* 121404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 121417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121421 */     // MIs[0] Rn
     /* 121421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121437 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 121440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121452 */     GIR_RootConstrainSelectedInstOperands,
     /* 121453 */     // GIR_Coverage, 7211,
     /* 121453 */     GIR_EraseRootFromParent_Done,
     /* 121454 */   // Label 2314: @121454
     /* 121454 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(121509), // Rule ID 7212 //
     /* 121459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 121472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121476 */     // MIs[0] Rn
     /* 121476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121492 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 121495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121501 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121507 */     GIR_RootConstrainSelectedInstOperands,
     /* 121508 */     // GIR_Coverage, 7212,
     /* 121508 */     GIR_EraseRootFromParent_Done,
     /* 121509 */   // Label 2315: @121509
     /* 121509 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(121569), // Rule ID 12818 //
     /* 121514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 121517 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121528 */     // MIs[0] addr
     /* 121528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121544 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>>  =>  (CMP_SWAP_8:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 121544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_8),
     /* 121550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 121552 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 121557 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 121559 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 121561 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 121563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121567 */     GIR_RootConstrainSelectedInstOperands,
     /* 121568 */     // GIR_Coverage, 12818,
     /* 121568 */     GIR_EraseRootFromParent_Done,
     /* 121569 */   // Label 2316: @121569
     /* 121569 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(121629), // Rule ID 12819 //
     /* 121574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 121577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121588 */     // MIs[0] addr
     /* 121588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121604 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>>  =>  (CMP_SWAP_16:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 121604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_16),
     /* 121610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 121612 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 121617 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 121619 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 121621 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 121623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121627 */     GIR_RootConstrainSelectedInstOperands,
     /* 121628 */     // GIR_Coverage, 12819,
     /* 121628 */     GIR_EraseRootFromParent_Done,
     /* 121629 */   // Label 2317: @121629
     /* 121629 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(121689), // Rule ID 12820 //
     /* 121634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 121637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 121644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121648 */     // MIs[0] addr
     /* 121648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121664 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>>  =>  (CMP_SWAP_32:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 121664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_32),
     /* 121670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 121672 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 121677 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 121679 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 121681 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 121683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121687 */     GIR_RootConstrainSelectedInstOperands,
     /* 121688 */     // GIR_Coverage, 12820,
     /* 121688 */     GIR_EraseRootFromParent_Done,
     /* 121689 */   // Label 2318: @121689
     /* 121689 */   GIM_Reject,
     /* 121690 */ // Label 2300: @121690
     /* 121690 */ GIM_Reject,
     /* 121691 */ // Label 2298: @121691
     /* 121691 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(122003),
     /* 121696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 121699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 121702 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121709 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(121757), // Rule ID 2575 //
     /* 121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 121720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121724 */     // MIs[0] Rn
     /* 121724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121740 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (CASX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASX),
     /* 121743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121755 */     GIR_RootConstrainSelectedInstOperands,
     /* 121756 */     // GIR_Coverage, 2575,
     /* 121756 */     GIR_EraseRootFromParent_Done,
     /* 121757 */   // Label 2320: @121757
     /* 121757 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(121805), // Rule ID 2576 //
     /* 121762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 121768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121772 */     // MIs[0] Rn
     /* 121772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121788 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (CASAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAX),
     /* 121791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121795 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121797 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121803 */     GIR_RootConstrainSelectedInstOperands,
     /* 121804 */     // GIR_Coverage, 2576,
     /* 121804 */     GIR_EraseRootFromParent_Done,
     /* 121805 */   // Label 2321: @121805
     /* 121805 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(121853), // Rule ID 2577 //
     /* 121810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121820 */     // MIs[0] Rn
     /* 121820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121836 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (CASLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLX),
     /* 121839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121851 */     GIR_RootConstrainSelectedInstOperands,
     /* 121852 */     // GIR_Coverage, 2577,
     /* 121852 */     GIR_EraseRootFromParent_Done,
     /* 121853 */   // Label 2322: @121853
     /* 121853 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(121901), // Rule ID 2578 //
     /* 121858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 121864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121868 */     // MIs[0] Rn
     /* 121868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121884 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 121887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121893 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121899 */     GIR_RootConstrainSelectedInstOperands,
     /* 121900 */     // GIR_Coverage, 2578,
     /* 121900 */     GIR_EraseRootFromParent_Done,
     /* 121901 */   // Label 2323: @121901
     /* 121901 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(121949), // Rule ID 2579 //
     /* 121906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 121909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 121912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121916 */     // MIs[0] Rn
     /* 121916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121932 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 121932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 121935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 121937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 121939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 121941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121947 */     GIR_RootConstrainSelectedInstOperands,
     /* 121948 */     // GIR_Coverage, 2579,
     /* 121948 */     GIR_EraseRootFromParent_Done,
     /* 121949 */   // Label 2324: @121949
     /* 121949 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(122002), // Rule ID 12821 //
     /* 121954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 121957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121961 */     // MIs[0] addr
     /* 121961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121977 */     // (atomic_cmp_swap:{ *:[i64] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>>  =>  (CMP_SWAP_64:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)
     /* 121977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_64),
     /* 121983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 121985 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 121990 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 121992 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 121994 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 121996 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122000 */     GIR_RootConstrainSelectedInstOperands,
     /* 122001 */     // GIR_Coverage, 12821,
     /* 122001 */     GIR_EraseRootFromParent_Done,
     /* 122002 */   // Label 2325: @122002
     /* 122002 */   GIM_Reject,
     /* 122003 */ // Label 2319: @122003
     /* 122003 */ GIM_Reject,
     /* 122004 */ // Label 2299: @122004
     /* 122004 */ GIM_Reject,
     /* 122005 */ // Label 21: @122005
     /* 122005 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2328*/ GIMT_Encode4(122996),
     /* 122016 */ /*GILLT_s32*//*Label 2326*/ GIMT_Encode4(122024),
     /* 122020 */ /*GILLT_s64*//*Label 2327*/ GIMT_Encode4(122769),
     /* 122024 */ // Label 2326: @122024
     /* 122024 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(122768),
     /* 122029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 122032 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(122081), // Rule ID 7183 //
     /* 122037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 122047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 122050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122054 */     // MIs[0] Rn
     /* 122054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122066 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (SWPW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPW),
     /* 122069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122073 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122079 */     GIR_RootConstrainSelectedInstOperands,
     /* 122080 */     // GIR_Coverage, 7183,
     /* 122080 */     GIR_EraseRootFromParent_Done,
     /* 122081 */   // Label 2330: @122081
     /* 122081 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(122130), // Rule ID 7184 //
     /* 122086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 122096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 122099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122103 */     // MIs[0] Rn
     /* 122103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122115 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (SWPAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAW),
     /* 122118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122122 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122128 */     GIR_RootConstrainSelectedInstOperands,
     /* 122129 */     // GIR_Coverage, 7184,
     /* 122129 */     GIR_EraseRootFromParent_Done,
     /* 122130 */   // Label 2331: @122130
     /* 122130 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(122179), // Rule ID 7185 //
     /* 122135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 122145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122152 */     // MIs[0] Rn
     /* 122152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122164 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (SWPLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLW),
     /* 122167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122177 */     GIR_RootConstrainSelectedInstOperands,
     /* 122178 */     // GIR_Coverage, 7185,
     /* 122178 */     GIR_EraseRootFromParent_Done,
     /* 122179 */   // Label 2332: @122179
     /* 122179 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(122228), // Rule ID 7186 //
     /* 122184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122187 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 122194 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 122197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122201 */     // MIs[0] Rn
     /* 122201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122213 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 122216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122220 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122226 */     GIR_RootConstrainSelectedInstOperands,
     /* 122227 */     // GIR_Coverage, 7186,
     /* 122227 */     GIR_EraseRootFromParent_Done,
     /* 122228 */   // Label 2333: @122228
     /* 122228 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(122277), // Rule ID 7187 //
     /* 122233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 122243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 122246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122250 */     // MIs[0] Rn
     /* 122250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122262 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 122265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122275 */     GIR_RootConstrainSelectedInstOperands,
     /* 122276 */     // GIR_Coverage, 7187,
     /* 122276 */     GIR_EraseRootFromParent_Done,
     /* 122277 */   // Label 2334: @122277
     /* 122277 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(122326), // Rule ID 7188 //
     /* 122282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 122295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122299 */     // MIs[0] Rn
     /* 122299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122311 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (SWPH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPH),
     /* 122314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122318 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122324 */     GIR_RootConstrainSelectedInstOperands,
     /* 122325 */     // GIR_Coverage, 7188,
     /* 122325 */     GIR_EraseRootFromParent_Done,
     /* 122326 */   // Label 2335: @122326
     /* 122326 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(122375), // Rule ID 7189 //
     /* 122331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 122344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122348 */     // MIs[0] Rn
     /* 122348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122360 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (SWPAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAH),
     /* 122363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122367 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122373 */     GIR_RootConstrainSelectedInstOperands,
     /* 122374 */     // GIR_Coverage, 7189,
     /* 122374 */     GIR_EraseRootFromParent_Done,
     /* 122375 */   // Label 2336: @122375
     /* 122375 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(122424), // Rule ID 7190 //
     /* 122380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122397 */     // MIs[0] Rn
     /* 122397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122409 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (SWPLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLH),
     /* 122412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122416 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122422 */     GIR_RootConstrainSelectedInstOperands,
     /* 122423 */     // GIR_Coverage, 7190,
     /* 122423 */     GIR_EraseRootFromParent_Done,
     /* 122424 */   // Label 2337: @122424
     /* 122424 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(122473), // Rule ID 7191 //
     /* 122429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 122442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122446 */     // MIs[0] Rn
     /* 122446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122458 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 122461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122465 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122471 */     GIR_RootConstrainSelectedInstOperands,
     /* 122472 */     // GIR_Coverage, 7191,
     /* 122472 */     GIR_EraseRootFromParent_Done,
     /* 122473 */   // Label 2338: @122473
     /* 122473 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(122522), // Rule ID 7192 //
     /* 122478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 122488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 122491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122495 */     // MIs[0] Rn
     /* 122495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122507 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 122510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122520 */     GIR_RootConstrainSelectedInstOperands,
     /* 122521 */     // GIR_Coverage, 7192,
     /* 122521 */     GIR_EraseRootFromParent_Done,
     /* 122522 */   // Label 2339: @122522
     /* 122522 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(122571), // Rule ID 7193 //
     /* 122527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 122540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122544 */     // MIs[0] Rn
     /* 122544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122556 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (SWPB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPB),
     /* 122559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122563 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122569 */     GIR_RootConstrainSelectedInstOperands,
     /* 122570 */     // GIR_Coverage, 7193,
     /* 122570 */     GIR_EraseRootFromParent_Done,
     /* 122571 */   // Label 2340: @122571
     /* 122571 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(122620), // Rule ID 7194 //
     /* 122576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 122589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122593 */     // MIs[0] Rn
     /* 122593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122605 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (SWPAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAB),
     /* 122608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122612 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122618 */     GIR_RootConstrainSelectedInstOperands,
     /* 122619 */     // GIR_Coverage, 7194,
     /* 122619 */     GIR_EraseRootFromParent_Done,
     /* 122620 */   // Label 2341: @122620
     /* 122620 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(122669), // Rule ID 7195 //
     /* 122625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122642 */     // MIs[0] Rn
     /* 122642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122654 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (SWPLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLB),
     /* 122657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122667 */     GIR_RootConstrainSelectedInstOperands,
     /* 122668 */     // GIR_Coverage, 7195,
     /* 122668 */     GIR_EraseRootFromParent_Done,
     /* 122669 */   // Label 2342: @122669
     /* 122669 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(122718), // Rule ID 7196 //
     /* 122674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 122687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122691 */     // MIs[0] Rn
     /* 122691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122703 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 122706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122710 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122716 */     GIR_RootConstrainSelectedInstOperands,
     /* 122717 */     // GIR_Coverage, 7196,
     /* 122717 */     GIR_EraseRootFromParent_Done,
     /* 122718 */   // Label 2343: @122718
     /* 122718 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(122767), // Rule ID 7197 //
     /* 122723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 122733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 122736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122740 */     // MIs[0] Rn
     /* 122740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 122752 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 122755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122759 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122765 */     GIR_RootConstrainSelectedInstOperands,
     /* 122766 */     // GIR_Coverage, 7197,
     /* 122766 */     GIR_EraseRootFromParent_Done,
     /* 122767 */   // Label 2344: @122767
     /* 122767 */   GIM_Reject,
     /* 122768 */ // Label 2329: @122768
     /* 122768 */ GIM_Reject,
     /* 122769 */ // Label 2327: @122769
     /* 122769 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(122995),
     /* 122774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 122777 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122784 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(122826), // Rule ID 7178 //
     /* 122789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 122795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122799 */     // MIs[0] Rn
     /* 122799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122811 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (SWPX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPX),
     /* 122814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122818 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122824 */     GIR_RootConstrainSelectedInstOperands,
     /* 122825 */     // GIR_Coverage, 7178,
     /* 122825 */     GIR_EraseRootFromParent_Done,
     /* 122826 */   // Label 2346: @122826
     /* 122826 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(122868), // Rule ID 7179 //
     /* 122831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 122837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122841 */     // MIs[0] Rn
     /* 122841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122853 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (SWPAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAX),
     /* 122856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122860 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122866 */     GIR_RootConstrainSelectedInstOperands,
     /* 122867 */     // GIR_Coverage, 7179,
     /* 122867 */     GIR_EraseRootFromParent_Done,
     /* 122868 */   // Label 2347: @122868
     /* 122868 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(122910), // Rule ID 7180 //
     /* 122873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122883 */     // MIs[0] Rn
     /* 122883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122895 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (SWPLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLX),
     /* 122898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122902 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122908 */     GIR_RootConstrainSelectedInstOperands,
     /* 122909 */     // GIR_Coverage, 7180,
     /* 122909 */     GIR_EraseRootFromParent_Done,
     /* 122910 */   // Label 2348: @122910
     /* 122910 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(122952), // Rule ID 7181 //
     /* 122915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 122921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122925 */     // MIs[0] Rn
     /* 122925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122937 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 122940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122944 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122950 */     GIR_RootConstrainSelectedInstOperands,
     /* 122951 */     // GIR_Coverage, 7181,
     /* 122951 */     GIR_EraseRootFromParent_Done,
     /* 122952 */   // Label 2349: @122952
     /* 122952 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(122994), // Rule ID 7182 //
     /* 122957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 122960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 122963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122967 */     // MIs[0] Rn
     /* 122967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122979 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 122979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 122982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 122984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 122986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122992 */     GIR_RootConstrainSelectedInstOperands,
     /* 122993 */     // GIR_Coverage, 7182,
     /* 122993 */     GIR_EraseRootFromParent_Done,
     /* 122994 */   // Label 2350: @122994
     /* 122994 */   GIM_Reject,
     /* 122995 */ // Label 2345: @122995
     /* 122995 */ GIM_Reject,
     /* 122996 */ // Label 2328: @122996
     /* 122996 */ GIM_Reject,
     /* 122997 */ // Label 22: @122997
     /* 122997 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2353*/ GIMT_Encode4(123988),
     /* 123008 */ /*GILLT_s32*//*Label 2351*/ GIMT_Encode4(123016),
     /* 123012 */ /*GILLT_s64*//*Label 2352*/ GIMT_Encode4(123761),
     /* 123016 */ // Label 2351: @123016
     /* 123016 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(123760),
     /* 123021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 123024 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(123073), // Rule ID 7023 //
     /* 123029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 123039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 123042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123046 */     // MIs[0] Rn
     /* 123046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123058 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 123061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123065 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123071 */     GIR_RootConstrainSelectedInstOperands,
     /* 123072 */     // GIR_Coverage, 7023,
     /* 123072 */     GIR_EraseRootFromParent_Done,
     /* 123073 */   // Label 2355: @123073
     /* 123073 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(123122), // Rule ID 7024 //
     /* 123078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 123088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 123091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123095 */     // MIs[0] Rn
     /* 123095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123107 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 123110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123120 */     GIR_RootConstrainSelectedInstOperands,
     /* 123121 */     // GIR_Coverage, 7024,
     /* 123121 */     GIR_EraseRootFromParent_Done,
     /* 123122 */   // Label 2356: @123122
     /* 123122 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(123171), // Rule ID 7025 //
     /* 123127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 123137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 123140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123144 */     // MIs[0] Rn
     /* 123144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123156 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (LDADDLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 123159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123163 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123169 */     GIR_RootConstrainSelectedInstOperands,
     /* 123170 */     // GIR_Coverage, 7025,
     /* 123170 */     GIR_EraseRootFromParent_Done,
     /* 123171 */   // Label 2357: @123171
     /* 123171 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(123220), // Rule ID 7026 //
     /* 123176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 123186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 123189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123193 */     // MIs[0] Rn
     /* 123193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123205 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 123208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123218 */     GIR_RootConstrainSelectedInstOperands,
     /* 123219 */     // GIR_Coverage, 7026,
     /* 123219 */     GIR_EraseRootFromParent_Done,
     /* 123220 */   // Label 2358: @123220
     /* 123220 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(123269), // Rule ID 7027 //
     /* 123225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 123235 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 123238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123242 */     // MIs[0] Rn
     /* 123242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123254 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 123257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123261 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123263 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123267 */     GIR_RootConstrainSelectedInstOperands,
     /* 123268 */     // GIR_Coverage, 7027,
     /* 123268 */     GIR_EraseRootFromParent_Done,
     /* 123269 */   // Label 2359: @123269
     /* 123269 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(123318), // Rule ID 7028 //
     /* 123274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123277 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 123284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 123287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123291 */     // MIs[0] Rn
     /* 123291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123303 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 123306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123310 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123316 */     GIR_RootConstrainSelectedInstOperands,
     /* 123317 */     // GIR_Coverage, 7028,
     /* 123317 */     GIR_EraseRootFromParent_Done,
     /* 123318 */   // Label 2360: @123318
     /* 123318 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(123367), // Rule ID 7029 //
     /* 123323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 123333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 123336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123340 */     // MIs[0] Rn
     /* 123340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123352 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 123355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123359 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123365 */     GIR_RootConstrainSelectedInstOperands,
     /* 123366 */     // GIR_Coverage, 7029,
     /* 123366 */     GIR_EraseRootFromParent_Done,
     /* 123367 */   // Label 2361: @123367
     /* 123367 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(123416), // Rule ID 7030 //
     /* 123372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 123382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 123385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123389 */     // MIs[0] Rn
     /* 123389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123401 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (LDADDLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 123404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123408 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123414 */     GIR_RootConstrainSelectedInstOperands,
     /* 123415 */     // GIR_Coverage, 7030,
     /* 123415 */     GIR_EraseRootFromParent_Done,
     /* 123416 */   // Label 2362: @123416
     /* 123416 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(123465), // Rule ID 7031 //
     /* 123421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 123431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 123434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123438 */     // MIs[0] Rn
     /* 123438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123450 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 123453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123457 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123463 */     GIR_RootConstrainSelectedInstOperands,
     /* 123464 */     // GIR_Coverage, 7031,
     /* 123464 */     GIR_EraseRootFromParent_Done,
     /* 123465 */   // Label 2363: @123465
     /* 123465 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(123514), // Rule ID 7032 //
     /* 123470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 123480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 123483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123487 */     // MIs[0] Rn
     /* 123487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123499 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 123502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123512 */     GIR_RootConstrainSelectedInstOperands,
     /* 123513 */     // GIR_Coverage, 7032,
     /* 123513 */     GIR_EraseRootFromParent_Done,
     /* 123514 */   // Label 2364: @123514
     /* 123514 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(123563), // Rule ID 7033 //
     /* 123519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 123529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 123532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123536 */     // MIs[0] Rn
     /* 123536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123548 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 123551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123555 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123561 */     GIR_RootConstrainSelectedInstOperands,
     /* 123562 */     // GIR_Coverage, 7033,
     /* 123562 */     GIR_EraseRootFromParent_Done,
     /* 123563 */   // Label 2365: @123563
     /* 123563 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(123612), // Rule ID 7034 //
     /* 123568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 123578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 123581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123585 */     // MIs[0] Rn
     /* 123585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123597 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 123600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123610 */     GIR_RootConstrainSelectedInstOperands,
     /* 123611 */     // GIR_Coverage, 7034,
     /* 123611 */     GIR_EraseRootFromParent_Done,
     /* 123612 */   // Label 2366: @123612
     /* 123612 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(123661), // Rule ID 7035 //
     /* 123617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 123627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 123630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123634 */     // MIs[0] Rn
     /* 123634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123646 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (LDADDLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 123649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123653 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123659 */     GIR_RootConstrainSelectedInstOperands,
     /* 123660 */     // GIR_Coverage, 7035,
     /* 123660 */     GIR_EraseRootFromParent_Done,
     /* 123661 */   // Label 2367: @123661
     /* 123661 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(123710), // Rule ID 7036 //
     /* 123666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 123676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 123679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123683 */     // MIs[0] Rn
     /* 123683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123695 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 123698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123702 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123708 */     GIR_RootConstrainSelectedInstOperands,
     /* 123709 */     // GIR_Coverage, 7036,
     /* 123709 */     GIR_EraseRootFromParent_Done,
     /* 123710 */   // Label 2368: @123710
     /* 123710 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(123759), // Rule ID 7037 //
     /* 123715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 123725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 123728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123732 */     // MIs[0] Rn
     /* 123732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 123744 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 123747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123751 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123757 */     GIR_RootConstrainSelectedInstOperands,
     /* 123758 */     // GIR_Coverage, 7037,
     /* 123758 */     GIR_EraseRootFromParent_Done,
     /* 123759 */   // Label 2369: @123759
     /* 123759 */   GIM_Reject,
     /* 123760 */ // Label 2354: @123760
     /* 123760 */ GIM_Reject,
     /* 123761 */ // Label 2352: @123761
     /* 123761 */ GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(123987),
     /* 123766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 123769 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 123776 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(123818), // Rule ID 2570 //
     /* 123781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 123787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123791 */     // MIs[0] Rn
     /* 123791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123803 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 123806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123816 */     GIR_RootConstrainSelectedInstOperands,
     /* 123817 */     // GIR_Coverage, 2570,
     /* 123817 */     GIR_EraseRootFromParent_Done,
     /* 123818 */   // Label 2371: @123818
     /* 123818 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(123860), // Rule ID 2571 //
     /* 123823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 123829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123833 */     // MIs[0] Rn
     /* 123833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123845 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 123848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123852 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123858 */     GIR_RootConstrainSelectedInstOperands,
     /* 123859 */     // GIR_Coverage, 2571,
     /* 123859 */     GIR_EraseRootFromParent_Done,
     /* 123860 */   // Label 2372: @123860
     /* 123860 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(123902), // Rule ID 2572 //
     /* 123865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 123871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123875 */     // MIs[0] Rn
     /* 123875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123887 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (LDADDLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 123890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123894 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123900 */     GIR_RootConstrainSelectedInstOperands,
     /* 123901 */     // GIR_Coverage, 2572,
     /* 123901 */     GIR_EraseRootFromParent_Done,
     /* 123902 */   // Label 2373: @123902
     /* 123902 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(123944), // Rule ID 2573 //
     /* 123907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 123913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123917 */     // MIs[0] Rn
     /* 123917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123929 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 123932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123936 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123942 */     GIR_RootConstrainSelectedInstOperands,
     /* 123943 */     // GIR_Coverage, 2573,
     /* 123943 */     GIR_EraseRootFromParent_Done,
     /* 123944 */   // Label 2374: @123944
     /* 123944 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(123986), // Rule ID 2574 //
     /* 123949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 123952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 123955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123959 */     // MIs[0] Rn
     /* 123959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 123971 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 123971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 123974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 123976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 123978 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 123980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123984 */     GIR_RootConstrainSelectedInstOperands,
     /* 123985 */     // GIR_Coverage, 2574,
     /* 123985 */     GIR_EraseRootFromParent_Done,
     /* 123986 */   // Label 2375: @123986
     /* 123986 */   GIM_Reject,
     /* 123987 */ // Label 2370: @123987
     /* 123987 */ GIM_Reject,
     /* 123988 */ // Label 2353: @123988
     /* 123988 */ GIM_Reject,
     /* 123989 */ // Label 23: @123989
     /* 123989 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2378*/ GIMT_Encode4(125480),
     /* 124000 */ /*GILLT_s32*//*Label 2376*/ GIMT_Encode4(124008),
     /* 124004 */ /*GILLT_s64*//*Label 2377*/ GIMT_Encode4(125128),
     /* 124008 */ // Label 2376: @124008
     /* 124008 */ GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(125127),
     /* 124013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 124016 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(124090), // Rule ID 7218 //
     /* 124021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 124031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 124034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124038 */     // MIs[0] Rn
     /* 124038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124050 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 124077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124088 */     GIR_RootConstrainSelectedInstOperands,
     /* 124089 */     // GIR_Coverage, 7218,
     /* 124089 */     GIR_EraseRootFromParent_Done,
     /* 124090 */   // Label 2380: @124090
     /* 124090 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(124164), // Rule ID 7219 //
     /* 124095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 124105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 124108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124112 */     // MIs[0] Rn
     /* 124112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124124 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124136 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 124151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124156 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124162 */     GIR_RootConstrainSelectedInstOperands,
     /* 124163 */     // GIR_Coverage, 7219,
     /* 124163 */     GIR_EraseRootFromParent_Done,
     /* 124164 */   // Label 2381: @124164
     /* 124164 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(124238), // Rule ID 7220 //
     /* 124169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 124179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 124182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124186 */     // MIs[0] Rn
     /* 124186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124198 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_release>>  =>  (LDADDLW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 124225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124236 */     GIR_RootConstrainSelectedInstOperands,
     /* 124237 */     // GIR_Coverage, 7220,
     /* 124237 */     GIR_EraseRootFromParent_Done,
     /* 124238 */   // Label 2382: @124238
     /* 124238 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(124312), // Rule ID 7221 //
     /* 124243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 124253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 124256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124260 */     // MIs[0] Rn
     /* 124260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124272 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 124299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124304 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124310 */     GIR_RootConstrainSelectedInstOperands,
     /* 124311 */     // GIR_Coverage, 7221,
     /* 124311 */     GIR_EraseRootFromParent_Done,
     /* 124312 */   // Label 2383: @124312
     /* 124312 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(124386), // Rule ID 7222 //
     /* 124317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 124327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 124330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124334 */     // MIs[0] Rn
     /* 124334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124346 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 124373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124384 */     GIR_RootConstrainSelectedInstOperands,
     /* 124385 */     // GIR_Coverage, 7222,
     /* 124385 */     GIR_EraseRootFromParent_Done,
     /* 124386 */   // Label 2384: @124386
     /* 124386 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(124460), // Rule ID 7223 //
     /* 124391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 124401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 124404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124408 */     // MIs[0] Rn
     /* 124408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124420 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 124447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124452 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124458 */     GIR_RootConstrainSelectedInstOperands,
     /* 124459 */     // GIR_Coverage, 7223,
     /* 124459 */     GIR_EraseRootFromParent_Done,
     /* 124460 */   // Label 2385: @124460
     /* 124460 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(124534), // Rule ID 7224 //
     /* 124465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 124475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 124478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124482 */     // MIs[0] Rn
     /* 124482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124494 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 124521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124526 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124532 */     GIR_RootConstrainSelectedInstOperands,
     /* 124533 */     // GIR_Coverage, 7224,
     /* 124533 */     GIR_EraseRootFromParent_Done,
     /* 124534 */   // Label 2386: @124534
     /* 124534 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(124608), // Rule ID 7225 //
     /* 124539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 124549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 124552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124556 */     // MIs[0] Rn
     /* 124556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124568 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_release>>  =>  (LDADDLH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 124595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124600 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124606 */     GIR_RootConstrainSelectedInstOperands,
     /* 124607 */     // GIR_Coverage, 7225,
     /* 124607 */     GIR_EraseRootFromParent_Done,
     /* 124608 */   // Label 2387: @124608
     /* 124608 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(124682), // Rule ID 7226 //
     /* 124613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 124623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 124626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124630 */     // MIs[0] Rn
     /* 124630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124642 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 124669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124674 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124680 */     GIR_RootConstrainSelectedInstOperands,
     /* 124681 */     // GIR_Coverage, 7226,
     /* 124681 */     GIR_EraseRootFromParent_Done,
     /* 124682 */   // Label 2388: @124682
     /* 124682 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(124756), // Rule ID 7227 //
     /* 124687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 124697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 124700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124704 */     // MIs[0] Rn
     /* 124704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124716 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 124743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124754 */     GIR_RootConstrainSelectedInstOperands,
     /* 124755 */     // GIR_Coverage, 7227,
     /* 124755 */     GIR_EraseRootFromParent_Done,
     /* 124756 */   // Label 2389: @124756
     /* 124756 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(124830), // Rule ID 7228 //
     /* 124761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 124771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 124774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124778 */     // MIs[0] Rn
     /* 124778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124790 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 124817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124828 */     GIR_RootConstrainSelectedInstOperands,
     /* 124829 */     // GIR_Coverage, 7228,
     /* 124829 */     GIR_EraseRootFromParent_Done,
     /* 124830 */   // Label 2390: @124830
     /* 124830 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(124904), // Rule ID 7229 //
     /* 124835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 124845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 124848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124852 */     // MIs[0] Rn
     /* 124852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124864 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 124891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124896 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124902 */     GIR_RootConstrainSelectedInstOperands,
     /* 124903 */     // GIR_Coverage, 7229,
     /* 124903 */     GIR_EraseRootFromParent_Done,
     /* 124904 */   // Label 2391: @124904
     /* 124904 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(124978), // Rule ID 7230 //
     /* 124909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 124919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 124922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124926 */     // MIs[0] Rn
     /* 124926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 124938 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_release>>  =>  (LDADDLB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 124938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 124941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 124945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124950 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 124956 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 124960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 124965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 124967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 124972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124976 */     GIR_RootConstrainSelectedInstOperands,
     /* 124977 */     // GIR_Coverage, 7230,
     /* 124977 */     GIR_EraseRootFromParent_Done,
     /* 124978 */   // Label 2392: @124978
     /* 124978 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(125052), // Rule ID 7231 //
     /* 124983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 124986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 124993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 124996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125000 */     // MIs[0] Rn
     /* 125000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125012 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 125019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 125039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125044 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125050 */     GIR_RootConstrainSelectedInstOperands,
     /* 125051 */     // GIR_Coverage, 7231,
     /* 125051 */     GIR_EraseRootFromParent_Done,
     /* 125052 */   // Label 2393: @125052
     /* 125052 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(125126), // Rule ID 7232 //
     /* 125057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125074 */     // MIs[0] Rn
     /* 125074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125086 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 125093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 125113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125118 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125124 */     GIR_RootConstrainSelectedInstOperands,
     /* 125125 */     // GIR_Coverage, 7232,
     /* 125125 */     GIR_EraseRootFromParent_Done,
     /* 125126 */   // Label 2394: @125126
     /* 125126 */   GIM_Reject,
     /* 125127 */ // Label 2379: @125127
     /* 125127 */ GIM_Reject,
     /* 125128 */ // Label 2377: @125128
     /* 125128 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(125479),
     /* 125133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 125136 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 125143 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(125210), // Rule ID 7213 //
     /* 125148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125158 */     // MIs[0] Rn
     /* 125158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125170 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 125173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 125177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 125197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125202 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125208 */     GIR_RootConstrainSelectedInstOperands,
     /* 125209 */     // GIR_Coverage, 7213,
     /* 125209 */     GIR_EraseRootFromParent_Done,
     /* 125210 */   // Label 2396: @125210
     /* 125210 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(125277), // Rule ID 7214 //
     /* 125215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125225 */     // MIs[0] Rn
     /* 125225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125237 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 125240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 125244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 125264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125275 */     GIR_RootConstrainSelectedInstOperands,
     /* 125276 */     // GIR_Coverage, 7214,
     /* 125276 */     GIR_EraseRootFromParent_Done,
     /* 125277 */   // Label 2397: @125277
     /* 125277 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(125344), // Rule ID 7215 //
     /* 125282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125292 */     // MIs[0] Rn
     /* 125292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125304 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_release>>  =>  (LDADDLX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 125307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 125311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125316 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 125331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125342 */     GIR_RootConstrainSelectedInstOperands,
     /* 125343 */     // GIR_Coverage, 7215,
     /* 125343 */     GIR_EraseRootFromParent_Done,
     /* 125344 */   // Label 2398: @125344
     /* 125344 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(125411), // Rule ID 7216 //
     /* 125349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125352 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 125355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125359 */     // MIs[0] Rn
     /* 125359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125371 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 125374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 125378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 125398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125409 */     GIR_RootConstrainSelectedInstOperands,
     /* 125410 */     // GIR_Coverage, 7216,
     /* 125410 */     GIR_EraseRootFromParent_Done,
     /* 125411 */   // Label 2399: @125411
     /* 125411 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(125478), // Rule ID 7217 //
     /* 125416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125426 */     // MIs[0] Rn
     /* 125426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125438 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 125441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 125445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125450 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 125465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125476 */     GIR_RootConstrainSelectedInstOperands,
     /* 125477 */     // GIR_Coverage, 7217,
     /* 125477 */     GIR_EraseRootFromParent_Done,
     /* 125478 */   // Label 2400: @125478
     /* 125478 */   GIM_Reject,
     /* 125479 */ // Label 2395: @125479
     /* 125479 */ GIM_Reject,
     /* 125480 */ // Label 2378: @125480
     /* 125480 */ GIM_Reject,
     /* 125481 */ // Label 24: @125481
     /* 125481 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2403*/ GIMT_Encode4(126972),
     /* 125492 */ /*GILLT_s32*//*Label 2401*/ GIMT_Encode4(125500),
     /* 125496 */ /*GILLT_s64*//*Label 2402*/ GIMT_Encode4(126620),
     /* 125500 */ // Label 2401: @125500
     /* 125500 */ GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(126619),
     /* 125505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 125508 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(125582), // Rule ID 7238 //
     /* 125513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125530 */     // MIs[0] Rn
     /* 125530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125542 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (LDCLRW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRW),
     /* 125569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125574 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125580 */     GIR_RootConstrainSelectedInstOperands,
     /* 125581 */     // GIR_Coverage, 7238,
     /* 125581 */     GIR_EraseRootFromParent_Done,
     /* 125582 */   // Label 2405: @125582
     /* 125582 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(125656), // Rule ID 7239 //
     /* 125587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125604 */     // MIs[0] Rn
     /* 125604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125616 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (LDCLRAW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAW),
     /* 125643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125648 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125654 */     GIR_RootConstrainSelectedInstOperands,
     /* 125655 */     // GIR_Coverage, 7239,
     /* 125655 */     GIR_EraseRootFromParent_Done,
     /* 125656 */   // Label 2406: @125656
     /* 125656 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(125730), // Rule ID 7240 //
     /* 125661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125678 */     // MIs[0] Rn
     /* 125678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125690 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (LDCLRLW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLW),
     /* 125717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125722 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125728 */     GIR_RootConstrainSelectedInstOperands,
     /* 125729 */     // GIR_Coverage, 7240,
     /* 125729 */     GIR_EraseRootFromParent_Done,
     /* 125730 */   // Label 2407: @125730
     /* 125730 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(125804), // Rule ID 7241 //
     /* 125735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 125748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125752 */     // MIs[0] Rn
     /* 125752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125764 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125776 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125782 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 125791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125802 */     GIR_RootConstrainSelectedInstOperands,
     /* 125803 */     // GIR_Coverage, 7241,
     /* 125803 */     GIR_EraseRootFromParent_Done,
     /* 125804 */   // Label 2408: @125804
     /* 125804 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(125878), // Rule ID 7242 //
     /* 125809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125826 */     // MIs[0] Rn
     /* 125826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125838 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 125865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125876 */     GIR_RootConstrainSelectedInstOperands,
     /* 125877 */     // GIR_Coverage, 7242,
     /* 125877 */     GIR_EraseRootFromParent_Done,
     /* 125878 */   // Label 2409: @125878
     /* 125878 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(125952), // Rule ID 7243 //
     /* 125883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125900 */     // MIs[0] Rn
     /* 125900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125912 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (LDCLRH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125924 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 125930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 125934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRH),
     /* 125939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 125941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125944 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125950 */     GIR_RootConstrainSelectedInstOperands,
     /* 125951 */     // GIR_Coverage, 7243,
     /* 125951 */     GIR_EraseRootFromParent_Done,
     /* 125952 */   // Label 2410: @125952
     /* 125952 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(126026), // Rule ID 7244 //
     /* 125957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125974 */     // MIs[0] Rn
     /* 125974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125986 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (LDCLRAH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 125986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 125993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAH),
     /* 126013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126018 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126024 */     GIR_RootConstrainSelectedInstOperands,
     /* 126025 */     // GIR_Coverage, 7244,
     /* 126025 */     GIR_EraseRootFromParent_Done,
     /* 126026 */   // Label 2411: @126026
     /* 126026 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(126100), // Rule ID 7245 //
     /* 126031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126048 */     // MIs[0] Rn
     /* 126048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126060 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (LDCLRLH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLH),
     /* 126087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126092 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126098 */     GIR_RootConstrainSelectedInstOperands,
     /* 126099 */     // GIR_Coverage, 7245,
     /* 126099 */     GIR_EraseRootFromParent_Done,
     /* 126100 */   // Label 2412: @126100
     /* 126100 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(126174), // Rule ID 7246 //
     /* 126105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126122 */     // MIs[0] Rn
     /* 126122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126134 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126146 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126152 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 126161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126172 */     GIR_RootConstrainSelectedInstOperands,
     /* 126173 */     // GIR_Coverage, 7246,
     /* 126173 */     GIR_EraseRootFromParent_Done,
     /* 126174 */   // Label 2413: @126174
     /* 126174 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(126248), // Rule ID 7247 //
     /* 126179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126196 */     // MIs[0] Rn
     /* 126196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126208 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126220 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 126235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126246 */     GIR_RootConstrainSelectedInstOperands,
     /* 126247 */     // GIR_Coverage, 7247,
     /* 126247 */     GIR_EraseRootFromParent_Done,
     /* 126248 */   // Label 2414: @126248
     /* 126248 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(126322), // Rule ID 7248 //
     /* 126253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126270 */     // MIs[0] Rn
     /* 126270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126282 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (LDCLRB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRB),
     /* 126309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126314 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126320 */     GIR_RootConstrainSelectedInstOperands,
     /* 126321 */     // GIR_Coverage, 7248,
     /* 126321 */     GIR_EraseRootFromParent_Done,
     /* 126322 */   // Label 2415: @126322
     /* 126322 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(126396), // Rule ID 7249 //
     /* 126327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126344 */     // MIs[0] Rn
     /* 126344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126356 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (LDCLRAB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAB),
     /* 126383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126388 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126394 */     GIR_RootConstrainSelectedInstOperands,
     /* 126395 */     // GIR_Coverage, 7249,
     /* 126395 */     GIR_EraseRootFromParent_Done,
     /* 126396 */   // Label 2416: @126396
     /* 126396 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(126470), // Rule ID 7250 //
     /* 126401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126418 */     // MIs[0] Rn
     /* 126418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126430 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (LDCLRLB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLB),
     /* 126457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126462 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126468 */     GIR_RootConstrainSelectedInstOperands,
     /* 126469 */     // GIR_Coverage, 7250,
     /* 126469 */     GIR_EraseRootFromParent_Done,
     /* 126470 */   // Label 2417: @126470
     /* 126470 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(126544), // Rule ID 7251 //
     /* 126475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126492 */     // MIs[0] Rn
     /* 126492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126504 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 126531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126542 */     GIR_RootConstrainSelectedInstOperands,
     /* 126543 */     // GIR_Coverage, 7251,
     /* 126543 */     GIR_EraseRootFromParent_Done,
     /* 126544 */   // Label 2418: @126544
     /* 126544 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(126618), // Rule ID 7252 //
     /* 126549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126566 */     // MIs[0] Rn
     /* 126566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126578 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 126585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126590 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 126605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126616 */     GIR_RootConstrainSelectedInstOperands,
     /* 126617 */     // GIR_Coverage, 7252,
     /* 126617 */     GIR_EraseRootFromParent_Done,
     /* 126618 */   // Label 2419: @126618
     /* 126618 */   GIM_Reject,
     /* 126619 */ // Label 2404: @126619
     /* 126619 */ GIM_Reject,
     /* 126620 */ // Label 2402: @126620
     /* 126620 */ GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(126971),
     /* 126625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 126628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 126635 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(126702), // Rule ID 7233 //
     /* 126640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126650 */     // MIs[0] Rn
     /* 126650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126662 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (LDCLRX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 126665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 126669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRX),
     /* 126689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126700 */     GIR_RootConstrainSelectedInstOperands,
     /* 126701 */     // GIR_Coverage, 7233,
     /* 126701 */     GIR_EraseRootFromParent_Done,
     /* 126702 */   // Label 2421: @126702
     /* 126702 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(126769), // Rule ID 7234 //
     /* 126707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126717 */     // MIs[0] Rn
     /* 126717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126729 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (LDCLRAX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 126732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 126736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAX),
     /* 126756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126767 */     GIR_RootConstrainSelectedInstOperands,
     /* 126768 */     // GIR_Coverage, 7234,
     /* 126768 */     GIR_EraseRootFromParent_Done,
     /* 126769 */   // Label 2422: @126769
     /* 126769 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(126836), // Rule ID 7235 //
     /* 126774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126784 */     // MIs[0] Rn
     /* 126784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126796 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (LDCLRLX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 126799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 126803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLX),
     /* 126823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126828 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126834 */     GIR_RootConstrainSelectedInstOperands,
     /* 126835 */     // GIR_Coverage, 7235,
     /* 126835 */     GIR_EraseRootFromParent_Done,
     /* 126836 */   // Label 2423: @126836
     /* 126836 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(126903), // Rule ID 7236 //
     /* 126841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126851 */     // MIs[0] Rn
     /* 126851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126863 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 126866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 126870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 126890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126901 */     GIR_RootConstrainSelectedInstOperands,
     /* 126902 */     // GIR_Coverage, 7236,
     /* 126902 */     GIR_EraseRootFromParent_Done,
     /* 126903 */   // Label 2424: @126903
     /* 126903 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(126970), // Rule ID 7237 //
     /* 126908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126918 */     // MIs[0] Rn
     /* 126918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126930 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 126930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 126933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 126937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 126948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 126952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 126957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 126962 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126968 */     GIR_RootConstrainSelectedInstOperands,
     /* 126969 */     // GIR_Coverage, 7237,
     /* 126969 */     GIR_EraseRootFromParent_Done,
     /* 126970 */   // Label 2425: @126970
     /* 126970 */   GIM_Reject,
     /* 126971 */ // Label 2420: @126971
     /* 126971 */ GIM_Reject,
     /* 126972 */ // Label 2403: @126972
     /* 126972 */ GIM_Reject,
     /* 126973 */ // Label 25: @126973
     /* 126973 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2428*/ GIMT_Encode4(127964),
     /* 126984 */ /*GILLT_s32*//*Label 2426*/ GIMT_Encode4(126992),
     /* 126988 */ /*GILLT_s64*//*Label 2427*/ GIMT_Encode4(127737),
     /* 126992 */ // Label 2426: @126992
     /* 126992 */ GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(127736),
     /* 126997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 127000 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(127049), // Rule ID 7043 //
     /* 127005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127022 */     // MIs[0] Rn
     /* 127022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127034 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (LDSETW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETW),
     /* 127037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127047 */     GIR_RootConstrainSelectedInstOperands,
     /* 127048 */     // GIR_Coverage, 7043,
     /* 127048 */     GIR_EraseRootFromParent_Done,
     /* 127049 */   // Label 2430: @127049
     /* 127049 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(127098), // Rule ID 7044 //
     /* 127054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127071 */     // MIs[0] Rn
     /* 127071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127083 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (LDSETAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAW),
     /* 127086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127090 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127096 */     GIR_RootConstrainSelectedInstOperands,
     /* 127097 */     // GIR_Coverage, 7044,
     /* 127097 */     GIR_EraseRootFromParent_Done,
     /* 127098 */   // Label 2431: @127098
     /* 127098 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(127147), // Rule ID 7045 //
     /* 127103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127120 */     // MIs[0] Rn
     /* 127120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127132 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (LDSETLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLW),
     /* 127135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127139 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127145 */     GIR_RootConstrainSelectedInstOperands,
     /* 127146 */     // GIR_Coverage, 7045,
     /* 127146 */     GIR_EraseRootFromParent_Done,
     /* 127147 */   // Label 2432: @127147
     /* 127147 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(127196), // Rule ID 7046 //
     /* 127152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127169 */     // MIs[0] Rn
     /* 127169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127181 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 127184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127188 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127194 */     GIR_RootConstrainSelectedInstOperands,
     /* 127195 */     // GIR_Coverage, 7046,
     /* 127195 */     GIR_EraseRootFromParent_Done,
     /* 127196 */   // Label 2433: @127196
     /* 127196 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(127245), // Rule ID 7047 //
     /* 127201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127218 */     // MIs[0] Rn
     /* 127218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127230 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 127233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127243 */     GIR_RootConstrainSelectedInstOperands,
     /* 127244 */     // GIR_Coverage, 7047,
     /* 127244 */     GIR_EraseRootFromParent_Done,
     /* 127245 */   // Label 2434: @127245
     /* 127245 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(127294), // Rule ID 7048 //
     /* 127250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127267 */     // MIs[0] Rn
     /* 127267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127279 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (LDSETH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETH),
     /* 127282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127286 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127292 */     GIR_RootConstrainSelectedInstOperands,
     /* 127293 */     // GIR_Coverage, 7048,
     /* 127293 */     GIR_EraseRootFromParent_Done,
     /* 127294 */   // Label 2435: @127294
     /* 127294 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(127343), // Rule ID 7049 //
     /* 127299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127316 */     // MIs[0] Rn
     /* 127316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127328 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (LDSETAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAH),
     /* 127331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127335 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127341 */     GIR_RootConstrainSelectedInstOperands,
     /* 127342 */     // GIR_Coverage, 7049,
     /* 127342 */     GIR_EraseRootFromParent_Done,
     /* 127343 */   // Label 2436: @127343
     /* 127343 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(127392), // Rule ID 7050 //
     /* 127348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127351 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127358 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127365 */     // MIs[0] Rn
     /* 127365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127377 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (LDSETLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLH),
     /* 127380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127384 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127390 */     GIR_RootConstrainSelectedInstOperands,
     /* 127391 */     // GIR_Coverage, 7050,
     /* 127391 */     GIR_EraseRootFromParent_Done,
     /* 127392 */   // Label 2437: @127392
     /* 127392 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(127441), // Rule ID 7051 //
     /* 127397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127414 */     // MIs[0] Rn
     /* 127414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127426 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 127429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127433 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127439 */     GIR_RootConstrainSelectedInstOperands,
     /* 127440 */     // GIR_Coverage, 7051,
     /* 127440 */     GIR_EraseRootFromParent_Done,
     /* 127441 */   // Label 2438: @127441
     /* 127441 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(127490), // Rule ID 7052 //
     /* 127446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127463 */     // MIs[0] Rn
     /* 127463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127475 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 127478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127488 */     GIR_RootConstrainSelectedInstOperands,
     /* 127489 */     // GIR_Coverage, 7052,
     /* 127489 */     GIR_EraseRootFromParent_Done,
     /* 127490 */   // Label 2439: @127490
     /* 127490 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(127539), // Rule ID 7053 //
     /* 127495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127512 */     // MIs[0] Rn
     /* 127512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127524 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (LDSETB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETB),
     /* 127527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127537 */     GIR_RootConstrainSelectedInstOperands,
     /* 127538 */     // GIR_Coverage, 7053,
     /* 127538 */     GIR_EraseRootFromParent_Done,
     /* 127539 */   // Label 2440: @127539
     /* 127539 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(127588), // Rule ID 7054 //
     /* 127544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127561 */     // MIs[0] Rn
     /* 127561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127573 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (LDSETAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAB),
     /* 127576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127580 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127586 */     GIR_RootConstrainSelectedInstOperands,
     /* 127587 */     // GIR_Coverage, 7054,
     /* 127587 */     GIR_EraseRootFromParent_Done,
     /* 127588 */   // Label 2441: @127588
     /* 127588 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(127637), // Rule ID 7055 //
     /* 127593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127610 */     // MIs[0] Rn
     /* 127610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127622 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (LDSETLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLB),
     /* 127625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127629 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127635 */     GIR_RootConstrainSelectedInstOperands,
     /* 127636 */     // GIR_Coverage, 7055,
     /* 127636 */     GIR_EraseRootFromParent_Done,
     /* 127637 */   // Label 2442: @127637
     /* 127637 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(127686), // Rule ID 7056 //
     /* 127642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127659 */     // MIs[0] Rn
     /* 127659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127671 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 127674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127678 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127684 */     GIR_RootConstrainSelectedInstOperands,
     /* 127685 */     // GIR_Coverage, 7056,
     /* 127685 */     GIR_EraseRootFromParent_Done,
     /* 127686 */   // Label 2443: @127686
     /* 127686 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(127735), // Rule ID 7057 //
     /* 127691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127708 */     // MIs[0] Rn
     /* 127708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127720 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 127723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127727 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127733 */     GIR_RootConstrainSelectedInstOperands,
     /* 127734 */     // GIR_Coverage, 7057,
     /* 127734 */     GIR_EraseRootFromParent_Done,
     /* 127735 */   // Label 2444: @127735
     /* 127735 */   GIM_Reject,
     /* 127736 */ // Label 2429: @127736
     /* 127736 */ GIM_Reject,
     /* 127737 */ // Label 2427: @127737
     /* 127737 */ GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(127963),
     /* 127742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 127745 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 127752 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(127794), // Rule ID 7038 //
     /* 127757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127767 */     // MIs[0] Rn
     /* 127767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127779 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (LDSETX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETX),
     /* 127782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127792 */     GIR_RootConstrainSelectedInstOperands,
     /* 127793 */     // GIR_Coverage, 7038,
     /* 127793 */     GIR_EraseRootFromParent_Done,
     /* 127794 */   // Label 2446: @127794
     /* 127794 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(127836), // Rule ID 7039 //
     /* 127799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127809 */     // MIs[0] Rn
     /* 127809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127821 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (LDSETAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAX),
     /* 127824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127828 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127834 */     GIR_RootConstrainSelectedInstOperands,
     /* 127835 */     // GIR_Coverage, 7039,
     /* 127835 */     GIR_EraseRootFromParent_Done,
     /* 127836 */   // Label 2447: @127836
     /* 127836 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(127878), // Rule ID 7040 //
     /* 127841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127851 */     // MIs[0] Rn
     /* 127851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127863 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (LDSETLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLX),
     /* 127866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127876 */     GIR_RootConstrainSelectedInstOperands,
     /* 127877 */     // GIR_Coverage, 7040,
     /* 127877 */     GIR_EraseRootFromParent_Done,
     /* 127878 */   // Label 2448: @127878
     /* 127878 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(127920), // Rule ID 7041 //
     /* 127883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127893 */     // MIs[0] Rn
     /* 127893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127905 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 127908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127918 */     GIR_RootConstrainSelectedInstOperands,
     /* 127919 */     // GIR_Coverage, 7041,
     /* 127919 */     GIR_EraseRootFromParent_Done,
     /* 127920 */   // Label 2449: @127920
     /* 127920 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(127962), // Rule ID 7042 //
     /* 127925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127935 */     // MIs[0] Rn
     /* 127935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127947 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 127950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127960 */     GIR_RootConstrainSelectedInstOperands,
     /* 127961 */     // GIR_Coverage, 7042,
     /* 127961 */     GIR_EraseRootFromParent_Done,
     /* 127962 */   // Label 2450: @127962
     /* 127962 */   GIM_Reject,
     /* 127963 */ // Label 2445: @127963
     /* 127963 */ GIM_Reject,
     /* 127964 */ // Label 2428: @127964
     /* 127964 */ GIM_Reject,
     /* 127965 */ // Label 26: @127965
     /* 127965 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2453*/ GIMT_Encode4(128956),
     /* 127976 */ /*GILLT_s32*//*Label 2451*/ GIMT_Encode4(127984),
     /* 127980 */ /*GILLT_s64*//*Label 2452*/ GIMT_Encode4(128729),
     /* 127984 */ // Label 2451: @127984
     /* 127984 */ GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(128728),
     /* 127989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 127992 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(128041), // Rule ID 7063 //
     /* 127997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128014 */     // MIs[0] Rn
     /* 128014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128026 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (LDEORW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORW),
     /* 128029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128039 */     GIR_RootConstrainSelectedInstOperands,
     /* 128040 */     // GIR_Coverage, 7063,
     /* 128040 */     GIR_EraseRootFromParent_Done,
     /* 128041 */   // Label 2455: @128041
     /* 128041 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(128090), // Rule ID 7064 //
     /* 128046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128063 */     // MIs[0] Rn
     /* 128063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128075 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (LDEORAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAW),
     /* 128078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128088 */     GIR_RootConstrainSelectedInstOperands,
     /* 128089 */     // GIR_Coverage, 7064,
     /* 128089 */     GIR_EraseRootFromParent_Done,
     /* 128090 */   // Label 2456: @128090
     /* 128090 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(128139), // Rule ID 7065 //
     /* 128095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128112 */     // MIs[0] Rn
     /* 128112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128124 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (LDEORLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLW),
     /* 128127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128131 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128137 */     GIR_RootConstrainSelectedInstOperands,
     /* 128138 */     // GIR_Coverage, 7065,
     /* 128138 */     GIR_EraseRootFromParent_Done,
     /* 128139 */   // Label 2457: @128139
     /* 128139 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(128188), // Rule ID 7066 //
     /* 128144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128161 */     // MIs[0] Rn
     /* 128161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128173 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 128176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128186 */     GIR_RootConstrainSelectedInstOperands,
     /* 128187 */     // GIR_Coverage, 7066,
     /* 128187 */     GIR_EraseRootFromParent_Done,
     /* 128188 */   // Label 2458: @128188
     /* 128188 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(128237), // Rule ID 7067 //
     /* 128193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128210 */     // MIs[0] Rn
     /* 128210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128222 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 128225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128235 */     GIR_RootConstrainSelectedInstOperands,
     /* 128236 */     // GIR_Coverage, 7067,
     /* 128236 */     GIR_EraseRootFromParent_Done,
     /* 128237 */   // Label 2459: @128237
     /* 128237 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(128286), // Rule ID 7068 //
     /* 128242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128259 */     // MIs[0] Rn
     /* 128259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128271 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (LDEORH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORH),
     /* 128274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128278 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128284 */     GIR_RootConstrainSelectedInstOperands,
     /* 128285 */     // GIR_Coverage, 7068,
     /* 128285 */     GIR_EraseRootFromParent_Done,
     /* 128286 */   // Label 2460: @128286
     /* 128286 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(128335), // Rule ID 7069 //
     /* 128291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128308 */     // MIs[0] Rn
     /* 128308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128320 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (LDEORAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAH),
     /* 128323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128327 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128333 */     GIR_RootConstrainSelectedInstOperands,
     /* 128334 */     // GIR_Coverage, 7069,
     /* 128334 */     GIR_EraseRootFromParent_Done,
     /* 128335 */   // Label 2461: @128335
     /* 128335 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(128384), // Rule ID 7070 //
     /* 128340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128357 */     // MIs[0] Rn
     /* 128357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128369 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (LDEORLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLH),
     /* 128372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128376 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128382 */     GIR_RootConstrainSelectedInstOperands,
     /* 128383 */     // GIR_Coverage, 7070,
     /* 128383 */     GIR_EraseRootFromParent_Done,
     /* 128384 */   // Label 2462: @128384
     /* 128384 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(128433), // Rule ID 7071 //
     /* 128389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128406 */     // MIs[0] Rn
     /* 128406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128418 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 128421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128431 */     GIR_RootConstrainSelectedInstOperands,
     /* 128432 */     // GIR_Coverage, 7071,
     /* 128432 */     GIR_EraseRootFromParent_Done,
     /* 128433 */   // Label 2463: @128433
     /* 128433 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(128482), // Rule ID 7072 //
     /* 128438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128455 */     // MIs[0] Rn
     /* 128455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128467 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 128470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128480 */     GIR_RootConstrainSelectedInstOperands,
     /* 128481 */     // GIR_Coverage, 7072,
     /* 128481 */     GIR_EraseRootFromParent_Done,
     /* 128482 */   // Label 2464: @128482
     /* 128482 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(128531), // Rule ID 7073 //
     /* 128487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128504 */     // MIs[0] Rn
     /* 128504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128516 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (LDEORB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORB),
     /* 128519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128529 */     GIR_RootConstrainSelectedInstOperands,
     /* 128530 */     // GIR_Coverage, 7073,
     /* 128530 */     GIR_EraseRootFromParent_Done,
     /* 128531 */   // Label 2465: @128531
     /* 128531 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(128580), // Rule ID 7074 //
     /* 128536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128553 */     // MIs[0] Rn
     /* 128553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128565 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (LDEORAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAB),
     /* 128568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128572 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128578 */     GIR_RootConstrainSelectedInstOperands,
     /* 128579 */     // GIR_Coverage, 7074,
     /* 128579 */     GIR_EraseRootFromParent_Done,
     /* 128580 */   // Label 2466: @128580
     /* 128580 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(128629), // Rule ID 7075 //
     /* 128585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128602 */     // MIs[0] Rn
     /* 128602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128614 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (LDEORLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLB),
     /* 128617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128621 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128623 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128627 */     GIR_RootConstrainSelectedInstOperands,
     /* 128628 */     // GIR_Coverage, 7075,
     /* 128628 */     GIR_EraseRootFromParent_Done,
     /* 128629 */   // Label 2467: @128629
     /* 128629 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(128678), // Rule ID 7076 //
     /* 128634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128651 */     // MIs[0] Rn
     /* 128651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128663 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 128666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128676 */     GIR_RootConstrainSelectedInstOperands,
     /* 128677 */     // GIR_Coverage, 7076,
     /* 128677 */     GIR_EraseRootFromParent_Done,
     /* 128678 */   // Label 2468: @128678
     /* 128678 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(128727), // Rule ID 7077 //
     /* 128683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128700 */     // MIs[0] Rn
     /* 128700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128712 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 128715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128719 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128725 */     GIR_RootConstrainSelectedInstOperands,
     /* 128726 */     // GIR_Coverage, 7077,
     /* 128726 */     GIR_EraseRootFromParent_Done,
     /* 128727 */   // Label 2469: @128727
     /* 128727 */   GIM_Reject,
     /* 128728 */ // Label 2454: @128728
     /* 128728 */ GIM_Reject,
     /* 128729 */ // Label 2452: @128729
     /* 128729 */ GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(128955),
     /* 128734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 128737 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 128744 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(128786), // Rule ID 7058 //
     /* 128749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128759 */     // MIs[0] Rn
     /* 128759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128771 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (LDEORX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORX),
     /* 128774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128778 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128784 */     GIR_RootConstrainSelectedInstOperands,
     /* 128785 */     // GIR_Coverage, 7058,
     /* 128785 */     GIR_EraseRootFromParent_Done,
     /* 128786 */   // Label 2471: @128786
     /* 128786 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(128828), // Rule ID 7059 //
     /* 128791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128801 */     // MIs[0] Rn
     /* 128801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128813 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (LDEORAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAX),
     /* 128816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128826 */     GIR_RootConstrainSelectedInstOperands,
     /* 128827 */     // GIR_Coverage, 7059,
     /* 128827 */     GIR_EraseRootFromParent_Done,
     /* 128828 */   // Label 2472: @128828
     /* 128828 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(128870), // Rule ID 7060 //
     /* 128833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128843 */     // MIs[0] Rn
     /* 128843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128855 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (LDEORLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLX),
     /* 128858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128868 */     GIR_RootConstrainSelectedInstOperands,
     /* 128869 */     // GIR_Coverage, 7060,
     /* 128869 */     GIR_EraseRootFromParent_Done,
     /* 128870 */   // Label 2473: @128870
     /* 128870 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(128912), // Rule ID 7061 //
     /* 128875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128885 */     // MIs[0] Rn
     /* 128885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128897 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 128900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128904 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128910 */     GIR_RootConstrainSelectedInstOperands,
     /* 128911 */     // GIR_Coverage, 7061,
     /* 128911 */     GIR_EraseRootFromParent_Done,
     /* 128912 */   // Label 2474: @128912
     /* 128912 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(128954), // Rule ID 7062 //
     /* 128917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128927 */     // MIs[0] Rn
     /* 128927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128939 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 128942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128946 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128952 */     GIR_RootConstrainSelectedInstOperands,
     /* 128953 */     // GIR_Coverage, 7062,
     /* 128953 */     GIR_EraseRootFromParent_Done,
     /* 128954 */   // Label 2475: @128954
     /* 128954 */   GIM_Reject,
     /* 128955 */ // Label 2470: @128955
     /* 128955 */ GIM_Reject,
     /* 128956 */ // Label 2453: @128956
     /* 128956 */ GIM_Reject,
     /* 128957 */ // Label 27: @128957
     /* 128957 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2478*/ GIMT_Encode4(129948),
     /* 128968 */ /*GILLT_s32*//*Label 2476*/ GIMT_Encode4(128976),
     /* 128972 */ /*GILLT_s64*//*Label 2477*/ GIMT_Encode4(129721),
     /* 128976 */ // Label 2476: @128976
     /* 128976 */ GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(129720),
     /* 128981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 128984 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(129033), // Rule ID 7103 //
     /* 128989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129006 */     // MIs[0] Rn
     /* 129006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129018 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (LDSMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXW),
     /* 129021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129031 */     GIR_RootConstrainSelectedInstOperands,
     /* 129032 */     // GIR_Coverage, 7103,
     /* 129032 */     GIR_EraseRootFromParent_Done,
     /* 129033 */   // Label 2480: @129033
     /* 129033 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(129082), // Rule ID 7104 //
     /* 129038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129055 */     // MIs[0] Rn
     /* 129055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129067 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (LDSMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAW),
     /* 129070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129080 */     GIR_RootConstrainSelectedInstOperands,
     /* 129081 */     // GIR_Coverage, 7104,
     /* 129081 */     GIR_EraseRootFromParent_Done,
     /* 129082 */   // Label 2481: @129082
     /* 129082 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(129131), // Rule ID 7105 //
     /* 129087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129104 */     // MIs[0] Rn
     /* 129104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129116 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (LDSMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLW),
     /* 129119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129123 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129129 */     GIR_RootConstrainSelectedInstOperands,
     /* 129130 */     // GIR_Coverage, 7105,
     /* 129130 */     GIR_EraseRootFromParent_Done,
     /* 129131 */   // Label 2482: @129131
     /* 129131 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(129180), // Rule ID 7106 //
     /* 129136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129153 */     // MIs[0] Rn
     /* 129153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129165 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 129168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129172 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129178 */     GIR_RootConstrainSelectedInstOperands,
     /* 129179 */     // GIR_Coverage, 7106,
     /* 129179 */     GIR_EraseRootFromParent_Done,
     /* 129180 */   // Label 2483: @129180
     /* 129180 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(129229), // Rule ID 7107 //
     /* 129185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129202 */     // MIs[0] Rn
     /* 129202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129214 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 129217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129227 */     GIR_RootConstrainSelectedInstOperands,
     /* 129228 */     // GIR_Coverage, 7107,
     /* 129228 */     GIR_EraseRootFromParent_Done,
     /* 129229 */   // Label 2484: @129229
     /* 129229 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(129278), // Rule ID 7108 //
     /* 129234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129251 */     // MIs[0] Rn
     /* 129251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129263 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (LDSMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXH),
     /* 129266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129276 */     GIR_RootConstrainSelectedInstOperands,
     /* 129277 */     // GIR_Coverage, 7108,
     /* 129277 */     GIR_EraseRootFromParent_Done,
     /* 129278 */   // Label 2485: @129278
     /* 129278 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(129327), // Rule ID 7109 //
     /* 129283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129300 */     // MIs[0] Rn
     /* 129300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129312 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (LDSMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAH),
     /* 129315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129319 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129325 */     GIR_RootConstrainSelectedInstOperands,
     /* 129326 */     // GIR_Coverage, 7109,
     /* 129326 */     GIR_EraseRootFromParent_Done,
     /* 129327 */   // Label 2486: @129327
     /* 129327 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(129376), // Rule ID 7110 //
     /* 129332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129349 */     // MIs[0] Rn
     /* 129349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129361 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (LDSMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLH),
     /* 129364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129368 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129374 */     GIR_RootConstrainSelectedInstOperands,
     /* 129375 */     // GIR_Coverage, 7110,
     /* 129375 */     GIR_EraseRootFromParent_Done,
     /* 129376 */   // Label 2487: @129376
     /* 129376 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(129425), // Rule ID 7111 //
     /* 129381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129398 */     // MIs[0] Rn
     /* 129398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129410 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 129413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129417 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129423 */     GIR_RootConstrainSelectedInstOperands,
     /* 129424 */     // GIR_Coverage, 7111,
     /* 129424 */     GIR_EraseRootFromParent_Done,
     /* 129425 */   // Label 2488: @129425
     /* 129425 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(129474), // Rule ID 7112 //
     /* 129430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129433 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129440 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129447 */     // MIs[0] Rn
     /* 129447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129459 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 129462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129466 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129472 */     GIR_RootConstrainSelectedInstOperands,
     /* 129473 */     // GIR_Coverage, 7112,
     /* 129473 */     GIR_EraseRootFromParent_Done,
     /* 129474 */   // Label 2489: @129474
     /* 129474 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(129523), // Rule ID 7113 //
     /* 129479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129496 */     // MIs[0] Rn
     /* 129496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129508 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (LDSMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXB),
     /* 129511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129515 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129521 */     GIR_RootConstrainSelectedInstOperands,
     /* 129522 */     // GIR_Coverage, 7113,
     /* 129522 */     GIR_EraseRootFromParent_Done,
     /* 129523 */   // Label 2490: @129523
     /* 129523 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(129572), // Rule ID 7114 //
     /* 129528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129545 */     // MIs[0] Rn
     /* 129545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129557 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (LDSMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAB),
     /* 129560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129564 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129570 */     GIR_RootConstrainSelectedInstOperands,
     /* 129571 */     // GIR_Coverage, 7114,
     /* 129571 */     GIR_EraseRootFromParent_Done,
     /* 129572 */   // Label 2491: @129572
     /* 129572 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(129621), // Rule ID 7115 //
     /* 129577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129594 */     // MIs[0] Rn
     /* 129594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129606 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (LDSMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLB),
     /* 129609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129613 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129619 */     GIR_RootConstrainSelectedInstOperands,
     /* 129620 */     // GIR_Coverage, 7115,
     /* 129620 */     GIR_EraseRootFromParent_Done,
     /* 129621 */   // Label 2492: @129621
     /* 129621 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(129670), // Rule ID 7116 //
     /* 129626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129643 */     // MIs[0] Rn
     /* 129643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129655 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 129658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129668 */     GIR_RootConstrainSelectedInstOperands,
     /* 129669 */     // GIR_Coverage, 7116,
     /* 129669 */     GIR_EraseRootFromParent_Done,
     /* 129670 */   // Label 2493: @129670
     /* 129670 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(129719), // Rule ID 7117 //
     /* 129675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129692 */     // MIs[0] Rn
     /* 129692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129704 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 129707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129717 */     GIR_RootConstrainSelectedInstOperands,
     /* 129718 */     // GIR_Coverage, 7117,
     /* 129718 */     GIR_EraseRootFromParent_Done,
     /* 129719 */   // Label 2494: @129719
     /* 129719 */   GIM_Reject,
     /* 129720 */ // Label 2479: @129720
     /* 129720 */ GIM_Reject,
     /* 129721 */ // Label 2477: @129721
     /* 129721 */ GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(129947),
     /* 129726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 129729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 129736 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(129778), // Rule ID 7098 //
     /* 129741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129751 */     // MIs[0] Rn
     /* 129751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129763 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (LDSMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXX),
     /* 129766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129770 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129776 */     GIR_RootConstrainSelectedInstOperands,
     /* 129777 */     // GIR_Coverage, 7098,
     /* 129777 */     GIR_EraseRootFromParent_Done,
     /* 129778 */   // Label 2496: @129778
     /* 129778 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(129820), // Rule ID 7099 //
     /* 129783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129793 */     // MIs[0] Rn
     /* 129793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129805 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (LDSMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAX),
     /* 129808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129818 */     GIR_RootConstrainSelectedInstOperands,
     /* 129819 */     // GIR_Coverage, 7099,
     /* 129819 */     GIR_EraseRootFromParent_Done,
     /* 129820 */   // Label 2497: @129820
     /* 129820 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(129862), // Rule ID 7100 //
     /* 129825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129835 */     // MIs[0] Rn
     /* 129835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129847 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (LDSMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLX),
     /* 129850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129860 */     GIR_RootConstrainSelectedInstOperands,
     /* 129861 */     // GIR_Coverage, 7100,
     /* 129861 */     GIR_EraseRootFromParent_Done,
     /* 129862 */   // Label 2498: @129862
     /* 129862 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(129904), // Rule ID 7101 //
     /* 129867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129877 */     // MIs[0] Rn
     /* 129877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129889 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 129892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129896 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129902 */     GIR_RootConstrainSelectedInstOperands,
     /* 129903 */     // GIR_Coverage, 7101,
     /* 129903 */     GIR_EraseRootFromParent_Done,
     /* 129904 */   // Label 2499: @129904
     /* 129904 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(129946), // Rule ID 7102 //
     /* 129909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129919 */     // MIs[0] Rn
     /* 129919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129931 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 129934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129944 */     GIR_RootConstrainSelectedInstOperands,
     /* 129945 */     // GIR_Coverage, 7102,
     /* 129945 */     GIR_EraseRootFromParent_Done,
     /* 129946 */   // Label 2500: @129946
     /* 129946 */   GIM_Reject,
     /* 129947 */ // Label 2495: @129947
     /* 129947 */ GIM_Reject,
     /* 129948 */ // Label 2478: @129948
     /* 129948 */ GIM_Reject,
     /* 129949 */ // Label 28: @129949
     /* 129949 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2503*/ GIMT_Encode4(130940),
     /* 129960 */ /*GILLT_s32*//*Label 2501*/ GIMT_Encode4(129968),
     /* 129964 */ /*GILLT_s64*//*Label 2502*/ GIMT_Encode4(130713),
     /* 129968 */ // Label 2501: @129968
     /* 129968 */ GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(130712),
     /* 129973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 129976 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(130025), // Rule ID 7123 //
     /* 129981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129998 */     // MIs[0] Rn
     /* 129998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130010 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (LDSMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINW),
     /* 130013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130017 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130023 */     GIR_RootConstrainSelectedInstOperands,
     /* 130024 */     // GIR_Coverage, 7123,
     /* 130024 */     GIR_EraseRootFromParent_Done,
     /* 130025 */   // Label 2505: @130025
     /* 130025 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(130074), // Rule ID 7124 //
     /* 130030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130047 */     // MIs[0] Rn
     /* 130047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130059 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (LDSMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAW),
     /* 130062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130066 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130072 */     GIR_RootConstrainSelectedInstOperands,
     /* 130073 */     // GIR_Coverage, 7124,
     /* 130073 */     GIR_EraseRootFromParent_Done,
     /* 130074 */   // Label 2506: @130074
     /* 130074 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(130123), // Rule ID 7125 //
     /* 130079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130096 */     // MIs[0] Rn
     /* 130096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130108 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (LDSMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLW),
     /* 130111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130115 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130121 */     GIR_RootConstrainSelectedInstOperands,
     /* 130122 */     // GIR_Coverage, 7125,
     /* 130122 */     GIR_EraseRootFromParent_Done,
     /* 130123 */   // Label 2507: @130123
     /* 130123 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(130172), // Rule ID 7126 //
     /* 130128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130145 */     // MIs[0] Rn
     /* 130145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130157 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 130160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130164 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130170 */     GIR_RootConstrainSelectedInstOperands,
     /* 130171 */     // GIR_Coverage, 7126,
     /* 130171 */     GIR_EraseRootFromParent_Done,
     /* 130172 */   // Label 2508: @130172
     /* 130172 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(130221), // Rule ID 7127 //
     /* 130177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130194 */     // MIs[0] Rn
     /* 130194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130206 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 130209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130219 */     GIR_RootConstrainSelectedInstOperands,
     /* 130220 */     // GIR_Coverage, 7127,
     /* 130220 */     GIR_EraseRootFromParent_Done,
     /* 130221 */   // Label 2509: @130221
     /* 130221 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(130270), // Rule ID 7128 //
     /* 130226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130243 */     // MIs[0] Rn
     /* 130243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130255 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (LDSMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINH),
     /* 130258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130262 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130268 */     GIR_RootConstrainSelectedInstOperands,
     /* 130269 */     // GIR_Coverage, 7128,
     /* 130269 */     GIR_EraseRootFromParent_Done,
     /* 130270 */   // Label 2510: @130270
     /* 130270 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(130319), // Rule ID 7129 //
     /* 130275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130292 */     // MIs[0] Rn
     /* 130292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130304 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (LDSMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAH),
     /* 130307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130317 */     GIR_RootConstrainSelectedInstOperands,
     /* 130318 */     // GIR_Coverage, 7129,
     /* 130318 */     GIR_EraseRootFromParent_Done,
     /* 130319 */   // Label 2511: @130319
     /* 130319 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(130368), // Rule ID 7130 //
     /* 130324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130341 */     // MIs[0] Rn
     /* 130341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130353 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (LDSMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLH),
     /* 130356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130366 */     GIR_RootConstrainSelectedInstOperands,
     /* 130367 */     // GIR_Coverage, 7130,
     /* 130367 */     GIR_EraseRootFromParent_Done,
     /* 130368 */   // Label 2512: @130368
     /* 130368 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(130417), // Rule ID 7131 //
     /* 130373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130390 */     // MIs[0] Rn
     /* 130390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130402 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 130405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130409 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130415 */     GIR_RootConstrainSelectedInstOperands,
     /* 130416 */     // GIR_Coverage, 7131,
     /* 130416 */     GIR_EraseRootFromParent_Done,
     /* 130417 */   // Label 2513: @130417
     /* 130417 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(130466), // Rule ID 7132 //
     /* 130422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130439 */     // MIs[0] Rn
     /* 130439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130451 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 130454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130458 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130464 */     GIR_RootConstrainSelectedInstOperands,
     /* 130465 */     // GIR_Coverage, 7132,
     /* 130465 */     GIR_EraseRootFromParent_Done,
     /* 130466 */   // Label 2514: @130466
     /* 130466 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(130515), // Rule ID 7133 //
     /* 130471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130488 */     // MIs[0] Rn
     /* 130488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130500 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (LDSMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINB),
     /* 130503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130513 */     GIR_RootConstrainSelectedInstOperands,
     /* 130514 */     // GIR_Coverage, 7133,
     /* 130514 */     GIR_EraseRootFromParent_Done,
     /* 130515 */   // Label 2515: @130515
     /* 130515 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(130564), // Rule ID 7134 //
     /* 130520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130537 */     // MIs[0] Rn
     /* 130537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130549 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (LDSMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAB),
     /* 130552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130556 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130562 */     GIR_RootConstrainSelectedInstOperands,
     /* 130563 */     // GIR_Coverage, 7134,
     /* 130563 */     GIR_EraseRootFromParent_Done,
     /* 130564 */   // Label 2516: @130564
     /* 130564 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(130613), // Rule ID 7135 //
     /* 130569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130586 */     // MIs[0] Rn
     /* 130586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130598 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (LDSMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLB),
     /* 130601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130605 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130611 */     GIR_RootConstrainSelectedInstOperands,
     /* 130612 */     // GIR_Coverage, 7135,
     /* 130612 */     GIR_EraseRootFromParent_Done,
     /* 130613 */   // Label 2517: @130613
     /* 130613 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(130662), // Rule ID 7136 //
     /* 130618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130635 */     // MIs[0] Rn
     /* 130635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130647 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 130650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130654 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130660 */     GIR_RootConstrainSelectedInstOperands,
     /* 130661 */     // GIR_Coverage, 7136,
     /* 130661 */     GIR_EraseRootFromParent_Done,
     /* 130662 */   // Label 2518: @130662
     /* 130662 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(130711), // Rule ID 7137 //
     /* 130667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130684 */     // MIs[0] Rn
     /* 130684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130696 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 130699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130709 */     GIR_RootConstrainSelectedInstOperands,
     /* 130710 */     // GIR_Coverage, 7137,
     /* 130710 */     GIR_EraseRootFromParent_Done,
     /* 130711 */   // Label 2519: @130711
     /* 130711 */   GIM_Reject,
     /* 130712 */ // Label 2504: @130712
     /* 130712 */ GIM_Reject,
     /* 130713 */ // Label 2502: @130713
     /* 130713 */ GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(130939),
     /* 130718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 130721 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 130728 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(130770), // Rule ID 7118 //
     /* 130733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130743 */     // MIs[0] Rn
     /* 130743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130755 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (LDSMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINX),
     /* 130758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130762 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130768 */     GIR_RootConstrainSelectedInstOperands,
     /* 130769 */     // GIR_Coverage, 7118,
     /* 130769 */     GIR_EraseRootFromParent_Done,
     /* 130770 */   // Label 2521: @130770
     /* 130770 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(130812), // Rule ID 7119 //
     /* 130775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130785 */     // MIs[0] Rn
     /* 130785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130797 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (LDSMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAX),
     /* 130800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130804 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130810 */     GIR_RootConstrainSelectedInstOperands,
     /* 130811 */     // GIR_Coverage, 7119,
     /* 130811 */     GIR_EraseRootFromParent_Done,
     /* 130812 */   // Label 2522: @130812
     /* 130812 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(130854), // Rule ID 7120 //
     /* 130817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130827 */     // MIs[0] Rn
     /* 130827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130839 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (LDSMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLX),
     /* 130842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130846 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130852 */     GIR_RootConstrainSelectedInstOperands,
     /* 130853 */     // GIR_Coverage, 7120,
     /* 130853 */     GIR_EraseRootFromParent_Done,
     /* 130854 */   // Label 2523: @130854
     /* 130854 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(130896), // Rule ID 7121 //
     /* 130859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130869 */     // MIs[0] Rn
     /* 130869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130881 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 130884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130888 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130894 */     GIR_RootConstrainSelectedInstOperands,
     /* 130895 */     // GIR_Coverage, 7121,
     /* 130895 */     GIR_EraseRootFromParent_Done,
     /* 130896 */   // Label 2524: @130896
     /* 130896 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(130938), // Rule ID 7122 //
     /* 130901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130911 */     // MIs[0] Rn
     /* 130911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130923 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 130923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 130926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 130930 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130936 */     GIR_RootConstrainSelectedInstOperands,
     /* 130937 */     // GIR_Coverage, 7122,
     /* 130937 */     GIR_EraseRootFromParent_Done,
     /* 130938 */   // Label 2525: @130938
     /* 130938 */   GIM_Reject,
     /* 130939 */ // Label 2520: @130939
     /* 130939 */ GIM_Reject,
     /* 130940 */ // Label 2503: @130940
     /* 130940 */ GIM_Reject,
     /* 130941 */ // Label 29: @130941
     /* 130941 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2528*/ GIMT_Encode4(131932),
     /* 130952 */ /*GILLT_s32*//*Label 2526*/ GIMT_Encode4(130960),
     /* 130956 */ /*GILLT_s64*//*Label 2527*/ GIMT_Encode4(131705),
     /* 130960 */ // Label 2526: @130960
     /* 130960 */ GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(131704),
     /* 130965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 130968 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(131017), // Rule ID 7143 //
     /* 130973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130976 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130983 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130990 */     // MIs[0] Rn
     /* 130990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131002 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (LDUMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXW),
     /* 131005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131015 */     GIR_RootConstrainSelectedInstOperands,
     /* 131016 */     // GIR_Coverage, 7143,
     /* 131016 */     GIR_EraseRootFromParent_Done,
     /* 131017 */   // Label 2530: @131017
     /* 131017 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(131066), // Rule ID 7144 //
     /* 131022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131039 */     // MIs[0] Rn
     /* 131039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131051 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (LDUMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAW),
     /* 131054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131058 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131064 */     GIR_RootConstrainSelectedInstOperands,
     /* 131065 */     // GIR_Coverage, 7144,
     /* 131065 */     GIR_EraseRootFromParent_Done,
     /* 131066 */   // Label 2531: @131066
     /* 131066 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(131115), // Rule ID 7145 //
     /* 131071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131088 */     // MIs[0] Rn
     /* 131088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131100 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (LDUMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLW),
     /* 131103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131107 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131113 */     GIR_RootConstrainSelectedInstOperands,
     /* 131114 */     // GIR_Coverage, 7145,
     /* 131114 */     GIR_EraseRootFromParent_Done,
     /* 131115 */   // Label 2532: @131115
     /* 131115 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(131164), // Rule ID 7146 //
     /* 131120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131137 */     // MIs[0] Rn
     /* 131137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131149 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 131152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131156 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131162 */     GIR_RootConstrainSelectedInstOperands,
     /* 131163 */     // GIR_Coverage, 7146,
     /* 131163 */     GIR_EraseRootFromParent_Done,
     /* 131164 */   // Label 2533: @131164
     /* 131164 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(131213), // Rule ID 7147 //
     /* 131169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131186 */     // MIs[0] Rn
     /* 131186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131198 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 131201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131211 */     GIR_RootConstrainSelectedInstOperands,
     /* 131212 */     // GIR_Coverage, 7147,
     /* 131212 */     GIR_EraseRootFromParent_Done,
     /* 131213 */   // Label 2534: @131213
     /* 131213 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(131262), // Rule ID 7148 //
     /* 131218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131235 */     // MIs[0] Rn
     /* 131235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131247 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (LDUMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXH),
     /* 131250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131254 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131260 */     GIR_RootConstrainSelectedInstOperands,
     /* 131261 */     // GIR_Coverage, 7148,
     /* 131261 */     GIR_EraseRootFromParent_Done,
     /* 131262 */   // Label 2535: @131262
     /* 131262 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(131311), // Rule ID 7149 //
     /* 131267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131284 */     // MIs[0] Rn
     /* 131284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131296 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (LDUMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAH),
     /* 131299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131309 */     GIR_RootConstrainSelectedInstOperands,
     /* 131310 */     // GIR_Coverage, 7149,
     /* 131310 */     GIR_EraseRootFromParent_Done,
     /* 131311 */   // Label 2536: @131311
     /* 131311 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(131360), // Rule ID 7150 //
     /* 131316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131333 */     // MIs[0] Rn
     /* 131333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131345 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (LDUMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLH),
     /* 131348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131352 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131358 */     GIR_RootConstrainSelectedInstOperands,
     /* 131359 */     // GIR_Coverage, 7150,
     /* 131359 */     GIR_EraseRootFromParent_Done,
     /* 131360 */   // Label 2537: @131360
     /* 131360 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(131409), // Rule ID 7151 //
     /* 131365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131382 */     // MIs[0] Rn
     /* 131382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131394 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 131397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131407 */     GIR_RootConstrainSelectedInstOperands,
     /* 131408 */     // GIR_Coverage, 7151,
     /* 131408 */     GIR_EraseRootFromParent_Done,
     /* 131409 */   // Label 2538: @131409
     /* 131409 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(131458), // Rule ID 7152 //
     /* 131414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131431 */     // MIs[0] Rn
     /* 131431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131443 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 131446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131456 */     GIR_RootConstrainSelectedInstOperands,
     /* 131457 */     // GIR_Coverage, 7152,
     /* 131457 */     GIR_EraseRootFromParent_Done,
     /* 131458 */   // Label 2539: @131458
     /* 131458 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(131507), // Rule ID 7153 //
     /* 131463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131480 */     // MIs[0] Rn
     /* 131480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131492 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (LDUMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXB),
     /* 131495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131499 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131505 */     GIR_RootConstrainSelectedInstOperands,
     /* 131506 */     // GIR_Coverage, 7153,
     /* 131506 */     GIR_EraseRootFromParent_Done,
     /* 131507 */   // Label 2540: @131507
     /* 131507 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(131556), // Rule ID 7154 //
     /* 131512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131515 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131522 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131529 */     // MIs[0] Rn
     /* 131529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131541 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (LDUMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAB),
     /* 131544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131548 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131550 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131554 */     GIR_RootConstrainSelectedInstOperands,
     /* 131555 */     // GIR_Coverage, 7154,
     /* 131555 */     GIR_EraseRootFromParent_Done,
     /* 131556 */   // Label 2541: @131556
     /* 131556 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(131605), // Rule ID 7155 //
     /* 131561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131578 */     // MIs[0] Rn
     /* 131578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131590 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (LDUMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLB),
     /* 131593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131597 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131603 */     GIR_RootConstrainSelectedInstOperands,
     /* 131604 */     // GIR_Coverage, 7155,
     /* 131604 */     GIR_EraseRootFromParent_Done,
     /* 131605 */   // Label 2542: @131605
     /* 131605 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(131654), // Rule ID 7156 //
     /* 131610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131613 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131627 */     // MIs[0] Rn
     /* 131627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131639 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 131642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131652 */     GIR_RootConstrainSelectedInstOperands,
     /* 131653 */     // GIR_Coverage, 7156,
     /* 131653 */     GIR_EraseRootFromParent_Done,
     /* 131654 */   // Label 2543: @131654
     /* 131654 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(131703), // Rule ID 7157 //
     /* 131659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131662 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131669 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131676 */     // MIs[0] Rn
     /* 131676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131688 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 131691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131695 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131701 */     GIR_RootConstrainSelectedInstOperands,
     /* 131702 */     // GIR_Coverage, 7157,
     /* 131702 */     GIR_EraseRootFromParent_Done,
     /* 131703 */   // Label 2544: @131703
     /* 131703 */   GIM_Reject,
     /* 131704 */ // Label 2529: @131704
     /* 131704 */ GIM_Reject,
     /* 131705 */ // Label 2527: @131705
     /* 131705 */ GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(131931),
     /* 131710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 131713 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 131720 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(131762), // Rule ID 7138 //
     /* 131725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131735 */     // MIs[0] Rn
     /* 131735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131747 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (LDUMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXX),
     /* 131750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131754 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131760 */     GIR_RootConstrainSelectedInstOperands,
     /* 131761 */     // GIR_Coverage, 7138,
     /* 131761 */     GIR_EraseRootFromParent_Done,
     /* 131762 */   // Label 2546: @131762
     /* 131762 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(131804), // Rule ID 7139 //
     /* 131767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131770 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131777 */     // MIs[0] Rn
     /* 131777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131789 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (LDUMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAX),
     /* 131792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131802 */     GIR_RootConstrainSelectedInstOperands,
     /* 131803 */     // GIR_Coverage, 7139,
     /* 131803 */     GIR_EraseRootFromParent_Done,
     /* 131804 */   // Label 2547: @131804
     /* 131804 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(131846), // Rule ID 7140 //
     /* 131809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131819 */     // MIs[0] Rn
     /* 131819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131831 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (LDUMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLX),
     /* 131834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131838 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131844 */     GIR_RootConstrainSelectedInstOperands,
     /* 131845 */     // GIR_Coverage, 7140,
     /* 131845 */     GIR_EraseRootFromParent_Done,
     /* 131846 */   // Label 2548: @131846
     /* 131846 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(131888), // Rule ID 7141 //
     /* 131851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131861 */     // MIs[0] Rn
     /* 131861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131873 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 131876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131886 */     GIR_RootConstrainSelectedInstOperands,
     /* 131887 */     // GIR_Coverage, 7141,
     /* 131887 */     GIR_EraseRootFromParent_Done,
     /* 131888 */   // Label 2549: @131888
     /* 131888 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(131930), // Rule ID 7142 //
     /* 131893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131903 */     // MIs[0] Rn
     /* 131903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131915 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 131918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131928 */     GIR_RootConstrainSelectedInstOperands,
     /* 131929 */     // GIR_Coverage, 7142,
     /* 131929 */     GIR_EraseRootFromParent_Done,
     /* 131930 */   // Label 2550: @131930
     /* 131930 */   GIM_Reject,
     /* 131931 */ // Label 2545: @131931
     /* 131931 */ GIM_Reject,
     /* 131932 */ // Label 2528: @131932
     /* 131932 */ GIM_Reject,
     /* 131933 */ // Label 30: @131933
     /* 131933 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2553*/ GIMT_Encode4(132924),
     /* 131944 */ /*GILLT_s32*//*Label 2551*/ GIMT_Encode4(131952),
     /* 131948 */ /*GILLT_s64*//*Label 2552*/ GIMT_Encode4(132697),
     /* 131952 */ // Label 2551: @131952
     /* 131952 */ GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(132696),
     /* 131957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 131960 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(132009), // Rule ID 7163 //
     /* 131965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131982 */     // MIs[0] Rn
     /* 131982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131994 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (LDUMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINW),
     /* 131997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132001 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132007 */     GIR_RootConstrainSelectedInstOperands,
     /* 132008 */     // GIR_Coverage, 7163,
     /* 132008 */     GIR_EraseRootFromParent_Done,
     /* 132009 */   // Label 2555: @132009
     /* 132009 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(132058), // Rule ID 7164 //
     /* 132014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132024 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132031 */     // MIs[0] Rn
     /* 132031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132043 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (LDUMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAW),
     /* 132046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132050 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132056 */     GIR_RootConstrainSelectedInstOperands,
     /* 132057 */     // GIR_Coverage, 7164,
     /* 132057 */     GIR_EraseRootFromParent_Done,
     /* 132058 */   // Label 2556: @132058
     /* 132058 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(132107), // Rule ID 7165 //
     /* 132063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132080 */     // MIs[0] Rn
     /* 132080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132092 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (LDUMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLW),
     /* 132095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132105 */     GIR_RootConstrainSelectedInstOperands,
     /* 132106 */     // GIR_Coverage, 7165,
     /* 132106 */     GIR_EraseRootFromParent_Done,
     /* 132107 */   // Label 2557: @132107
     /* 132107 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(132156), // Rule ID 7166 //
     /* 132112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132129 */     // MIs[0] Rn
     /* 132129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132141 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 132144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132148 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132154 */     GIR_RootConstrainSelectedInstOperands,
     /* 132155 */     // GIR_Coverage, 7166,
     /* 132155 */     GIR_EraseRootFromParent_Done,
     /* 132156 */   // Label 2558: @132156
     /* 132156 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(132205), // Rule ID 7167 //
     /* 132161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132178 */     // MIs[0] Rn
     /* 132178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132190 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 132193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132203 */     GIR_RootConstrainSelectedInstOperands,
     /* 132204 */     // GIR_Coverage, 7167,
     /* 132204 */     GIR_EraseRootFromParent_Done,
     /* 132205 */   // Label 2559: @132205
     /* 132205 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(132254), // Rule ID 7168 //
     /* 132210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132227 */     // MIs[0] Rn
     /* 132227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132239 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (LDUMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINH),
     /* 132242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132246 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132252 */     GIR_RootConstrainSelectedInstOperands,
     /* 132253 */     // GIR_Coverage, 7168,
     /* 132253 */     GIR_EraseRootFromParent_Done,
     /* 132254 */   // Label 2560: @132254
     /* 132254 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(132303), // Rule ID 7169 //
     /* 132259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132276 */     // MIs[0] Rn
     /* 132276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132288 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (LDUMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAH),
     /* 132291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132295 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132301 */     GIR_RootConstrainSelectedInstOperands,
     /* 132302 */     // GIR_Coverage, 7169,
     /* 132302 */     GIR_EraseRootFromParent_Done,
     /* 132303 */   // Label 2561: @132303
     /* 132303 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(132352), // Rule ID 7170 //
     /* 132308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132325 */     // MIs[0] Rn
     /* 132325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132337 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (LDUMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLH),
     /* 132340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132350 */     GIR_RootConstrainSelectedInstOperands,
     /* 132351 */     // GIR_Coverage, 7170,
     /* 132351 */     GIR_EraseRootFromParent_Done,
     /* 132352 */   // Label 2562: @132352
     /* 132352 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(132401), // Rule ID 7171 //
     /* 132357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132374 */     // MIs[0] Rn
     /* 132374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132386 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 132389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132393 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132399 */     GIR_RootConstrainSelectedInstOperands,
     /* 132400 */     // GIR_Coverage, 7171,
     /* 132400 */     GIR_EraseRootFromParent_Done,
     /* 132401 */   // Label 2563: @132401
     /* 132401 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(132450), // Rule ID 7172 //
     /* 132406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132423 */     // MIs[0] Rn
     /* 132423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132435 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 132438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132442 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132448 */     GIR_RootConstrainSelectedInstOperands,
     /* 132449 */     // GIR_Coverage, 7172,
     /* 132449 */     GIR_EraseRootFromParent_Done,
     /* 132450 */   // Label 2564: @132450
     /* 132450 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(132499), // Rule ID 7173 //
     /* 132455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132472 */     // MIs[0] Rn
     /* 132472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132484 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (LDUMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINB),
     /* 132487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132497 */     GIR_RootConstrainSelectedInstOperands,
     /* 132498 */     // GIR_Coverage, 7173,
     /* 132498 */     GIR_EraseRootFromParent_Done,
     /* 132499 */   // Label 2565: @132499
     /* 132499 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(132548), // Rule ID 7174 //
     /* 132504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132521 */     // MIs[0] Rn
     /* 132521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132533 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (LDUMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAB),
     /* 132536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132540 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132546 */     GIR_RootConstrainSelectedInstOperands,
     /* 132547 */     // GIR_Coverage, 7174,
     /* 132547 */     GIR_EraseRootFromParent_Done,
     /* 132548 */   // Label 2566: @132548
     /* 132548 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(132597), // Rule ID 7175 //
     /* 132553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132570 */     // MIs[0] Rn
     /* 132570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132582 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (LDUMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLB),
     /* 132585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132589 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132595 */     GIR_RootConstrainSelectedInstOperands,
     /* 132596 */     // GIR_Coverage, 7175,
     /* 132596 */     GIR_EraseRootFromParent_Done,
     /* 132597 */   // Label 2567: @132597
     /* 132597 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(132646), // Rule ID 7176 //
     /* 132602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132619 */     // MIs[0] Rn
     /* 132619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132631 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 132634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132638 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132644 */     GIR_RootConstrainSelectedInstOperands,
     /* 132645 */     // GIR_Coverage, 7176,
     /* 132645 */     GIR_EraseRootFromParent_Done,
     /* 132646 */   // Label 2568: @132646
     /* 132646 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(132695), // Rule ID 7177 //
     /* 132651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132668 */     // MIs[0] Rn
     /* 132668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132680 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 132683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132687 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132693 */     GIR_RootConstrainSelectedInstOperands,
     /* 132694 */     // GIR_Coverage, 7177,
     /* 132694 */     GIR_EraseRootFromParent_Done,
     /* 132695 */   // Label 2569: @132695
     /* 132695 */   GIM_Reject,
     /* 132696 */ // Label 2554: @132696
     /* 132696 */ GIM_Reject,
     /* 132697 */ // Label 2552: @132697
     /* 132697 */ GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(132923),
     /* 132702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 132705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 132712 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(132754), // Rule ID 7158 //
     /* 132717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132727 */     // MIs[0] Rn
     /* 132727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132739 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (LDUMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINX),
     /* 132742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132752 */     GIR_RootConstrainSelectedInstOperands,
     /* 132753 */     // GIR_Coverage, 7158,
     /* 132753 */     GIR_EraseRootFromParent_Done,
     /* 132754 */   // Label 2571: @132754
     /* 132754 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(132796), // Rule ID 7159 //
     /* 132759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132769 */     // MIs[0] Rn
     /* 132769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132781 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (LDUMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAX),
     /* 132784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132788 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132794 */     GIR_RootConstrainSelectedInstOperands,
     /* 132795 */     // GIR_Coverage, 7159,
     /* 132795 */     GIR_EraseRootFromParent_Done,
     /* 132796 */   // Label 2572: @132796
     /* 132796 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(132838), // Rule ID 7160 //
     /* 132801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132811 */     // MIs[0] Rn
     /* 132811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132823 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (LDUMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLX),
     /* 132826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132836 */     GIR_RootConstrainSelectedInstOperands,
     /* 132837 */     // GIR_Coverage, 7160,
     /* 132837 */     GIR_EraseRootFromParent_Done,
     /* 132838 */   // Label 2573: @132838
     /* 132838 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(132880), // Rule ID 7161 //
     /* 132843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132853 */     // MIs[0] Rn
     /* 132853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132865 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 132868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132878 */     GIR_RootConstrainSelectedInstOperands,
     /* 132879 */     // GIR_Coverage, 7161,
     /* 132879 */     GIR_EraseRootFromParent_Done,
     /* 132880 */   // Label 2574: @132880
     /* 132880 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(132922), // Rule ID 7162 //
     /* 132885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132895 */     // MIs[0] Rn
     /* 132895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132907 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 132910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132920 */     GIR_RootConstrainSelectedInstOperands,
     /* 132921 */     // GIR_Coverage, 7162,
     /* 132921 */     GIR_EraseRootFromParent_Done,
     /* 132922 */   // Label 2575: @132922
     /* 132922 */   GIM_Reject,
     /* 132923 */ // Label 2570: @132923
     /* 132923 */ GIM_Reject,
     /* 132924 */ // Label 2553: @132924
     /* 132924 */ GIM_Reject,
     /* 132925 */ // Label 31: @132925
     /* 132925 */ GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(132952), // Rule ID 6910 //
     /* 132930 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 132933 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /* 132937 */   // MIs[0] Operand 1
     /* 132937 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 132940 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (DMB 9:{ *:[i32] })
     /* 132940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 132943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 132946 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132950 */   GIR_RootConstrainSelectedInstOperands,
     /* 132951 */   // GIR_Coverage, 6910,
     /* 132951 */   GIR_EraseRootFromParent_Done,
     /* 132952 */ // Label 2576: @132952
     /* 132952 */ GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(132975), // Rule ID 6911 //
     /* 132957 */   // MIs[0] Operand 0
     /* 132957 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 132960 */   // MIs[0] Operand 1
     /* 132960 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 132963 */   // (atomic_fence (timm:{ *:[iPTR] }), (timm:{ *:[iPTR] }))  =>  (DMB 11:{ *:[i32] })
     /* 132963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 132966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 132969 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132973 */   GIR_RootConstrainSelectedInstOperands,
     /* 132974 */   // GIR_Coverage, 6911,
     /* 132974 */   GIR_EraseRootFromParent_Done,
     /* 132975 */ // Label 2577: @132975
     /* 132975 */ GIM_Reject,
     /* 132976 */ // Label 32: @132976
     /* 132976 */ GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(145503),
     /* 132981 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 132984 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(133075), // Rule ID 6393 //
     /* 132989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 132992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 132997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 133000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 133003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 133011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 133015 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 133018 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 133023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 133027 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 133031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133043 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESMCrrTied:{ *:[v16i8] } (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 133043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 133046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 133050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 133059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 133063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrrTied),
     /* 133068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 133073 */     GIR_RootConstrainSelectedInstOperands,
     /* 133074 */     // GIR_Coverage, 6393,
     /* 133074 */     GIR_EraseRootFromParent_Done,
     /* 133075 */   // Label 2579: @133075
     /* 133075 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(133166), // Rule ID 6394 //
     /* 133080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 133083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 133088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 133091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 133094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 133102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 133106 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 133109 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 133114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 133118 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 133122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133134 */     // (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 510:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESIMCrrTied:{ *:[v16i8] } (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 133134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 133137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 133141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 133150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 133154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrrTied),
     /* 133159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 133164 */     GIR_RootConstrainSelectedInstOperands,
     /* 133165 */     // GIR_Coverage, 6394,
     /* 133165 */     GIR_EraseRootFromParent_Done,
     /* 133166 */   // Label 2580: @133166
     /* 133166 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(133227), // Rule ID 4838 //
     /* 133171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 133176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 133179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 133182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 133190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 133194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 133198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 133203 */     // MIs[1] Operand 2
     /* 133203 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 133214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133216 */     // (intrinsic_wo_chain:{ *:[v4f32] } 766:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8i16] }:$Rn)
     /* 133216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 133219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 133225 */     GIR_RootConstrainSelectedInstOperands,
     /* 133226 */     // GIR_Coverage, 4838,
     /* 133226 */     GIR_EraseRootFromParent_Done,
     /* 133227 */   // Label 2581: @133227
     /* 133227 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(133267), // Rule ID 2637 //
     /* 133232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 133235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /* 133240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133247 */     // MIs[0] pattern
     /* 133247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 133250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 133255 */     // (intrinsic_wo_chain:{ *:[i64] } 1237:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTB_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 133255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTB_XPiI),
     /* 133258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133260 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 133262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 133265 */     GIR_RootConstrainSelectedInstOperands,
     /* 133266 */     // GIR_Coverage, 2637,
     /* 133266 */     GIR_EraseRootFromParent_Done,
     /* 133267 */   // Label 2582: @133267
     /* 133267 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(133307), // Rule ID 9755 //
     /* 133272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 133275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /* 133280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133287 */     // MIs[0] pattern
     /* 133287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 133290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 133295 */     // (intrinsic_wo_chain:{ *:[i64] } 1239:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTH_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 133295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTH_XPiI),
     /* 133298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133300 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 133302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 133305 */     GIR_RootConstrainSelectedInstOperands,
     /* 133306 */     // GIR_Coverage, 9755,
     /* 133306 */     GIR_EraseRootFromParent_Done,
     /* 133307 */   // Label 2583: @133307
     /* 133307 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(133347), // Rule ID 9758 //
     /* 133312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 133315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /* 133320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133327 */     // MIs[0] pattern
     /* 133327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 133330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 133335 */     // (intrinsic_wo_chain:{ *:[i64] } 1245:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTW_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 133335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTW_XPiI),
     /* 133338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133340 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 133342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 133345 */     GIR_RootConstrainSelectedInstOperands,
     /* 133346 */     // GIR_Coverage, 9758,
     /* 133346 */     GIR_EraseRootFromParent_Done,
     /* 133347 */   // Label 2584: @133347
     /* 133347 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(133387), // Rule ID 9761 //
     /* 133352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 133355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /* 133360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133367 */     // MIs[0] pattern
     /* 133367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 133370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 133375 */     // (intrinsic_wo_chain:{ *:[i64] } 1238:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTD_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 133375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTD_XPiI),
     /* 133378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133380 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 133382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 133385 */     GIR_RootConstrainSelectedInstOperands,
     /* 133386 */     // GIR_Coverage, 9761,
     /* 133386 */     GIR_EraseRootFromParent_Done,
     /* 133387 */   // Label 2585: @133387
     /* 133387 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(133426), // Rule ID 66 //
     /* 133392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasJS),
     /* 133395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_fjcvtzs),
     /* 133400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 133414 */     // (intrinsic_wo_chain:{ *:[i32] } 545:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FJCVTZS:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 133414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FJCVTZS),
     /* 133417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 133424 */     GIR_RootConstrainSelectedInstOperands,
     /* 133425 */     // GIR_Coverage, 66,
     /* 133425 */     GIR_EraseRootFromParent_Done,
     /* 133426 */   // Label 2586: @133426
     /* 133426 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(133462), // Rule ID 346 //
     /* 133431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133453 */     // (intrinsic_wo_chain:{ *:[i32] } 582:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 133453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 133456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133460 */     GIR_RootConstrainSelectedInstOperands,
     /* 133461 */     // GIR_Coverage, 346,
     /* 133461 */     GIR_EraseRootFromParent_Done,
     /* 133462 */   // Label 2587: @133462
     /* 133462 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(133498), // Rule ID 347 //
     /* 133467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133489 */     // (intrinsic_wo_chain:{ *:[i64] } 582:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 133489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 133492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133496 */     GIR_RootConstrainSelectedInstOperands,
     /* 133497 */     // GIR_Coverage, 347,
     /* 133497 */     GIR_EraseRootFromParent_Done,
     /* 133498 */   // Label 2588: @133498
     /* 133498 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(133534), // Rule ID 348 //
     /* 133503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133525 */     // (intrinsic_wo_chain:{ *:[i32] } 582:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 133525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 133528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133532 */     GIR_RootConstrainSelectedInstOperands,
     /* 133533 */     // GIR_Coverage, 348,
     /* 133533 */     GIR_EraseRootFromParent_Done,
     /* 133534 */   // Label 2589: @133534
     /* 133534 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(133570), // Rule ID 349 //
     /* 133539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133561 */     // (intrinsic_wo_chain:{ *:[i64] } 582:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 133561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 133564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133568 */     GIR_RootConstrainSelectedInstOperands,
     /* 133569 */     // GIR_Coverage, 349,
     /* 133569 */     GIR_EraseRootFromParent_Done,
     /* 133570 */   // Label 2590: @133570
     /* 133570 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(133606), // Rule ID 350 //
     /* 133575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 133597 */     // (intrinsic_wo_chain:{ *:[i32] } 582:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 133597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 133600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133604 */     GIR_RootConstrainSelectedInstOperands,
     /* 133605 */     // GIR_Coverage, 350,
     /* 133605 */     GIR_EraseRootFromParent_Done,
     /* 133606 */   // Label 2591: @133606
     /* 133606 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(133642), // Rule ID 351 //
     /* 133611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 133619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 133633 */     // (intrinsic_wo_chain:{ *:[i64] } 582:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 133633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 133636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133640 */     GIR_RootConstrainSelectedInstOperands,
     /* 133641 */     // GIR_Coverage, 351,
     /* 133641 */     GIR_EraseRootFromParent_Done,
     /* 133642 */   // Label 2592: @133642
     /* 133642 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(133678), // Rule ID 352 //
     /* 133647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133669 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 133669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWHr),
     /* 133672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133676 */     GIR_RootConstrainSelectedInstOperands,
     /* 133677 */     // GIR_Coverage, 352,
     /* 133677 */     GIR_EraseRootFromParent_Done,
     /* 133678 */   // Label 2593: @133678
     /* 133678 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(133714), // Rule ID 353 //
     /* 133683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133705 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 133705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXHr),
     /* 133708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133712 */     GIR_RootConstrainSelectedInstOperands,
     /* 133713 */     // GIR_Coverage, 353,
     /* 133713 */     GIR_EraseRootFromParent_Done,
     /* 133714 */   // Label 2594: @133714
     /* 133714 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(133750), // Rule ID 354 //
     /* 133719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133741 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 133741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 133744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133748 */     GIR_RootConstrainSelectedInstOperands,
     /* 133749 */     // GIR_Coverage, 354,
     /* 133749 */     GIR_EraseRootFromParent_Done,
     /* 133750 */   // Label 2595: @133750
     /* 133750 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(133786), // Rule ID 355 //
     /* 133755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133777 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 133777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 133780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133784 */     GIR_RootConstrainSelectedInstOperands,
     /* 133785 */     // GIR_Coverage, 355,
     /* 133785 */     GIR_EraseRootFromParent_Done,
     /* 133786 */   // Label 2596: @133786
     /* 133786 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(133822), // Rule ID 356 //
     /* 133791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 133813 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 133813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 133816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133820 */     GIR_RootConstrainSelectedInstOperands,
     /* 133821 */     // GIR_Coverage, 356,
     /* 133821 */     GIR_EraseRootFromParent_Done,
     /* 133822 */   // Label 2597: @133822
     /* 133822 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(133858), // Rule ID 357 //
     /* 133827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 133835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 133849 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 133849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 133852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133856 */     GIR_RootConstrainSelectedInstOperands,
     /* 133857 */     // GIR_Coverage, 357,
     /* 133857 */     GIR_EraseRootFromParent_Done,
     /* 133858 */   // Label 2598: @133858
     /* 133858 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(133894), // Rule ID 358 //
     /* 133863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 133871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133885 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 133885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWHr),
     /* 133888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133892 */     GIR_RootConstrainSelectedInstOperands,
     /* 133893 */     // GIR_Coverage, 358,
     /* 133893 */     GIR_EraseRootFromParent_Done,
     /* 133894 */   // Label 2599: @133894
     /* 133894 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(133930), // Rule ID 359 //
     /* 133899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 133902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 133907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 133913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 133921 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 133921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXHr),
     /* 133924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133928 */     GIR_RootConstrainSelectedInstOperands,
     /* 133929 */     // GIR_Coverage, 359,
     /* 133929 */     GIR_EraseRootFromParent_Done,
     /* 133930 */   // Label 2600: @133930
     /* 133930 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(133966), // Rule ID 360 //
     /* 133935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 133943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 133946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133957 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 133957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 133960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 133964 */     GIR_RootConstrainSelectedInstOperands,
     /* 133965 */     // GIR_Coverage, 360,
     /* 133965 */     GIR_EraseRootFromParent_Done,
     /* 133966 */   // Label 2601: @133966
     /* 133966 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(134002), // Rule ID 361 //
     /* 133971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 133974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 133979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 133982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 133993 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 133993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 133996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 133998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134000 */     GIR_RootConstrainSelectedInstOperands,
     /* 134001 */     // GIR_Coverage, 361,
     /* 134001 */     GIR_EraseRootFromParent_Done,
     /* 134002 */   // Label 2602: @134002
     /* 134002 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(134038), // Rule ID 362 //
     /* 134007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 134015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134029 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 134029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 134032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134036 */     GIR_RootConstrainSelectedInstOperands,
     /* 134037 */     // GIR_Coverage, 362,
     /* 134037 */     GIR_EraseRootFromParent_Done,
     /* 134038 */   // Label 2603: @134038
     /* 134038 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(134074), // Rule ID 363 //
     /* 134043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 134051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134065 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 134065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 134068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134072 */     GIR_RootConstrainSelectedInstOperands,
     /* 134073 */     // GIR_Coverage, 363,
     /* 134073 */     GIR_EraseRootFromParent_Done,
     /* 134074 */   // Label 2604: @134074
     /* 134074 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(134110), // Rule ID 364 //
     /* 134079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134101 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 134101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWHr),
     /* 134104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134108 */     GIR_RootConstrainSelectedInstOperands,
     /* 134109 */     // GIR_Coverage, 364,
     /* 134109 */     GIR_EraseRootFromParent_Done,
     /* 134110 */   // Label 2605: @134110
     /* 134110 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(134146), // Rule ID 365 //
     /* 134115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134137 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 134137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXHr),
     /* 134140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134144 */     GIR_RootConstrainSelectedInstOperands,
     /* 134145 */     // GIR_Coverage, 365,
     /* 134145 */     GIR_EraseRootFromParent_Done,
     /* 134146 */   // Label 2606: @134146
     /* 134146 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(134182), // Rule ID 366 //
     /* 134151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134173 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 134173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 134176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134180 */     GIR_RootConstrainSelectedInstOperands,
     /* 134181 */     // GIR_Coverage, 366,
     /* 134181 */     GIR_EraseRootFromParent_Done,
     /* 134182 */   // Label 2607: @134182
     /* 134182 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(134218), // Rule ID 367 //
     /* 134187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134209 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 134209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 134212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134216 */     GIR_RootConstrainSelectedInstOperands,
     /* 134217 */     // GIR_Coverage, 367,
     /* 134217 */     GIR_EraseRootFromParent_Done,
     /* 134218 */   // Label 2608: @134218
     /* 134218 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(134254), // Rule ID 368 //
     /* 134223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134245 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 134245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 134248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134252 */     GIR_RootConstrainSelectedInstOperands,
     /* 134253 */     // GIR_Coverage, 368,
     /* 134253 */     GIR_EraseRootFromParent_Done,
     /* 134254 */   // Label 2609: @134254
     /* 134254 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(134290), // Rule ID 369 //
     /* 134259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 134267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134281 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 134281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 134284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134288 */     GIR_RootConstrainSelectedInstOperands,
     /* 134289 */     // GIR_Coverage, 369,
     /* 134289 */     GIR_EraseRootFromParent_Done,
     /* 134290 */   // Label 2610: @134290
     /* 134290 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(134326), // Rule ID 370 //
     /* 134295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134317 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 134317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWHr),
     /* 134320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134324 */     GIR_RootConstrainSelectedInstOperands,
     /* 134325 */     // GIR_Coverage, 370,
     /* 134325 */     GIR_EraseRootFromParent_Done,
     /* 134326 */   // Label 2611: @134326
     /* 134326 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(134362), // Rule ID 371 //
     /* 134331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134353 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 134353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXHr),
     /* 134356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134360 */     GIR_RootConstrainSelectedInstOperands,
     /* 134361 */     // GIR_Coverage, 371,
     /* 134361 */     GIR_EraseRootFromParent_Done,
     /* 134362 */   // Label 2612: @134362
     /* 134362 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(134398), // Rule ID 372 //
     /* 134367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134389 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 134389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWSr),
     /* 134392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134396 */     GIR_RootConstrainSelectedInstOperands,
     /* 134397 */     // GIR_Coverage, 372,
     /* 134397 */     GIR_EraseRootFromParent_Done,
     /* 134398 */   // Label 2613: @134398
     /* 134398 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(134434), // Rule ID 373 //
     /* 134403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134425 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 134425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXSr),
     /* 134428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134432 */     GIR_RootConstrainSelectedInstOperands,
     /* 134433 */     // GIR_Coverage, 373,
     /* 134433 */     GIR_EraseRootFromParent_Done,
     /* 134434 */   // Label 2614: @134434
     /* 134434 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(134470), // Rule ID 374 //
     /* 134439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134461 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 134461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWDr),
     /* 134464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134468 */     GIR_RootConstrainSelectedInstOperands,
     /* 134469 */     // GIR_Coverage, 374,
     /* 134469 */     GIR_EraseRootFromParent_Done,
     /* 134470 */   // Label 2615: @134470
     /* 134470 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(134506), // Rule ID 375 //
     /* 134475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 134483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134497 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 134497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXDr),
     /* 134500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134504 */     GIR_RootConstrainSelectedInstOperands,
     /* 134505 */     // GIR_Coverage, 375,
     /* 134505 */     GIR_EraseRootFromParent_Done,
     /* 134506 */   // Label 2616: @134506
     /* 134506 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(134542), // Rule ID 376 //
     /* 134511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134533 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 134533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWHr),
     /* 134536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134540 */     GIR_RootConstrainSelectedInstOperands,
     /* 134541 */     // GIR_Coverage, 376,
     /* 134541 */     GIR_EraseRootFromParent_Done,
     /* 134542 */   // Label 2617: @134542
     /* 134542 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(134578), // Rule ID 377 //
     /* 134547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134569 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 134569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXHr),
     /* 134572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134576 */     GIR_RootConstrainSelectedInstOperands,
     /* 134577 */     // GIR_Coverage, 377,
     /* 134577 */     GIR_EraseRootFromParent_Done,
     /* 134578 */   // Label 2618: @134578
     /* 134578 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(134614), // Rule ID 378 //
     /* 134583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134605 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 134605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWSr),
     /* 134608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134612 */     GIR_RootConstrainSelectedInstOperands,
     /* 134613 */     // GIR_Coverage, 378,
     /* 134613 */     GIR_EraseRootFromParent_Done,
     /* 134614 */   // Label 2619: @134614
     /* 134614 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(134650), // Rule ID 379 //
     /* 134619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134641 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 134641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXSr),
     /* 134644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134648 */     GIR_RootConstrainSelectedInstOperands,
     /* 134649 */     // GIR_Coverage, 379,
     /* 134649 */     GIR_EraseRootFromParent_Done,
     /* 134650 */   // Label 2620: @134650
     /* 134650 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(134686), // Rule ID 380 //
     /* 134655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134677 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 134677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWDr),
     /* 134680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134684 */     GIR_RootConstrainSelectedInstOperands,
     /* 134685 */     // GIR_Coverage, 380,
     /* 134685 */     GIR_EraseRootFromParent_Done,
     /* 134686 */   // Label 2621: @134686
     /* 134686 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(134722), // Rule ID 381 //
     /* 134691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 134699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134713 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 134713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXDr),
     /* 134716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134720 */     GIR_RootConstrainSelectedInstOperands,
     /* 134721 */     // GIR_Coverage, 381,
     /* 134721 */     GIR_EraseRootFromParent_Done,
     /* 134722 */   // Label 2622: @134722
     /* 134722 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(134758), // Rule ID 382 //
     /* 134727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134749 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 134749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWHr),
     /* 134752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134756 */     GIR_RootConstrainSelectedInstOperands,
     /* 134757 */     // GIR_Coverage, 382,
     /* 134757 */     GIR_EraseRootFromParent_Done,
     /* 134758 */   // Label 2623: @134758
     /* 134758 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(134794), // Rule ID 383 //
     /* 134763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134785 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 134785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXHr),
     /* 134788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134792 */     GIR_RootConstrainSelectedInstOperands,
     /* 134793 */     // GIR_Coverage, 383,
     /* 134793 */     GIR_EraseRootFromParent_Done,
     /* 134794 */   // Label 2624: @134794
     /* 134794 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(134830), // Rule ID 384 //
     /* 134799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134821 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 134821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 134824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134828 */     GIR_RootConstrainSelectedInstOperands,
     /* 134829 */     // GIR_Coverage, 384,
     /* 134829 */     GIR_EraseRootFromParent_Done,
     /* 134830 */   // Label 2625: @134830
     /* 134830 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(134866), // Rule ID 385 //
     /* 134835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 134857 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 134857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 134860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134864 */     GIR_RootConstrainSelectedInstOperands,
     /* 134865 */     // GIR_Coverage, 385,
     /* 134865 */     GIR_EraseRootFromParent_Done,
     /* 134866 */   // Label 2626: @134866
     /* 134866 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(134902), // Rule ID 386 //
     /* 134871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134893 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 134893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 134896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134900 */     GIR_RootConstrainSelectedInstOperands,
     /* 134901 */     // GIR_Coverage, 386,
     /* 134901 */     GIR_EraseRootFromParent_Done,
     /* 134902 */   // Label 2627: @134902
     /* 134902 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(134938), // Rule ID 387 //
     /* 134907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 134910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 134915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 134929 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 134929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 134932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134936 */     GIR_RootConstrainSelectedInstOperands,
     /* 134937 */     // GIR_Coverage, 387,
     /* 134937 */     GIR_EraseRootFromParent_Done,
     /* 134938 */   // Label 2628: @134938
     /* 134938 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(134974), // Rule ID 388 //
     /* 134943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 134951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 134954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 134965 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 134965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWHr),
     /* 134968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 134970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 134972 */     GIR_RootConstrainSelectedInstOperands,
     /* 134973 */     // GIR_Coverage, 388,
     /* 134973 */     GIR_EraseRootFromParent_Done,
     /* 134974 */   // Label 2629: @134974
     /* 134974 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(135010), // Rule ID 389 //
     /* 134979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 134982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 134987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 134990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 134993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 135001 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 135001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXHr),
     /* 135004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135008 */     GIR_RootConstrainSelectedInstOperands,
     /* 135009 */     // GIR_Coverage, 389,
     /* 135009 */     GIR_EraseRootFromParent_Done,
     /* 135010 */   // Label 2630: @135010
     /* 135010 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(135046), // Rule ID 390 //
     /* 135015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 135018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 135023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135037 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 135037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 135040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135044 */     GIR_RootConstrainSelectedInstOperands,
     /* 135045 */     // GIR_Coverage, 390,
     /* 135045 */     GIR_EraseRootFromParent_Done,
     /* 135046 */   // Label 2631: @135046
     /* 135046 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(135082), // Rule ID 391 //
     /* 135051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 135054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 135059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135073 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 135073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 135076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135080 */     GIR_RootConstrainSelectedInstOperands,
     /* 135081 */     // GIR_Coverage, 391,
     /* 135081 */     GIR_EraseRootFromParent_Done,
     /* 135082 */   // Label 2632: @135082
     /* 135082 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(135118), // Rule ID 392 //
     /* 135087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 135090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 135095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135109 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 135109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 135112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135116 */     GIR_RootConstrainSelectedInstOperands,
     /* 135117 */     // GIR_Coverage, 392,
     /* 135117 */     GIR_EraseRootFromParent_Done,
     /* 135118 */   // Label 2633: @135118
     /* 135118 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(135154), // Rule ID 393 //
     /* 135123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 135126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 135131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135145 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 135145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 135148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135152 */     GIR_RootConstrainSelectedInstOperands,
     /* 135153 */     // GIR_Coverage, 393,
     /* 135153 */     GIR_EraseRootFromParent_Done,
     /* 135154 */   // Label 2634: @135154
     /* 135154 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(135190), // Rule ID 575 //
     /* 135159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 135167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135181 */     // (intrinsic_wo_chain:{ *:[f32] } 547:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 135181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZSr),
     /* 135184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135188 */     GIR_RootConstrainSelectedInstOperands,
     /* 135189 */     // GIR_Coverage, 575,
     /* 135189 */     GIR_EraseRootFromParent_Done,
     /* 135190 */   // Label 2635: @135190
     /* 135190 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(135226), // Rule ID 576 //
     /* 135195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 135203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135217 */     // (intrinsic_wo_chain:{ *:[f64] } 547:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 135217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 135220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135224 */     GIR_RootConstrainSelectedInstOperands,
     /* 135225 */     // GIR_Coverage, 576,
     /* 135225 */     GIR_EraseRootFromParent_Done,
     /* 135226 */   // Label 2636: @135226
     /* 135226 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(135262), // Rule ID 577 //
     /* 135231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 135239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135253 */     // (intrinsic_wo_chain:{ *:[f32] } 549:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 135253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZSr),
     /* 135256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135260 */     GIR_RootConstrainSelectedInstOperands,
     /* 135261 */     // GIR_Coverage, 577,
     /* 135261 */     GIR_EraseRootFromParent_Done,
     /* 135262 */   // Label 2637: @135262
     /* 135262 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(135298), // Rule ID 578 //
     /* 135267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 135275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135289 */     // (intrinsic_wo_chain:{ *:[f64] } 549:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 135289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 135292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135296 */     GIR_RootConstrainSelectedInstOperands,
     /* 135297 */     // GIR_Coverage, 578,
     /* 135297 */     GIR_EraseRootFromParent_Done,
     /* 135298 */   // Label 2638: @135298
     /* 135298 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(135334), // Rule ID 579 //
     /* 135303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 135311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135325 */     // (intrinsic_wo_chain:{ *:[f32] } 546:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 135325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XSr),
     /* 135328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135332 */     GIR_RootConstrainSelectedInstOperands,
     /* 135333 */     // GIR_Coverage, 579,
     /* 135333 */     GIR_EraseRootFromParent_Done,
     /* 135334 */   // Label 2639: @135334
     /* 135334 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(135370), // Rule ID 580 //
     /* 135339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 135347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135361 */     // (intrinsic_wo_chain:{ *:[f64] } 546:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 135361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 135364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135368 */     GIR_RootConstrainSelectedInstOperands,
     /* 135369 */     // GIR_Coverage, 580,
     /* 135369 */     GIR_EraseRootFromParent_Done,
     /* 135370 */   // Label 2640: @135370
     /* 135370 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(135406), // Rule ID 581 //
     /* 135375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 135383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 135386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 135397 */     // (intrinsic_wo_chain:{ *:[f32] } 548:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 135397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XSr),
     /* 135400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135404 */     GIR_RootConstrainSelectedInstOperands,
     /* 135405 */     // GIR_Coverage, 581,
     /* 135405 */     GIR_EraseRootFromParent_Done,
     /* 135406 */   // Label 2641: @135406
     /* 135406 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(135442), // Rule ID 582 //
     /* 135411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 135414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 135419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 135422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135433 */     // (intrinsic_wo_chain:{ *:[f64] } 548:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 135433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 135436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135440 */     GIR_RootConstrainSelectedInstOperands,
     /* 135441 */     // GIR_Coverage, 582,
     /* 135441 */     GIR_EraseRootFromParent_Done,
     /* 135442 */   // Label 2642: @135442
     /* 135442 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(135478), // Rule ID 710 //
     /* 135447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 135458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 135461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135469 */     // (intrinsic_wo_chain:{ *:[v8i8] } 574:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (CLSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 135469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i8),
     /* 135472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135476 */     GIR_RootConstrainSelectedInstOperands,
     /* 135477 */     // GIR_Coverage, 710,
     /* 135477 */     GIR_EraseRootFromParent_Done,
     /* 135478 */   // Label 2643: @135478
     /* 135478 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(135514), // Rule ID 711 //
     /* 135483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 135494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 135497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135505 */     // (intrinsic_wo_chain:{ *:[v16i8] } 574:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (CLSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 135505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv16i8),
     /* 135508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135512 */     GIR_RootConstrainSelectedInstOperands,
     /* 135513 */     // GIR_Coverage, 711,
     /* 135513 */     GIR_EraseRootFromParent_Done,
     /* 135514 */   // Label 2644: @135514
     /* 135514 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(135550), // Rule ID 712 //
     /* 135519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 135530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 135533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135541 */     // (intrinsic_wo_chain:{ *:[v4i16] } 574:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (CLSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 135541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i16),
     /* 135544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135548 */     GIR_RootConstrainSelectedInstOperands,
     /* 135549 */     // GIR_Coverage, 712,
     /* 135549 */     GIR_EraseRootFromParent_Done,
     /* 135550 */   // Label 2645: @135550
     /* 135550 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(135586), // Rule ID 713 //
     /* 135555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 135566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 135569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135577 */     // (intrinsic_wo_chain:{ *:[v8i16] } 574:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (CLSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 135577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i16),
     /* 135580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135584 */     GIR_RootConstrainSelectedInstOperands,
     /* 135585 */     // GIR_Coverage, 713,
     /* 135585 */     GIR_EraseRootFromParent_Done,
     /* 135586 */   // Label 2646: @135586
     /* 135586 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(135622), // Rule ID 714 //
     /* 135591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 135602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 135605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135613 */     // (intrinsic_wo_chain:{ *:[v2i32] } 574:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (CLSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 135613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv2i32),
     /* 135616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135620 */     GIR_RootConstrainSelectedInstOperands,
     /* 135621 */     // GIR_Coverage, 714,
     /* 135621 */     GIR_EraseRootFromParent_Done,
     /* 135622 */   // Label 2647: @135622
     /* 135622 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(135658), // Rule ID 715 //
     /* 135627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 135635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 135638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 135641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135649 */     // (intrinsic_wo_chain:{ *:[v4i32] } 574:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (CLSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 135649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i32),
     /* 135652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135654 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135656 */     GIR_RootConstrainSelectedInstOperands,
     /* 135657 */     // GIR_Coverage, 715,
     /* 135657 */     GIR_EraseRootFromParent_Done,
     /* 135658 */   // Label 2648: @135658
     /* 135658 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(135694), // Rule ID 789 //
     /* 135663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 135666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 135671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 135674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 135677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135685 */     // (intrinsic_wo_chain:{ *:[v4i16] } 582:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTASv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 135685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f16),
     /* 135688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135692 */     GIR_RootConstrainSelectedInstOperands,
     /* 135693 */     // GIR_Coverage, 789,
     /* 135693 */     GIR_EraseRootFromParent_Done,
     /* 135694 */   // Label 2649: @135694
     /* 135694 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(135730), // Rule ID 790 //
     /* 135699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 135702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 135707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 135710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 135713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135721 */     // (intrinsic_wo_chain:{ *:[v8i16] } 582:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTASv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 135721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv8f16),
     /* 135724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135728 */     GIR_RootConstrainSelectedInstOperands,
     /* 135729 */     // GIR_Coverage, 790,
     /* 135729 */     GIR_EraseRootFromParent_Done,
     /* 135730 */   // Label 2650: @135730
     /* 135730 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(135766), // Rule ID 791 //
     /* 135735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 135743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 135746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 135749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135757 */     // (intrinsic_wo_chain:{ *:[v2i32] } 582:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTASv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 135757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f32),
     /* 135760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135764 */     GIR_RootConstrainSelectedInstOperands,
     /* 135765 */     // GIR_Coverage, 791,
     /* 135765 */     GIR_EraseRootFromParent_Done,
     /* 135766 */   // Label 2651: @135766
     /* 135766 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(135802), // Rule ID 792 //
     /* 135771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 135779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 135782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 135785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135793 */     // (intrinsic_wo_chain:{ *:[v4i32] } 582:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTASv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 135793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f32),
     /* 135796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135800 */     GIR_RootConstrainSelectedInstOperands,
     /* 135801 */     // GIR_Coverage, 792,
     /* 135801 */     GIR_EraseRootFromParent_Done,
     /* 135802 */   // Label 2652: @135802
     /* 135802 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(135838), // Rule ID 793 //
     /* 135807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 135815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 135818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 135821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135829 */     // (intrinsic_wo_chain:{ *:[v2i64] } 582:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTASv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 135829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f64),
     /* 135832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135836 */     GIR_RootConstrainSelectedInstOperands,
     /* 135837 */     // GIR_Coverage, 793,
     /* 135837 */     GIR_EraseRootFromParent_Done,
     /* 135838 */   // Label 2653: @135838
     /* 135838 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(135874), // Rule ID 794 //
     /* 135843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 135846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 135851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 135854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 135857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135865 */     // (intrinsic_wo_chain:{ *:[v4i16] } 583:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTAUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 135865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f16),
     /* 135868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135872 */     GIR_RootConstrainSelectedInstOperands,
     /* 135873 */     // GIR_Coverage, 794,
     /* 135873 */     GIR_EraseRootFromParent_Done,
     /* 135874 */   // Label 2654: @135874
     /* 135874 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(135910), // Rule ID 795 //
     /* 135879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 135882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 135887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 135890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 135893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135901 */     // (intrinsic_wo_chain:{ *:[v8i16] } 583:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTAUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 135901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv8f16),
     /* 135904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135908 */     GIR_RootConstrainSelectedInstOperands,
     /* 135909 */     // GIR_Coverage, 795,
     /* 135909 */     GIR_EraseRootFromParent_Done,
     /* 135910 */   // Label 2655: @135910
     /* 135910 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(135946), // Rule ID 796 //
     /* 135915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 135923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 135926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 135929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 135937 */     // (intrinsic_wo_chain:{ *:[v2i32] } 583:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTAUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 135937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f32),
     /* 135940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135944 */     GIR_RootConstrainSelectedInstOperands,
     /* 135945 */     // GIR_Coverage, 796,
     /* 135945 */     GIR_EraseRootFromParent_Done,
     /* 135946 */   // Label 2656: @135946
     /* 135946 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(135982), // Rule ID 797 //
     /* 135951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 135959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 135962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 135965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 135973 */     // (intrinsic_wo_chain:{ *:[v4i32] } 583:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTAUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 135973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f32),
     /* 135976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 135978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 135980 */     GIR_RootConstrainSelectedInstOperands,
     /* 135981 */     // GIR_Coverage, 797,
     /* 135981 */     GIR_EraseRootFromParent_Done,
     /* 135982 */   // Label 2657: @135982
     /* 135982 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(136018), // Rule ID 798 //
     /* 135987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 135990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 135995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 135998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136009 */     // (intrinsic_wo_chain:{ *:[v2i64] } 583:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTAUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f64),
     /* 136012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136016 */     GIR_RootConstrainSelectedInstOperands,
     /* 136017 */     // GIR_Coverage, 798,
     /* 136017 */     GIR_EraseRootFromParent_Done,
     /* 136018 */   // Label 2658: @136018
     /* 136018 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(136054), // Rule ID 799 //
     /* 136023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 136031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136045 */     // (intrinsic_wo_chain:{ *:[v4i16] } 584:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f16),
     /* 136048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136052 */     GIR_RootConstrainSelectedInstOperands,
     /* 136053 */     // GIR_Coverage, 799,
     /* 136053 */     GIR_EraseRootFromParent_Done,
     /* 136054 */   // Label 2659: @136054
     /* 136054 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(136090), // Rule ID 800 //
     /* 136059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 136067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136081 */     // (intrinsic_wo_chain:{ *:[v8i16] } 584:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv8f16),
     /* 136084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136088 */     GIR_RootConstrainSelectedInstOperands,
     /* 136089 */     // GIR_Coverage, 800,
     /* 136089 */     GIR_EraseRootFromParent_Done,
     /* 136090 */   // Label 2660: @136090
     /* 136090 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(136126), // Rule ID 801 //
     /* 136095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 136103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 136106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 136109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136117 */     // (intrinsic_wo_chain:{ *:[v2i32] } 584:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 136117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f32),
     /* 136120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136124 */     GIR_RootConstrainSelectedInstOperands,
     /* 136125 */     // GIR_Coverage, 801,
     /* 136125 */     GIR_EraseRootFromParent_Done,
     /* 136126 */   // Label 2661: @136126
     /* 136126 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(136162), // Rule ID 802 //
     /* 136131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 136139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 136142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 136145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136153 */     // (intrinsic_wo_chain:{ *:[v4i32] } 584:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 136153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f32),
     /* 136156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136160 */     GIR_RootConstrainSelectedInstOperands,
     /* 136161 */     // GIR_Coverage, 802,
     /* 136161 */     GIR_EraseRootFromParent_Done,
     /* 136162 */   // Label 2662: @136162
     /* 136162 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(136198), // Rule ID 803 //
     /* 136167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 136175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 136178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136189 */     // (intrinsic_wo_chain:{ *:[v2i64] } 584:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f64),
     /* 136192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136196 */     GIR_RootConstrainSelectedInstOperands,
     /* 136197 */     // GIR_Coverage, 803,
     /* 136197 */     GIR_EraseRootFromParent_Done,
     /* 136198 */   // Label 2663: @136198
     /* 136198 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(136234), // Rule ID 804 //
     /* 136203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 136211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136225 */     // (intrinsic_wo_chain:{ *:[v4i16] } 585:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f16),
     /* 136228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136232 */     GIR_RootConstrainSelectedInstOperands,
     /* 136233 */     // GIR_Coverage, 804,
     /* 136233 */     GIR_EraseRootFromParent_Done,
     /* 136234 */   // Label 2664: @136234
     /* 136234 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(136270), // Rule ID 805 //
     /* 136239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 136247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136261 */     // (intrinsic_wo_chain:{ *:[v8i16] } 585:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv8f16),
     /* 136264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136268 */     GIR_RootConstrainSelectedInstOperands,
     /* 136269 */     // GIR_Coverage, 805,
     /* 136269 */     GIR_EraseRootFromParent_Done,
     /* 136270 */   // Label 2665: @136270
     /* 136270 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(136306), // Rule ID 806 //
     /* 136275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 136283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 136286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 136289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136297 */     // (intrinsic_wo_chain:{ *:[v2i32] } 585:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 136297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f32),
     /* 136300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136304 */     GIR_RootConstrainSelectedInstOperands,
     /* 136305 */     // GIR_Coverage, 806,
     /* 136305 */     GIR_EraseRootFromParent_Done,
     /* 136306 */   // Label 2666: @136306
     /* 136306 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(136342), // Rule ID 807 //
     /* 136311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 136319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 136322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 136325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136333 */     // (intrinsic_wo_chain:{ *:[v4i32] } 585:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 136333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f32),
     /* 136336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136340 */     GIR_RootConstrainSelectedInstOperands,
     /* 136341 */     // GIR_Coverage, 807,
     /* 136341 */     GIR_EraseRootFromParent_Done,
     /* 136342 */   // Label 2667: @136342
     /* 136342 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(136378), // Rule ID 808 //
     /* 136347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 136355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 136358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136369 */     // (intrinsic_wo_chain:{ *:[v2i64] } 585:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f64),
     /* 136372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136376 */     GIR_RootConstrainSelectedInstOperands,
     /* 136377 */     // GIR_Coverage, 808,
     /* 136377 */     GIR_EraseRootFromParent_Done,
     /* 136378 */   // Label 2668: @136378
     /* 136378 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(136414), // Rule ID 809 //
     /* 136383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 136391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136405 */     // (intrinsic_wo_chain:{ *:[v4i16] } 586:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f16),
     /* 136408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136412 */     GIR_RootConstrainSelectedInstOperands,
     /* 136413 */     // GIR_Coverage, 809,
     /* 136413 */     GIR_EraseRootFromParent_Done,
     /* 136414 */   // Label 2669: @136414
     /* 136414 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(136450), // Rule ID 810 //
     /* 136419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 136427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136441 */     // (intrinsic_wo_chain:{ *:[v8i16] } 586:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv8f16),
     /* 136444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136448 */     GIR_RootConstrainSelectedInstOperands,
     /* 136449 */     // GIR_Coverage, 810,
     /* 136449 */     GIR_EraseRootFromParent_Done,
     /* 136450 */   // Label 2670: @136450
     /* 136450 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(136486), // Rule ID 811 //
     /* 136455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 136463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 136466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 136469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136477 */     // (intrinsic_wo_chain:{ *:[v2i32] } 586:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 136477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f32),
     /* 136480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136484 */     GIR_RootConstrainSelectedInstOperands,
     /* 136485 */     // GIR_Coverage, 811,
     /* 136485 */     GIR_EraseRootFromParent_Done,
     /* 136486 */   // Label 2671: @136486
     /* 136486 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(136522), // Rule ID 812 //
     /* 136491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 136499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 136502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 136505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136513 */     // (intrinsic_wo_chain:{ *:[v4i32] } 586:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 136513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f32),
     /* 136516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136520 */     GIR_RootConstrainSelectedInstOperands,
     /* 136521 */     // GIR_Coverage, 812,
     /* 136521 */     GIR_EraseRootFromParent_Done,
     /* 136522 */   // Label 2672: @136522
     /* 136522 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(136558), // Rule ID 813 //
     /* 136527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 136535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 136538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136549 */     // (intrinsic_wo_chain:{ *:[v2i64] } 586:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f64),
     /* 136552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136556 */     GIR_RootConstrainSelectedInstOperands,
     /* 136557 */     // GIR_Coverage, 813,
     /* 136557 */     GIR_EraseRootFromParent_Done,
     /* 136558 */   // Label 2673: @136558
     /* 136558 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(136594), // Rule ID 814 //
     /* 136563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 136571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136585 */     // (intrinsic_wo_chain:{ *:[v4i16] } 587:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f16),
     /* 136588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136592 */     GIR_RootConstrainSelectedInstOperands,
     /* 136593 */     // GIR_Coverage, 814,
     /* 136593 */     GIR_EraseRootFromParent_Done,
     /* 136594 */   // Label 2674: @136594
     /* 136594 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(136630), // Rule ID 815 //
     /* 136599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 136607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136621 */     // (intrinsic_wo_chain:{ *:[v8i16] } 587:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv8f16),
     /* 136624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136628 */     GIR_RootConstrainSelectedInstOperands,
     /* 136629 */     // GIR_Coverage, 815,
     /* 136629 */     GIR_EraseRootFromParent_Done,
     /* 136630 */   // Label 2675: @136630
     /* 136630 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(136666), // Rule ID 816 //
     /* 136635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 136643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 136646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 136649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136657 */     // (intrinsic_wo_chain:{ *:[v2i32] } 587:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 136657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f32),
     /* 136660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136664 */     GIR_RootConstrainSelectedInstOperands,
     /* 136665 */     // GIR_Coverage, 816,
     /* 136665 */     GIR_EraseRootFromParent_Done,
     /* 136666 */   // Label 2676: @136666
     /* 136666 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(136702), // Rule ID 817 //
     /* 136671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 136679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 136682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 136685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136693 */     // (intrinsic_wo_chain:{ *:[v4i32] } 587:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 136693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f32),
     /* 136696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136700 */     GIR_RootConstrainSelectedInstOperands,
     /* 136701 */     // GIR_Coverage, 817,
     /* 136701 */     GIR_EraseRootFromParent_Done,
     /* 136702 */   // Label 2677: @136702
     /* 136702 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(136738), // Rule ID 818 //
     /* 136707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 136715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 136718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136729 */     // (intrinsic_wo_chain:{ *:[v2i64] } 587:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f64),
     /* 136732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136736 */     GIR_RootConstrainSelectedInstOperands,
     /* 136737 */     // GIR_Coverage, 818,
     /* 136737 */     GIR_EraseRootFromParent_Done,
     /* 136738 */   // Label 2678: @136738
     /* 136738 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(136774), // Rule ID 819 //
     /* 136743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 136751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136765 */     // (intrinsic_wo_chain:{ *:[v4i16] } 588:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f16),
     /* 136768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136772 */     GIR_RootConstrainSelectedInstOperands,
     /* 136773 */     // GIR_Coverage, 819,
     /* 136773 */     GIR_EraseRootFromParent_Done,
     /* 136774 */   // Label 2679: @136774
     /* 136774 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(136810), // Rule ID 820 //
     /* 136779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 136787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136801 */     // (intrinsic_wo_chain:{ *:[v8i16] } 588:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv8f16),
     /* 136804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136808 */     GIR_RootConstrainSelectedInstOperands,
     /* 136809 */     // GIR_Coverage, 820,
     /* 136809 */     GIR_EraseRootFromParent_Done,
     /* 136810 */   // Label 2680: @136810
     /* 136810 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(136846), // Rule ID 821 //
     /* 136815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 136823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 136826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 136829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136837 */     // (intrinsic_wo_chain:{ *:[v2i32] } 588:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 136837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f32),
     /* 136840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136844 */     GIR_RootConstrainSelectedInstOperands,
     /* 136845 */     // GIR_Coverage, 821,
     /* 136845 */     GIR_EraseRootFromParent_Done,
     /* 136846 */   // Label 2681: @136846
     /* 136846 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(136882), // Rule ID 822 //
     /* 136851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 136859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 136862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 136865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136873 */     // (intrinsic_wo_chain:{ *:[v4i32] } 588:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 136873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f32),
     /* 136876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136880 */     GIR_RootConstrainSelectedInstOperands,
     /* 136881 */     // GIR_Coverage, 822,
     /* 136881 */     GIR_EraseRootFromParent_Done,
     /* 136882 */   // Label 2682: @136882
     /* 136882 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(136918), // Rule ID 823 //
     /* 136887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 136895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 136898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 136901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136909 */     // (intrinsic_wo_chain:{ *:[v2i64] } 588:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 136909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f64),
     /* 136912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136916 */     GIR_RootConstrainSelectedInstOperands,
     /* 136917 */     // GIR_Coverage, 823,
     /* 136917 */     GIR_EraseRootFromParent_Done,
     /* 136918 */   // Label 2683: @136918
     /* 136918 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(136954), // Rule ID 824 //
     /* 136923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 136931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 136934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 136937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 136945 */     // (intrinsic_wo_chain:{ *:[v4i16] } 589:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 136945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f16),
     /* 136948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136952 */     GIR_RootConstrainSelectedInstOperands,
     /* 136953 */     // GIR_Coverage, 824,
     /* 136953 */     GIR_EraseRootFromParent_Done,
     /* 136954 */   // Label 2684: @136954
     /* 136954 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(136990), // Rule ID 825 //
     /* 136959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 136962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 136967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 136970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 136973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 136981 */     // (intrinsic_wo_chain:{ *:[v8i16] } 589:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 136981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv8f16),
     /* 136984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 136986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 136988 */     GIR_RootConstrainSelectedInstOperands,
     /* 136989 */     // GIR_Coverage, 825,
     /* 136989 */     GIR_EraseRootFromParent_Done,
     /* 136990 */   // Label 2685: @136990
     /* 136990 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(137026), // Rule ID 826 //
     /* 136995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 136998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 137003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137017 */     // (intrinsic_wo_chain:{ *:[v2i32] } 589:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 137017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f32),
     /* 137020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137024 */     GIR_RootConstrainSelectedInstOperands,
     /* 137025 */     // GIR_Coverage, 826,
     /* 137025 */     GIR_EraseRootFromParent_Done,
     /* 137026 */   // Label 2686: @137026
     /* 137026 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(137062), // Rule ID 827 //
     /* 137031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 137039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137053 */     // (intrinsic_wo_chain:{ *:[v4i32] } 589:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 137053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f32),
     /* 137056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137060 */     GIR_RootConstrainSelectedInstOperands,
     /* 137061 */     // GIR_Coverage, 827,
     /* 137061 */     GIR_EraseRootFromParent_Done,
     /* 137062 */   // Label 2687: @137062
     /* 137062 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(137098), // Rule ID 828 //
     /* 137067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 137075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137089 */     // (intrinsic_wo_chain:{ *:[v2i64] } 589:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 137089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f64),
     /* 137092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137096 */     GIR_RootConstrainSelectedInstOperands,
     /* 137097 */     // GIR_Coverage, 828,
     /* 137097 */     GIR_EraseRootFromParent_Done,
     /* 137098 */   // Label 2688: @137098
     /* 137098 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(137134), // Rule ID 829 //
     /* 137103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /* 137111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137125 */     // (intrinsic_wo_chain:{ *:[v2f32] } 590:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTXNv2f32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 137125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv2f32),
     /* 137128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137132 */     GIR_RootConstrainSelectedInstOperands,
     /* 137133 */     // GIR_Coverage, 829,
     /* 137133 */     GIR_EraseRootFromParent_Done,
     /* 137134 */   // Label 2689: @137134
     /* 137134 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(137170), // Rule ID 856 //
     /* 137139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 137142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 137147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 137150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 137153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137161 */     // (intrinsic_wo_chain:{ *:[v4f16] } 631:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRECPEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 137161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f16),
     /* 137164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137168 */     GIR_RootConstrainSelectedInstOperands,
     /* 137169 */     // GIR_Coverage, 856,
     /* 137169 */     GIR_EraseRootFromParent_Done,
     /* 137170 */   // Label 2690: @137170
     /* 137170 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(137206), // Rule ID 857 //
     /* 137175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 137178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 137183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 137186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 137189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137197 */     // (intrinsic_wo_chain:{ *:[v8f16] } 631:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRECPEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 137197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv8f16),
     /* 137200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137204 */     GIR_RootConstrainSelectedInstOperands,
     /* 137205 */     // GIR_Coverage, 857,
     /* 137205 */     GIR_EraseRootFromParent_Done,
     /* 137206 */   // Label 2691: @137206
     /* 137206 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(137242), // Rule ID 858 //
     /* 137211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 137219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137233 */     // (intrinsic_wo_chain:{ *:[v2f32] } 631:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRECPEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f32),
     /* 137236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137240 */     GIR_RootConstrainSelectedInstOperands,
     /* 137241 */     // GIR_Coverage, 858,
     /* 137241 */     GIR_EraseRootFromParent_Done,
     /* 137242 */   // Label 2692: @137242
     /* 137242 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(137278), // Rule ID 859 //
     /* 137247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 137255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137269 */     // (intrinsic_wo_chain:{ *:[v4f32] } 631:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRECPEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f32),
     /* 137272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137276 */     GIR_RootConstrainSelectedInstOperands,
     /* 137277 */     // GIR_Coverage, 859,
     /* 137277 */     GIR_EraseRootFromParent_Done,
     /* 137278 */   // Label 2693: @137278
     /* 137278 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(137314), // Rule ID 860 //
     /* 137283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 137291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137305 */     // (intrinsic_wo_chain:{ *:[v2f64] } 631:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRECPEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f64),
     /* 137308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137312 */     GIR_RootConstrainSelectedInstOperands,
     /* 137313 */     // GIR_Coverage, 860,
     /* 137313 */     GIR_EraseRootFromParent_Done,
     /* 137314 */   // Label 2694: @137314
     /* 137314 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(137350), // Rule ID 931 //
     /* 137319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 137327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137341 */     // (intrinsic_wo_chain:{ *:[v2f32] } 635:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f32),
     /* 137344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137348 */     GIR_RootConstrainSelectedInstOperands,
     /* 137349 */     // GIR_Coverage, 931,
     /* 137349 */     GIR_EraseRootFromParent_Done,
     /* 137350 */   // Label 2695: @137350
     /* 137350 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(137386), // Rule ID 932 //
     /* 137355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 137363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137377 */     // (intrinsic_wo_chain:{ *:[v4f32] } 635:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv4f32),
     /* 137380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137384 */     GIR_RootConstrainSelectedInstOperands,
     /* 137385 */     // GIR_Coverage, 932,
     /* 137385 */     GIR_EraseRootFromParent_Done,
     /* 137386 */   // Label 2696: @137386
     /* 137386 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(137422), // Rule ID 933 //
     /* 137391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 137399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137413 */     // (intrinsic_wo_chain:{ *:[v2f64] } 635:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f64),
     /* 137416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137420 */     GIR_RootConstrainSelectedInstOperands,
     /* 137421 */     // GIR_Coverage, 933,
     /* 137421 */     GIR_EraseRootFromParent_Done,
     /* 137422 */   // Label 2697: @137422
     /* 137422 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(137458), // Rule ID 934 //
     /* 137427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 137435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137449 */     // (intrinsic_wo_chain:{ *:[v2f32] } 637:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f32),
     /* 137452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137456 */     GIR_RootConstrainSelectedInstOperands,
     /* 137457 */     // GIR_Coverage, 934,
     /* 137457 */     GIR_EraseRootFromParent_Done,
     /* 137458 */   // Label 2698: @137458
     /* 137458 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(137494), // Rule ID 935 //
     /* 137463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 137471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137485 */     // (intrinsic_wo_chain:{ *:[v4f32] } 637:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv4f32),
     /* 137488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137492 */     GIR_RootConstrainSelectedInstOperands,
     /* 137493 */     // GIR_Coverage, 935,
     /* 137493 */     GIR_EraseRootFromParent_Done,
     /* 137494 */   // Label 2699: @137494
     /* 137494 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(137530), // Rule ID 936 //
     /* 137499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 137507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137521 */     // (intrinsic_wo_chain:{ *:[v2f64] } 637:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f64),
     /* 137524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137528 */     GIR_RootConstrainSelectedInstOperands,
     /* 137529 */     // GIR_Coverage, 936,
     /* 137529 */     GIR_EraseRootFromParent_Done,
     /* 137530 */   // Label 2700: @137530
     /* 137530 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(137566), // Rule ID 937 //
     /* 137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 137543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137557 */     // (intrinsic_wo_chain:{ *:[v2f32] } 634:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f32),
     /* 137560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137564 */     GIR_RootConstrainSelectedInstOperands,
     /* 137565 */     // GIR_Coverage, 937,
     /* 137565 */     GIR_EraseRootFromParent_Done,
     /* 137566 */   // Label 2701: @137566
     /* 137566 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(137602), // Rule ID 938 //
     /* 137571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 137579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137593 */     // (intrinsic_wo_chain:{ *:[v4f32] } 634:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv4f32),
     /* 137596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137600 */     GIR_RootConstrainSelectedInstOperands,
     /* 137601 */     // GIR_Coverage, 938,
     /* 137601 */     GIR_EraseRootFromParent_Done,
     /* 137602 */   // Label 2702: @137602
     /* 137602 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(137638), // Rule ID 939 //
     /* 137607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 137615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137629 */     // (intrinsic_wo_chain:{ *:[v2f64] } 634:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f64),
     /* 137632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137636 */     GIR_RootConstrainSelectedInstOperands,
     /* 137637 */     // GIR_Coverage, 939,
     /* 137637 */     GIR_EraseRootFromParent_Done,
     /* 137638 */   // Label 2703: @137638
     /* 137638 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(137674), // Rule ID 940 //
     /* 137643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 137651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137665 */     // (intrinsic_wo_chain:{ *:[v2f32] } 636:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f32),
     /* 137668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137672 */     GIR_RootConstrainSelectedInstOperands,
     /* 137673 */     // GIR_Coverage, 940,
     /* 137673 */     GIR_EraseRootFromParent_Done,
     /* 137674 */   // Label 2704: @137674
     /* 137674 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(137710), // Rule ID 941 //
     /* 137679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 137687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137701 */     // (intrinsic_wo_chain:{ *:[v4f32] } 636:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv4f32),
     /* 137704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137708 */     GIR_RootConstrainSelectedInstOperands,
     /* 137709 */     // GIR_Coverage, 941,
     /* 137709 */     GIR_EraseRootFromParent_Done,
     /* 137710 */   // Label 2705: @137710
     /* 137710 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(137746), // Rule ID 942 //
     /* 137715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 137718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 137723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137737 */     // (intrinsic_wo_chain:{ *:[v2f64] } 636:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f64),
     /* 137740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137744 */     GIR_RootConstrainSelectedInstOperands,
     /* 137745 */     // GIR_Coverage, 942,
     /* 137745 */     GIR_EraseRootFromParent_Done,
     /* 137746 */   // Label 2706: @137746
     /* 137746 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(137782), // Rule ID 943 //
     /* 137751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 137754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 137759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 137762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 137765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137773 */     // (intrinsic_wo_chain:{ *:[v4f16] } 638:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRSQRTEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 137773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f16),
     /* 137776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137780 */     GIR_RootConstrainSelectedInstOperands,
     /* 137781 */     // GIR_Coverage, 943,
     /* 137781 */     GIR_EraseRootFromParent_Done,
     /* 137782 */   // Label 2707: @137782
     /* 137782 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(137818), // Rule ID 944 //
     /* 137787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 137790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 137795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 137798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 137801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137809 */     // (intrinsic_wo_chain:{ *:[v8f16] } 638:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRSQRTEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 137809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv8f16),
     /* 137812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137816 */     GIR_RootConstrainSelectedInstOperands,
     /* 137817 */     // GIR_Coverage, 944,
     /* 137817 */     GIR_EraseRootFromParent_Done,
     /* 137818 */   // Label 2708: @137818
     /* 137818 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(137854), // Rule ID 945 //
     /* 137823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 137831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 137834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 137837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137845 */     // (intrinsic_wo_chain:{ *:[v2f32] } 638:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRSQRTEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 137845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f32),
     /* 137848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137852 */     GIR_RootConstrainSelectedInstOperands,
     /* 137853 */     // GIR_Coverage, 945,
     /* 137853 */     GIR_EraseRootFromParent_Done,
     /* 137854 */   // Label 2709: @137854
     /* 137854 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(137890), // Rule ID 946 //
     /* 137859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 137867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 137870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 137873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137881 */     // (intrinsic_wo_chain:{ *:[v4f32] } 638:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRSQRTEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 137881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f32),
     /* 137884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137888 */     GIR_RootConstrainSelectedInstOperands,
     /* 137889 */     // GIR_Coverage, 946,
     /* 137889 */     GIR_EraseRootFromParent_Done,
     /* 137890 */   // Label 2710: @137890
     /* 137890 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(137926), // Rule ID 947 //
     /* 137895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 137903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 137906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 137909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137917 */     // (intrinsic_wo_chain:{ *:[v2f64] } 638:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRSQRTEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 137917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f64),
     /* 137920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137924 */     GIR_RootConstrainSelectedInstOperands,
     /* 137925 */     // GIR_Coverage, 947,
     /* 137925 */     GIR_EraseRootFromParent_Done,
     /* 137926 */   // Label 2711: @137926
     /* 137926 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(137962), // Rule ID 994 //
     /* 137931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 137939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 137942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 137945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137953 */     // (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 137953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 137956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137960 */     GIR_RootConstrainSelectedInstOperands,
     /* 137961 */     // GIR_Coverage, 994,
     /* 137961 */     GIR_EraseRootFromParent_Done,
     /* 137962 */   // Label 2712: @137962
     /* 137962 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(137998), // Rule ID 996 //
     /* 137967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 137970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 137975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 137978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 137981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 137989 */     // (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 137989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 137992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 137994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 137996 */     GIR_RootConstrainSelectedInstOperands,
     /* 137997 */     // GIR_Coverage, 996,
     /* 137997 */     GIR_EraseRootFromParent_Done,
     /* 137998 */   // Label 2713: @137998
     /* 137998 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(138034), // Rule ID 998 //
     /* 138003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 138011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 138017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138025 */     // (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 138025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 138028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138032 */     GIR_RootConstrainSelectedInstOperands,
     /* 138033 */     // GIR_Coverage, 998,
     /* 138033 */     GIR_EraseRootFromParent_Done,
     /* 138034 */   // Label 2714: @138034
     /* 138034 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(138070), // Rule ID 1000 //
     /* 138039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 138047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 138053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138061 */     // (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 138061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 138064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138068 */     GIR_RootConstrainSelectedInstOperands,
     /* 138069 */     // GIR_Coverage, 1000,
     /* 138069 */     GIR_EraseRootFromParent_Done,
     /* 138070 */   // Label 2715: @138070
     /* 138070 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(138106), // Rule ID 1002 //
     /* 138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 138083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 138086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138097 */     // (intrinsic_wo_chain:{ *:[v1i64] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 138097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 138100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138104 */     GIR_RootConstrainSelectedInstOperands,
     /* 138105 */     // GIR_Coverage, 1002,
     /* 138105 */     GIR_EraseRootFromParent_Done,
     /* 138106 */   // Label 2716: @138106
     /* 138106 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(138142), // Rule ID 1004 //
     /* 138111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 138119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 138122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138133 */     // (intrinsic_wo_chain:{ *:[v2i64] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 138133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 138136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138140 */     GIR_RootConstrainSelectedInstOperands,
     /* 138141 */     // GIR_Coverage, 1004,
     /* 138141 */     GIR_EraseRootFromParent_Done,
     /* 138142 */   // Label 2717: @138142
     /* 138142 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(138178), // Rule ID 1015 //
     /* 138147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 138158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 138161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138169 */     // (intrinsic_wo_chain:{ *:[v8i8] } 677:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 138169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i8),
     /* 138172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138176 */     GIR_RootConstrainSelectedInstOperands,
     /* 138177 */     // GIR_Coverage, 1015,
     /* 138177 */     GIR_EraseRootFromParent_Done,
     /* 138178 */   // Label 2718: @138178
     /* 138178 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(138214), // Rule ID 1016 //
     /* 138183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 138194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 138197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138205 */     // (intrinsic_wo_chain:{ *:[v16i8] } 677:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 138205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv16i8),
     /* 138208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138212 */     GIR_RootConstrainSelectedInstOperands,
     /* 138213 */     // GIR_Coverage, 1016,
     /* 138213 */     GIR_EraseRootFromParent_Done,
     /* 138214 */   // Label 2719: @138214
     /* 138214 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(138250), // Rule ID 1017 //
     /* 138219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 138230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 138233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138241 */     // (intrinsic_wo_chain:{ *:[v4i16] } 677:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 138241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i16),
     /* 138244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138248 */     GIR_RootConstrainSelectedInstOperands,
     /* 138249 */     // GIR_Coverage, 1017,
     /* 138249 */     GIR_EraseRootFromParent_Done,
     /* 138250 */   // Label 2720: @138250
     /* 138250 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(138286), // Rule ID 1018 //
     /* 138255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 138266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 138269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138277 */     // (intrinsic_wo_chain:{ *:[v8i16] } 677:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 138277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i16),
     /* 138280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138284 */     GIR_RootConstrainSelectedInstOperands,
     /* 138285 */     // GIR_Coverage, 1018,
     /* 138285 */     GIR_EraseRootFromParent_Done,
     /* 138286 */   // Label 2721: @138286
     /* 138286 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(138322), // Rule ID 1019 //
     /* 138291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138313 */     // (intrinsic_wo_chain:{ *:[v2i32] } 677:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 138313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i32),
     /* 138316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138320 */     GIR_RootConstrainSelectedInstOperands,
     /* 138321 */     // GIR_Coverage, 1019,
     /* 138321 */     GIR_EraseRootFromParent_Done,
     /* 138322 */   // Label 2722: @138322
     /* 138322 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(138358), // Rule ID 1020 //
     /* 138327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138349 */     // (intrinsic_wo_chain:{ *:[v4i32] } 677:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 138349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i32),
     /* 138352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138356 */     GIR_RootConstrainSelectedInstOperands,
     /* 138357 */     // GIR_Coverage, 1020,
     /* 138357 */     GIR_EraseRootFromParent_Done,
     /* 138358 */   // Label 2723: @138358
     /* 138358 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(138394), // Rule ID 1021 //
     /* 138363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 138371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 138374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 138377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138385 */     // (intrinsic_wo_chain:{ *:[v2i64] } 677:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 138385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i64),
     /* 138388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138392 */     GIR_RootConstrainSelectedInstOperands,
     /* 138393 */     // GIR_Coverage, 1021,
     /* 138393 */     GIR_EraseRootFromParent_Done,
     /* 138394 */   // Label 2724: @138394
     /* 138394 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(138430), // Rule ID 1022 //
     /* 138399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 138410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 138413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138421 */     // (intrinsic_wo_chain:{ *:[v8i8] } 684:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQNEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 138421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i8),
     /* 138424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138428 */     GIR_RootConstrainSelectedInstOperands,
     /* 138429 */     // GIR_Coverage, 1022,
     /* 138429 */     GIR_EraseRootFromParent_Done,
     /* 138430 */   // Label 2725: @138430
     /* 138430 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(138466), // Rule ID 1023 //
     /* 138435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 138446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 138449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138457 */     // (intrinsic_wo_chain:{ *:[v16i8] } 684:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQNEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 138457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv16i8),
     /* 138460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138464 */     GIR_RootConstrainSelectedInstOperands,
     /* 138465 */     // GIR_Coverage, 1023,
     /* 138465 */     GIR_EraseRootFromParent_Done,
     /* 138466 */   // Label 2726: @138466
     /* 138466 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(138502), // Rule ID 1024 //
     /* 138471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 138482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 138485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138493 */     // (intrinsic_wo_chain:{ *:[v4i16] } 684:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQNEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 138493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i16),
     /* 138496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138500 */     GIR_RootConstrainSelectedInstOperands,
     /* 138501 */     // GIR_Coverage, 1024,
     /* 138501 */     GIR_EraseRootFromParent_Done,
     /* 138502 */   // Label 2727: @138502
     /* 138502 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(138538), // Rule ID 1025 //
     /* 138507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 138518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 138521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138529 */     // (intrinsic_wo_chain:{ *:[v8i16] } 684:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQNEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 138529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i16),
     /* 138532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138536 */     GIR_RootConstrainSelectedInstOperands,
     /* 138537 */     // GIR_Coverage, 1025,
     /* 138537 */     GIR_EraseRootFromParent_Done,
     /* 138538 */   // Label 2728: @138538
     /* 138538 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(138574), // Rule ID 1026 //
     /* 138543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138565 */     // (intrinsic_wo_chain:{ *:[v2i32] } 684:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQNEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 138565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i32),
     /* 138568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138572 */     GIR_RootConstrainSelectedInstOperands,
     /* 138573 */     // GIR_Coverage, 1026,
     /* 138573 */     GIR_EraseRootFromParent_Done,
     /* 138574 */   // Label 2729: @138574
     /* 138574 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(138610), // Rule ID 1027 //
     /* 138579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138601 */     // (intrinsic_wo_chain:{ *:[v4i32] } 684:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQNEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 138601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i32),
     /* 138604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138608 */     GIR_RootConstrainSelectedInstOperands,
     /* 138609 */     // GIR_Coverage, 1027,
     /* 138609 */     GIR_EraseRootFromParent_Done,
     /* 138610 */   // Label 2730: @138610
     /* 138610 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(138646), // Rule ID 1028 //
     /* 138615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 138623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 138626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 138629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138637 */     // (intrinsic_wo_chain:{ *:[v2i64] } 684:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQNEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 138637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i64),
     /* 138640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138644 */     GIR_RootConstrainSelectedInstOperands,
     /* 138645 */     // GIR_Coverage, 1028,
     /* 138645 */     GIR_EraseRootFromParent_Done,
     /* 138646 */   // Label 2731: @138646
     /* 138646 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(138682), // Rule ID 1055 //
     /* 138651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 138662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 138665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138673 */     // (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 138673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 138676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138680 */     GIR_RootConstrainSelectedInstOperands,
     /* 138681 */     // GIR_Coverage, 1055,
     /* 138681 */     GIR_EraseRootFromParent_Done,
     /* 138682 */   // Label 2732: @138682
     /* 138682 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(138718), // Rule ID 1057 //
     /* 138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 138698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 138701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138709 */     // (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 138709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 138712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138716 */     GIR_RootConstrainSelectedInstOperands,
     /* 138717 */     // GIR_Coverage, 1057,
     /* 138717 */     GIR_EraseRootFromParent_Done,
     /* 138718 */   // Label 2733: @138718
     /* 138718 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(138754), // Rule ID 1059 //
     /* 138723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 138737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138745 */     // (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 138745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 138748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138752 */     GIR_RootConstrainSelectedInstOperands,
     /* 138753 */     // GIR_Coverage, 1059,
     /* 138753 */     GIR_EraseRootFromParent_Done,
     /* 138754 */   // Label 2734: @138754
     /* 138754 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(138790), // Rule ID 1061 //
     /* 138759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 138773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138781 */     // (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 138781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 138784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138788 */     GIR_RootConstrainSelectedInstOperands,
     /* 138789 */     // GIR_Coverage, 1061,
     /* 138789 */     GIR_EraseRootFromParent_Done,
     /* 138790 */   // Label 2735: @138790
     /* 138790 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(138826), // Rule ID 1063 //
     /* 138795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 138806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138817 */     // (intrinsic_wo_chain:{ *:[v1i64] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 138817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 138820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138824 */     GIR_RootConstrainSelectedInstOperands,
     /* 138825 */     // GIR_Coverage, 1063,
     /* 138825 */     GIR_EraseRootFromParent_Done,
     /* 138826 */   // Label 2736: @138826
     /* 138826 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(138862), // Rule ID 1065 //
     /* 138831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 138839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 138842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138853 */     // (intrinsic_wo_chain:{ *:[v2i64] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 138853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 138856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138860 */     GIR_RootConstrainSelectedInstOperands,
     /* 138861 */     // GIR_Coverage, 1065,
     /* 138861 */     GIR_EraseRootFromParent_Done,
     /* 138862 */   // Label 2737: @138862
     /* 138862 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(138898), // Rule ID 1079 //
     /* 138867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 138875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138889 */     // (intrinsic_wo_chain:{ *:[v2i32] } 745:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URECPEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 138889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv2i32),
     /* 138892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138896 */     GIR_RootConstrainSelectedInstOperands,
     /* 138897 */     // GIR_Coverage, 1079,
     /* 138897 */     GIR_EraseRootFromParent_Done,
     /* 138898 */   // Label 2738: @138898
     /* 138898 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(138934), // Rule ID 1080 //
     /* 138903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 138911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138925 */     // (intrinsic_wo_chain:{ *:[v4i32] } 745:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URECPEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 138925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv4i32),
     /* 138928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138932 */     GIR_RootConstrainSelectedInstOperands,
     /* 138933 */     // GIR_Coverage, 1080,
     /* 138933 */     GIR_EraseRootFromParent_Done,
     /* 138934 */   // Label 2739: @138934
     /* 138934 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(138970), // Rule ID 1081 //
     /* 138939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 138947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 138950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 138953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138961 */     // (intrinsic_wo_chain:{ *:[v2i32] } 748:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URSQRTEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 138961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv2i32),
     /* 138964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 138966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 138968 */     GIR_RootConstrainSelectedInstOperands,
     /* 138969 */     // GIR_Coverage, 1081,
     /* 138969 */     GIR_EraseRootFromParent_Done,
     /* 138970 */   // Label 2740: @138970
     /* 138970 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(139006), // Rule ID 1082 //
     /* 138975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 138978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 138983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 138986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 138989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 138997 */     // (intrinsic_wo_chain:{ *:[v4i32] } 748:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URSQRTEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 138997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv4i32),
     /* 139000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139004 */     GIR_RootConstrainSelectedInstOperands,
     /* 139005 */     // GIR_Coverage, 1082,
     /* 139005 */     GIR_EraseRootFromParent_Done,
     /* 139006 */   // Label 2741: @139006
     /* 139006 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(139042), // Rule ID 1646 //
     /* 139011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fcvtxn),
     /* 139019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139033 */     // (intrinsic_wo_chain:{ *:[f32] } 785:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTXNv1i64:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv1i64),
     /* 139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139040 */     GIR_RootConstrainSelectedInstOperands,
     /* 139041 */     // GIR_Coverage, 1646,
     /* 139041 */     GIR_EraseRootFromParent_Done,
     /* 139042 */   // Label 2742: @139042
     /* 139042 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(139078), // Rule ID 1652 //
     /* 139047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 139055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139069 */     // (intrinsic_wo_chain:{ *:[i64] } 677:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 139069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 139072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139076 */     GIR_RootConstrainSelectedInstOperands,
     /* 139077 */     // GIR_Coverage, 1652,
     /* 139077 */     GIR_EraseRootFromParent_Done,
     /* 139078 */   // Label 2743: @139078
     /* 139078 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(139114), // Rule ID 1653 //
     /* 139083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 139091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139105 */     // (intrinsic_wo_chain:{ *:[i32] } 677:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQABSv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 139105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i32),
     /* 139108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139112 */     GIR_RootConstrainSelectedInstOperands,
     /* 139113 */     // GIR_Coverage, 1653,
     /* 139113 */     GIR_EraseRootFromParent_Done,
     /* 139114 */   // Label 2744: @139114
     /* 139114 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(139150), // Rule ID 1654 //
     /* 139119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 139127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139141 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 139141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 139144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139148 */     GIR_RootConstrainSelectedInstOperands,
     /* 139149 */     // GIR_Coverage, 1654,
     /* 139149 */     GIR_EraseRootFromParent_Done,
     /* 139150 */   // Label 2745: @139150
     /* 139150 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(139186), // Rule ID 1655 //
     /* 139155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 139163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139177 */     // (intrinsic_wo_chain:{ *:[i32] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQNEGv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 139177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i32),
     /* 139180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139184 */     GIR_RootConstrainSelectedInstOperands,
     /* 139185 */     // GIR_Coverage, 1655,
     /* 139185 */     GIR_EraseRootFromParent_Done,
     /* 139186 */   // Label 2746: @139186
     /* 139186 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(139222), // Rule ID 1656 //
     /* 139191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtn),
     /* 139199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139213 */     // (intrinsic_wo_chain:{ *:[f32] } 662:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 139213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNv1i32),
     /* 139216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139220 */     GIR_RootConstrainSelectedInstOperands,
     /* 139221 */     // GIR_Coverage, 1656,
     /* 139221 */     GIR_EraseRootFromParent_Done,
     /* 139222 */   // Label 2747: @139222
     /* 139222 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(139258), // Rule ID 1657 //
     /* 139227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtun),
     /* 139235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139249 */     // (intrinsic_wo_chain:{ *:[f32] } 663:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTUNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 139249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNv1i32),
     /* 139252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139256 */     GIR_RootConstrainSelectedInstOperands,
     /* 139257 */     // GIR_Coverage, 1657,
     /* 139257 */     GIR_EraseRootFromParent_Done,
     /* 139258 */   // Label 2748: @139258
     /* 139258 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(139294), // Rule ID 1663 //
     /* 139263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_uqxtn),
     /* 139271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139285 */     // (intrinsic_wo_chain:{ *:[f32] } 664:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (UQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 139285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNv1i32),
     /* 139288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139292 */     GIR_RootConstrainSelectedInstOperands,
     /* 139293 */     // GIR_Coverage, 1663,
     /* 139293 */     GIR_EraseRootFromParent_Done,
     /* 139294 */   // Label 2749: @139294
     /* 139294 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(139330), // Rule ID 1936 //
     /* 139299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 139307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 139313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139321 */     // (intrinsic_wo_chain:{ *:[f16] } 596:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 139321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 139324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139328 */     GIR_RootConstrainSelectedInstOperands,
     /* 139329 */     // GIR_Coverage, 1936,
     /* 139329 */     GIR_EraseRootFromParent_Done,
     /* 139330 */   // Label 2750: @139330
     /* 139330 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(139366), // Rule ID 1938 //
     /* 139335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 139343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 139349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139357 */     // (intrinsic_wo_chain:{ *:[f16] } 596:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 139357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 139360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139364 */     GIR_RootConstrainSelectedInstOperands,
     /* 139365 */     // GIR_Coverage, 1938,
     /* 139365 */     GIR_EraseRootFromParent_Done,
     /* 139366 */   // Label 2751: @139366
     /* 139366 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(139402), // Rule ID 1940 //
     /* 139371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 139379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 139385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139393 */     // (intrinsic_wo_chain:{ *:[f32] } 596:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 139393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 139396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139400 */     GIR_RootConstrainSelectedInstOperands,
     /* 139401 */     // GIR_Coverage, 1940,
     /* 139401 */     GIR_EraseRootFromParent_Done,
     /* 139402 */   // Label 2752: @139402
     /* 139402 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(139438), // Rule ID 1942 //
     /* 139407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 139415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 139421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139429 */     // (intrinsic_wo_chain:{ *:[f16] } 598:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 139429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 139432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139436 */     GIR_RootConstrainSelectedInstOperands,
     /* 139437 */     // GIR_Coverage, 1942,
     /* 139437 */     GIR_EraseRootFromParent_Done,
     /* 139438 */   // Label 2753: @139438
     /* 139438 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(139474), // Rule ID 1944 //
     /* 139443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 139451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 139457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139465 */     // (intrinsic_wo_chain:{ *:[f16] } 598:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 139465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 139468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139472 */     GIR_RootConstrainSelectedInstOperands,
     /* 139473 */     // GIR_Coverage, 1944,
     /* 139473 */     GIR_EraseRootFromParent_Done,
     /* 139474 */   // Label 2754: @139474
     /* 139474 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(139510), // Rule ID 1946 //
     /* 139479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 139487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 139493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139501 */     // (intrinsic_wo_chain:{ *:[f32] } 598:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 139501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 139504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139508 */     GIR_RootConstrainSelectedInstOperands,
     /* 139509 */     // GIR_Coverage, 1946,
     /* 139509 */     GIR_EraseRootFromParent_Done,
     /* 139510 */   // Label 2755: @139510
     /* 139510 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(139546), // Rule ID 1948 //
     /* 139515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 139523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 139529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139537 */     // (intrinsic_wo_chain:{ *:[f16] } 602:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 139537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 139540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139544 */     GIR_RootConstrainSelectedInstOperands,
     /* 139545 */     // GIR_Coverage, 1948,
     /* 139545 */     GIR_EraseRootFromParent_Done,
     /* 139546 */   // Label 2756: @139546
     /* 139546 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(139582), // Rule ID 1950 //
     /* 139551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 139559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 139565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139573 */     // (intrinsic_wo_chain:{ *:[f16] } 602:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 139573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 139576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139580 */     GIR_RootConstrainSelectedInstOperands,
     /* 139581 */     // GIR_Coverage, 1950,
     /* 139581 */     GIR_EraseRootFromParent_Done,
     /* 139582 */   // Label 2757: @139582
     /* 139582 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(139618), // Rule ID 1952 //
     /* 139587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 139595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 139601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139609 */     // (intrinsic_wo_chain:{ *:[f32] } 602:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 139609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 139612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139616 */     GIR_RootConstrainSelectedInstOperands,
     /* 139617 */     // GIR_Coverage, 1952,
     /* 139617 */     GIR_EraseRootFromParent_Done,
     /* 139618 */   // Label 2758: @139618
     /* 139618 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(139654), // Rule ID 1954 //
     /* 139623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 139631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 139637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139645 */     // (intrinsic_wo_chain:{ *:[f16] } 604:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 139645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 139648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139652 */     GIR_RootConstrainSelectedInstOperands,
     /* 139653 */     // GIR_Coverage, 1954,
     /* 139653 */     GIR_EraseRootFromParent_Done,
     /* 139654 */   // Label 2759: @139654
     /* 139654 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(139690), // Rule ID 1956 //
     /* 139659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 139662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 139667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 139670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 139673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139681 */     // (intrinsic_wo_chain:{ *:[f16] } 604:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 139681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 139684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139688 */     GIR_RootConstrainSelectedInstOperands,
     /* 139689 */     // GIR_Coverage, 1956,
     /* 139689 */     GIR_EraseRootFromParent_Done,
     /* 139690 */   // Label 2760: @139690
     /* 139690 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(139726), // Rule ID 1958 //
     /* 139695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 139703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 139709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139717 */     // (intrinsic_wo_chain:{ *:[f32] } 604:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 139717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 139720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139724 */     GIR_RootConstrainSelectedInstOperands,
     /* 139725 */     // GIR_Coverage, 1958,
     /* 139725 */     GIR_EraseRootFromParent_Done,
     /* 139726 */   // Label 2761: @139726
     /* 139726 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(139762), // Rule ID 2296 //
     /* 139731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 139734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 139739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 139742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139753 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 139753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrr),
     /* 139756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139760 */     GIR_RootConstrainSelectedInstOperands,
     /* 139761 */     // GIR_Coverage, 2296,
     /* 139761 */     GIR_EraseRootFromParent_Done,
     /* 139762 */   // Label 2762: @139762
     /* 139762 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(139798), // Rule ID 2297 //
     /* 139767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 139770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 139775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 139778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139789 */     // (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESIMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 139789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrr),
     /* 139792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139796 */     GIR_RootConstrainSelectedInstOperands,
     /* 139797 */     // GIR_Coverage, 2297,
     /* 139797 */     GIR_EraseRootFromParent_Done,
     /* 139798 */   // Label 2763: @139798
     /* 139798 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(139834), // Rule ID 2305 //
     /* 139803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 139806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1h),
     /* 139811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139825 */     // (intrinsic_wo_chain:{ *:[i32] } 520:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SHA1Hrr:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 139825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Hrr),
     /* 139828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139832 */     GIR_RootConstrainSelectedInstOperands,
     /* 139833 */     // GIR_Coverage, 2305,
     /* 139833 */     GIR_EraseRootFromParent_Done,
     /* 139834 */   // Label 2764: @139834
     /* 139834 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(139870), // Rule ID 2506 //
     /* 139839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 139842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 139847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139861 */     // (intrinsic_wo_chain:{ *:[v1i64] } 677:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 139861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 139864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139868 */     GIR_RootConstrainSelectedInstOperands,
     /* 139869 */     // GIR_Coverage, 2506,
     /* 139869 */     GIR_EraseRootFromParent_Done,
     /* 139870 */   // Label 2765: @139870
     /* 139870 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(139909), // Rule ID 3528 //
     /* 139875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 139878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 139883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 139886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 139889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 139893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 139897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1532:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, 0:{ *:[i32] })
     /* 139897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 139900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 139902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 139904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139907 */     GIR_RootConstrainSelectedInstOperands,
     /* 139908 */     // GIR_Coverage, 3528,
     /* 139908 */     GIR_EraseRootFromParent_Done,
     /* 139909 */   // Label 2766: @139909
     /* 139909 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(139948), // Rule ID 3529 //
     /* 139914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 139917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 139922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 139925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 139928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 139932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 139936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1532:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, 0:{ *:[i32] })
     /* 139936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 139939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 139941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 139943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139946 */     GIR_RootConstrainSelectedInstOperands,
     /* 139947 */     // GIR_Coverage, 3529,
     /* 139947 */     GIR_EraseRootFromParent_Done,
     /* 139948 */   // Label 2767: @139948
     /* 139948 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(139987), // Rule ID 3530 //
     /* 139953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 139956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 139961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 139964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 139967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 139971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 139975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1532:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, 0:{ *:[i32] })
     /* 139975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 139978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 139980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 139982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 139985 */     GIR_RootConstrainSelectedInstOperands,
     /* 139986 */     // GIR_Coverage, 3530,
     /* 139986 */     GIR_EraseRootFromParent_Done,
     /* 139987 */   // Label 2768: @139987
     /* 139987 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(140026), // Rule ID 3531 //
     /* 139992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 139995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 140000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 140003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 140006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 140010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 140014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1532:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, 0:{ *:[i32] })
     /* 140014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 140017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 140019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 140021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140024 */     GIR_RootConstrainSelectedInstOperands,
     /* 140025 */     // GIR_Coverage, 3531,
     /* 140025 */     GIR_EraseRootFromParent_Done,
     /* 140026 */   // Label 2769: @140026
     /* 140026 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(140082), // Rule ID 3535 //
     /* 140031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 140034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 140039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 140042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 140045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 140049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 140053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1534:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (PMOV_ZIP_B:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i64] }, PPR8:{ *:[nxv16i1] }:$Pn)
     /* 140053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 140056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 140060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_B),
     /* 140070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 140072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 140080 */     GIR_RootConstrainSelectedInstOperands,
     /* 140081 */     // GIR_Coverage, 3535,
     /* 140081 */     GIR_EraseRootFromParent_Done,
     /* 140082 */   // Label 2770: @140082
     /* 140082 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(140138), // Rule ID 3536 //
     /* 140087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 140090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 140095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 140098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 140101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 140105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 140109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1534:{ *:[iPTR] }, PPR16:{ *:[nxv8i1] }:$Pn)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 140109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 140112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 140116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 140126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 140128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 140136 */     GIR_RootConstrainSelectedInstOperands,
     /* 140137 */     // GIR_Coverage, 3536,
     /* 140137 */     GIR_EraseRootFromParent_Done,
     /* 140138 */   // Label 2771: @140138
     /* 140138 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(140194), // Rule ID 3537 //
     /* 140143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 140146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 140151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 140154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 140157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 140161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 140165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1534:{ *:[iPTR] }, PPR32:{ *:[nxv4i1] }:$Pn)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 140165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 140168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 140172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 140182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 140184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 140192 */     GIR_RootConstrainSelectedInstOperands,
     /* 140193 */     // GIR_Coverage, 3537,
     /* 140193 */     GIR_EraseRootFromParent_Done,
     /* 140194 */   // Label 2772: @140194
     /* 140194 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(140250), // Rule ID 3538 //
     /* 140199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 140202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 140207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 140210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 140213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 140217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 140221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1534:{ *:[iPTR] }, PPR64:{ *:[nxv2i1] }:$Pn)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 140221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 140224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 140228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 140238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 140240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 140246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 140248 */     GIR_RootConstrainSelectedInstOperands,
     /* 140249 */     // GIR_Coverage, 3538,
     /* 140249 */     GIR_EraseRootFromParent_Done,
     /* 140250 */   // Label 2773: @140250
     /* 140250 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(140283), // Rule ID 3951 //
     /* 140255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls),
     /* 140260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140274 */     // (intrinsic_wo_chain:{ *:[i32] } 500:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn)  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 140274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 140277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140281 */     GIR_RootConstrainSelectedInstOperands,
     /* 140282 */     // GIR_Coverage, 3951,
     /* 140282 */     GIR_EraseRootFromParent_Done,
     /* 140283 */   // Label 2774: @140283
     /* 140283 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(140348), // Rule ID 3952 //
     /* 140288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls64),
     /* 140293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140307 */     // (intrinsic_wo_chain:{ *:[i32] } 501:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rm)  =>  (EXTRACT_SUBREG:{ *:[i32] } (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rm), sub_32:{ *:[i32] })
     /* 140307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 140310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 140314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 140323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 140328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140330 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /* 140337 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140347 */     // GIR_Coverage, 3952,
     /* 140347 */     GIR_EraseRootFromParent_Done,
     /* 140348 */   // Label 2775: @140348
     /* 140348 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(140381), // Rule ID 4720 //
     /* 140353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 140358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140372 */     // (intrinsic_wo_chain:{ *:[v1f64] } 635:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 140375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140379 */     GIR_RootConstrainSelectedInstOperands,
     /* 140380 */     // GIR_Coverage, 4720,
     /* 140380 */     GIR_EraseRootFromParent_Done,
     /* 140381 */   // Label 2776: @140381
     /* 140381 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(140414), // Rule ID 4721 //
     /* 140386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 140391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140405 */     // (intrinsic_wo_chain:{ *:[v1f64] } 637:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 140408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140412 */     GIR_RootConstrainSelectedInstOperands,
     /* 140413 */     // GIR_Coverage, 4721,
     /* 140413 */     GIR_EraseRootFromParent_Done,
     /* 140414 */   // Label 2777: @140414
     /* 140414 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(140447), // Rule ID 4722 //
     /* 140419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 140424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140438 */     // (intrinsic_wo_chain:{ *:[v1f64] } 634:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 140441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140445 */     GIR_RootConstrainSelectedInstOperands,
     /* 140446 */     // GIR_Coverage, 4722,
     /* 140446 */     GIR_EraseRootFromParent_Done,
     /* 140447 */   // Label 2778: @140447
     /* 140447 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(140480), // Rule ID 4723 //
     /* 140452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 140457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140471 */     // (intrinsic_wo_chain:{ *:[v1f64] } 636:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 140474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140478 */     GIR_RootConstrainSelectedInstOperands,
     /* 140479 */     // GIR_Coverage, 4723,
     /* 140479 */     GIR_EraseRootFromParent_Done,
     /* 140480 */   // Label 2779: @140480
     /* 140480 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(140513), // Rule ID 4837 //
     /* 140485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 140490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 140493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 140496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140504 */     // (intrinsic_wo_chain:{ *:[v4f32] } 766:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4i16] }:$Rn)
     /* 140504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 140507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140511 */     GIR_RootConstrainSelectedInstOperands,
     /* 140512 */     // GIR_Coverage, 4837,
     /* 140512 */     GIR_EraseRootFromParent_Done,
     /* 140513 */   // Label 2780: @140513
     /* 140513 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(140546), // Rule ID 4847 //
     /* 140518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /* 140523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 140526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 140529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140537 */     // (intrinsic_wo_chain:{ *:[v4i16] } 763:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4i16] } V128:{ *:[v4f32] }:$Rn)
     /* 140537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 140540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140544 */     GIR_RootConstrainSelectedInstOperands,
     /* 140545 */     // GIR_Coverage, 4847,
     /* 140545 */     GIR_EraseRootFromParent_Done,
     /* 140546 */   // Label 2781: @140546
     /* 140546 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(140582), // Rule ID 5185 //
     /* 140551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 140554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 140559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140573 */     // (intrinsic_wo_chain:{ *:[v1i64] } 684:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 140573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 140576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140580 */     GIR_RootConstrainSelectedInstOperands,
     /* 140581 */     // GIR_Coverage, 5185,
     /* 140581 */     GIR_EraseRootFromParent_Done,
     /* 140582 */   // Label 2782: @140582
     /* 140582 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(140615), // Rule ID 5188 //
     /* 140587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140606 */     // (intrinsic_wo_chain:{ *:[v1i64] } 582:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTASv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv1i64),
     /* 140609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140613 */     GIR_RootConstrainSelectedInstOperands,
     /* 140614 */     // GIR_Coverage, 5188,
     /* 140614 */     GIR_EraseRootFromParent_Done,
     /* 140615 */   // Label 2783: @140615
     /* 140615 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(140648), // Rule ID 5189 //
     /* 140620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140639 */     // (intrinsic_wo_chain:{ *:[v1i64] } 583:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTAUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv1i64),
     /* 140642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140646 */     GIR_RootConstrainSelectedInstOperands,
     /* 140647 */     // GIR_Coverage, 5189,
     /* 140647 */     GIR_EraseRootFromParent_Done,
     /* 140648 */   // Label 2784: @140648
     /* 140648 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(140681), // Rule ID 5190 //
     /* 140653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140672 */     // (intrinsic_wo_chain:{ *:[v1i64] } 584:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv1i64),
     /* 140675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140679 */     GIR_RootConstrainSelectedInstOperands,
     /* 140680 */     // GIR_Coverage, 5190,
     /* 140680 */     GIR_EraseRootFromParent_Done,
     /* 140681 */   // Label 2785: @140681
     /* 140681 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(140714), // Rule ID 5191 //
     /* 140686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140705 */     // (intrinsic_wo_chain:{ *:[v1i64] } 585:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv1i64),
     /* 140708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140712 */     GIR_RootConstrainSelectedInstOperands,
     /* 140713 */     // GIR_Coverage, 5191,
     /* 140713 */     GIR_EraseRootFromParent_Done,
     /* 140714 */   // Label 2786: @140714
     /* 140714 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(140747), // Rule ID 5192 //
     /* 140719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140738 */     // (intrinsic_wo_chain:{ *:[v1i64] } 586:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv1i64),
     /* 140741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140745 */     GIR_RootConstrainSelectedInstOperands,
     /* 140746 */     // GIR_Coverage, 5192,
     /* 140746 */     GIR_EraseRootFromParent_Done,
     /* 140747 */   // Label 2787: @140747
     /* 140747 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(140780), // Rule ID 5193 //
     /* 140752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 140757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140771 */     // (intrinsic_wo_chain:{ *:[v1i64] } 587:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv1i64),
     /* 140774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140778 */     GIR_RootConstrainSelectedInstOperands,
     /* 140779 */     // GIR_Coverage, 5193,
     /* 140779 */     GIR_EraseRootFromParent_Done,
     /* 140780 */   // Label 2788: @140780
     /* 140780 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(140813), // Rule ID 5194 //
     /* 140785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 140790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140804 */     // (intrinsic_wo_chain:{ *:[v1i64] } 588:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv1i64),
     /* 140807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140811 */     GIR_RootConstrainSelectedInstOperands,
     /* 140812 */     // GIR_Coverage, 5194,
     /* 140812 */     GIR_EraseRootFromParent_Done,
     /* 140813 */   // Label 2789: @140813
     /* 140813 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(140846), // Rule ID 5195 //
     /* 140818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 140823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140837 */     // (intrinsic_wo_chain:{ *:[v1i64] } 589:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv1i64),
     /* 140840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140844 */     GIR_RootConstrainSelectedInstOperands,
     /* 140845 */     // GIR_Coverage, 5195,
     /* 140845 */     GIR_EraseRootFromParent_Done,
     /* 140846 */   // Label 2790: @140846
     /* 140846 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(140879), // Rule ID 5196 //
     /* 140851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 140856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140870 */     // (intrinsic_wo_chain:{ *:[v1i64] } 591:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 140873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140877 */     GIR_RootConstrainSelectedInstOperands,
     /* 140878 */     // GIR_Coverage, 5196,
     /* 140878 */     GIR_EraseRootFromParent_Done,
     /* 140879 */   // Label 2791: @140879
     /* 140879 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(140912), // Rule ID 5197 //
     /* 140884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 140889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140903 */     // (intrinsic_wo_chain:{ *:[v1i64] } 592:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 140903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 140906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140910 */     GIR_RootConstrainSelectedInstOperands,
     /* 140911 */     // GIR_Coverage, 5197,
     /* 140911 */     GIR_EraseRootFromParent_Done,
     /* 140912 */   // Label 2792: @140912
     /* 140912 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(140945), // Rule ID 5198 //
     /* 140917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 140922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 140925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140936 */     // (intrinsic_wo_chain:{ *:[f16] } 631:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 140936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1f16),
     /* 140939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140943 */     GIR_RootConstrainSelectedInstOperands,
     /* 140944 */     // GIR_Coverage, 5198,
     /* 140944 */     GIR_EraseRootFromParent_Done,
     /* 140945 */   // Label 2793: @140945
     /* 140945 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(140978), // Rule ID 5199 //
     /* 140950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 140955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140969 */     // (intrinsic_wo_chain:{ *:[f32] } 631:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 140969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i32),
     /* 140972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140976 */     GIR_RootConstrainSelectedInstOperands,
     /* 140977 */     // GIR_Coverage, 5199,
     /* 140977 */     GIR_EraseRootFromParent_Done,
     /* 140978 */   // Label 2794: @140978
     /* 140978 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(141011), // Rule ID 5200 //
     /* 140983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 140988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141002 */     // (intrinsic_wo_chain:{ *:[f64] } 631:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 141005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141009 */     GIR_RootConstrainSelectedInstOperands,
     /* 141010 */     // GIR_Coverage, 5200,
     /* 141010 */     GIR_EraseRootFromParent_Done,
     /* 141011 */   // Label 2795: @141011
     /* 141011 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(141044), // Rule ID 5201 //
     /* 141016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 141021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141035 */     // (intrinsic_wo_chain:{ *:[v1f64] } 631:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 141035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 141038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141042 */     GIR_RootConstrainSelectedInstOperands,
     /* 141043 */     // GIR_Coverage, 5201,
     /* 141043 */     GIR_EraseRootFromParent_Done,
     /* 141044 */   // Label 2796: @141044
     /* 141044 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(141077), // Rule ID 5213 //
     /* 141049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 141054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 141057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141068 */     // (intrinsic_wo_chain:{ *:[f16] } 633:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPXv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 141068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1f16),
     /* 141071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141075 */     GIR_RootConstrainSelectedInstOperands,
     /* 141076 */     // GIR_Coverage, 5213,
     /* 141076 */     GIR_EraseRootFromParent_Done,
     /* 141077 */   // Label 2797: @141077
     /* 141077 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(141110), // Rule ID 5214 //
     /* 141082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 141087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141101 */     // (intrinsic_wo_chain:{ *:[f32] } 633:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPXv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i32),
     /* 141104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141108 */     GIR_RootConstrainSelectedInstOperands,
     /* 141109 */     // GIR_Coverage, 5214,
     /* 141109 */     GIR_EraseRootFromParent_Done,
     /* 141110 */   // Label 2798: @141110
     /* 141110 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(141143), // Rule ID 5215 //
     /* 141115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 141120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141134 */     // (intrinsic_wo_chain:{ *:[f64] } 633:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPXv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i64),
     /* 141137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141141 */     GIR_RootConstrainSelectedInstOperands,
     /* 141142 */     // GIR_Coverage, 5215,
     /* 141142 */     GIR_EraseRootFromParent_Done,
     /* 141143 */   // Label 2799: @141143
     /* 141143 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(141176), // Rule ID 5216 //
     /* 141148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 141153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 141156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141167 */     // (intrinsic_wo_chain:{ *:[f16] } 638:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRSQRTEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 141167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1f16),
     /* 141170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141174 */     GIR_RootConstrainSelectedInstOperands,
     /* 141175 */     // GIR_Coverage, 5216,
     /* 141175 */     GIR_EraseRootFromParent_Done,
     /* 141176 */   // Label 2800: @141176
     /* 141176 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(141209), // Rule ID 5217 //
     /* 141181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 141186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141200 */     // (intrinsic_wo_chain:{ *:[f32] } 638:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRSQRTEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i32),
     /* 141203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141207 */     GIR_RootConstrainSelectedInstOperands,
     /* 141208 */     // GIR_Coverage, 5217,
     /* 141208 */     GIR_EraseRootFromParent_Done,
     /* 141209 */   // Label 2801: @141209
     /* 141209 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(141242), // Rule ID 5218 //
     /* 141214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 141219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141233 */     // (intrinsic_wo_chain:{ *:[f64] } 638:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 141236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141240 */     GIR_RootConstrainSelectedInstOperands,
     /* 141241 */     // GIR_Coverage, 5218,
     /* 141241 */     GIR_EraseRootFromParent_Done,
     /* 141242 */   // Label 2802: @141242
     /* 141242 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(141275), // Rule ID 5219 //
     /* 141247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 141252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141266 */     // (intrinsic_wo_chain:{ *:[v1f64] } 638:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 141266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 141269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141273 */     GIR_RootConstrainSelectedInstOperands,
     /* 141274 */     // GIR_Coverage, 5219,
     /* 141274 */     GIR_EraseRootFromParent_Done,
     /* 141275 */   // Label 2803: @141275
     /* 141275 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(141308), // Rule ID 5537 //
     /* 141280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 141285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 141291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141299 */     // (intrinsic_wo_chain:{ *:[f32] } 579:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 141299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 141302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141306 */     GIR_RootConstrainSelectedInstOperands,
     /* 141307 */     // GIR_Coverage, 5537,
     /* 141307 */     GIR_EraseRootFromParent_Done,
     /* 141308 */   // Label 2804: @141308
     /* 141308 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(141393), // Rule ID 5538 //
     /* 141313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 141318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 141324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141332 */     // (intrinsic_wo_chain:{ *:[f32] } 579:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 141332 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 141335 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 141339 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 141344 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 141348 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 141352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 141354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 141357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 141361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 141366 */     GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 141373 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141378 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 141386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 141391 */     GIR_RootConstrainSelectedInstOperands,
     /* 141392 */     // GIR_Coverage, 5538,
     /* 141392 */     GIR_EraseRootFromParent_Done,
     /* 141393 */   // Label 2805: @141393
     /* 141393 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(141426), // Rule ID 5539 //
     /* 141398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 141403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 141409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141417 */     // (intrinsic_wo_chain:{ *:[f64] } 579:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 141417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 141420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141424 */     GIR_RootConstrainSelectedInstOperands,
     /* 141425 */     // GIR_Coverage, 5539,
     /* 141425 */     GIR_EraseRootFromParent_Done,
     /* 141426 */   // Label 2806: @141426
     /* 141426 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(141459), // Rule ID 5541 //
     /* 141431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 141436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 141442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141450 */     // (intrinsic_wo_chain:{ *:[f32] } 596:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 141450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 141453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141457 */     GIR_RootConstrainSelectedInstOperands,
     /* 141458 */     // GIR_Coverage, 5541,
     /* 141458 */     GIR_EraseRootFromParent_Done,
     /* 141459 */   // Label 2807: @141459
     /* 141459 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(141492), // Rule ID 5543 //
     /* 141464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 141469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 141475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141483 */     // (intrinsic_wo_chain:{ *:[f64] } 596:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 141483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 141486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141490 */     GIR_RootConstrainSelectedInstOperands,
     /* 141491 */     // GIR_Coverage, 5543,
     /* 141491 */     GIR_EraseRootFromParent_Done,
     /* 141492 */   // Label 2808: @141492
     /* 141492 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(141525), // Rule ID 5545 //
     /* 141497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 141502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 141508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141516 */     // (intrinsic_wo_chain:{ *:[f32] } 598:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 141516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 141519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141523 */     GIR_RootConstrainSelectedInstOperands,
     /* 141524 */     // GIR_Coverage, 5545,
     /* 141524 */     GIR_EraseRootFromParent_Done,
     /* 141525 */   // Label 2809: @141525
     /* 141525 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(141558), // Rule ID 5547 //
     /* 141530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 141535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 141541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141549 */     // (intrinsic_wo_chain:{ *:[f64] } 598:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 141549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 141552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141556 */     GIR_RootConstrainSelectedInstOperands,
     /* 141557 */     // GIR_Coverage, 5547,
     /* 141557 */     GIR_EraseRootFromParent_Done,
     /* 141558 */   // Label 2810: @141558
     /* 141558 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(141591), // Rule ID 5549 //
     /* 141563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 141568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 141574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141582 */     // (intrinsic_wo_chain:{ *:[f32] } 602:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141589 */     GIR_RootConstrainSelectedInstOperands,
     /* 141590 */     // GIR_Coverage, 5549,
     /* 141590 */     GIR_EraseRootFromParent_Done,
     /* 141591 */   // Label 2811: @141591
     /* 141591 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(141624), // Rule ID 5551 //
     /* 141596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 141601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 141607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141615 */     // (intrinsic_wo_chain:{ *:[f64] } 602:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 141615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 141618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141622 */     GIR_RootConstrainSelectedInstOperands,
     /* 141623 */     // GIR_Coverage, 5551,
     /* 141623 */     GIR_EraseRootFromParent_Done,
     /* 141624 */   // Label 2812: @141624
     /* 141624 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(141657), // Rule ID 5553 //
     /* 141629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 141634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 141640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141648 */     // (intrinsic_wo_chain:{ *:[f32] } 604:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 141648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 141651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141655 */     GIR_RootConstrainSelectedInstOperands,
     /* 141656 */     // GIR_Coverage, 5553,
     /* 141656 */     GIR_EraseRootFromParent_Done,
     /* 141657 */   // Label 2813: @141657
     /* 141657 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(141690), // Rule ID 5555 //
     /* 141662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 141667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 141673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141681 */     // (intrinsic_wo_chain:{ *:[f64] } 604:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 141681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 141684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141688 */     GIR_RootConstrainSelectedInstOperands,
     /* 141689 */     // GIR_Coverage, 5555,
     /* 141689 */     GIR_EraseRootFromParent_Done,
     /* 141690 */   // Label 2814: @141690
     /* 141690 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(141723), // Rule ID 12825 //
     /* 141695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 141700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 141703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 141706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 141710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141714 */     // (intrinsic_wo_chain:{ *:[i8] } 661:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 141714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 141717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141721 */     GIR_RootConstrainSelectedInstOperands,
     /* 141722 */     // GIR_Coverage, 12825,
     /* 141722 */     GIR_EraseRootFromParent_Done,
     /* 141723 */   // Label 2815: @141723
     /* 141723 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(141756), // Rule ID 12827 //
     /* 141728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 141733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 141736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 141739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 141743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141747 */     // (intrinsic_wo_chain:{ *:[i8] } 661:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 141747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 141750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141754 */     GIR_RootConstrainSelectedInstOperands,
     /* 141755 */     // GIR_Coverage, 12827,
     /* 141755 */     GIR_EraseRootFromParent_Done,
     /* 141756 */   // Label 2816: @141756
     /* 141756 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(141789), // Rule ID 12829 //
     /* 141761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 141766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 141769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 141772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141780 */     // (intrinsic_wo_chain:{ *:[i16] } 661:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 141780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 141783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141787 */     GIR_RootConstrainSelectedInstOperands,
     /* 141788 */     // GIR_Coverage, 12829,
     /* 141788 */     GIR_EraseRootFromParent_Done,
     /* 141789 */   // Label 2817: @141789
     /* 141789 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(141822), // Rule ID 12831 //
     /* 141794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 141799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 141802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 141805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141813 */     // (intrinsic_wo_chain:{ *:[i16] } 661:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 141813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 141816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141820 */     GIR_RootConstrainSelectedInstOperands,
     /* 141821 */     // GIR_Coverage, 12831,
     /* 141821 */     GIR_EraseRootFromParent_Done,
     /* 141822 */   // Label 2818: @141822
     /* 141822 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(141937), // Rule ID 12832 //
     /* 141827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 141832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 141838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141846 */     // (intrinsic_wo_chain:{ *:[i32] } 661:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 141846 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 141849 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 141853 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 141858 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 141862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 141864 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 141867 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 141871 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 141876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 141878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 141881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 141885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 141890 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 141893 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 141896 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 141899 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 141917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141919 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 141926 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141931 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141936 */     // GIR_Coverage, 12832,
     /* 141936 */     GIR_EraseRootFromParent_Done,
     /* 141937 */   // Label 2819: @141937
     /* 141937 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(141970), // Rule ID 12834 //
     /* 141942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 141947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 141950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 141953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 141957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141961 */     // (intrinsic_wo_chain:{ *:[i8] } 726:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 141961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 141964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141968 */     GIR_RootConstrainSelectedInstOperands,
     /* 141969 */     // GIR_Coverage, 12834,
     /* 141969 */     GIR_EraseRootFromParent_Done,
     /* 141970 */   // Label 2820: @141970
     /* 141970 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(142003), // Rule ID 12836 //
     /* 141975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 141980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 141983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 141986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 141990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141994 */     // (intrinsic_wo_chain:{ *:[i8] } 726:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 141994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 141997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142001 */     GIR_RootConstrainSelectedInstOperands,
     /* 142002 */     // GIR_Coverage, 12836,
     /* 142002 */     GIR_EraseRootFromParent_Done,
     /* 142003 */   // Label 2821: @142003
     /* 142003 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(142036), // Rule ID 12838 //
     /* 142008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 142013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 142016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142027 */     // (intrinsic_wo_chain:{ *:[i16] } 726:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 142027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 142030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142034 */     GIR_RootConstrainSelectedInstOperands,
     /* 142035 */     // GIR_Coverage, 12838,
     /* 142035 */     GIR_EraseRootFromParent_Done,
     /* 142036 */   // Label 2822: @142036
     /* 142036 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(142069), // Rule ID 12840 //
     /* 142041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 142046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 142049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142060 */     // (intrinsic_wo_chain:{ *:[i16] } 726:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 142060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 142063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142067 */     GIR_RootConstrainSelectedInstOperands,
     /* 142068 */     // GIR_Coverage, 12840,
     /* 142068 */     GIR_EraseRootFromParent_Done,
     /* 142069 */   // Label 2823: @142069
     /* 142069 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(142184), // Rule ID 12841 //
     /* 142074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 142079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142093 */     // (intrinsic_wo_chain:{ *:[i32] } 726:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 142093 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 142096 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 142100 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142105 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142111 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 142114 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142118 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 142128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142137 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142140 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142143 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 142146 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142166 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 142173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142183 */     // GIR_Coverage, 12841,
     /* 142183 */     GIR_EraseRootFromParent_Done,
     /* 142184 */   // Label 2824: @142184
     /* 142184 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(142303), // Rule ID 12842 //
     /* 142189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 142194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142208 */     // (intrinsic_wo_chain:{ *:[i32] } 661:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 142208 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 142211 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 142215 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142220 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142224 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142230 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 142233 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142237 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 142247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142256 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142259 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142262 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 142265 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142270 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142275 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142285 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 142292 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142297 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142302 */     // GIR_Coverage, 12842,
     /* 142302 */     GIR_EraseRootFromParent_Done,
     /* 142303 */   // Label 2825: @142303
     /* 142303 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(142418), // Rule ID 12843 //
     /* 142308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 142313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142327 */     // (intrinsic_wo_chain:{ *:[i64] } 661:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 142327 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 142330 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 142334 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142339 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142345 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 142348 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142352 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 142362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142371 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142374 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142377 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 142380 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142385 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142390 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142400 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 142407 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142412 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142417 */     // GIR_Coverage, 12843,
     /* 142417 */     GIR_EraseRootFromParent_Done,
     /* 142418 */   // Label 2826: @142418
     /* 142418 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(142537), // Rule ID 12844 //
     /* 142423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 142428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142442 */     // (intrinsic_wo_chain:{ *:[i32] } 726:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 142442 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 142445 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 142449 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142454 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142458 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142464 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 142467 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142471 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 142481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142490 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142493 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142496 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 142499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142519 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 142526 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142531 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142536 */     // GIR_Coverage, 12844,
     /* 142536 */     GIR_EraseRootFromParent_Done,
     /* 142537 */   // Label 2827: @142537
     /* 142537 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(142652), // Rule ID 12845 //
     /* 142542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 142547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142561 */     // (intrinsic_wo_chain:{ *:[i64] } 726:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 142561 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 142564 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 142568 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142573 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142579 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 142582 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142586 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 142596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142605 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142608 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142611 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 142614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142619 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142624 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142634 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 142641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142651 */     // GIR_Coverage, 12845,
     /* 142651 */     GIR_EraseRootFromParent_Done,
     /* 142652 */   // Label 2828: @142652
     /* 142652 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(142685), // Rule ID 12847 //
     /* 142657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 142665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 142668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 142672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142676 */     // (intrinsic_wo_chain:{ *:[i8] } 671:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 142676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 142679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142683 */     GIR_RootConstrainSelectedInstOperands,
     /* 142684 */     // GIR_Coverage, 12847,
     /* 142684 */     GIR_EraseRootFromParent_Done,
     /* 142685 */   // Label 2829: @142685
     /* 142685 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(142718), // Rule ID 12849 //
     /* 142690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 142698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 142701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 142705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142709 */     // (intrinsic_wo_chain:{ *:[i8] } 671:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 142709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 142712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142716 */     GIR_RootConstrainSelectedInstOperands,
     /* 142717 */     // GIR_Coverage, 12849,
     /* 142717 */     GIR_EraseRootFromParent_Done,
     /* 142718 */   // Label 2830: @142718
     /* 142718 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(142751), // Rule ID 12851 //
     /* 142723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 142731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142742 */     // (intrinsic_wo_chain:{ *:[i16] } 671:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 142742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 142745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142749 */     GIR_RootConstrainSelectedInstOperands,
     /* 142750 */     // GIR_Coverage, 12851,
     /* 142750 */     GIR_EraseRootFromParent_Done,
     /* 142751 */   // Label 2831: @142751
     /* 142751 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(142784), // Rule ID 12853 //
     /* 142756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 142764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142775 */     // (intrinsic_wo_chain:{ *:[i16] } 671:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 142775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 142778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142782 */     GIR_RootConstrainSelectedInstOperands,
     /* 142783 */     // GIR_Coverage, 12853,
     /* 142783 */     GIR_EraseRootFromParent_Done,
     /* 142784 */   // Label 2832: @142784
     /* 142784 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(142899), // Rule ID 12854 //
     /* 142789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142808 */     // (intrinsic_wo_chain:{ *:[i32] } 671:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 142808 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 142811 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 142815 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142820 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142826 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 142829 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142833 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 142843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142852 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142855 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142858 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 142861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142866 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142871 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142881 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 142888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142898 */     // GIR_Coverage, 12854,
     /* 142898 */     GIR_EraseRootFromParent_Done,
     /* 142899 */   // Label 2833: @142899
     /* 142899 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(143018), // Rule ID 12855 //
     /* 142904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 142909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142923 */     // (intrinsic_wo_chain:{ *:[i32] } 671:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 142923 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 142926 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 142930 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142935 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142939 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 142943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 142945 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 142948 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 142952 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 142959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 142962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 142966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 142971 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 142974 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 142977 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 142980 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142990 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 142998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143000 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143017 */     // GIR_Coverage, 12855,
     /* 143017 */     GIR_EraseRootFromParent_Done,
     /* 143018 */   // Label 2834: @143018
     /* 143018 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(143051), // Rule ID 12857 //
     /* 143023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 143034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143042 */     // (intrinsic_wo_chain:{ *:[i8] } 674:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 143042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 143045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143049 */     GIR_RootConstrainSelectedInstOperands,
     /* 143050 */     // GIR_Coverage, 12857,
     /* 143050 */     GIR_EraseRootFromParent_Done,
     /* 143051 */   // Label 2835: @143051
     /* 143051 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(143084), // Rule ID 12859 //
     /* 143056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 143067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143075 */     // (intrinsic_wo_chain:{ *:[i8] } 674:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 143075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 143078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143082 */     GIR_RootConstrainSelectedInstOperands,
     /* 143083 */     // GIR_Coverage, 12859,
     /* 143083 */     GIR_EraseRootFromParent_Done,
     /* 143084 */   // Label 2836: @143084
     /* 143084 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(143117), // Rule ID 12861 //
     /* 143089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143108 */     // (intrinsic_wo_chain:{ *:[i16] } 674:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 143108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 143111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143115 */     GIR_RootConstrainSelectedInstOperands,
     /* 143116 */     // GIR_Coverage, 12861,
     /* 143116 */     GIR_EraseRootFromParent_Done,
     /* 143117 */   // Label 2837: @143117
     /* 143117 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(143150), // Rule ID 12863 //
     /* 143122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143141 */     // (intrinsic_wo_chain:{ *:[i16] } 674:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 143141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 143144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143148 */     GIR_RootConstrainSelectedInstOperands,
     /* 143149 */     // GIR_Coverage, 12863,
     /* 143149 */     GIR_EraseRootFromParent_Done,
     /* 143150 */   // Label 2838: @143150
     /* 143150 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(143265), // Rule ID 12864 //
     /* 143155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 143163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143174 */     // (intrinsic_wo_chain:{ *:[i32] } 674:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 143174 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 143177 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 143181 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143186 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 143192 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 143195 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 143199 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 143206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 143209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 143213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143218 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 143221 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 143224 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 143227 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143232 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143237 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 143245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143247 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143259 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143264 */     // GIR_Coverage, 12864,
     /* 143264 */     GIR_EraseRootFromParent_Done,
     /* 143265 */   // Label 2839: @143265
     /* 143265 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(143384), // Rule ID 12865 //
     /* 143270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 143275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 143278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143289 */     // (intrinsic_wo_chain:{ *:[i32] } 674:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 143289 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 143292 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 143296 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143301 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143305 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 143311 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 143314 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 143318 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 143325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 143328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 143332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143337 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 143340 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 143343 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 143346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 143364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143366 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143383 */     // GIR_Coverage, 12865,
     /* 143383 */     GIR_EraseRootFromParent_Done,
     /* 143384 */   // Label 2840: @143384
     /* 143384 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(143417), // Rule ID 12867 //
     /* 143389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 143400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143408 */     // (intrinsic_wo_chain:{ *:[i8] } 732:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 143408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 143411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143415 */     GIR_RootConstrainSelectedInstOperands,
     /* 143416 */     // GIR_Coverage, 12867,
     /* 143416 */     GIR_EraseRootFromParent_Done,
     /* 143417 */   // Label 2841: @143417
     /* 143417 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(143450), // Rule ID 12869 //
     /* 143422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 143433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143441 */     // (intrinsic_wo_chain:{ *:[i8] } 732:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 143441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 143444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143448 */     GIR_RootConstrainSelectedInstOperands,
     /* 143449 */     // GIR_Coverage, 12869,
     /* 143449 */     GIR_EraseRootFromParent_Done,
     /* 143450 */   // Label 2842: @143450
     /* 143450 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(143483), // Rule ID 12871 //
     /* 143455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143474 */     // (intrinsic_wo_chain:{ *:[i16] } 732:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 143474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 143477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143481 */     GIR_RootConstrainSelectedInstOperands,
     /* 143482 */     // GIR_Coverage, 12871,
     /* 143482 */     GIR_EraseRootFromParent_Done,
     /* 143483 */   // Label 2843: @143483
     /* 143483 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(143516), // Rule ID 12873 //
     /* 143488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143507 */     // (intrinsic_wo_chain:{ *:[i16] } 732:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 143507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 143510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143514 */     GIR_RootConstrainSelectedInstOperands,
     /* 143515 */     // GIR_Coverage, 12873,
     /* 143515 */     GIR_EraseRootFromParent_Done,
     /* 143516 */   // Label 2844: @143516
     /* 143516 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(143631), // Rule ID 12874 //
     /* 143521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 143529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143540 */     // (intrinsic_wo_chain:{ *:[i32] } 732:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 143540 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 143543 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 143547 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143552 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 143558 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 143561 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 143565 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 143572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 143575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 143579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143584 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 143587 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 143590 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 143593 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143603 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 143611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143613 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143620 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143630 */     // GIR_Coverage, 12874,
     /* 143630 */     GIR_EraseRootFromParent_Done,
     /* 143631 */   // Label 2845: @143631
     /* 143631 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(143750), // Rule ID 12875 //
     /* 143636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 143641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 143644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143655 */     // (intrinsic_wo_chain:{ *:[i32] } 732:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 143655 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 143658 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 143662 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143667 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143671 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 143677 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 143680 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 143684 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 143691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 143694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 143698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143703 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 143706 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 143709 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 143712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143717 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 143730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143732 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143749 */     // GIR_Coverage, 12875,
     /* 143749 */     GIR_EraseRootFromParent_Done,
     /* 143750 */   // Label 2846: @143750
     /* 143750 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(143783), // Rule ID 12877 //
     /* 143755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 143760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 143766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143774 */     // (intrinsic_wo_chain:{ *:[i8] } 735:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 143774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 143777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143781 */     GIR_RootConstrainSelectedInstOperands,
     /* 143782 */     // GIR_Coverage, 12877,
     /* 143782 */     GIR_EraseRootFromParent_Done,
     /* 143783 */   // Label 2847: @143783
     /* 143783 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(143816), // Rule ID 12879 //
     /* 143788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 143793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 143796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 143799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 143803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143807 */     // (intrinsic_wo_chain:{ *:[i8] } 735:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 143807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 143810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143814 */     GIR_RootConstrainSelectedInstOperands,
     /* 143815 */     // GIR_Coverage, 12879,
     /* 143815 */     GIR_EraseRootFromParent_Done,
     /* 143816 */   // Label 2848: @143816
     /* 143816 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(143849), // Rule ID 12881 //
     /* 143821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 143826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143840 */     // (intrinsic_wo_chain:{ *:[i16] } 735:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 143840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 143843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143847 */     GIR_RootConstrainSelectedInstOperands,
     /* 143848 */     // GIR_Coverage, 12881,
     /* 143848 */     GIR_EraseRootFromParent_Done,
     /* 143849 */   // Label 2849: @143849
     /* 143849 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(143882), // Rule ID 12883 //
     /* 143854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 143859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 143862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 143869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143873 */     // (intrinsic_wo_chain:{ *:[i16] } 735:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 143873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 143876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143880 */     GIR_RootConstrainSelectedInstOperands,
     /* 143881 */     // GIR_Coverage, 12883,
     /* 143881 */     GIR_EraseRootFromParent_Done,
     /* 143882 */   // Label 2850: @143882
     /* 143882 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(143997), // Rule ID 12884 //
     /* 143887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 143892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 143895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143906 */     // (intrinsic_wo_chain:{ *:[i32] } 735:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 143906 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 143909 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 143913 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143918 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 143922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 143924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 143927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 143931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 143938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 143941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 143945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 143950 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 143953 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 143956 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 143959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 143977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143979 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 143986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 143991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143996 */     // GIR_Coverage, 12884,
     /* 143996 */     GIR_EraseRootFromParent_Done,
     /* 143997 */   // Label 2851: @143997
     /* 143997 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(144116), // Rule ID 12885 //
     /* 144002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 144007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 144017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144021 */     // (intrinsic_wo_chain:{ *:[i32] } 735:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 144021 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 144024 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 144028 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 144033 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 144037 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 144041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 144043 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 144046 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 144050 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 144055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 144057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 144060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 144064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 144069 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 144072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 144075 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 144078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 144096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144098 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 144105 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 144110 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144115 */     // GIR_Coverage, 12885,
     /* 144115 */     GIR_EraseRootFromParent_Done,
     /* 144116 */   // Label 2852: @144116
     /* 144116 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(144148), // Rule ID 2384 //
     /* 144121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b16),
     /* 144129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 144132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 144135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144139 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1574:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 144139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_H),
     /* 144142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 144146 */     GIR_RootConstrainSelectedInstOperands,
     /* 144147 */     // GIR_Coverage, 2384,
     /* 144147 */     GIR_EraseRootFromParent_Done,
     /* 144148 */   // Label 2853: @144148
     /* 144148 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(144180), // Rule ID 2385 //
     /* 144153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b32),
     /* 144161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 144164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 144167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1575:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 144171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_S),
     /* 144174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 144178 */     GIR_RootConstrainSelectedInstOperands,
     /* 144179 */     // GIR_Coverage, 2385,
     /* 144179 */     GIR_EraseRootFromParent_Done,
     /* 144180 */   // Label 2854: @144180
     /* 144180 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(144212), // Rule ID 2386 //
     /* 144185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b64),
     /* 144193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 144196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 144199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144203 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1576:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 144203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_D),
     /* 144206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 144210 */     GIR_RootConstrainSelectedInstOperands,
     /* 144211 */     // GIR_Coverage, 2386,
     /* 144211 */     GIR_EraseRootFromParent_Done,
     /* 144212 */   // Label 2855: @144212
     /* 144212 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(144244), // Rule ID 3079 //
     /* 144217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 144220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 144225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 144228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 144231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144235 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1756:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 144235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_B),
     /* 144238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144242 */     GIR_RootConstrainSelectedInstOperands,
     /* 144243 */     // GIR_Coverage, 3079,
     /* 144243 */     GIR_EraseRootFromParent_Done,
     /* 144244 */   // Label 2856: @144244
     /* 144244 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(144276), // Rule ID 3080 //
     /* 144249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 144252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 144257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 144260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 144263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1756:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 144267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_H),
     /* 144270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144274 */     GIR_RootConstrainSelectedInstOperands,
     /* 144275 */     // GIR_Coverage, 3080,
     /* 144275 */     GIR_EraseRootFromParent_Done,
     /* 144276 */   // Label 2857: @144276
     /* 144276 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(144308), // Rule ID 3081 //
     /* 144281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 144284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 144289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 144292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 144295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1756:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 144299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_S),
     /* 144302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144306 */     GIR_RootConstrainSelectedInstOperands,
     /* 144307 */     // GIR_Coverage, 3081,
     /* 144307 */     GIR_EraseRootFromParent_Done,
     /* 144308 */   // Label 2858: @144308
     /* 144308 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(144340), // Rule ID 3329 //
     /* 144313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 144321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 144324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 144327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1566:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 144331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 144334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144338 */     GIR_RootConstrainSelectedInstOperands,
     /* 144339 */     // GIR_Coverage, 3329,
     /* 144339 */     GIR_EraseRootFromParent_Done,
     /* 144340 */   // Label 2859: @144340
     /* 144340 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(144372), // Rule ID 3330 //
     /* 144345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 144353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 144356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 144359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1566:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 144363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 144366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144370 */     GIR_RootConstrainSelectedInstOperands,
     /* 144371 */     // GIR_Coverage, 3330,
     /* 144371 */     GIR_EraseRootFromParent_Done,
     /* 144372 */   // Label 2860: @144372
     /* 144372 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(144404), // Rule ID 3331 //
     /* 144377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 144380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 144385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 144388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 144391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 144395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1566:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 144395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 144398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 144400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144402 */     GIR_RootConstrainSelectedInstOperands,
     /* 144403 */     // GIR_Coverage, 3331,
     /* 144403 */     GIR_EraseRootFromParent_Done,
     /* 144404 */   // Label 2861: @144404
     /* 144404 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(144436), // Rule ID 3410 //
     /* 144409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 144412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 144417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 144420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 144423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1327:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (FEXPA_ZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i16] }:$Op1)
     /* 144427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_H),
     /* 144430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144434 */     GIR_RootConstrainSelectedInstOperands,
     /* 144435 */     // GIR_Coverage, 3410,
     /* 144435 */     GIR_EraseRootFromParent_Done,
     /* 144436 */   // Label 2862: @144436
     /* 144436 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(144468), // Rule ID 3411 //
     /* 144441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 144444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 144449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 144452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 144455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1327:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (FEXPA_ZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i32] }:$Op1)
     /* 144459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_S),
     /* 144462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144466 */     GIR_RootConstrainSelectedInstOperands,
     /* 144467 */     // GIR_Coverage, 3411,
     /* 144467 */     GIR_EraseRootFromParent_Done,
     /* 144468 */   // Label 2863: @144468
     /* 144468 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(144500), // Rule ID 3412 //
     /* 144473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 144476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 144481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 144484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 144487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1327:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (FEXPA_ZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i64] }:$Op1)
     /* 144491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_D),
     /* 144494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 144496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144498 */     GIR_RootConstrainSelectedInstOperands,
     /* 144499 */     // GIR_Coverage, 3412,
     /* 144499 */     GIR_EraseRootFromParent_Done,
     /* 144500 */   // Label 2864: @144500
     /* 144500 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(144532), // Rule ID 3438 //
     /* 144505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 144508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesmc),
     /* 144513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 144516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 144519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 144523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1166:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 144523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMC_ZZ_B),
     /* 144526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 144528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 144530 */     GIR_RootConstrainSelectedInstOperands,
     /* 144531 */     // GIR_Coverage, 3438,
     /* 144531 */     GIR_EraseRootFromParent_Done,
     /* 144532 */   // Label 2865: @144532
     /* 144532 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(144564), // Rule ID 4565 //
     /* 144537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 144540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 144551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144555 */     // (intrinsic_wo_chain:{ *:[i32] } 591:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 144555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 144558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144562 */     GIR_RootConstrainSelectedInstOperands,
     /* 144563 */     // GIR_Coverage, 4565,
     /* 144563 */     GIR_EraseRootFromParent_Done,
     /* 144564 */   // Label 2866: @144564
     /* 144564 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(144596), // Rule ID 4566 //
     /* 144569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 144572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 144583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144587 */     // (intrinsic_wo_chain:{ *:[i64] } 591:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 144587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 144590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144594 */     GIR_RootConstrainSelectedInstOperands,
     /* 144595 */     // GIR_Coverage, 4566,
     /* 144595 */     GIR_EraseRootFromParent_Done,
     /* 144596 */   // Label 2867: @144596
     /* 144596 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(144625), // Rule ID 4567 //
     /* 144601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 144612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144616 */     // (intrinsic_wo_chain:{ *:[i32] } 591:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 144616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 144619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144623 */     GIR_RootConstrainSelectedInstOperands,
     /* 144624 */     // GIR_Coverage, 4567,
     /* 144624 */     GIR_EraseRootFromParent_Done,
     /* 144625 */   // Label 2868: @144625
     /* 144625 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(144654), // Rule ID 4568 //
     /* 144630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 144641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144645 */     // (intrinsic_wo_chain:{ *:[i64] } 591:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 144645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 144648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144652 */     GIR_RootConstrainSelectedInstOperands,
     /* 144653 */     // GIR_Coverage, 4568,
     /* 144653 */     GIR_EraseRootFromParent_Done,
     /* 144654 */   // Label 2869: @144654
     /* 144654 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(144683), // Rule ID 4569 //
     /* 144659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 144670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144674 */     // (intrinsic_wo_chain:{ *:[i32] } 591:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 144674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 144677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144681 */     GIR_RootConstrainSelectedInstOperands,
     /* 144682 */     // GIR_Coverage, 4569,
     /* 144682 */     GIR_EraseRootFromParent_Done,
     /* 144683 */   // Label 2870: @144683
     /* 144683 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(144712), // Rule ID 4570 //
     /* 144688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 144699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144703 */     // (intrinsic_wo_chain:{ *:[i64] } 591:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 144703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 144706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144710 */     GIR_RootConstrainSelectedInstOperands,
     /* 144711 */     // GIR_Coverage, 4570,
     /* 144711 */     GIR_EraseRootFromParent_Done,
     /* 144712 */   // Label 2871: @144712
     /* 144712 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(144744), // Rule ID 4577 //
     /* 144717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 144720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 144731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144735 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 144735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 144738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144742 */     GIR_RootConstrainSelectedInstOperands,
     /* 144743 */     // GIR_Coverage, 4577,
     /* 144743 */     GIR_EraseRootFromParent_Done,
     /* 144744 */   // Label 2872: @144744
     /* 144744 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(144776), // Rule ID 4578 //
     /* 144749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 144752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 144763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144767 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 144767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 144770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144774 */     GIR_RootConstrainSelectedInstOperands,
     /* 144775 */     // GIR_Coverage, 4578,
     /* 144775 */     GIR_EraseRootFromParent_Done,
     /* 144776 */   // Label 2873: @144776
     /* 144776 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(144805), // Rule ID 4579 //
     /* 144781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 144792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144796 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 144796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 144799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144803 */     GIR_RootConstrainSelectedInstOperands,
     /* 144804 */     // GIR_Coverage, 4579,
     /* 144804 */     GIR_EraseRootFromParent_Done,
     /* 144805 */   // Label 2874: @144805
     /* 144805 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(144834), // Rule ID 4580 //
     /* 144810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 144821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144825 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 144825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 144828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144832 */     GIR_RootConstrainSelectedInstOperands,
     /* 144833 */     // GIR_Coverage, 4580,
     /* 144833 */     GIR_EraseRootFromParent_Done,
     /* 144834 */   // Label 2875: @144834
     /* 144834 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(144863), // Rule ID 4581 //
     /* 144839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 144847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 144850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 144854 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 144854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 144857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144861 */     GIR_RootConstrainSelectedInstOperands,
     /* 144862 */     // GIR_Coverage, 4581,
     /* 144862 */     GIR_EraseRootFromParent_Done,
     /* 144863 */   // Label 2876: @144863
     /* 144863 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(144892), // Rule ID 4582 //
     /* 144868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 144873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 144879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 144883 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 144883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 144886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144890 */     GIR_RootConstrainSelectedInstOperands,
     /* 144891 */     // GIR_Coverage, 4582,
     /* 144891 */     GIR_EraseRootFromParent_Done,
     /* 144892 */   // Label 2877: @144892
     /* 144892 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(144921), // Rule ID 4877 //
     /* 144897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144912 */     // (intrinsic_wo_chain:{ *:[v4i16] } 591:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 144912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 144915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144919 */     GIR_RootConstrainSelectedInstOperands,
     /* 144920 */     // GIR_Coverage, 4877,
     /* 144920 */     GIR_EraseRootFromParent_Done,
     /* 144921 */   // Label 2878: @144921
     /* 144921 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(144950), // Rule ID 4878 //
     /* 144926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144941 */     // (intrinsic_wo_chain:{ *:[v8i16] } 591:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 144941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 144944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144948 */     GIR_RootConstrainSelectedInstOperands,
     /* 144949 */     // GIR_Coverage, 4878,
     /* 144949 */     GIR_EraseRootFromParent_Done,
     /* 144950 */   // Label 2879: @144950
     /* 144950 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(144979), // Rule ID 4879 //
     /* 144955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144970 */     // (intrinsic_wo_chain:{ *:[v2i32] } 591:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 144970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 144973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144977 */     GIR_RootConstrainSelectedInstOperands,
     /* 144978 */     // GIR_Coverage, 4879,
     /* 144978 */     GIR_EraseRootFromParent_Done,
     /* 144979 */   // Label 2880: @144979
     /* 144979 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(145008), // Rule ID 4880 //
     /* 144984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 144989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144999 */     // (intrinsic_wo_chain:{ *:[v4i32] } 591:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 144999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 145002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145006 */     GIR_RootConstrainSelectedInstOperands,
     /* 145007 */     // GIR_Coverage, 4880,
     /* 145007 */     GIR_EraseRootFromParent_Done,
     /* 145008 */   // Label 2881: @145008
     /* 145008 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(145037), // Rule ID 4881 //
     /* 145013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 145018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145028 */     // (intrinsic_wo_chain:{ *:[v2i64] } 591:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 145028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 145031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145035 */     GIR_RootConstrainSelectedInstOperands,
     /* 145036 */     // GIR_Coverage, 4881,
     /* 145036 */     GIR_EraseRootFromParent_Done,
     /* 145037 */   // Label 2882: @145037
     /* 145037 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(145066), // Rule ID 4882 //
     /* 145042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 145047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145057 */     // (intrinsic_wo_chain:{ *:[v4i16] } 592:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 145057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 145060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145064 */     GIR_RootConstrainSelectedInstOperands,
     /* 145065 */     // GIR_Coverage, 4882,
     /* 145065 */     GIR_EraseRootFromParent_Done,
     /* 145066 */   // Label 2883: @145066
     /* 145066 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(145095), // Rule ID 4883 //
     /* 145071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 145076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145086 */     // (intrinsic_wo_chain:{ *:[v8i16] } 592:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 145086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 145089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145093 */     GIR_RootConstrainSelectedInstOperands,
     /* 145094 */     // GIR_Coverage, 4883,
     /* 145094 */     GIR_EraseRootFromParent_Done,
     /* 145095 */   // Label 2884: @145095
     /* 145095 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(145124), // Rule ID 4884 //
     /* 145100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 145105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145115 */     // (intrinsic_wo_chain:{ *:[v2i32] } 592:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 145115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 145118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145122 */     GIR_RootConstrainSelectedInstOperands,
     /* 145123 */     // GIR_Coverage, 4884,
     /* 145123 */     GIR_EraseRootFromParent_Done,
     /* 145124 */   // Label 2885: @145124
     /* 145124 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(145153), // Rule ID 4885 //
     /* 145129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 145134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145144 */     // (intrinsic_wo_chain:{ *:[v4i32] } 592:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 145144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 145147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145151 */     GIR_RootConstrainSelectedInstOperands,
     /* 145152 */     // GIR_Coverage, 4885,
     /* 145152 */     GIR_EraseRootFromParent_Done,
     /* 145153 */   // Label 2886: @145153
     /* 145153 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(145182), // Rule ID 4886 //
     /* 145158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 145163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145173 */     // (intrinsic_wo_chain:{ *:[v2i64] } 592:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 145173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 145176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145180 */     GIR_RootConstrainSelectedInstOperands,
     /* 145181 */     // GIR_Coverage, 4886,
     /* 145181 */     GIR_EraseRootFromParent_Done,
     /* 145182 */   // Label 2887: @145182
     /* 145182 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(145214), // Rule ID 8233 //
     /* 145187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 145190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 145195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 145198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 145201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 145205 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1565:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 145205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 145208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 145210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145212 */     GIR_RootConstrainSelectedInstOperands,
     /* 145213 */     // GIR_Coverage, 8233,
     /* 145213 */     GIR_EraseRootFromParent_Done,
     /* 145214 */   // Label 2888: @145214
     /* 145214 */   GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(145246), // Rule ID 8234 //
     /* 145219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 145222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 145227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 145230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 145233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 145237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1565:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 145237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 145240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 145242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145244 */     GIR_RootConstrainSelectedInstOperands,
     /* 145245 */     // GIR_Coverage, 8234,
     /* 145245 */     GIR_EraseRootFromParent_Done,
     /* 145246 */   // Label 2889: @145246
     /* 145246 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(145278), // Rule ID 8235 //
     /* 145251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 145254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 145259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 145262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 145265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 145269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1565:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 145269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 145272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 145274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145276 */     GIR_RootConstrainSelectedInstOperands,
     /* 145277 */     // GIR_Coverage, 8235,
     /* 145277 */     GIR_EraseRootFromParent_Done,
     /* 145278 */   // Label 2890: @145278
     /* 145278 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(145310), // Rule ID 11596 //
     /* 145283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 145291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 145294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 145297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1949:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (UQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 145301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_B),
     /* 145304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145308 */     GIR_RootConstrainSelectedInstOperands,
     /* 145309 */     // GIR_Coverage, 11596,
     /* 145309 */     GIR_EraseRootFromParent_Done,
     /* 145310 */   // Label 2891: @145310
     /* 145310 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(145342), // Rule ID 11597 //
     /* 145315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 145323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 145326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 145329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1949:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (UQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 145333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_H),
     /* 145336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145340 */     GIR_RootConstrainSelectedInstOperands,
     /* 145341 */     // GIR_Coverage, 11597,
     /* 145341 */     GIR_EraseRootFromParent_Done,
     /* 145342 */   // Label 2892: @145342
     /* 145342 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(145374), // Rule ID 11598 //
     /* 145347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 145355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 145358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 145361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1949:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (UQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 145365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_S),
     /* 145368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145372 */     GIR_RootConstrainSelectedInstOperands,
     /* 145373 */     // GIR_Coverage, 11598,
     /* 145373 */     GIR_EraseRootFromParent_Done,
     /* 145374 */   // Label 2893: @145374
     /* 145374 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(145406), // Rule ID 11599 //
     /* 145379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 145387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 145390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 145393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1758:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTUNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 145397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_B),
     /* 145400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145404 */     GIR_RootConstrainSelectedInstOperands,
     /* 145405 */     // GIR_Coverage, 11599,
     /* 145405 */     GIR_EraseRootFromParent_Done,
     /* 145406 */   // Label 2894: @145406
     /* 145406 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(145438), // Rule ID 11600 //
     /* 145411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 145419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 145422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 145425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1758:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTUNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 145429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_H),
     /* 145432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145436 */     GIR_RootConstrainSelectedInstOperands,
     /* 145437 */     // GIR_Coverage, 11600,
     /* 145437 */     GIR_EraseRootFromParent_Done,
     /* 145438 */   // Label 2895: @145438
     /* 145438 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(145470), // Rule ID 11601 //
     /* 145443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 145446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 145451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 145454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 145457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1758:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTUNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 145461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_S),
     /* 145464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 145466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145468 */     GIR_RootConstrainSelectedInstOperands,
     /* 145469 */     // GIR_Coverage, 11601,
     /* 145469 */     GIR_EraseRootFromParent_Done,
     /* 145470 */   // Label 2896: @145470
     /* 145470 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(145502), // Rule ID 11756 //
     /* 145475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 145478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesimc),
     /* 145483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 145486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 145489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 145493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1165:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESIMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 145493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMC_ZZ_B),
     /* 145496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 145498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 145500 */     GIR_RootConstrainSelectedInstOperands,
     /* 145501 */     // GIR_Coverage, 11756,
     /* 145501 */     GIR_EraseRootFromParent_Done,
     /* 145502 */   // Label 2897: @145502
     /* 145502 */   GIM_Reject,
     /* 145503 */ // Label 2578: @145503
     /* 145503 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(191814),
     /* 145508 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 145511 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(145695), // Rule ID 2559 //
     /* 145516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 145524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 145530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 145533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 145545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 145549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 145553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 145557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 145561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 145565 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 145568 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 145573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145577 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 145581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 145590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 145594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145598 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 145602 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 145606 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145610 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 145614 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 145619 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 145623 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 145627 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 145631 */     // MIs[5] Operand 1
     /* 145631 */     // No operand predicates
     /* 145631 */     // MIs[3] Operand 2
     /* 145631 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 145642 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 145646 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 145648 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 145648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 145651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 145655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 145660 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 145666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 145679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 145683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 145686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 145690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 145693 */     GIR_RootConstrainSelectedInstOperands,
     /* 145694 */     // GIR_Coverage, 2559,
     /* 145694 */     GIR_EraseRootFromParent_Done,
     /* 145695 */   // Label 2899: @145695
     /* 145695 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(145879), // Rule ID 6155 //
     /* 145700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 145708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 145714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 145717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 145729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 145733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 145737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 145741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 145745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 145749 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 145752 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 145757 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145761 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 145765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 145774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 145778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145782 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 145786 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 145790 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145794 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 145798 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 145803 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 145807 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 145811 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 145815 */     // MIs[5] Operand 1
     /* 145815 */     // No operand predicates
     /* 145815 */     // MIs[3] Operand 2
     /* 145815 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 145826 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 145830 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 145832 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 145832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 145835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 145839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 145844 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 145850 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145855 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 145863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 145867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 145870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 145874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 145877 */     GIR_RootConstrainSelectedInstOperands,
     /* 145878 */     // GIR_Coverage, 6155,
     /* 145878 */     GIR_EraseRootFromParent_Done,
     /* 145879 */   // Label 2900: @145879
     /* 145879 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(146019), // Rule ID 2050 //
     /* 145884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 145892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 145901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 145913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 145917 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 145920 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 145925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145929 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 145933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 145937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 145941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 145949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 145953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145957 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 145961 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 145966 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 145970 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 145974 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 145978 */     // MIs[4] Operand 1
     /* 145978 */     // No operand predicates
     /* 145978 */     // MIs[2] Operand 2
     /* 145978 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 145989 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 145991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 145998 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 145998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_indexed),
     /* 146001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 146010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146017 */     GIR_RootConstrainSelectedInstOperands,
     /* 146018 */     // GIR_Coverage, 2050,
     /* 146018 */     GIR_EraseRootFromParent_Done,
     /* 146019 */   // Label 2901: @146019
     /* 146019 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(146159), // Rule ID 2057 //
     /* 146024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 146032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 146041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146057 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146060 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146069 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 146073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146085 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146089 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 146093 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146097 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146101 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 146106 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146110 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146114 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 146118 */     // MIs[4] Operand 1
     /* 146118 */     // No operand predicates
     /* 146118 */     // MIs[2] Operand 2
     /* 146118 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 146129 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 146138 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_indexed),
     /* 146141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 146150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146157 */     GIR_RootConstrainSelectedInstOperands,
     /* 146158 */     // GIR_Coverage, 2057,
     /* 146158 */     GIR_EraseRootFromParent_Done,
     /* 146159 */   // Label 2902: @146159
     /* 146159 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(146299), // Rule ID 2053 //
     /* 146164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 146172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 146178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 146181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146197 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146200 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146209 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 146213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 146233 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146237 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146241 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146246 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146250 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146254 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 146258 */     // MIs[4] Operand 1
     /* 146258 */     // No operand predicates
     /* 146258 */     // MIs[2] Operand 2
     /* 146258 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 146269 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146271 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 146278 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_indexed),
     /* 146281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 146290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146297 */     GIR_RootConstrainSelectedInstOperands,
     /* 146298 */     // GIR_Coverage, 2053,
     /* 146298 */     GIR_EraseRootFromParent_Done,
     /* 146299 */   // Label 2903: @146299
     /* 146299 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(146439), // Rule ID 2060 //
     /* 146304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 146312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 146318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 146321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146337 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146340 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146349 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 146353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 146373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146377 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146386 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146390 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146394 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 146398 */     // MIs[4] Operand 1
     /* 146398 */     // No operand predicates
     /* 146398 */     // MIs[2] Operand 2
     /* 146398 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 146409 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 146418 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_indexed),
     /* 146421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 146430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146437 */     GIR_RootConstrainSelectedInstOperands,
     /* 146438 */     // GIR_Coverage, 2060,
     /* 146438 */     GIR_EraseRootFromParent_Done,
     /* 146439 */   // Label 2904: @146439
     /* 146439 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(146576), // Rule ID 2048 //
     /* 146444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 146452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 146461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146477 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146480 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146489 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 146493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 146518 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146522 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146526 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 146531 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146535 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146539 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 146543 */     // MIs[4] Operand 1
     /* 146543 */     // No operand predicates
     /* 146543 */     // MIs[2] Operand 2
     /* 146543 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 146554 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146556 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 146559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 146567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146574 */     GIR_RootConstrainSelectedInstOperands,
     /* 146575 */     // GIR_Coverage, 2048,
     /* 146575 */     GIR_EraseRootFromParent_Done,
     /* 146576 */   // Label 2905: @146576
     /* 146576 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(146713), // Rule ID 2055 //
     /* 146581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 146589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 146598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146614 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146617 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146626 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 146630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 146655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146659 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146663 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 146668 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146672 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146676 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 146680 */     // MIs[4] Operand 1
     /* 146680 */     // No operand predicates
     /* 146680 */     // MIs[2] Operand 2
     /* 146680 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 146691 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146693 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 146696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 146704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146711 */     GIR_RootConstrainSelectedInstOperands,
     /* 146712 */     // GIR_Coverage, 2055,
     /* 146712 */     GIR_EraseRootFromParent_Done,
     /* 146713 */   // Label 2906: @146713
     /* 146713 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(146850), // Rule ID 2051 //
     /* 146718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 146726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 146732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 146735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146751 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146754 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146763 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 146767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 146792 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146796 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146800 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146805 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146809 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146813 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 146817 */     // MIs[4] Operand 1
     /* 146817 */     // No operand predicates
     /* 146817 */     // MIs[2] Operand 2
     /* 146817 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 146828 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146830 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 146833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 146841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146848 */     GIR_RootConstrainSelectedInstOperands,
     /* 146849 */     // GIR_Coverage, 2051,
     /* 146849 */     GIR_EraseRootFromParent_Done,
     /* 146850 */   // Label 2907: @146850
     /* 146850 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(146987), // Rule ID 2058 //
     /* 146855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 146863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 146869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 146872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 146884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 146888 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 146891 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 146896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146900 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 146904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 146913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 146917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 146925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 146929 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 146933 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 146937 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146942 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 146946 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 146950 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 146954 */     // MIs[4] Operand 1
     /* 146954 */     // No operand predicates
     /* 146954 */     // MIs[2] Operand 2
     /* 146954 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 146965 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 146967 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 146967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 146970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 146974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 146978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 146982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 146985 */     GIR_RootConstrainSelectedInstOperands,
     /* 146986 */     // GIR_Coverage, 2058,
     /* 146986 */     GIR_EraseRootFromParent_Done,
     /* 146987 */   // Label 2908: @146987
     /* 146987 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(147148), // Rule ID 2560 //
     /* 146992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 147000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 147009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 147025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 147029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 147033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147041 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 147044 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147053 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 147057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 147066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 147070 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 147074 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 147078 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 147083 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 147087 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 147091 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 147095 */     // MIs[4] Operand 1
     /* 147095 */     // No operand predicates
     /* 147095 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 147099 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 147101 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 147101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 147104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147113 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 147119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 147132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 147143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 147146 */     GIR_RootConstrainSelectedInstOperands,
     /* 147147 */     // GIR_Coverage, 2560,
     /* 147147 */     GIR_EraseRootFromParent_Done,
     /* 147148 */   // Label 2909: @147148
     /* 147148 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(147309), // Rule ID 6156 //
     /* 147153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 147161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 147170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 147186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 147190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 147194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147202 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 147205 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147214 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 147218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 147227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 147231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 147235 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 147239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 147244 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 147248 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 147252 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 147256 */     // MIs[4] Operand 1
     /* 147256 */     // No operand predicates
     /* 147256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 147260 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 147262 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 147262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 147265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147274 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 147280 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147285 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 147293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 147304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 147307 */     GIR_RootConstrainSelectedInstOperands,
     /* 147308 */     // GIR_Coverage, 6156,
     /* 147308 */     GIR_EraseRootFromParent_Done,
     /* 147309 */   // Label 2910: @147309
     /* 147309 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(147419), // Rule ID 2078 //
     /* 147314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 147325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 147331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 147343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 147347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 147355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 147359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 147363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 147368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 147372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 147376 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 147380 */     // MIs[3] Operand 1
     /* 147380 */     // No operand predicates
     /* 147380 */     // MIs[1] Operand 2
     /* 147380 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 147391 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 147393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 147400 */     // (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SQDMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 147400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_indexed),
     /* 147403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 147414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 147417 */     GIR_RootConstrainSelectedInstOperands,
     /* 147418 */     // GIR_Coverage, 2078,
     /* 147418 */     GIR_EraseRootFromParent_Done,
     /* 147419 */   // Label 2911: @147419
     /* 147419 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(147529), // Rule ID 2081 //
     /* 147424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 147435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 147441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 147453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 147457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 147465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 147469 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 147473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 147482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 147486 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 147490 */     // MIs[3] Operand 1
     /* 147490 */     // No operand predicates
     /* 147490 */     // MIs[1] Operand 2
     /* 147490 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 147501 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 147503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 147510 */     // (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SQDMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 147510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_indexed),
     /* 147513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 147524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 147527 */     GIR_RootConstrainSelectedInstOperands,
     /* 147528 */     // GIR_Coverage, 2081,
     /* 147528 */     GIR_EraseRootFromParent_Done,
     /* 147529 */   // Label 2912: @147529
     /* 147529 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(147618), // Rule ID 1736 //
     /* 147534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 147542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 147545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 147551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147567 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 147570 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147579 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 147583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 147592 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 147599 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 147599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_v4i32),
     /* 147602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 147616 */     GIR_RootConstrainSelectedInstOperands,
     /* 147617 */     // GIR_Coverage, 1736,
     /* 147617 */     GIR_EraseRootFromParent_Done,
     /* 147618 */   // Label 2913: @147618
     /* 147618 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(147707), // Rule ID 1738 //
     /* 147623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 147631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 147634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 147637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 147640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147656 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 147659 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147668 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 147672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 147681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 147688 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 147688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_v2i64),
     /* 147691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 147705 */     GIR_RootConstrainSelectedInstOperands,
     /* 147706 */     // GIR_Coverage, 1738,
     /* 147706 */     GIR_EraseRootFromParent_Done,
     /* 147707 */   // Label 2914: @147707
     /* 147707 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(147796), // Rule ID 1740 //
     /* 147712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 147720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 147723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 147729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147745 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 147748 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147757 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 147761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147763 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 147770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 147777 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 147777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_v4i32),
     /* 147780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 147794 */     GIR_RootConstrainSelectedInstOperands,
     /* 147795 */     // GIR_Coverage, 1740,
     /* 147795 */     GIR_EraseRootFromParent_Done,
     /* 147796 */   // Label 2915: @147796
     /* 147796 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(147885), // Rule ID 1742 //
     /* 147801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 147809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 147812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 147815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 147818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 147830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 147834 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 147837 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 147842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147846 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 147850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 147859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 147866 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 147866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_v2i64),
     /* 147869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 147873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 147878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 147883 */     GIR_RootConstrainSelectedInstOperands,
     /* 147884 */     // GIR_Coverage, 1742,
     /* 147884 */     GIR_EraseRootFromParent_Done,
     /* 147885 */   // Label 2916: @147885
     /* 147885 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(148007), // Rule ID 6815 //
     /* 147890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 147895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 147898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 147904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 147916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 147920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147925 */     // MIs[1] Operand 2
     /* 147925 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 147936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 147940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 147944 */     // MIs[2] Rn
     /* 147944 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 147949 */     // MIs[2] Operand 2
     /* 147949 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 147960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147962 */     // (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 147962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 147965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 147969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 147978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 147982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147989 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 147996 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148001 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148006 */     // GIR_Coverage, 6815,
     /* 148006 */     GIR_EraseRootFromParent_Done,
     /* 148007 */   // Label 2917: @148007
     /* 148007 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(148129), // Rule ID 6817 //
     /* 148012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 148017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 148020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 148026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 148042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148047 */     // MIs[1] Operand 2
     /* 148047 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 148058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 148062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148066 */     // MIs[2] Rn
     /* 148066 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 148071 */     // MIs[2] Operand 2
     /* 148071 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 148082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148084 */     // (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /* 148084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 148087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 148091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 148106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148111 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148118 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148123 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148128 */     // GIR_Coverage, 6817,
     /* 148128 */     GIR_EraseRootFromParent_Done,
     /* 148129 */   // Label 2918: @148129
     /* 148129 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(148251), // Rule ID 6819 //
     /* 148134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 148139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 148142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 148145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 148148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 148164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148169 */     // MIs[1] Operand 2
     /* 148169 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 148180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 148184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148188 */     // MIs[2] Rn
     /* 148188 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 148193 */     // MIs[2] Operand 2
     /* 148193 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 148204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148206 */     // (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /* 148206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 148209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 148213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 148228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148233 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148245 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148250 */     // GIR_Coverage, 6819,
     /* 148250 */     GIR_EraseRootFromParent_Done,
     /* 148251 */   // Label 2919: @148251
     /* 148251 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(148373), // Rule ID 6821 //
     /* 148256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 148261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 148264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 148270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 148286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148291 */     // MIs[1] Operand 2
     /* 148291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 148302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 148306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148310 */     // MIs[2] Rn
     /* 148310 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 148315 */     // MIs[2] Operand 2
     /* 148315 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 148326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148328 */     // (intrinsic_wo_chain:{ *:[v2f32] } 578:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (FADDPv4f32:{ *:[f128] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] })
     /* 148328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 148331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 148335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 148350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148355 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148362 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148367 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148372 */     // GIR_Coverage, 6821,
     /* 148372 */     GIR_EraseRootFromParent_Done,
     /* 148373 */   // Label 2920: @148373
     /* 148373 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(148495), // Rule ID 6823 //
     /* 148378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 148383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 148386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 148392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 148408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148413 */     // MIs[1] Operand 2
     /* 148413 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 148424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 148428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148432 */     // MIs[2] Rn
     /* 148432 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 148437 */     // MIs[2] Operand 2
     /* 148437 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 148448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148450 */     // (intrinsic_wo_chain:{ *:[v4f16] } 578:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (FADDPv8f16:{ *:[f128] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] })
     /* 148450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 148453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 148457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 148470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 148472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148477 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148484 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148489 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148494 */     // GIR_Coverage, 6823,
     /* 148494 */     GIR_EraseRootFromParent_Done,
     /* 148495 */   // Label 2921: @148495
     /* 148495 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(148678), // Rule ID 2558 //
     /* 148500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 148503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 148508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 148517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 148529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 148533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 148537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 148541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 148549 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 148552 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 148557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148561 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 148565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148575 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 148579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148581 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 148581 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 148584 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148588 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148595 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148598 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148602 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148607 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 148610 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 148614 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 148617 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148622 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148627 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 148635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148644 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 148650 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148655 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 148663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 148667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 148670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 148673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148676 */     GIR_RootConstrainSelectedInstOperands,
     /* 148677 */     // GIR_Coverage, 2558,
     /* 148677 */     GIR_EraseRootFromParent_Done,
     /* 148678 */   // Label 2922: @148678
     /* 148678 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(148861), // Rule ID 6154 //
     /* 148683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 148686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 148691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 148700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 148712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 148716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 148720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 148724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 148732 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 148735 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 148740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148744 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 148748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148758 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 148762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148764 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 148764 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 148767 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148771 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148778 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148781 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148785 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148790 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 148793 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 148797 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 148800 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148805 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148810 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 148818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148827 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 148833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 148846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 148850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 148853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 148856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 148859 */     GIR_RootConstrainSelectedInstOperands,
     /* 148860 */     // GIR_Coverage, 6154,
     /* 148860 */     GIR_EraseRootFromParent_Done,
     /* 148861 */   // Label 2923: @148861
     /* 148861 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(148965), // Rule ID 13136 //
     /* 148866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 148869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 148874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 148877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 148883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 148899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 148907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 148911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 148915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 148920 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 148924 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 148928 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 148932 */     // MIs[3] Operand 1
     /* 148932 */     // No operand predicates
     /* 148932 */     // MIs[1] Operand 2
     /* 148932 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 148943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 148949 */     // (intrinsic_wo_chain:{ *:[v4f16] } 609:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 148949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 148952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 148956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 148960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 148963 */     GIR_RootConstrainSelectedInstOperands,
     /* 148964 */     // GIR_Coverage, 13136,
     /* 148964 */     GIR_EraseRootFromParent_Done,
     /* 148965 */   // Label 2924: @148965
     /* 148965 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(149069), // Rule ID 13139 //
     /* 148970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 148973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 148978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 148981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 148987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 148999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 149007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 149011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 149019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 149028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149032 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 149036 */     // MIs[3] Operand 1
     /* 149036 */     // No operand predicates
     /* 149036 */     // MIs[1] Operand 2
     /* 149036 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 149047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149053 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 149053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 149056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 149060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 149064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 149067 */     GIR_RootConstrainSelectedInstOperands,
     /* 149068 */     // GIR_Coverage, 13139,
     /* 149068 */     GIR_EraseRootFromParent_Done,
     /* 149069 */   // Label 2925: @149069
     /* 149069 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(149200), // Rule ID 2515 //
     /* 149074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 149077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 149088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 149091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 149107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149116 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 149120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 149124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 149132 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 149136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149141 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 149145 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149149 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 149153 */     // MIs[3] Operand 1
     /* 149153 */     // No operand predicates
     /* 149153 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149155 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 149155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 149158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149167 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 149173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149178 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 149186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 149195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 149198 */     GIR_RootConstrainSelectedInstOperands,
     /* 149199 */     // GIR_Coverage, 2515,
     /* 149199 */     GIR_EraseRootFromParent_Done,
     /* 149200 */   // Label 2926: @149200
     /* 149200 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(149331), // Rule ID 2516 //
     /* 149205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 149219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 149222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149247 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 149251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 149255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 149267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 149276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149280 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 149284 */     // MIs[3] Operand 1
     /* 149284 */     // No operand predicates
     /* 149284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149286 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 149286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 149289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149298 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 149304 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 149317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 149326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 149329 */     GIR_RootConstrainSelectedInstOperands,
     /* 149330 */     // GIR_Coverage, 2516,
     /* 149330 */     GIR_EraseRootFromParent_Done,
     /* 149331 */   // Label 2927: @149331
     /* 149331 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(149462), // Rule ID 2517 //
     /* 149336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 149350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 149353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 149369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149378 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 149382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 149386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 149394 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 149398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 149407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149411 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 149415 */     // MIs[3] Operand 1
     /* 149415 */     // No operand predicates
     /* 149415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149417 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 149417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 149420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149429 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 149435 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149440 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 149448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 149457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 149460 */     GIR_RootConstrainSelectedInstOperands,
     /* 149461 */     // GIR_Coverage, 2517,
     /* 149461 */     GIR_EraseRootFromParent_Done,
     /* 149462 */   // Label 2928: @149462
     /* 149462 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(149593), // Rule ID 13322 //
     /* 149467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 149470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 149481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 149484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 149500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 149513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149517 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 149521 */     // MIs[2] Operand 1
     /* 149521 */     // No operand predicates
     /* 149521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 149525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 149533 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 149537 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149542 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 149546 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149548 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 149548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 149551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149560 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 149566 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149571 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 149579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 149588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 149591 */     GIR_RootConstrainSelectedInstOperands,
     /* 149592 */     // GIR_Coverage, 13322,
     /* 149592 */     GIR_EraseRootFromParent_Done,
     /* 149593 */   // Label 2929: @149593
     /* 149593 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(149724), // Rule ID 13323 //
     /* 149598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 149612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 149615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 149644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149648 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 149652 */     // MIs[2] Operand 1
     /* 149652 */     // No operand predicates
     /* 149652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 149656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149660 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 149664 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 149668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149673 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 149677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149679 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 149679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 149682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149691 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 149697 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149702 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 149710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 149719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 149722 */     GIR_RootConstrainSelectedInstOperands,
     /* 149723 */     // GIR_Coverage, 13323,
     /* 149723 */     GIR_EraseRootFromParent_Done,
     /* 149724 */   // Label 2930: @149724
     /* 149724 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(149855), // Rule ID 13324 //
     /* 149729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 149737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 149743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 149746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 149762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 149766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 149775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149779 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 149783 */     // MIs[2] Operand 1
     /* 149783 */     // No operand predicates
     /* 149783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 149787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 149791 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 149795 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 149799 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149804 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 149808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149810 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 149810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 149813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149822 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 149828 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 149841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 149846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 149850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 149853 */     GIR_RootConstrainSelectedInstOperands,
     /* 149854 */     // GIR_Coverage, 13324,
     /* 149854 */     GIR_EraseRootFromParent_Done,
     /* 149855 */   // Label 2931: @149855
     /* 149855 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(149969), // Rule ID 2049 //
     /* 149860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 149868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 149871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 149877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 149889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 149893 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 149896 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 149901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149905 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 149909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 149918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 149922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 149926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 149930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 149935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 149939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 149943 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 149947 */     // MIs[3] Operand 1
     /* 149947 */     // No operand predicates
     /* 149947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 149949 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 149949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 149952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 149956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 149960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 149964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 149967 */     GIR_RootConstrainSelectedInstOperands,
     /* 149968 */     // GIR_Coverage, 2049,
     /* 149968 */     GIR_EraseRootFromParent_Done,
     /* 149969 */   // Label 2932: @149969
     /* 149969 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(150083), // Rule ID 2056 //
     /* 149974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 149977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 149982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 149985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 149991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 150007 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 150010 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 150015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150019 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 150023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 150032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 150036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 150049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150057 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 150061 */     // MIs[3] Operand 1
     /* 150061 */     // No operand predicates
     /* 150061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150063 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 150066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 150070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 150074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150081 */     GIR_RootConstrainSelectedInstOperands,
     /* 150082 */     // GIR_Coverage, 2056,
     /* 150082 */     GIR_EraseRootFromParent_Done,
     /* 150083 */   // Label 2933: @150083
     /* 150083 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(150197), // Rule ID 2052 //
     /* 150088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 150096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 150099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 150102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 150105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 150121 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 150124 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 150129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150133 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 150137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 150146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 150150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150154 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150171 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 150175 */     // MIs[3] Operand 1
     /* 150175 */     // No operand predicates
     /* 150175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150177 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 150180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 150184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 150188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150195 */     GIR_RootConstrainSelectedInstOperands,
     /* 150196 */     // GIR_Coverage, 2052,
     /* 150196 */     GIR_EraseRootFromParent_Done,
     /* 150197 */   // Label 2934: @150197
     /* 150197 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(150311), // Rule ID 2059 //
     /* 150202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 150210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 150213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 150216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 150219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 150235 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 150238 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 150243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150247 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 150251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 150260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 150264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150285 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 150289 */     // MIs[3] Operand 1
     /* 150289 */     // No operand predicates
     /* 150289 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150291 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 150294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 150298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 150302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150309 */     GIR_RootConstrainSelectedInstOperands,
     /* 150310 */     // GIR_Coverage, 2059,
     /* 150310 */     GIR_EraseRootFromParent_Done,
     /* 150311 */   // Label 2935: @150311
     /* 150311 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(150425), // Rule ID 2054 //
     /* 150316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 150324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 150327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 150330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 150333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 150349 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 150352 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 150357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 150361 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 150365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 150374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 150378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150399 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 150403 */     // MIs[3] Operand 1
     /* 150403 */     // No operand predicates
     /* 150403 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150405 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i64_indexed),
     /* 150408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 150412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 150416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150423 */     GIR_RootConstrainSelectedInstOperands,
     /* 150424 */     // GIR_Coverage, 2054,
     /* 150424 */     GIR_EraseRootFromParent_Done,
     /* 150425 */   // Label 2936: @150425
     /* 150425 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(150539), // Rule ID 2061 //
     /* 150430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 150438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 150441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 150444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 150447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 150463 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 150466 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 150471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 150475 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 150479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 150488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 150492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150513 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 150517 */     // MIs[3] Operand 1
     /* 150517 */     // No operand predicates
     /* 150517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150519 */     // (intrinsic_wo_chain:{ *:[i64] } 697:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i64_indexed),
     /* 150522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 150526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 150530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150537 */     GIR_RootConstrainSelectedInstOperands,
     /* 150538 */     // GIR_Coverage, 2061,
     /* 150538 */     GIR_EraseRootFromParent_Done,
     /* 150539 */   // Label 2937: @150539
     /* 150539 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(150643), // Rule ID 1980 //
     /* 150544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 150547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 150552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 150555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 150561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 150577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 150585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 150589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 150602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150606 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150610 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 150614 */     // MIs[3] Operand 1
     /* 150614 */     // No operand predicates
     /* 150614 */     // MIs[1] Operand 2
     /* 150614 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 150625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150627 */     // (intrinsic_wo_chain:{ *:[v4f16] } 609:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 150630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150641 */     GIR_RootConstrainSelectedInstOperands,
     /* 150642 */     // GIR_Coverage, 1980,
     /* 150642 */     GIR_EraseRootFromParent_Done,
     /* 150643 */   // Label 2938: @150643
     /* 150643 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(150747), // Rule ID 2010 //
     /* 150648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 150656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 150659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 150665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 150681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 150689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 150693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150697 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 150706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150714 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 150718 */     // MIs[3] Operand 1
     /* 150718 */     // No operand predicates
     /* 150718 */     // MIs[1] Operand 2
     /* 150718 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 150729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150731 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 150734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150745 */     GIR_RootConstrainSelectedInstOperands,
     /* 150746 */     // GIR_Coverage, 2010,
     /* 150746 */     GIR_EraseRootFromParent_Done,
     /* 150747 */   // Label 2939: @150747
     /* 150747 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(150851), // Rule ID 2017 //
     /* 150752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 150760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 150763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 150769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 150785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 150793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 150797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150801 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 150810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150818 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 150822 */     // MIs[3] Operand 1
     /* 150822 */     // No operand predicates
     /* 150822 */     // MIs[1] Operand 2
     /* 150822 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 150833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150835 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 150838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150849 */     GIR_RootConstrainSelectedInstOperands,
     /* 150850 */     // GIR_Coverage, 2017,
     /* 150850 */     GIR_EraseRootFromParent_Done,
     /* 150851 */   // Label 2940: @150851
     /* 150851 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(150955), // Rule ID 2076 //
     /* 150856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 150864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 150867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 150873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 150889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 150897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 150901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 150905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 150909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 150914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 150918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 150922 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 150926 */     // MIs[3] Operand 1
     /* 150926 */     // No operand predicates
     /* 150926 */     // MIs[1] Operand 2
     /* 150926 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 150937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 150939 */     // (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 150939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 150942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 150950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 150953 */     GIR_RootConstrainSelectedInstOperands,
     /* 150954 */     // GIR_Coverage, 2076,
     /* 150954 */     GIR_EraseRootFromParent_Done,
     /* 150955 */   // Label 2941: @150955
     /* 150955 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(151059), // Rule ID 1983 //
     /* 150960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 150963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 150968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 150971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 150977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 150989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 150993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 151001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 151005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 151013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151018 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 151022 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 151026 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 151030 */     // MIs[3] Operand 1
     /* 151030 */     // No operand predicates
     /* 151030 */     // MIs[1] Operand 2
     /* 151030 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 151041 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 151043 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 151043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 151046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 151054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 151057 */     GIR_RootConstrainSelectedInstOperands,
     /* 151058 */     // GIR_Coverage, 1983,
     /* 151058 */     GIR_EraseRootFromParent_Done,
     /* 151059 */   // Label 2942: @151059
     /* 151059 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(151163), // Rule ID 2013 //
     /* 151064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 151072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 151075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 151081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 151093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 151097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 151105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 151109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 151117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 151126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 151130 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 151134 */     // MIs[3] Operand 1
     /* 151134 */     // No operand predicates
     /* 151134 */     // MIs[1] Operand 2
     /* 151134 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 151145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 151147 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 151147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 151150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 151158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 151161 */     GIR_RootConstrainSelectedInstOperands,
     /* 151162 */     // GIR_Coverage, 2013,
     /* 151162 */     GIR_EraseRootFromParent_Done,
     /* 151163 */   // Label 2943: @151163
     /* 151163 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(151267), // Rule ID 2020 //
     /* 151168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 151176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 151179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 151185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 151197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 151201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 151209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 151213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151217 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 151221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151226 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 151230 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 151234 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 151238 */     // MIs[3] Operand 1
     /* 151238 */     // No operand predicates
     /* 151238 */     // MIs[1] Operand 2
     /* 151238 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 151249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 151251 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 151251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 151254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 151262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 151265 */     GIR_RootConstrainSelectedInstOperands,
     /* 151266 */     // GIR_Coverage, 2020,
     /* 151266 */     GIR_EraseRootFromParent_Done,
     /* 151267 */   // Label 2944: @151267
     /* 151267 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(151371), // Rule ID 2079 //
     /* 151272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 151280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 151283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 151289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 151301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 151305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 151313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 151317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 151325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 151334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 151338 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 151342 */     // MIs[3] Operand 1
     /* 151342 */     // No operand predicates
     /* 151342 */     // MIs[1] Operand 2
     /* 151342 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 151353 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 151355 */     // (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 151355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 151358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 151366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 151369 */     GIR_RootConstrainSelectedInstOperands,
     /* 151370 */     // GIR_Coverage, 2079,
     /* 151370 */     GIR_EraseRootFromParent_Done,
     /* 151371 */   // Label 2945: @151371
     /* 151371 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(151428), // Rule ID 1744 //
     /* 151376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 151384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 151387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 151393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 151404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 151411 */     // (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SQDMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 151411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_v4i32),
     /* 151414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 151421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 151426 */     GIR_RootConstrainSelectedInstOperands,
     /* 151427 */     // GIR_Coverage, 1744,
     /* 151427 */     GIR_EraseRootFromParent_Done,
     /* 151428 */   // Label 2946: @151428
     /* 151428 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(151485), // Rule ID 1746 //
     /* 151433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 151441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 151444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 151450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 151461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 151468 */     // (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SQDMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 151468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_v2i64),
     /* 151471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 151478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 151483 */     GIR_RootConstrainSelectedInstOperands,
     /* 151484 */     // GIR_Coverage, 1746,
     /* 151484 */     GIR_EraseRootFromParent_Done,
     /* 151485 */   // Label 2947: @151485
     /* 151485 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(151595), // Rule ID 6173 //
     /* 151490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 151495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 151504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 151516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 151520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 151524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151529 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 151540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 151544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 151548 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 151552 */     // MIs[2] Operand 1
     /* 151552 */     // No operand predicates
     /* 151552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 151554 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, (and:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 151554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 151557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151566 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 151572 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151577 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 151585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 151590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 151593 */     GIR_RootConstrainSelectedInstOperands,
     /* 151594 */     // GIR_Coverage, 6173,
     /* 151594 */     GIR_EraseRootFromParent_Done,
     /* 151595 */   // Label 2948: @151595
     /* 151595 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(151692), // Rule ID 13590 //
     /* 151600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 151603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 151608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 151617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 151629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 151633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 151637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151642 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 151646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151652 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 151652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 151655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151664 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 151670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 151683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 151687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 151690 */     GIR_RootConstrainSelectedInstOperands,
     /* 151691 */     // GIR_Coverage, 13590,
     /* 151691 */     GIR_EraseRootFromParent_Done,
     /* 151692 */   // Label 2949: @151692
     /* 151692 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(151789), // Rule ID 13591 //
     /* 151697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 151700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 151705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 151714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 151726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 151730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 151734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151739 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 151743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151749 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 151749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 151752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151761 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 151767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151772 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 151780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 151784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 151787 */     GIR_RootConstrainSelectedInstOperands,
     /* 151788 */     // GIR_Coverage, 13591,
     /* 151788 */     GIR_EraseRootFromParent_Done,
     /* 151789 */   // Label 2950: @151789
     /* 151789 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(151886), // Rule ID 13592 //
     /* 151794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 151797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 151802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 151811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 151823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 151827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 151831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151836 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 151840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151846 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 151846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 151849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151858 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 151864 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151869 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 151877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 151881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 151884 */     GIR_RootConstrainSelectedInstOperands,
     /* 151885 */     // GIR_Coverage, 13592,
     /* 151885 */     GIR_EraseRootFromParent_Done,
     /* 151886 */   // Label 2951: @151886
     /* 151886 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(151969), // Rule ID 1735 //
     /* 151891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 151899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 151902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 151905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 151908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 151920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 151924 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 151927 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 151932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151936 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 151940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151952 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 151952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_v4i32),
     /* 151955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 151959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 151963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 151967 */     GIR_RootConstrainSelectedInstOperands,
     /* 151968 */     // GIR_Coverage, 1735,
     /* 151968 */     GIR_EraseRootFromParent_Done,
     /* 151969 */   // Label 2952: @151969
     /* 151969 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(152052), // Rule ID 1737 //
     /* 151974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 151977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 151982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 151985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 151988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 151991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152007 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152010 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152019 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 152023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152035 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 152035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_v2i64),
     /* 152038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 152046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 152050 */     GIR_RootConstrainSelectedInstOperands,
     /* 152051 */     // GIR_Coverage, 1737,
     /* 152051 */     GIR_EraseRootFromParent_Done,
     /* 152052 */   // Label 2953: @152052
     /* 152052 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(152135), // Rule ID 1739 //
     /* 152057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 152074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152090 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152093 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152102 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152118 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 152118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_v4i32),
     /* 152121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 152129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 152133 */     GIR_RootConstrainSelectedInstOperands,
     /* 152134 */     // GIR_Coverage, 1739,
     /* 152134 */     GIR_EraseRootFromParent_Done,
     /* 152135 */   // Label 2954: @152135
     /* 152135 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(152218), // Rule ID 1741 //
     /* 152140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 152157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152173 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152176 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152185 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 152189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152201 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 152201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_v2i64),
     /* 152204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 152212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 152216 */     GIR_RootConstrainSelectedInstOperands,
     /* 152217 */     // GIR_Coverage, 1741,
     /* 152217 */     GIR_EraseRootFromParent_Done,
     /* 152218 */   // Label 2955: @152218
     /* 152218 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(152298), // Rule ID 5174 //
     /* 152223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 152237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152253 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152256 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 152261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 152265 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 152269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152281 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLALi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 152281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALi32),
     /* 152284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 152292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 152296 */     GIR_RootConstrainSelectedInstOperands,
     /* 152297 */     // GIR_Coverage, 5174,
     /* 152297 */     GIR_EraseRootFromParent_Done,
     /* 152298 */   // Label 2956: @152298
     /* 152298 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(152378), // Rule ID 5175 //
     /* 152303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 152317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152333 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152336 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 152341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 152345 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 152349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152361 */     // (intrinsic_wo_chain:{ *:[i64] } 697:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLSLi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 152361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLi32),
     /* 152364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 152372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 152376 */     GIR_RootConstrainSelectedInstOperands,
     /* 152377 */     // GIR_Coverage, 5175,
     /* 152377 */     GIR_EraseRootFromParent_Done,
     /* 152378 */   // Label 2957: @152378
     /* 152378 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(152475), // Rule ID 5171 //
     /* 152383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 152386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 152394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 152400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152429 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152435 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 152435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 152438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152447 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 152453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 152466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152473 */     GIR_RootConstrainSelectedInstOperands,
     /* 152474 */     // GIR_Coverage, 5171,
     /* 152474 */     GIR_EraseRootFromParent_Done,
     /* 152475 */   // Label 2958: @152475
     /* 152475 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(152572), // Rule ID 5172 //
     /* 152480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 152483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 152497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152532 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 152532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 152535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152544 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 152550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 152563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152570 */     GIR_RootConstrainSelectedInstOperands,
     /* 152571 */     // GIR_Coverage, 5172,
     /* 152571 */     GIR_EraseRootFromParent_Done,
     /* 152572 */   // Label 2959: @152572
     /* 152572 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(152669), // Rule ID 5173 //
     /* 152577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 152580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 152594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 152614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152623 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152629 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 152629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 152632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152641 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 152647 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 152660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152667 */     GIR_RootConstrainSelectedInstOperands,
     /* 152668 */     // GIR_Coverage, 5173,
     /* 152668 */     GIR_EraseRootFromParent_Done,
     /* 152669 */   // Label 2960: @152669
     /* 152669 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(152750), // Rule ID 13137 //
     /* 152674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 152677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 152685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 152720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152724 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152728 */     // MIs[2] Operand 1
     /* 152728 */     // No operand predicates
     /* 152728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152734 */     // (intrinsic_wo_chain:{ *:[v4f16] } 609:{ *:[iPTR] }, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 152737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 152741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 152745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 152748 */     GIR_RootConstrainSelectedInstOperands,
     /* 152749 */     // GIR_Coverage, 13137,
     /* 152749 */     GIR_EraseRootFromParent_Done,
     /* 152750 */   // Label 2961: @152750
     /* 152750 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(152831), // Rule ID 13138 //
     /* 152755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 152758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 152766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 152769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 152772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 152801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152805 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152809 */     // MIs[2] Operand 1
     /* 152809 */     // No operand predicates
     /* 152809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152815 */     // (intrinsic_wo_chain:{ *:[v8f16] } 609:{ *:[iPTR] }, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 152818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 152822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 152826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 152829 */     GIR_RootConstrainSelectedInstOperands,
     /* 152830 */     // GIR_Coverage, 13138,
     /* 152830 */     GIR_EraseRootFromParent_Done,
     /* 152831 */   // Label 2962: @152831
     /* 152831 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(152912), // Rule ID 13140 //
     /* 152836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 152847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 152853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 152865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 152882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152886 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 152890 */     // MIs[2] Operand 1
     /* 152890 */     // No operand predicates
     /* 152890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152896 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 152899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 152903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 152907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 152910 */     GIR_RootConstrainSelectedInstOperands,
     /* 152911 */     // GIR_Coverage, 13140,
     /* 152911 */     GIR_EraseRootFromParent_Done,
     /* 152912 */   // Label 2963: @152912
     /* 152912 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(152993), // Rule ID 13141 //
     /* 152917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 152925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 152934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 152946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 152963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152967 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 152971 */     // MIs[2] Operand 1
     /* 152971 */     // No operand predicates
     /* 152971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152977 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 152980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 152984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 152988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 152991 */     GIR_RootConstrainSelectedInstOperands,
     /* 152992 */     // GIR_Coverage, 13141,
     /* 152992 */     GIR_EraseRootFromParent_Done,
     /* 152993 */   // Label 2964: @152993
     /* 152993 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(153074), // Rule ID 13142 //
     /* 152998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 153027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 153031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153048 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 153052 */     // MIs[2] Operand 1
     /* 153052 */     // No operand predicates
     /* 153052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153058 */     // (intrinsic_wo_chain:{ *:[v2f64] } 609:{ *:[iPTR] }, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 153061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 153065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153072 */     GIR_RootConstrainSelectedInstOperands,
     /* 153073 */     // GIR_Coverage, 13142,
     /* 153073 */     GIR_EraseRootFromParent_Done,
     /* 153074 */   // Label 2965: @153074
     /* 153074 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(153155), // Rule ID 13143 //
     /* 153079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 153082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 153090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 153093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 153096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153129 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153133 */     // MIs[2] Operand 1
     /* 153133 */     // No operand predicates
     /* 153133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153139 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 153142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 153146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153153 */     GIR_RootConstrainSelectedInstOperands,
     /* 153154 */     // GIR_Coverage, 13143,
     /* 153154 */     GIR_EraseRootFromParent_Done,
     /* 153155 */   // Label 2966: @153155
     /* 153155 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(153236), // Rule ID 13144 //
     /* 153160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 153171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 153174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153210 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153214 */     // MIs[2] Operand 1
     /* 153214 */     // No operand predicates
     /* 153214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153220 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 153223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 153227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153234 */     GIR_RootConstrainSelectedInstOperands,
     /* 153235 */     // GIR_Coverage, 13144,
     /* 153235 */     GIR_EraseRootFromParent_Done,
     /* 153236 */   // Label 2967: @153236
     /* 153236 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(153317), // Rule ID 13145 //
     /* 153241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 153252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 153255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 153258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 153274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153291 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 153295 */     // MIs[2] Operand 1
     /* 153295 */     // No operand predicates
     /* 153295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153301 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 153304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 153308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153315 */     GIR_RootConstrainSelectedInstOperands,
     /* 153316 */     // GIR_Coverage, 13145,
     /* 153316 */     GIR_EraseRootFromParent_Done,
     /* 153317 */   // Label 2968: @153317
     /* 153317 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(153423), // Rule ID 6170 //
     /* 153322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 153327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 153330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 153333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 153348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 153352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153357 */     // MIs[1] Operand 2
     /* 153357 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 153368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 153372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153376 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 153380 */     // MIs[2] Operand 1
     /* 153380 */     // No operand predicates
     /* 153380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153382 */     // (intrinsic_wo_chain:{ *:[f16] } 764:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 153382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153394 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153400 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153405 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 153413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 153421 */     GIR_RootConstrainSelectedInstOperands,
     /* 153422 */     // GIR_Coverage, 6170,
     /* 153422 */     GIR_EraseRootFromParent_Done,
     /* 153423 */   // Label 2969: @153423
     /* 153423 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(153504), // Rule ID 1981 //
     /* 153428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 153431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 153439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153482 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153486 */     // MIs[2] Operand 1
     /* 153486 */     // No operand predicates
     /* 153486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153488 */     // (intrinsic_wo_chain:{ *:[v4f16] } 609:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 153491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153502 */     GIR_RootConstrainSelectedInstOperands,
     /* 153503 */     // GIR_Coverage, 1981,
     /* 153503 */     GIR_EraseRootFromParent_Done,
     /* 153504 */   // Label 2970: @153504
     /* 153504 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(153585), // Rule ID 1982 //
     /* 153509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 153512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 153517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 153520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 153523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 153526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153563 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153567 */     // MIs[2] Operand 1
     /* 153567 */     // No operand predicates
     /* 153567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153569 */     // (intrinsic_wo_chain:{ *:[v8f16] } 609:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 153572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153583 */     GIR_RootConstrainSelectedInstOperands,
     /* 153584 */     // GIR_Coverage, 1982,
     /* 153584 */     GIR_EraseRootFromParent_Done,
     /* 153585 */   // Label 2971: @153585
     /* 153585 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(153666), // Rule ID 2011 //
     /* 153590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 153598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 153601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153644 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153648 */     // MIs[2] Operand 1
     /* 153648 */     // No operand predicates
     /* 153648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153650 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 153653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153664 */     GIR_RootConstrainSelectedInstOperands,
     /* 153665 */     // GIR_Coverage, 2011,
     /* 153665 */     GIR_EraseRootFromParent_Done,
     /* 153666 */   // Label 2972: @153666
     /* 153666 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(153747), // Rule ID 2012 //
     /* 153671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 153679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 153682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 153685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 153688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153725 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153729 */     // MIs[2] Operand 1
     /* 153729 */     // No operand predicates
     /* 153729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153731 */     // (intrinsic_wo_chain:{ *:[v8i16] } 679:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16_indexed),
     /* 153734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153745 */     GIR_RootConstrainSelectedInstOperands,
     /* 153746 */     // GIR_Coverage, 2012,
     /* 153746 */     GIR_EraseRootFromParent_Done,
     /* 153747 */   // Label 2973: @153747
     /* 153747 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(153828), // Rule ID 2018 //
     /* 153752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 153760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 153763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153806 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153810 */     // MIs[2] Operand 1
     /* 153810 */     // No operand predicates
     /* 153810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153812 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 153815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153826 */     GIR_RootConstrainSelectedInstOperands,
     /* 153827 */     // GIR_Coverage, 2018,
     /* 153827 */     GIR_EraseRootFromParent_Done,
     /* 153828 */   // Label 2974: @153828
     /* 153828 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(153909), // Rule ID 2019 //
     /* 153833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 153841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 153844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 153847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 153850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153887 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153891 */     // MIs[2] Operand 1
     /* 153891 */     // No operand predicates
     /* 153891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153893 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16_indexed),
     /* 153896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153907 */     GIR_RootConstrainSelectedInstOperands,
     /* 153908 */     // GIR_Coverage, 2019,
     /* 153908 */     GIR_EraseRootFromParent_Done,
     /* 153909 */   // Label 2975: @153909
     /* 153909 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(153990), // Rule ID 2077 //
     /* 153914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 153964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153968 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153972 */     // MIs[2] Operand 1
     /* 153972 */     // No operand predicates
     /* 153972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153974 */     // (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 153977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 153981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 153985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 153988 */     GIR_RootConstrainSelectedInstOperands,
     /* 153989 */     // GIR_Coverage, 2077,
     /* 153989 */     GIR_EraseRootFromParent_Done,
     /* 153990 */   // Label 2976: @153990
     /* 153990 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(154071), // Rule ID 1984 //
     /* 153995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 154006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154049 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154053 */     // MIs[2] Operand 1
     /* 154053 */     // No operand predicates
     /* 154053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154055 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 154058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154069 */     GIR_RootConstrainSelectedInstOperands,
     /* 154070 */     // GIR_Coverage, 1984,
     /* 154070 */     GIR_EraseRootFromParent_Done,
     /* 154071 */   // Label 2977: @154071
     /* 154071 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(154152), // Rule ID 1985 //
     /* 154076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154130 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154134 */     // MIs[2] Operand 1
     /* 154134 */     // No operand predicates
     /* 154134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154136 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 154139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154150 */     GIR_RootConstrainSelectedInstOperands,
     /* 154151 */     // GIR_Coverage, 1985,
     /* 154151 */     GIR_EraseRootFromParent_Done,
     /* 154152 */   // Label 2978: @154152
     /* 154152 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(154233), // Rule ID 2014 //
     /* 154157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 154165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 154168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154211 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154215 */     // MIs[2] Operand 1
     /* 154215 */     // No operand predicates
     /* 154215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154217 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 154220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154231 */     GIR_RootConstrainSelectedInstOperands,
     /* 154232 */     // GIR_Coverage, 2014,
     /* 154232 */     GIR_EraseRootFromParent_Done,
     /* 154233 */   // Label 2979: @154233
     /* 154233 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(154314), // Rule ID 2015 //
     /* 154238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 154246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154292 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154296 */     // MIs[2] Operand 1
     /* 154296 */     // No operand predicates
     /* 154296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154298 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32_indexed),
     /* 154301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154312 */     GIR_RootConstrainSelectedInstOperands,
     /* 154313 */     // GIR_Coverage, 2015,
     /* 154313 */     GIR_EraseRootFromParent_Done,
     /* 154314 */   // Label 2980: @154314
     /* 154314 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(154395), // Rule ID 2021 //
     /* 154319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 154327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 154330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154373 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154377 */     // MIs[2] Operand 1
     /* 154377 */     // No operand predicates
     /* 154377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154379 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 154382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154393 */     GIR_RootConstrainSelectedInstOperands,
     /* 154394 */     // GIR_Coverage, 2021,
     /* 154394 */     GIR_EraseRootFromParent_Done,
     /* 154395 */   // Label 2981: @154395
     /* 154395 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(154476), // Rule ID 2022 //
     /* 154400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 154408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154454 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154458 */     // MIs[2] Operand 1
     /* 154458 */     // No operand predicates
     /* 154458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154460 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32_indexed),
     /* 154463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154474 */     GIR_RootConstrainSelectedInstOperands,
     /* 154475 */     // GIR_Coverage, 2022,
     /* 154475 */     GIR_EraseRootFromParent_Done,
     /* 154476 */   // Label 2982: @154476
     /* 154476 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(154557), // Rule ID 2080 //
     /* 154481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154535 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154539 */     // MIs[2] Operand 1
     /* 154539 */     // No operand predicates
     /* 154539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154541 */     // (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 154544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154555 */     GIR_RootConstrainSelectedInstOperands,
     /* 154556 */     // GIR_Coverage, 2080,
     /* 154556 */     GIR_EraseRootFromParent_Done,
     /* 154557 */   // Label 2983: @154557
     /* 154557 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(154638), // Rule ID 1986 //
     /* 154562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 154595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 154599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154616 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 154620 */     // MIs[2] Operand 1
     /* 154620 */     // No operand predicates
     /* 154620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154622 */     // (intrinsic_wo_chain:{ *:[v2f64] } 609:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 154625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154636 */     GIR_RootConstrainSelectedInstOperands,
     /* 154637 */     // GIR_Coverage, 1986,
     /* 154637 */     GIR_EraseRootFromParent_Done,
     /* 154638 */   // Label 2984: @154638
     /* 154638 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(154719), // Rule ID 1987 //
     /* 154643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 154646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 154654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 154657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 154660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154697 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154701 */     // MIs[2] Operand 1
     /* 154701 */     // No operand predicates
     /* 154701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154703 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 154706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154717 */     GIR_RootConstrainSelectedInstOperands,
     /* 154718 */     // GIR_Coverage, 1987,
     /* 154718 */     GIR_EraseRootFromParent_Done,
     /* 154719 */   // Label 2985: @154719
     /* 154719 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(154800), // Rule ID 1988 //
     /* 154724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154778 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154782 */     // MIs[2] Operand 1
     /* 154782 */     // No operand predicates
     /* 154782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154784 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 154787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154798 */     GIR_RootConstrainSelectedInstOperands,
     /* 154799 */     // GIR_Coverage, 1988,
     /* 154799 */     GIR_EraseRootFromParent_Done,
     /* 154800 */   // Label 2986: @154800
     /* 154800 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(154881), // Rule ID 1989 //
     /* 154805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 154813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 154816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 154819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 154822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 154842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154859 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 154863 */     // MIs[2] Operand 1
     /* 154863 */     // No operand predicates
     /* 154863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154865 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 154868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154879 */     GIR_RootConstrainSelectedInstOperands,
     /* 154880 */     // GIR_Coverage, 1989,
     /* 154880 */     GIR_EraseRootFromParent_Done,
     /* 154881 */   // Label 2987: @154881
     /* 154881 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(154962), // Rule ID 2016 //
     /* 154886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 154894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 154936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154940 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154944 */     // MIs[2] Operand 1
     /* 154944 */     // No operand predicates
     /* 154944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154946 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32_indexed),
     /* 154949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 154953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 154957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 154960 */     GIR_RootConstrainSelectedInstOperands,
     /* 154961 */     // GIR_Coverage, 2016,
     /* 154961 */     GIR_EraseRootFromParent_Done,
     /* 154962 */   // Label 2988: @154962
     /* 154962 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(155043), // Rule ID 2023 //
     /* 154967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 154975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 155017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155021 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 155025 */     // MIs[2] Operand 1
     /* 155025 */     // No operand predicates
     /* 155025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155027 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 155027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32_indexed),
     /* 155030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 155038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 155041 */     GIR_RootConstrainSelectedInstOperands,
     /* 155042 */     // GIR_Coverage, 2023,
     /* 155042 */     GIR_EraseRootFromParent_Done,
     /* 155043 */   // Label 2989: @155043
     /* 155043 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(155121), // Rule ID 6157 //
     /* 155048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 155053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 155095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155099 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 155103 */     // MIs[2] Operand 1
     /* 155103 */     // No operand predicates
     /* 155103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155105 */     // (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv1i64_indexed:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 155105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv1i64_indexed),
     /* 155108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /* 155116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 155119 */     GIR_RootConstrainSelectedInstOperands,
     /* 155120 */     // GIR_Coverage, 6157,
     /* 155120 */     GIR_EraseRootFromParent_Done,
     /* 155121 */   // Label 2990: @155121
     /* 155121 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(155181), // Rule ID 6231 //
     /* 155126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 155131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 155134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 155137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155148 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /* 155152 */     // (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /* 155152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 155155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 155159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155164 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 155167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 155172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 155176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155179 */     GIR_RootConstrainSelectedInstOperands,
     /* 155180 */     // GIR_Coverage, 6231,
     /* 155180 */     GIR_EraseRootFromParent_Done,
     /* 155181 */   // Label 2991: @155181
     /* 155181 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(155241), // Rule ID 6232 //
     /* 155186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 155191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 155197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155208 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /* 155212 */     // (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /* 155212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 155215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 155219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155224 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 155227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 155232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 155236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155239 */     GIR_RootConstrainSelectedInstOperands,
     /* 155240 */     // GIR_Coverage, 6232,
     /* 155240 */     GIR_EraseRootFromParent_Done,
     /* 155241 */   // Label 2992: @155241
     /* 155241 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(155301), // Rule ID 6233 //
     /* 155246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 155251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 155257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 32,
     /* 155272 */     // (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /* 155272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 155275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 155279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155284 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 155287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 155292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 155296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155299 */     GIR_RootConstrainSelectedInstOperands,
     /* 155300 */     // GIR_Coverage, 6233,
     /* 155300 */     GIR_EraseRootFromParent_Done,
     /* 155301 */   // Label 2993: @155301
     /* 155301 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(155348), // Rule ID 3839 //
     /* 155306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 155309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 155314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155328 */     // MIs[0] Operand 3
     /* 155328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 155339 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 155339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 155342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155346 */     GIR_RootConstrainSelectedInstOperands,
     /* 155347 */     // GIR_Coverage, 3839,
     /* 155347 */     GIR_EraseRootFromParent_Done,
     /* 155348 */   // Label 2994: @155348
     /* 155348 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(155395), // Rule ID 3840 //
     /* 155353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 155356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 155361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155375 */     // MIs[0] Operand 3
     /* 155375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 155386 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 155386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 155389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155393 */     GIR_RootConstrainSelectedInstOperands,
     /* 155394 */     // GIR_Coverage, 3840,
     /* 155394 */     GIR_EraseRootFromParent_Done,
     /* 155395 */   // Label 2995: @155395
     /* 155395 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(155442), // Rule ID 3841 //
     /* 155400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 155403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 155408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155422 */     // MIs[0] Operand 3
     /* 155422 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 155433 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 155433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 155436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155440 */     GIR_RootConstrainSelectedInstOperands,
     /* 155441 */     // GIR_Coverage, 3841,
     /* 155441 */     GIR_EraseRootFromParent_Done,
     /* 155442 */   // Label 2996: @155442
     /* 155442 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(155489), // Rule ID 3842 //
     /* 155447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 155450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 155455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 155469 */     // MIs[0] Operand 3
     /* 155469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 155480 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 155480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 155483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155487 */     GIR_RootConstrainSelectedInstOperands,
     /* 155488 */     // GIR_Coverage, 3842,
     /* 155488 */     GIR_EraseRootFromParent_Done,
     /* 155489 */   // Label 2997: @155489
     /* 155489 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(155535), // Rule ID 3524 //
     /* 155494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 155497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 155502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 155505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 155508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 155512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 155516 */     // MIs[0] Idx
     /* 155516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 155519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_0),
     /* 155524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1531:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)
     /* 155524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 155527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 155529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 155531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 155533 */     GIR_RootConstrainSelectedInstOperands,
     /* 155534 */     // GIR_Coverage, 3524,
     /* 155534 */     GIR_EraseRootFromParent_Done,
     /* 155535 */   // Label 2998: @155535
     /* 155535 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(155581), // Rule ID 3525 //
     /* 155540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 155543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 155548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 155551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 155554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 155558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 155562 */     // MIs[0] Idx
     /* 155562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 155565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 155570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1531:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)
     /* 155570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 155573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 155575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 155577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 155579 */     GIR_RootConstrainSelectedInstOperands,
     /* 155580 */     // GIR_Coverage, 3525,
     /* 155580 */     GIR_EraseRootFromParent_Done,
     /* 155581 */   // Label 2999: @155581
     /* 155581 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(155627), // Rule ID 3526 //
     /* 155586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 155589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 155594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 155597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 155600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 155604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 155608 */     // MIs[0] Idx
     /* 155608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 155611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 155616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1531:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)
     /* 155616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 155619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 155621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 155623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 155625 */     GIR_RootConstrainSelectedInstOperands,
     /* 155626 */     // GIR_Coverage, 3526,
     /* 155626 */     GIR_EraseRootFromParent_Done,
     /* 155627 */   // Label 3000: @155627
     /* 155627 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(155673), // Rule ID 3527 //
     /* 155632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 155635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 155640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 155643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 155646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 155650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 155654 */     // MIs[0] Idx
     /* 155654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 155657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 155662 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1531:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)
     /* 155662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 155665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 155667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 155669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 155671 */     GIR_RootConstrainSelectedInstOperands,
     /* 155672 */     // GIR_Coverage, 3527,
     /* 155672 */     GIR_EraseRootFromParent_Done,
     /* 155673 */   // Label 3001: @155673
     /* 155673 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(155729), // Rule ID 2101 //
     /* 155678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrn),
     /* 155686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155715 */     // MIs[1] Operand 1
     /* 155715 */     // No operand predicates
     /* 155715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155717 */     // (intrinsic_wo_chain:{ *:[i32] } 691:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNs),
     /* 155720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 155727 */     GIR_RootConstrainSelectedInstOperands,
     /* 155728 */     // GIR_Coverage, 2101,
     /* 155728 */     GIR_EraseRootFromParent_Done,
     /* 155729 */   // Label 3002: @155729
     /* 155729 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(155785), // Rule ID 2102 //
     /* 155734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrun),
     /* 155742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155771 */     // MIs[1] Operand 1
     /* 155771 */     // No operand predicates
     /* 155771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155773 */     // (intrinsic_wo_chain:{ *:[i32] } 692:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNs),
     /* 155776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 155783 */     GIR_RootConstrainSelectedInstOperands,
     /* 155784 */     // GIR_Coverage, 2102,
     /* 155784 */     GIR_EraseRootFromParent_Done,
     /* 155785 */   // Label 3003: @155785
     /* 155785 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(155841), // Rule ID 2107 //
     /* 155790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrn),
     /* 155798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155827 */     // MIs[1] Operand 1
     /* 155827 */     // No operand predicates
     /* 155827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155829 */     // (intrinsic_wo_chain:{ *:[i32] } 695:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNs),
     /* 155832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 155839 */     GIR_RootConstrainSelectedInstOperands,
     /* 155840 */     // GIR_Coverage, 2107,
     /* 155840 */     GIR_EraseRootFromParent_Done,
     /* 155841 */   // Label 3004: @155841
     /* 155841 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(155897), // Rule ID 2108 //
     /* 155846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrun),
     /* 155854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155883 */     // MIs[1] Operand 1
     /* 155883 */     // No operand predicates
     /* 155883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155885 */     // (intrinsic_wo_chain:{ *:[i32] } 696:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNs),
     /* 155888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 155895 */     GIR_RootConstrainSelectedInstOperands,
     /* 155896 */     // GIR_Coverage, 2108,
     /* 155896 */     GIR_EraseRootFromParent_Done,
     /* 155897 */   // Label 3005: @155897
     /* 155897 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(155953), // Rule ID 2114 //
     /* 155902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshrn),
     /* 155910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155939 */     // MIs[1] Operand 1
     /* 155939 */     // No operand predicates
     /* 155939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155941 */     // (intrinsic_wo_chain:{ *:[i32] } 740:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNs),
     /* 155944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 155948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 155951 */     GIR_RootConstrainSelectedInstOperands,
     /* 155952 */     // GIR_Coverage, 2114,
     /* 155952 */     GIR_EraseRootFromParent_Done,
     /* 155953 */   // Label 3006: @155953
     /* 155953 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(156009), // Rule ID 2117 //
     /* 155958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshrn),
     /* 155966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 155995 */     // MIs[1] Operand 1
     /* 155995 */     // No operand predicates
     /* 155995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155997 */     // (intrinsic_wo_chain:{ *:[i32] } 742:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 155997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNs),
     /* 156000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156007 */     GIR_RootConstrainSelectedInstOperands,
     /* 156008 */     // GIR_Coverage, 2117,
     /* 156008 */     GIR_EraseRootFromParent_Done,
     /* 156009 */   // Label 3007: @156009
     /* 156009 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(156065), // Rule ID 2139 //
     /* 156014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 156022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 156025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 156028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 156051 */     // MIs[1] Operand 1
     /* 156051 */     // No operand predicates
     /* 156051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156053 */     // (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)  =>  (RSHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 156053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i8_shift),
     /* 156056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156063 */     GIR_RootConstrainSelectedInstOperands,
     /* 156064 */     // GIR_Coverage, 2139,
     /* 156064 */     GIR_EraseRootFromParent_Done,
     /* 156065 */   // Label 3008: @156065
     /* 156065 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(156121), // Rule ID 2141 //
     /* 156070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 156078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 156081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 156084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 156107 */     // MIs[1] Operand 1
     /* 156107 */     // No operand predicates
     /* 156107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156109 */     // (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)  =>  (RSHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 156109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i16_shift),
     /* 156112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156119 */     GIR_RootConstrainSelectedInstOperands,
     /* 156120 */     // GIR_Coverage, 2141,
     /* 156120 */     GIR_EraseRootFromParent_Done,
     /* 156121 */   // Label 3009: @156121
     /* 156121 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(156177), // Rule ID 2143 //
     /* 156126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 156134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 156137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 156140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 156163 */     // MIs[1] Operand 1
     /* 156163 */     // No operand predicates
     /* 156163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156165 */     // (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)  =>  (RSHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 156165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv2i32_shift),
     /* 156168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156175 */     GIR_RootConstrainSelectedInstOperands,
     /* 156176 */     // GIR_Coverage, 2143,
     /* 156176 */     GIR_EraseRootFromParent_Done,
     /* 156177 */   // Label 3010: @156177
     /* 156177 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(156230), // Rule ID 6158 //
     /* 156182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 156187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 156216 */     // MIs[1] Operand 1
     /* 156216 */     // No operand predicates
     /* 156216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156218 */     // (intrinsic_wo_chain:{ *:[i32] } 761:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZSs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 156218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSs),
     /* 156221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156228 */     GIR_RootConstrainSelectedInstOperands,
     /* 156229 */     // GIR_Coverage, 6158,
     /* 156229 */     GIR_EraseRootFromParent_Done,
     /* 156230 */   // Label 3011: @156230
     /* 156230 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(156283), // Rule ID 6159 //
     /* 156235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 156240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 156269 */     // MIs[1] Operand 1
     /* 156269 */     // No operand predicates
     /* 156269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156271 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZUs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 156271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUs),
     /* 156274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156281 */     GIR_RootConstrainSelectedInstOperands,
     /* 156282 */     // GIR_Coverage, 6159,
     /* 156282 */     GIR_EraseRootFromParent_Done,
     /* 156283 */   // Label 3012: @156283
     /* 156283 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(156336), // Rule ID 6160 //
     /* 156288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 156293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156322 */     // MIs[1] Operand 1
     /* 156322 */     // No operand predicates
     /* 156322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156324 */     // (intrinsic_wo_chain:{ *:[i64] } 761:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 156327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156334 */     GIR_RootConstrainSelectedInstOperands,
     /* 156335 */     // GIR_Coverage, 6160,
     /* 156335 */     GIR_EraseRootFromParent_Done,
     /* 156336 */   // Label 3013: @156336
     /* 156336 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(156389), // Rule ID 6161 //
     /* 156341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 156346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156375 */     // MIs[1] Operand 1
     /* 156375 */     // No operand predicates
     /* 156375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156377 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 156380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156387 */     GIR_RootConstrainSelectedInstOperands,
     /* 156388 */     // GIR_Coverage, 6161,
     /* 156388 */     GIR_EraseRootFromParent_Done,
     /* 156389 */   // Label 3014: @156389
     /* 156389 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(156442), // Rule ID 6162 //
     /* 156394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 156399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156428 */     // MIs[1] Operand 1
     /* 156428 */     // No operand predicates
     /* 156428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156430 */     // (intrinsic_wo_chain:{ *:[v1i64] } 761:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 156433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156440 */     GIR_RootConstrainSelectedInstOperands,
     /* 156441 */     // GIR_Coverage, 6162,
     /* 156441 */     GIR_EraseRootFromParent_Done,
     /* 156442 */   // Label 3015: @156442
     /* 156442 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(156495), // Rule ID 6163 //
     /* 156447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 156452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156481 */     // MIs[1] Operand 1
     /* 156481 */     // No operand predicates
     /* 156481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156483 */     // (intrinsic_wo_chain:{ *:[v1i64] } 762:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 156486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156493 */     GIR_RootConstrainSelectedInstOperands,
     /* 156494 */     // GIR_Coverage, 6163,
     /* 156494 */     GIR_EraseRootFromParent_Done,
     /* 156495 */   // Label 3016: @156495
     /* 156495 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(156548), // Rule ID 6164 //
     /* 156500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 156505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 156534 */     // MIs[1] Operand 1
     /* 156534 */     // No operand predicates
     /* 156534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156536 */     // (intrinsic_wo_chain:{ *:[f32] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 156536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFs),
     /* 156539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156546 */     GIR_RootConstrainSelectedInstOperands,
     /* 156547 */     // GIR_Coverage, 6164,
     /* 156547 */     GIR_EraseRootFromParent_Done,
     /* 156548 */   // Label 3017: @156548
     /* 156548 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(156601), // Rule ID 6165 //
     /* 156553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 156558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156587 */     // MIs[1] Operand 1
     /* 156587 */     // No operand predicates
     /* 156587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156589 */     // (intrinsic_wo_chain:{ *:[f64] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 156592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156599 */     GIR_RootConstrainSelectedInstOperands,
     /* 156600 */     // GIR_Coverage, 6165,
     /* 156600 */     GIR_EraseRootFromParent_Done,
     /* 156601 */   // Label 3018: @156601
     /* 156601 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(156654), // Rule ID 6166 //
     /* 156606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 156611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156640 */     // MIs[1] Operand 1
     /* 156640 */     // No operand predicates
     /* 156640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156642 */     // (intrinsic_wo_chain:{ *:[v1f64] } 764:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 156645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156652 */     GIR_RootConstrainSelectedInstOperands,
     /* 156653 */     // GIR_Coverage, 6166,
     /* 156653 */     GIR_EraseRootFromParent_Done,
     /* 156654 */   // Label 3019: @156654
     /* 156654 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(156707), // Rule ID 6167 //
     /* 156659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 156664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156693 */     // MIs[1] Operand 1
     /* 156693 */     // No operand predicates
     /* 156693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156695 */     // (intrinsic_wo_chain:{ *:[f64] } 764:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 156698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156705 */     GIR_RootConstrainSelectedInstOperands,
     /* 156706 */     // GIR_Coverage, 6167,
     /* 156706 */     GIR_EraseRootFromParent_Done,
     /* 156707 */   // Label 3020: @156707
     /* 156707 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(156760), // Rule ID 6168 //
     /* 156712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 156717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 156746 */     // MIs[1] Operand 1
     /* 156746 */     // No operand predicates
     /* 156746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156748 */     // (intrinsic_wo_chain:{ *:[v1f64] } 765:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 156748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 156751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156758 */     GIR_RootConstrainSelectedInstOperands,
     /* 156759 */     // GIR_Coverage, 6168,
     /* 156759 */     GIR_EraseRootFromParent_Done,
     /* 156760 */   // Label 3021: @156760
     /* 156760 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(156813), // Rule ID 6169 //
     /* 156765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 156770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 156799 */     // MIs[1] Operand 1
     /* 156799 */     // No operand predicates
     /* 156799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156801 */     // (intrinsic_wo_chain:{ *:[f32] } 764:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 156801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFs),
     /* 156804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 156808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156811 */     GIR_RootConstrainSelectedInstOperands,
     /* 156812 */     // GIR_Coverage, 6169,
     /* 156812 */     GIR_EraseRootFromParent_Done,
     /* 156813 */   // Label 3022: @156813
     /* 156813 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(156895), // Rule ID 6171 //
     /* 156818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 156823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 156852 */     // MIs[1] Operand 1
     /* 156852 */     // No operand predicates
     /* 156852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156854 */     // (intrinsic_wo_chain:{ *:[f16] } 764:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 156854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156866 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156872 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156877 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 156885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156893 */     GIR_RootConstrainSelectedInstOperands,
     /* 156894 */     // GIR_Coverage, 6171,
     /* 156894 */     GIR_EraseRootFromParent_Done,
     /* 156895 */   // Label 3023: @156895
     /* 156895 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(156977), // Rule ID 6172 //
     /* 156900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 156905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 156934 */     // MIs[1] Operand 1
     /* 156934 */     // No operand predicates
     /* 156934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156936 */     // (intrinsic_wo_chain:{ *:[f16] } 764:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 156936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156948 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 156967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 156975 */     GIR_RootConstrainSelectedInstOperands,
     /* 156976 */     // GIR_Coverage, 6172,
     /* 156976 */     GIR_EraseRootFromParent_Done,
     /* 156977 */   // Label 3024: @156977
     /* 156977 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(157059), // Rule ID 6174 //
     /* 156982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 156987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 157016 */     // MIs[1] Operand 1
     /* 157016 */     // No operand predicates
     /* 157016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157018 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 157018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 157021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157030 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 157036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 157049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 157057 */     GIR_RootConstrainSelectedInstOperands,
     /* 157058 */     // GIR_Coverage, 6174,
     /* 157058 */     GIR_EraseRootFromParent_Done,
     /* 157059 */   // Label 3025: @157059
     /* 157059 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(157141), // Rule ID 6175 //
     /* 157064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 157069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 157072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 157098 */     // MIs[1] Operand 1
     /* 157098 */     // No operand predicates
     /* 157098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157100 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 157100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 157103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157112 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 157118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 157131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 157139 */     GIR_RootConstrainSelectedInstOperands,
     /* 157140 */     // GIR_Coverage, 6175,
     /* 157140 */     GIR_EraseRootFromParent_Done,
     /* 157141 */   // Label 3026: @157141
     /* 157141 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(157247), // Rule ID 6176 //
     /* 157146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 157151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 157154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 157157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 157180 */     // MIs[1] Operand 1
     /* 157180 */     // No operand predicates
     /* 157180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157182 */     // (intrinsic_wo_chain:{ *:[i32] } 761:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 157182 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 157185 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 157189 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157194 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 157198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 157201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 157203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 157206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 157210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 157217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 157220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 157228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 157231 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157236 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157241 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157246 */     // GIR_Coverage, 6176,
     /* 157246 */     GIR_EraseRootFromParent_Done,
     /* 157247 */   // Label 3027: @157247
     /* 157247 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(157353), // Rule ID 6177 //
     /* 157252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 157257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 157263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 157286 */     // MIs[1] Operand 1
     /* 157286 */     // No operand predicates
     /* 157286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157288 */     // (intrinsic_wo_chain:{ *:[i64] } 761:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 157288 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 157291 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 157295 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157300 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 157304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 157307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 157309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 157312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 157316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 157323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 157326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 157334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 157337 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157352 */     // GIR_Coverage, 6177,
     /* 157352 */     GIR_EraseRootFromParent_Done,
     /* 157353 */   // Label 3028: @157353
     /* 157353 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(157459), // Rule ID 6178 //
     /* 157358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 157363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 157366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 157369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 157392 */     // MIs[1] Operand 1
     /* 157392 */     // No operand predicates
     /* 157392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157394 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 157394 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 157397 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 157401 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157406 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 157410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 157413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 157415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 157418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 157422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 157429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 157432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 157440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 157443 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157448 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157453 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157458 */     // GIR_Coverage, 6178,
     /* 157458 */     GIR_EraseRootFromParent_Done,
     /* 157459 */   // Label 3029: @157459
     /* 157459 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(157565), // Rule ID 6179 //
     /* 157464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 157469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 157475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 157498 */     // MIs[1] Operand 1
     /* 157498 */     // No operand predicates
     /* 157498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157500 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 157500 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 157503 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 157507 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157512 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 157516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 157519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 157521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 157524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 157528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 157535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 157538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 157546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 157549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157554 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157559 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 157564 */     // GIR_Coverage, 6179,
     /* 157564 */     GIR_EraseRootFromParent_Done,
     /* 157565 */   // Label 3030: @157565
     /* 157565 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(157620), // Rule ID 6876 //
     /* 157570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 157575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 157588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 157592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm64_0_65535),
     /* 157604 */     // MIs[1] Operand 1
     /* 157604 */     // No operand predicates
     /* 157604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157606 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm)  =>  (PAUTH_BLEND:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm))
     /* 157606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PAUTH_BLEND),
     /* 157609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[disc]
     /* 157611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157613 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // imm
     /* 157618 */     GIR_RootConstrainSelectedInstOperands,
     /* 157619 */     // GIR_Coverage, 6876,
     /* 157619 */     GIR_EraseRootFromParent_Done,
     /* 157620 */   // Label 3031: @157620
     /* 157620 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(157662), // Rule ID 3031 //
     /* 157625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 157633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 157636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 157639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157643 */     // MIs[0] Op2
     /* 157643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 157651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1769:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 157651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_H),
     /* 157654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157660 */     GIR_RootConstrainSelectedInstOperands,
     /* 157661 */     // GIR_Coverage, 3031,
     /* 157661 */     GIR_EraseRootFromParent_Done,
     /* 157662 */   // Label 3032: @157662
     /* 157662 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(157704), // Rule ID 3032 //
     /* 157667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 157675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 157678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 157681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157685 */     // MIs[0] Op2
     /* 157685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 157693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1769:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 157693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_S),
     /* 157696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157702 */     GIR_RootConstrainSelectedInstOperands,
     /* 157703 */     // GIR_Coverage, 3032,
     /* 157703 */     GIR_EraseRootFromParent_Done,
     /* 157704 */   // Label 3033: @157704
     /* 157704 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(157746), // Rule ID 3033 //
     /* 157709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 157717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 157720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 157723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157727 */     // MIs[0] Op2
     /* 157727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 157735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1769:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 157735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_D),
     /* 157738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157744 */     GIR_RootConstrainSelectedInstOperands,
     /* 157745 */     // GIR_Coverage, 3033,
     /* 157745 */     GIR_EraseRootFromParent_Done,
     /* 157746 */   // Label 3034: @157746
     /* 157746 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(157788), // Rule ID 3067 //
     /* 157751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 157759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 157762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 157765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157769 */     // MIs[0] Op2
     /* 157769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 157777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1750:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 157777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_B),
     /* 157780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157786 */     GIR_RootConstrainSelectedInstOperands,
     /* 157787 */     // GIR_Coverage, 3067,
     /* 157787 */     GIR_EraseRootFromParent_Done,
     /* 157788 */   // Label 3035: @157788
     /* 157788 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(157830), // Rule ID 3068 //
     /* 157793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 157801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 157804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 157807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157811 */     // MIs[0] Op2
     /* 157811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 157819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1750:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 157819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_H),
     /* 157822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157828 */     GIR_RootConstrainSelectedInstOperands,
     /* 157829 */     // GIR_Coverage, 3068,
     /* 157829 */     GIR_EraseRootFromParent_Done,
     /* 157830 */   // Label 3036: @157830
     /* 157830 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(157872), // Rule ID 3069 //
     /* 157835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 157838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 157843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 157846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 157849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157853 */     // MIs[0] Op2
     /* 157853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 157861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1750:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 157861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_S),
     /* 157864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157870 */     GIR_RootConstrainSelectedInstOperands,
     /* 157871 */     // GIR_Coverage, 3069,
     /* 157871 */     GIR_EraseRootFromParent_Done,
     /* 157872 */   // Label 3037: @157872
     /* 157872 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(157914), // Rule ID 3510 //
     /* 157877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 157880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 157885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 157888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 157891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157895 */     // MIs[0] Op2
     /* 157895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 157903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1250:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)  =>  (DUPQ_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)
     /* 157903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_B),
     /* 157906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157912 */     GIR_RootConstrainSelectedInstOperands,
     /* 157913 */     // GIR_Coverage, 3510,
     /* 157913 */     GIR_EraseRootFromParent_Done,
     /* 157914 */   // Label 3038: @157914
     /* 157914 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(157956), // Rule ID 3511 //
     /* 157919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 157922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 157927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 157930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 157933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157937 */     // MIs[0] Op2
     /* 157937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 157945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1250:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 157945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 157948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157954 */     GIR_RootConstrainSelectedInstOperands,
     /* 157955 */     // GIR_Coverage, 3511,
     /* 157955 */     GIR_EraseRootFromParent_Done,
     /* 157956 */   // Label 3039: @157956
     /* 157956 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(157998), // Rule ID 3512 //
     /* 157961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 157964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 157969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 157972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 157975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 157979 */     // MIs[0] Op2
     /* 157979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 157982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 157987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1250:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 157987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 157990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 157992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 157994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 157996 */     GIR_RootConstrainSelectedInstOperands,
     /* 157997 */     // GIR_Coverage, 3512,
     /* 157997 */     GIR_EraseRootFromParent_Done,
     /* 157998 */   // Label 3040: @157998
     /* 157998 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(158040), // Rule ID 3513 //
     /* 158003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 158006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 158011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 158014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158021 */     // MIs[0] Op2
     /* 158021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 158029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1250:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 158029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 158032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158038 */     GIR_RootConstrainSelectedInstOperands,
     /* 158039 */     // GIR_Coverage, 3513,
     /* 158039 */     GIR_EraseRootFromParent_Done,
     /* 158040 */   // Label 3041: @158040
     /* 158040 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(158082), // Rule ID 3514 //
     /* 158045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 158048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 158053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158063 */     // MIs[0] Op2
     /* 158063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 158071 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1250:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 158071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 158074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158080 */     GIR_RootConstrainSelectedInstOperands,
     /* 158081 */     // GIR_Coverage, 3514,
     /* 158081 */     GIR_EraseRootFromParent_Done,
     /* 158082 */   // Label 3042: @158082
     /* 158082 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(158124), // Rule ID 3515 //
     /* 158087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 158090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 158095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158105 */     // MIs[0] Op2
     /* 158105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 158113 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1250:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 158113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 158116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158122 */     GIR_RootConstrainSelectedInstOperands,
     /* 158123 */     // GIR_Coverage, 3515,
     /* 158123 */     GIR_EraseRootFromParent_Done,
     /* 158124 */   // Label 3043: @158124
     /* 158124 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(158166), // Rule ID 3516 //
     /* 158129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 158132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 158137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 158140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158147 */     // MIs[0] Op2
     /* 158147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 158155 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1250:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 158155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 158158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158164 */     GIR_RootConstrainSelectedInstOperands,
     /* 158165 */     // GIR_Coverage, 3516,
     /* 158165 */     GIR_EraseRootFromParent_Done,
     /* 158166 */   // Label 3044: @158166
     /* 158166 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(158208), // Rule ID 11533 //
     /* 158171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 158179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158189 */     // MIs[0] Op2
     /* 158189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1744:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_B),
     /* 158200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158206 */     GIR_RootConstrainSelectedInstOperands,
     /* 158207 */     // GIR_Coverage, 11533,
     /* 158207 */     GIR_EraseRootFromParent_Done,
     /* 158208 */   // Label 3045: @158208
     /* 158208 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(158250), // Rule ID 11534 //
     /* 158213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 158221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158231 */     // MIs[0] Op2
     /* 158231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1744:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_H),
     /* 158242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158248 */     GIR_RootConstrainSelectedInstOperands,
     /* 158249 */     // GIR_Coverage, 11534,
     /* 158249 */     GIR_EraseRootFromParent_Done,
     /* 158250 */   // Label 3046: @158250
     /* 158250 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(158292), // Rule ID 11535 //
     /* 158255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 158263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158273 */     // MIs[0] Op2
     /* 158273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1744:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_S),
     /* 158284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158290 */     GIR_RootConstrainSelectedInstOperands,
     /* 158291 */     // GIR_Coverage, 11535,
     /* 158291 */     GIR_EraseRootFromParent_Done,
     /* 158292 */   // Label 3047: @158292
     /* 158292 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(158334), // Rule ID 11536 //
     /* 158297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 158305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158315 */     // MIs[0] Op2
     /* 158315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1623:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_B),
     /* 158326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158332 */     GIR_RootConstrainSelectedInstOperands,
     /* 158333 */     // GIR_Coverage, 11536,
     /* 158333 */     GIR_EraseRootFromParent_Done,
     /* 158334 */   // Label 3048: @158334
     /* 158334 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(158376), // Rule ID 11537 //
     /* 158339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 158347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158357 */     // MIs[0] Op2
     /* 158357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1623:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_H),
     /* 158368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158374 */     GIR_RootConstrainSelectedInstOperands,
     /* 158375 */     // GIR_Coverage, 11537,
     /* 158375 */     GIR_EraseRootFromParent_Done,
     /* 158376 */   // Label 3049: @158376
     /* 158376 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(158418), // Rule ID 11538 //
     /* 158381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 158389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158399 */     // MIs[0] Op2
     /* 158399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1623:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_S),
     /* 158410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158416 */     GIR_RootConstrainSelectedInstOperands,
     /* 158417 */     // GIR_Coverage, 11538,
     /* 158417 */     GIR_EraseRootFromParent_Done,
     /* 158418 */   // Label 3050: @158418
     /* 158418 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(158460), // Rule ID 11540 //
     /* 158423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 158431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158441 */     // MIs[0] Op2
     /* 158441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1581:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (RSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_B),
     /* 158452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158458 */     GIR_RootConstrainSelectedInstOperands,
     /* 158459 */     // GIR_Coverage, 11540,
     /* 158459 */     GIR_EraseRootFromParent_Done,
     /* 158460 */   // Label 3051: @158460
     /* 158460 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(158502), // Rule ID 11542 //
     /* 158465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 158473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158483 */     // MIs[0] Op2
     /* 158483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1581:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (RSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_H),
     /* 158494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158500 */     GIR_RootConstrainSelectedInstOperands,
     /* 158501 */     // GIR_Coverage, 11542,
     /* 158501 */     GIR_EraseRootFromParent_Done,
     /* 158502 */   // Label 3052: @158502
     /* 158502 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(158544), // Rule ID 11544 //
     /* 158507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 158515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158525 */     // MIs[0] Op2
     /* 158525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1581:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (RSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_S),
     /* 158536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158542 */     GIR_RootConstrainSelectedInstOperands,
     /* 158543 */     // GIR_Coverage, 11544,
     /* 158543 */     GIR_EraseRootFromParent_Done,
     /* 158544 */   // Label 3053: @158544
     /* 158544 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(158586), // Rule ID 11545 //
     /* 158549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 158557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158567 */     // MIs[0] Op2
     /* 158567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158575 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1748:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_B),
     /* 158578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158584 */     GIR_RootConstrainSelectedInstOperands,
     /* 158585 */     // GIR_Coverage, 11545,
     /* 158585 */     GIR_EraseRootFromParent_Done,
     /* 158586 */   // Label 3054: @158586
     /* 158586 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(158628), // Rule ID 11546 //
     /* 158591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 158599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158609 */     // MIs[0] Op2
     /* 158609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1748:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_H),
     /* 158620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158626 */     GIR_RootConstrainSelectedInstOperands,
     /* 158627 */     // GIR_Coverage, 11546,
     /* 158627 */     GIR_EraseRootFromParent_Done,
     /* 158628 */   // Label 3055: @158628
     /* 158628 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(158670), // Rule ID 11547 //
     /* 158633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 158641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158651 */     // MIs[0] Op2
     /* 158651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1748:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_S),
     /* 158662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158668 */     GIR_RootConstrainSelectedInstOperands,
     /* 158669 */     // GIR_Coverage, 11547,
     /* 158669 */     GIR_EraseRootFromParent_Done,
     /* 158670 */   // Label 3056: @158670
     /* 158670 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(158712), // Rule ID 11548 //
     /* 158675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 158683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158693 */     // MIs[0] Op2
     /* 158693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1738:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_B),
     /* 158704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158710 */     GIR_RootConstrainSelectedInstOperands,
     /* 158711 */     // GIR_Coverage, 11548,
     /* 158711 */     GIR_EraseRootFromParent_Done,
     /* 158712 */   // Label 3057: @158712
     /* 158712 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(158754), // Rule ID 11549 //
     /* 158717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 158725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158735 */     // MIs[0] Op2
     /* 158735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158743 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1738:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_H),
     /* 158746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158752 */     GIR_RootConstrainSelectedInstOperands,
     /* 158753 */     // GIR_Coverage, 11549,
     /* 158753 */     GIR_EraseRootFromParent_Done,
     /* 158754 */   // Label 3058: @158754
     /* 158754 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(158796), // Rule ID 11550 //
     /* 158759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 158767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158777 */     // MIs[0] Op2
     /* 158777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1738:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_S),
     /* 158788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158794 */     GIR_RootConstrainSelectedInstOperands,
     /* 158795 */     // GIR_Coverage, 11550,
     /* 158795 */     GIR_EraseRootFromParent_Done,
     /* 158796 */   // Label 3059: @158796
     /* 158796 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(158838), // Rule ID 11551 //
     /* 158801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 158809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158819 */     // MIs[0] Op2
     /* 158819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1943:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_B),
     /* 158830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158836 */     GIR_RootConstrainSelectedInstOperands,
     /* 158837 */     // GIR_Coverage, 11551,
     /* 158837 */     GIR_EraseRootFromParent_Done,
     /* 158838 */   // Label 3060: @158838
     /* 158838 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(158880), // Rule ID 11552 //
     /* 158843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 158851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158861 */     // MIs[0] Op2
     /* 158861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1943:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_H),
     /* 158872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158878 */     GIR_RootConstrainSelectedInstOperands,
     /* 158879 */     // GIR_Coverage, 11552,
     /* 158879 */     GIR_EraseRootFromParent_Done,
     /* 158880 */   // Label 3061: @158880
     /* 158880 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(158922), // Rule ID 11553 //
     /* 158885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 158893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 158896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 158899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158903 */     // MIs[0] Op2
     /* 158903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 158911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1943:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 158911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_S),
     /* 158914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158920 */     GIR_RootConstrainSelectedInstOperands,
     /* 158921 */     // GIR_Coverage, 11553,
     /* 158921 */     GIR_EraseRootFromParent_Done,
     /* 158922 */   // Label 3062: @158922
     /* 158922 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(158964), // Rule ID 11554 //
     /* 158927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 158935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 158938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 158941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158945 */     // MIs[0] Op2
     /* 158945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 158953 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1940:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 158953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_B),
     /* 158956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 158958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 158960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 158962 */     GIR_RootConstrainSelectedInstOperands,
     /* 158963 */     // GIR_Coverage, 11554,
     /* 158963 */     GIR_EraseRootFromParent_Done,
     /* 158964 */   // Label 3063: @158964
     /* 158964 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(159006), // Rule ID 11555 //
     /* 158969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 158972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 158977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 158980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 158983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 158987 */     // MIs[0] Op2
     /* 158987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 158990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 158995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1940:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 158995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_H),
     /* 158998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159004 */     GIR_RootConstrainSelectedInstOperands,
     /* 159005 */     // GIR_Coverage, 11555,
     /* 159005 */     GIR_EraseRootFromParent_Done,
     /* 159006 */   // Label 3064: @159006
     /* 159006 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(159048), // Rule ID 11556 //
     /* 159011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 159019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 159022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 159025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159029 */     // MIs[0] Op2
     /* 159029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 159037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1940:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 159037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_S),
     /* 159040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159046 */     GIR_RootConstrainSelectedInstOperands,
     /* 159047 */     // GIR_Coverage, 11556,
     /* 159047 */     GIR_EraseRootFromParent_Done,
     /* 159048 */   // Label 3065: @159048
     /* 159048 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(159090), // Rule ID 11614 //
     /* 159053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 159061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 159064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 159067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159071 */     // MIs[0] Op2
     /* 159071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 159079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1770:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 159079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_H),
     /* 159082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159088 */     GIR_RootConstrainSelectedInstOperands,
     /* 159089 */     // GIR_Coverage, 11614,
     /* 159089 */     GIR_EraseRootFromParent_Done,
     /* 159090 */   // Label 3066: @159090
     /* 159090 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(159132), // Rule ID 11615 //
     /* 159095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 159103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 159106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 159109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159113 */     // MIs[0] Op2
     /* 159113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 159121 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1770:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 159121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_S),
     /* 159124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159130 */     GIR_RootConstrainSelectedInstOperands,
     /* 159131 */     // GIR_Coverage, 11615,
     /* 159131 */     GIR_EraseRootFromParent_Done,
     /* 159132 */   // Label 3067: @159132
     /* 159132 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(159174), // Rule ID 11616 //
     /* 159137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 159145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 159148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 159151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159155 */     // MIs[0] Op2
     /* 159155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 159163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1770:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 159163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_D),
     /* 159166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159172 */     GIR_RootConstrainSelectedInstOperands,
     /* 159173 */     // GIR_Coverage, 11616,
     /* 159173 */     GIR_EraseRootFromParent_Done,
     /* 159174 */   // Label 3068: @159174
     /* 159174 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(159216), // Rule ID 11617 //
     /* 159179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 159187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 159190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 159193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159197 */     // MIs[0] Op2
     /* 159197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 159205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1963:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 159205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_H),
     /* 159208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159214 */     GIR_RootConstrainSelectedInstOperands,
     /* 159215 */     // GIR_Coverage, 11617,
     /* 159215 */     GIR_EraseRootFromParent_Done,
     /* 159216 */   // Label 3069: @159216
     /* 159216 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(159258), // Rule ID 11618 //
     /* 159221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 159229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 159232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 159235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159239 */     // MIs[0] Op2
     /* 159239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 159247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1963:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 159247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_S),
     /* 159250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159256 */     GIR_RootConstrainSelectedInstOperands,
     /* 159257 */     // GIR_Coverage, 11618,
     /* 159257 */     GIR_EraseRootFromParent_Done,
     /* 159258 */   // Label 3070: @159258
     /* 159258 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(159300), // Rule ID 11619 //
     /* 159263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 159271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 159274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 159277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159281 */     // MIs[0] Op2
     /* 159281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 159289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1963:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 159289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_D),
     /* 159292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159298 */     GIR_RootConstrainSelectedInstOperands,
     /* 159299 */     // GIR_Coverage, 11619,
     /* 159299 */     GIR_EraseRootFromParent_Done,
     /* 159300 */   // Label 3071: @159300
     /* 159300 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(159342), // Rule ID 11620 //
     /* 159305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 159313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 159316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 159319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159323 */     // MIs[0] Op2
     /* 159323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 159331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1964:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 159331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_H),
     /* 159334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159340 */     GIR_RootConstrainSelectedInstOperands,
     /* 159341 */     // GIR_Coverage, 11620,
     /* 159341 */     GIR_EraseRootFromParent_Done,
     /* 159342 */   // Label 3072: @159342
     /* 159342 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(159384), // Rule ID 11621 //
     /* 159347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 159355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 159358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 159361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159365 */     // MIs[0] Op2
     /* 159365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 159373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1964:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 159373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_S),
     /* 159376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159382 */     GIR_RootConstrainSelectedInstOperands,
     /* 159383 */     // GIR_Coverage, 11621,
     /* 159383 */     GIR_EraseRootFromParent_Done,
     /* 159384 */   // Label 3073: @159384
     /* 159384 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(159426), // Rule ID 11622 //
     /* 159389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 159392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 159397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 159400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 159403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 159407 */     // MIs[0] Op2
     /* 159407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 159410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 159415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1964:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 159415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_D),
     /* 159418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 159420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 159422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 159424 */     GIR_RootConstrainSelectedInstOperands,
     /* 159425 */     // GIR_Coverage, 11622,
     /* 159425 */     GIR_EraseRootFromParent_Done,
     /* 159426 */   // Label 3074: @159426
     /* 159426 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(159478), // Rule ID 2123 //
     /* 159431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 159439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159464 */     // MIs[1] Operand 1
     /* 159464 */     // No operand predicates
     /* 159464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159466 */     // (intrinsic_wo_chain:{ *:[v4i16] } 761:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i16_shift),
     /* 159469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159476 */     GIR_RootConstrainSelectedInstOperands,
     /* 159477 */     // GIR_Coverage, 2123,
     /* 159477 */     GIR_EraseRootFromParent_Done,
     /* 159478 */   // Label 3075: @159478
     /* 159478 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(159530), // Rule ID 2124 //
     /* 159483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 159491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 159494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 159497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159516 */     // MIs[1] Operand 1
     /* 159516 */     // No operand predicates
     /* 159516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159518 */     // (intrinsic_wo_chain:{ *:[v8i16] } 761:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8i16_shift),
     /* 159521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159528 */     GIR_RootConstrainSelectedInstOperands,
     /* 159529 */     // GIR_Coverage, 2124,
     /* 159529 */     GIR_EraseRootFromParent_Done,
     /* 159530 */   // Label 3076: @159530
     /* 159530 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(159582), // Rule ID 2125 //
     /* 159535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 159543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 159546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159568 */     // MIs[1] Operand 1
     /* 159568 */     // No operand predicates
     /* 159568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159570 */     // (intrinsic_wo_chain:{ *:[v2i32] } 761:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i32_shift),
     /* 159573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159580 */     GIR_RootConstrainSelectedInstOperands,
     /* 159581 */     // GIR_Coverage, 2125,
     /* 159581 */     GIR_EraseRootFromParent_Done,
     /* 159582 */   // Label 3077: @159582
     /* 159582 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(159634), // Rule ID 2126 //
     /* 159587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 159595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159620 */     // MIs[1] Operand 1
     /* 159620 */     // No operand predicates
     /* 159620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159622 */     // (intrinsic_wo_chain:{ *:[v4i32] } 761:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i32_shift),
     /* 159625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159632 */     GIR_RootConstrainSelectedInstOperands,
     /* 159633 */     // GIR_Coverage, 2126,
     /* 159633 */     GIR_EraseRootFromParent_Done,
     /* 159634 */   // Label 3078: @159634
     /* 159634 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(159686), // Rule ID 2127 //
     /* 159639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 159647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159672 */     // MIs[1] Operand 1
     /* 159672 */     // No operand predicates
     /* 159672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159674 */     // (intrinsic_wo_chain:{ *:[v2i64] } 761:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i64_shift),
     /* 159677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159684 */     GIR_RootConstrainSelectedInstOperands,
     /* 159685 */     // GIR_Coverage, 2127,
     /* 159685 */     GIR_EraseRootFromParent_Done,
     /* 159686 */   // Label 3079: @159686
     /* 159686 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(159738), // Rule ID 2128 //
     /* 159691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 159699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159724 */     // MIs[1] Operand 1
     /* 159724 */     // No operand predicates
     /* 159724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159726 */     // (intrinsic_wo_chain:{ *:[v4i16] } 762:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i16_shift),
     /* 159729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159736 */     GIR_RootConstrainSelectedInstOperands,
     /* 159737 */     // GIR_Coverage, 2128,
     /* 159737 */     GIR_EraseRootFromParent_Done,
     /* 159738 */   // Label 3080: @159738
     /* 159738 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(159790), // Rule ID 2129 //
     /* 159743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 159751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 159754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 159757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159776 */     // MIs[1] Operand 1
     /* 159776 */     // No operand predicates
     /* 159776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159778 */     // (intrinsic_wo_chain:{ *:[v8i16] } 762:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8i16_shift),
     /* 159781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159788 */     GIR_RootConstrainSelectedInstOperands,
     /* 159789 */     // GIR_Coverage, 2129,
     /* 159789 */     GIR_EraseRootFromParent_Done,
     /* 159790 */   // Label 3081: @159790
     /* 159790 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(159842), // Rule ID 2130 //
     /* 159795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 159803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 159806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159828 */     // MIs[1] Operand 1
     /* 159828 */     // No operand predicates
     /* 159828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159830 */     // (intrinsic_wo_chain:{ *:[v2i32] } 762:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i32_shift),
     /* 159833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159840 */     GIR_RootConstrainSelectedInstOperands,
     /* 159841 */     // GIR_Coverage, 2130,
     /* 159841 */     GIR_EraseRootFromParent_Done,
     /* 159842 */   // Label 3082: @159842
     /* 159842 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(159894), // Rule ID 2131 //
     /* 159847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 159855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159880 */     // MIs[1] Operand 1
     /* 159880 */     // No operand predicates
     /* 159880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159882 */     // (intrinsic_wo_chain:{ *:[v4i32] } 762:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i32_shift),
     /* 159885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159892 */     GIR_RootConstrainSelectedInstOperands,
     /* 159893 */     // GIR_Coverage, 2131,
     /* 159893 */     GIR_EraseRootFromParent_Done,
     /* 159894 */   // Label 3083: @159894
     /* 159894 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(159946), // Rule ID 2132 //
     /* 159899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 159907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159932 */     // MIs[1] Operand 1
     /* 159932 */     // No operand predicates
     /* 159932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159934 */     // (intrinsic_wo_chain:{ *:[v2i64] } 762:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i64_shift),
     /* 159937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159944 */     GIR_RootConstrainSelectedInstOperands,
     /* 159945 */     // GIR_Coverage, 2132,
     /* 159945 */     GIR_EraseRootFromParent_Done,
     /* 159946 */   // Label 3084: @159946
     /* 159946 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(159998), // Rule ID 2133 //
     /* 159951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 159959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159984 */     // MIs[1] Operand 1
     /* 159984 */     // No operand predicates
     /* 159984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159986 */     // (intrinsic_wo_chain:{ *:[v4f16] } 764:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 159986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i16_shift),
     /* 159989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 159996 */     GIR_RootConstrainSelectedInstOperands,
     /* 159997 */     // GIR_Coverage, 2133,
     /* 159997 */     GIR_EraseRootFromParent_Done,
     /* 159998 */   // Label 3085: @159998
     /* 159998 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(160050), // Rule ID 2134 //
     /* 160003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160036 */     // MIs[1] Operand 1
     /* 160036 */     // No operand predicates
     /* 160036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160038 */     // (intrinsic_wo_chain:{ *:[v8f16] } 764:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8i16_shift),
     /* 160041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160048 */     GIR_RootConstrainSelectedInstOperands,
     /* 160049 */     // GIR_Coverage, 2134,
     /* 160049 */     GIR_EraseRootFromParent_Done,
     /* 160050 */   // Label 3086: @160050
     /* 160050 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(160102), // Rule ID 2135 //
     /* 160055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160088 */     // MIs[1] Operand 1
     /* 160088 */     // No operand predicates
     /* 160088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160090 */     // (intrinsic_wo_chain:{ *:[v2f32] } 764:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i32_shift),
     /* 160093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160100 */     GIR_RootConstrainSelectedInstOperands,
     /* 160101 */     // GIR_Coverage, 2135,
     /* 160101 */     GIR_EraseRootFromParent_Done,
     /* 160102 */   // Label 3087: @160102
     /* 160102 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(160154), // Rule ID 2136 //
     /* 160107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160140 */     // MIs[1] Operand 1
     /* 160140 */     // No operand predicates
     /* 160140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160142 */     // (intrinsic_wo_chain:{ *:[v4f32] } 764:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i32_shift),
     /* 160145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160152 */     GIR_RootConstrainSelectedInstOperands,
     /* 160153 */     // GIR_Coverage, 2136,
     /* 160153 */     GIR_EraseRootFromParent_Done,
     /* 160154 */   // Label 3088: @160154
     /* 160154 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(160206), // Rule ID 2137 //
     /* 160159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 160170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 160173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160192 */     // MIs[1] Operand 1
     /* 160192 */     // No operand predicates
     /* 160192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160194 */     // (intrinsic_wo_chain:{ *:[v2f64] } 764:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i64_shift),
     /* 160197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160204 */     GIR_RootConstrainSelectedInstOperands,
     /* 160205 */     // GIR_Coverage, 2137,
     /* 160205 */     GIR_EraseRootFromParent_Done,
     /* 160206 */   // Label 3089: @160206
     /* 160206 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(160258), // Rule ID 2235 //
     /* 160211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 160219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160244 */     // MIs[1] Operand 1
     /* 160244 */     // No operand predicates
     /* 160244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160246 */     // (intrinsic_wo_chain:{ *:[v4f16] } 765:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i16_shift),
     /* 160249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160256 */     GIR_RootConstrainSelectedInstOperands,
     /* 160257 */     // GIR_Coverage, 2235,
     /* 160257 */     GIR_EraseRootFromParent_Done,
     /* 160258 */   // Label 3090: @160258
     /* 160258 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(160310), // Rule ID 2236 //
     /* 160263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 160271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160296 */     // MIs[1] Operand 1
     /* 160296 */     // No operand predicates
     /* 160296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160298 */     // (intrinsic_wo_chain:{ *:[v8f16] } 765:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8i16_shift),
     /* 160301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160308 */     GIR_RootConstrainSelectedInstOperands,
     /* 160309 */     // GIR_Coverage, 2236,
     /* 160309 */     GIR_EraseRootFromParent_Done,
     /* 160310 */   // Label 3091: @160310
     /* 160310 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(160362), // Rule ID 2237 //
     /* 160315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 160323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160348 */     // MIs[1] Operand 1
     /* 160348 */     // No operand predicates
     /* 160348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160350 */     // (intrinsic_wo_chain:{ *:[v2f32] } 765:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i32_shift),
     /* 160353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160360 */     GIR_RootConstrainSelectedInstOperands,
     /* 160361 */     // GIR_Coverage, 2237,
     /* 160361 */     GIR_EraseRootFromParent_Done,
     /* 160362 */   // Label 3092: @160362
     /* 160362 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(160414), // Rule ID 2238 //
     /* 160367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 160375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160400 */     // MIs[1] Operand 1
     /* 160400 */     // No operand predicates
     /* 160400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160402 */     // (intrinsic_wo_chain:{ *:[v4f32] } 765:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i32_shift),
     /* 160405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160412 */     GIR_RootConstrainSelectedInstOperands,
     /* 160413 */     // GIR_Coverage, 2238,
     /* 160413 */     GIR_EraseRootFromParent_Done,
     /* 160414 */   // Label 3093: @160414
     /* 160414 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(160466), // Rule ID 2239 //
     /* 160419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 160427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 160430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 160433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160452 */     // MIs[1] Operand 1
     /* 160452 */     // No operand predicates
     /* 160452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160454 */     // (intrinsic_wo_chain:{ *:[v2f64] } 765:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 160454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i64_shift),
     /* 160457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 160464 */     GIR_RootConstrainSelectedInstOperands,
     /* 160465 */     // GIR_Coverage, 2239,
     /* 160465 */     GIR_EraseRootFromParent_Done,
     /* 160466 */   // Label 3094: @160466
     /* 160466 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(160511), // Rule ID 63 //
     /* 160471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 160474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign_generic),
     /* 160479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 160482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 160485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 160492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 160496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 160500 */     // (intrinsic_wo_chain:{ *:[i64] } 297:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (PACGA:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 160500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACGA),
     /* 160503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160509 */     GIR_RootConstrainSelectedInstOperands,
     /* 160510 */     // GIR_Coverage, 63,
     /* 160510 */     GIR_EraseRootFromParent_Done,
     /* 160511 */   // Label 3095: @160511
     /* 160511 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(160556), // Rule ID 129 //
     /* 160516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32b),
     /* 160524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160545 */     // (intrinsic_wo_chain:{ *:[i32] } 502:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Brr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Brr),
     /* 160548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160554 */     GIR_RootConstrainSelectedInstOperands,
     /* 160555 */     // GIR_Coverage, 129,
     /* 160555 */     GIR_EraseRootFromParent_Done,
     /* 160556 */   // Label 3096: @160556
     /* 160556 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(160601), // Rule ID 130 //
     /* 160561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32h),
     /* 160569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160590 */     // (intrinsic_wo_chain:{ *:[i32] } 507:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Hrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Hrr),
     /* 160593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160599 */     GIR_RootConstrainSelectedInstOperands,
     /* 160600 */     // GIR_Coverage, 130,
     /* 160600 */     GIR_EraseRootFromParent_Done,
     /* 160601 */   // Label 3097: @160601
     /* 160601 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(160646), // Rule ID 131 //
     /* 160606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32w),
     /* 160614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160635 */     // (intrinsic_wo_chain:{ *:[i32] } 508:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Wrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Wrr),
     /* 160638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160644 */     GIR_RootConstrainSelectedInstOperands,
     /* 160645 */     // GIR_Coverage, 131,
     /* 160645 */     GIR_EraseRootFromParent_Done,
     /* 160646 */   // Label 3098: @160646
     /* 160646 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(160691), // Rule ID 132 //
     /* 160651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32x),
     /* 160659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 160680 */     // (intrinsic_wo_chain:{ *:[i32] } 509:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32Xrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 160680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Xrr),
     /* 160683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160689 */     GIR_RootConstrainSelectedInstOperands,
     /* 160690 */     // GIR_Coverage, 132,
     /* 160690 */     GIR_EraseRootFromParent_Done,
     /* 160691 */   // Label 3099: @160691
     /* 160691 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(160736), // Rule ID 133 //
     /* 160696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cb),
     /* 160704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160725 */     // (intrinsic_wo_chain:{ *:[i32] } 503:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CBrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CBrr),
     /* 160728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160734 */     GIR_RootConstrainSelectedInstOperands,
     /* 160735 */     // GIR_Coverage, 133,
     /* 160735 */     GIR_EraseRootFromParent_Done,
     /* 160736 */   // Label 3100: @160736
     /* 160736 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(160781), // Rule ID 134 //
     /* 160741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32ch),
     /* 160749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160770 */     // (intrinsic_wo_chain:{ *:[i32] } 504:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CHrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CHrr),
     /* 160773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160779 */     GIR_RootConstrainSelectedInstOperands,
     /* 160780 */     // GIR_Coverage, 134,
     /* 160780 */     GIR_EraseRootFromParent_Done,
     /* 160781 */   // Label 3101: @160781
     /* 160781 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(160826), // Rule ID 135 //
     /* 160786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cw),
     /* 160794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160815 */     // (intrinsic_wo_chain:{ *:[i32] } 505:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 160815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CWrr),
     /* 160818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160824 */     GIR_RootConstrainSelectedInstOperands,
     /* 160825 */     // GIR_Coverage, 135,
     /* 160825 */     GIR_EraseRootFromParent_Done,
     /* 160826 */   // Label 3102: @160826
     /* 160826 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(160871), // Rule ID 136 //
     /* 160831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 160834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cx),
     /* 160839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 160856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 160860 */     // (intrinsic_wo_chain:{ *:[i32] } 506:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32CXrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 160860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CXrr),
     /* 160863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 160869 */     GIR_RootConstrainSelectedInstOperands,
     /* 160870 */     // GIR_Coverage, 136,
     /* 160870 */     GIR_EraseRootFromParent_Done,
     /* 160871 */   // Label 3103: @160871
     /* 160871 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(160916), // Rule ID 1035 //
     /* 160876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 160884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 160887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 160890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 160893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160905 */     // (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (SUQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 160905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i8),
     /* 160908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 160912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160914 */     GIR_RootConstrainSelectedInstOperands,
     /* 160915 */     // GIR_Coverage, 1035,
     /* 160915 */     GIR_EraseRootFromParent_Done,
     /* 160916 */   // Label 3104: @160916
     /* 160916 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(160961), // Rule ID 1036 //
     /* 160921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 160929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 160932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 160935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 160938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160950 */     // (intrinsic_wo_chain:{ *:[v16i8] } 714:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (SUQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 160950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv16i8),
     /* 160953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 160957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160959 */     GIR_RootConstrainSelectedInstOperands,
     /* 160960 */     // GIR_Coverage, 1036,
     /* 160960 */     GIR_EraseRootFromParent_Done,
     /* 160961 */   // Label 3105: @160961
     /* 160961 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(161006), // Rule ID 1037 //
     /* 160966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 160974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160995 */     // (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (SUQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 160995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i16),
     /* 160998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161004 */     GIR_RootConstrainSelectedInstOperands,
     /* 161005 */     // GIR_Coverage, 1037,
     /* 161005 */     GIR_EraseRootFromParent_Done,
     /* 161006 */   // Label 3106: @161006
     /* 161006 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(161051), // Rule ID 1038 //
     /* 161011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 161019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161040 */     // (intrinsic_wo_chain:{ *:[v8i16] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (SUQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 161040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i16),
     /* 161043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161049 */     GIR_RootConstrainSelectedInstOperands,
     /* 161050 */     // GIR_Coverage, 1038,
     /* 161050 */     GIR_EraseRootFromParent_Done,
     /* 161051 */   // Label 3107: @161051
     /* 161051 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(161096), // Rule ID 1039 //
     /* 161056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 161064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161085 */     // (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (SUQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 161085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i32),
     /* 161088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161094 */     GIR_RootConstrainSelectedInstOperands,
     /* 161095 */     // GIR_Coverage, 1039,
     /* 161095 */     GIR_EraseRootFromParent_Done,
     /* 161096 */   // Label 3108: @161096
     /* 161096 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(161141), // Rule ID 1040 //
     /* 161101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 161109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161130 */     // (intrinsic_wo_chain:{ *:[v4i32] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SUQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 161130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i32),
     /* 161133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161139 */     GIR_RootConstrainSelectedInstOperands,
     /* 161140 */     // GIR_Coverage, 1040,
     /* 161140 */     GIR_EraseRootFromParent_Done,
     /* 161141 */   // Label 3109: @161141
     /* 161141 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(161186), // Rule ID 1041 //
     /* 161146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 161154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 161163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161175 */     // (intrinsic_wo_chain:{ *:[v2i64] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (SUQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 161175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i64),
     /* 161178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161184 */     GIR_RootConstrainSelectedInstOperands,
     /* 161185 */     // GIR_Coverage, 1041,
     /* 161185 */     GIR_EraseRootFromParent_Done,
     /* 161186 */   // Label 3110: @161186
     /* 161186 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(161231), // Rule ID 1083 //
     /* 161191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 161202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 161205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 161208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161220 */     // (intrinsic_wo_chain:{ *:[v8i8] } 753:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (USQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 161220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i8),
     /* 161223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161229 */     GIR_RootConstrainSelectedInstOperands,
     /* 161230 */     // GIR_Coverage, 1083,
     /* 161230 */     GIR_EraseRootFromParent_Done,
     /* 161231 */   // Label 3111: @161231
     /* 161231 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(161276), // Rule ID 1084 //
     /* 161236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 161247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 161250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 161253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161265 */     // (intrinsic_wo_chain:{ *:[v16i8] } 753:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (USQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 161265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv16i8),
     /* 161268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161274 */     GIR_RootConstrainSelectedInstOperands,
     /* 161275 */     // GIR_Coverage, 1084,
     /* 161275 */     GIR_EraseRootFromParent_Done,
     /* 161276 */   // Label 3112: @161276
     /* 161276 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(161321), // Rule ID 1085 //
     /* 161281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161310 */     // (intrinsic_wo_chain:{ *:[v4i16] } 753:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (USQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 161310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i16),
     /* 161313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161319 */     GIR_RootConstrainSelectedInstOperands,
     /* 161320 */     // GIR_Coverage, 1085,
     /* 161320 */     GIR_EraseRootFromParent_Done,
     /* 161321 */   // Label 3113: @161321
     /* 161321 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(161366), // Rule ID 1086 //
     /* 161326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161355 */     // (intrinsic_wo_chain:{ *:[v8i16] } 753:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (USQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 161355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i16),
     /* 161358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161364 */     GIR_RootConstrainSelectedInstOperands,
     /* 161365 */     // GIR_Coverage, 1086,
     /* 161365 */     GIR_EraseRootFromParent_Done,
     /* 161366 */   // Label 3114: @161366
     /* 161366 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(161411), // Rule ID 1087 //
     /* 161371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161400 */     // (intrinsic_wo_chain:{ *:[v2i32] } 753:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (USQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 161400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i32),
     /* 161403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161409 */     GIR_RootConstrainSelectedInstOperands,
     /* 161410 */     // GIR_Coverage, 1087,
     /* 161410 */     GIR_EraseRootFromParent_Done,
     /* 161411 */   // Label 3115: @161411
     /* 161411 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(161456), // Rule ID 1088 //
     /* 161416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161445 */     // (intrinsic_wo_chain:{ *:[v4i32] } 753:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (USQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 161445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i32),
     /* 161448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161454 */     GIR_RootConstrainSelectedInstOperands,
     /* 161455 */     // GIR_Coverage, 1088,
     /* 161455 */     GIR_EraseRootFromParent_Done,
     /* 161456 */   // Label 3116: @161456
     /* 161456 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(161501), // Rule ID 1089 //
     /* 161461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 161469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 161478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161490 */     // (intrinsic_wo_chain:{ *:[v2i64] } 753:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (USQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 161490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i64),
     /* 161493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 161499 */     GIR_RootConstrainSelectedInstOperands,
     /* 161500 */     // GIR_Coverage, 1089,
     /* 161500 */     GIR_EraseRootFromParent_Done,
     /* 161501 */   // Label 3117: @161501
     /* 161501 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(161546), // Rule ID 1101 //
     /* 161506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 161517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 161520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 161523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161535 */     // (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 161535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i8),
     /* 161538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161544 */     GIR_RootConstrainSelectedInstOperands,
     /* 161545 */     // GIR_Coverage, 1101,
     /* 161545 */     GIR_EraseRootFromParent_Done,
     /* 161546 */   // Label 3118: @161546
     /* 161546 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(161591), // Rule ID 1103 //
     /* 161551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 161562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 161565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 161568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161580 */     // (intrinsic_wo_chain:{ *:[v16i8] } 569:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 161580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 161583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161589 */     GIR_RootConstrainSelectedInstOperands,
     /* 161590 */     // GIR_Coverage, 1103,
     /* 161590 */     GIR_EraseRootFromParent_Done,
     /* 161591 */   // Label 3119: @161591
     /* 161591 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(161636), // Rule ID 1105 //
     /* 161596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161625 */     // (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 161625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i16),
     /* 161628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161634 */     GIR_RootConstrainSelectedInstOperands,
     /* 161635 */     // GIR_Coverage, 1105,
     /* 161635 */     GIR_EraseRootFromParent_Done,
     /* 161636 */   // Label 3120: @161636
     /* 161636 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(161681), // Rule ID 1107 //
     /* 161641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161670 */     // (intrinsic_wo_chain:{ *:[v8i16] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 161670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 161673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161679 */     GIR_RootConstrainSelectedInstOperands,
     /* 161680 */     // GIR_Coverage, 1107,
     /* 161680 */     GIR_EraseRootFromParent_Done,
     /* 161681 */   // Label 3121: @161681
     /* 161681 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(161726), // Rule ID 1109 //
     /* 161686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161715 */     // (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 161715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 161718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161724 */     GIR_RootConstrainSelectedInstOperands,
     /* 161725 */     // GIR_Coverage, 1109,
     /* 161725 */     GIR_EraseRootFromParent_Done,
     /* 161726 */   // Label 3122: @161726
     /* 161726 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(161771), // Rule ID 1111 //
     /* 161731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161760 */     // (intrinsic_wo_chain:{ *:[v4i32] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 161760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 161763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161769 */     GIR_RootConstrainSelectedInstOperands,
     /* 161770 */     // GIR_Coverage, 1111,
     /* 161770 */     GIR_EraseRootFromParent_Done,
     /* 161771 */   // Label 3123: @161771
     /* 161771 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(161816), // Rule ID 1113 //
     /* 161776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 161784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 161793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161805 */     // (intrinsic_wo_chain:{ *:[v2i64] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDPv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 161805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /* 161808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161814 */     GIR_RootConstrainSelectedInstOperands,
     /* 161815 */     // GIR_Coverage, 1113,
     /* 161815 */     GIR_EraseRootFromParent_Done,
     /* 161816 */   // Label 3124: @161816
     /* 161816 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(161861), // Rule ID 1156 //
     /* 161821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 161824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 161829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161850 */     // (intrinsic_wo_chain:{ *:[v4f16] } 575:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FABDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 161850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 161853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161859 */     GIR_RootConstrainSelectedInstOperands,
     /* 161860 */     // GIR_Coverage, 1156,
     /* 161860 */     GIR_EraseRootFromParent_Done,
     /* 161861 */   // Label 3125: @161861
     /* 161861 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(161906), // Rule ID 1157 //
     /* 161866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 161869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 161874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161895 */     // (intrinsic_wo_chain:{ *:[v8f16] } 575:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FABDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 161895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 161898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161904 */     GIR_RootConstrainSelectedInstOperands,
     /* 161905 */     // GIR_Coverage, 1157,
     /* 161905 */     GIR_EraseRootFromParent_Done,
     /* 161906 */   // Label 3126: @161906
     /* 161906 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(161951), // Rule ID 1158 //
     /* 161911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 161919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161940 */     // (intrinsic_wo_chain:{ *:[v2f32] } 575:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FABDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 161940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 161943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161949 */     GIR_RootConstrainSelectedInstOperands,
     /* 161950 */     // GIR_Coverage, 1158,
     /* 161950 */     GIR_EraseRootFromParent_Done,
     /* 161951 */   // Label 3127: @161951
     /* 161951 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(161996), // Rule ID 1159 //
     /* 161956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 161964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161985 */     // (intrinsic_wo_chain:{ *:[v4f32] } 575:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FABDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 161985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 161988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 161994 */     GIR_RootConstrainSelectedInstOperands,
     /* 161995 */     // GIR_Coverage, 1159,
     /* 161995 */     GIR_EraseRootFromParent_Done,
     /* 161996 */   // Label 3128: @161996
     /* 161996 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(162041), // Rule ID 1160 //
     /* 162001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 162009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162030 */     // (intrinsic_wo_chain:{ *:[v2f64] } 575:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FABDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 162030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 162033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162039 */     GIR_RootConstrainSelectedInstOperands,
     /* 162040 */     // GIR_Coverage, 1160,
     /* 162040 */     GIR_EraseRootFromParent_Done,
     /* 162041 */   // Label 3129: @162041
     /* 162041 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(162086), // Rule ID 1162 //
     /* 162046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 162054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 162060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 162063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162075 */     // (intrinsic_wo_chain:{ *:[v4i16] } 576:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 162075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 162078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162084 */     GIR_RootConstrainSelectedInstOperands,
     /* 162085 */     // GIR_Coverage, 1162,
     /* 162085 */     GIR_EraseRootFromParent_Done,
     /* 162086 */   // Label 3130: @162086
     /* 162086 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(162131), // Rule ID 1164 //
     /* 162091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 162099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 162102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 162108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162120 */     // (intrinsic_wo_chain:{ *:[v8i16] } 576:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 162120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 162123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162129 */     GIR_RootConstrainSelectedInstOperands,
     /* 162130 */     // GIR_Coverage, 1164,
     /* 162130 */     GIR_EraseRootFromParent_Done,
     /* 162131 */   // Label 3131: @162131
     /* 162131 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(162176), // Rule ID 1166 //
     /* 162136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 162144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 162150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 162153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162165 */     // (intrinsic_wo_chain:{ *:[v2i32] } 576:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 162165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 162168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162174 */     GIR_RootConstrainSelectedInstOperands,
     /* 162175 */     // GIR_Coverage, 1166,
     /* 162175 */     GIR_EraseRootFromParent_Done,
     /* 162176 */   // Label 3132: @162176
     /* 162176 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(162221), // Rule ID 1168 //
     /* 162181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 162189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 162192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 162198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162210 */     // (intrinsic_wo_chain:{ *:[v4i32] } 576:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 162210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 162213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162219 */     GIR_RootConstrainSelectedInstOperands,
     /* 162220 */     // GIR_Coverage, 1168,
     /* 162220 */     GIR_EraseRootFromParent_Done,
     /* 162221 */   // Label 3133: @162221
     /* 162221 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(162266), // Rule ID 1170 //
     /* 162226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 162234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162255 */     // (intrinsic_wo_chain:{ *:[v2i64] } 576:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 162255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 162258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162264 */     GIR_RootConstrainSelectedInstOperands,
     /* 162265 */     // GIR_Coverage, 1170,
     /* 162265 */     GIR_EraseRootFromParent_Done,
     /* 162266 */   // Label 3134: @162266
     /* 162266 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(162311), // Rule ID 1172 //
     /* 162271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 162279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 162285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 162288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162300 */     // (intrinsic_wo_chain:{ *:[v4i16] } 577:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 162300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 162303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162309 */     GIR_RootConstrainSelectedInstOperands,
     /* 162310 */     // GIR_Coverage, 1172,
     /* 162310 */     GIR_EraseRootFromParent_Done,
     /* 162311 */   // Label 3135: @162311
     /* 162311 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(162356), // Rule ID 1174 //
     /* 162316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 162324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 162327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 162333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162345 */     // (intrinsic_wo_chain:{ *:[v8i16] } 577:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 162345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 162348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162354 */     GIR_RootConstrainSelectedInstOperands,
     /* 162355 */     // GIR_Coverage, 1174,
     /* 162355 */     GIR_EraseRootFromParent_Done,
     /* 162356 */   // Label 3136: @162356
     /* 162356 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(162401), // Rule ID 1176 //
     /* 162361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 162369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 162375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 162378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162390 */     // (intrinsic_wo_chain:{ *:[v2i32] } 577:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 162390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 162393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162399 */     GIR_RootConstrainSelectedInstOperands,
     /* 162400 */     // GIR_Coverage, 1176,
     /* 162400 */     GIR_EraseRootFromParent_Done,
     /* 162401 */   // Label 3137: @162401
     /* 162401 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(162446), // Rule ID 1178 //
     /* 162406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 162414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 162417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 162423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162435 */     // (intrinsic_wo_chain:{ *:[v4i32] } 577:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 162435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 162438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162444 */     GIR_RootConstrainSelectedInstOperands,
     /* 162445 */     // GIR_Coverage, 1178,
     /* 162445 */     GIR_EraseRootFromParent_Done,
     /* 162446 */   // Label 3138: @162446
     /* 162446 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(162491), // Rule ID 1180 //
     /* 162451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 162459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162480 */     // (intrinsic_wo_chain:{ *:[v2i64] } 577:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 162480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 162483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162489 */     GIR_RootConstrainSelectedInstOperands,
     /* 162490 */     // GIR_Coverage, 1180,
     /* 162490 */     GIR_EraseRootFromParent_Done,
     /* 162491 */   // Label 3139: @162491
     /* 162491 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(162536), // Rule ID 1182 //
     /* 162496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 162504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 162510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 162513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162525 */     // (intrinsic_wo_chain:{ *:[v4f16] } 578:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 162525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 162528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162534 */     GIR_RootConstrainSelectedInstOperands,
     /* 162535 */     // GIR_Coverage, 1182,
     /* 162535 */     GIR_EraseRootFromParent_Done,
     /* 162536 */   // Label 3140: @162536
     /* 162536 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(162581), // Rule ID 1184 //
     /* 162541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 162549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 162552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 162558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162570 */     // (intrinsic_wo_chain:{ *:[v8f16] } 578:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 162570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 162573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162579 */     GIR_RootConstrainSelectedInstOperands,
     /* 162580 */     // GIR_Coverage, 1184,
     /* 162580 */     GIR_EraseRootFromParent_Done,
     /* 162581 */   // Label 3141: @162581
     /* 162581 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(162626), // Rule ID 1186 //
     /* 162586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 162594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 162600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 162603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162615 */     // (intrinsic_wo_chain:{ *:[v2f32] } 578:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 162615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f32),
     /* 162618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162624 */     GIR_RootConstrainSelectedInstOperands,
     /* 162625 */     // GIR_Coverage, 1186,
     /* 162625 */     GIR_EraseRootFromParent_Done,
     /* 162626 */   // Label 3142: @162626
     /* 162626 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(162671), // Rule ID 1188 //
     /* 162631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 162639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 162642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 162648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162660 */     // (intrinsic_wo_chain:{ *:[v4f32] } 578:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 162660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 162663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162669 */     GIR_RootConstrainSelectedInstOperands,
     /* 162670 */     // GIR_Coverage, 1188,
     /* 162670 */     GIR_EraseRootFromParent_Done,
     /* 162671 */   // Label 3143: @162671
     /* 162671 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(162716), // Rule ID 1190 //
     /* 162676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 162684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162705 */     // (intrinsic_wo_chain:{ *:[v2f64] } 578:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 162705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 162708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162714 */     GIR_RootConstrainSelectedInstOperands,
     /* 162715 */     // GIR_Coverage, 1190,
     /* 162715 */     GIR_EraseRootFromParent_Done,
     /* 162716 */   // Label 3144: @162716
     /* 162716 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(162761), // Rule ID 1226 //
     /* 162721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 162729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 162735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 162738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162750 */     // (intrinsic_wo_chain:{ *:[v4f16] } 595:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 162750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f16),
     /* 162753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162759 */     GIR_RootConstrainSelectedInstOperands,
     /* 162760 */     // GIR_Coverage, 1226,
     /* 162760 */     GIR_EraseRootFromParent_Done,
     /* 162761 */   // Label 3145: @162761
     /* 162761 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(162806), // Rule ID 1227 //
     /* 162766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 162774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 162777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 162783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162795 */     // (intrinsic_wo_chain:{ *:[v8f16] } 595:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 162795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv8f16),
     /* 162798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162804 */     GIR_RootConstrainSelectedInstOperands,
     /* 162805 */     // GIR_Coverage, 1227,
     /* 162805 */     GIR_EraseRootFromParent_Done,
     /* 162806 */   // Label 3146: @162806
     /* 162806 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(162851), // Rule ID 1228 //
     /* 162811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 162819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 162825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 162828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162840 */     // (intrinsic_wo_chain:{ *:[v2f32] } 595:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 162840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f32),
     /* 162843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162849 */     GIR_RootConstrainSelectedInstOperands,
     /* 162850 */     // GIR_Coverage, 1228,
     /* 162850 */     GIR_EraseRootFromParent_Done,
     /* 162851 */   // Label 3147: @162851
     /* 162851 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(162896), // Rule ID 1229 //
     /* 162856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 162864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 162867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 162873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162885 */     // (intrinsic_wo_chain:{ *:[v4f32] } 595:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 162885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f32),
     /* 162888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162894 */     GIR_RootConstrainSelectedInstOperands,
     /* 162895 */     // GIR_Coverage, 1229,
     /* 162895 */     GIR_EraseRootFromParent_Done,
     /* 162896 */   // Label 3148: @162896
     /* 162896 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(162941), // Rule ID 1230 //
     /* 162901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 162909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 162912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162930 */     // (intrinsic_wo_chain:{ *:[v2f64] } 595:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 162930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f64),
     /* 162933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162939 */     GIR_RootConstrainSelectedInstOperands,
     /* 162940 */     // GIR_Coverage, 1230,
     /* 162940 */     GIR_EraseRootFromParent_Done,
     /* 162941 */   // Label 3149: @162941
     /* 162941 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(162986), // Rule ID 1241 //
     /* 162946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 162954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 162960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 162963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162975 */     // (intrinsic_wo_chain:{ *:[v4f16] } 597:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 162975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f16),
     /* 162978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 162984 */     GIR_RootConstrainSelectedInstOperands,
     /* 162985 */     // GIR_Coverage, 1241,
     /* 162985 */     GIR_EraseRootFromParent_Done,
     /* 162986 */   // Label 3150: @162986
     /* 162986 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(163031), // Rule ID 1242 //
     /* 162991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 162994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 162999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 163002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 163008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163020 */     // (intrinsic_wo_chain:{ *:[v8f16] } 597:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 163020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv8f16),
     /* 163023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163029 */     GIR_RootConstrainSelectedInstOperands,
     /* 163030 */     // GIR_Coverage, 1242,
     /* 163030 */     GIR_EraseRootFromParent_Done,
     /* 163031 */   // Label 3151: @163031
     /* 163031 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(163076), // Rule ID 1243 //
     /* 163036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 163044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 163050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 163053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163065 */     // (intrinsic_wo_chain:{ *:[v2f32] } 597:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 163065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f32),
     /* 163068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163074 */     GIR_RootConstrainSelectedInstOperands,
     /* 163075 */     // GIR_Coverage, 1243,
     /* 163075 */     GIR_EraseRootFromParent_Done,
     /* 163076 */   // Label 3152: @163076
     /* 163076 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(163121), // Rule ID 1244 //
     /* 163081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 163089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 163092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163110 */     // (intrinsic_wo_chain:{ *:[v4f32] } 597:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 163110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f32),
     /* 163113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163119 */     GIR_RootConstrainSelectedInstOperands,
     /* 163120 */     // GIR_Coverage, 1244,
     /* 163120 */     GIR_EraseRootFromParent_Done,
     /* 163121 */   // Label 3153: @163121
     /* 163121 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(163166), // Rule ID 1245 //
     /* 163126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 163134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 163137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 163143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163155 */     // (intrinsic_wo_chain:{ *:[v2f64] } 597:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 163155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f64),
     /* 163158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163164 */     GIR_RootConstrainSelectedInstOperands,
     /* 163165 */     // GIR_Coverage, 1245,
     /* 163165 */     GIR_EraseRootFromParent_Done,
     /* 163166 */   // Label 3154: @163166
     /* 163166 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(163211), // Rule ID 1256 //
     /* 163171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 163179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 163185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 163188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163200 */     // (intrinsic_wo_chain:{ *:[v4f16] } 601:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 163200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f16),
     /* 163203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163209 */     GIR_RootConstrainSelectedInstOperands,
     /* 163210 */     // GIR_Coverage, 1256,
     /* 163210 */     GIR_EraseRootFromParent_Done,
     /* 163211 */   // Label 3155: @163211
     /* 163211 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(163256), // Rule ID 1257 //
     /* 163216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 163224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 163227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 163233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163245 */     // (intrinsic_wo_chain:{ *:[v8f16] } 601:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 163245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv8f16),
     /* 163248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163254 */     GIR_RootConstrainSelectedInstOperands,
     /* 163255 */     // GIR_Coverage, 1257,
     /* 163255 */     GIR_EraseRootFromParent_Done,
     /* 163256 */   // Label 3156: @163256
     /* 163256 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(163301), // Rule ID 1258 //
     /* 163261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 163269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 163275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 163278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163290 */     // (intrinsic_wo_chain:{ *:[v2f32] } 601:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 163290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f32),
     /* 163293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163299 */     GIR_RootConstrainSelectedInstOperands,
     /* 163300 */     // GIR_Coverage, 1258,
     /* 163300 */     GIR_EraseRootFromParent_Done,
     /* 163301 */   // Label 3157: @163301
     /* 163301 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(163346), // Rule ID 1259 //
     /* 163306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 163314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 163317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163335 */     // (intrinsic_wo_chain:{ *:[v4f32] } 601:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 163335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f32),
     /* 163338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163344 */     GIR_RootConstrainSelectedInstOperands,
     /* 163345 */     // GIR_Coverage, 1259,
     /* 163345 */     GIR_EraseRootFromParent_Done,
     /* 163346 */   // Label 3158: @163346
     /* 163346 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(163391), // Rule ID 1260 //
     /* 163351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 163359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 163362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 163368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163380 */     // (intrinsic_wo_chain:{ *:[v2f64] } 601:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 163380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f64),
     /* 163383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163389 */     GIR_RootConstrainSelectedInstOperands,
     /* 163390 */     // GIR_Coverage, 1260,
     /* 163390 */     GIR_EraseRootFromParent_Done,
     /* 163391 */   // Label 3159: @163391
     /* 163391 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(163436), // Rule ID 1271 //
     /* 163396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 163404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 163410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 163413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163425 */     // (intrinsic_wo_chain:{ *:[v4f16] } 603:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 163425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f16),
     /* 163428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163434 */     GIR_RootConstrainSelectedInstOperands,
     /* 163435 */     // GIR_Coverage, 1271,
     /* 163435 */     GIR_EraseRootFromParent_Done,
     /* 163436 */   // Label 3160: @163436
     /* 163436 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(163481), // Rule ID 1272 //
     /* 163441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 163449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 163452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 163458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163470 */     // (intrinsic_wo_chain:{ *:[v8f16] } 603:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 163470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv8f16),
     /* 163473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163479 */     GIR_RootConstrainSelectedInstOperands,
     /* 163480 */     // GIR_Coverage, 1272,
     /* 163480 */     GIR_EraseRootFromParent_Done,
     /* 163481 */   // Label 3161: @163481
     /* 163481 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(163526), // Rule ID 1273 //
     /* 163486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 163494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 163500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 163503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163515 */     // (intrinsic_wo_chain:{ *:[v2f32] } 603:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 163515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f32),
     /* 163518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163524 */     GIR_RootConstrainSelectedInstOperands,
     /* 163525 */     // GIR_Coverage, 1273,
     /* 163525 */     GIR_EraseRootFromParent_Done,
     /* 163526 */   // Label 3162: @163526
     /* 163526 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(163571), // Rule ID 1274 //
     /* 163531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 163539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 163542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163560 */     // (intrinsic_wo_chain:{ *:[v4f32] } 603:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 163560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f32),
     /* 163563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163569 */     GIR_RootConstrainSelectedInstOperands,
     /* 163570 */     // GIR_Coverage, 1274,
     /* 163570 */     GIR_EraseRootFromParent_Done,
     /* 163571 */   // Label 3163: @163571
     /* 163571 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(163616), // Rule ID 1275 //
     /* 163576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 163584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 163587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 163593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163605 */     // (intrinsic_wo_chain:{ *:[v2f64] } 603:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 163605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f64),
     /* 163608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163614 */     GIR_RootConstrainSelectedInstOperands,
     /* 163615 */     // GIR_Coverage, 1275,
     /* 163615 */     GIR_EraseRootFromParent_Done,
     /* 163616 */   // Label 3164: @163616
     /* 163616 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(163661), // Rule ID 1306 //
     /* 163621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 163629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 163635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 163638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163650 */     // (intrinsic_wo_chain:{ *:[v4f16] } 609:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 163650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f16),
     /* 163653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163659 */     GIR_RootConstrainSelectedInstOperands,
     /* 163660 */     // GIR_Coverage, 1306,
     /* 163660 */     GIR_EraseRootFromParent_Done,
     /* 163661 */   // Label 3165: @163661
     /* 163661 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(163706), // Rule ID 1307 //
     /* 163666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 163674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 163677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 163683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163695 */     // (intrinsic_wo_chain:{ *:[v8f16] } 609:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 163695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8f16),
     /* 163698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163704 */     GIR_RootConstrainSelectedInstOperands,
     /* 163705 */     // GIR_Coverage, 1307,
     /* 163705 */     GIR_EraseRootFromParent_Done,
     /* 163706 */   // Label 3166: @163706
     /* 163706 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(163751), // Rule ID 1308 //
     /* 163711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 163719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 163725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 163728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163740 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 163740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f32),
     /* 163743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163749 */     GIR_RootConstrainSelectedInstOperands,
     /* 163750 */     // GIR_Coverage, 1308,
     /* 163750 */     GIR_EraseRootFromParent_Done,
     /* 163751 */   // Label 3167: @163751
     /* 163751 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(163796), // Rule ID 1309 //
     /* 163756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 163764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 163767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163785 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 163785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f32),
     /* 163788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163794 */     GIR_RootConstrainSelectedInstOperands,
     /* 163795 */     // GIR_Coverage, 1309,
     /* 163795 */     GIR_EraseRootFromParent_Done,
     /* 163796 */   // Label 3168: @163796
     /* 163796 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(163841), // Rule ID 1310 //
     /* 163801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 163809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 163812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 163818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163830 */     // (intrinsic_wo_chain:{ *:[v2f64] } 609:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 163830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f64),
     /* 163833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163839 */     GIR_RootConstrainSelectedInstOperands,
     /* 163840 */     // GIR_Coverage, 1310,
     /* 163840 */     GIR_EraseRootFromParent_Done,
     /* 163841 */   // Label 3169: @163841
     /* 163841 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(163886), // Rule ID 1321 //
     /* 163846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 163854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 163860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 163863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163875 */     // (intrinsic_wo_chain:{ *:[v4f16] } 632:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRECPSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 163875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f16),
     /* 163878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163884 */     GIR_RootConstrainSelectedInstOperands,
     /* 163885 */     // GIR_Coverage, 1321,
     /* 163885 */     GIR_EraseRootFromParent_Done,
     /* 163886 */   // Label 3170: @163886
     /* 163886 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(163931), // Rule ID 1322 //
     /* 163891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 163894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 163899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 163902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 163908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163920 */     // (intrinsic_wo_chain:{ *:[v8f16] } 632:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRECPSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 163920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv8f16),
     /* 163923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163929 */     GIR_RootConstrainSelectedInstOperands,
     /* 163930 */     // GIR_Coverage, 1322,
     /* 163930 */     GIR_EraseRootFromParent_Done,
     /* 163931 */   // Label 3171: @163931
     /* 163931 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(163976), // Rule ID 1323 //
     /* 163936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 163944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 163950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 163953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163965 */     // (intrinsic_wo_chain:{ *:[v2f32] } 632:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRECPSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 163965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f32),
     /* 163968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 163974 */     GIR_RootConstrainSelectedInstOperands,
     /* 163975 */     // GIR_Coverage, 1323,
     /* 163975 */     GIR_EraseRootFromParent_Done,
     /* 163976 */   // Label 3172: @163976
     /* 163976 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(164021), // Rule ID 1324 //
     /* 163981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 163989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 163992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164010 */     // (intrinsic_wo_chain:{ *:[v4f32] } 632:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRECPSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 164010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f32),
     /* 164013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164019 */     GIR_RootConstrainSelectedInstOperands,
     /* 164020 */     // GIR_Coverage, 1324,
     /* 164020 */     GIR_EraseRootFromParent_Done,
     /* 164021 */   // Label 3173: @164021
     /* 164021 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(164066), // Rule ID 1325 //
     /* 164026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 164034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 164037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 164040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 164043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164055 */     // (intrinsic_wo_chain:{ *:[v2f64] } 632:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRECPSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 164055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f64),
     /* 164058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164064 */     GIR_RootConstrainSelectedInstOperands,
     /* 164065 */     // GIR_Coverage, 1325,
     /* 164065 */     GIR_EraseRootFromParent_Done,
     /* 164066 */   // Label 3174: @164066
     /* 164066 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(164111), // Rule ID 1326 //
     /* 164071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 164074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 164079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 164082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 164085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 164088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164100 */     // (intrinsic_wo_chain:{ *:[v4f16] } 639:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRSQRTSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 164100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f16),
     /* 164103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164109 */     GIR_RootConstrainSelectedInstOperands,
     /* 164110 */     // GIR_Coverage, 1326,
     /* 164110 */     GIR_EraseRootFromParent_Done,
     /* 164111 */   // Label 3175: @164111
     /* 164111 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(164156), // Rule ID 1327 //
     /* 164116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 164119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 164124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 164127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 164130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 164133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164145 */     // (intrinsic_wo_chain:{ *:[v8f16] } 639:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRSQRTSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 164145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv8f16),
     /* 164148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164154 */     GIR_RootConstrainSelectedInstOperands,
     /* 164155 */     // GIR_Coverage, 1327,
     /* 164155 */     GIR_EraseRootFromParent_Done,
     /* 164156 */   // Label 3176: @164156
     /* 164156 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(164201), // Rule ID 1328 //
     /* 164161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 164169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 164172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 164175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 164178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164190 */     // (intrinsic_wo_chain:{ *:[v2f32] } 639:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRSQRTSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 164190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f32),
     /* 164193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164199 */     GIR_RootConstrainSelectedInstOperands,
     /* 164200 */     // GIR_Coverage, 1328,
     /* 164200 */     GIR_EraseRootFromParent_Done,
     /* 164201 */   // Label 3177: @164201
     /* 164201 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(164246), // Rule ID 1329 //
     /* 164206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 164214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 164217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 164220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 164223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164235 */     // (intrinsic_wo_chain:{ *:[v4f32] } 639:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRSQRTSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 164235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f32),
     /* 164238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164244 */     GIR_RootConstrainSelectedInstOperands,
     /* 164245 */     // GIR_Coverage, 1329,
     /* 164245 */     GIR_EraseRootFromParent_Done,
     /* 164246 */   // Label 3178: @164246
     /* 164246 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(164291), // Rule ID 1330 //
     /* 164251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 164259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 164262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 164265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 164268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164280 */     // (intrinsic_wo_chain:{ *:[v2f64] } 639:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRSQRTSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 164280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f64),
     /* 164283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164289 */     GIR_RootConstrainSelectedInstOperands,
     /* 164290 */     // GIR_Coverage, 1330,
     /* 164290 */     GIR_EraseRootFromParent_Done,
     /* 164291 */   // Label 3179: @164291
     /* 164291 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(164336), // Rule ID 1347 //
     /* 164296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 164304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 164307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 164310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 164313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164325 */     // (intrinsic_wo_chain:{ *:[v8i8] } 652:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (PMULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 164325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv8i8),
     /* 164328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164334 */     GIR_RootConstrainSelectedInstOperands,
     /* 164335 */     // GIR_Coverage, 1347,
     /* 164335 */     GIR_EraseRootFromParent_Done,
     /* 164336 */   // Label 3180: @164336
     /* 164336 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(164381), // Rule ID 1348 //
     /* 164341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 164349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 164352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 164355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 164358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164370 */     // (intrinsic_wo_chain:{ *:[v16i8] } 652:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (PMULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 164370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv16i8),
     /* 164373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164379 */     GIR_RootConstrainSelectedInstOperands,
     /* 164380 */     // GIR_Coverage, 1348,
     /* 164380 */     GIR_EraseRootFromParent_Done,
     /* 164381 */   // Label 3181: @164381
     /* 164381 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(164426), // Rule ID 1362 //
     /* 164386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 164397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 164400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 164403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164415 */     // (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 164415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i8),
     /* 164418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164424 */     GIR_RootConstrainSelectedInstOperands,
     /* 164425 */     // GIR_Coverage, 1362,
     /* 164425 */     GIR_EraseRootFromParent_Done,
     /* 164426 */   // Label 3182: @164426
     /* 164426 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(164471), // Rule ID 1364 //
     /* 164431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 164442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 164445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 164448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164460 */     // (intrinsic_wo_chain:{ *:[v16i8] } 658:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 164460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv16i8),
     /* 164463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164469 */     GIR_RootConstrainSelectedInstOperands,
     /* 164470 */     // GIR_Coverage, 1364,
     /* 164470 */     GIR_EraseRootFromParent_Done,
     /* 164471 */   // Label 3183: @164471
     /* 164471 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(164516), // Rule ID 1366 //
     /* 164476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 164487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 164490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 164493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164505 */     // (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 164505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i16),
     /* 164508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164514 */     GIR_RootConstrainSelectedInstOperands,
     /* 164515 */     // GIR_Coverage, 1366,
     /* 164515 */     GIR_EraseRootFromParent_Done,
     /* 164516 */   // Label 3184: @164516
     /* 164516 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(164561), // Rule ID 1368 //
     /* 164521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 164532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 164535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 164538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164550 */     // (intrinsic_wo_chain:{ *:[v8i16] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 164550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i16),
     /* 164553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164559 */     GIR_RootConstrainSelectedInstOperands,
     /* 164560 */     // GIR_Coverage, 1368,
     /* 164560 */     GIR_EraseRootFromParent_Done,
     /* 164561 */   // Label 3185: @164561
     /* 164561 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(164606), // Rule ID 1370 //
     /* 164566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 164577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 164580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 164583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164595 */     // (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 164595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv2i32),
     /* 164598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164604 */     GIR_RootConstrainSelectedInstOperands,
     /* 164605 */     // GIR_Coverage, 1370,
     /* 164605 */     GIR_EraseRootFromParent_Done,
     /* 164606 */   // Label 3186: @164606
     /* 164606 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(164651), // Rule ID 1372 //
     /* 164611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 164619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 164622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 164625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 164628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164640 */     // (intrinsic_wo_chain:{ *:[v4i32] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 164640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i32),
     /* 164643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164649 */     GIR_RootConstrainSelectedInstOperands,
     /* 164650 */     // GIR_Coverage, 1372,
     /* 164650 */     GIR_EraseRootFromParent_Done,
     /* 164651 */   // Label 3187: @164651
     /* 164651 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(164696), // Rule ID 1379 //
     /* 164656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 164667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 164670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 164673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164685 */     // (intrinsic_wo_chain:{ *:[v8i8] } 668:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 164685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i8),
     /* 164688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164694 */     GIR_RootConstrainSelectedInstOperands,
     /* 164695 */     // GIR_Coverage, 1379,
     /* 164695 */     GIR_EraseRootFromParent_Done,
     /* 164696 */   // Label 3188: @164696
     /* 164696 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(164741), // Rule ID 1380 //
     /* 164701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 164712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 164715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 164718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164730 */     // (intrinsic_wo_chain:{ *:[v16i8] } 668:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 164730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv16i8),
     /* 164733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164739 */     GIR_RootConstrainSelectedInstOperands,
     /* 164740 */     // GIR_Coverage, 1380,
     /* 164740 */     GIR_EraseRootFromParent_Done,
     /* 164741 */   // Label 3189: @164741
     /* 164741 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(164786), // Rule ID 1381 //
     /* 164746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 164757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 164760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 164763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164775 */     // (intrinsic_wo_chain:{ *:[v4i16] } 668:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 164775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i16),
     /* 164778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164784 */     GIR_RootConstrainSelectedInstOperands,
     /* 164785 */     // GIR_Coverage, 1381,
     /* 164785 */     GIR_EraseRootFromParent_Done,
     /* 164786 */   // Label 3190: @164786
     /* 164786 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(164831), // Rule ID 1382 //
     /* 164791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 164802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 164805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 164808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164820 */     // (intrinsic_wo_chain:{ *:[v8i16] } 668:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 164820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i16),
     /* 164823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164829 */     GIR_RootConstrainSelectedInstOperands,
     /* 164830 */     // GIR_Coverage, 1382,
     /* 164830 */     GIR_EraseRootFromParent_Done,
     /* 164831 */   // Label 3191: @164831
     /* 164831 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(164876), // Rule ID 1383 //
     /* 164836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 164847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 164850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 164853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164865 */     // (intrinsic_wo_chain:{ *:[v2i32] } 668:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 164865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv2i32),
     /* 164868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164874 */     GIR_RootConstrainSelectedInstOperands,
     /* 164875 */     // GIR_Coverage, 1383,
     /* 164875 */     GIR_EraseRootFromParent_Done,
     /* 164876 */   // Label 3192: @164876
     /* 164876 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(164921), // Rule ID 1384 //
     /* 164881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 164889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 164892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 164895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 164898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164910 */     // (intrinsic_wo_chain:{ *:[v4i32] } 668:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 164910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i32),
     /* 164913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164919 */     GIR_RootConstrainSelectedInstOperands,
     /* 164920 */     // GIR_Coverage, 1384,
     /* 164920 */     GIR_EraseRootFromParent_Done,
     /* 164921 */   // Label 3193: @164921
     /* 164921 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(164966), // Rule ID 1385 //
     /* 164926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 164934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 164937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 164940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 164943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164955 */     // (intrinsic_wo_chain:{ *:[v8i8] } 670:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 164955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i8),
     /* 164958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 164964 */     GIR_RootConstrainSelectedInstOperands,
     /* 164965 */     // GIR_Coverage, 1385,
     /* 164965 */     GIR_EraseRootFromParent_Done,
     /* 164966 */   // Label 3194: @164966
     /* 164966 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(165011), // Rule ID 1386 //
     /* 164971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 164974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 164979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 164982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 164985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 164988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 164996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165000 */     // (intrinsic_wo_chain:{ *:[v16i8] } 670:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 165000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv16i8),
     /* 165003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165009 */     GIR_RootConstrainSelectedInstOperands,
     /* 165010 */     // GIR_Coverage, 1386,
     /* 165010 */     GIR_EraseRootFromParent_Done,
     /* 165011 */   // Label 3195: @165011
     /* 165011 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(165056), // Rule ID 1387 //
     /* 165016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 165024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 165033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165045 */     // (intrinsic_wo_chain:{ *:[v4i16] } 670:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 165045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i16),
     /* 165048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165054 */     GIR_RootConstrainSelectedInstOperands,
     /* 165055 */     // GIR_Coverage, 1387,
     /* 165055 */     GIR_EraseRootFromParent_Done,
     /* 165056 */   // Label 3196: @165056
     /* 165056 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(165101), // Rule ID 1388 //
     /* 165061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 165069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 165072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 165078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165090 */     // (intrinsic_wo_chain:{ *:[v8i16] } 670:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 165090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i16),
     /* 165093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165099 */     GIR_RootConstrainSelectedInstOperands,
     /* 165100 */     // GIR_Coverage, 1388,
     /* 165100 */     GIR_EraseRootFromParent_Done,
     /* 165101 */   // Label 3197: @165101
     /* 165101 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(165146), // Rule ID 1389 //
     /* 165106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 165114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 165117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 165120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 165123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165135 */     // (intrinsic_wo_chain:{ *:[v2i32] } 670:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 165135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 165138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165144 */     GIR_RootConstrainSelectedInstOperands,
     /* 165145 */     // GIR_Coverage, 1389,
     /* 165145 */     GIR_EraseRootFromParent_Done,
     /* 165146 */   // Label 3198: @165146
     /* 165146 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(165191), // Rule ID 1390 //
     /* 165151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 165159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 165162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 165165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 165168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165180 */     // (intrinsic_wo_chain:{ *:[v4i32] } 670:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 165180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i32),
     /* 165183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165189 */     GIR_RootConstrainSelectedInstOperands,
     /* 165190 */     // GIR_Coverage, 1390,
     /* 165190 */     GIR_EraseRootFromParent_Done,
     /* 165191 */   // Label 3199: @165191
     /* 165191 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(165236), // Rule ID 1397 //
     /* 165196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 165207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 165210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 165213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165225 */     // (intrinsic_wo_chain:{ *:[v8i8] } 673:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 165225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i8),
     /* 165228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165234 */     GIR_RootConstrainSelectedInstOperands,
     /* 165235 */     // GIR_Coverage, 1397,
     /* 165235 */     GIR_EraseRootFromParent_Done,
     /* 165236 */   // Label 3200: @165236
     /* 165236 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(165281), // Rule ID 1398 //
     /* 165241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 165252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 165255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 165258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165270 */     // (intrinsic_wo_chain:{ *:[v16i8] } 673:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 165270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv16i8),
     /* 165273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165279 */     GIR_RootConstrainSelectedInstOperands,
     /* 165280 */     // GIR_Coverage, 1398,
     /* 165280 */     GIR_EraseRootFromParent_Done,
     /* 165281 */   // Label 3201: @165281
     /* 165281 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(165326), // Rule ID 1399 //
     /* 165286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 165303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165315 */     // (intrinsic_wo_chain:{ *:[v4i16] } 673:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 165315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i16),
     /* 165318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165324 */     GIR_RootConstrainSelectedInstOperands,
     /* 165325 */     // GIR_Coverage, 1399,
     /* 165325 */     GIR_EraseRootFromParent_Done,
     /* 165326 */   // Label 3202: @165326
     /* 165326 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(165371), // Rule ID 1400 //
     /* 165331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 165342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 165348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165360 */     // (intrinsic_wo_chain:{ *:[v8i16] } 673:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 165360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i16),
     /* 165363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165369 */     GIR_RootConstrainSelectedInstOperands,
     /* 165370 */     // GIR_Coverage, 1400,
     /* 165370 */     GIR_EraseRootFromParent_Done,
     /* 165371 */   // Label 3203: @165371
     /* 165371 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(165416), // Rule ID 1401 //
     /* 165376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 165387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 165390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 165393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165405 */     // (intrinsic_wo_chain:{ *:[v2i32] } 673:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 165405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 165408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165414 */     GIR_RootConstrainSelectedInstOperands,
     /* 165415 */     // GIR_Coverage, 1401,
     /* 165415 */     GIR_EraseRootFromParent_Done,
     /* 165416 */   // Label 3204: @165416
     /* 165416 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(165461), // Rule ID 1402 //
     /* 165421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 165429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 165432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 165435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 165438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165450 */     // (intrinsic_wo_chain:{ *:[v4i32] } 673:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 165450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i32),
     /* 165453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165459 */     GIR_RootConstrainSelectedInstOperands,
     /* 165460 */     // GIR_Coverage, 1402,
     /* 165460 */     GIR_EraseRootFromParent_Done,
     /* 165461 */   // Label 3205: @165461
     /* 165461 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(165506), // Rule ID 1409 //
     /* 165466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 165477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 165480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 165483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165495 */     // (intrinsic_wo_chain:{ *:[v8i8] } 678:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 165495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 165498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165504 */     GIR_RootConstrainSelectedInstOperands,
     /* 165505 */     // GIR_Coverage, 1409,
     /* 165505 */     GIR_EraseRootFromParent_Done,
     /* 165506 */   // Label 3206: @165506
     /* 165506 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(165551), // Rule ID 1410 //
     /* 165511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 165522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 165525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 165528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165540 */     // (intrinsic_wo_chain:{ *:[v16i8] } 678:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 165540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 165543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165549 */     GIR_RootConstrainSelectedInstOperands,
     /* 165550 */     // GIR_Coverage, 1410,
     /* 165550 */     GIR_EraseRootFromParent_Done,
     /* 165551 */   // Label 3207: @165551
     /* 165551 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(165596), // Rule ID 1411 //
     /* 165556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 165573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165585 */     // (intrinsic_wo_chain:{ *:[v4i16] } 678:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 165585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 165588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165594 */     GIR_RootConstrainSelectedInstOperands,
     /* 165595 */     // GIR_Coverage, 1411,
     /* 165595 */     GIR_EraseRootFromParent_Done,
     /* 165596 */   // Label 3208: @165596
     /* 165596 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(165641), // Rule ID 1412 //
     /* 165601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 165612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 165618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165630 */     // (intrinsic_wo_chain:{ *:[v8i16] } 678:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 165630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 165633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165639 */     GIR_RootConstrainSelectedInstOperands,
     /* 165640 */     // GIR_Coverage, 1412,
     /* 165640 */     GIR_EraseRootFromParent_Done,
     /* 165641 */   // Label 3209: @165641
     /* 165641 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(165686), // Rule ID 1413 //
     /* 165646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 165657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 165660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 165663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165675 */     // (intrinsic_wo_chain:{ *:[v2i32] } 678:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 165675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 165678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165684 */     GIR_RootConstrainSelectedInstOperands,
     /* 165685 */     // GIR_Coverage, 1413,
     /* 165685 */     GIR_EraseRootFromParent_Done,
     /* 165686 */   // Label 3210: @165686
     /* 165686 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(165731), // Rule ID 1414 //
     /* 165691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 165702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 165705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 165708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165720 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 165720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 165723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165729 */     GIR_RootConstrainSelectedInstOperands,
     /* 165730 */     // GIR_Coverage, 1414,
     /* 165730 */     GIR_EraseRootFromParent_Done,
     /* 165731 */   // Label 3211: @165731
     /* 165731 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(165776), // Rule ID 1415 //
     /* 165736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 165744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 165747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 165750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 165753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165765 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 165765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 165768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165774 */     GIR_RootConstrainSelectedInstOperands,
     /* 165775 */     // GIR_Coverage, 1415,
     /* 165775 */     GIR_EraseRootFromParent_Done,
     /* 165776 */   // Label 3212: @165776
     /* 165776 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(165821), // Rule ID 1416 //
     /* 165781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 165789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 165798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165810 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 165810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16),
     /* 165813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165819 */     GIR_RootConstrainSelectedInstOperands,
     /* 165820 */     // GIR_Coverage, 1416,
     /* 165820 */     GIR_EraseRootFromParent_Done,
     /* 165821 */   // Label 3213: @165821
     /* 165821 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(165866), // Rule ID 1417 //
     /* 165826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 165834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 165837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 165843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165855 */     // (intrinsic_wo_chain:{ *:[v8i16] } 679:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 165855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16),
     /* 165858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165864 */     GIR_RootConstrainSelectedInstOperands,
     /* 165865 */     // GIR_Coverage, 1417,
     /* 165865 */     GIR_EraseRootFromParent_Done,
     /* 165866 */   // Label 3214: @165866
     /* 165866 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(165911), // Rule ID 1418 //
     /* 165871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 165879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 165882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 165885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 165888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165900 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 165900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32),
     /* 165903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165909 */     GIR_RootConstrainSelectedInstOperands,
     /* 165910 */     // GIR_Coverage, 1418,
     /* 165910 */     GIR_EraseRootFromParent_Done,
     /* 165911 */   // Label 3215: @165911
     /* 165911 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(165956), // Rule ID 1419 //
     /* 165916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 165924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 165927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 165930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 165933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 165945 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 165945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32),
     /* 165948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165954 */     GIR_RootConstrainSelectedInstOperands,
     /* 165955 */     // GIR_Coverage, 1419,
     /* 165955 */     GIR_EraseRootFromParent_Done,
     /* 165956 */   // Label 3216: @165956
     /* 165956 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(166001), // Rule ID 1420 //
     /* 165961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 165964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 165969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 165978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165990 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 165990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16),
     /* 165993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 165999 */     GIR_RootConstrainSelectedInstOperands,
     /* 166000 */     // GIR_Coverage, 1420,
     /* 166000 */     GIR_EraseRootFromParent_Done,
     /* 166001 */   // Label 3217: @166001
     /* 166001 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(166046), // Rule ID 1421 //
     /* 166006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 166014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 166023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166035 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 166035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16),
     /* 166038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166044 */     GIR_RootConstrainSelectedInstOperands,
     /* 166045 */     // GIR_Coverage, 1421,
     /* 166045 */     GIR_EraseRootFromParent_Done,
     /* 166046 */   // Label 3218: @166046
     /* 166046 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(166091), // Rule ID 1422 //
     /* 166051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 166059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 166068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166080 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 166080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32),
     /* 166083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166089 */     GIR_RootConstrainSelectedInstOperands,
     /* 166090 */     // GIR_Coverage, 1422,
     /* 166090 */     GIR_EraseRootFromParent_Done,
     /* 166091 */   // Label 3219: @166091
     /* 166091 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(166136), // Rule ID 1423 //
     /* 166096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 166104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 166113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166125 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 166125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32),
     /* 166128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166134 */     GIR_RootConstrainSelectedInstOperands,
     /* 166135 */     // GIR_Coverage, 1423,
     /* 166135 */     GIR_EraseRootFromParent_Done,
     /* 166136 */   // Label 3220: @166136
     /* 166136 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(166181), // Rule ID 1424 //
     /* 166141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 166152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 166155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 166158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166170 */     // (intrinsic_wo_chain:{ *:[v8i8] } 690:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 166170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i8),
     /* 166173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166179 */     GIR_RootConstrainSelectedInstOperands,
     /* 166180 */     // GIR_Coverage, 1424,
     /* 166180 */     GIR_EraseRootFromParent_Done,
     /* 166181 */   // Label 3221: @166181
     /* 166181 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(166226), // Rule ID 1425 //
     /* 166186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 166197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 166200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 166203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166215 */     // (intrinsic_wo_chain:{ *:[v16i8] } 690:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 166215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv16i8),
     /* 166218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166224 */     GIR_RootConstrainSelectedInstOperands,
     /* 166225 */     // GIR_Coverage, 1425,
     /* 166225 */     GIR_EraseRootFromParent_Done,
     /* 166226 */   // Label 3222: @166226
     /* 166226 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(166271), // Rule ID 1426 //
     /* 166231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 166248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166260 */     // (intrinsic_wo_chain:{ *:[v4i16] } 690:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 166260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i16),
     /* 166263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166269 */     GIR_RootConstrainSelectedInstOperands,
     /* 166270 */     // GIR_Coverage, 1426,
     /* 166270 */     GIR_EraseRootFromParent_Done,
     /* 166271 */   // Label 3223: @166271
     /* 166271 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(166316), // Rule ID 1427 //
     /* 166276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 166293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166305 */     // (intrinsic_wo_chain:{ *:[v8i16] } 690:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 166305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i16),
     /* 166308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166314 */     GIR_RootConstrainSelectedInstOperands,
     /* 166315 */     // GIR_Coverage, 1427,
     /* 166315 */     GIR_EraseRootFromParent_Done,
     /* 166316 */   // Label 3224: @166316
     /* 166316 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(166361), // Rule ID 1428 //
     /* 166321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 166338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166350 */     // (intrinsic_wo_chain:{ *:[v2i32] } 690:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 166350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i32),
     /* 166353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166359 */     GIR_RootConstrainSelectedInstOperands,
     /* 166360 */     // GIR_Coverage, 1428,
     /* 166360 */     GIR_EraseRootFromParent_Done,
     /* 166361 */   // Label 3225: @166361
     /* 166361 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(166406), // Rule ID 1429 //
     /* 166366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 166383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166395 */     // (intrinsic_wo_chain:{ *:[v4i32] } 690:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 166395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i32),
     /* 166398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166404 */     GIR_RootConstrainSelectedInstOperands,
     /* 166405 */     // GIR_Coverage, 1429,
     /* 166405 */     GIR_EraseRootFromParent_Done,
     /* 166406 */   // Label 3226: @166406
     /* 166406 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(166451), // Rule ID 1430 //
     /* 166411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 166419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 166428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166440 */     // (intrinsic_wo_chain:{ *:[v2i64] } 690:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 166440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i64),
     /* 166443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166449 */     GIR_RootConstrainSelectedInstOperands,
     /* 166450 */     // GIR_Coverage, 1430,
     /* 166450 */     GIR_EraseRootFromParent_Done,
     /* 166451 */   // Label 3227: @166451
     /* 166451 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(166496), // Rule ID 1431 //
     /* 166456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 166467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 166470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 166473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166485 */     // (intrinsic_wo_chain:{ *:[v8i8] } 693:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 166485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i8),
     /* 166488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166494 */     GIR_RootConstrainSelectedInstOperands,
     /* 166495 */     // GIR_Coverage, 1431,
     /* 166495 */     GIR_EraseRootFromParent_Done,
     /* 166496 */   // Label 3228: @166496
     /* 166496 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(166541), // Rule ID 1432 //
     /* 166501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 166512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 166515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 166518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166530 */     // (intrinsic_wo_chain:{ *:[v16i8] } 693:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 166530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv16i8),
     /* 166533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166539 */     GIR_RootConstrainSelectedInstOperands,
     /* 166540 */     // GIR_Coverage, 1432,
     /* 166540 */     GIR_EraseRootFromParent_Done,
     /* 166541 */   // Label 3229: @166541
     /* 166541 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(166586), // Rule ID 1433 //
     /* 166546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 166563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166575 */     // (intrinsic_wo_chain:{ *:[v4i16] } 693:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 166575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i16),
     /* 166578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166584 */     GIR_RootConstrainSelectedInstOperands,
     /* 166585 */     // GIR_Coverage, 1433,
     /* 166585 */     GIR_EraseRootFromParent_Done,
     /* 166586 */   // Label 3230: @166586
     /* 166586 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(166631), // Rule ID 1434 //
     /* 166591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 166608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166620 */     // (intrinsic_wo_chain:{ *:[v8i16] } 693:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 166620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i16),
     /* 166623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166629 */     GIR_RootConstrainSelectedInstOperands,
     /* 166630 */     // GIR_Coverage, 1434,
     /* 166630 */     GIR_EraseRootFromParent_Done,
     /* 166631 */   // Label 3231: @166631
     /* 166631 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(166676), // Rule ID 1435 //
     /* 166636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 166653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166665 */     // (intrinsic_wo_chain:{ *:[v2i32] } 693:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 166665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i32),
     /* 166668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166674 */     GIR_RootConstrainSelectedInstOperands,
     /* 166675 */     // GIR_Coverage, 1435,
     /* 166675 */     GIR_EraseRootFromParent_Done,
     /* 166676 */   // Label 3232: @166676
     /* 166676 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(166721), // Rule ID 1436 //
     /* 166681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 166698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166710 */     // (intrinsic_wo_chain:{ *:[v4i32] } 693:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 166710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i32),
     /* 166713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166719 */     GIR_RootConstrainSelectedInstOperands,
     /* 166720 */     // GIR_Coverage, 1436,
     /* 166720 */     GIR_EraseRootFromParent_Done,
     /* 166721 */   // Label 3233: @166721
     /* 166721 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(166766), // Rule ID 1437 //
     /* 166726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 166734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 166743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166755 */     // (intrinsic_wo_chain:{ *:[v2i64] } 693:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 166755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i64),
     /* 166758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166764 */     GIR_RootConstrainSelectedInstOperands,
     /* 166765 */     // GIR_Coverage, 1437,
     /* 166765 */     GIR_EraseRootFromParent_Done,
     /* 166766 */   // Label 3234: @166766
     /* 166766 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(166811), // Rule ID 1438 //
     /* 166771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 166779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 166782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 166785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 166788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166800 */     // (intrinsic_wo_chain:{ *:[v8i8] } 697:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 166800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 166803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166809 */     GIR_RootConstrainSelectedInstOperands,
     /* 166810 */     // GIR_Coverage, 1438,
     /* 166810 */     GIR_EraseRootFromParent_Done,
     /* 166811 */   // Label 3235: @166811
     /* 166811 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(166856), // Rule ID 1439 //
     /* 166816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 166824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 166827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 166830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 166833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166845 */     // (intrinsic_wo_chain:{ *:[v16i8] } 697:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 166845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 166848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166854 */     GIR_RootConstrainSelectedInstOperands,
     /* 166855 */     // GIR_Coverage, 1439,
     /* 166855 */     GIR_EraseRootFromParent_Done,
     /* 166856 */   // Label 3236: @166856
     /* 166856 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(166901), // Rule ID 1440 //
     /* 166861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 166869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 166878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166890 */     // (intrinsic_wo_chain:{ *:[v4i16] } 697:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 166890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 166893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166899 */     GIR_RootConstrainSelectedInstOperands,
     /* 166900 */     // GIR_Coverage, 1440,
     /* 166900 */     GIR_EraseRootFromParent_Done,
     /* 166901 */   // Label 3237: @166901
     /* 166901 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(166946), // Rule ID 1441 //
     /* 166906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 166914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 166923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166935 */     // (intrinsic_wo_chain:{ *:[v8i16] } 697:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 166935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 166938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166944 */     GIR_RootConstrainSelectedInstOperands,
     /* 166945 */     // GIR_Coverage, 1441,
     /* 166945 */     GIR_EraseRootFromParent_Done,
     /* 166946 */   // Label 3238: @166946
     /* 166946 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(166991), // Rule ID 1442 //
     /* 166951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 166959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 166968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166980 */     // (intrinsic_wo_chain:{ *:[v2i32] } 697:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 166980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 166983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166987 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 166989 */     GIR_RootConstrainSelectedInstOperands,
     /* 166990 */     // GIR_Coverage, 1442,
     /* 166990 */     GIR_EraseRootFromParent_Done,
     /* 166991 */   // Label 3239: @166991
     /* 166991 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(167036), // Rule ID 1443 //
     /* 166996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 167004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167025 */     // (intrinsic_wo_chain:{ *:[v4i32] } 697:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 167025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 167028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167034 */     GIR_RootConstrainSelectedInstOperands,
     /* 167035 */     // GIR_Coverage, 1443,
     /* 167035 */     GIR_EraseRootFromParent_Done,
     /* 167036 */   // Label 3240: @167036
     /* 167036 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(167081), // Rule ID 1444 //
     /* 167041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 167049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 167058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167070 */     // (intrinsic_wo_chain:{ *:[v2i64] } 697:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 167070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 167073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167077 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167079 */     GIR_RootConstrainSelectedInstOperands,
     /* 167080 */     // GIR_Coverage, 1444,
     /* 167080 */     GIR_EraseRootFromParent_Done,
     /* 167081 */   // Label 3241: @167081
     /* 167081 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(167126), // Rule ID 1451 //
     /* 167086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 167100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 167103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167115 */     // (intrinsic_wo_chain:{ *:[v8i8] } 701:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 167115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i8),
     /* 167118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167124 */     GIR_RootConstrainSelectedInstOperands,
     /* 167125 */     // GIR_Coverage, 1451,
     /* 167125 */     GIR_EraseRootFromParent_Done,
     /* 167126 */   // Label 3242: @167126
     /* 167126 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(167171), // Rule ID 1452 //
     /* 167131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 167142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 167145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 167148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167160 */     // (intrinsic_wo_chain:{ *:[v16i8] } 701:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 167160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv16i8),
     /* 167163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167169 */     GIR_RootConstrainSelectedInstOperands,
     /* 167170 */     // GIR_Coverage, 1452,
     /* 167170 */     GIR_EraseRootFromParent_Done,
     /* 167171 */   // Label 3243: @167171
     /* 167171 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(167216), // Rule ID 1453 //
     /* 167176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 167193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167205 */     // (intrinsic_wo_chain:{ *:[v4i16] } 701:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 167205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i16),
     /* 167208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167214 */     GIR_RootConstrainSelectedInstOperands,
     /* 167215 */     // GIR_Coverage, 1453,
     /* 167215 */     GIR_EraseRootFromParent_Done,
     /* 167216 */   // Label 3244: @167216
     /* 167216 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(167261), // Rule ID 1454 //
     /* 167221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 167238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167250 */     // (intrinsic_wo_chain:{ *:[v8i16] } 701:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 167250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i16),
     /* 167253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167259 */     GIR_RootConstrainSelectedInstOperands,
     /* 167260 */     // GIR_Coverage, 1454,
     /* 167260 */     GIR_EraseRootFromParent_Done,
     /* 167261 */   // Label 3245: @167261
     /* 167261 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(167306), // Rule ID 1455 //
     /* 167266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 167283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167295 */     // (intrinsic_wo_chain:{ *:[v2i32] } 701:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 167295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i32),
     /* 167298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167304 */     GIR_RootConstrainSelectedInstOperands,
     /* 167305 */     // GIR_Coverage, 1455,
     /* 167305 */     GIR_EraseRootFromParent_Done,
     /* 167306 */   // Label 3246: @167306
     /* 167306 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(167351), // Rule ID 1456 //
     /* 167311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167340 */     // (intrinsic_wo_chain:{ *:[v4i32] } 701:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 167340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i32),
     /* 167343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167349 */     GIR_RootConstrainSelectedInstOperands,
     /* 167350 */     // GIR_Coverage, 1456,
     /* 167350 */     GIR_EraseRootFromParent_Done,
     /* 167351 */   // Label 3247: @167351
     /* 167351 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(167396), // Rule ID 1457 //
     /* 167356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 167364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 167373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167385 */     // (intrinsic_wo_chain:{ *:[v2i64] } 701:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 167385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i64),
     /* 167388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167394 */     GIR_RootConstrainSelectedInstOperands,
     /* 167395 */     // GIR_Coverage, 1457,
     /* 167395 */     GIR_EraseRootFromParent_Done,
     /* 167396 */   // Label 3248: @167396
     /* 167396 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(167441), // Rule ID 1458 //
     /* 167401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 167415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 167418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167430 */     // (intrinsic_wo_chain:{ *:[v8i8] } 702:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 167430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i8),
     /* 167433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167439 */     GIR_RootConstrainSelectedInstOperands,
     /* 167440 */     // GIR_Coverage, 1458,
     /* 167440 */     GIR_EraseRootFromParent_Done,
     /* 167441 */   // Label 3249: @167441
     /* 167441 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(167486), // Rule ID 1459 //
     /* 167446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 167457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 167460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 167463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167475 */     // (intrinsic_wo_chain:{ *:[v16i8] } 702:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 167475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv16i8),
     /* 167478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167484 */     GIR_RootConstrainSelectedInstOperands,
     /* 167485 */     // GIR_Coverage, 1459,
     /* 167485 */     GIR_EraseRootFromParent_Done,
     /* 167486 */   // Label 3250: @167486
     /* 167486 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(167531), // Rule ID 1460 //
     /* 167491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 167508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167520 */     // (intrinsic_wo_chain:{ *:[v4i16] } 702:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 167520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i16),
     /* 167523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167529 */     GIR_RootConstrainSelectedInstOperands,
     /* 167530 */     // GIR_Coverage, 1460,
     /* 167530 */     GIR_EraseRootFromParent_Done,
     /* 167531 */   // Label 3251: @167531
     /* 167531 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(167576), // Rule ID 1461 //
     /* 167536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 167553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167565 */     // (intrinsic_wo_chain:{ *:[v8i16] } 702:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 167565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i16),
     /* 167568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167574 */     GIR_RootConstrainSelectedInstOperands,
     /* 167575 */     // GIR_Coverage, 1461,
     /* 167575 */     GIR_EraseRootFromParent_Done,
     /* 167576 */   // Label 3252: @167576
     /* 167576 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(167621), // Rule ID 1462 //
     /* 167581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 167598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167610 */     // (intrinsic_wo_chain:{ *:[v2i32] } 702:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 167610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i32),
     /* 167613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167619 */     GIR_RootConstrainSelectedInstOperands,
     /* 167620 */     // GIR_Coverage, 1462,
     /* 167620 */     GIR_EraseRootFromParent_Done,
     /* 167621 */   // Label 3253: @167621
     /* 167621 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(167666), // Rule ID 1463 //
     /* 167626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167655 */     // (intrinsic_wo_chain:{ *:[v4i32] } 702:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 167655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i32),
     /* 167658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167662 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167664 */     GIR_RootConstrainSelectedInstOperands,
     /* 167665 */     // GIR_Coverage, 1463,
     /* 167665 */     GIR_EraseRootFromParent_Done,
     /* 167666 */   // Label 3254: @167666
     /* 167666 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(167711), // Rule ID 1464 //
     /* 167671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 167679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 167688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167700 */     // (intrinsic_wo_chain:{ *:[v2i64] } 702:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 167700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i64),
     /* 167703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167709 */     GIR_RootConstrainSelectedInstOperands,
     /* 167710 */     // GIR_Coverage, 1464,
     /* 167710 */     GIR_EraseRootFromParent_Done,
     /* 167711 */   // Label 3255: @167711
     /* 167711 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(167756), // Rule ID 1485 //
     /* 167716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 167730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 167733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167745 */     // (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 167745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i8),
     /* 167748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167754 */     GIR_RootConstrainSelectedInstOperands,
     /* 167755 */     // GIR_Coverage, 1485,
     /* 167755 */     GIR_EraseRootFromParent_Done,
     /* 167756 */   // Label 3256: @167756
     /* 167756 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(167801), // Rule ID 1487 //
     /* 167761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 167772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 167775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 167778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167790 */     // (intrinsic_wo_chain:{ *:[v16i8] } 723:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 167790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv16i8),
     /* 167793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167799 */     GIR_RootConstrainSelectedInstOperands,
     /* 167800 */     // GIR_Coverage, 1487,
     /* 167800 */     GIR_EraseRootFromParent_Done,
     /* 167801 */   // Label 3257: @167801
     /* 167801 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(167846), // Rule ID 1489 //
     /* 167806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 167823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167835 */     // (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 167835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i16),
     /* 167838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167844 */     GIR_RootConstrainSelectedInstOperands,
     /* 167845 */     // GIR_Coverage, 1489,
     /* 167845 */     GIR_EraseRootFromParent_Done,
     /* 167846 */   // Label 3258: @167846
     /* 167846 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(167891), // Rule ID 1491 //
     /* 167851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 167868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167880 */     // (intrinsic_wo_chain:{ *:[v8i16] } 723:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 167880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i16),
     /* 167883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167889 */     GIR_RootConstrainSelectedInstOperands,
     /* 167890 */     // GIR_Coverage, 1491,
     /* 167890 */     GIR_EraseRootFromParent_Done,
     /* 167891 */   // Label 3259: @167891
     /* 167891 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(167936), // Rule ID 1493 //
     /* 167896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 167913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167925 */     // (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 167925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv2i32),
     /* 167928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167934 */     GIR_RootConstrainSelectedInstOperands,
     /* 167935 */     // GIR_Coverage, 1493,
     /* 167935 */     GIR_EraseRootFromParent_Done,
     /* 167936 */   // Label 3260: @167936
     /* 167936 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(167981), // Rule ID 1495 //
     /* 167941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 167949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167970 */     // (intrinsic_wo_chain:{ *:[v4i32] } 723:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 167970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i32),
     /* 167973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167979 */     GIR_RootConstrainSelectedInstOperands,
     /* 167980 */     // GIR_Coverage, 1495,
     /* 167980 */     GIR_EraseRootFromParent_Done,
     /* 167981 */   // Label 3261: @167981
     /* 167981 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(168026), // Rule ID 1502 //
     /* 167986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 167994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168015 */     // (intrinsic_wo_chain:{ *:[v8i8] } 729:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i8),
     /* 168018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168024 */     GIR_RootConstrainSelectedInstOperands,
     /* 168025 */     // GIR_Coverage, 1502,
     /* 168025 */     GIR_EraseRootFromParent_Done,
     /* 168026 */   // Label 3262: @168026
     /* 168026 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(168071), // Rule ID 1503 //
     /* 168031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 168039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168060 */     // (intrinsic_wo_chain:{ *:[v16i8] } 729:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv16i8),
     /* 168063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168069 */     GIR_RootConstrainSelectedInstOperands,
     /* 168070 */     // GIR_Coverage, 1503,
     /* 168070 */     GIR_EraseRootFromParent_Done,
     /* 168071 */   // Label 3263: @168071
     /* 168071 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(168116), // Rule ID 1504 //
     /* 168076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 168084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168105 */     // (intrinsic_wo_chain:{ *:[v4i16] } 729:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i16),
     /* 168108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168114 */     GIR_RootConstrainSelectedInstOperands,
     /* 168115 */     // GIR_Coverage, 1504,
     /* 168115 */     GIR_EraseRootFromParent_Done,
     /* 168116 */   // Label 3264: @168116
     /* 168116 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(168161), // Rule ID 1505 //
     /* 168121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 168129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168150 */     // (intrinsic_wo_chain:{ *:[v8i16] } 729:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i16),
     /* 168153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168159 */     GIR_RootConstrainSelectedInstOperands,
     /* 168160 */     // GIR_Coverage, 1505,
     /* 168160 */     GIR_EraseRootFromParent_Done,
     /* 168161 */   // Label 3265: @168161
     /* 168161 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(168206), // Rule ID 1506 //
     /* 168166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 168174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168195 */     // (intrinsic_wo_chain:{ *:[v2i32] } 729:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 168195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv2i32),
     /* 168198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168204 */     GIR_RootConstrainSelectedInstOperands,
     /* 168205 */     // GIR_Coverage, 1506,
     /* 168205 */     GIR_EraseRootFromParent_Done,
     /* 168206 */   // Label 3266: @168206
     /* 168206 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(168251), // Rule ID 1507 //
     /* 168211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 168219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168240 */     // (intrinsic_wo_chain:{ *:[v4i32] } 729:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 168240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i32),
     /* 168243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168249 */     GIR_RootConstrainSelectedInstOperands,
     /* 168250 */     // GIR_Coverage, 1507,
     /* 168250 */     GIR_EraseRootFromParent_Done,
     /* 168251 */   // Label 3267: @168251
     /* 168251 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(168296), // Rule ID 1508 //
     /* 168256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168285 */     // (intrinsic_wo_chain:{ *:[v8i8] } 731:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i8),
     /* 168288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168294 */     GIR_RootConstrainSelectedInstOperands,
     /* 168295 */     // GIR_Coverage, 1508,
     /* 168295 */     GIR_EraseRootFromParent_Done,
     /* 168296 */   // Label 3268: @168296
     /* 168296 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(168341), // Rule ID 1509 //
     /* 168301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168330 */     // (intrinsic_wo_chain:{ *:[v16i8] } 731:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv16i8),
     /* 168333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168339 */     GIR_RootConstrainSelectedInstOperands,
     /* 168340 */     // GIR_Coverage, 1509,
     /* 168340 */     GIR_EraseRootFromParent_Done,
     /* 168341 */   // Label 3269: @168341
     /* 168341 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(168386), // Rule ID 1510 //
     /* 168346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168375 */     // (intrinsic_wo_chain:{ *:[v4i16] } 731:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i16),
     /* 168378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168384 */     GIR_RootConstrainSelectedInstOperands,
     /* 168385 */     // GIR_Coverage, 1510,
     /* 168385 */     GIR_EraseRootFromParent_Done,
     /* 168386 */   // Label 3270: @168386
     /* 168386 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(168431), // Rule ID 1511 //
     /* 168391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168420 */     // (intrinsic_wo_chain:{ *:[v8i16] } 731:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i16),
     /* 168423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168429 */     GIR_RootConstrainSelectedInstOperands,
     /* 168430 */     // GIR_Coverage, 1511,
     /* 168430 */     GIR_EraseRootFromParent_Done,
     /* 168431 */   // Label 3271: @168431
     /* 168431 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(168476), // Rule ID 1512 //
     /* 168436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168465 */     // (intrinsic_wo_chain:{ *:[v2i32] } 731:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 168465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 168468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168474 */     GIR_RootConstrainSelectedInstOperands,
     /* 168475 */     // GIR_Coverage, 1512,
     /* 168475 */     GIR_EraseRootFromParent_Done,
     /* 168476 */   // Label 3272: @168476
     /* 168476 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(168521), // Rule ID 1513 //
     /* 168481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 168489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168510 */     // (intrinsic_wo_chain:{ *:[v4i32] } 731:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 168510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i32),
     /* 168513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168519 */     GIR_RootConstrainSelectedInstOperands,
     /* 168520 */     // GIR_Coverage, 1513,
     /* 168520 */     GIR_EraseRootFromParent_Done,
     /* 168521 */   // Label 3273: @168521
     /* 168521 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(168566), // Rule ID 1520 //
     /* 168526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168555 */     // (intrinsic_wo_chain:{ *:[v8i8] } 734:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i8),
     /* 168558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168564 */     GIR_RootConstrainSelectedInstOperands,
     /* 168565 */     // GIR_Coverage, 1520,
     /* 168565 */     GIR_EraseRootFromParent_Done,
     /* 168566 */   // Label 3274: @168566
     /* 168566 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(168611), // Rule ID 1521 //
     /* 168571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168600 */     // (intrinsic_wo_chain:{ *:[v16i8] } 734:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv16i8),
     /* 168603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168609 */     GIR_RootConstrainSelectedInstOperands,
     /* 168610 */     // GIR_Coverage, 1521,
     /* 168610 */     GIR_EraseRootFromParent_Done,
     /* 168611 */   // Label 3275: @168611
     /* 168611 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(168656), // Rule ID 1522 //
     /* 168616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168645 */     // (intrinsic_wo_chain:{ *:[v4i16] } 734:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i16),
     /* 168648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168654 */     GIR_RootConstrainSelectedInstOperands,
     /* 168655 */     // GIR_Coverage, 1522,
     /* 168655 */     GIR_EraseRootFromParent_Done,
     /* 168656 */   // Label 3276: @168656
     /* 168656 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(168701), // Rule ID 1523 //
     /* 168661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168690 */     // (intrinsic_wo_chain:{ *:[v8i16] } 734:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i16),
     /* 168693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168699 */     GIR_RootConstrainSelectedInstOperands,
     /* 168700 */     // GIR_Coverage, 1523,
     /* 168700 */     GIR_EraseRootFromParent_Done,
     /* 168701 */   // Label 3277: @168701
     /* 168701 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(168746), // Rule ID 1524 //
     /* 168706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168735 */     // (intrinsic_wo_chain:{ *:[v2i32] } 734:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 168735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 168738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168744 */     GIR_RootConstrainSelectedInstOperands,
     /* 168745 */     // GIR_Coverage, 1524,
     /* 168745 */     GIR_EraseRootFromParent_Done,
     /* 168746 */   // Label 3278: @168746
     /* 168746 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(168791), // Rule ID 1525 //
     /* 168751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 168759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168780 */     // (intrinsic_wo_chain:{ *:[v4i32] } 734:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 168780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i32),
     /* 168783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168789 */     GIR_RootConstrainSelectedInstOperands,
     /* 168790 */     // GIR_Coverage, 1525,
     /* 168790 */     GIR_EraseRootFromParent_Done,
     /* 168791 */   // Label 3279: @168791
     /* 168791 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(168836), // Rule ID 1532 //
     /* 168796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 168804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168825 */     // (intrinsic_wo_chain:{ *:[v8i8] } 738:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 168828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168834 */     GIR_RootConstrainSelectedInstOperands,
     /* 168835 */     // GIR_Coverage, 1532,
     /* 168835 */     GIR_EraseRootFromParent_Done,
     /* 168836 */   // Label 3280: @168836
     /* 168836 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(168881), // Rule ID 1533 //
     /* 168841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 168849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168870 */     // (intrinsic_wo_chain:{ *:[v16i8] } 738:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 168873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168879 */     GIR_RootConstrainSelectedInstOperands,
     /* 168880 */     // GIR_Coverage, 1533,
     /* 168880 */     GIR_EraseRootFromParent_Done,
     /* 168881 */   // Label 3281: @168881
     /* 168881 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(168926), // Rule ID 1534 //
     /* 168886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 168894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168915 */     // (intrinsic_wo_chain:{ *:[v4i16] } 738:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 168918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168924 */     GIR_RootConstrainSelectedInstOperands,
     /* 168925 */     // GIR_Coverage, 1534,
     /* 168925 */     GIR_EraseRootFromParent_Done,
     /* 168926 */   // Label 3282: @168926
     /* 168926 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(168971), // Rule ID 1535 //
     /* 168931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 168939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168960 */     // (intrinsic_wo_chain:{ *:[v8i16] } 738:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 168963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168969 */     GIR_RootConstrainSelectedInstOperands,
     /* 168970 */     // GIR_Coverage, 1535,
     /* 168970 */     GIR_EraseRootFromParent_Done,
     /* 168971 */   // Label 3283: @168971
     /* 168971 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(169016), // Rule ID 1536 //
     /* 168976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 168984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169005 */     // (intrinsic_wo_chain:{ *:[v2i32] } 738:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 169008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169014 */     GIR_RootConstrainSelectedInstOperands,
     /* 169015 */     // GIR_Coverage, 1536,
     /* 169015 */     GIR_EraseRootFromParent_Done,
     /* 169016 */   // Label 3284: @169016
     /* 169016 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(169061), // Rule ID 1537 //
     /* 169021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 169029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169050 */     // (intrinsic_wo_chain:{ *:[v4i32] } 738:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 169053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169059 */     GIR_RootConstrainSelectedInstOperands,
     /* 169060 */     // GIR_Coverage, 1537,
     /* 169060 */     GIR_EraseRootFromParent_Done,
     /* 169061 */   // Label 3285: @169061
     /* 169061 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(169106), // Rule ID 1538 //
     /* 169066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 169074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169095 */     // (intrinsic_wo_chain:{ *:[v2i64] } 738:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 169095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 169098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169104 */     GIR_RootConstrainSelectedInstOperands,
     /* 169105 */     // GIR_Coverage, 1538,
     /* 169105 */     GIR_EraseRootFromParent_Done,
     /* 169106 */   // Label 3286: @169106
     /* 169106 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(169151), // Rule ID 1539 //
     /* 169111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 169122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 169125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 169128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169140 */     // (intrinsic_wo_chain:{ *:[v8i8] } 739:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 169140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i8),
     /* 169143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169149 */     GIR_RootConstrainSelectedInstOperands,
     /* 169150 */     // GIR_Coverage, 1539,
     /* 169150 */     GIR_EraseRootFromParent_Done,
     /* 169151 */   // Label 3287: @169151
     /* 169151 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(169196), // Rule ID 1540 //
     /* 169156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 169167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 169170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 169173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169185 */     // (intrinsic_wo_chain:{ *:[v16i8] } 739:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 169185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv16i8),
     /* 169188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169194 */     GIR_RootConstrainSelectedInstOperands,
     /* 169195 */     // GIR_Coverage, 1540,
     /* 169195 */     GIR_EraseRootFromParent_Done,
     /* 169196 */   // Label 3288: @169196
     /* 169196 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(169241), // Rule ID 1541 //
     /* 169201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169230 */     // (intrinsic_wo_chain:{ *:[v4i16] } 739:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 169230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i16),
     /* 169233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169239 */     GIR_RootConstrainSelectedInstOperands,
     /* 169240 */     // GIR_Coverage, 1541,
     /* 169240 */     GIR_EraseRootFromParent_Done,
     /* 169241 */   // Label 3289: @169241
     /* 169241 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(169286), // Rule ID 1542 //
     /* 169246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169275 */     // (intrinsic_wo_chain:{ *:[v8i16] } 739:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 169275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i16),
     /* 169278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169284 */     GIR_RootConstrainSelectedInstOperands,
     /* 169285 */     // GIR_Coverage, 1542,
     /* 169285 */     GIR_EraseRootFromParent_Done,
     /* 169286 */   // Label 3290: @169286
     /* 169286 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(169331), // Rule ID 1543 //
     /* 169291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169320 */     // (intrinsic_wo_chain:{ *:[v2i32] } 739:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i32),
     /* 169323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169329 */     GIR_RootConstrainSelectedInstOperands,
     /* 169330 */     // GIR_Coverage, 1543,
     /* 169330 */     GIR_EraseRootFromParent_Done,
     /* 169331 */   // Label 3291: @169331
     /* 169331 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(169376), // Rule ID 1544 //
     /* 169336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169365 */     // (intrinsic_wo_chain:{ *:[v4i32] } 739:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i32),
     /* 169368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169374 */     GIR_RootConstrainSelectedInstOperands,
     /* 169375 */     // GIR_Coverage, 1544,
     /* 169375 */     GIR_EraseRootFromParent_Done,
     /* 169376 */   // Label 3292: @169376
     /* 169376 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(169421), // Rule ID 1545 //
     /* 169381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 169389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169410 */     // (intrinsic_wo_chain:{ *:[v2i64] } 739:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 169410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i64),
     /* 169413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169419 */     GIR_RootConstrainSelectedInstOperands,
     /* 169420 */     // GIR_Coverage, 1545,
     /* 169420 */     GIR_EraseRootFromParent_Done,
     /* 169421 */   // Label 3293: @169421
     /* 169421 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(169466), // Rule ID 1546 //
     /* 169426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 169437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 169440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 169443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169455 */     // (intrinsic_wo_chain:{ *:[v8i8] } 741:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 169455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i8),
     /* 169458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169464 */     GIR_RootConstrainSelectedInstOperands,
     /* 169465 */     // GIR_Coverage, 1546,
     /* 169465 */     GIR_EraseRootFromParent_Done,
     /* 169466 */   // Label 3294: @169466
     /* 169466 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(169511), // Rule ID 1547 //
     /* 169471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 169482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 169485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 169488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169500 */     // (intrinsic_wo_chain:{ *:[v16i8] } 741:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 169500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv16i8),
     /* 169503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169509 */     GIR_RootConstrainSelectedInstOperands,
     /* 169510 */     // GIR_Coverage, 1547,
     /* 169510 */     GIR_EraseRootFromParent_Done,
     /* 169511 */   // Label 3295: @169511
     /* 169511 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(169556), // Rule ID 1548 //
     /* 169516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169545 */     // (intrinsic_wo_chain:{ *:[v4i16] } 741:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 169545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i16),
     /* 169548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169554 */     GIR_RootConstrainSelectedInstOperands,
     /* 169555 */     // GIR_Coverage, 1548,
     /* 169555 */     GIR_EraseRootFromParent_Done,
     /* 169556 */   // Label 3296: @169556
     /* 169556 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(169601), // Rule ID 1549 //
     /* 169561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169590 */     // (intrinsic_wo_chain:{ *:[v8i16] } 741:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 169590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i16),
     /* 169593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169599 */     GIR_RootConstrainSelectedInstOperands,
     /* 169600 */     // GIR_Coverage, 1549,
     /* 169600 */     GIR_EraseRootFromParent_Done,
     /* 169601 */   // Label 3297: @169601
     /* 169601 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(169646), // Rule ID 1550 //
     /* 169606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169635 */     // (intrinsic_wo_chain:{ *:[v2i32] } 741:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i32),
     /* 169638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169644 */     GIR_RootConstrainSelectedInstOperands,
     /* 169645 */     // GIR_Coverage, 1550,
     /* 169645 */     GIR_EraseRootFromParent_Done,
     /* 169646 */   // Label 3298: @169646
     /* 169646 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(169691), // Rule ID 1551 //
     /* 169651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169680 */     // (intrinsic_wo_chain:{ *:[v4i32] } 741:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i32),
     /* 169683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169689 */     GIR_RootConstrainSelectedInstOperands,
     /* 169690 */     // GIR_Coverage, 1551,
     /* 169690 */     GIR_EraseRootFromParent_Done,
     /* 169691 */   // Label 3299: @169691
     /* 169691 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(169736), // Rule ID 1552 //
     /* 169696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 169704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169725 */     // (intrinsic_wo_chain:{ *:[v2i64] } 741:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 169725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i64),
     /* 169728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169734 */     GIR_RootConstrainSelectedInstOperands,
     /* 169735 */     // GIR_Coverage, 1552,
     /* 169735 */     GIR_EraseRootFromParent_Done,
     /* 169736 */   // Label 3300: @169736
     /* 169736 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(169781), // Rule ID 1553 //
     /* 169741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 169752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 169755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 169758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169770 */     // (intrinsic_wo_chain:{ *:[v8i8] } 743:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 169770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 169773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169779 */     GIR_RootConstrainSelectedInstOperands,
     /* 169780 */     // GIR_Coverage, 1553,
     /* 169780 */     GIR_EraseRootFromParent_Done,
     /* 169781 */   // Label 3301: @169781
     /* 169781 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(169826), // Rule ID 1554 //
     /* 169786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 169797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 169800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 169803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169815 */     // (intrinsic_wo_chain:{ *:[v16i8] } 743:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 169815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 169818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169824 */     GIR_RootConstrainSelectedInstOperands,
     /* 169825 */     // GIR_Coverage, 1554,
     /* 169825 */     GIR_EraseRootFromParent_Done,
     /* 169826 */   // Label 3302: @169826
     /* 169826 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(169871), // Rule ID 1555 //
     /* 169831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169860 */     // (intrinsic_wo_chain:{ *:[v4i16] } 743:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 169860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 169863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169869 */     GIR_RootConstrainSelectedInstOperands,
     /* 169870 */     // GIR_Coverage, 1555,
     /* 169870 */     GIR_EraseRootFromParent_Done,
     /* 169871 */   // Label 3303: @169871
     /* 169871 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(169916), // Rule ID 1556 //
     /* 169876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169905 */     // (intrinsic_wo_chain:{ *:[v8i16] } 743:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 169905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 169908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169914 */     GIR_RootConstrainSelectedInstOperands,
     /* 169915 */     // GIR_Coverage, 1556,
     /* 169915 */     GIR_EraseRootFromParent_Done,
     /* 169916 */   // Label 3304: @169916
     /* 169916 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(169961), // Rule ID 1557 //
     /* 169921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169950 */     // (intrinsic_wo_chain:{ *:[v2i32] } 743:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 169953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169959 */     GIR_RootConstrainSelectedInstOperands,
     /* 169960 */     // GIR_Coverage, 1557,
     /* 169960 */     GIR_EraseRootFromParent_Done,
     /* 169961 */   // Label 3305: @169961
     /* 169961 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(170006), // Rule ID 1558 //
     /* 169966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 169974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169995 */     // (intrinsic_wo_chain:{ *:[v4i32] } 743:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 169998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170004 */     GIR_RootConstrainSelectedInstOperands,
     /* 170005 */     // GIR_Coverage, 1558,
     /* 170005 */     GIR_EraseRootFromParent_Done,
     /* 170006 */   // Label 3306: @170006
     /* 170006 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(170051), // Rule ID 1559 //
     /* 170011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 170019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170040 */     // (intrinsic_wo_chain:{ *:[v2i64] } 743:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 170040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 170043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170049 */     GIR_RootConstrainSelectedInstOperands,
     /* 170050 */     // GIR_Coverage, 1559,
     /* 170050 */     GIR_EraseRootFromParent_Done,
     /* 170051 */   // Label 3307: @170051
     /* 170051 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(170096), // Rule ID 1566 //
     /* 170056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 170067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 170070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 170073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170085 */     // (intrinsic_wo_chain:{ *:[v8i8] } 747:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (URSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 170085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i8),
     /* 170088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170094 */     GIR_RootConstrainSelectedInstOperands,
     /* 170095 */     // GIR_Coverage, 1566,
     /* 170095 */     GIR_EraseRootFromParent_Done,
     /* 170096 */   // Label 3308: @170096
     /* 170096 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(170141), // Rule ID 1567 //
     /* 170101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 170112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 170115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 170118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170130 */     // (intrinsic_wo_chain:{ *:[v16i8] } 747:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (URSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 170130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv16i8),
     /* 170133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170139 */     GIR_RootConstrainSelectedInstOperands,
     /* 170140 */     // GIR_Coverage, 1567,
     /* 170140 */     GIR_EraseRootFromParent_Done,
     /* 170141 */   // Label 3309: @170141
     /* 170141 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(170186), // Rule ID 1568 //
     /* 170146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170175 */     // (intrinsic_wo_chain:{ *:[v4i16] } 747:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (URSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 170175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i16),
     /* 170178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170184 */     GIR_RootConstrainSelectedInstOperands,
     /* 170185 */     // GIR_Coverage, 1568,
     /* 170185 */     GIR_EraseRootFromParent_Done,
     /* 170186 */   // Label 3310: @170186
     /* 170186 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(170231), // Rule ID 1569 //
     /* 170191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170220 */     // (intrinsic_wo_chain:{ *:[v8i16] } 747:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (URSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 170220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i16),
     /* 170223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170229 */     GIR_RootConstrainSelectedInstOperands,
     /* 170230 */     // GIR_Coverage, 1569,
     /* 170230 */     GIR_EraseRootFromParent_Done,
     /* 170231 */   // Label 3311: @170231
     /* 170231 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(170276), // Rule ID 1570 //
     /* 170236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170265 */     // (intrinsic_wo_chain:{ *:[v2i32] } 747:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (URSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 170265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i32),
     /* 170268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170274 */     GIR_RootConstrainSelectedInstOperands,
     /* 170275 */     // GIR_Coverage, 1570,
     /* 170275 */     GIR_EraseRootFromParent_Done,
     /* 170276 */   // Label 3312: @170276
     /* 170276 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(170321), // Rule ID 1571 //
     /* 170281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170310 */     // (intrinsic_wo_chain:{ *:[v4i32] } 747:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (URSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 170310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i32),
     /* 170313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170319 */     GIR_RootConstrainSelectedInstOperands,
     /* 170320 */     // GIR_Coverage, 1571,
     /* 170320 */     GIR_EraseRootFromParent_Done,
     /* 170321 */   // Label 3313: @170321
     /* 170321 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(170366), // Rule ID 1572 //
     /* 170326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 170334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170355 */     // (intrinsic_wo_chain:{ *:[v2i64] } 747:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (URSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 170355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i64),
     /* 170358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170364 */     GIR_RootConstrainSelectedInstOperands,
     /* 170365 */     // GIR_Coverage, 1572,
     /* 170365 */     GIR_EraseRootFromParent_Done,
     /* 170366 */   // Label 3314: @170366
     /* 170366 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(170411), // Rule ID 1573 //
     /* 170371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 170382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 170385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 170388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170400 */     // (intrinsic_wo_chain:{ *:[v8i8] } 750:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (USHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 170400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i8),
     /* 170403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170409 */     GIR_RootConstrainSelectedInstOperands,
     /* 170410 */     // GIR_Coverage, 1573,
     /* 170410 */     GIR_EraseRootFromParent_Done,
     /* 170411 */   // Label 3315: @170411
     /* 170411 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(170456), // Rule ID 1574 //
     /* 170416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 170427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 170430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 170433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170445 */     // (intrinsic_wo_chain:{ *:[v16i8] } 750:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 170445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv16i8),
     /* 170448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170454 */     GIR_RootConstrainSelectedInstOperands,
     /* 170455 */     // GIR_Coverage, 1574,
     /* 170455 */     GIR_EraseRootFromParent_Done,
     /* 170456 */   // Label 3316: @170456
     /* 170456 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(170501), // Rule ID 1575 //
     /* 170461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170490 */     // (intrinsic_wo_chain:{ *:[v4i16] } 750:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (USHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 170490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i16),
     /* 170493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170499 */     GIR_RootConstrainSelectedInstOperands,
     /* 170500 */     // GIR_Coverage, 1575,
     /* 170500 */     GIR_EraseRootFromParent_Done,
     /* 170501 */   // Label 3317: @170501
     /* 170501 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(170546), // Rule ID 1576 //
     /* 170506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170535 */     // (intrinsic_wo_chain:{ *:[v8i16] } 750:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (USHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 170535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i16),
     /* 170538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170544 */     GIR_RootConstrainSelectedInstOperands,
     /* 170545 */     // GIR_Coverage, 1576,
     /* 170545 */     GIR_EraseRootFromParent_Done,
     /* 170546 */   // Label 3318: @170546
     /* 170546 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(170591), // Rule ID 1577 //
     /* 170551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170580 */     // (intrinsic_wo_chain:{ *:[v2i32] } 750:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (USHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 170580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i32),
     /* 170583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170589 */     GIR_RootConstrainSelectedInstOperands,
     /* 170590 */     // GIR_Coverage, 1577,
     /* 170590 */     GIR_EraseRootFromParent_Done,
     /* 170591 */   // Label 3319: @170591
     /* 170591 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(170636), // Rule ID 1578 //
     /* 170596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170625 */     // (intrinsic_wo_chain:{ *:[v4i32] } 750:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (USHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 170625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i32),
     /* 170628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170634 */     GIR_RootConstrainSelectedInstOperands,
     /* 170635 */     // GIR_Coverage, 1578,
     /* 170635 */     GIR_EraseRootFromParent_Done,
     /* 170636 */   // Label 3320: @170636
     /* 170636 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(170681), // Rule ID 1579 //
     /* 170641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 170649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170670 */     // (intrinsic_wo_chain:{ *:[v2i64] } 750:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (USHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 170670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i64),
     /* 170673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170679 */     GIR_RootConstrainSelectedInstOperands,
     /* 170680 */     // GIR_Coverage, 1579,
     /* 170680 */     GIR_EraseRootFromParent_Done,
     /* 170681 */   // Label 3321: @170681
     /* 170681 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(170726), // Rule ID 1607 //
     /* 170686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 170694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 170697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 170700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 170703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170715 */     // (intrinsic_wo_chain:{ *:[f64] } 784:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FABD64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 170715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 170718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170724 */     GIR_RootConstrainSelectedInstOperands,
     /* 170725 */     // GIR_Coverage, 1607,
     /* 170725 */     GIR_EraseRootFromParent_Done,
     /* 170726 */   // Label 3322: @170726
     /* 170726 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(170771), // Rule ID 1608 //
     /* 170731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 170739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 170742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 170745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 170748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170760 */     // (intrinsic_wo_chain:{ *:[f32] } 784:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FABD32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 170760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 170763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170769 */     GIR_RootConstrainSelectedInstOperands,
     /* 170770 */     // GIR_Coverage, 1608,
     /* 170770 */     GIR_EraseRootFromParent_Done,
     /* 170771 */   // Label 3323: @170771
     /* 170771 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(170816), // Rule ID 1609 //
     /* 170776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 170784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 170787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 170790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 170793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 170797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 170801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 170805 */     // (intrinsic_wo_chain:{ *:[f16] } 784:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FABD16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 170805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 170808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170814 */     GIR_RootConstrainSelectedInstOperands,
     /* 170815 */     // GIR_Coverage, 1609,
     /* 170815 */     GIR_EraseRootFromParent_Done,
     /* 170816 */   // Label 3324: @170816
     /* 170816 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(170861), // Rule ID 1610 //
     /* 170821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 170829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 170832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 170835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 170838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170850 */     // (intrinsic_wo_chain:{ *:[i64] } 576:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 170850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 170853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170859 */     GIR_RootConstrainSelectedInstOperands,
     /* 170860 */     // GIR_Coverage, 1610,
     /* 170860 */     GIR_EraseRootFromParent_Done,
     /* 170861 */   // Label 3325: @170861
     /* 170861 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(170906), // Rule ID 1611 //
     /* 170866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 170874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 170877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 170880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 170883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170895 */     // (intrinsic_wo_chain:{ *:[i32] } 576:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 170895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE32),
     /* 170898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170904 */     GIR_RootConstrainSelectedInstOperands,
     /* 170905 */     // GIR_Coverage, 1611,
     /* 170905 */     GIR_EraseRootFromParent_Done,
     /* 170906 */   // Label 3326: @170906
     /* 170906 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(170951), // Rule ID 1612 //
     /* 170911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 170919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 170922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 170925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 170928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170940 */     // (intrinsic_wo_chain:{ *:[i64] } 577:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 170940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 170943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170949 */     GIR_RootConstrainSelectedInstOperands,
     /* 170950 */     // GIR_Coverage, 1612,
     /* 170950 */     GIR_EraseRootFromParent_Done,
     /* 170951 */   // Label 3327: @170951
     /* 170951 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(170996), // Rule ID 1613 //
     /* 170956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 170964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 170967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 170970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 170973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 170985 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 170985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT32),
     /* 170988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170994 */     GIR_RootConstrainSelectedInstOperands,
     /* 170995 */     // GIR_Coverage, 1613,
     /* 170995 */     GIR_EraseRootFromParent_Done,
     /* 170996 */   // Label 3328: @170996
     /* 170996 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(171041), // Rule ID 1620 //
     /* 171001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171030 */     // (intrinsic_wo_chain:{ *:[f64] } 609:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 171030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 171033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171039 */     GIR_RootConstrainSelectedInstOperands,
     /* 171040 */     // GIR_Coverage, 1620,
     /* 171040 */     GIR_EraseRootFromParent_Done,
     /* 171041 */   // Label 3329: @171041
     /* 171041 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(171086), // Rule ID 1621 //
     /* 171046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 171057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 171060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 171063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171075 */     // (intrinsic_wo_chain:{ *:[f32] } 609:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 171075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 171078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171084 */     GIR_RootConstrainSelectedInstOperands,
     /* 171085 */     // GIR_Coverage, 1621,
     /* 171085 */     GIR_EraseRootFromParent_Done,
     /* 171086 */   // Label 3330: @171086
     /* 171086 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(171131), // Rule ID 1622 //
     /* 171091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 171094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 171102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 171105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 171108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171120 */     // (intrinsic_wo_chain:{ *:[f16] } 609:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 171120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 171123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171129 */     GIR_RootConstrainSelectedInstOperands,
     /* 171130 */     // GIR_Coverage, 1622,
     /* 171130 */     GIR_EraseRootFromParent_Done,
     /* 171131 */   // Label 3331: @171131
     /* 171131 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(171176), // Rule ID 1623 //
     /* 171136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171165 */     // (intrinsic_wo_chain:{ *:[f64] } 632:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRECPS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 171165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 171168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171174 */     GIR_RootConstrainSelectedInstOperands,
     /* 171175 */     // GIR_Coverage, 1623,
     /* 171175 */     GIR_EraseRootFromParent_Done,
     /* 171176 */   // Label 3332: @171176
     /* 171176 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(171221), // Rule ID 1624 //
     /* 171181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 171192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 171195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 171198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171210 */     // (intrinsic_wo_chain:{ *:[f32] } 632:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRECPS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 171210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS32),
     /* 171213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171219 */     GIR_RootConstrainSelectedInstOperands,
     /* 171220 */     // GIR_Coverage, 1624,
     /* 171220 */     GIR_EraseRootFromParent_Done,
     /* 171221 */   // Label 3333: @171221
     /* 171221 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(171266), // Rule ID 1625 //
     /* 171226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 171229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 171237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 171240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 171243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171255 */     // (intrinsic_wo_chain:{ *:[f16] } 632:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRECPS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 171255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS16),
     /* 171258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171264 */     GIR_RootConstrainSelectedInstOperands,
     /* 171265 */     // GIR_Coverage, 1625,
     /* 171265 */     GIR_EraseRootFromParent_Done,
     /* 171266 */   // Label 3334: @171266
     /* 171266 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(171311), // Rule ID 1626 //
     /* 171271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171300 */     // (intrinsic_wo_chain:{ *:[f64] } 639:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRSQRTS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 171300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 171303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171309 */     GIR_RootConstrainSelectedInstOperands,
     /* 171310 */     // GIR_Coverage, 1626,
     /* 171310 */     GIR_EraseRootFromParent_Done,
     /* 171311 */   // Label 3335: @171311
     /* 171311 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(171356), // Rule ID 1627 //
     /* 171316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 171319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 171327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 171330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 171333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171345 */     // (intrinsic_wo_chain:{ *:[f32] } 639:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRSQRTS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 171345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS32),
     /* 171348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171354 */     GIR_RootConstrainSelectedInstOperands,
     /* 171355 */     // GIR_Coverage, 1627,
     /* 171355 */     GIR_EraseRootFromParent_Done,
     /* 171356 */   // Label 3336: @171356
     /* 171356 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(171401), // Rule ID 1628 //
     /* 171361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 171364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 171372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 171375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 171378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 171390 */     // (intrinsic_wo_chain:{ *:[f16] } 639:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRSQRTS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 171390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS16),
     /* 171393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171399 */     GIR_RootConstrainSelectedInstOperands,
     /* 171400 */     // GIR_Coverage, 1628,
     /* 171400 */     GIR_EraseRootFromParent_Done,
     /* 171401 */   // Label 3337: @171401
     /* 171401 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(171446), // Rule ID 1629 //
     /* 171406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 171414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171435 */     // (intrinsic_wo_chain:{ *:[v1i64] } 678:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 171438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171444 */     GIR_RootConstrainSelectedInstOperands,
     /* 171445 */     // GIR_Coverage, 1629,
     /* 171445 */     GIR_EraseRootFromParent_Done,
     /* 171446 */   // Label 3338: @171446
     /* 171446 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(171491), // Rule ID 1630 //
     /* 171451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 171459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 171462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 171465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 171468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171480 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 171480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32),
     /* 171483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171489 */     GIR_RootConstrainSelectedInstOperands,
     /* 171490 */     // GIR_Coverage, 1630,
     /* 171490 */     GIR_EraseRootFromParent_Done,
     /* 171491 */   // Label 3339: @171491
     /* 171491 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(171536), // Rule ID 1631 //
     /* 171496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 171504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 171507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 171510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 171513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 171525 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 171525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32),
     /* 171528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171534 */     GIR_RootConstrainSelectedInstOperands,
     /* 171535 */     // GIR_Coverage, 1631,
     /* 171535 */     GIR_EraseRootFromParent_Done,
     /* 171536 */   // Label 3340: @171536
     /* 171536 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(171581), // Rule ID 1632 //
     /* 171541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 171549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171570 */     // (intrinsic_wo_chain:{ *:[v1i64] } 690:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 171573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171579 */     GIR_RootConstrainSelectedInstOperands,
     /* 171580 */     // GIR_Coverage, 1632,
     /* 171580 */     GIR_EraseRootFromParent_Done,
     /* 171581 */   // Label 3341: @171581
     /* 171581 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(171626), // Rule ID 1633 //
     /* 171586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 171594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171615 */     // (intrinsic_wo_chain:{ *:[v1i64] } 693:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 171618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171624 */     GIR_RootConstrainSelectedInstOperands,
     /* 171625 */     // GIR_Coverage, 1633,
     /* 171625 */     GIR_EraseRootFromParent_Done,
     /* 171626 */   // Label 3342: @171626
     /* 171626 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(171671), // Rule ID 1634 //
     /* 171631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 171639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171660 */     // (intrinsic_wo_chain:{ *:[v1i64] } 697:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 171663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171669 */     GIR_RootConstrainSelectedInstOperands,
     /* 171670 */     // GIR_Coverage, 1634,
     /* 171670 */     GIR_EraseRootFromParent_Done,
     /* 171671 */   // Label 3343: @171671
     /* 171671 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(171716), // Rule ID 1635 //
     /* 171676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 171684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171705 */     // (intrinsic_wo_chain:{ *:[v1i64] } 701:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 171708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171714 */     GIR_RootConstrainSelectedInstOperands,
     /* 171715 */     // GIR_Coverage, 1635,
     /* 171715 */     GIR_EraseRootFromParent_Done,
     /* 171716 */   // Label 3344: @171716
     /* 171716 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(171761), // Rule ID 1636 //
     /* 171721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 171729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171750 */     // (intrinsic_wo_chain:{ *:[v1i64] } 702:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 171753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171759 */     GIR_RootConstrainSelectedInstOperands,
     /* 171760 */     // GIR_Coverage, 1636,
     /* 171760 */     GIR_EraseRootFromParent_Done,
     /* 171761 */   // Label 3345: @171761
     /* 171761 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(171806), // Rule ID 1638 //
     /* 171766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 171774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171795 */     // (intrinsic_wo_chain:{ *:[v1i64] } 738:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 171798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171804 */     GIR_RootConstrainSelectedInstOperands,
     /* 171805 */     // GIR_Coverage, 1638,
     /* 171805 */     GIR_EraseRootFromParent_Done,
     /* 171806 */   // Label 3346: @171806
     /* 171806 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(171851), // Rule ID 1639 //
     /* 171811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 171819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171840 */     // (intrinsic_wo_chain:{ *:[v1i64] } 739:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 171843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171849 */     GIR_RootConstrainSelectedInstOperands,
     /* 171850 */     // GIR_Coverage, 1639,
     /* 171850 */     GIR_EraseRootFromParent_Done,
     /* 171851 */   // Label 3347: @171851
     /* 171851 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(171896), // Rule ID 1640 //
     /* 171856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 171864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171885 */     // (intrinsic_wo_chain:{ *:[v1i64] } 741:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171894 */     GIR_RootConstrainSelectedInstOperands,
     /* 171895 */     // GIR_Coverage, 1640,
     /* 171895 */     GIR_EraseRootFromParent_Done,
     /* 171896 */   // Label 3348: @171896
     /* 171896 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(171941), // Rule ID 1641 //
     /* 171901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 171909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171930 */     // (intrinsic_wo_chain:{ *:[v1i64] } 743:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 171933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171939 */     GIR_RootConstrainSelectedInstOperands,
     /* 171940 */     // GIR_Coverage, 1641,
     /* 171940 */     GIR_EraseRootFromParent_Done,
     /* 171941 */   // Label 3349: @171941
     /* 171941 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(171986), // Rule ID 1642 //
     /* 171946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 171954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 171957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 171960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 171963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171975 */     // (intrinsic_wo_chain:{ *:[v1i64] } 747:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (URSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 171975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 171978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171984 */     GIR_RootConstrainSelectedInstOperands,
     /* 171985 */     // GIR_Coverage, 1642,
     /* 171985 */     GIR_EraseRootFromParent_Done,
     /* 171986 */   // Label 3350: @171986
     /* 171986 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(172031), // Rule ID 1643 //
     /* 171991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 171999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 172002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 172005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 172008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172020 */     // (intrinsic_wo_chain:{ *:[v1i64] } 750:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (USHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 172020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 172023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172029 */     GIR_RootConstrainSelectedInstOperands,
     /* 172030 */     // GIR_Coverage, 1643,
     /* 172030 */     GIR_EraseRootFromParent_Done,
     /* 172031 */   // Label 3351: @172031
     /* 172031 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(172076), // Rule ID 1644 //
     /* 172036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 172044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 172047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 172050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 172053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172065 */     // (intrinsic_wo_chain:{ *:[i64] } 683:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULLi32:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 172065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLi32),
     /* 172068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172074 */     GIR_RootConstrainSelectedInstOperands,
     /* 172075 */     // GIR_Coverage, 1644,
     /* 172075 */     GIR_EraseRootFromParent_Done,
     /* 172076 */   // Label 3352: @172076
     /* 172076 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(172121), // Rule ID 1658 //
     /* 172081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 172089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 172092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 172095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 172098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172110 */     // (intrinsic_wo_chain:{ *:[i64] } 714:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 172110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 172113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172119 */     GIR_RootConstrainSelectedInstOperands,
     /* 172120 */     // GIR_Coverage, 1658,
     /* 172120 */     GIR_EraseRootFromParent_Done,
     /* 172121 */   // Label 3353: @172121
     /* 172121 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(172166), // Rule ID 1659 //
     /* 172126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 172134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 172137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 172140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 172143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172155 */     // (intrinsic_wo_chain:{ *:[i32] } 714:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (SUQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 172155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i32),
     /* 172158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172164 */     GIR_RootConstrainSelectedInstOperands,
     /* 172165 */     // GIR_Coverage, 1659,
     /* 172165 */     GIR_EraseRootFromParent_Done,
     /* 172166 */   // Label 3354: @172166
     /* 172166 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(172211), // Rule ID 1664 //
     /* 172171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 172179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 172182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 172185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 172188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172200 */     // (intrinsic_wo_chain:{ *:[i64] } 753:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (USQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 172200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 172203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172209 */     GIR_RootConstrainSelectedInstOperands,
     /* 172210 */     // GIR_Coverage, 1664,
     /* 172210 */     GIR_EraseRootFromParent_Done,
     /* 172211 */   // Label 3355: @172211
     /* 172211 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(172256), // Rule ID 1665 //
     /* 172216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 172224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 172227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 172230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 172233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 172245 */     // (intrinsic_wo_chain:{ *:[i32] } 753:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (USQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 172245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i32),
     /* 172248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172254 */     GIR_RootConstrainSelectedInstOperands,
     /* 172255 */     // GIR_Coverage, 1665,
     /* 172255 */     GIR_EraseRootFromParent_Done,
     /* 172256 */   // Label 3356: @172256
     /* 172256 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(172301), // Rule ID 1666 //
     /* 172261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 172269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172290 */     // (intrinsic_wo_chain:{ *:[v8i8] } 568:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 172293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172299 */     GIR_RootConstrainSelectedInstOperands,
     /* 172300 */     // GIR_Coverage, 1666,
     /* 172300 */     GIR_EraseRootFromParent_Done,
     /* 172301 */   // Label 3357: @172301
     /* 172301 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(172346), // Rule ID 1667 //
     /* 172306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 172314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172335 */     // (intrinsic_wo_chain:{ *:[v4i16] } 568:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 172338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172344 */     GIR_RootConstrainSelectedInstOperands,
     /* 172345 */     // GIR_Coverage, 1667,
     /* 172345 */     GIR_EraseRootFromParent_Done,
     /* 172346 */   // Label 3358: @172346
     /* 172346 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(172391), // Rule ID 1668 //
     /* 172351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 172359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172380 */     // (intrinsic_wo_chain:{ *:[v2i32] } 568:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 172383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172389 */     GIR_RootConstrainSelectedInstOperands,
     /* 172390 */     // GIR_Coverage, 1668,
     /* 172390 */     GIR_EraseRootFromParent_Done,
     /* 172391 */   // Label 3359: @172391
     /* 172391 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(172436), // Rule ID 1669 //
     /* 172396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 172404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172425 */     // (intrinsic_wo_chain:{ *:[v8i8] } 713:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 172428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172434 */     GIR_RootConstrainSelectedInstOperands,
     /* 172435 */     // GIR_Coverage, 1669,
     /* 172435 */     GIR_EraseRootFromParent_Done,
     /* 172436 */   // Label 3360: @172436
     /* 172436 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(172481), // Rule ID 1670 //
     /* 172441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 172449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172470 */     // (intrinsic_wo_chain:{ *:[v4i16] } 713:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 172473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172479 */     GIR_RootConstrainSelectedInstOperands,
     /* 172480 */     // GIR_Coverage, 1670,
     /* 172480 */     GIR_EraseRootFromParent_Done,
     /* 172481 */   // Label 3361: @172481
     /* 172481 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(172526), // Rule ID 1671 //
     /* 172486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 172494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172515 */     // (intrinsic_wo_chain:{ *:[v2i32] } 713:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 172518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172524 */     GIR_RootConstrainSelectedInstOperands,
     /* 172525 */     // GIR_Coverage, 1671,
     /* 172525 */     GIR_EraseRootFromParent_Done,
     /* 172526 */   // Label 3362: @172526
     /* 172526 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(172571), // Rule ID 1672 //
     /* 172531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 172539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172560 */     // (intrinsic_wo_chain:{ *:[v8i8] } 655:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 172563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172569 */     GIR_RootConstrainSelectedInstOperands,
     /* 172570 */     // GIR_Coverage, 1672,
     /* 172570 */     GIR_EraseRootFromParent_Done,
     /* 172571 */   // Label 3363: @172571
     /* 172571 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(172616), // Rule ID 1673 //
     /* 172576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 172584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172605 */     // (intrinsic_wo_chain:{ *:[v4i16] } 655:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 172608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172614 */     GIR_RootConstrainSelectedInstOperands,
     /* 172615 */     // GIR_Coverage, 1673,
     /* 172615 */     GIR_EraseRootFromParent_Done,
     /* 172616 */   // Label 3364: @172616
     /* 172616 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(172661), // Rule ID 1674 //
     /* 172621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 172629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172650 */     // (intrinsic_wo_chain:{ *:[v2i32] } 655:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 172653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172659 */     GIR_RootConstrainSelectedInstOperands,
     /* 172660 */     // GIR_Coverage, 1674,
     /* 172660 */     GIR_EraseRootFromParent_Done,
     /* 172661 */   // Label 3365: @172661
     /* 172661 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(172706), // Rule ID 1675 //
     /* 172666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 172674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172695 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RSUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v8i8),
     /* 172698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172704 */     GIR_RootConstrainSelectedInstOperands,
     /* 172705 */     // GIR_Coverage, 1675,
     /* 172705 */     GIR_EraseRootFromParent_Done,
     /* 172706 */   // Label 3366: @172706
     /* 172706 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(172751), // Rule ID 1676 //
     /* 172711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 172719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172740 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RSUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v4i16),
     /* 172743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172749 */     GIR_RootConstrainSelectedInstOperands,
     /* 172750 */     // GIR_Coverage, 1676,
     /* 172750 */     GIR_EraseRootFromParent_Done,
     /* 172751 */   // Label 3367: @172751
     /* 172751 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(172796), // Rule ID 1677 //
     /* 172756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 172764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172785 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RSUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v2i32),
     /* 172788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172794 */     GIR_RootConstrainSelectedInstOperands,
     /* 172795 */     // GIR_Coverage, 1677,
     /* 172795 */     GIR_EraseRootFromParent_Done,
     /* 172796 */   // Label 3368: @172796
     /* 172796 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(172841), // Rule ID 1743 //
     /* 172801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 172809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172830 */     // (intrinsic_wo_chain:{ *:[v4i32] } 682:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_v4i32),
     /* 172833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172839 */     GIR_RootConstrainSelectedInstOperands,
     /* 172840 */     // GIR_Coverage, 1743,
     /* 172840 */     GIR_EraseRootFromParent_Done,
     /* 172841 */   // Label 3369: @172841
     /* 172841 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(172886), // Rule ID 1745 //
     /* 172846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 172854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 172857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172875 */     // (intrinsic_wo_chain:{ *:[v2i64] } 682:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_v2i64),
     /* 172878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172884 */     GIR_RootConstrainSelectedInstOperands,
     /* 172885 */     // GIR_Coverage, 1745,
     /* 172885 */     GIR_EraseRootFromParent_Done,
     /* 172886 */   // Label 3370: @172886
     /* 172886 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(172931), // Rule ID 2294 //
     /* 172891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 172894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 172899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172920 */     // (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 172920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 172923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172929 */     GIR_RootConstrainSelectedInstOperands,
     /* 172930 */     // GIR_Coverage, 2294,
     /* 172930 */     GIR_EraseRootFromParent_Done,
     /* 172931 */   // Label 3371: @172931
     /* 172931 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(172976), // Rule ID 2295 //
     /* 172936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 172939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 172944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172965 */     // (intrinsic_wo_chain:{ *:[v16i8] } 510:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 172965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 172968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 172972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 172974 */     GIR_RootConstrainSelectedInstOperands,
     /* 172975 */     // GIR_Coverage, 2295,
     /* 172975 */     GIR_EraseRootFromParent_Done,
     /* 172976 */   // Label 3372: @172976
     /* 172976 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(173021), // Rule ID 2306 //
     /* 172981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 172984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su1),
     /* 172989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173010 */     // (intrinsic_wo_chain:{ *:[v4i32] } 524:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA1SU1rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 173010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU1rr),
     /* 173013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 173017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 173019 */     GIR_RootConstrainSelectedInstOperands,
     /* 173020 */     // GIR_Coverage, 2306,
     /* 173020 */     GIR_EraseRootFromParent_Done,
     /* 173021 */   // Label 3373: @173021
     /* 173021 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(173066), // Rule ID 2307 //
     /* 173026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 173029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su0),
     /* 173034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173055 */     // (intrinsic_wo_chain:{ *:[v4i32] } 527:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA256SU0rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 173055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU0rr),
     /* 173058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 173062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 173064 */     GIR_RootConstrainSelectedInstOperands,
     /* 173065 */     // GIR_Coverage, 2307,
     /* 173065 */     GIR_EraseRootFromParent_Done,
     /* 173066 */   // Label 3374: @173066
     /* 173066 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(173111), // Rule ID 2330 //
     /* 173071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 173074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 173079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173100 */     // (intrinsic_wo_chain:{ *:[v4f16] } 630:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (FSCALEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f16),
     /* 173103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173109 */     GIR_RootConstrainSelectedInstOperands,
     /* 173110 */     // GIR_Coverage, 2330,
     /* 173110 */     GIR_EraseRootFromParent_Done,
     /* 173111 */   // Label 3375: @173111
     /* 173111 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(173156), // Rule ID 2331 //
     /* 173116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 173119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 173124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173145 */     // (intrinsic_wo_chain:{ *:[v8f16] } 630:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (FSCALEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv8f16),
     /* 173148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173154 */     GIR_RootConstrainSelectedInstOperands,
     /* 173155 */     // GIR_Coverage, 2331,
     /* 173155 */     GIR_EraseRootFromParent_Done,
     /* 173156 */   // Label 3376: @173156
     /* 173156 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(173201), // Rule ID 2332 //
     /* 173161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 173164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 173169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173190 */     // (intrinsic_wo_chain:{ *:[v2f32] } 630:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (FSCALEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f32),
     /* 173193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173199 */     GIR_RootConstrainSelectedInstOperands,
     /* 173200 */     // GIR_Coverage, 2332,
     /* 173200 */     GIR_EraseRootFromParent_Done,
     /* 173201 */   // Label 3377: @173201
     /* 173201 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(173246), // Rule ID 2333 //
     /* 173206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 173209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 173214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173235 */     // (intrinsic_wo_chain:{ *:[v4f32] } 630:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (FSCALEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f32),
     /* 173238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173244 */     GIR_RootConstrainSelectedInstOperands,
     /* 173245 */     // GIR_Coverage, 2333,
     /* 173245 */     GIR_EraseRootFromParent_Done,
     /* 173246 */   // Label 3378: @173246
     /* 173246 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(173291), // Rule ID 2334 //
     /* 173251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 173254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 173259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173280 */     // (intrinsic_wo_chain:{ *:[v2f64] } 630:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (FSCALEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f64),
     /* 173283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173289 */     GIR_RootConstrainSelectedInstOperands,
     /* 173290 */     // GIR_Coverage, 2334,
     /* 173290 */     GIR_EraseRootFromParent_Done,
     /* 173291 */   // Label 3379: @173291
     /* 173291 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(173336), // Rule ID 2335 //
     /* 173296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 173304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173325 */     // (intrinsic_wo_chain:{ *:[v4f16] } 580:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 173325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 173328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173334 */     GIR_RootConstrainSelectedInstOperands,
     /* 173335 */     // GIR_Coverage, 2335,
     /* 173335 */     GIR_EraseRootFromParent_Done,
     /* 173336 */   // Label 3380: @173336
     /* 173336 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(173381), // Rule ID 2338 //
     /* 173341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 173349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173370 */     // (intrinsic_wo_chain:{ *:[v8f16] } 580:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 173370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 173373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173379 */     GIR_RootConstrainSelectedInstOperands,
     /* 173380 */     // GIR_Coverage, 2338,
     /* 173380 */     GIR_EraseRootFromParent_Done,
     /* 173381 */   // Label 3381: @173381
     /* 173381 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(173426), // Rule ID 2341 //
     /* 173386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 173394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173415 */     // (intrinsic_wo_chain:{ *:[v2f32] } 580:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 173415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 173418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173424 */     GIR_RootConstrainSelectedInstOperands,
     /* 173425 */     // GIR_Coverage, 2341,
     /* 173425 */     GIR_EraseRootFromParent_Done,
     /* 173426 */   // Label 3382: @173426
     /* 173426 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(173471), // Rule ID 2344 //
     /* 173431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 173439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173460 */     // (intrinsic_wo_chain:{ *:[v4f32] } 580:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 173460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 173463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173469 */     GIR_RootConstrainSelectedInstOperands,
     /* 173470 */     // GIR_Coverage, 2344,
     /* 173470 */     GIR_EraseRootFromParent_Done,
     /* 173471 */   // Label 3383: @173471
     /* 173471 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(173516), // Rule ID 2347 //
     /* 173476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 173484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173505 */     // (intrinsic_wo_chain:{ *:[v2f64] } 580:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 173505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 173508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173514 */     GIR_RootConstrainSelectedInstOperands,
     /* 173515 */     // GIR_Coverage, 2347,
     /* 173515 */     GIR_EraseRootFromParent_Done,
     /* 173516 */   // Label 3384: @173516
     /* 173516 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(173561), // Rule ID 2350 //
     /* 173521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 173529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173550 */     // (intrinsic_wo_chain:{ *:[v4f16] } 581:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 173550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 173553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173559 */     GIR_RootConstrainSelectedInstOperands,
     /* 173560 */     // GIR_Coverage, 2350,
     /* 173560 */     GIR_EraseRootFromParent_Done,
     /* 173561 */   // Label 3385: @173561
     /* 173561 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(173606), // Rule ID 2353 //
     /* 173566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 173574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173595 */     // (intrinsic_wo_chain:{ *:[v8f16] } 581:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 173595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 173598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173604 */     GIR_RootConstrainSelectedInstOperands,
     /* 173605 */     // GIR_Coverage, 2353,
     /* 173605 */     GIR_EraseRootFromParent_Done,
     /* 173606 */   // Label 3386: @173606
     /* 173606 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(173651), // Rule ID 2356 //
     /* 173611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 173619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173640 */     // (intrinsic_wo_chain:{ *:[v2f32] } 581:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 173640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 173643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173649 */     GIR_RootConstrainSelectedInstOperands,
     /* 173650 */     // GIR_Coverage, 2356,
     /* 173650 */     GIR_EraseRootFromParent_Done,
     /* 173651 */   // Label 3387: @173651
     /* 173651 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(173696), // Rule ID 2359 //
     /* 173656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 173664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173685 */     // (intrinsic_wo_chain:{ *:[v4f32] } 581:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 173685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 173688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173694 */     GIR_RootConstrainSelectedInstOperands,
     /* 173695 */     // GIR_Coverage, 2359,
     /* 173695 */     GIR_EraseRootFromParent_Done,
     /* 173696 */   // Label 3388: @173696
     /* 173696 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(173741), // Rule ID 2362 //
     /* 173701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 173704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 173709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173730 */     // (intrinsic_wo_chain:{ *:[v2f64] } 581:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 173730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 173733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173739 */     GIR_RootConstrainSelectedInstOperands,
     /* 173740 */     // GIR_Coverage, 2362,
     /* 173740 */     GIR_EraseRootFromParent_Done,
     /* 173741 */   // Label 3389: @173741
     /* 173741 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(173786), // Rule ID 2499 //
     /* 173746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 173757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 173760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 173763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173775 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 173775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 173778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173784 */     GIR_RootConstrainSelectedInstOperands,
     /* 173785 */     // GIR_Coverage, 2499,
     /* 173785 */     GIR_EraseRootFromParent_Done,
     /* 173786 */   // Label 3390: @173786
     /* 173786 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(173831), // Rule ID 2500 //
     /* 173791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 173802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 173805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 173808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 173812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 173816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 173820 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 173820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i32),
     /* 173823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173829 */     GIR_RootConstrainSelectedInstOperands,
     /* 173830 */     // GIR_Coverage, 2500,
     /* 173830 */     GIR_EraseRootFromParent_Done,
     /* 173831 */   // Label 3391: @173831
     /* 173831 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(173876), // Rule ID 2501 //
     /* 173836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 173844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 173847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 173850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 173853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173865 */     // (intrinsic_wo_chain:{ *:[v1f64] } 784:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 173865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 173868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173874 */     GIR_RootConstrainSelectedInstOperands,
     /* 173875 */     // GIR_Coverage, 2501,
     /* 173875 */     GIR_EraseRootFromParent_Done,
     /* 173876 */   // Label 3392: @173876
     /* 173876 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(173921), // Rule ID 2502 //
     /* 173881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 173889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 173892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 173895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 173898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173910 */     // (intrinsic_wo_chain:{ *:[v1i64] } 576:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 173910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 173913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173919 */     GIR_RootConstrainSelectedInstOperands,
     /* 173920 */     // GIR_Coverage, 2502,
     /* 173920 */     GIR_EraseRootFromParent_Done,
     /* 173921 */   // Label 3393: @173921
     /* 173921 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(173966), // Rule ID 2507 //
     /* 173926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 173934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 173937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 173940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 173943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173955 */     // (intrinsic_wo_chain:{ *:[v1i64] } 714:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 173955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 173958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 173962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 173964 */     GIR_RootConstrainSelectedInstOperands,
     /* 173965 */     // GIR_Coverage, 2507,
     /* 173965 */     GIR_EraseRootFromParent_Done,
     /* 173966 */   // Label 3394: @173966
     /* 173966 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(174011), // Rule ID 2620 //
     /* 173971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 173974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 173979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 173982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 173985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 173988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 173992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 173996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174000 */     // (intrinsic_wo_chain:{ *:[i32] } 1930:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 174000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_B),
     /* 174003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174009 */     GIR_RootConstrainSelectedInstOperands,
     /* 174010 */     // GIR_Coverage, 2620,
     /* 174010 */     GIR_EraseRootFromParent_Done,
     /* 174011 */   // Label 3395: @174011
     /* 174011 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(174056), // Rule ID 2621 //
     /* 174016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 174024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 174027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 174030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 174033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174045 */     // (intrinsic_wo_chain:{ *:[i32] } 1930:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 174045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_H),
     /* 174048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174054 */     GIR_RootConstrainSelectedInstOperands,
     /* 174055 */     // GIR_Coverage, 2621,
     /* 174055 */     GIR_EraseRootFromParent_Done,
     /* 174056 */   // Label 3396: @174056
     /* 174056 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(174101), // Rule ID 2622 //
     /* 174061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 174069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 174072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 174075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 174078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174090 */     // (intrinsic_wo_chain:{ *:[i32] } 1930:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 174090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_S),
     /* 174093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174099 */     GIR_RootConstrainSelectedInstOperands,
     /* 174100 */     // GIR_Coverage, 2622,
     /* 174100 */     GIR_EraseRootFromParent_Done,
     /* 174101 */   // Label 3397: @174101
     /* 174101 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(174146), // Rule ID 2623 //
     /* 174106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 174114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 174117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 174120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 174123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 174131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174135 */     // (intrinsic_wo_chain:{ *:[i32] } 1930:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 174135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_D),
     /* 174138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174144 */     GIR_RootConstrainSelectedInstOperands,
     /* 174145 */     // GIR_Coverage, 2623,
     /* 174145 */     GIR_EraseRootFromParent_Done,
     /* 174146 */   // Label 3398: @174146
     /* 174146 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(174191), // Rule ID 2624 //
     /* 174151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 174159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 174162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 174165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 174168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174180 */     // (intrinsic_wo_chain:{ *:[i64] } 1720:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 174180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_B),
     /* 174183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174189 */     GIR_RootConstrainSelectedInstOperands,
     /* 174190 */     // GIR_Coverage, 2624,
     /* 174190 */     GIR_EraseRootFromParent_Done,
     /* 174191 */   // Label 3399: @174191
     /* 174191 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(174236), // Rule ID 2625 //
     /* 174196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 174204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 174207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 174210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 174213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174225 */     // (intrinsic_wo_chain:{ *:[i64] } 1720:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 174225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_H),
     /* 174228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174234 */     GIR_RootConstrainSelectedInstOperands,
     /* 174235 */     // GIR_Coverage, 2625,
     /* 174235 */     GIR_EraseRootFromParent_Done,
     /* 174236 */   // Label 3400: @174236
     /* 174236 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(174281), // Rule ID 2626 //
     /* 174241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 174249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 174252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 174255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 174258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174270 */     // (intrinsic_wo_chain:{ *:[i64] } 1720:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 174270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_S),
     /* 174273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174279 */     GIR_RootConstrainSelectedInstOperands,
     /* 174280 */     // GIR_Coverage, 2626,
     /* 174280 */     GIR_EraseRootFromParent_Done,
     /* 174281 */   // Label 3401: @174281
     /* 174281 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(174326), // Rule ID 2627 //
     /* 174286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 174289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 174294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 174297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 174300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 174303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 174311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 174315 */     // (intrinsic_wo_chain:{ *:[i64] } 1720:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 174315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_D),
     /* 174318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 174320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 174322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174324 */     GIR_RootConstrainSelectedInstOperands,
     /* 174325 */     // GIR_Coverage, 2627,
     /* 174325 */     GIR_EraseRootFromParent_Done,
     /* 174326 */   // Label 3402: @174326
     /* 174326 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(174371), // Rule ID 3757 //
     /* 174331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 174334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su0),
     /* 174339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174360 */     // (intrinsic_wo_chain:{ *:[v2i64] } 531:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU0:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 174360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU0),
     /* 174363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 174365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 174367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 174369 */     GIR_RootConstrainSelectedInstOperands,
     /* 174370 */     // GIR_Coverage, 3757,
     /* 174370 */     GIR_EraseRootFromParent_Done,
     /* 174371 */   // Label 3403: @174371
     /* 174371 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(174416), // Rule ID 3785 //
     /* 174376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 174379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_rax1),
     /* 174384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174405 */     // (intrinsic_wo_chain:{ *:[v2i64] } 518:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (RAX1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 174405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1),
     /* 174408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 174410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 174412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 174414 */     GIR_RootConstrainSelectedInstOperands,
     /* 174415 */     // GIR_Coverage, 3785,
     /* 174415 */     GIR_EraseRootFromParent_Done,
     /* 174416 */   // Label 3404: @174416
     /* 174416 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(174461), // Rule ID 3795 //
     /* 174421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 174424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4ekey),
     /* 174429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174450 */     // (intrinsic_wo_chain:{ *:[v4i32] } 541:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4ENCKEY:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 174450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4ENCKEY),
     /* 174453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 174455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 174457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 174459 */     GIR_RootConstrainSelectedInstOperands,
     /* 174460 */     // GIR_Coverage, 3795,
     /* 174460 */     GIR_EraseRootFromParent_Done,
     /* 174461 */   // Label 3405: @174461
     /* 174461 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(174506), // Rule ID 3796 //
     /* 174466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 174469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4e),
     /* 174474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174495 */     // (intrinsic_wo_chain:{ *:[v4i32] } 540:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4E:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 174495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E),
     /* 174498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 174500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 174502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 174504 */     GIR_RootConstrainSelectedInstOperands,
     /* 174505 */     // GIR_Coverage, 3796,
     /* 174505 */     GIR_EraseRootFromParent_Done,
     /* 174506 */   // Label 3406: @174506
     /* 174506 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(174554), // Rule ID 3797 //
     /* 174511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 174514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 174519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174540 */     // (intrinsic_wo_chain:{ *:[v4f16] } 755:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 174540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 174543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174552 */     GIR_RootConstrainSelectedInstOperands,
     /* 174553 */     // GIR_Coverage, 3797,
     /* 174553 */     GIR_EraseRootFromParent_Done,
     /* 174554 */   // Label 3407: @174554
     /* 174554 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(174602), // Rule ID 3798 //
     /* 174559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 174562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 174567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174588 */     // (intrinsic_wo_chain:{ *:[v4f16] } 754:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 174588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 174591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 174600 */     GIR_RootConstrainSelectedInstOperands,
     /* 174601 */     // GIR_Coverage, 3798,
     /* 174601 */     GIR_EraseRootFromParent_Done,
     /* 174602 */   // Label 3408: @174602
     /* 174602 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(174650), // Rule ID 3799 //
     /* 174607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 174610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 174615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174636 */     // (intrinsic_wo_chain:{ *:[v8f16] } 755:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 174636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 174639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174648 */     GIR_RootConstrainSelectedInstOperands,
     /* 174649 */     // GIR_Coverage, 3799,
     /* 174649 */     GIR_EraseRootFromParent_Done,
     /* 174650 */   // Label 3409: @174650
     /* 174650 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(174698), // Rule ID 3800 //
     /* 174655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 174658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 174663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174684 */     // (intrinsic_wo_chain:{ *:[v8f16] } 754:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 174684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 174687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 174696 */     GIR_RootConstrainSelectedInstOperands,
     /* 174697 */     // GIR_Coverage, 3800,
     /* 174697 */     GIR_EraseRootFromParent_Done,
     /* 174698 */   // Label 3410: @174698
     /* 174698 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(174746), // Rule ID 3801 //
     /* 174703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 174711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174732 */     // (intrinsic_wo_chain:{ *:[v2f32] } 755:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 174732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 174735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174744 */     GIR_RootConstrainSelectedInstOperands,
     /* 174745 */     // GIR_Coverage, 3801,
     /* 174745 */     GIR_EraseRootFromParent_Done,
     /* 174746 */   // Label 3411: @174746
     /* 174746 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(174794), // Rule ID 3802 //
     /* 174751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 174759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174780 */     // (intrinsic_wo_chain:{ *:[v2f32] } 754:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 174780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 174783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 174792 */     GIR_RootConstrainSelectedInstOperands,
     /* 174793 */     // GIR_Coverage, 3802,
     /* 174793 */     GIR_EraseRootFromParent_Done,
     /* 174794 */   // Label 3412: @174794
     /* 174794 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(174842), // Rule ID 3803 //
     /* 174799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 174807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174828 */     // (intrinsic_wo_chain:{ *:[v4f32] } 755:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 174828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 174831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174840 */     GIR_RootConstrainSelectedInstOperands,
     /* 174841 */     // GIR_Coverage, 3803,
     /* 174841 */     GIR_EraseRootFromParent_Done,
     /* 174842 */   // Label 3413: @174842
     /* 174842 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(174890), // Rule ID 3804 //
     /* 174847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 174855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174876 */     // (intrinsic_wo_chain:{ *:[v4f32] } 754:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 174876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 174879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 174888 */     GIR_RootConstrainSelectedInstOperands,
     /* 174889 */     // GIR_Coverage, 3804,
     /* 174889 */     GIR_EraseRootFromParent_Done,
     /* 174890 */   // Label 3414: @174890
     /* 174890 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(174938), // Rule ID 3805 //
     /* 174895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 174903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174924 */     // (intrinsic_wo_chain:{ *:[v2f64] } 755:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 174924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 174927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 174936 */     GIR_RootConstrainSelectedInstOperands,
     /* 174937 */     // GIR_Coverage, 3805,
     /* 174937 */     GIR_EraseRootFromParent_Done,
     /* 174938 */   // Label 3415: @174938
     /* 174938 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(174986), // Rule ID 3806 //
     /* 174943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 174946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 174951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174972 */     // (intrinsic_wo_chain:{ *:[v2f64] } 754:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 174972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 174975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 174984 */     GIR_RootConstrainSelectedInstOperands,
     /* 174985 */     // GIR_Coverage, 3806,
     /* 174985 */     GIR_EraseRootFromParent_Done,
     /* 174986 */   // Label 3416: @174986
     /* 174986 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(175028), // Rule ID 3871 //
     /* 174991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 174996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 174999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175017 */     // (intrinsic_wo_chain:{ *:[i32] } 2074:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 175017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /* 175020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175026 */     GIR_RootConstrainSelectedInstOperands,
     /* 175027 */     // GIR_Coverage, 3871,
     /* 175027 */     GIR_EraseRootFromParent_Done,
     /* 175028 */   // Label 3417: @175028
     /* 175028 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(175070), // Rule ID 3872 //
     /* 175033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 175038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175059 */     // (intrinsic_wo_chain:{ *:[i64] } 2074:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 175059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /* 175062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175068 */     GIR_RootConstrainSelectedInstOperands,
     /* 175069 */     // GIR_Coverage, 3872,
     /* 175069 */     GIR_EraseRootFromParent_Done,
     /* 175070 */   // Label 3418: @175070
     /* 175070 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(175112), // Rule ID 3873 //
     /* 175075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 175080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 175101 */     // (intrinsic_wo_chain:{ *:[i32] } 778:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 175101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /* 175104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175110 */     GIR_RootConstrainSelectedInstOperands,
     /* 175111 */     // GIR_Coverage, 3873,
     /* 175111 */     GIR_EraseRootFromParent_Done,
     /* 175112 */   // Label 3419: @175112
     /* 175112 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(175154), // Rule ID 3874 //
     /* 175117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 175122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 175143 */     // (intrinsic_wo_chain:{ *:[i64] } 778:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 175143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /* 175146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175152 */     GIR_RootConstrainSelectedInstOperands,
     /* 175153 */     // GIR_Coverage, 3874,
     /* 175153 */     GIR_EraseRootFromParent_Done,
     /* 175154 */   // Label 3420: @175154
     /* 175154 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(175196), // Rule ID 5144 //
     /* 175159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 175164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175185 */     // (intrinsic_wo_chain:{ *:[v1f64] } 575:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 175185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 175188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175194 */     GIR_RootConstrainSelectedInstOperands,
     /* 175195 */     // GIR_Coverage, 5144,
     /* 175195 */     GIR_EraseRootFromParent_Done,
     /* 175196 */   // Label 3421: @175196
     /* 175196 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(175241), // Rule ID 5148 //
     /* 175201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 175209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175230 */     // (intrinsic_wo_chain:{ *:[v1i64] } 577:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 175230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 175233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175239 */     GIR_RootConstrainSelectedInstOperands,
     /* 175240 */     // GIR_Coverage, 5148,
     /* 175240 */     GIR_EraseRootFromParent_Done,
     /* 175241 */   // Label 3422: @175241
     /* 175241 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(175286), // Rule ID 5152 //
     /* 175246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 175254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175275 */     // (intrinsic_wo_chain:{ *:[v1f64] } 609:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMULX64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 175275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 175278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175284 */     GIR_RootConstrainSelectedInstOperands,
     /* 175285 */     // GIR_Coverage, 5152,
     /* 175285 */     GIR_EraseRootFromParent_Done,
     /* 175286 */   // Label 3423: @175286
     /* 175286 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(175331), // Rule ID 5153 //
     /* 175291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 175299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175320 */     // (intrinsic_wo_chain:{ *:[v1f64] } 632:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRECPS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 175320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 175323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175329 */     GIR_RootConstrainSelectedInstOperands,
     /* 175330 */     // GIR_Coverage, 5153,
     /* 175330 */     GIR_EraseRootFromParent_Done,
     /* 175331 */   // Label 3424: @175331
     /* 175331 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(175376), // Rule ID 5154 //
     /* 175336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 175344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175365 */     // (intrinsic_wo_chain:{ *:[v1f64] } 639:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRSQRTS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 175365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 175368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175374 */     GIR_RootConstrainSelectedInstOperands,
     /* 175375 */     // GIR_Coverage, 5154,
     /* 175375 */     GIR_EraseRootFromParent_Done,
     /* 175376 */   // Label 3425: @175376
     /* 175376 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(175421), // Rule ID 5155 //
     /* 175381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 175389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175410 */     // (intrinsic_wo_chain:{ *:[i64] } 690:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 175413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175419 */     GIR_RootConstrainSelectedInstOperands,
     /* 175420 */     // GIR_Coverage, 5155,
     /* 175420 */     GIR_EraseRootFromParent_Done,
     /* 175421 */   // Label 3426: @175421
     /* 175421 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(175466), // Rule ID 5156 //
     /* 175426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 175434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175455 */     // (intrinsic_wo_chain:{ *:[i32] } 690:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i32),
     /* 175458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175464 */     GIR_RootConstrainSelectedInstOperands,
     /* 175465 */     // GIR_Coverage, 5156,
     /* 175465 */     GIR_EraseRootFromParent_Done,
     /* 175466 */   // Label 3427: @175466
     /* 175466 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(175511), // Rule ID 5157 //
     /* 175471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 175479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175500 */     // (intrinsic_wo_chain:{ *:[i64] } 693:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 175503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175509 */     GIR_RootConstrainSelectedInstOperands,
     /* 175510 */     // GIR_Coverage, 5157,
     /* 175510 */     GIR_EraseRootFromParent_Done,
     /* 175511 */   // Label 3428: @175511
     /* 175511 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(175556), // Rule ID 5158 //
     /* 175516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 175524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175545 */     // (intrinsic_wo_chain:{ *:[i32] } 693:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i32),
     /* 175548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175554 */     GIR_RootConstrainSelectedInstOperands,
     /* 175555 */     // GIR_Coverage, 5158,
     /* 175555 */     GIR_EraseRootFromParent_Done,
     /* 175556 */   // Label 3429: @175556
     /* 175556 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(175601), // Rule ID 5159 //
     /* 175561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 175569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175590 */     // (intrinsic_wo_chain:{ *:[i64] } 697:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 175593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175599 */     GIR_RootConstrainSelectedInstOperands,
     /* 175600 */     // GIR_Coverage, 5159,
     /* 175600 */     GIR_EraseRootFromParent_Done,
     /* 175601 */   // Label 3430: @175601
     /* 175601 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(175646), // Rule ID 5160 //
     /* 175606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 175614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175635 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i32),
     /* 175638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175644 */     GIR_RootConstrainSelectedInstOperands,
     /* 175645 */     // GIR_Coverage, 5160,
     /* 175645 */     GIR_EraseRootFromParent_Done,
     /* 175646 */   // Label 3431: @175646
     /* 175646 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(175691), // Rule ID 5161 //
     /* 175651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175680 */     // (intrinsic_wo_chain:{ *:[i64] } 738:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 175683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175689 */     GIR_RootConstrainSelectedInstOperands,
     /* 175690 */     // GIR_Coverage, 5161,
     /* 175690 */     GIR_EraseRootFromParent_Done,
     /* 175691 */   // Label 3432: @175691
     /* 175691 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(175736), // Rule ID 5162 //
     /* 175696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175725 */     // (intrinsic_wo_chain:{ *:[i32] } 738:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i32),
     /* 175728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175734 */     GIR_RootConstrainSelectedInstOperands,
     /* 175735 */     // GIR_Coverage, 5162,
     /* 175735 */     GIR_EraseRootFromParent_Done,
     /* 175736 */   // Label 3433: @175736
     /* 175736 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(175781), // Rule ID 5163 //
     /* 175741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175770 */     // (intrinsic_wo_chain:{ *:[i64] } 739:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 175773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175779 */     GIR_RootConstrainSelectedInstOperands,
     /* 175780 */     // GIR_Coverage, 5163,
     /* 175780 */     GIR_EraseRootFromParent_Done,
     /* 175781 */   // Label 3434: @175781
     /* 175781 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(175826), // Rule ID 5164 //
     /* 175786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175815 */     // (intrinsic_wo_chain:{ *:[i32] } 739:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i32),
     /* 175818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175824 */     GIR_RootConstrainSelectedInstOperands,
     /* 175825 */     // GIR_Coverage, 5164,
     /* 175825 */     GIR_EraseRootFromParent_Done,
     /* 175826 */   // Label 3435: @175826
     /* 175826 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(175871), // Rule ID 5165 //
     /* 175831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 175839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175860 */     // (intrinsic_wo_chain:{ *:[i64] } 741:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 175863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175869 */     GIR_RootConstrainSelectedInstOperands,
     /* 175870 */     // GIR_Coverage, 5165,
     /* 175870 */     GIR_EraseRootFromParent_Done,
     /* 175871 */   // Label 3436: @175871
     /* 175871 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(175916), // Rule ID 5166 //
     /* 175876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 175884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175905 */     // (intrinsic_wo_chain:{ *:[i32] } 741:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i32),
     /* 175908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175914 */     GIR_RootConstrainSelectedInstOperands,
     /* 175915 */     // GIR_Coverage, 5166,
     /* 175915 */     GIR_EraseRootFromParent_Done,
     /* 175916 */   // Label 3437: @175916
     /* 175916 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(175961), // Rule ID 5167 //
     /* 175921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 175929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 175932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 175935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 175938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175950 */     // (intrinsic_wo_chain:{ *:[i64] } 743:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 175950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 175953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175959 */     GIR_RootConstrainSelectedInstOperands,
     /* 175960 */     // GIR_Coverage, 5167,
     /* 175960 */     GIR_EraseRootFromParent_Done,
     /* 175961 */   // Label 3438: @175961
     /* 175961 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(176006), // Rule ID 5168 //
     /* 175966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 175974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 175977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 175980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 175983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 175995 */     // (intrinsic_wo_chain:{ *:[i32] } 743:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 175995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i32),
     /* 175998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176004 */     GIR_RootConstrainSelectedInstOperands,
     /* 176005 */     // GIR_Coverage, 5168,
     /* 176005 */     GIR_EraseRootFromParent_Done,
     /* 176006 */   // Label 3439: @176006
     /* 176006 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(176051), // Rule ID 5186 //
     /* 176011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 176019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176040 */     // (intrinsic_wo_chain:{ *:[v1i64] } 753:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (USQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 176040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 176043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 176047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 176049 */     GIR_RootConstrainSelectedInstOperands,
     /* 176050 */     // GIR_Coverage, 5186,
     /* 176050 */     GIR_EraseRootFromParent_Done,
     /* 176051 */   // Label 3440: @176051
     /* 176051 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(176093), // Rule ID 5508 //
     /* 176056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 176061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176082 */     // (intrinsic_wo_chain:{ *:[v8i8] } 715:{ *:[iPTR] }, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBLv8i8One:{ *:[v8i8] } VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 176082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv8i8One),
     /* 176085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 176087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 176091 */     GIR_RootConstrainSelectedInstOperands,
     /* 176092 */     // GIR_Coverage, 5508,
     /* 176092 */     GIR_EraseRootFromParent_Done,
     /* 176093 */   // Label 3441: @176093
     /* 176093 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(176135), // Rule ID 5509 //
     /* 176098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 176103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176124 */     // (intrinsic_wo_chain:{ *:[v16i8] } 715:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBLv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 176124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv16i8One),
     /* 176127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 176129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ri
     /* 176131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 176133 */     GIR_RootConstrainSelectedInstOperands,
     /* 176134 */     // GIR_Coverage, 5509,
     /* 176134 */     GIR_EraseRootFromParent_Done,
     /* 176135 */   // Label 3442: @176135
     /* 176135 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(176232), // Rule ID 6180 //
     /* 176140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 176145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 176148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 176151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 176154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176166 */     // (intrinsic_wo_chain:{ *:[i32] } 576:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGE16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 176166 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 176169 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGE16),
     /* 176173 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 176178 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 176182 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 176186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 176188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 176191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 176195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 176200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 176202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 176205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 176210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 176213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 176216 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176221 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176231 */     // GIR_Coverage, 6180,
     /* 176231 */     GIR_EraseRootFromParent_Done,
     /* 176232 */   // Label 3443: @176232
     /* 176232 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(176329), // Rule ID 6181 //
     /* 176237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 176242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 176245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 176248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 176251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176263 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGT16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 176263 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 176266 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGT16),
     /* 176270 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 176275 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 176279 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 176283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 176285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 176288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 176292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 176297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 176299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 176302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 176307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 176310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 176313 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176318 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 176323 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 176328 */     // GIR_Coverage, 6181,
     /* 176328 */     GIR_EraseRootFromParent_Done,
     /* 176329 */   // Label 3444: @176329
     /* 176329 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(176371), // Rule ID 6834 //
     /* 176334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 176339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176360 */     // (intrinsic_wo_chain:{ *:[i64] } 702:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 176360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 176363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176369 */     GIR_RootConstrainSelectedInstOperands,
     /* 176370 */     // GIR_Coverage, 6834,
     /* 176370 */     GIR_EraseRootFromParent_Done,
     /* 176371 */   // Label 3445: @176371
     /* 176371 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(176413), // Rule ID 6835 //
     /* 176376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 176381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176402 */     // (intrinsic_wo_chain:{ *:[i64] } 750:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (USHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 176402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 176405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176411 */     GIR_RootConstrainSelectedInstOperands,
     /* 176412 */     // GIR_Coverage, 6835,
     /* 176412 */     GIR_EraseRootFromParent_Done,
     /* 176413 */   // Label 3446: @176413
     /* 176413 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(176455), // Rule ID 6836 //
     /* 176418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 176423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176444 */     // (intrinsic_wo_chain:{ *:[i64] } 701:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 176444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 176447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176453 */     GIR_RootConstrainSelectedInstOperands,
     /* 176454 */     // GIR_Coverage, 6836,
     /* 176454 */     GIR_EraseRootFromParent_Done,
     /* 176455 */   // Label 3447: @176455
     /* 176455 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(176497), // Rule ID 6837 //
     /* 176460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176486 */     // (intrinsic_wo_chain:{ *:[i64] } 747:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (URSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 176486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 176489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176495 */     GIR_RootConstrainSelectedInstOperands,
     /* 176496 */     // GIR_Coverage, 6837,
     /* 176496 */     GIR_EraseRootFromParent_Done,
     /* 176497 */   // Label 3448: @176497
     /* 176497 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(176545), // Rule ID 6877 //
     /* 176502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 176507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 176516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176528 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn)  =>  (BFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, 16:{ *:[i64] }, 15:{ *:[i64] })
     /* 176528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BFMXri),
     /* 176531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 176535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 176537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 176540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 176543 */     GIR_RootConstrainSelectedInstOperands,
     /* 176544 */     // GIR_Coverage, 6877,
     /* 176544 */     GIR_EraseRootFromParent_Done,
     /* 176545 */   // Label 3449: @176545
     /* 176545 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(176590), // Rule ID 9855 //
     /* 176550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 176558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 176567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176579 */     // (intrinsic_wo_chain:{ *:[i64] } 1931:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_B),
     /* 176582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176588 */     GIR_RootConstrainSelectedInstOperands,
     /* 176589 */     // GIR_Coverage, 9855,
     /* 176589 */     GIR_EraseRootFromParent_Done,
     /* 176590 */   // Label 3450: @176590
     /* 176590 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(176635), // Rule ID 9856 //
     /* 176595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 176603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 176612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176624 */     // (intrinsic_wo_chain:{ *:[i64] } 1931:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_H),
     /* 176627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176633 */     GIR_RootConstrainSelectedInstOperands,
     /* 176634 */     // GIR_Coverage, 9856,
     /* 176634 */     GIR_EraseRootFromParent_Done,
     /* 176635 */   // Label 3451: @176635
     /* 176635 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(176680), // Rule ID 9857 //
     /* 176640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 176648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 176657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176669 */     // (intrinsic_wo_chain:{ *:[i64] } 1931:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_S),
     /* 176672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176678 */     GIR_RootConstrainSelectedInstOperands,
     /* 176679 */     // GIR_Coverage, 9857,
     /* 176679 */     GIR_EraseRootFromParent_Done,
     /* 176680 */   // Label 3452: @176680
     /* 176680 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(176725), // Rule ID 9858 //
     /* 176685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 176693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 176702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176714 */     // (intrinsic_wo_chain:{ *:[i64] } 1931:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_D),
     /* 176717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176723 */     GIR_RootConstrainSelectedInstOperands,
     /* 176724 */     // GIR_Coverage, 9858,
     /* 176724 */     GIR_EraseRootFromParent_Done,
     /* 176725 */   // Label 3453: @176725
     /* 176725 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(176770), // Rule ID 9867 //
     /* 176730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 176738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 176747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176759 */     // (intrinsic_wo_chain:{ *:[i64] } 1686:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_B),
     /* 176762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176768 */     GIR_RootConstrainSelectedInstOperands,
     /* 176769 */     // GIR_Coverage, 9867,
     /* 176769 */     GIR_EraseRootFromParent_Done,
     /* 176770 */   // Label 3454: @176770
     /* 176770 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(176815), // Rule ID 9868 //
     /* 176775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 176783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 176792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176804 */     // (intrinsic_wo_chain:{ *:[i64] } 1686:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_H),
     /* 176807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176813 */     GIR_RootConstrainSelectedInstOperands,
     /* 176814 */     // GIR_Coverage, 9868,
     /* 176814 */     GIR_EraseRootFromParent_Done,
     /* 176815 */   // Label 3455: @176815
     /* 176815 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(176860), // Rule ID 9869 //
     /* 176820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 176828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 176837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176849 */     // (intrinsic_wo_chain:{ *:[i64] } 1686:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_S),
     /* 176852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176858 */     GIR_RootConstrainSelectedInstOperands,
     /* 176859 */     // GIR_Coverage, 9869,
     /* 176859 */     GIR_EraseRootFromParent_Done,
     /* 176860 */   // Label 3456: @176860
     /* 176860 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(176905), // Rule ID 9870 //
     /* 176865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 176873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 176876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 176879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 176882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 176890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176894 */     // (intrinsic_wo_chain:{ *:[i64] } 1686:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 176894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_D),
     /* 176897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176903 */     GIR_RootConstrainSelectedInstOperands,
     /* 176904 */     // GIR_Coverage, 9870,
     /* 176904 */     GIR_EraseRootFromParent_Done,
     /* 176905 */   // Label 3457: @176905
     /* 176905 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(176950), // Rule ID 9871 //
     /* 176910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 176918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 176921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 176924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 176927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 176931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 176935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176939 */     // (intrinsic_wo_chain:{ *:[i32] } 1916:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 176939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_B),
     /* 176942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176948 */     GIR_RootConstrainSelectedInstOperands,
     /* 176949 */     // GIR_Coverage, 9871,
     /* 176949 */     GIR_EraseRootFromParent_Done,
     /* 176950 */   // Label 3458: @176950
     /* 176950 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(176995), // Rule ID 9872 //
     /* 176955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 176958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 176963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 176966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 176969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 176972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 176976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 176980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 176984 */     // (intrinsic_wo_chain:{ *:[i32] } 1916:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 176984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_H),
     /* 176987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 176989 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 176991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176993 */     GIR_RootConstrainSelectedInstOperands,
     /* 176994 */     // GIR_Coverage, 9872,
     /* 176994 */     GIR_EraseRootFromParent_Done,
     /* 176995 */   // Label 3459: @176995
     /* 176995 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(177040), // Rule ID 9873 //
     /* 177000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 177008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 177017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 177021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 177025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177029 */     // (intrinsic_wo_chain:{ *:[i32] } 1916:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 177029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_S),
     /* 177032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177038 */     GIR_RootConstrainSelectedInstOperands,
     /* 177039 */     // GIR_Coverage, 9873,
     /* 177039 */     GIR_EraseRootFromParent_Done,
     /* 177040 */   // Label 3460: @177040
     /* 177040 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(177085), // Rule ID 9874 //
     /* 177045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 177053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 177062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 177066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 177070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177074 */     // (intrinsic_wo_chain:{ *:[i32] } 1916:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 177074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_D),
     /* 177077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177083 */     GIR_RootConstrainSelectedInstOperands,
     /* 177084 */     // GIR_Coverage, 9874,
     /* 177084 */     GIR_EraseRootFromParent_Done,
     /* 177085 */   // Label 3461: @177085
     /* 177085 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(177130), // Rule ID 9875 //
     /* 177090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 177098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177119 */     // (intrinsic_wo_chain:{ *:[i64] } 1917:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 177119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_B),
     /* 177122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177128 */     GIR_RootConstrainSelectedInstOperands,
     /* 177129 */     // GIR_Coverage, 9875,
     /* 177129 */     GIR_EraseRootFromParent_Done,
     /* 177130 */   // Label 3462: @177130
     /* 177130 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(177175), // Rule ID 9876 //
     /* 177135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 177143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 177152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177164 */     // (intrinsic_wo_chain:{ *:[i64] } 1917:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 177164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_H),
     /* 177167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177173 */     GIR_RootConstrainSelectedInstOperands,
     /* 177174 */     // GIR_Coverage, 9876,
     /* 177174 */     GIR_EraseRootFromParent_Done,
     /* 177175 */   // Label 3463: @177175
     /* 177175 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(177220), // Rule ID 9877 //
     /* 177180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 177188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 177197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177209 */     // (intrinsic_wo_chain:{ *:[i64] } 1917:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 177209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_S),
     /* 177212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177218 */     GIR_RootConstrainSelectedInstOperands,
     /* 177219 */     // GIR_Coverage, 9877,
     /* 177219 */     GIR_EraseRootFromParent_Done,
     /* 177220 */   // Label 3464: @177220
     /* 177220 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(177265), // Rule ID 9878 //
     /* 177225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 177233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 177242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177254 */     // (intrinsic_wo_chain:{ *:[i64] } 1917:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 177254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_D),
     /* 177257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 177259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 177261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177263 */     GIR_RootConstrainSelectedInstOperands,
     /* 177264 */     // GIR_Coverage, 9878,
     /* 177264 */     GIR_EraseRootFromParent_Done,
     /* 177265 */   // Label 3465: @177265
     /* 177265 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(177311), // Rule ID 138 //
     /* 177270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 177273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gmi),
     /* 177278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177288 */     // MIs[0] Rn
     /* 177288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 177292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 177296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177300 */     // (intrinsic_wo_chain:{ *:[i64] } 554:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (GMI:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 177300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GMI),
     /* 177303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177309 */     GIR_RootConstrainSelectedInstOperands,
     /* 177310 */     // GIR_Coverage, 138,
     /* 177310 */     GIR_EraseRootFromParent_Done,
     /* 177311 */   // Label 3466: @177311
     /* 177311 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(177358), // Rule ID 139 //
     /* 177316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 177319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_subp),
     /* 177324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 177331 */     // MIs[0] Rn
     /* 177331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 177335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 177339 */     // MIs[0] Rm
     /* 177339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 177343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 177347 */     // (intrinsic_wo_chain:{ *:[i64] } 1147:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (SUBP:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 177347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBP),
     /* 177350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177356 */     GIR_RootConstrainSelectedInstOperands,
     /* 177357 */     // GIR_Coverage, 139,
     /* 177357 */     GIR_EraseRootFromParent_Done,
     /* 177358 */   // Label 3467: @177358
     /* 177358 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(177395), // Rule ID 2390 //
     /* 177363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b16),
     /* 177371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2056:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 177387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177391 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177393 */     GIR_RootConstrainSelectedInstOperands,
     /* 177394 */     // GIR_Coverage, 2390,
     /* 177394 */     GIR_EraseRootFromParent_Done,
     /* 177395 */   // Label 3468: @177395
     /* 177395 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(177432), // Rule ID 2391 //
     /* 177400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b32),
     /* 177408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2057:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 177424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177430 */     GIR_RootConstrainSelectedInstOperands,
     /* 177431 */     // GIR_Coverage, 2391,
     /* 177431 */     GIR_EraseRootFromParent_Done,
     /* 177432 */   // Label 3469: @177432
     /* 177432 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(177469), // Rule ID 2392 //
     /* 177437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b64),
     /* 177445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2058:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 177461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177467 */     GIR_RootConstrainSelectedInstOperands,
     /* 177468 */     // GIR_Coverage, 2392,
     /* 177468 */     GIR_EraseRootFromParent_Done,
     /* 177469 */   // Label 3470: @177469
     /* 177469 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(177506), // Rule ID 2394 //
     /* 177474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b16),
     /* 177482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177495 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2061:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 177498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177504 */     GIR_RootConstrainSelectedInstOperands,
     /* 177505 */     // GIR_Coverage, 2394,
     /* 177505 */     GIR_EraseRootFromParent_Done,
     /* 177506 */   // Label 3471: @177506
     /* 177506 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(177543), // Rule ID 2395 //
     /* 177511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b32),
     /* 177519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2062:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 177535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177541 */     GIR_RootConstrainSelectedInstOperands,
     /* 177542 */     // GIR_Coverage, 2395,
     /* 177542 */     GIR_EraseRootFromParent_Done,
     /* 177543 */   // Label 3472: @177543
     /* 177543 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(177580), // Rule ID 2396 //
     /* 177548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b64),
     /* 177556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177569 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2063:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 177572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177578 */     GIR_RootConstrainSelectedInstOperands,
     /* 177579 */     // GIR_Coverage, 2396,
     /* 177579 */     GIR_EraseRootFromParent_Done,
     /* 177580 */   // Label 3473: @177580
     /* 177580 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(177617), // Rule ID 2398 //
     /* 177585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b16),
     /* 177593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1982:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 177609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177615 */     GIR_RootConstrainSelectedInstOperands,
     /* 177616 */     // GIR_Coverage, 2398,
     /* 177616 */     GIR_EraseRootFromParent_Done,
     /* 177617 */   // Label 3474: @177617
     /* 177617 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(177654), // Rule ID 2399 //
     /* 177622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b32),
     /* 177630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177643 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1983:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 177646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177652 */     GIR_RootConstrainSelectedInstOperands,
     /* 177653 */     // GIR_Coverage, 2399,
     /* 177653 */     GIR_EraseRootFromParent_Done,
     /* 177654 */   // Label 3475: @177654
     /* 177654 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(177691), // Rule ID 2400 //
     /* 177659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b64),
     /* 177667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1984:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 177683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177689 */     GIR_RootConstrainSelectedInstOperands,
     /* 177690 */     // GIR_Coverage, 2400,
     /* 177690 */     GIR_EraseRootFromParent_Done,
     /* 177691 */   // Label 3476: @177691
     /* 177691 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(177728), // Rule ID 2402 //
     /* 177696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b16),
     /* 177704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1987:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 177720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177726 */     GIR_RootConstrainSelectedInstOperands,
     /* 177727 */     // GIR_Coverage, 2402,
     /* 177727 */     GIR_EraseRootFromParent_Done,
     /* 177728 */   // Label 3477: @177728
     /* 177728 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(177765), // Rule ID 2403 //
     /* 177733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b32),
     /* 177741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177754 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1988:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 177757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177763 */     GIR_RootConstrainSelectedInstOperands,
     /* 177764 */     // GIR_Coverage, 2403,
     /* 177764 */     GIR_EraseRootFromParent_Done,
     /* 177765 */   // Label 3478: @177765
     /* 177765 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(177802), // Rule ID 2404 //
     /* 177770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b64),
     /* 177778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1989:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 177794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177800 */     GIR_RootConstrainSelectedInstOperands,
     /* 177801 */     // GIR_Coverage, 2404,
     /* 177801 */     GIR_EraseRootFromParent_Done,
     /* 177802 */   // Label 3479: @177802
     /* 177802 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(177839), // Rule ID 2406 //
     /* 177807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b16),
     /* 177815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1826:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 177831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177837 */     GIR_RootConstrainSelectedInstOperands,
     /* 177838 */     // GIR_Coverage, 2406,
     /* 177838 */     GIR_EraseRootFromParent_Done,
     /* 177839 */   // Label 3480: @177839
     /* 177839 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(177876), // Rule ID 2407 //
     /* 177844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b32),
     /* 177852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1827:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 177868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177874 */     GIR_RootConstrainSelectedInstOperands,
     /* 177875 */     // GIR_Coverage, 2407,
     /* 177875 */     GIR_EraseRootFromParent_Done,
     /* 177876 */   // Label 3481: @177876
     /* 177876 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(177913), // Rule ID 2408 //
     /* 177881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b64),
     /* 177889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1828:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 177905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177909 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177911 */     GIR_RootConstrainSelectedInstOperands,
     /* 177912 */     // GIR_Coverage, 2408,
     /* 177912 */     GIR_EraseRootFromParent_Done,
     /* 177913 */   // Label 3482: @177913
     /* 177913 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(177950), // Rule ID 2410 //
     /* 177918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b16),
     /* 177926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1831:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 177942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177948 */     GIR_RootConstrainSelectedInstOperands,
     /* 177949 */     // GIR_Coverage, 2410,
     /* 177949 */     GIR_EraseRootFromParent_Done,
     /* 177950 */   // Label 3483: @177950
     /* 177950 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(177987), // Rule ID 2411 //
     /* 177955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b32),
     /* 177963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 177966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 177969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 177972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 177976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1832:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 177976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 177979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 177981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 177983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 177985 */     GIR_RootConstrainSelectedInstOperands,
     /* 177986 */     // GIR_Coverage, 2411,
     /* 177986 */     GIR_EraseRootFromParent_Done,
     /* 177987 */   // Label 3484: @177987
     /* 177987 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(178024), // Rule ID 2412 //
     /* 177992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 177995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b64),
     /* 178000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 178003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 178006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 178009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178013 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1833:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 178013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 178016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 178018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 178020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 178022 */     GIR_RootConstrainSelectedInstOperands,
     /* 178023 */     // GIR_Coverage, 2412,
     /* 178023 */     GIR_EraseRootFromParent_Done,
     /* 178024 */   // Label 3485: @178024
     /* 178024 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(178061), // Rule ID 2413 //
     /* 178029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 178032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histseg),
     /* 178037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 178040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 178043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 178046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1451:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (HISTSEG_ZZZ:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)
     /* 178050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTSEG_ZZZ),
     /* 178053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 178057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 178059 */     GIR_RootConstrainSelectedInstOperands,
     /* 178060 */     // GIR_Coverage, 2413,
     /* 178060 */     GIR_EraseRootFromParent_Done,
     /* 178061 */   // Label 3486: @178061
     /* 178061 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(178101), // Rule ID 2607 //
     /* 178066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pfirst),
     /* 178074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 178077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 178080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 178083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178087 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1530:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PFIRST_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 178087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PFIRST_B),
     /* 178090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 178092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 178099 */     GIR_RootConstrainSelectedInstOperands,
     /* 178100 */     // GIR_Coverage, 2607,
     /* 178100 */     GIR_EraseRootFromParent_Done,
     /* 178101 */   // Label 3487: @178101
     /* 178101 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(178141), // Rule ID 2608 //
     /* 178106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 178114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 178117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 178120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 178123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1538:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PNEXT_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 178127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_B),
     /* 178130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 178132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 178139 */     GIR_RootConstrainSelectedInstOperands,
     /* 178140 */     // GIR_Coverage, 2608,
     /* 178140 */     GIR_EraseRootFromParent_Done,
     /* 178141 */   // Label 3488: @178141
     /* 178141 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(178181), // Rule ID 2609 //
     /* 178146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 178154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 178157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 178160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 178163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1538:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (PNEXT_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 178167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_H),
     /* 178170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 178172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 178179 */     GIR_RootConstrainSelectedInstOperands,
     /* 178180 */     // GIR_Coverage, 2609,
     /* 178180 */     GIR_EraseRootFromParent_Done,
     /* 178181 */   // Label 3489: @178181
     /* 178181 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(178221), // Rule ID 2610 //
     /* 178186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 178194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 178197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 178200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 178203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1538:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (PNEXT_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 178207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_S),
     /* 178210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 178212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 178219 */     GIR_RootConstrainSelectedInstOperands,
     /* 178220 */     // GIR_Coverage, 2610,
     /* 178220 */     GIR_EraseRootFromParent_Done,
     /* 178221 */   // Label 3490: @178221
     /* 178221 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(178261), // Rule ID 2611 //
     /* 178226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 178234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 178237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 178240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 178243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 178247 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1538:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (PNEXT_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 178247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_D),
     /* 178250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 178252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 178259 */     GIR_RootConstrainSelectedInstOperands,
     /* 178260 */     // GIR_Coverage, 2611,
     /* 178260 */     GIR_EraseRootFromParent_Done,
     /* 178261 */   // Label 3491: @178261
     /* 178261 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(178298), // Rule ID 2628 //
     /* 178266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 178274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 178277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 178280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 178283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1718:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 178287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_H),
     /* 178290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 178292 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178294 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178296 */     GIR_RootConstrainSelectedInstOperands,
     /* 178297 */     // GIR_Coverage, 2628,
     /* 178297 */     GIR_EraseRootFromParent_Done,
     /* 178298 */   // Label 3492: @178298
     /* 178298 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(178335), // Rule ID 2629 //
     /* 178303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 178311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 178314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 178317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 178320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1718:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 178324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_S),
     /* 178327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 178329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178333 */     GIR_RootConstrainSelectedInstOperands,
     /* 178334 */     // GIR_Coverage, 2629,
     /* 178334 */     GIR_EraseRootFromParent_Done,
     /* 178335 */   // Label 3493: @178335
     /* 178335 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(178372), // Rule ID 2630 //
     /* 178340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 178348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 178351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 178354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 178357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1718:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 178361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_D),
     /* 178364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 178366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178370 */     GIR_RootConstrainSelectedInstOperands,
     /* 178371 */     // GIR_Coverage, 2630,
     /* 178371 */     GIR_EraseRootFromParent_Done,
     /* 178372 */   // Label 3494: @178372
     /* 178372 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(178409), // Rule ID 2631 //
     /* 178377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 178385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 178391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 178394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 178398 */     // (intrinsic_wo_chain:{ *:[i64] } 1240:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (CNTP_XPP_B:{ *:[i64] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 178398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_B),
     /* 178401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178407 */     GIR_RootConstrainSelectedInstOperands,
     /* 178408 */     // GIR_Coverage, 2631,
     /* 178408 */     GIR_EraseRootFromParent_Done,
     /* 178409 */   // Label 3495: @178409
     /* 178409 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(178446), // Rule ID 2632 //
     /* 178414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 178422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 178428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 178431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 178435 */     // (intrinsic_wo_chain:{ *:[i64] } 1240:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (CNTP_XPP_H:{ *:[i64] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 178435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_H),
     /* 178438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178444 */     GIR_RootConstrainSelectedInstOperands,
     /* 178445 */     // GIR_Coverage, 2632,
     /* 178445 */     GIR_EraseRootFromParent_Done,
     /* 178446 */   // Label 3496: @178446
     /* 178446 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(178483), // Rule ID 2633 //
     /* 178451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 178459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 178465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 178468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 178472 */     // (intrinsic_wo_chain:{ *:[i64] } 1240:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (CNTP_XPP_S:{ *:[i64] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 178472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_S),
     /* 178475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178479 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178481 */     GIR_RootConstrainSelectedInstOperands,
     /* 178482 */     // GIR_Coverage, 2633,
     /* 178482 */     GIR_EraseRootFromParent_Done,
     /* 178483 */   // Label 3497: @178483
     /* 178483 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(178520), // Rule ID 2634 //
     /* 178488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 178491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 178496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 178502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 178505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 178509 */     // (intrinsic_wo_chain:{ *:[i64] } 1240:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (CNTP_XPP_D:{ *:[i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 178509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_D),
     /* 178512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178518 */     GIR_RootConstrainSelectedInstOperands,
     /* 178519 */     // GIR_Coverage, 2634,
     /* 178519 */     GIR_EraseRootFromParent_Done,
     /* 178520 */   // Label 3498: @178520
     /* 178520 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(178557), // Rule ID 2812 //
     /* 178525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 178528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 178533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 178536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 178539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 178542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178546 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1448:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 178546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_H),
     /* 178549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178551 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178553 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178555 */     GIR_RootConstrainSelectedInstOperands,
     /* 178556 */     // GIR_Coverage, 2812,
     /* 178556 */     GIR_EraseRootFromParent_Done,
     /* 178557 */   // Label 3499: @178557
     /* 178557 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(178594), // Rule ID 2813 //
     /* 178562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 178565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 178570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 178573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 178576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 178579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178583 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1448:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 178583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_S),
     /* 178586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178592 */     GIR_RootConstrainSelectedInstOperands,
     /* 178593 */     // GIR_Coverage, 2813,
     /* 178593 */     GIR_EraseRootFromParent_Done,
     /* 178594 */   // Label 3500: @178594
     /* 178594 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(178631), // Rule ID 2814 //
     /* 178599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 178602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 178607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 178610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 178613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 178616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1448:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 178620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_D),
     /* 178623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178629 */     GIR_RootConstrainSelectedInstOperands,
     /* 178630 */     // GIR_Coverage, 2814,
     /* 178630 */     GIR_EraseRootFromParent_Done,
     /* 178631 */   // Label 3501: @178631
     /* 178631 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(178668), // Rule ID 2985 //
     /* 178636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 178644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 178647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 178650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 178653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1700:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 178657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_B),
     /* 178660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178666 */     GIR_RootConstrainSelectedInstOperands,
     /* 178667 */     // GIR_Coverage, 2985,
     /* 178667 */     GIR_EraseRootFromParent_Done,
     /* 178668 */   // Label 3502: @178668
     /* 178668 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(178705), // Rule ID 2986 //
     /* 178673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 178681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 178684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 178687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 178690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1700:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 178694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_H),
     /* 178697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178701 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178703 */     GIR_RootConstrainSelectedInstOperands,
     /* 178704 */     // GIR_Coverage, 2986,
     /* 178704 */     GIR_EraseRootFromParent_Done,
     /* 178705 */   // Label 3503: @178705
     /* 178705 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(178742), // Rule ID 2987 //
     /* 178710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 178718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 178721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 178724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 178727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1700:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 178731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_S),
     /* 178734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178740 */     GIR_RootConstrainSelectedInstOperands,
     /* 178741 */     // GIR_Coverage, 2987,
     /* 178741 */     GIR_EraseRootFromParent_Done,
     /* 178742 */   // Label 3504: @178742
     /* 178742 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(178779), // Rule ID 2988 //
     /* 178747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 178755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 178758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 178761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 178764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1700:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 178768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_D),
     /* 178771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178777 */     GIR_RootConstrainSelectedInstOperands,
     /* 178778 */     // GIR_Coverage, 2988,
     /* 178778 */     GIR_EraseRootFromParent_Done,
     /* 178779 */   // Label 3505: @178779
     /* 178779 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(178816), // Rule ID 2989 //
     /* 178784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmul),
     /* 178792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 178795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 178798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 178801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1535:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMUL_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 178805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMUL_ZZZ_B),
     /* 178808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178814 */     GIR_RootConstrainSelectedInstOperands,
     /* 178815 */     // GIR_Coverage, 2989,
     /* 178815 */     GIR_EraseRootFromParent_Done,
     /* 178816 */   // Label 3506: @178816
     /* 178816 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(178853), // Rule ID 3011 //
     /* 178821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 178829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 178832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 178835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 178838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1593:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 178842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_H),
     /* 178845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178851 */     GIR_RootConstrainSelectedInstOperands,
     /* 178852 */     // GIR_Coverage, 3011,
     /* 178852 */     GIR_EraseRootFromParent_Done,
     /* 178853 */   // Label 3507: @178853
     /* 178853 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(178890), // Rule ID 3012 //
     /* 178858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 178866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 178869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 178872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 178875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1593:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 178879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_S),
     /* 178882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178888 */     GIR_RootConstrainSelectedInstOperands,
     /* 178889 */     // GIR_Coverage, 3012,
     /* 178889 */     GIR_EraseRootFromParent_Done,
     /* 178890 */   // Label 3508: @178890
     /* 178890 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(178927), // Rule ID 3013 //
     /* 178895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 178903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 178906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 178909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 178912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1593:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 178916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_D),
     /* 178919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178925 */     GIR_RootConstrainSelectedInstOperands,
     /* 178926 */     // GIR_Coverage, 3013,
     /* 178926 */     GIR_EraseRootFromParent_Done,
     /* 178927 */   // Label 3509: @178927
     /* 178927 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(178964), // Rule ID 3017 //
     /* 178932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 178935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 178940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 178943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 178946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 178949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1536:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLB_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 178953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_Q),
     /* 178956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178962 */     GIR_RootConstrainSelectedInstOperands,
     /* 178963 */     // GIR_Coverage, 3017,
     /* 178963 */     GIR_EraseRootFromParent_Done,
     /* 178964 */   // Label 3510: @178964
     /* 178964 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(179001), // Rule ID 3018 //
     /* 178969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 178972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 178977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 178980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 178983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 178986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 178990 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1536:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLB_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 178990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_H),
     /* 178993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 178995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 178997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 178999 */     GIR_RootConstrainSelectedInstOperands,
     /* 179000 */     // GIR_Coverage, 3018,
     /* 179000 */     GIR_EraseRootFromParent_Done,
     /* 179001 */   // Label 3511: @179001
     /* 179001 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(179038), // Rule ID 3019 //
     /* 179006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 179014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 179020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1536:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLB_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_D),
     /* 179030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179036 */     GIR_RootConstrainSelectedInstOperands,
     /* 179037 */     // GIR_Coverage, 3019,
     /* 179037 */     GIR_EraseRootFromParent_Done,
     /* 179038 */   // Label 3512: @179038
     /* 179038 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(179075), // Rule ID 3020 //
     /* 179043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 179046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 179051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 179054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 179057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 179060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179064 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1178:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BEXT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 179064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_B),
     /* 179067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179073 */     GIR_RootConstrainSelectedInstOperands,
     /* 179074 */     // GIR_Coverage, 3020,
     /* 179074 */     GIR_EraseRootFromParent_Done,
     /* 179075 */   // Label 3513: @179075
     /* 179075 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(179112), // Rule ID 3021 //
     /* 179080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 179083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 179088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 179091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 179094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 179097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1178:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BEXT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 179101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_H),
     /* 179104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179110 */     GIR_RootConstrainSelectedInstOperands,
     /* 179111 */     // GIR_Coverage, 3021,
     /* 179111 */     GIR_EraseRootFromParent_Done,
     /* 179112 */   // Label 3514: @179112
     /* 179112 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(179149), // Rule ID 3022 //
     /* 179117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 179120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 179125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 179131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1178:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BEXT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_S),
     /* 179141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179147 */     GIR_RootConstrainSelectedInstOperands,
     /* 179148 */     // GIR_Coverage, 3022,
     /* 179148 */     GIR_EraseRootFromParent_Done,
     /* 179149 */   // Label 3515: @179149
     /* 179149 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(179186), // Rule ID 3023 //
     /* 179154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 179157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 179162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 179165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 179168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 179171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179175 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1178:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BEXT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 179175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_D),
     /* 179178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179184 */     GIR_RootConstrainSelectedInstOperands,
     /* 179185 */     // GIR_Coverage, 3023,
     /* 179185 */     GIR_EraseRootFromParent_Done,
     /* 179186 */   // Label 3516: @179186
     /* 179186 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(179223), // Rule ID 3024 //
     /* 179191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 179199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 179202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 179205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 179208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1594:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 179212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_H),
     /* 179215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179221 */     GIR_RootConstrainSelectedInstOperands,
     /* 179222 */     // GIR_Coverage, 3024,
     /* 179222 */     GIR_EraseRootFromParent_Done,
     /* 179223 */   // Label 3517: @179223
     /* 179223 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(179260), // Rule ID 3025 //
     /* 179228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 179236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 179242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 179245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1594:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 179249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_S),
     /* 179252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179258 */     GIR_RootConstrainSelectedInstOperands,
     /* 179259 */     // GIR_Coverage, 3025,
     /* 179259 */     GIR_EraseRootFromParent_Done,
     /* 179260 */   // Label 3518: @179260
     /* 179260 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(179297), // Rule ID 3026 //
     /* 179265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 179273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 179276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 179279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1594:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_D),
     /* 179289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179295 */     GIR_RootConstrainSelectedInstOperands,
     /* 179296 */     // GIR_Coverage, 3026,
     /* 179296 */     GIR_EraseRootFromParent_Done,
     /* 179297 */   // Label 3519: @179297
     /* 179297 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(179334), // Rule ID 3073 //
     /* 179302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 179310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 179313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 179316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 179319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1155:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 179323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_B),
     /* 179326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179332 */     GIR_RootConstrainSelectedInstOperands,
     /* 179333 */     // GIR_Coverage, 3073,
     /* 179333 */     GIR_EraseRootFromParent_Done,
     /* 179334 */   // Label 3520: @179334
     /* 179334 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(179371), // Rule ID 3074 //
     /* 179339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 179347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 179350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 179353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1155:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_H),
     /* 179363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179369 */     GIR_RootConstrainSelectedInstOperands,
     /* 179370 */     // GIR_Coverage, 3074,
     /* 179370 */     GIR_EraseRootFromParent_Done,
     /* 179371 */   // Label 3521: @179371
     /* 179371 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(179408), // Rule ID 3075 //
     /* 179376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 179384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 179390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 179393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1155:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 179397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_S),
     /* 179400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179406 */     GIR_RootConstrainSelectedInstOperands,
     /* 179407 */     // GIR_Coverage, 3075,
     /* 179407 */     GIR_EraseRootFromParent_Done,
     /* 179408 */   // Label 3522: @179408
     /* 179408 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(179445), // Rule ID 3082 //
     /* 179413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 179421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 179424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 179427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 179430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1757:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 179434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_B),
     /* 179437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179443 */     GIR_RootConstrainSelectedInstOperands,
     /* 179444 */     // GIR_Coverage, 3082,
     /* 179444 */     GIR_EraseRootFromParent_Done,
     /* 179445 */   // Label 3523: @179445
     /* 179445 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(179482), // Rule ID 3083 //
     /* 179450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 179458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 179461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 179464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1757:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_H),
     /* 179474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179480 */     GIR_RootConstrainSelectedInstOperands,
     /* 179481 */     // GIR_Coverage, 3083,
     /* 179481 */     GIR_EraseRootFromParent_Done,
     /* 179482 */   // Label 3524: @179482
     /* 179482 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(179519), // Rule ID 3084 //
     /* 179487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 179490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 179495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 179501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 179504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1757:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 179508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_S),
     /* 179511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179517 */     GIR_RootConstrainSelectedInstOperands,
     /* 179518 */     // GIR_Coverage, 3084,
     /* 179518 */     GIR_EraseRootFromParent_Done,
     /* 179519 */   // Label 3525: @179519
     /* 179519 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(179559), // Rule ID 3182 //
     /* 179524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 179535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2037:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 179545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_B),
     /* 179548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179557 */     GIR_RootConstrainSelectedInstOperands,
     /* 179558 */     // GIR_Coverage, 3182,
     /* 179558 */     GIR_EraseRootFromParent_Done,
     /* 179559 */   // Label 3526: @179559
     /* 179559 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(179599), // Rule ID 3183 //
     /* 179564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 179575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2037:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 179585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_H),
     /* 179588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179597 */     GIR_RootConstrainSelectedInstOperands,
     /* 179598 */     // GIR_Coverage, 3183,
     /* 179598 */     GIR_EraseRootFromParent_Done,
     /* 179599 */   // Label 3527: @179599
     /* 179599 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(179639), // Rule ID 3184 //
     /* 179604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 179615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179625 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2037:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 179625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_S),
     /* 179628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179637 */     GIR_RootConstrainSelectedInstOperands,
     /* 179638 */     // GIR_Coverage, 3184,
     /* 179638 */     GIR_EraseRootFromParent_Done,
     /* 179639 */   // Label 3528: @179639
     /* 179639 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(179679), // Rule ID 3185 //
     /* 179644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 179655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179665 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2037:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 179665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_D),
     /* 179668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179677 */     GIR_RootConstrainSelectedInstOperands,
     /* 179678 */     // GIR_Coverage, 3185,
     /* 179678 */     GIR_EraseRootFromParent_Done,
     /* 179679 */   // Label 3529: @179679
     /* 179679 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(179719), // Rule ID 3190 //
     /* 179684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 179695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179705 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2037:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 179705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_B),
     /* 179708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179717 */     GIR_RootConstrainSelectedInstOperands,
     /* 179718 */     // GIR_Coverage, 3190,
     /* 179718 */     GIR_EraseRootFromParent_Done,
     /* 179719 */   // Label 3530: @179719
     /* 179719 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(179759), // Rule ID 3191 //
     /* 179724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 179735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2037:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 179745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_H),
     /* 179748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179757 */     GIR_RootConstrainSelectedInstOperands,
     /* 179758 */     // GIR_Coverage, 3191,
     /* 179758 */     GIR_EraseRootFromParent_Done,
     /* 179759 */   // Label 3531: @179759
     /* 179759 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(179799), // Rule ID 3192 //
     /* 179764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 179775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2037:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 179785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_S),
     /* 179788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179797 */     GIR_RootConstrainSelectedInstOperands,
     /* 179798 */     // GIR_Coverage, 3192,
     /* 179798 */     GIR_EraseRootFromParent_Done,
     /* 179799 */   // Label 3532: @179799
     /* 179799 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(179839), // Rule ID 3193 //
     /* 179804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 179807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 179812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 179815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 179825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2037:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 179825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_D),
     /* 179828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 179830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 179837 */     GIR_RootConstrainSelectedInstOperands,
     /* 179838 */     // GIR_Coverage, 3193,
     /* 179838 */     GIR_EraseRootFromParent_Done,
     /* 179839 */   // Label 3533: @179839
     /* 179839 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(179876), // Rule ID 3382 //
     /* 179844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 179847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 179852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 179858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1246:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 179865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 179868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179874 */     GIR_RootConstrainSelectedInstOperands,
     /* 179875 */     // GIR_Coverage, 3382,
     /* 179875 */     GIR_EraseRootFromParent_Done,
     /* 179876 */   // Label 3534: @179876
     /* 179876 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(179913), // Rule ID 3383 //
     /* 179881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 179884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 179889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 179892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 179895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 179898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179902 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1246:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 179902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 179905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179909 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179911 */     GIR_RootConstrainSelectedInstOperands,
     /* 179912 */     // GIR_Coverage, 3383,
     /* 179912 */     GIR_EraseRootFromParent_Done,
     /* 179913 */   // Label 3535: @179913
     /* 179913 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(179950), // Rule ID 3384 //
     /* 179918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 179921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 179926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 179929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 179932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 179935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1246:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 179939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 179942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179948 */     GIR_RootConstrainSelectedInstOperands,
     /* 179949 */     // GIR_Coverage, 3384,
     /* 179949 */     GIR_EraseRootFromParent_Done,
     /* 179950 */   // Label 3536: @179950
     /* 179950 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(179987), // Rule ID 3385 //
     /* 179955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 179958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 179963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 179966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 179969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 179972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 179976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1246:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 179976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 179979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 179981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 179983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 179985 */     GIR_RootConstrainSelectedInstOperands,
     /* 179986 */     // GIR_Coverage, 3385,
     /* 179986 */     GIR_EraseRootFromParent_Done,
     /* 179987 */   // Label 3537: @179987
     /* 179987 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(180024), // Rule ID 3407 //
     /* 179992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 179995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 180000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 180003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 180006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180013 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1449:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSSEL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 180013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_H),
     /* 180016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180022 */     GIR_RootConstrainSelectedInstOperands,
     /* 180023 */     // GIR_Coverage, 3407,
     /* 180023 */     GIR_EraseRootFromParent_Done,
     /* 180024 */   // Label 3538: @180024
     /* 180024 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(180061), // Rule ID 3408 //
     /* 180029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 180032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 180037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180050 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1449:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSSEL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 180050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_S),
     /* 180053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180059 */     GIR_RootConstrainSelectedInstOperands,
     /* 180060 */     // GIR_Coverage, 3408,
     /* 180060 */     GIR_EraseRootFromParent_Done,
     /* 180061 */   // Label 3539: @180061
     /* 180061 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(180098), // Rule ID 3409 //
     /* 180066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 180069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 180074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 180077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 180080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180087 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1449:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSSEL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 180087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_D),
     /* 180090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180096 */     GIR_RootConstrainSelectedInstOperands,
     /* 180097 */     // GIR_Coverage, 3409,
     /* 180097 */     GIR_EraseRootFromParent_Done,
     /* 180098 */   // Label 3540: @180098
     /* 180098 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(180135), // Rule ID 3431 //
     /* 180103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka_z),
     /* 180111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 180114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 180117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 180120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1199:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKA_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 180124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPzP),
     /* 180127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 180129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180133 */     GIR_RootConstrainSelectedInstOperands,
     /* 180134 */     // GIR_Coverage, 3431,
     /* 180134 */     GIR_EraseRootFromParent_Done,
     /* 180135 */   // Label 3541: @180135
     /* 180135 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(180172), // Rule ID 3436 //
     /* 180140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 180143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4ekey),
     /* 180148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1629:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4EKEY_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 180161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4EKEY_ZZZ_S),
     /* 180164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180170 */     GIR_RootConstrainSelectedInstOperands,
     /* 180171 */     // GIR_Coverage, 3436,
     /* 180171 */     GIR_EraseRootFromParent_Done,
     /* 180172 */   // Label 3542: @180172
     /* 180172 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(180209), // Rule ID 3437 //
     /* 180177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 180180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aese),
     /* 180185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 180188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 180191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 180194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1164:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESE_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 180198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESE_ZZZ_B),
     /* 180201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 180203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180207 */     GIR_RootConstrainSelectedInstOperands,
     /* 180208 */     // GIR_Coverage, 3437,
     /* 180208 */     GIR_EraseRootFromParent_Done,
     /* 180209 */   // Label 3543: @180209
     /* 180209 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(180246), // Rule ID 3446 //
     /* 180214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 180225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 180228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 180231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180235 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2059:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 180235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180244 */     GIR_RootConstrainSelectedInstOperands,
     /* 180245 */     // GIR_Coverage, 3446,
     /* 180245 */     GIR_EraseRootFromParent_Done,
     /* 180246 */   // Label 3544: @180246
     /* 180246 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(180283), // Rule ID 3447 //
     /* 180251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 180262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 180265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2059:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 180272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180281 */     GIR_RootConstrainSelectedInstOperands,
     /* 180282 */     // GIR_Coverage, 3447,
     /* 180282 */     GIR_EraseRootFromParent_Done,
     /* 180283 */   // Label 3545: @180283
     /* 180283 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(180320), // Rule ID 3448 //
     /* 180288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 180299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 180302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180309 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2059:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 180309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180318 */     GIR_RootConstrainSelectedInstOperands,
     /* 180319 */     // GIR_Coverage, 3448,
     /* 180319 */     GIR_EraseRootFromParent_Done,
     /* 180320 */   // Label 3546: @180320
     /* 180320 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(180357), // Rule ID 3449 //
     /* 180325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2059:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 180346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180355 */     GIR_RootConstrainSelectedInstOperands,
     /* 180356 */     // GIR_Coverage, 3449,
     /* 180356 */     GIR_EraseRootFromParent_Done,
     /* 180357 */   // Label 3547: @180357
     /* 180357 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(180394), // Rule ID 3450 //
     /* 180362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2059:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 180383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180392 */     GIR_RootConstrainSelectedInstOperands,
     /* 180393 */     // GIR_Coverage, 3450,
     /* 180393 */     GIR_EraseRootFromParent_Done,
     /* 180394 */   // Label 3548: @180394
     /* 180394 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(180431), // Rule ID 3451 //
     /* 180399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 180410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 180413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2059:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 180420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180429 */     GIR_RootConstrainSelectedInstOperands,
     /* 180430 */     // GIR_Coverage, 3451,
     /* 180430 */     GIR_EraseRootFromParent_Done,
     /* 180431 */   // Label 3549: @180431
     /* 180431 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(180468), // Rule ID 3452 //
     /* 180436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 180439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 180444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 180447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 180450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2059:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 180457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 180460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180466 */     GIR_RootConstrainSelectedInstOperands,
     /* 180467 */     // GIR_Coverage, 3452,
     /* 180467 */     GIR_EraseRootFromParent_Done,
     /* 180468 */   // Label 3550: @180468
     /* 180468 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(180505), // Rule ID 3507 //
     /* 180473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 180481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 180487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180494 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1272:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADDQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 180494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_H),
     /* 180497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180501 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180503 */     GIR_RootConstrainSelectedInstOperands,
     /* 180504 */     // GIR_Coverage, 3507,
     /* 180504 */     GIR_EraseRootFromParent_Done,
     /* 180505 */   // Label 3551: @180505
     /* 180505 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(180542), // Rule ID 3508 //
     /* 180510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 180518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 180524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180531 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1272:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADDQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 180531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_S),
     /* 180534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180540 */     GIR_RootConstrainSelectedInstOperands,
     /* 180541 */     // GIR_Coverage, 3508,
     /* 180541 */     GIR_EraseRootFromParent_Done,
     /* 180542 */   // Label 3552: @180542
     /* 180542 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(180579), // Rule ID 3509 //
     /* 180547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 180555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 180561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180568 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1272:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADDQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 180568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_D),
     /* 180571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180577 */     GIR_RootConstrainSelectedInstOperands,
     /* 180578 */     // GIR_Coverage, 3509,
     /* 180578 */     GIR_EraseRootFromParent_Done,
     /* 180579 */   // Label 3553: @180579
     /* 180579 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(180616), // Rule ID 3539 //
     /* 180584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 180592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 180595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 180598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 180601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180605 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1523:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 180605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_B),
     /* 180608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180614 */     GIR_RootConstrainSelectedInstOperands,
     /* 180615 */     // GIR_Coverage, 3539,
     /* 180615 */     GIR_EraseRootFromParent_Done,
     /* 180616 */   // Label 3554: @180616
     /* 180616 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(180653), // Rule ID 3540 //
     /* 180621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 180629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 180635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180642 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1523:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 180642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_H),
     /* 180645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180651 */     GIR_RootConstrainSelectedInstOperands,
     /* 180652 */     // GIR_Coverage, 3540,
     /* 180652 */     GIR_EraseRootFromParent_Done,
     /* 180653 */   // Label 3555: @180653
     /* 180653 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(180690), // Rule ID 3541 //
     /* 180658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 180666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 180672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180679 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1523:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 180679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_S),
     /* 180682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180688 */     GIR_RootConstrainSelectedInstOperands,
     /* 180689 */     // GIR_Coverage, 3541,
     /* 180689 */     GIR_EraseRootFromParent_Done,
     /* 180690 */   // Label 3556: @180690
     /* 180690 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(180727), // Rule ID 3542 //
     /* 180695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 180703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 180709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180716 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1523:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 180716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_D),
     /* 180719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180725 */     GIR_RootConstrainSelectedInstOperands,
     /* 180726 */     // GIR_Coverage, 3542,
     /* 180726 */     GIR_EraseRootFromParent_Done,
     /* 180727 */   // Label 3557: @180727
     /* 180727 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(180764), // Rule ID 3543 //
     /* 180732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 180743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 180746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 180749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2067:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 180753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_B),
     /* 180756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180762 */     GIR_RootConstrainSelectedInstOperands,
     /* 180763 */     // GIR_Coverage, 3543,
     /* 180763 */     GIR_EraseRootFromParent_Done,
     /* 180764 */   // Label 3558: @180764
     /* 180764 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(180801), // Rule ID 3544 //
     /* 180769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 180780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 180783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2067:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 180790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 180793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180799 */     GIR_RootConstrainSelectedInstOperands,
     /* 180800 */     // GIR_Coverage, 3544,
     /* 180800 */     GIR_EraseRootFromParent_Done,
     /* 180801 */   // Label 3559: @180801
     /* 180801 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(180838), // Rule ID 3545 //
     /* 180806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2067:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 180827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 180830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180836 */     GIR_RootConstrainSelectedInstOperands,
     /* 180837 */     // GIR_Coverage, 3545,
     /* 180837 */     GIR_EraseRootFromParent_Done,
     /* 180838 */   // Label 3560: @180838
     /* 180838 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(180875), // Rule ID 3546 //
     /* 180843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 180854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 180857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2067:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 180864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 180867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180871 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180873 */     GIR_RootConstrainSelectedInstOperands,
     /* 180874 */     // GIR_Coverage, 3546,
     /* 180874 */     GIR_EraseRootFromParent_Done,
     /* 180875 */   // Label 3561: @180875
     /* 180875 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(180912), // Rule ID 3547 //
     /* 180880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 180891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 180894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 180897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2067:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 180901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 180904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180910 */     GIR_RootConstrainSelectedInstOperands,
     /* 180911 */     // GIR_Coverage, 3547,
     /* 180911 */     GIR_EraseRootFromParent_Done,
     /* 180912 */   // Label 3562: @180912
     /* 180912 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(180949), // Rule ID 3548 //
     /* 180917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 180928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 180931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 180934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180938 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2067:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 180938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 180941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180947 */     GIR_RootConstrainSelectedInstOperands,
     /* 180948 */     // GIR_Coverage, 3548,
     /* 180948 */     GIR_EraseRootFromParent_Done,
     /* 180949 */   // Label 3563: @180949
     /* 180949 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(180986), // Rule ID 3549 //
     /* 180954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 180962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 180965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 180968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 180971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 180975 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2067:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 180975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 180978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 180980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 180982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 180984 */     GIR_RootConstrainSelectedInstOperands,
     /* 180985 */     // GIR_Coverage, 3549,
     /* 180985 */     GIR_EraseRootFromParent_Done,
     /* 180986 */   // Label 3564: @180986
     /* 180986 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(181023), // Rule ID 3550 //
     /* 180991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 180994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 180999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 181002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 181005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 181008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1822:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TBLQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 181012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_B),
     /* 181015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181021 */     GIR_RootConstrainSelectedInstOperands,
     /* 181022 */     // GIR_Coverage, 3550,
     /* 181022 */     GIR_EraseRootFromParent_Done,
     /* 181023 */   // Label 3565: @181023
     /* 181023 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(181060), // Rule ID 3551 //
     /* 181028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 181039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 181042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 181045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1822:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 181049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 181052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181058 */     GIR_RootConstrainSelectedInstOperands,
     /* 181059 */     // GIR_Coverage, 3551,
     /* 181059 */     GIR_EraseRootFromParent_Done,
     /* 181060 */   // Label 3566: @181060
     /* 181060 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(181097), // Rule ID 3552 //
     /* 181065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1822:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 181089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181095 */     GIR_RootConstrainSelectedInstOperands,
     /* 181096 */     // GIR_Coverage, 3552,
     /* 181096 */     GIR_EraseRootFromParent_Done,
     /* 181097 */   // Label 3567: @181097
     /* 181097 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(181134), // Rule ID 3553 //
     /* 181102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1822:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 181126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181132 */     GIR_RootConstrainSelectedInstOperands,
     /* 181133 */     // GIR_Coverage, 3553,
     /* 181133 */     GIR_EraseRootFromParent_Done,
     /* 181134 */   // Label 3568: @181134
     /* 181134 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(181171), // Rule ID 3554 //
     /* 181139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 181150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 181153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 181156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1822:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 181160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 181163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181169 */     GIR_RootConstrainSelectedInstOperands,
     /* 181170 */     // GIR_Coverage, 3554,
     /* 181170 */     GIR_EraseRootFromParent_Done,
     /* 181171 */   // Label 3569: @181171
     /* 181171 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(181208), // Rule ID 3555 //
     /* 181176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181197 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1822:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 181200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181206 */     GIR_RootConstrainSelectedInstOperands,
     /* 181207 */     // GIR_Coverage, 3555,
     /* 181207 */     GIR_EraseRootFromParent_Done,
     /* 181208 */   // Label 3570: @181208
     /* 181208 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(181245), // Rule ID 3556 //
     /* 181213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 181216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 181221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181234 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1822:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 181237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181243 */     GIR_RootConstrainSelectedInstOperands,
     /* 181244 */     // GIR_Coverage, 3556,
     /* 181244 */     GIR_EraseRootFromParent_Done,
     /* 181245 */   // Label 3571: @181245
     /* 181245 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(181282), // Rule ID 8238 //
     /* 181250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb_z),
     /* 181258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 181261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 181264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 181267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181271 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1201:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKB_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 181271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPzP),
     /* 181274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181280 */     GIR_RootConstrainSelectedInstOperands,
     /* 181281 */     // GIR_Coverage, 8238,
     /* 181281 */     GIR_EraseRootFromParent_Done,
     /* 181282 */   // Label 3572: @181282
     /* 181282 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(181319), // Rule ID 8714 //
     /* 181287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 181295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1159:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_0:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_0),
     /* 181311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181317 */     GIR_RootConstrainSelectedInstOperands,
     /* 181318 */     // GIR_Coverage, 8714,
     /* 181318 */     GIR_EraseRootFromParent_Done,
     /* 181319 */   // Label 3573: @181319
     /* 181319 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(181356), // Rule ID 8715 //
     /* 181324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 181332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1161:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_1:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_1),
     /* 181348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181354 */     GIR_RootConstrainSelectedInstOperands,
     /* 181355 */     // GIR_Coverage, 8715,
     /* 181355 */     GIR_EraseRootFromParent_Done,
     /* 181356 */   // Label 3574: @181356
     /* 181356 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(181393), // Rule ID 8716 //
     /* 181361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 181369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1162:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_2),
     /* 181385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181391 */     GIR_RootConstrainSelectedInstOperands,
     /* 181392 */     // GIR_Coverage, 8716,
     /* 181392 */     GIR_EraseRootFromParent_Done,
     /* 181393 */   // Label 3575: @181393
     /* 181393 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(181430), // Rule ID 8717 //
     /* 181398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 181406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 181409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 181412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 181415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1160:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_3:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 181419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_3),
     /* 181422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181428 */     GIR_RootConstrainSelectedInstOperands,
     /* 181429 */     // GIR_Coverage, 8717,
     /* 181429 */     GIR_EraseRootFromParent_Done,
     /* 181430 */   // Label 3576: @181430
     /* 181430 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(181467), // Rule ID 8718 //
     /* 181435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 181443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1159:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_0),
     /* 181459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181465 */     GIR_RootConstrainSelectedInstOperands,
     /* 181466 */     // GIR_Coverage, 8718,
     /* 181466 */     GIR_EraseRootFromParent_Done,
     /* 181467 */   // Label 3577: @181467
     /* 181467 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(181504), // Rule ID 8719 //
     /* 181472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 181480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1161:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_1:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_1),
     /* 181496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181502 */     GIR_RootConstrainSelectedInstOperands,
     /* 181503 */     // GIR_Coverage, 8719,
     /* 181503 */     GIR_EraseRootFromParent_Done,
     /* 181504 */   // Label 3578: @181504
     /* 181504 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(181541), // Rule ID 8720 //
     /* 181509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 181517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1162:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_2),
     /* 181533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181539 */     GIR_RootConstrainSelectedInstOperands,
     /* 181540 */     // GIR_Coverage, 8720,
     /* 181540 */     GIR_EraseRootFromParent_Done,
     /* 181541 */   // Label 3579: @181541
     /* 181541 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(181578), // Rule ID 8721 //
     /* 181546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 181549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 181554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 181557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 181560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 181563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 181567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1160:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_3:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 181567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_3),
     /* 181570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 181572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181576 */     GIR_RootConstrainSelectedInstOperands,
     /* 181577 */     // GIR_Coverage, 8721,
     /* 181577 */     GIR_EraseRootFromParent_Done,
     /* 181578 */   // Label 3580: @181578
     /* 181578 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(181618), // Rule ID 9721 //
     /* 181583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 181591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 181594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2019:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_B),
     /* 181607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181616 */     GIR_RootConstrainSelectedInstOperands,
     /* 181617 */     // GIR_Coverage, 9721,
     /* 181617 */     GIR_EraseRootFromParent_Done,
     /* 181618 */   // Label 3581: @181618
     /* 181618 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(181658), // Rule ID 9722 //
     /* 181623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 181631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 181634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2019:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_H),
     /* 181647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181651 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181656 */     GIR_RootConstrainSelectedInstOperands,
     /* 181657 */     // GIR_Coverage, 9722,
     /* 181657 */     GIR_EraseRootFromParent_Done,
     /* 181658 */   // Label 3582: @181658
     /* 181658 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(181698), // Rule ID 9723 //
     /* 181663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 181671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 181674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2019:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_S),
     /* 181687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181696 */     GIR_RootConstrainSelectedInstOperands,
     /* 181697 */     // GIR_Coverage, 9723,
     /* 181697 */     GIR_EraseRootFromParent_Done,
     /* 181698 */   // Label 3583: @181698
     /* 181698 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(181738), // Rule ID 9724 //
     /* 181703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 181711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 181714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2019:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_D),
     /* 181727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181731 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181736 */     GIR_RootConstrainSelectedInstOperands,
     /* 181737 */     // GIR_Coverage, 9724,
     /* 181737 */     GIR_EraseRootFromParent_Done,
     /* 181738 */   // Label 3584: @181738
     /* 181738 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(181778), // Rule ID 9725 //
     /* 181743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 181751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 181754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2025:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_B),
     /* 181767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181776 */     GIR_RootConstrainSelectedInstOperands,
     /* 181777 */     // GIR_Coverage, 9725,
     /* 181777 */     GIR_EraseRootFromParent_Done,
     /* 181778 */   // Label 3585: @181778
     /* 181778 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(181818), // Rule ID 9726 //
     /* 181783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 181791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 181794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2025:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_H),
     /* 181807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181816 */     GIR_RootConstrainSelectedInstOperands,
     /* 181817 */     // GIR_Coverage, 9726,
     /* 181817 */     GIR_EraseRootFromParent_Done,
     /* 181818 */   // Label 3586: @181818
     /* 181818 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(181858), // Rule ID 9727 //
     /* 181823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 181831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 181834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2025:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_S),
     /* 181847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181856 */     GIR_RootConstrainSelectedInstOperands,
     /* 181857 */     // GIR_Coverage, 9727,
     /* 181857 */     GIR_EraseRootFromParent_Done,
     /* 181858 */   // Label 3587: @181858
     /* 181858 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(181898), // Rule ID 9728 //
     /* 181863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 181871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 181874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2025:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_D),
     /* 181887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181896 */     GIR_RootConstrainSelectedInstOperands,
     /* 181897 */     // GIR_Coverage, 9728,
     /* 181897 */     GIR_EraseRootFromParent_Done,
     /* 181898 */   // Label 3588: @181898
     /* 181898 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(181938), // Rule ID 9733 //
     /* 181903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 181911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 181914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2031:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_B),
     /* 181927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181936 */     GIR_RootConstrainSelectedInstOperands,
     /* 181937 */     // GIR_Coverage, 9733,
     /* 181937 */     GIR_EraseRootFromParent_Done,
     /* 181938 */   // Label 3589: @181938
     /* 181938 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(181978), // Rule ID 9734 //
     /* 181943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 181951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 181954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2031:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 181964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_H),
     /* 181967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 181969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 181971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 181973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 181976 */     GIR_RootConstrainSelectedInstOperands,
     /* 181977 */     // GIR_Coverage, 9734,
     /* 181977 */     GIR_EraseRootFromParent_Done,
     /* 181978 */   // Label 3590: @181978
     /* 181978 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(182018), // Rule ID 9735 //
     /* 181983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 181991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 181994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2031:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 182004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_S),
     /* 182007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182016 */     GIR_RootConstrainSelectedInstOperands,
     /* 182017 */     // GIR_Coverage, 9735,
     /* 182017 */     GIR_EraseRootFromParent_Done,
     /* 182018 */   // Label 3591: @182018
     /* 182018 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(182058), // Rule ID 9736 //
     /* 182023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 182031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 182034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2031:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 182044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_D),
     /* 182047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182051 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182056 */     GIR_RootConstrainSelectedInstOperands,
     /* 182057 */     // GIR_Coverage, 9736,
     /* 182057 */     GIR_EraseRootFromParent_Done,
     /* 182058 */   // Label 3592: @182058
     /* 182058 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(182098), // Rule ID 9737 //
     /* 182063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 182071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 182074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2019:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_B),
     /* 182087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182091 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182096 */     GIR_RootConstrainSelectedInstOperands,
     /* 182097 */     // GIR_Coverage, 9737,
     /* 182097 */     GIR_EraseRootFromParent_Done,
     /* 182098 */   // Label 3593: @182098
     /* 182098 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(182138), // Rule ID 9738 //
     /* 182103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 182111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 182114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2019:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_H),
     /* 182127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182136 */     GIR_RootConstrainSelectedInstOperands,
     /* 182137 */     // GIR_Coverage, 9738,
     /* 182137 */     GIR_EraseRootFromParent_Done,
     /* 182138 */   // Label 3594: @182138
     /* 182138 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(182178), // Rule ID 9739 //
     /* 182143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 182151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 182154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2019:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_S),
     /* 182167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182176 */     GIR_RootConstrainSelectedInstOperands,
     /* 182177 */     // GIR_Coverage, 9739,
     /* 182177 */     GIR_EraseRootFromParent_Done,
     /* 182178 */   // Label 3595: @182178
     /* 182178 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(182218), // Rule ID 9740 //
     /* 182183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 182191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 182194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2019:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_D),
     /* 182207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182211 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182216 */     GIR_RootConstrainSelectedInstOperands,
     /* 182217 */     // GIR_Coverage, 9740,
     /* 182217 */     GIR_EraseRootFromParent_Done,
     /* 182218 */   // Label 3596: @182218
     /* 182218 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(182258), // Rule ID 9741 //
     /* 182223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 182231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 182234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182244 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2025:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_B),
     /* 182247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182256 */     GIR_RootConstrainSelectedInstOperands,
     /* 182257 */     // GIR_Coverage, 9741,
     /* 182257 */     GIR_EraseRootFromParent_Done,
     /* 182258 */   // Label 3597: @182258
     /* 182258 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(182298), // Rule ID 9742 //
     /* 182263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 182271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 182274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2025:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_H),
     /* 182287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182291 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182296 */     GIR_RootConstrainSelectedInstOperands,
     /* 182297 */     // GIR_Coverage, 9742,
     /* 182297 */     GIR_EraseRootFromParent_Done,
     /* 182298 */   // Label 3598: @182298
     /* 182298 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(182338), // Rule ID 9743 //
     /* 182303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 182311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 182314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2025:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_S),
     /* 182327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182336 */     GIR_RootConstrainSelectedInstOperands,
     /* 182337 */     // GIR_Coverage, 9743,
     /* 182337 */     GIR_EraseRootFromParent_Done,
     /* 182338 */   // Label 3599: @182338
     /* 182338 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(182378), // Rule ID 9744 //
     /* 182343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 182351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 182354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2025:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_D),
     /* 182367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182376 */     GIR_RootConstrainSelectedInstOperands,
     /* 182377 */     // GIR_Coverage, 9744,
     /* 182377 */     GIR_EraseRootFromParent_Done,
     /* 182378 */   // Label 3600: @182378
     /* 182378 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(182418), // Rule ID 9749 //
     /* 182383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 182391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 182394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2031:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 182407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182416 */     GIR_RootConstrainSelectedInstOperands,
     /* 182417 */     // GIR_Coverage, 9749,
     /* 182417 */     GIR_EraseRootFromParent_Done,
     /* 182418 */   // Label 3601: @182418
     /* 182418 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(182458), // Rule ID 9750 //
     /* 182423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 182431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 182434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2031:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 182447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182456 */     GIR_RootConstrainSelectedInstOperands,
     /* 182457 */     // GIR_Coverage, 9750,
     /* 182457 */     GIR_EraseRootFromParent_Done,
     /* 182458 */   // Label 3602: @182458
     /* 182458 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(182498), // Rule ID 9751 //
     /* 182463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 182471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 182474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2031:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 182487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182496 */     GIR_RootConstrainSelectedInstOperands,
     /* 182497 */     // GIR_Coverage, 9751,
     /* 182497 */     GIR_EraseRootFromParent_Done,
     /* 182498 */   // Label 3603: @182498
     /* 182498 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(182538), // Rule ID 9752 //
     /* 182503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 182511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 182514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 182524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2031:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 182524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 182527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 182529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 182536 */     GIR_RootConstrainSelectedInstOperands,
     /* 182537 */     // GIR_Coverage, 9752,
     /* 182537 */     GIR_EraseRootFromParent_Done,
     /* 182538 */   // Label 3604: @182538
     /* 182538 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(182575), // Rule ID 9911 //
     /* 182543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 182551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 182554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 182557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 182560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1929:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 182564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_H),
     /* 182567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182573 */     GIR_RootConstrainSelectedInstOperands,
     /* 182574 */     // GIR_Coverage, 9911,
     /* 182574 */     GIR_EraseRootFromParent_Done,
     /* 182575 */   // Label 3605: @182575
     /* 182575 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(182612), // Rule ID 9912 //
     /* 182580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 182588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 182591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 182594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 182597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1929:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 182601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_S),
     /* 182604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182610 */     GIR_RootConstrainSelectedInstOperands,
     /* 182611 */     // GIR_Coverage, 9912,
     /* 182611 */     GIR_EraseRootFromParent_Done,
     /* 182612 */   // Label 3606: @182612
     /* 182612 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(182649), // Rule ID 9913 //
     /* 182617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 182625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 182628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 182631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 182634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1929:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 182638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_D),
     /* 182641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182647 */     GIR_RootConstrainSelectedInstOperands,
     /* 182648 */     // GIR_Coverage, 9913,
     /* 182648 */     GIR_EraseRootFromParent_Done,
     /* 182649 */   // Label 3607: @182649
     /* 182649 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(182686), // Rule ID 9914 //
     /* 182654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 182662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 182665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 182668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 182671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1684:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 182675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_H),
     /* 182678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182684 */     GIR_RootConstrainSelectedInstOperands,
     /* 182685 */     // GIR_Coverage, 9914,
     /* 182685 */     GIR_EraseRootFromParent_Done,
     /* 182686 */   // Label 3608: @182686
     /* 182686 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(182723), // Rule ID 9915 //
     /* 182691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 182699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 182702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 182705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 182708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1684:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 182712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_S),
     /* 182715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182721 */     GIR_RootConstrainSelectedInstOperands,
     /* 182722 */     // GIR_Coverage, 9915,
     /* 182722 */     GIR_EraseRootFromParent_Done,
     /* 182723 */   // Label 3609: @182723
     /* 182723 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(182760), // Rule ID 9916 //
     /* 182728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 182736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 182739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 182742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 182745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1684:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 182749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_D),
     /* 182752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182758 */     GIR_RootConstrainSelectedInstOperands,
     /* 182759 */     // GIR_Coverage, 9916,
     /* 182759 */     GIR_EraseRootFromParent_Done,
     /* 182760 */   // Label 3610: @182760
     /* 182760 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(182797), // Rule ID 9917 //
     /* 182765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 182773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 182776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 182779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 182782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1915:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 182786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_H),
     /* 182789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182795 */     GIR_RootConstrainSelectedInstOperands,
     /* 182796 */     // GIR_Coverage, 9917,
     /* 182796 */     GIR_EraseRootFromParent_Done,
     /* 182797 */   // Label 3611: @182797
     /* 182797 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(182834), // Rule ID 9918 //
     /* 182802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 182810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 182813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 182816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 182819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1915:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 182823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_S),
     /* 182826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182832 */     GIR_RootConstrainSelectedInstOperands,
     /* 182833 */     // GIR_Coverage, 9918,
     /* 182833 */     GIR_EraseRootFromParent_Done,
     /* 182834 */   // Label 3612: @182834
     /* 182834 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(182871), // Rule ID 9919 //
     /* 182839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 182842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 182847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 182850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 182853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 182856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1915:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 182860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_D),
     /* 182863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 182865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182869 */     GIR_RootConstrainSelectedInstOperands,
     /* 182870 */     // GIR_Coverage, 9919,
     /* 182870 */     GIR_EraseRootFromParent_Done,
     /* 182871 */   // Label 3613: @182871
     /* 182871 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(182908), // Rule ID 11059 //
     /* 182876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 182879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 182884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 182887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 182890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 182893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2064:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 182897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 182900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 182902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182906 */     GIR_RootConstrainSelectedInstOperands,
     /* 182907 */     // GIR_Coverage, 11059,
     /* 182907 */     GIR_EraseRootFromParent_Done,
     /* 182908 */   // Label 3614: @182908
     /* 182908 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(182945), // Rule ID 11060 //
     /* 182913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 182916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 182921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 182924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 182927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 182930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2064:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 182934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 182937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 182939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182943 */     GIR_RootConstrainSelectedInstOperands,
     /* 182944 */     // GIR_Coverage, 11060,
     /* 182944 */     GIR_EraseRootFromParent_Done,
     /* 182945 */   // Label 3615: @182945
     /* 182945 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(182982), // Rule ID 11061 //
     /* 182950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 182953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 182958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 182961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 182964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 182967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 182971 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2064:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 182971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 182974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 182976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 182978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 182980 */     GIR_RootConstrainSelectedInstOperands,
     /* 182981 */     // GIR_Coverage, 11061,
     /* 182981 */     GIR_EraseRootFromParent_Done,
     /* 182982 */   // Label 3616: @182982
     /* 182982 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(183019), // Rule ID 11062 //
     /* 182987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 182990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 182995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 182998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2064:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 183008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 183011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183017 */     GIR_RootConstrainSelectedInstOperands,
     /* 183018 */     // GIR_Coverage, 11062,
     /* 183018 */     GIR_EraseRootFromParent_Done,
     /* 183019 */   // Label 3617: @183019
     /* 183019 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(183056), // Rule ID 11063 //
     /* 183024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 183032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183045 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2064:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 183045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 183048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183054 */     GIR_RootConstrainSelectedInstOperands,
     /* 183055 */     // GIR_Coverage, 11063,
     /* 183055 */     GIR_EraseRootFromParent_Done,
     /* 183056 */   // Label 3618: @183056
     /* 183056 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(183093), // Rule ID 11064 //
     /* 183061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 183069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2064:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 183082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 183085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183091 */     GIR_RootConstrainSelectedInstOperands,
     /* 183092 */     // GIR_Coverage, 11064,
     /* 183092 */     GIR_EraseRootFromParent_Done,
     /* 183093 */   // Label 3619: @183093
     /* 183093 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(183130), // Rule ID 11065 //
     /* 183098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 183106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183119 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2064:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 183119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 183122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183126 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183128 */     GIR_RootConstrainSelectedInstOperands,
     /* 183129 */     // GIR_Coverage, 11065,
     /* 183129 */     GIR_EraseRootFromParent_Done,
     /* 183130 */   // Label 3620: @183130
     /* 183130 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(183167), // Rule ID 11066 //
     /* 183135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 183146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 183149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 183152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183156 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1985:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 183156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183165 */     GIR_RootConstrainSelectedInstOperands,
     /* 183166 */     // GIR_Coverage, 11066,
     /* 183166 */     GIR_EraseRootFromParent_Done,
     /* 183167 */   // Label 3621: @183167
     /* 183167 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(183204), // Rule ID 11067 //
     /* 183172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1985:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 183193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183202 */     GIR_RootConstrainSelectedInstOperands,
     /* 183203 */     // GIR_Coverage, 11067,
     /* 183203 */     GIR_EraseRootFromParent_Done,
     /* 183204 */   // Label 3622: @183204
     /* 183204 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(183241), // Rule ID 11068 //
     /* 183209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183230 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1985:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 183230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183239 */     GIR_RootConstrainSelectedInstOperands,
     /* 183240 */     // GIR_Coverage, 11068,
     /* 183240 */     GIR_EraseRootFromParent_Done,
     /* 183241 */   // Label 3623: @183241
     /* 183241 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(183278), // Rule ID 11069 //
     /* 183246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1985:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 183267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183276 */     GIR_RootConstrainSelectedInstOperands,
     /* 183277 */     // GIR_Coverage, 11069,
     /* 183277 */     GIR_EraseRootFromParent_Done,
     /* 183278 */   // Label 3624: @183278
     /* 183278 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(183315), // Rule ID 11070 //
     /* 183283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183304 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1985:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 183304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183313 */     GIR_RootConstrainSelectedInstOperands,
     /* 183314 */     // GIR_Coverage, 11070,
     /* 183314 */     GIR_EraseRootFromParent_Done,
     /* 183315 */   // Label 3625: @183315
     /* 183315 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(183352), // Rule ID 11071 //
     /* 183320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1985:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 183341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183350 */     GIR_RootConstrainSelectedInstOperands,
     /* 183351 */     // GIR_Coverage, 11071,
     /* 183351 */     GIR_EraseRootFromParent_Done,
     /* 183352 */   // Label 3626: @183352
     /* 183352 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(183389), // Rule ID 11072 //
     /* 183357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 183365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183378 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1985:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 183378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 183381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183385 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183387 */     GIR_RootConstrainSelectedInstOperands,
     /* 183388 */     // GIR_Coverage, 11072,
     /* 183388 */     GIR_EraseRootFromParent_Done,
     /* 183389 */   // Label 3627: @183389
     /* 183389 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(183426), // Rule ID 11073 //
     /* 183394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 183405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 183408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 183411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1990:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 183415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183424 */     GIR_RootConstrainSelectedInstOperands,
     /* 183425 */     // GIR_Coverage, 11073,
     /* 183425 */     GIR_EraseRootFromParent_Done,
     /* 183426 */   // Label 3628: @183426
     /* 183426 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(183463), // Rule ID 11074 //
     /* 183431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1990:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 183452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183461 */     GIR_RootConstrainSelectedInstOperands,
     /* 183462 */     // GIR_Coverage, 11074,
     /* 183462 */     GIR_EraseRootFromParent_Done,
     /* 183463 */   // Label 3629: @183463
     /* 183463 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(183500), // Rule ID 11075 //
     /* 183468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183489 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1990:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 183489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183498 */     GIR_RootConstrainSelectedInstOperands,
     /* 183499 */     // GIR_Coverage, 11075,
     /* 183499 */     GIR_EraseRootFromParent_Done,
     /* 183500 */   // Label 3630: @183500
     /* 183500 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(183537), // Rule ID 11076 //
     /* 183505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1990:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 183526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183535 */     GIR_RootConstrainSelectedInstOperands,
     /* 183536 */     // GIR_Coverage, 11076,
     /* 183536 */     GIR_EraseRootFromParent_Done,
     /* 183537 */   // Label 3631: @183537
     /* 183537 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(183574), // Rule ID 11077 //
     /* 183542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1990:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 183563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183572 */     GIR_RootConstrainSelectedInstOperands,
     /* 183573 */     // GIR_Coverage, 11077,
     /* 183573 */     GIR_EraseRootFromParent_Done,
     /* 183574 */   // Label 3632: @183574
     /* 183574 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(183611), // Rule ID 11078 //
     /* 183579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1990:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 183600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183609 */     GIR_RootConstrainSelectedInstOperands,
     /* 183610 */     // GIR_Coverage, 11078,
     /* 183610 */     GIR_EraseRootFromParent_Done,
     /* 183611 */   // Label 3633: @183611
     /* 183611 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(183648), // Rule ID 11079 //
     /* 183616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 183624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183637 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1990:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 183637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 183640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183646 */     GIR_RootConstrainSelectedInstOperands,
     /* 183647 */     // GIR_Coverage, 11079,
     /* 183647 */     GIR_EraseRootFromParent_Done,
     /* 183648 */   // Label 3634: @183648
     /* 183648 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(183685), // Rule ID 11080 //
     /* 183653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 183664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 183667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 183670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1829:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 183674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183681 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183683 */     GIR_RootConstrainSelectedInstOperands,
     /* 183684 */     // GIR_Coverage, 11080,
     /* 183684 */     GIR_EraseRootFromParent_Done,
     /* 183685 */   // Label 3635: @183685
     /* 183685 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(183722), // Rule ID 11081 //
     /* 183690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1829:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 183711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183720 */     GIR_RootConstrainSelectedInstOperands,
     /* 183721 */     // GIR_Coverage, 11081,
     /* 183721 */     GIR_EraseRootFromParent_Done,
     /* 183722 */   // Label 3636: @183722
     /* 183722 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(183759), // Rule ID 11082 //
     /* 183727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183748 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1829:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 183748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183757 */     GIR_RootConstrainSelectedInstOperands,
     /* 183758 */     // GIR_Coverage, 11082,
     /* 183758 */     GIR_EraseRootFromParent_Done,
     /* 183759 */   // Label 3637: @183759
     /* 183759 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(183796), // Rule ID 11083 //
     /* 183764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1829:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 183785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183794 */     GIR_RootConstrainSelectedInstOperands,
     /* 183795 */     // GIR_Coverage, 11083,
     /* 183795 */     GIR_EraseRootFromParent_Done,
     /* 183796 */   // Label 3638: @183796
     /* 183796 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(183833), // Rule ID 11084 //
     /* 183801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 183812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 183815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 183818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183822 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1829:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 183822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183831 */     GIR_RootConstrainSelectedInstOperands,
     /* 183832 */     // GIR_Coverage, 11084,
     /* 183832 */     GIR_EraseRootFromParent_Done,
     /* 183833 */   // Label 3639: @183833
     /* 183833 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(183870), // Rule ID 11085 //
     /* 183838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1829:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 183859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183868 */     GIR_RootConstrainSelectedInstOperands,
     /* 183869 */     // GIR_Coverage, 11085,
     /* 183869 */     GIR_EraseRootFromParent_Done,
     /* 183870 */   // Label 3640: @183870
     /* 183870 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(183907), // Rule ID 11086 //
     /* 183875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 183883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 183886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 183889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 183892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1829:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 183896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 183899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183905 */     GIR_RootConstrainSelectedInstOperands,
     /* 183906 */     // GIR_Coverage, 11086,
     /* 183906 */     GIR_EraseRootFromParent_Done,
     /* 183907 */   // Label 3641: @183907
     /* 183907 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(183944), // Rule ID 11087 //
     /* 183912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 183920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 183923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 183926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 183929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1834:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 183933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 183936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183942 */     GIR_RootConstrainSelectedInstOperands,
     /* 183943 */     // GIR_Coverage, 11087,
     /* 183943 */     GIR_EraseRootFromParent_Done,
     /* 183944 */   // Label 3642: @183944
     /* 183944 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(183981), // Rule ID 11088 //
     /* 183949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 183957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 183963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 183966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 183970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1834:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 183970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 183973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 183975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 183977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 183979 */     GIR_RootConstrainSelectedInstOperands,
     /* 183980 */     // GIR_Coverage, 11088,
     /* 183980 */     GIR_EraseRootFromParent_Done,
     /* 183981 */   // Label 3643: @183981
     /* 183981 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(184018), // Rule ID 11089 //
     /* 183986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 183989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 183994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 183997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184007 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1834:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 184007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 184010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184016 */     GIR_RootConstrainSelectedInstOperands,
     /* 184017 */     // GIR_Coverage, 11089,
     /* 184017 */     GIR_EraseRootFromParent_Done,
     /* 184018 */   // Label 3644: @184018
     /* 184018 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(184055), // Rule ID 11090 //
     /* 184023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 184026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 184031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1834:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 184047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184051 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184053 */     GIR_RootConstrainSelectedInstOperands,
     /* 184054 */     // GIR_Coverage, 11090,
     /* 184054 */     GIR_EraseRootFromParent_Done,
     /* 184055 */   // Label 3645: @184055
     /* 184055 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(184092), // Rule ID 11091 //
     /* 184060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 184063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 184068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184081 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1834:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 184081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 184084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184090 */     GIR_RootConstrainSelectedInstOperands,
     /* 184091 */     // GIR_Coverage, 11091,
     /* 184091 */     GIR_EraseRootFromParent_Done,
     /* 184092 */   // Label 3646: @184092
     /* 184092 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(184129), // Rule ID 11092 //
     /* 184097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 184100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 184105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 184111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 184114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1834:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 184118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 184121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184127 */     GIR_RootConstrainSelectedInstOperands,
     /* 184128 */     // GIR_Coverage, 11092,
     /* 184128 */     GIR_EraseRootFromParent_Done,
     /* 184129 */   // Label 3647: @184129
     /* 184129 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(184166), // Rule ID 11093 //
     /* 184134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 184137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 184142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 184148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 184151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184155 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1834:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 184155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 184158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184164 */     GIR_RootConstrainSelectedInstOperands,
     /* 184165 */     // GIR_Coverage, 11093,
     /* 184165 */     GIR_EraseRootFromParent_Done,
     /* 184166 */   // Label 3648: @184166
     /* 184166 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(184203), // Rule ID 11113 //
     /* 184171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 184179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 184182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1731:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQRDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_B),
     /* 184195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184201 */     GIR_RootConstrainSelectedInstOperands,
     /* 184202 */     // GIR_Coverage, 11113,
     /* 184202 */     GIR_EraseRootFromParent_Done,
     /* 184203 */   // Label 3649: @184203
     /* 184203 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(184240), // Rule ID 11114 //
     /* 184208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 184216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1731:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQRDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_H),
     /* 184232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184238 */     GIR_RootConstrainSelectedInstOperands,
     /* 184239 */     // GIR_Coverage, 11114,
     /* 184239 */     GIR_EraseRootFromParent_Done,
     /* 184240 */   // Label 3650: @184240
     /* 184240 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(184277), // Rule ID 11115 //
     /* 184245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 184253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1731:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQRDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_S),
     /* 184269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184275 */     GIR_RootConstrainSelectedInstOperands,
     /* 184276 */     // GIR_Coverage, 11115,
     /* 184276 */     GIR_EraseRootFromParent_Done,
     /* 184277 */   // Label 3651: @184277
     /* 184277 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(184314), // Rule ID 11116 //
     /* 184282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 184290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 184296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 184299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1731:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQRDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 184303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_D),
     /* 184306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184312 */     GIR_RootConstrainSelectedInstOperands,
     /* 184313 */     // GIR_Coverage, 11116,
     /* 184313 */     GIR_EraseRootFromParent_Done,
     /* 184314 */   // Label 3652: @184314
     /* 184314 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(184351), // Rule ID 11404 //
     /* 184319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 184327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1595:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_H),
     /* 184343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184349 */     GIR_RootConstrainSelectedInstOperands,
     /* 184350 */     // GIR_Coverage, 11404,
     /* 184350 */     GIR_EraseRootFromParent_Done,
     /* 184351 */   // Label 3653: @184351
     /* 184351 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(184388), // Rule ID 11405 //
     /* 184356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 184364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1595:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_S),
     /* 184380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184386 */     GIR_RootConstrainSelectedInstOperands,
     /* 184387 */     // GIR_Coverage, 11405,
     /* 184387 */     GIR_EraseRootFromParent_Done,
     /* 184388 */   // Label 3654: @184388
     /* 184388 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(184425), // Rule ID 11406 //
     /* 184393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 184401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1595:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_D),
     /* 184417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184423 */     GIR_RootConstrainSelectedInstOperands,
     /* 184424 */     // GIR_Coverage, 11406,
     /* 184424 */     GIR_EraseRootFromParent_Done,
     /* 184425 */   // Label 3655: @184425
     /* 184425 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(184462), // Rule ID 11407 //
     /* 184430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 184438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1843:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_H),
     /* 184454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184460 */     GIR_RootConstrainSelectedInstOperands,
     /* 184461 */     // GIR_Coverage, 11407,
     /* 184461 */     GIR_EraseRootFromParent_Done,
     /* 184462 */   // Label 3656: @184462
     /* 184462 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(184499), // Rule ID 11408 //
     /* 184467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 184475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1843:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_S),
     /* 184491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184497 */     GIR_RootConstrainSelectedInstOperands,
     /* 184498 */     // GIR_Coverage, 11408,
     /* 184498 */     GIR_EraseRootFromParent_Done,
     /* 184499 */   // Label 3657: @184499
     /* 184499 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(184536), // Rule ID 11409 //
     /* 184504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 184512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1843:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_D),
     /* 184528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184534 */     GIR_RootConstrainSelectedInstOperands,
     /* 184535 */     // GIR_Coverage, 11409,
     /* 184535 */     GIR_EraseRootFromParent_Done,
     /* 184536 */   // Label 3658: @184536
     /* 184536 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(184573), // Rule ID 11410 //
     /* 184541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 184549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1844:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_H),
     /* 184565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184571 */     GIR_RootConstrainSelectedInstOperands,
     /* 184572 */     // GIR_Coverage, 11410,
     /* 184572 */     GIR_EraseRootFromParent_Done,
     /* 184573 */   // Label 3659: @184573
     /* 184573 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(184610), // Rule ID 11411 //
     /* 184578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 184586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1844:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_S),
     /* 184602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184608 */     GIR_RootConstrainSelectedInstOperands,
     /* 184609 */     // GIR_Coverage, 11411,
     /* 184609 */     GIR_EraseRootFromParent_Done,
     /* 184610 */   // Label 3660: @184610
     /* 184610 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(184647), // Rule ID 11412 //
     /* 184615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 184623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1844:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_D),
     /* 184639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184645 */     GIR_RootConstrainSelectedInstOperands,
     /* 184646 */     // GIR_Coverage, 11412,
     /* 184646 */     GIR_EraseRootFromParent_Done,
     /* 184647 */   // Label 3661: @184647
     /* 184647 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(184684), // Rule ID 11413 //
     /* 184652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 184660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1772:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_H),
     /* 184676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184682 */     GIR_RootConstrainSelectedInstOperands,
     /* 184683 */     // GIR_Coverage, 11413,
     /* 184683 */     GIR_EraseRootFromParent_Done,
     /* 184684 */   // Label 3662: @184684
     /* 184684 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(184721), // Rule ID 11414 //
     /* 184689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 184697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1772:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_S),
     /* 184713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184719 */     GIR_RootConstrainSelectedInstOperands,
     /* 184720 */     // GIR_Coverage, 11414,
     /* 184720 */     GIR_EraseRootFromParent_Done,
     /* 184721 */   // Label 3663: @184721
     /* 184721 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(184758), // Rule ID 11415 //
     /* 184726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 184734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1772:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_D),
     /* 184750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184756 */     GIR_RootConstrainSelectedInstOperands,
     /* 184757 */     // GIR_Coverage, 11415,
     /* 184757 */     GIR_EraseRootFromParent_Done,
     /* 184758 */   // Label 3664: @184758
     /* 184758 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(184795), // Rule ID 11416 //
     /* 184763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 184771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1774:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_H),
     /* 184787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184793 */     GIR_RootConstrainSelectedInstOperands,
     /* 184794 */     // GIR_Coverage, 11416,
     /* 184794 */     GIR_EraseRootFromParent_Done,
     /* 184795 */   // Label 3665: @184795
     /* 184795 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(184832), // Rule ID 11417 //
     /* 184800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 184808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1774:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_S),
     /* 184824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184830 */     GIR_RootConstrainSelectedInstOperands,
     /* 184831 */     // GIR_Coverage, 11417,
     /* 184831 */     GIR_EraseRootFromParent_Done,
     /* 184832 */   // Label 3666: @184832
     /* 184832 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(184869), // Rule ID 11418 //
     /* 184837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 184845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1774:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_D),
     /* 184861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184867 */     GIR_RootConstrainSelectedInstOperands,
     /* 184868 */     // GIR_Coverage, 11418,
     /* 184868 */     GIR_EraseRootFromParent_Done,
     /* 184869 */   // Label 3667: @184869
     /* 184869 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(184906), // Rule ID 11419 //
     /* 184874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 184882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184895 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1968:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 184895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_H),
     /* 184898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184904 */     GIR_RootConstrainSelectedInstOperands,
     /* 184905 */     // GIR_Coverage, 11419,
     /* 184905 */     GIR_EraseRootFromParent_Done,
     /* 184906 */   // Label 3668: @184906
     /* 184906 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(184943), // Rule ID 11420 //
     /* 184911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 184919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 184928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1968:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 184932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_S),
     /* 184935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184941 */     GIR_RootConstrainSelectedInstOperands,
     /* 184942 */     // GIR_Coverage, 11420,
     /* 184942 */     GIR_EraseRootFromParent_Done,
     /* 184943 */   // Label 3669: @184943
     /* 184943 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(184980), // Rule ID 11421 //
     /* 184948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 184956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 184965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1968:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 184969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_D),
     /* 184972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184978 */     GIR_RootConstrainSelectedInstOperands,
     /* 184979 */     // GIR_Coverage, 11421,
     /* 184979 */     GIR_EraseRootFromParent_Done,
     /* 184980 */   // Label 3670: @184980
     /* 184980 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(185017), // Rule ID 11422 //
     /* 184985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 184988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 184993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1969:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_H),
     /* 185009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185015 */     GIR_RootConstrainSelectedInstOperands,
     /* 185016 */     // GIR_Coverage, 11422,
     /* 185016 */     GIR_EraseRootFromParent_Done,
     /* 185017 */   // Label 3671: @185017
     /* 185017 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(185054), // Rule ID 11423 //
     /* 185022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 185030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1969:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_S),
     /* 185046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185052 */     GIR_RootConstrainSelectedInstOperands,
     /* 185053 */     // GIR_Coverage, 11423,
     /* 185053 */     GIR_EraseRootFromParent_Done,
     /* 185054 */   // Label 3672: @185054
     /* 185054 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(185091), // Rule ID 11424 //
     /* 185059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 185067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1969:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_D),
     /* 185083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185089 */     GIR_RootConstrainSelectedInstOperands,
     /* 185090 */     // GIR_Coverage, 11424,
     /* 185090 */     GIR_EraseRootFromParent_Done,
     /* 185091 */   // Label 3673: @185091
     /* 185091 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(185128), // Rule ID 11425 //
     /* 185096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 185104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1590:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_H),
     /* 185120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185126 */     GIR_RootConstrainSelectedInstOperands,
     /* 185127 */     // GIR_Coverage, 11425,
     /* 185127 */     GIR_EraseRootFromParent_Done,
     /* 185128 */   // Label 3674: @185128
     /* 185128 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(185165), // Rule ID 11426 //
     /* 185133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 185141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1590:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_S),
     /* 185157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185163 */     GIR_RootConstrainSelectedInstOperands,
     /* 185164 */     // GIR_Coverage, 11426,
     /* 185164 */     GIR_EraseRootFromParent_Done,
     /* 185165 */   // Label 3675: @185165
     /* 185165 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(185202), // Rule ID 11427 //
     /* 185170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 185178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1590:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_D),
     /* 185194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185200 */     GIR_RootConstrainSelectedInstOperands,
     /* 185201 */     // GIR_Coverage, 11427,
     /* 185201 */     GIR_EraseRootFromParent_Done,
     /* 185202 */   // Label 3676: @185202
     /* 185202 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(185239), // Rule ID 11428 //
     /* 185207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 185215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1591:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_H),
     /* 185231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185237 */     GIR_RootConstrainSelectedInstOperands,
     /* 185238 */     // GIR_Coverage, 11428,
     /* 185238 */     GIR_EraseRootFromParent_Done,
     /* 185239 */   // Label 3677: @185239
     /* 185239 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(185276), // Rule ID 11429 //
     /* 185244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 185252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1591:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_S),
     /* 185268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185274 */     GIR_RootConstrainSelectedInstOperands,
     /* 185275 */     // GIR_Coverage, 11429,
     /* 185275 */     GIR_EraseRootFromParent_Done,
     /* 185276 */   // Label 3678: @185276
     /* 185276 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(185313), // Rule ID 11430 //
     /* 185281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 185289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1591:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_D),
     /* 185305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185309 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185311 */     GIR_RootConstrainSelectedInstOperands,
     /* 185312 */     // GIR_Coverage, 11430,
     /* 185312 */     GIR_EraseRootFromParent_Done,
     /* 185313 */   // Label 3679: @185313
     /* 185313 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(185350), // Rule ID 11431 //
     /* 185318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 185326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1840:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_H),
     /* 185342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185348 */     GIR_RootConstrainSelectedInstOperands,
     /* 185349 */     // GIR_Coverage, 11431,
     /* 185349 */     GIR_EraseRootFromParent_Done,
     /* 185350 */   // Label 3680: @185350
     /* 185350 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(185387), // Rule ID 11432 //
     /* 185355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 185363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1840:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_S),
     /* 185379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185385 */     GIR_RootConstrainSelectedInstOperands,
     /* 185386 */     // GIR_Coverage, 11432,
     /* 185386 */     GIR_EraseRootFromParent_Done,
     /* 185387 */   // Label 3681: @185387
     /* 185387 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(185424), // Rule ID 11433 //
     /* 185392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 185400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1840:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_D),
     /* 185416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185422 */     GIR_RootConstrainSelectedInstOperands,
     /* 185423 */     // GIR_Coverage, 11433,
     /* 185423 */     GIR_EraseRootFromParent_Done,
     /* 185424 */   // Label 3682: @185424
     /* 185424 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(185461), // Rule ID 11434 //
     /* 185429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 185437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1841:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_H),
     /* 185453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185459 */     GIR_RootConstrainSelectedInstOperands,
     /* 185460 */     // GIR_Coverage, 11434,
     /* 185460 */     GIR_EraseRootFromParent_Done,
     /* 185461 */   // Label 3683: @185461
     /* 185461 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(185498), // Rule ID 11435 //
     /* 185466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 185474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1841:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_S),
     /* 185490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185496 */     GIR_RootConstrainSelectedInstOperands,
     /* 185497 */     // GIR_Coverage, 11435,
     /* 185497 */     GIR_EraseRootFromParent_Done,
     /* 185498 */   // Label 3684: @185498
     /* 185498 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(185535), // Rule ID 11436 //
     /* 185503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 185511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1841:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_D),
     /* 185527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185533 */     GIR_RootConstrainSelectedInstOperands,
     /* 185534 */     // GIR_Coverage, 11436,
     /* 185534 */     GIR_EraseRootFromParent_Done,
     /* 185535 */   // Label 3685: @185535
     /* 185535 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(185572), // Rule ID 11446 //
     /* 185540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 185548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1776:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_H),
     /* 185564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185570 */     GIR_RootConstrainSelectedInstOperands,
     /* 185571 */     // GIR_Coverage, 11446,
     /* 185571 */     GIR_EraseRootFromParent_Done,
     /* 185572 */   // Label 3686: @185572
     /* 185572 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(185609), // Rule ID 11447 //
     /* 185577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 185585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1776:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_S),
     /* 185601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185607 */     GIR_RootConstrainSelectedInstOperands,
     /* 185608 */     // GIR_Coverage, 11447,
     /* 185608 */     GIR_EraseRootFromParent_Done,
     /* 185609 */   // Label 3687: @185609
     /* 185609 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(185646), // Rule ID 11448 //
     /* 185614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 185622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1776:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_D),
     /* 185638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185644 */     GIR_RootConstrainSelectedInstOperands,
     /* 185645 */     // GIR_Coverage, 11448,
     /* 185645 */     GIR_EraseRootFromParent_Done,
     /* 185646 */   // Label 3688: @185646
     /* 185646 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(185683), // Rule ID 11449 //
     /* 185651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 185659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1777:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_H),
     /* 185675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185679 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185681 */     GIR_RootConstrainSelectedInstOperands,
     /* 185682 */     // GIR_Coverage, 11449,
     /* 185682 */     GIR_EraseRootFromParent_Done,
     /* 185683 */   // Label 3689: @185683
     /* 185683 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(185720), // Rule ID 11450 //
     /* 185688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 185696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1777:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_S),
     /* 185712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185718 */     GIR_RootConstrainSelectedInstOperands,
     /* 185719 */     // GIR_Coverage, 11450,
     /* 185719 */     GIR_EraseRootFromParent_Done,
     /* 185720 */   // Label 3690: @185720
     /* 185720 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(185757), // Rule ID 11451 //
     /* 185725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 185733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1777:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_D),
     /* 185749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185755 */     GIR_RootConstrainSelectedInstOperands,
     /* 185756 */     // GIR_Coverage, 11451,
     /* 185756 */     GIR_EraseRootFromParent_Done,
     /* 185757 */   // Label 3691: @185757
     /* 185757 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(185794), // Rule ID 11452 //
     /* 185762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 185770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1970:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_H),
     /* 185786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185788 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185790 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185792 */     GIR_RootConstrainSelectedInstOperands,
     /* 185793 */     // GIR_Coverage, 11452,
     /* 185793 */     GIR_EraseRootFromParent_Done,
     /* 185794 */   // Label 3692: @185794
     /* 185794 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(185831), // Rule ID 11453 //
     /* 185799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 185807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1970:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_S),
     /* 185823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185829 */     GIR_RootConstrainSelectedInstOperands,
     /* 185830 */     // GIR_Coverage, 11453,
     /* 185830 */     GIR_EraseRootFromParent_Done,
     /* 185831 */   // Label 3693: @185831
     /* 185831 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(185868), // Rule ID 11454 //
     /* 185836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 185844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1970:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_D),
     /* 185860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185866 */     GIR_RootConstrainSelectedInstOperands,
     /* 185867 */     // GIR_Coverage, 11454,
     /* 185867 */     GIR_EraseRootFromParent_Done,
     /* 185868 */   // Label 3694: @185868
     /* 185868 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(185905), // Rule ID 11455 //
     /* 185873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 185881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1971:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_H),
     /* 185897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185903 */     GIR_RootConstrainSelectedInstOperands,
     /* 185904 */     // GIR_Coverage, 11455,
     /* 185904 */     GIR_EraseRootFromParent_Done,
     /* 185905 */   // Label 3695: @185905
     /* 185905 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(185942), // Rule ID 11456 //
     /* 185910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 185918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1971:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_S),
     /* 185934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185940 */     GIR_RootConstrainSelectedInstOperands,
     /* 185941 */     // GIR_Coverage, 11456,
     /* 185941 */     GIR_EraseRootFromParent_Done,
     /* 185942 */   // Label 3696: @185942
     /* 185942 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(185979), // Rule ID 11457 //
     /* 185947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 185955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1971:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_D),
     /* 185971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185977 */     GIR_RootConstrainSelectedInstOperands,
     /* 185978 */     // GIR_Coverage, 11457,
     /* 185978 */     GIR_EraseRootFromParent_Done,
     /* 185979 */   // Label 3697: @185979
     /* 185979 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(186016), // Rule ID 11458 //
     /* 185984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 185992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186005 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1706:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_H),
     /* 186008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186014 */     GIR_RootConstrainSelectedInstOperands,
     /* 186015 */     // GIR_Coverage, 11458,
     /* 186015 */     GIR_EraseRootFromParent_Done,
     /* 186016 */   // Label 3698: @186016
     /* 186016 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(186053), // Rule ID 11459 //
     /* 186021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 186029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1706:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_S),
     /* 186045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186051 */     GIR_RootConstrainSelectedInstOperands,
     /* 186052 */     // GIR_Coverage, 11459,
     /* 186052 */     GIR_EraseRootFromParent_Done,
     /* 186053 */   // Label 3699: @186053
     /* 186053 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(186090), // Rule ID 11460 //
     /* 186058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 186066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186079 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1706:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_D),
     /* 186082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186088 */     GIR_RootConstrainSelectedInstOperands,
     /* 186089 */     // GIR_Coverage, 11460,
     /* 186089 */     GIR_EraseRootFromParent_Done,
     /* 186090 */   // Label 3700: @186090
     /* 186090 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(186127), // Rule ID 11461 //
     /* 186095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 186103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1708:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_H),
     /* 186119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186125 */     GIR_RootConstrainSelectedInstOperands,
     /* 186126 */     // GIR_Coverage, 11461,
     /* 186126 */     GIR_EraseRootFromParent_Done,
     /* 186127 */   // Label 3701: @186127
     /* 186127 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(186164), // Rule ID 11462 //
     /* 186132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 186140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1708:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_S),
     /* 186156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186162 */     GIR_RootConstrainSelectedInstOperands,
     /* 186163 */     // GIR_Coverage, 11462,
     /* 186163 */     GIR_EraseRootFromParent_Done,
     /* 186164 */   // Label 3702: @186164
     /* 186164 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(186201), // Rule ID 11463 //
     /* 186169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 186177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1708:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_D),
     /* 186193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186199 */     GIR_RootConstrainSelectedInstOperands,
     /* 186200 */     // GIR_Coverage, 11463,
     /* 186200 */     GIR_EraseRootFromParent_Done,
     /* 186201 */   // Label 3703: @186201
     /* 186201 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(186238), // Rule ID 11464 //
     /* 186206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 186214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1659:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_H),
     /* 186230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186236 */     GIR_RootConstrainSelectedInstOperands,
     /* 186237 */     // GIR_Coverage, 11464,
     /* 186237 */     GIR_EraseRootFromParent_Done,
     /* 186238 */   // Label 3704: @186238
     /* 186238 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(186275), // Rule ID 11465 //
     /* 186243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 186251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1659:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_S),
     /* 186267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186273 */     GIR_RootConstrainSelectedInstOperands,
     /* 186274 */     // GIR_Coverage, 11465,
     /* 186274 */     GIR_EraseRootFromParent_Done,
     /* 186275 */   // Label 3705: @186275
     /* 186275 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(186312), // Rule ID 11466 //
     /* 186280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 186288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1659:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_D),
     /* 186304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186310 */     GIR_RootConstrainSelectedInstOperands,
     /* 186311 */     // GIR_Coverage, 11466,
     /* 186311 */     GIR_EraseRootFromParent_Done,
     /* 186312 */   // Label 3706: @186312
     /* 186312 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(186349), // Rule ID 11467 //
     /* 186317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 186325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1661:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_H),
     /* 186341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186347 */     GIR_RootConstrainSelectedInstOperands,
     /* 186348 */     // GIR_Coverage, 11467,
     /* 186348 */     GIR_EraseRootFromParent_Done,
     /* 186349 */   // Label 3707: @186349
     /* 186349 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(186386), // Rule ID 11468 //
     /* 186354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 186362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1661:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_S),
     /* 186378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186384 */     GIR_RootConstrainSelectedInstOperands,
     /* 186385 */     // GIR_Coverage, 11468,
     /* 186385 */     GIR_EraseRootFromParent_Done,
     /* 186386 */   // Label 3708: @186386
     /* 186386 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(186423), // Rule ID 11469 //
     /* 186391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 186399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1661:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_D),
     /* 186415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186419 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186421 */     GIR_RootConstrainSelectedInstOperands,
     /* 186422 */     // GIR_Coverage, 11469,
     /* 186422 */     GIR_EraseRootFromParent_Done,
     /* 186423 */   // Label 3709: @186423
     /* 186423 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(186460), // Rule ID 11470 //
     /* 186428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 186436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1897:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_H),
     /* 186452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186458 */     GIR_RootConstrainSelectedInstOperands,
     /* 186459 */     // GIR_Coverage, 11470,
     /* 186459 */     GIR_EraseRootFromParent_Done,
     /* 186460 */   // Label 3710: @186460
     /* 186460 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(186497), // Rule ID 11471 //
     /* 186465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 186473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1897:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_S),
     /* 186489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186495 */     GIR_RootConstrainSelectedInstOperands,
     /* 186496 */     // GIR_Coverage, 11471,
     /* 186496 */     GIR_EraseRootFromParent_Done,
     /* 186497 */   // Label 3711: @186497
     /* 186497 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(186534), // Rule ID 11472 //
     /* 186502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 186510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1897:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_D),
     /* 186526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186532 */     GIR_RootConstrainSelectedInstOperands,
     /* 186533 */     // GIR_Coverage, 11472,
     /* 186533 */     GIR_EraseRootFromParent_Done,
     /* 186534 */   // Label 3712: @186534
     /* 186534 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(186571), // Rule ID 11473 //
     /* 186539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 186547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1899:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_H),
     /* 186563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186569 */     GIR_RootConstrainSelectedInstOperands,
     /* 186570 */     // GIR_Coverage, 11473,
     /* 186570 */     GIR_EraseRootFromParent_Done,
     /* 186571 */   // Label 3713: @186571
     /* 186571 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(186608), // Rule ID 11474 //
     /* 186576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 186584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1899:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_S),
     /* 186600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186606 */     GIR_RootConstrainSelectedInstOperands,
     /* 186607 */     // GIR_Coverage, 11474,
     /* 186607 */     GIR_EraseRootFromParent_Done,
     /* 186608 */   // Label 3714: @186608
     /* 186608 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(186645), // Rule ID 11475 //
     /* 186613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 186621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1899:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_D),
     /* 186637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186641 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186643 */     GIR_RootConstrainSelectedInstOperands,
     /* 186644 */     // GIR_Coverage, 11475,
     /* 186644 */     GIR_EraseRootFromParent_Done,
     /* 186645 */   // Label 3715: @186645
     /* 186645 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(186682), // Rule ID 11476 //
     /* 186650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 186658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1537:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLT_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_H),
     /* 186674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186680 */     GIR_RootConstrainSelectedInstOperands,
     /* 186681 */     // GIR_Coverage, 11476,
     /* 186681 */     GIR_EraseRootFromParent_Done,
     /* 186682 */   // Label 3716: @186682
     /* 186682 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(186719), // Rule ID 11477 //
     /* 186687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 186695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1537:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLT_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_D),
     /* 186711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186715 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186717 */     GIR_RootConstrainSelectedInstOperands,
     /* 186718 */     // GIR_Coverage, 11477,
     /* 186718 */     GIR_EraseRootFromParent_Done,
     /* 186719 */   // Label 3717: @186719
     /* 186719 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(186756), // Rule ID 11578 //
     /* 186724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 186732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1567:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_B),
     /* 186748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186754 */     GIR_RootConstrainSelectedInstOperands,
     /* 186755 */     // GIR_Coverage, 11578,
     /* 186755 */     GIR_EraseRootFromParent_Done,
     /* 186756 */   // Label 3718: @186756
     /* 186756 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(186793), // Rule ID 11579 //
     /* 186761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 186769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1567:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_H),
     /* 186785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186789 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186791 */     GIR_RootConstrainSelectedInstOperands,
     /* 186792 */     // GIR_Coverage, 11579,
     /* 186792 */     GIR_EraseRootFromParent_Done,
     /* 186793 */   // Label 3719: @186793
     /* 186793 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(186830), // Rule ID 11580 //
     /* 186798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 186806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1567:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_S),
     /* 186822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186828 */     GIR_RootConstrainSelectedInstOperands,
     /* 186829 */     // GIR_Coverage, 11580,
     /* 186829 */     GIR_EraseRootFromParent_Done,
     /* 186830 */   // Label 3720: @186830
     /* 186830 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(186867), // Rule ID 11581 //
     /* 186835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 186843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1808:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_B),
     /* 186859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186865 */     GIR_RootConstrainSelectedInstOperands,
     /* 186866 */     // GIR_Coverage, 11581,
     /* 186866 */     GIR_EraseRootFromParent_Done,
     /* 186867 */   // Label 3721: @186867
     /* 186867 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(186904), // Rule ID 11582 //
     /* 186872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 186880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1808:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_H),
     /* 186896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186902 */     GIR_RootConstrainSelectedInstOperands,
     /* 186903 */     // GIR_Coverage, 11582,
     /* 186903 */     GIR_EraseRootFromParent_Done,
     /* 186904 */   // Label 3722: @186904
     /* 186904 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(186941), // Rule ID 11583 //
     /* 186909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 186917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1808:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_S),
     /* 186933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186939 */     GIR_RootConstrainSelectedInstOperands,
     /* 186940 */     // GIR_Coverage, 11583,
     /* 186940 */     GIR_EraseRootFromParent_Done,
     /* 186941 */   // Label 3723: @186941
     /* 186941 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(186978), // Rule ID 11584 //
     /* 186946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 186954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1583:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RSUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_B),
     /* 186970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186976 */     GIR_RootConstrainSelectedInstOperands,
     /* 186977 */     // GIR_Coverage, 11584,
     /* 186977 */     GIR_EraseRootFromParent_Done,
     /* 186978 */   // Label 3724: @186978
     /* 186978 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(187015), // Rule ID 11585 //
     /* 186983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 186991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1583:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RSUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_H),
     /* 187007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187013 */     GIR_RootConstrainSelectedInstOperands,
     /* 187014 */     // GIR_Coverage, 11585,
     /* 187014 */     GIR_EraseRootFromParent_Done,
     /* 187015 */   // Label 3725: @187015
     /* 187015 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(187052), // Rule ID 11586 //
     /* 187020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 187028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1583:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RSUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_S),
     /* 187044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187050 */     GIR_RootConstrainSelectedInstOperands,
     /* 187051 */     // GIR_Coverage, 11586,
     /* 187051 */     GIR_EraseRootFromParent_Done,
     /* 187052 */   // Label 3726: @187052
     /* 187052 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(187089), // Rule ID 11602 //
     /* 187057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 187065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1950:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_B),
     /* 187081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187087 */     GIR_RootConstrainSelectedInstOperands,
     /* 187088 */     // GIR_Coverage, 11602,
     /* 187088 */     GIR_EraseRootFromParent_Done,
     /* 187089 */   // Label 3727: @187089
     /* 187089 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(187126), // Rule ID 11603 //
     /* 187094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 187102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1950:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_H),
     /* 187118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187124 */     GIR_RootConstrainSelectedInstOperands,
     /* 187125 */     // GIR_Coverage, 11603,
     /* 187125 */     GIR_EraseRootFromParent_Done,
     /* 187126 */   // Label 3728: @187126
     /* 187126 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(187163), // Rule ID 11604 //
     /* 187131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 187139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1950:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_S),
     /* 187155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187161 */     GIR_RootConstrainSelectedInstOperands,
     /* 187162 */     // GIR_Coverage, 11604,
     /* 187162 */     GIR_EraseRootFromParent_Done,
     /* 187163 */   // Label 3729: @187163
     /* 187163 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(187200), // Rule ID 11605 //
     /* 187168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 187176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1759:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTUNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_B),
     /* 187192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187198 */     GIR_RootConstrainSelectedInstOperands,
     /* 187199 */     // GIR_Coverage, 11605,
     /* 187199 */     GIR_EraseRootFromParent_Done,
     /* 187200 */   // Label 3730: @187200
     /* 187200 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(187237), // Rule ID 11606 //
     /* 187205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 187213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1759:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTUNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_H),
     /* 187229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187235 */     GIR_RootConstrainSelectedInstOperands,
     /* 187236 */     // GIR_Coverage, 11606,
     /* 187236 */     GIR_EraseRootFromParent_Done,
     /* 187237 */   // Label 3731: @187237
     /* 187237 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(187274), // Rule ID 11607 //
     /* 187242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 187250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1759:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTUNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_S),
     /* 187266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187272 */     GIR_RootConstrainSelectedInstOperands,
     /* 187273 */     // GIR_Coverage, 11607,
     /* 187273 */     GIR_EraseRootFromParent_Done,
     /* 187274 */   // Label 3732: @187274
     /* 187274 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(187311), // Rule ID 11623 //
     /* 187279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 187287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187300 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1773:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_H),
     /* 187303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187309 */     GIR_RootConstrainSelectedInstOperands,
     /* 187310 */     // GIR_Coverage, 11623,
     /* 187310 */     GIR_EraseRootFromParent_Done,
     /* 187311 */   // Label 3733: @187311
     /* 187311 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(187348), // Rule ID 11624 //
     /* 187316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 187324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1773:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_S),
     /* 187340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187346 */     GIR_RootConstrainSelectedInstOperands,
     /* 187347 */     // GIR_Coverage, 11624,
     /* 187347 */     GIR_EraseRootFromParent_Done,
     /* 187348 */   // Label 3734: @187348
     /* 187348 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(187385), // Rule ID 11625 //
     /* 187353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 187361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1773:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_D),
     /* 187377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187383 */     GIR_RootConstrainSelectedInstOperands,
     /* 187384 */     // GIR_Coverage, 11625,
     /* 187384 */     GIR_EraseRootFromParent_Done,
     /* 187385 */   // Label 3735: @187385
     /* 187385 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(187422), // Rule ID 11626 //
     /* 187390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 187398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1775:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_H),
     /* 187414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187420 */     GIR_RootConstrainSelectedInstOperands,
     /* 187421 */     // GIR_Coverage, 11626,
     /* 187421 */     GIR_EraseRootFromParent_Done,
     /* 187422 */   // Label 3736: @187422
     /* 187422 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(187459), // Rule ID 11627 //
     /* 187427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 187435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1775:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_S),
     /* 187451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187457 */     GIR_RootConstrainSelectedInstOperands,
     /* 187458 */     // GIR_Coverage, 11627,
     /* 187458 */     GIR_EraseRootFromParent_Done,
     /* 187459 */   // Label 3737: @187459
     /* 187459 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(187496), // Rule ID 11628 //
     /* 187464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 187472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187485 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1775:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_D),
     /* 187488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187494 */     GIR_RootConstrainSelectedInstOperands,
     /* 187495 */     // GIR_Coverage, 11628,
     /* 187495 */     GIR_EraseRootFromParent_Done,
     /* 187496 */   // Label 3738: @187496
     /* 187496 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(187536), // Rule ID 11703 //
     /* 187501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 187509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1995:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_B),
     /* 187525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187534 */     GIR_RootConstrainSelectedInstOperands,
     /* 187535 */     // GIR_Coverage, 11703,
     /* 187535 */     GIR_EraseRootFromParent_Done,
     /* 187536 */   // Label 3739: @187536
     /* 187536 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(187576), // Rule ID 11704 //
     /* 187541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 187549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1995:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_H),
     /* 187565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187574 */     GIR_RootConstrainSelectedInstOperands,
     /* 187575 */     // GIR_Coverage, 11704,
     /* 187575 */     GIR_EraseRootFromParent_Done,
     /* 187576 */   // Label 3740: @187576
     /* 187576 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(187616), // Rule ID 11705 //
     /* 187581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 187589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1995:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_S),
     /* 187605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187607 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187609 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187614 */     GIR_RootConstrainSelectedInstOperands,
     /* 187615 */     // GIR_Coverage, 11705,
     /* 187615 */     GIR_EraseRootFromParent_Done,
     /* 187616 */   // Label 3741: @187616
     /* 187616 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(187656), // Rule ID 11706 //
     /* 187621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 187629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187642 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1995:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_D),
     /* 187645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187654 */     GIR_RootConstrainSelectedInstOperands,
     /* 187655 */     // GIR_Coverage, 11706,
     /* 187655 */     GIR_EraseRootFromParent_Done,
     /* 187656 */   // Label 3742: @187656
     /* 187656 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(187696), // Rule ID 11707 //
     /* 187661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 187669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187682 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2001:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_B),
     /* 187685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187694 */     GIR_RootConstrainSelectedInstOperands,
     /* 187695 */     // GIR_Coverage, 11707,
     /* 187695 */     GIR_EraseRootFromParent_Done,
     /* 187696 */   // Label 3743: @187696
     /* 187696 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(187736), // Rule ID 11708 //
     /* 187701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 187709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2001:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_H),
     /* 187725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187734 */     GIR_RootConstrainSelectedInstOperands,
     /* 187735 */     // GIR_Coverage, 11708,
     /* 187735 */     GIR_EraseRootFromParent_Done,
     /* 187736 */   // Label 3744: @187736
     /* 187736 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(187776), // Rule ID 11709 //
     /* 187741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 187749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2001:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_S),
     /* 187765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187774 */     GIR_RootConstrainSelectedInstOperands,
     /* 187775 */     // GIR_Coverage, 11709,
     /* 187775 */     GIR_EraseRootFromParent_Done,
     /* 187776 */   // Label 3745: @187776
     /* 187776 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(187816), // Rule ID 11710 //
     /* 187781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 187789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187802 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2001:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_D),
     /* 187805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187814 */     GIR_RootConstrainSelectedInstOperands,
     /* 187815 */     // GIR_Coverage, 11710,
     /* 187815 */     GIR_EraseRootFromParent_Done,
     /* 187816 */   // Label 3746: @187816
     /* 187816 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(187856), // Rule ID 11715 //
     /* 187821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 187829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187842 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2013:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_B),
     /* 187845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187854 */     GIR_RootConstrainSelectedInstOperands,
     /* 187855 */     // GIR_Coverage, 11715,
     /* 187855 */     GIR_EraseRootFromParent_Done,
     /* 187856 */   // Label 3747: @187856
     /* 187856 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(187896), // Rule ID 11716 //
     /* 187861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 187869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2013:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_H),
     /* 187885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187894 */     GIR_RootConstrainSelectedInstOperands,
     /* 187895 */     // GIR_Coverage, 11716,
     /* 187895 */     GIR_EraseRootFromParent_Done,
     /* 187896 */   // Label 3748: @187896
     /* 187896 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(187936), // Rule ID 11717 //
     /* 187901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 187909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2013:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_S),
     /* 187925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187934 */     GIR_RootConstrainSelectedInstOperands,
     /* 187935 */     // GIR_Coverage, 11717,
     /* 187935 */     GIR_EraseRootFromParent_Done,
     /* 187936 */   // Label 3749: @187936
     /* 187936 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(187976), // Rule ID 11718 //
     /* 187941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 187949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2013:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 187962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_D),
     /* 187965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187974 */     GIR_RootConstrainSelectedInstOperands,
     /* 187975 */     // GIR_Coverage, 11718,
     /* 187975 */     GIR_EraseRootFromParent_Done,
     /* 187976 */   // Label 3750: @187976
     /* 187976 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(188016), // Rule ID 11719 //
     /* 187981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 187984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 187989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 187995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 187998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2007:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_B),
     /* 188005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188014 */     GIR_RootConstrainSelectedInstOperands,
     /* 188015 */     // GIR_Coverage, 11719,
     /* 188015 */     GIR_EraseRootFromParent_Done,
     /* 188016 */   // Label 3751: @188016
     /* 188016 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(188056), // Rule ID 11720 //
     /* 188021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2007:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_H),
     /* 188045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188054 */     GIR_RootConstrainSelectedInstOperands,
     /* 188055 */     // GIR_Coverage, 11720,
     /* 188055 */     GIR_EraseRootFromParent_Done,
     /* 188056 */   // Label 3752: @188056
     /* 188056 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(188096), // Rule ID 11721 //
     /* 188061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2007:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_S),
     /* 188085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188094 */     GIR_RootConstrainSelectedInstOperands,
     /* 188095 */     // GIR_Coverage, 11721,
     /* 188095 */     GIR_EraseRootFromParent_Done,
     /* 188096 */   // Label 3753: @188096
     /* 188096 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(188136), // Rule ID 11722 //
     /* 188101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188122 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2007:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_D),
     /* 188125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188134 */     GIR_RootConstrainSelectedInstOperands,
     /* 188135 */     // GIR_Coverage, 11722,
     /* 188135 */     GIR_EraseRootFromParent_Done,
     /* 188136 */   // Label 3754: @188136
     /* 188136 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(188176), // Rule ID 11727 //
     /* 188141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 188149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188162 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1995:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_B),
     /* 188165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188174 */     GIR_RootConstrainSelectedInstOperands,
     /* 188175 */     // GIR_Coverage, 11727,
     /* 188175 */     GIR_EraseRootFromParent_Done,
     /* 188176 */   // Label 3755: @188176
     /* 188176 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(188216), // Rule ID 11728 //
     /* 188181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 188189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1995:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_H),
     /* 188205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188214 */     GIR_RootConstrainSelectedInstOperands,
     /* 188215 */     // GIR_Coverage, 11728,
     /* 188215 */     GIR_EraseRootFromParent_Done,
     /* 188216 */   // Label 3756: @188216
     /* 188216 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(188256), // Rule ID 11729 //
     /* 188221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 188229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1995:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_S),
     /* 188245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188254 */     GIR_RootConstrainSelectedInstOperands,
     /* 188255 */     // GIR_Coverage, 11729,
     /* 188255 */     GIR_EraseRootFromParent_Done,
     /* 188256 */   // Label 3757: @188256
     /* 188256 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(188296), // Rule ID 11730 //
     /* 188261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 188269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188282 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1995:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_D),
     /* 188285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188294 */     GIR_RootConstrainSelectedInstOperands,
     /* 188295 */     // GIR_Coverage, 11730,
     /* 188295 */     GIR_EraseRootFromParent_Done,
     /* 188296 */   // Label 3758: @188296
     /* 188296 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(188336), // Rule ID 11731 //
     /* 188301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 188309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2001:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_B),
     /* 188325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188334 */     GIR_RootConstrainSelectedInstOperands,
     /* 188335 */     // GIR_Coverage, 11731,
     /* 188335 */     GIR_EraseRootFromParent_Done,
     /* 188336 */   // Label 3759: @188336
     /* 188336 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(188376), // Rule ID 11732 //
     /* 188341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 188349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2001:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_H),
     /* 188365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188374 */     GIR_RootConstrainSelectedInstOperands,
     /* 188375 */     // GIR_Coverage, 11732,
     /* 188375 */     GIR_EraseRootFromParent_Done,
     /* 188376 */   // Label 3760: @188376
     /* 188376 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(188416), // Rule ID 11733 //
     /* 188381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 188389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2001:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_S),
     /* 188405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188414 */     GIR_RootConstrainSelectedInstOperands,
     /* 188415 */     // GIR_Coverage, 11733,
     /* 188415 */     GIR_EraseRootFromParent_Done,
     /* 188416 */   // Label 3761: @188416
     /* 188416 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(188456), // Rule ID 11734 //
     /* 188421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 188429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188442 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2001:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_D),
     /* 188445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188454 */     GIR_RootConstrainSelectedInstOperands,
     /* 188455 */     // GIR_Coverage, 11734,
     /* 188455 */     GIR_EraseRootFromParent_Done,
     /* 188456 */   // Label 3762: @188456
     /* 188456 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(188496), // Rule ID 11739 //
     /* 188461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 188469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188482 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2013:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_B),
     /* 188485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188487 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188494 */     GIR_RootConstrainSelectedInstOperands,
     /* 188495 */     // GIR_Coverage, 11739,
     /* 188495 */     GIR_EraseRootFromParent_Done,
     /* 188496 */   // Label 3763: @188496
     /* 188496 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(188536), // Rule ID 11740 //
     /* 188501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 188509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2013:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_H),
     /* 188525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188534 */     GIR_RootConstrainSelectedInstOperands,
     /* 188535 */     // GIR_Coverage, 11740,
     /* 188535 */     GIR_EraseRootFromParent_Done,
     /* 188536 */   // Label 3764: @188536
     /* 188536 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(188576), // Rule ID 11741 //
     /* 188541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 188549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2013:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_S),
     /* 188565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188574 */     GIR_RootConstrainSelectedInstOperands,
     /* 188575 */     // GIR_Coverage, 11741,
     /* 188575 */     GIR_EraseRootFromParent_Done,
     /* 188576 */   // Label 3765: @188576
     /* 188576 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(188616), // Rule ID 11742 //
     /* 188581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 188589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2013:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_D),
     /* 188605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188607 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188609 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188614 */     GIR_RootConstrainSelectedInstOperands,
     /* 188615 */     // GIR_Coverage, 11742,
     /* 188615 */     GIR_EraseRootFromParent_Done,
     /* 188616 */   // Label 3766: @188616
     /* 188616 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(188656), // Rule ID 11743 //
     /* 188621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188642 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2007:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_B),
     /* 188645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188654 */     GIR_RootConstrainSelectedInstOperands,
     /* 188655 */     // GIR_Coverage, 11743,
     /* 188655 */     GIR_EraseRootFromParent_Done,
     /* 188656 */   // Label 3767: @188656
     /* 188656 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(188696), // Rule ID 11744 //
     /* 188661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188682 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2007:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_H),
     /* 188685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188694 */     GIR_RootConstrainSelectedInstOperands,
     /* 188695 */     // GIR_Coverage, 11744,
     /* 188695 */     GIR_EraseRootFromParent_Done,
     /* 188696 */   // Label 3768: @188696
     /* 188696 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(188736), // Rule ID 11745 //
     /* 188701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2007:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_S),
     /* 188725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188734 */     GIR_RootConstrainSelectedInstOperands,
     /* 188735 */     // GIR_Coverage, 11745,
     /* 188735 */     GIR_EraseRootFromParent_Done,
     /* 188736 */   // Label 3769: @188736
     /* 188736 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(188776), // Rule ID 11746 //
     /* 188741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 188744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 188749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2007:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_D),
     /* 188765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188774 */     GIR_RootConstrainSelectedInstOperands,
     /* 188775 */     // GIR_Coverage, 11746,
     /* 188775 */     GIR_EraseRootFromParent_Done,
     /* 188776 */   // Label 3770: @188776
     /* 188776 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(188813), // Rule ID 11755 //
     /* 188781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 188784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesd),
     /* 188789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1163:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESD_ZZZ_B),
     /* 188805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 188807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188811 */     GIR_RootConstrainSelectedInstOperands,
     /* 188812 */     // GIR_Coverage, 11755,
     /* 188812 */     GIR_EraseRootFromParent_Done,
     /* 188813 */   // Label 3771: @188813
     /* 188813 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(188850), // Rule ID 11757 //
     /* 188818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 188821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 188826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1537:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLT_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_Q),
     /* 188842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188848 */     GIR_RootConstrainSelectedInstOperands,
     /* 188849 */     // GIR_Coverage, 11757,
     /* 188849 */     GIR_EraseRootFromParent_Done,
     /* 188850 */   // Label 3772: @188850
     /* 188850 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(188887), // Rule ID 11758 //
     /* 188855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 188858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4e),
     /* 188863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1628:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4E_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E_ZZZ_S),
     /* 188879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 188881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188885 */     GIR_RootConstrainSelectedInstOperands,
     /* 188886 */     // GIR_Coverage, 11758,
     /* 188886 */     GIR_EraseRootFromParent_Done,
     /* 188887 */   // Label 3773: @188887
     /* 188887 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(188924), // Rule ID 11759 //
     /* 188892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SHA3),
     /* 188895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rax1),
     /* 188900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1569:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RAX1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1_ZZZ_D),
     /* 188916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188922 */     GIR_RootConstrainSelectedInstOperands,
     /* 188923 */     // GIR_Coverage, 11759,
     /* 188923 */     GIR_EraseRootFromParent_Done,
     /* 188924 */   // Label 3774: @188924
     /* 188924 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(188961), // Rule ID 11760 //
     /* 188929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 188932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 188937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1177:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BDEP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_B),
     /* 188953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188959 */     GIR_RootConstrainSelectedInstOperands,
     /* 188960 */     // GIR_Coverage, 11760,
     /* 188960 */     GIR_EraseRootFromParent_Done,
     /* 188961 */   // Label 3775: @188961
     /* 188961 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(188998), // Rule ID 11761 //
     /* 188966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 188969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 188974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1177:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BDEP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_H),
     /* 188990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188996 */     GIR_RootConstrainSelectedInstOperands,
     /* 188997 */     // GIR_Coverage, 11761,
     /* 188997 */     GIR_EraseRootFromParent_Done,
     /* 188998 */   // Label 3776: @188998
     /* 188998 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(189035), // Rule ID 11762 //
     /* 189003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 189011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1177:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BDEP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_S),
     /* 189027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189033 */     GIR_RootConstrainSelectedInstOperands,
     /* 189034 */     // GIR_Coverage, 11762,
     /* 189034 */     GIR_EraseRootFromParent_Done,
     /* 189035 */   // Label 3777: @189035
     /* 189035 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(189072), // Rule ID 11763 //
     /* 189040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 189048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1177:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BDEP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_D),
     /* 189064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189070 */     GIR_RootConstrainSelectedInstOperands,
     /* 189071 */     // GIR_Coverage, 11763,
     /* 189071 */     GIR_EraseRootFromParent_Done,
     /* 189072 */   // Label 3778: @189072
     /* 189072 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(189109), // Rule ID 11764 //
     /* 189077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 189085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 189088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 189091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1194:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BGRP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_B),
     /* 189101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189107 */     GIR_RootConstrainSelectedInstOperands,
     /* 189108 */     // GIR_Coverage, 11764,
     /* 189108 */     GIR_EraseRootFromParent_Done,
     /* 189109 */   // Label 3779: @189109
     /* 189109 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(189146), // Rule ID 11765 //
     /* 189114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 189122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189135 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1194:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BGRP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_H),
     /* 189138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189144 */     GIR_RootConstrainSelectedInstOperands,
     /* 189145 */     // GIR_Coverage, 11765,
     /* 189145 */     GIR_EraseRootFromParent_Done,
     /* 189146 */   // Label 3780: @189146
     /* 189146 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(189183), // Rule ID 11766 //
     /* 189151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 189159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1194:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BGRP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_S),
     /* 189175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189181 */     GIR_RootConstrainSelectedInstOperands,
     /* 189182 */     // GIR_Coverage, 11766,
     /* 189182 */     GIR_EraseRootFromParent_Done,
     /* 189183 */   // Label 3781: @189183
     /* 189183 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(189220), // Rule ID 11767 //
     /* 189188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 189191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 189196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1194:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BGRP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_D),
     /* 189212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189218 */     GIR_RootConstrainSelectedInstOperands,
     /* 189219 */     // GIR_Coverage, 11767,
     /* 189219 */     GIR_EraseRootFromParent_Done,
     /* 189220 */   // Label 3782: @189220
     /* 189220 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(189257), // Rule ID 11880 //
     /* 189225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 189233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189246 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1343:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_H),
     /* 189249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189255 */     GIR_RootConstrainSelectedInstOperands,
     /* 189256 */     // GIR_Coverage, 11880,
     /* 189256 */     GIR_EraseRootFromParent_Done,
     /* 189257 */   // Label 3783: @189257
     /* 189257 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(189294), // Rule ID 11881 //
     /* 189262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 189270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189283 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1343:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_S),
     /* 189286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189292 */     GIR_RootConstrainSelectedInstOperands,
     /* 189293 */     // GIR_Coverage, 11881,
     /* 189293 */     GIR_EraseRootFromParent_Done,
     /* 189294 */   // Label 3784: @189294
     /* 189294 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(189331), // Rule ID 11882 //
     /* 189299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 189307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189320 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1343:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_D),
     /* 189323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189329 */     GIR_RootConstrainSelectedInstOperands,
     /* 189330 */     // GIR_Coverage, 11882,
     /* 189330 */     GIR_EraseRootFromParent_Done,
     /* 189331 */   // Label 3785: @189331
     /* 189331 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(189368), // Rule ID 11883 //
     /* 189336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 189344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189357 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1361:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_H),
     /* 189360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189366 */     GIR_RootConstrainSelectedInstOperands,
     /* 189367 */     // GIR_Coverage, 11883,
     /* 189367 */     GIR_EraseRootFromParent_Done,
     /* 189368 */   // Label 3786: @189368
     /* 189368 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(189405), // Rule ID 11884 //
     /* 189373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 189381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189394 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1361:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_S),
     /* 189397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189403 */     GIR_RootConstrainSelectedInstOperands,
     /* 189404 */     // GIR_Coverage, 11884,
     /* 189404 */     GIR_EraseRootFromParent_Done,
     /* 189405 */   // Label 3787: @189405
     /* 189405 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(189442), // Rule ID 11885 //
     /* 189410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 189418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189431 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1361:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_D),
     /* 189434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189440 */     GIR_RootConstrainSelectedInstOperands,
     /* 189441 */     // GIR_Coverage, 11885,
     /* 189441 */     GIR_EraseRootFromParent_Done,
     /* 189442 */   // Label 3788: @189442
     /* 189442 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(189479), // Rule ID 11886 //
     /* 189447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 189455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189468 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1346:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_H),
     /* 189471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189477 */     GIR_RootConstrainSelectedInstOperands,
     /* 189478 */     // GIR_Coverage, 11886,
     /* 189478 */     GIR_EraseRootFromParent_Done,
     /* 189479 */   // Label 3789: @189479
     /* 189479 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(189516), // Rule ID 11887 //
     /* 189484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 189492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189505 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1346:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_S),
     /* 189508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189514 */     GIR_RootConstrainSelectedInstOperands,
     /* 189515 */     // GIR_Coverage, 11887,
     /* 189515 */     GIR_EraseRootFromParent_Done,
     /* 189516 */   // Label 3790: @189516
     /* 189516 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(189553), // Rule ID 11888 //
     /* 189521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 189529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189542 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1346:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_D),
     /* 189545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189551 */     GIR_RootConstrainSelectedInstOperands,
     /* 189552 */     // GIR_Coverage, 11888,
     /* 189552 */     GIR_EraseRootFromParent_Done,
     /* 189553 */   // Label 3791: @189553
     /* 189553 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(189590), // Rule ID 11889 //
     /* 189558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 189566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189579 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1364:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_H),
     /* 189582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189588 */     GIR_RootConstrainSelectedInstOperands,
     /* 189589 */     // GIR_Coverage, 11889,
     /* 189589 */     GIR_EraseRootFromParent_Done,
     /* 189590 */   // Label 3792: @189590
     /* 189590 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(189627), // Rule ID 11890 //
     /* 189595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 189603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189616 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1364:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_S),
     /* 189619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189625 */     GIR_RootConstrainSelectedInstOperands,
     /* 189626 */     // GIR_Coverage, 11890,
     /* 189626 */     GIR_EraseRootFromParent_Done,
     /* 189627 */   // Label 3793: @189627
     /* 189627 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(189664), // Rule ID 11891 //
     /* 189632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 189640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189653 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1364:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_D),
     /* 189656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189662 */     GIR_RootConstrainSelectedInstOperands,
     /* 189663 */     // GIR_Coverage, 11891,
     /* 189663 */     GIR_EraseRootFromParent_Done,
     /* 189664 */   // Label 3794: @189664
     /* 189664 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(189701), // Rule ID 11892 //
     /* 189669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 189677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 189680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 189683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189690 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1258:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_B),
     /* 189693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189699 */     GIR_RootConstrainSelectedInstOperands,
     /* 189700 */     // GIR_Coverage, 11892,
     /* 189700 */     GIR_EraseRootFromParent_Done,
     /* 189701 */   // Label 3795: @189701
     /* 189701 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(189738), // Rule ID 11893 //
     /* 189706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 189714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189727 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1258:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_H),
     /* 189730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189736 */     GIR_RootConstrainSelectedInstOperands,
     /* 189737 */     // GIR_Coverage, 11893,
     /* 189737 */     GIR_EraseRootFromParent_Done,
     /* 189738 */   // Label 3796: @189738
     /* 189738 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(189775), // Rule ID 11894 //
     /* 189743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 189751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189764 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1258:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_S),
     /* 189767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189773 */     GIR_RootConstrainSelectedInstOperands,
     /* 189774 */     // GIR_Coverage, 11894,
     /* 189774 */     GIR_EraseRootFromParent_Done,
     /* 189775 */   // Label 3797: @189775
     /* 189775 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(189812), // Rule ID 11895 //
     /* 189780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 189788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189801 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1258:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_D),
     /* 189804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189810 */     GIR_RootConstrainSelectedInstOperands,
     /* 189811 */     // GIR_Coverage, 11895,
     /* 189811 */     GIR_EraseRootFromParent_Done,
     /* 189812 */   // Label 3798: @189812
     /* 189812 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(189849), // Rule ID 11896 //
     /* 189817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 189825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 189828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 189831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189838 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1170:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ANDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_B),
     /* 189841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189847 */     GIR_RootConstrainSelectedInstOperands,
     /* 189848 */     // GIR_Coverage, 11896,
     /* 189848 */     GIR_EraseRootFromParent_Done,
     /* 189849 */   // Label 3799: @189849
     /* 189849 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(189886), // Rule ID 11897 //
     /* 189854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 189862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 189865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 189868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189875 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1170:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ANDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_H),
     /* 189878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189884 */     GIR_RootConstrainSelectedInstOperands,
     /* 189885 */     // GIR_Coverage, 11897,
     /* 189885 */     GIR_EraseRootFromParent_Done,
     /* 189886 */   // Label 3800: @189886
     /* 189886 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(189923), // Rule ID 11898 //
     /* 189891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 189899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 189902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 189905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189912 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1170:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ANDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_S),
     /* 189915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189921 */     GIR_RootConstrainSelectedInstOperands,
     /* 189922 */     // GIR_Coverage, 11898,
     /* 189922 */     GIR_EraseRootFromParent_Done,
     /* 189923 */   // Label 3801: @189923
     /* 189923 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(189960), // Rule ID 11899 //
     /* 189928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 189936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 189939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 189942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189949 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1170:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ANDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_D),
     /* 189952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189958 */     GIR_RootConstrainSelectedInstOperands,
     /* 189959 */     // GIR_Coverage, 11899,
     /* 189959 */     GIR_EraseRootFromParent_Done,
     /* 189960 */   // Label 3802: @189960
     /* 189960 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(189997), // Rule ID 11900 //
     /* 189965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 189968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 189973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 189976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 189979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 189986 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1158:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_B),
     /* 189989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 189991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189995 */     GIR_RootConstrainSelectedInstOperands,
     /* 189996 */     // GIR_Coverage, 11900,
     /* 189996 */     GIR_EraseRootFromParent_Done,
     /* 189997 */   // Label 3803: @189997
     /* 189997 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(190034), // Rule ID 11901 //
     /* 190002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 190010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 190013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 190016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190023 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1158:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_H),
     /* 190026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190032 */     GIR_RootConstrainSelectedInstOperands,
     /* 190033 */     // GIR_Coverage, 11901,
     /* 190033 */     GIR_EraseRootFromParent_Done,
     /* 190034 */   // Label 3804: @190034
     /* 190034 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(190071), // Rule ID 11902 //
     /* 190039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 190047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 190050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 190053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190060 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1158:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_S),
     /* 190063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190069 */     GIR_RootConstrainSelectedInstOperands,
     /* 190070 */     // GIR_Coverage, 11902,
     /* 190070 */     GIR_EraseRootFromParent_Done,
     /* 190071 */   // Label 3805: @190071
     /* 190071 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(190108), // Rule ID 11903 //
     /* 190076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 190084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 190087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 190090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190097 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1158:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_D),
     /* 190100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190106 */     GIR_RootConstrainSelectedInstOperands,
     /* 190107 */     // GIR_Coverage, 11903,
     /* 190107 */     GIR_EraseRootFromParent_Done,
     /* 190108 */   // Label 3806: @190108
     /* 190108 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(190145), // Rule ID 11904 //
     /* 190113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 190121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 190124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 190127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190134 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1637:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_B),
     /* 190137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190143 */     GIR_RootConstrainSelectedInstOperands,
     /* 190144 */     // GIR_Coverage, 11904,
     /* 190144 */     GIR_EraseRootFromParent_Done,
     /* 190145 */   // Label 3807: @190145
     /* 190145 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(190182), // Rule ID 11905 //
     /* 190150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 190158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 190161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 190164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190171 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1637:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_H),
     /* 190174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190180 */     GIR_RootConstrainSelectedInstOperands,
     /* 190181 */     // GIR_Coverage, 11905,
     /* 190181 */     GIR_EraseRootFromParent_Done,
     /* 190182 */   // Label 3808: @190182
     /* 190182 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(190219), // Rule ID 11906 //
     /* 190187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 190195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 190198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 190201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190208 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1637:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_S),
     /* 190211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190217 */     GIR_RootConstrainSelectedInstOperands,
     /* 190218 */     // GIR_Coverage, 11906,
     /* 190218 */     GIR_EraseRootFromParent_Done,
     /* 190219 */   // Label 3809: @190219
     /* 190219 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(190256), // Rule ID 11907 //
     /* 190224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 190232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 190235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 190238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190245 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1637:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_D),
     /* 190248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190254 */     GIR_RootConstrainSelectedInstOperands,
     /* 190255 */     // GIR_Coverage, 11907,
     /* 190255 */     GIR_EraseRootFromParent_Done,
     /* 190256 */   // Label 3810: @190256
     /* 190256 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(190293), // Rule ID 11908 //
     /* 190261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 190269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 190272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 190275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190282 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1875:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_B),
     /* 190285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190291 */     GIR_RootConstrainSelectedInstOperands,
     /* 190292 */     // GIR_Coverage, 11908,
     /* 190292 */     GIR_EraseRootFromParent_Done,
     /* 190293 */   // Label 3811: @190293
     /* 190293 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(190330), // Rule ID 11909 //
     /* 190298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 190306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 190309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 190312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190319 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1875:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_H),
     /* 190322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190328 */     GIR_RootConstrainSelectedInstOperands,
     /* 190329 */     // GIR_Coverage, 11909,
     /* 190329 */     GIR_EraseRootFromParent_Done,
     /* 190330 */   // Label 3812: @190330
     /* 190330 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(190367), // Rule ID 11910 //
     /* 190335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 190343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 190346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 190349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190356 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1875:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_S),
     /* 190359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190365 */     GIR_RootConstrainSelectedInstOperands,
     /* 190366 */     // GIR_Coverage, 11910,
     /* 190366 */     GIR_EraseRootFromParent_Done,
     /* 190367 */   // Label 3813: @190367
     /* 190367 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(190404), // Rule ID 11911 //
     /* 190372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 190380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 190383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 190386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190393 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1875:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_D),
     /* 190396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190402 */     GIR_RootConstrainSelectedInstOperands,
     /* 190403 */     // GIR_Coverage, 11911,
     /* 190403 */     GIR_EraseRootFromParent_Done,
     /* 190404 */   // Label 3814: @190404
     /* 190404 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(190441), // Rule ID 11912 //
     /* 190409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 190417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 190420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 190423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190430 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1646:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_B),
     /* 190433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190439 */     GIR_RootConstrainSelectedInstOperands,
     /* 190440 */     // GIR_Coverage, 11912,
     /* 190440 */     GIR_EraseRootFromParent_Done,
     /* 190441 */   // Label 3815: @190441
     /* 190441 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(190478), // Rule ID 11913 //
     /* 190446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 190454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 190457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 190460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190467 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1646:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_H),
     /* 190470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190476 */     GIR_RootConstrainSelectedInstOperands,
     /* 190477 */     // GIR_Coverage, 11913,
     /* 190477 */     GIR_EraseRootFromParent_Done,
     /* 190478 */   // Label 3816: @190478
     /* 190478 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(190515), // Rule ID 11914 //
     /* 190483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 190491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 190494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 190497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190504 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1646:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_S),
     /* 190507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190513 */     GIR_RootConstrainSelectedInstOperands,
     /* 190514 */     // GIR_Coverage, 11914,
     /* 190514 */     GIR_EraseRootFromParent_Done,
     /* 190515 */   // Label 3817: @190515
     /* 190515 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(190552), // Rule ID 11915 //
     /* 190520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 190528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 190531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 190534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190541 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1646:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_D),
     /* 190544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190550 */     GIR_RootConstrainSelectedInstOperands,
     /* 190551 */     // GIR_Coverage, 11915,
     /* 190551 */     GIR_EraseRootFromParent_Done,
     /* 190552 */   // Label 3818: @190552
     /* 190552 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(190589), // Rule ID 11916 //
     /* 190557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 190565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 190568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 190571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190578 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1884:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_B),
     /* 190581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190587 */     GIR_RootConstrainSelectedInstOperands,
     /* 190588 */     // GIR_Coverage, 11916,
     /* 190588 */     GIR_EraseRootFromParent_Done,
     /* 190589 */   // Label 3819: @190589
     /* 190589 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(190626), // Rule ID 11917 //
     /* 190594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 190602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 190605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 190608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190615 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1884:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_H),
     /* 190618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190624 */     GIR_RootConstrainSelectedInstOperands,
     /* 190625 */     // GIR_Coverage, 11917,
     /* 190625 */     GIR_EraseRootFromParent_Done,
     /* 190626 */   // Label 3820: @190626
     /* 190626 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(190663), // Rule ID 11918 //
     /* 190631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 190639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 190642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 190645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190652 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1884:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_S),
     /* 190655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190661 */     GIR_RootConstrainSelectedInstOperands,
     /* 190662 */     // GIR_Coverage, 11918,
     /* 190662 */     GIR_EraseRootFromParent_Done,
     /* 190663 */   // Label 3821: @190663
     /* 190663 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(190700), // Rule ID 11919 //
     /* 190668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 190676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 190679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 190682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 190689 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1884:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_D),
     /* 190692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 190694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190698 */     GIR_RootConstrainSelectedInstOperands,
     /* 190699 */     // GIR_Coverage, 11919,
     /* 190699 */     GIR_EraseRootFromParent_Done,
     /* 190700 */   // Label 3822: @190700
     /* 190700 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(190737), // Rule ID 11920 //
     /* 190705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2068:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_B),
     /* 190729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190735 */     GIR_RootConstrainSelectedInstOperands,
     /* 190736 */     // GIR_Coverage, 11920,
     /* 190736 */     GIR_EraseRootFromParent_Done,
     /* 190737 */   // Label 3823: @190737
     /* 190737 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(190774), // Rule ID 11921 //
     /* 190742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2068:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 190766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190772 */     GIR_RootConstrainSelectedInstOperands,
     /* 190773 */     // GIR_Coverage, 11921,
     /* 190773 */     GIR_EraseRootFromParent_Done,
     /* 190774 */   // Label 3824: @190774
     /* 190774 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(190811), // Rule ID 11922 //
     /* 190779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2068:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 190803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190809 */     GIR_RootConstrainSelectedInstOperands,
     /* 190810 */     // GIR_Coverage, 11922,
     /* 190810 */     GIR_EraseRootFromParent_Done,
     /* 190811 */   // Label 3825: @190811
     /* 190811 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(190848), // Rule ID 11923 //
     /* 190816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2068:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 190840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190846 */     GIR_RootConstrainSelectedInstOperands,
     /* 190847 */     // GIR_Coverage, 11923,
     /* 190847 */     GIR_EraseRootFromParent_Done,
     /* 190848 */   // Label 3826: @190848
     /* 190848 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(190885), // Rule ID 11924 //
     /* 190853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2068:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 190877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190883 */     GIR_RootConstrainSelectedInstOperands,
     /* 190884 */     // GIR_Coverage, 11924,
     /* 190884 */     GIR_EraseRootFromParent_Done,
     /* 190885 */   // Label 3827: @190885
     /* 190885 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(190922), // Rule ID 11925 //
     /* 190890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2068:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 190914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190920 */     GIR_RootConstrainSelectedInstOperands,
     /* 190921 */     // GIR_Coverage, 11925,
     /* 190921 */     GIR_EraseRootFromParent_Done,
     /* 190922 */   // Label 3828: @190922
     /* 190922 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(190959), // Rule ID 11926 //
     /* 190927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 190935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2068:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 190951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190957 */     GIR_RootConstrainSelectedInstOperands,
     /* 190958 */     // GIR_Coverage, 11926,
     /* 190958 */     GIR_EraseRootFromParent_Done,
     /* 190959 */   // Label 3829: @190959
     /* 190959 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(190996), // Rule ID 11927 //
     /* 190964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 190967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 190972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1993:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_B),
     /* 190988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190994 */     GIR_RootConstrainSelectedInstOperands,
     /* 190995 */     // GIR_Coverage, 11927,
     /* 190995 */     GIR_EraseRootFromParent_Done,
     /* 190996 */   // Label 3830: @190996
     /* 190996 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(191033), // Rule ID 11928 //
     /* 191001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1993:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 191025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191029 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191031 */     GIR_RootConstrainSelectedInstOperands,
     /* 191032 */     // GIR_Coverage, 11928,
     /* 191032 */     GIR_EraseRootFromParent_Done,
     /* 191033 */   // Label 3831: @191033
     /* 191033 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(191070), // Rule ID 11929 //
     /* 191038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1993:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 191062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191068 */     GIR_RootConstrainSelectedInstOperands,
     /* 191069 */     // GIR_Coverage, 11929,
     /* 191069 */     GIR_EraseRootFromParent_Done,
     /* 191070 */   // Label 3832: @191070
     /* 191070 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(191107), // Rule ID 11930 //
     /* 191075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1993:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 191099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191105 */     GIR_RootConstrainSelectedInstOperands,
     /* 191106 */     // GIR_Coverage, 11930,
     /* 191106 */     GIR_EraseRootFromParent_Done,
     /* 191107 */   // Label 3833: @191107
     /* 191107 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(191144), // Rule ID 11931 //
     /* 191112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191133 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1993:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 191136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191142 */     GIR_RootConstrainSelectedInstOperands,
     /* 191143 */     // GIR_Coverage, 11931,
     /* 191143 */     GIR_EraseRootFromParent_Done,
     /* 191144 */   // Label 3834: @191144
     /* 191144 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(191181), // Rule ID 11932 //
     /* 191149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191170 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1993:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 191173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191179 */     GIR_RootConstrainSelectedInstOperands,
     /* 191180 */     // GIR_Coverage, 11932,
     /* 191180 */     GIR_EraseRootFromParent_Done,
     /* 191181 */   // Label 3835: @191181
     /* 191181 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(191218), // Rule ID 11933 //
     /* 191186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 191194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191207 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1993:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 191210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191216 */     GIR_RootConstrainSelectedInstOperands,
     /* 191217 */     // GIR_Coverage, 11933,
     /* 191217 */     GIR_EraseRootFromParent_Done,
     /* 191218 */   // Label 3836: @191218
     /* 191218 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(191255), // Rule ID 11934 //
     /* 191223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1994:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_B),
     /* 191247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191253 */     GIR_RootConstrainSelectedInstOperands,
     /* 191254 */     // GIR_Coverage, 11934,
     /* 191254 */     GIR_EraseRootFromParent_Done,
     /* 191255 */   // Label 3837: @191255
     /* 191255 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(191292), // Rule ID 11935 //
     /* 191260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1994:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 191284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191290 */     GIR_RootConstrainSelectedInstOperands,
     /* 191291 */     // GIR_Coverage, 11935,
     /* 191291 */     GIR_EraseRootFromParent_Done,
     /* 191292 */   // Label 3838: @191292
     /* 191292 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(191329), // Rule ID 11936 //
     /* 191297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1994:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 191321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191327 */     GIR_RootConstrainSelectedInstOperands,
     /* 191328 */     // GIR_Coverage, 11936,
     /* 191328 */     GIR_EraseRootFromParent_Done,
     /* 191329 */   // Label 3839: @191329
     /* 191329 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(191366), // Rule ID 11937 //
     /* 191334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1994:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 191358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191364 */     GIR_RootConstrainSelectedInstOperands,
     /* 191365 */     // GIR_Coverage, 11937,
     /* 191365 */     GIR_EraseRootFromParent_Done,
     /* 191366 */   // Label 3840: @191366
     /* 191366 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(191403), // Rule ID 11938 //
     /* 191371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191392 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1994:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 191395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191401 */     GIR_RootConstrainSelectedInstOperands,
     /* 191402 */     // GIR_Coverage, 11938,
     /* 191402 */     GIR_EraseRootFromParent_Done,
     /* 191403 */   // Label 3841: @191403
     /* 191403 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(191440), // Rule ID 11939 //
     /* 191408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1994:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 191432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191438 */     GIR_RootConstrainSelectedInstOperands,
     /* 191439 */     // GIR_Coverage, 11939,
     /* 191439 */     GIR_EraseRootFromParent_Done,
     /* 191440 */   // Label 3842: @191440
     /* 191440 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(191477), // Rule ID 11940 //
     /* 191445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 191448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 191453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191466 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1994:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 191469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191475 */     GIR_RootConstrainSelectedInstOperands,
     /* 191476 */     // GIR_Coverage, 11940,
     /* 191476 */     GIR_EraseRootFromParent_Done,
     /* 191477 */   // Label 3843: @191477
     /* 191477 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(191519), // Rule ID 3198 //
     /* 191482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_b),
     /* 191490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 191493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191497 */     // MIs[0] Op1
     /* 191497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191501 */     // MIs[0] Op2
     /* 191501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2047:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_B),
     /* 191508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191517 */     GIR_RootConstrainSelectedInstOperands,
     /* 191518 */     // GIR_Coverage, 3198,
     /* 191518 */     GIR_EraseRootFromParent_Done,
     /* 191519 */   // Label 3844: @191519
     /* 191519 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(191561), // Rule ID 3199 //
     /* 191524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_h),
     /* 191532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 191535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191539 */     // MIs[0] Op1
     /* 191539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191543 */     // MIs[0] Op2
     /* 191543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2049:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_H),
     /* 191550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191559 */     GIR_RootConstrainSelectedInstOperands,
     /* 191560 */     // GIR_Coverage, 3199,
     /* 191560 */     GIR_EraseRootFromParent_Done,
     /* 191561 */   // Label 3845: @191561
     /* 191561 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(191603), // Rule ID 3200 //
     /* 191566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_s),
     /* 191574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 191577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191581 */     // MIs[0] Op1
     /* 191581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191585 */     // MIs[0] Op2
     /* 191585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2050:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_S),
     /* 191592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191601 */     GIR_RootConstrainSelectedInstOperands,
     /* 191602 */     // GIR_Coverage, 3200,
     /* 191602 */     GIR_EraseRootFromParent_Done,
     /* 191603 */   // Label 3846: @191603
     /* 191603 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(191645), // Rule ID 3201 //
     /* 191608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_d),
     /* 191616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 191619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191623 */     // MIs[0] Op1
     /* 191623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191627 */     // MIs[0] Op2
     /* 191627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2048:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_D),
     /* 191634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191643 */     GIR_RootConstrainSelectedInstOperands,
     /* 191644 */     // GIR_Coverage, 3201,
     /* 191644 */     GIR_EraseRootFromParent_Done,
     /* 191645 */   // Label 3847: @191645
     /* 191645 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(191687), // Rule ID 11751 //
     /* 191650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_b),
     /* 191658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 191661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191665 */     // MIs[0] Op1
     /* 191665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191669 */     // MIs[0] Op2
     /* 191669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2043:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_B),
     /* 191676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191685 */     GIR_RootConstrainSelectedInstOperands,
     /* 191686 */     // GIR_Coverage, 11751,
     /* 191686 */     GIR_EraseRootFromParent_Done,
     /* 191687 */   // Label 3848: @191687
     /* 191687 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(191729), // Rule ID 11752 //
     /* 191692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_h),
     /* 191700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 191703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191707 */     // MIs[0] Op1
     /* 191707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191711 */     // MIs[0] Op2
     /* 191711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2045:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_H),
     /* 191718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191727 */     GIR_RootConstrainSelectedInstOperands,
     /* 191728 */     // GIR_Coverage, 11752,
     /* 191728 */     GIR_EraseRootFromParent_Done,
     /* 191729 */   // Label 3849: @191729
     /* 191729 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(191771), // Rule ID 11753 //
     /* 191734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_s),
     /* 191742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 191745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191749 */     // MIs[0] Op1
     /* 191749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191753 */     // MIs[0] Op2
     /* 191753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191757 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2046:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_S),
     /* 191760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191769 */     GIR_RootConstrainSelectedInstOperands,
     /* 191770 */     // GIR_Coverage, 11753,
     /* 191770 */     GIR_EraseRootFromParent_Done,
     /* 191771 */   // Label 3850: @191771
     /* 191771 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(191813), // Rule ID 11754 //
     /* 191776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_d),
     /* 191784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 191787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 191791 */     // MIs[0] Op1
     /* 191791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 191795 */     // MIs[0] Op2
     /* 191795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 191799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2044:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 191799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_D),
     /* 191802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 191804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 191811 */     GIR_RootConstrainSelectedInstOperands,
     /* 191812 */     // GIR_Coverage, 11754,
     /* 191812 */     GIR_EraseRootFromParent_Done,
     /* 191813 */   // Label 3851: @191813
     /* 191813 */   GIM_Reject,
     /* 191814 */ // Label 2898: @191814
     /* 191814 */ GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(235597),
     /* 191819 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 191822 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(191935), // Rule ID 2062 //
     /* 191827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 191830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 191835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 191838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 191841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 191844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 191847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 191863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 191867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 191871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 191875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 191879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 191883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 191887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 191892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 191896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 191900 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 191904 */     // MIs[3] Operand 1
     /* 191904 */     // No operand predicates
     /* 191904 */     // MIs[1] Operand 2
     /* 191904 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 191915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 191917 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 191917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 191920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 191924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 191926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 191930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 191933 */     GIR_RootConstrainSelectedInstOperands,
     /* 191934 */     // GIR_Coverage, 2062,
     /* 191934 */     GIR_EraseRootFromParent_Done,
     /* 191935 */   // Label 3853: @191935
     /* 191935 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(192048), // Rule ID 2069 //
     /* 191940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 191943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 191948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 191951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 191954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 191957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 191960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 191972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 191976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 191980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 191984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 191988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 191992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 191996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 192005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192013 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 192017 */     // MIs[3] Operand 1
     /* 192017 */     // No operand predicates
     /* 192017 */     // MIs[1] Operand 2
     /* 192017 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 192028 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192030 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 192030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 192033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192046 */     GIR_RootConstrainSelectedInstOperands,
     /* 192047 */     // GIR_Coverage, 2069,
     /* 192047 */     GIR_EraseRootFromParent_Done,
     /* 192048 */   // Label 3854: @192048
     /* 192048 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(192161), // Rule ID 2065 //
     /* 192053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 192056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 192061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 192064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 192067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 192070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 192073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 192093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192126 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 192130 */     // MIs[3] Operand 1
     /* 192130 */     // No operand predicates
     /* 192130 */     // MIs[1] Operand 2
     /* 192130 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 192141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192143 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 192143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 192146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192159 */     GIR_RootConstrainSelectedInstOperands,
     /* 192160 */     // GIR_Coverage, 2065,
     /* 192160 */     GIR_EraseRootFromParent_Done,
     /* 192161 */   // Label 3855: @192161
     /* 192161 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(192274), // Rule ID 2072 //
     /* 192166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 192169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 192174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 192177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 192180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 192183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 192186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 192206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192222 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192239 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 192243 */     // MIs[3] Operand 1
     /* 192243 */     // No operand predicates
     /* 192243 */     // MIs[1] Operand 2
     /* 192243 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 192254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192256 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 192256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 192259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192272 */     GIR_RootConstrainSelectedInstOperands,
     /* 192273 */     // GIR_Coverage, 2072,
     /* 192273 */     GIR_EraseRootFromParent_Done,
     /* 192274 */   // Label 3856: @192274
     /* 192274 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(192379), // Rule ID 3811 //
     /* 192279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 192287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 192290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 192293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 192296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 192299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 192323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192344 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192348 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192352 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 192356 */     // MIs[3] Operand 1
     /* 192356 */     // No operand predicates
     /* 192356 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192358 */     // (intrinsic_wo_chain:{ *:[v4f16] } 756:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 192358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 192361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192377 */     GIR_RootConstrainSelectedInstOperands,
     /* 192378 */     // GIR_Coverage, 3811,
     /* 192378 */     GIR_EraseRootFromParent_Done,
     /* 192379 */   // Label 3857: @192379
     /* 192379 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(192484), // Rule ID 3812 //
     /* 192384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 192392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 192395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 192398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 192401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 192404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 192428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192457 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 192461 */     // MIs[3] Operand 1
     /* 192461 */     // No operand predicates
     /* 192461 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192463 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 192463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 192466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 192482 */     GIR_RootConstrainSelectedInstOperands,
     /* 192483 */     // GIR_Coverage, 3812,
     /* 192483 */     GIR_EraseRootFromParent_Done,
     /* 192484 */   // Label 3858: @192484
     /* 192484 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(192589), // Rule ID 3813 //
     /* 192489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 192497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 192500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 192503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 192506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 192509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 192533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192562 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 192566 */     // MIs[3] Operand 1
     /* 192566 */     // No operand predicates
     /* 192566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192568 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 192568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 192571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 192587 */     GIR_RootConstrainSelectedInstOperands,
     /* 192588 */     // GIR_Coverage, 3813,
     /* 192588 */     GIR_EraseRootFromParent_Done,
     /* 192589 */   // Label 3859: @192589
     /* 192589 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(192694), // Rule ID 3814 //
     /* 192594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 192602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 192605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 192608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 192611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 192614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 192626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 192638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192667 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 192671 */     // MIs[3] Operand 1
     /* 192671 */     // No operand predicates
     /* 192671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192673 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 192673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 192676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 192692 */     GIR_RootConstrainSelectedInstOperands,
     /* 192693 */     // GIR_Coverage, 3814,
     /* 192693 */     GIR_EraseRootFromParent_Done,
     /* 192694 */   // Label 3860: @192694
     /* 192694 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(192799), // Rule ID 3819 //
     /* 192699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 192707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 192710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 192713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 192716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 192719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192772 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 192776 */     // MIs[3] Operand 1
     /* 192776 */     // No operand predicates
     /* 192776 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192778 */     // (intrinsic_wo_chain:{ *:[v8f16] } 756:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 192778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 192781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 192797 */     GIR_RootConstrainSelectedInstOperands,
     /* 192798 */     // GIR_Coverage, 3819,
     /* 192798 */     GIR_EraseRootFromParent_Done,
     /* 192799 */   // Label 3861: @192799
     /* 192799 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(192904), // Rule ID 3820 //
     /* 192804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 192812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 192815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 192818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 192821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 192824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192877 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 192881 */     // MIs[3] Operand 1
     /* 192881 */     // No operand predicates
     /* 192881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192883 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 192883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 192886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 192896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 192899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 192902 */     GIR_RootConstrainSelectedInstOperands,
     /* 192903 */     // GIR_Coverage, 3820,
     /* 192903 */     GIR_EraseRootFromParent_Done,
     /* 192904 */   // Label 3862: @192904
     /* 192904 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(193009), // Rule ID 3821 //
     /* 192909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 192912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 192917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 192920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 192923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 192926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 192929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 192945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 192949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 192957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 192961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 192969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 192974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 192978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 192982 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 192986 */     // MIs[3] Operand 1
     /* 192986 */     // No operand predicates
     /* 192986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 192988 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 192988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 192991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 192995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 192997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 193007 */     GIR_RootConstrainSelectedInstOperands,
     /* 193008 */     // GIR_Coverage, 3821,
     /* 193008 */     GIR_EraseRootFromParent_Done,
     /* 193009 */   // Label 3863: @193009
     /* 193009 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(193114), // Rule ID 3822 //
     /* 193014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 193017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 193022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 193025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 193028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 193031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 193034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 193050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 193054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 193058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 193062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 193066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 193070 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 193074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 193083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 193087 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 193091 */     // MIs[3] Operand 1
     /* 193091 */     // No operand predicates
     /* 193091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 193093 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 193093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 193096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 193102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 193112 */     GIR_RootConstrainSelectedInstOperands,
     /* 193113 */     // GIR_Coverage, 3822,
     /* 193113 */     GIR_EraseRootFromParent_Done,
     /* 193114 */   // Label 3864: @193114
     /* 193114 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(193219), // Rule ID 3835 //
     /* 193119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 193122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 193127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 193130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 193133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 193136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 193139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 193155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 193159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 193167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 193171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193175 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 193179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 193188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 193192 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 193196 */     // MIs[3] Operand 1
     /* 193196 */     // No operand predicates
     /* 193196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 193198 */     // (intrinsic_wo_chain:{ *:[v4f32] } 756:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 193198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 193201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 193207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 193217 */     GIR_RootConstrainSelectedInstOperands,
     /* 193218 */     // GIR_Coverage, 3835,
     /* 193218 */     GIR_EraseRootFromParent_Done,
     /* 193219 */   // Label 3865: @193219
     /* 193219 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(193324), // Rule ID 3836 //
     /* 193224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 193227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 193232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 193235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 193238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 193241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 193244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 193260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 193264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 193272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 193276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 193284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 193293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 193297 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 193301 */     // MIs[3] Operand 1
     /* 193301 */     // No operand predicates
     /* 193301 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 193303 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 193303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 193306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 193312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 193322 */     GIR_RootConstrainSelectedInstOperands,
     /* 193323 */     // GIR_Coverage, 3836,
     /* 193323 */     GIR_EraseRootFromParent_Done,
     /* 193324 */   // Label 3866: @193324
     /* 193324 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(193429), // Rule ID 3837 //
     /* 193329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 193332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 193337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 193340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 193343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 193346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 193349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 193365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 193369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 193377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 193381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193385 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 193389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 193398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 193402 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 193406 */     // MIs[3] Operand 1
     /* 193406 */     // No operand predicates
     /* 193406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 193408 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 193408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 193411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 193417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 193427 */     GIR_RootConstrainSelectedInstOperands,
     /* 193428 */     // GIR_Coverage, 3837,
     /* 193428 */     GIR_EraseRootFromParent_Done,
     /* 193429 */   // Label 3867: @193429
     /* 193429 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(193534), // Rule ID 3838 //
     /* 193434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 193437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 193442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 193445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 193448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 193451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 193454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 193470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 193474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 193482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 193486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 193490 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 193494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 193499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 193503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 193507 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 193511 */     // MIs[3] Operand 1
     /* 193511 */     // No operand predicates
     /* 193511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 193513 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 193513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 193516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 193522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 193526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 193529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 193532 */     GIR_RootConstrainSelectedInstOperands,
     /* 193533 */     // GIR_Coverage, 3838,
     /* 193533 */     GIR_EraseRootFromParent_Done,
     /* 193534 */   // Label 3868: @193534
     /* 193534 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(193588), // Rule ID 59 //
     /* 193539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 193542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 193547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 193556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193564 */     // MIs[0] Operand 3
     /* 193564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 193575 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 193579 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 193579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZA),
     /* 193582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193586 */     GIR_RootConstrainSelectedInstOperands,
     /* 193587 */     // GIR_Coverage, 59,
     /* 193587 */     GIR_EraseRootFromParent_Done,
     /* 193588 */   // Label 3869: @193588
     /* 193588 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(193642), // Rule ID 60 //
     /* 193593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 193596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 193601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 193610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193618 */     // MIs[0] Operand 3
     /* 193618 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 193629 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 193633 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 193633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZA),
     /* 193636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193640 */     GIR_RootConstrainSelectedInstOperands,
     /* 193641 */     // GIR_Coverage, 60,
     /* 193641 */     GIR_EraseRootFromParent_Done,
     /* 193642 */   // Label 3870: @193642
     /* 193642 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(193696), // Rule ID 61 //
     /* 193647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 193650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 193655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 193664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193672 */     // MIs[0] Operand 3
     /* 193672 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 193683 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 193687 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 193687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZB),
     /* 193690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193694 */     GIR_RootConstrainSelectedInstOperands,
     /* 193695 */     // GIR_Coverage, 61,
     /* 193695 */     GIR_EraseRootFromParent_Done,
     /* 193696 */   // Label 3871: @193696
     /* 193696 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(193750), // Rule ID 62 //
     /* 193701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 193704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 193709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 193718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193726 */     // MIs[0] Operand 3
     /* 193726 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 193737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 193741 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 193741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZB),
     /* 193744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 193748 */     GIR_RootConstrainSelectedInstOperands,
     /* 193749 */     // GIR_Coverage, 62,
     /* 193749 */     GIR_EraseRootFromParent_Done,
     /* 193750 */   // Label 3872: @193750
     /* 193750 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(193806), // Rule ID 2638 //
     /* 193755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 193758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch),
     /* 193763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193777 */     // MIs[0] pattern
     /* 193777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 193780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 193785 */     // MIs[0] imm4
     /* 193785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 193788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 193793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1715:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 193793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_ZPiI),
     /* 193796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 193798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 193800 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 193802 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 193804 */     GIR_RootConstrainSelectedInstOperands,
     /* 193805 */     // GIR_Coverage, 2638,
     /* 193805 */     GIR_EraseRootFromParent_Done,
     /* 193806 */   // Label 3873: @193806
     /* 193806 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(193862), // Rule ID 2647 //
     /* 193811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 193814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n32),
     /* 193819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 193822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 193825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 193829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 193833 */     // MIs[0] pattern
     /* 193833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 193836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 193841 */     // MIs[0] imm4
     /* 193841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 193844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 193849 */     // (intrinsic_wo_chain:{ *:[i32] } 1921:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 193849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_WPiI),
     /* 193852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 193854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 193856 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 193858 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 193860 */     GIR_RootConstrainSelectedInstOperands,
     /* 193861 */     // GIR_Coverage, 2647,
     /* 193861 */     GIR_EraseRootFromParent_Done,
     /* 193862 */   // Label 3874: @193862
     /* 193862 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(193918), // Rule ID 2648 //
     /* 193867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 193870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincb_n64),
     /* 193875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193889 */     // MIs[0] pattern
     /* 193889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 193892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 193897 */     // MIs[0] imm4
     /* 193897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 193900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 193905 */     // (intrinsic_wo_chain:{ *:[i64] } 1711:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 193905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCB_XPiI),
     /* 193908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 193910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 193912 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 193914 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 193916 */     GIR_RootConstrainSelectedInstOperands,
     /* 193917 */     // GIR_Coverage, 2648,
     /* 193917 */     GIR_EraseRootFromParent_Done,
     /* 193918 */   // Label 3875: @193918
     /* 193918 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(193974), // Rule ID 9810 //
     /* 193923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 193926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n32),
     /* 193931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 193934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 193937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 193941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 193945 */     // MIs[0] pattern
     /* 193945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 193948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 193953 */     // MIs[0] imm4
     /* 193953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 193956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 193961 */     // (intrinsic_wo_chain:{ *:[i32] } 1907:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 193961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_WPiI),
     /* 193964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 193966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 193968 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 193970 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 193972 */     GIR_RootConstrainSelectedInstOperands,
     /* 193973 */     // GIR_Coverage, 9810,
     /* 193973 */     GIR_EraseRootFromParent_Done,
     /* 193974 */   // Label 3876: @193974
     /* 193974 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(194030), // Rule ID 9811 //
     /* 193979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 193982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n64),
     /* 193987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 193990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 193993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 193997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194001 */     // MIs[0] pattern
     /* 194001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194009 */     // MIs[0] imm4
     /* 194009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194017 */     // (intrinsic_wo_chain:{ *:[i64] } 1922:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_XPiI),
     /* 194020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194024 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194026 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194028 */     GIR_RootConstrainSelectedInstOperands,
     /* 194029 */     // GIR_Coverage, 9811,
     /* 194029 */     GIR_EraseRootFromParent_Done,
     /* 194030 */   // Label 3877: @194030
     /* 194030 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(194086), // Rule ID 9812 //
     /* 194035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecb_n64),
     /* 194043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194057 */     // MIs[0] pattern
     /* 194057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194060 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194065 */     // MIs[0] imm4
     /* 194065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194073 */     // (intrinsic_wo_chain:{ *:[i64] } 1677:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECB_XPiI),
     /* 194076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194080 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194082 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194084 */     GIR_RootConstrainSelectedInstOperands,
     /* 194085 */     // GIR_Coverage, 9812,
     /* 194085 */     GIR_EraseRootFromParent_Done,
     /* 194086 */   // Label 3878: @194086
     /* 194086 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(194142), // Rule ID 9813 //
     /* 194091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n64),
     /* 194099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194113 */     // MIs[0] pattern
     /* 194113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194121 */     // MIs[0] imm4
     /* 194121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194129 */     // (intrinsic_wo_chain:{ *:[i64] } 1908:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_XPiI),
     /* 194132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194136 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194138 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194140 */     GIR_RootConstrainSelectedInstOperands,
     /* 194141 */     // GIR_Coverage, 9813,
     /* 194141 */     GIR_EraseRootFromParent_Done,
     /* 194142 */   // Label 3879: @194142
     /* 194142 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(194198), // Rule ID 9816 //
     /* 194147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n32),
     /* 194155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194169 */     // MIs[0] pattern
     /* 194169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194177 */     // MIs[0] imm4
     /* 194177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194185 */     // (intrinsic_wo_chain:{ *:[i32] } 1927:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_WPiI),
     /* 194188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194192 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194194 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194196 */     GIR_RootConstrainSelectedInstOperands,
     /* 194197 */     // GIR_Coverage, 9816,
     /* 194197 */     GIR_EraseRootFromParent_Done,
     /* 194198 */   // Label 3880: @194198
     /* 194198 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(194254), // Rule ID 9819 //
     /* 194203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n32),
     /* 194211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194225 */     // MIs[0] pattern
     /* 194225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194233 */     // MIs[0] imm4
     /* 194233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194241 */     // (intrinsic_wo_chain:{ *:[i32] } 1913:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_WPiI),
     /* 194244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194248 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194250 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194252 */     GIR_RootConstrainSelectedInstOperands,
     /* 194253 */     // GIR_Coverage, 9819,
     /* 194253 */     GIR_EraseRootFromParent_Done,
     /* 194254 */   // Label 3881: @194254
     /* 194254 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(194310), // Rule ID 9820 //
     /* 194259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch_n64),
     /* 194267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194281 */     // MIs[0] pattern
     /* 194281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194289 */     // MIs[0] imm4
     /* 194289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194297 */     // (intrinsic_wo_chain:{ *:[i64] } 1717:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_XPiI),
     /* 194300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194304 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194306 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194308 */     GIR_RootConstrainSelectedInstOperands,
     /* 194309 */     // GIR_Coverage, 9820,
     /* 194309 */     GIR_EraseRootFromParent_Done,
     /* 194310 */   // Label 3882: @194310
     /* 194310 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(194366), // Rule ID 9821 //
     /* 194315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n64),
     /* 194323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194337 */     // MIs[0] pattern
     /* 194337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194345 */     // MIs[0] imm4
     /* 194345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194353 */     // (intrinsic_wo_chain:{ *:[i64] } 1928:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_XPiI),
     /* 194356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194360 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194362 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194364 */     GIR_RootConstrainSelectedInstOperands,
     /* 194365 */     // GIR_Coverage, 9821,
     /* 194365 */     GIR_EraseRootFromParent_Done,
     /* 194366 */   // Label 3883: @194366
     /* 194366 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(194422), // Rule ID 9822 //
     /* 194371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech_n64),
     /* 194379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194393 */     // MIs[0] pattern
     /* 194393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194401 */     // MIs[0] imm4
     /* 194401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194409 */     // (intrinsic_wo_chain:{ *:[i64] } 1683:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_XPiI),
     /* 194412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194416 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194418 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194420 */     GIR_RootConstrainSelectedInstOperands,
     /* 194421 */     // GIR_Coverage, 9822,
     /* 194421 */     GIR_EraseRootFromParent_Done,
     /* 194422 */   // Label 3884: @194422
     /* 194422 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(194478), // Rule ID 9823 //
     /* 194427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n64),
     /* 194435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194449 */     // MIs[0] pattern
     /* 194449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194457 */     // MIs[0] imm4
     /* 194457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194465 */     // (intrinsic_wo_chain:{ *:[i64] } 1914:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_XPiI),
     /* 194468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194472 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194474 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194476 */     GIR_RootConstrainSelectedInstOperands,
     /* 194477 */     // GIR_Coverage, 9823,
     /* 194477 */     GIR_EraseRootFromParent_Done,
     /* 194478 */   // Label 3885: @194478
     /* 194478 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(194534), // Rule ID 9826 //
     /* 194483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n32),
     /* 194491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194505 */     // MIs[0] pattern
     /* 194505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194513 */     // MIs[0] imm4
     /* 194513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194521 */     // (intrinsic_wo_chain:{ *:[i32] } 1933:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_WPiI),
     /* 194524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194528 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194530 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194532 */     GIR_RootConstrainSelectedInstOperands,
     /* 194533 */     // GIR_Coverage, 9826,
     /* 194533 */     GIR_EraseRootFromParent_Done,
     /* 194534 */   // Label 3886: @194534
     /* 194534 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(194590), // Rule ID 9829 //
     /* 194539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n32),
     /* 194547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194561 */     // MIs[0] pattern
     /* 194561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194569 */     // MIs[0] imm4
     /* 194569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194577 */     // (intrinsic_wo_chain:{ *:[i32] } 1919:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_WPiI),
     /* 194580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194584 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194586 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194588 */     GIR_RootConstrainSelectedInstOperands,
     /* 194589 */     // GIR_Coverage, 9829,
     /* 194589 */     GIR_EraseRootFromParent_Done,
     /* 194590 */   // Label 3887: @194590
     /* 194590 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(194646), // Rule ID 9830 //
     /* 194595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw_n64),
     /* 194603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194617 */     // MIs[0] pattern
     /* 194617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194625 */     // MIs[0] imm4
     /* 194625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194633 */     // (intrinsic_wo_chain:{ *:[i64] } 1723:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_XPiI),
     /* 194636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194640 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194642 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194644 */     GIR_RootConstrainSelectedInstOperands,
     /* 194645 */     // GIR_Coverage, 9830,
     /* 194645 */     GIR_EraseRootFromParent_Done,
     /* 194646 */   // Label 3888: @194646
     /* 194646 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(194702), // Rule ID 9831 //
     /* 194651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n64),
     /* 194659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194673 */     // MIs[0] pattern
     /* 194673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194681 */     // MIs[0] imm4
     /* 194681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194689 */     // (intrinsic_wo_chain:{ *:[i64] } 1934:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_XPiI),
     /* 194692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194696 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194698 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194700 */     GIR_RootConstrainSelectedInstOperands,
     /* 194701 */     // GIR_Coverage, 9831,
     /* 194701 */     GIR_EraseRootFromParent_Done,
     /* 194702 */   // Label 3889: @194702
     /* 194702 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(194758), // Rule ID 9832 //
     /* 194707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw_n64),
     /* 194715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194729 */     // MIs[0] pattern
     /* 194729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194737 */     // MIs[0] imm4
     /* 194737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194745 */     // (intrinsic_wo_chain:{ *:[i64] } 1689:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_XPiI),
     /* 194748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194752 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194754 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194756 */     GIR_RootConstrainSelectedInstOperands,
     /* 194757 */     // GIR_Coverage, 9832,
     /* 194757 */     GIR_EraseRootFromParent_Done,
     /* 194758 */   // Label 3890: @194758
     /* 194758 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(194814), // Rule ID 9833 //
     /* 194763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n64),
     /* 194771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194785 */     // MIs[0] pattern
     /* 194785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194793 */     // MIs[0] imm4
     /* 194793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194801 */     // (intrinsic_wo_chain:{ *:[i64] } 1920:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_XPiI),
     /* 194804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194808 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194810 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194812 */     GIR_RootConstrainSelectedInstOperands,
     /* 194813 */     // GIR_Coverage, 9833,
     /* 194813 */     GIR_EraseRootFromParent_Done,
     /* 194814 */   // Label 3891: @194814
     /* 194814 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(194870), // Rule ID 9836 //
     /* 194819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n32),
     /* 194827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194841 */     // MIs[0] pattern
     /* 194841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194849 */     // MIs[0] imm4
     /* 194849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194857 */     // (intrinsic_wo_chain:{ *:[i32] } 1924:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_WPiI),
     /* 194860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194864 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194866 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194868 */     GIR_RootConstrainSelectedInstOperands,
     /* 194869 */     // GIR_Coverage, 9836,
     /* 194869 */     GIR_EraseRootFromParent_Done,
     /* 194870 */   // Label 3892: @194870
     /* 194870 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(194926), // Rule ID 9839 //
     /* 194875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n32),
     /* 194883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 194886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 194897 */     // MIs[0] pattern
     /* 194897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194905 */     // MIs[0] imm4
     /* 194905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194913 */     // (intrinsic_wo_chain:{ *:[i32] } 1910:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_WPiI),
     /* 194916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194920 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194922 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194924 */     GIR_RootConstrainSelectedInstOperands,
     /* 194925 */     // GIR_Coverage, 9839,
     /* 194925 */     GIR_EraseRootFromParent_Done,
     /* 194926 */   // Label 3893: @194926
     /* 194926 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(194982), // Rule ID 9840 //
     /* 194931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd_n64),
     /* 194939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 194953 */     // MIs[0] pattern
     /* 194953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 194956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 194961 */     // MIs[0] imm4
     /* 194961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 194964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 194969 */     // (intrinsic_wo_chain:{ *:[i64] } 1714:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 194969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_XPiI),
     /* 194972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 194974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 194976 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 194978 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 194980 */     GIR_RootConstrainSelectedInstOperands,
     /* 194981 */     // GIR_Coverage, 9840,
     /* 194981 */     GIR_EraseRootFromParent_Done,
     /* 194982 */   // Label 3894: @194982
     /* 194982 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(195038), // Rule ID 9841 //
     /* 194987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 194990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n64),
     /* 194995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 194998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195009 */     // MIs[0] pattern
     /* 195009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195017 */     // MIs[0] imm4
     /* 195017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195025 */     // (intrinsic_wo_chain:{ *:[i64] } 1925:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_XPiI),
     /* 195028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 195030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 195032 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195034 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195036 */     GIR_RootConstrainSelectedInstOperands,
     /* 195037 */     // GIR_Coverage, 9841,
     /* 195037 */     GIR_EraseRootFromParent_Done,
     /* 195038 */   // Label 3895: @195038
     /* 195038 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(195094), // Rule ID 9842 //
     /* 195043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd_n64),
     /* 195051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 195054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195065 */     // MIs[0] pattern
     /* 195065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195073 */     // MIs[0] imm4
     /* 195073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195081 */     // (intrinsic_wo_chain:{ *:[i64] } 1680:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_XPiI),
     /* 195084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 195086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 195088 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195090 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195092 */     GIR_RootConstrainSelectedInstOperands,
     /* 195093 */     // GIR_Coverage, 9842,
     /* 195093 */     GIR_EraseRootFromParent_Done,
     /* 195094 */   // Label 3896: @195094
     /* 195094 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(195150), // Rule ID 9843 //
     /* 195099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n64),
     /* 195107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 195110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 195121 */     // MIs[0] pattern
     /* 195121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195129 */     // MIs[0] imm4
     /* 195129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195137 */     // (intrinsic_wo_chain:{ *:[i64] } 1911:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_XPiI),
     /* 195140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 195142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 195144 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195146 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195148 */     GIR_RootConstrainSelectedInstOperands,
     /* 195149 */     // GIR_Coverage, 9843,
     /* 195149 */     GIR_EraseRootFromParent_Done,
     /* 195150 */   // Label 3897: @195150
     /* 195150 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(195206), // Rule ID 9844 //
     /* 195155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch),
     /* 195163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 195166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 195169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195177 */     // MIs[0] pattern
     /* 195177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195185 */     // MIs[0] imm4
     /* 195185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1926:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_ZPiI),
     /* 195196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195200 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195202 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195204 */     GIR_RootConstrainSelectedInstOperands,
     /* 195205 */     // GIR_Coverage, 9844,
     /* 195205 */     GIR_EraseRootFromParent_Done,
     /* 195206 */   // Label 3898: @195206
     /* 195206 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(195262), // Rule ID 9845 //
     /* 195211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech),
     /* 195219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 195222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 195225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195233 */     // MIs[0] pattern
     /* 195233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195241 */     // MIs[0] imm4
     /* 195241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1681:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_ZPiI),
     /* 195252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195256 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195258 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195260 */     GIR_RootConstrainSelectedInstOperands,
     /* 195261 */     // GIR_Coverage, 9845,
     /* 195261 */     GIR_EraseRootFromParent_Done,
     /* 195262 */   // Label 3899: @195262
     /* 195262 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(195318), // Rule ID 9846 //
     /* 195267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech),
     /* 195275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 195278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 195281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195289 */     // MIs[0] pattern
     /* 195289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195297 */     // MIs[0] imm4
     /* 195297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1912:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_ZPiI),
     /* 195308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195312 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195314 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195316 */     GIR_RootConstrainSelectedInstOperands,
     /* 195317 */     // GIR_Coverage, 9846,
     /* 195317 */     GIR_EraseRootFromParent_Done,
     /* 195318 */   // Label 3900: @195318
     /* 195318 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(195374), // Rule ID 9847 //
     /* 195323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw),
     /* 195331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195345 */     // MIs[0] pattern
     /* 195345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195353 */     // MIs[0] imm4
     /* 195353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1721:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_ZPiI),
     /* 195364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195368 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195370 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195372 */     GIR_RootConstrainSelectedInstOperands,
     /* 195373 */     // GIR_Coverage, 9847,
     /* 195373 */     GIR_EraseRootFromParent_Done,
     /* 195374 */   // Label 3901: @195374
     /* 195374 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(195430), // Rule ID 9848 //
     /* 195379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw),
     /* 195387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195401 */     // MIs[0] pattern
     /* 195401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195409 */     // MIs[0] imm4
     /* 195409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1932:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_ZPiI),
     /* 195420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195424 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195426 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195428 */     GIR_RootConstrainSelectedInstOperands,
     /* 195429 */     // GIR_Coverage, 9848,
     /* 195429 */     GIR_EraseRootFromParent_Done,
     /* 195430 */   // Label 3902: @195430
     /* 195430 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(195486), // Rule ID 9849 //
     /* 195435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw),
     /* 195443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195457 */     // MIs[0] pattern
     /* 195457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195465 */     // MIs[0] imm4
     /* 195465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1687:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_ZPiI),
     /* 195476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195480 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195482 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195484 */     GIR_RootConstrainSelectedInstOperands,
     /* 195485 */     // GIR_Coverage, 9849,
     /* 195485 */     GIR_EraseRootFromParent_Done,
     /* 195486 */   // Label 3903: @195486
     /* 195486 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(195542), // Rule ID 9850 //
     /* 195491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw),
     /* 195499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195513 */     // MIs[0] pattern
     /* 195513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195521 */     // MIs[0] imm4
     /* 195521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1918:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_ZPiI),
     /* 195532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195536 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195538 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195540 */     GIR_RootConstrainSelectedInstOperands,
     /* 195541 */     // GIR_Coverage, 9850,
     /* 195541 */     GIR_EraseRootFromParent_Done,
     /* 195542 */   // Label 3904: @195542
     /* 195542 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(195598), // Rule ID 9851 //
     /* 195547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd),
     /* 195555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195569 */     // MIs[0] pattern
     /* 195569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195577 */     // MIs[0] imm4
     /* 195577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195585 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1712:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_ZPiI),
     /* 195588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195592 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195594 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195596 */     GIR_RootConstrainSelectedInstOperands,
     /* 195597 */     // GIR_Coverage, 9851,
     /* 195597 */     GIR_EraseRootFromParent_Done,
     /* 195598 */   // Label 3905: @195598
     /* 195598 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(195654), // Rule ID 9852 //
     /* 195603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd),
     /* 195611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195625 */     // MIs[0] pattern
     /* 195625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195633 */     // MIs[0] imm4
     /* 195633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1923:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_ZPiI),
     /* 195644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195648 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195650 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195652 */     GIR_RootConstrainSelectedInstOperands,
     /* 195653 */     // GIR_Coverage, 9852,
     /* 195653 */     GIR_EraseRootFromParent_Done,
     /* 195654 */   // Label 3906: @195654
     /* 195654 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(195710), // Rule ID 9853 //
     /* 195659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd),
     /* 195667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195681 */     // MIs[0] pattern
     /* 195681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195689 */     // MIs[0] imm4
     /* 195689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1678:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_ZPiI),
     /* 195700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195704 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195706 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195708 */     GIR_RootConstrainSelectedInstOperands,
     /* 195709 */     // GIR_Coverage, 9853,
     /* 195709 */     GIR_EraseRootFromParent_Done,
     /* 195710 */   // Label 3907: @195710
     /* 195710 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(195766), // Rule ID 9854 //
     /* 195715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 195718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd),
     /* 195723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195737 */     // MIs[0] pattern
     /* 195737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 195740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 195745 */     // MIs[0] imm4
     /* 195745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 195748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 195753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1909:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 195753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_ZPiI),
     /* 195756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 195760 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 195762 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 195764 */     GIR_RootConstrainSelectedInstOperands,
     /* 195765 */     // GIR_Coverage, 9854,
     /* 195765 */     GIR_EraseRootFromParent_Done,
     /* 195766 */   // Label 3908: @195766
     /* 195766 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(195856), // Rule ID 47 //
     /* 195771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 195774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 195779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 195782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 195785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 195788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 195791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 195807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 195811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 195815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 195819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 195824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 195828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 195832 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 195836 */     // MIs[2] Operand 1
     /* 195836 */     // No operand predicates
     /* 195836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 195838 */     // (intrinsic_wo_chain:{ *:[v2f32] } 605:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 195838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev4f16),
     /* 195841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 195845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 195847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 195851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 195854 */     GIR_RootConstrainSelectedInstOperands,
     /* 195855 */     // GIR_Coverage, 47,
     /* 195855 */     GIR_EraseRootFromParent_Done,
     /* 195856 */   // Label 3909: @195856
     /* 195856 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(195946), // Rule ID 48 //
     /* 195861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 195864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 195869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 195872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 195875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 195878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 195881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 195897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 195901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 195905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 195909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 195914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 195918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 195922 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 195926 */     // MIs[2] Operand 1
     /* 195926 */     // No operand predicates
     /* 195926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 195928 */     // (intrinsic_wo_chain:{ *:[v4f32] } 605:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 195928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev8f16),
     /* 195931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 195935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 195937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 195941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 195944 */     GIR_RootConstrainSelectedInstOperands,
     /* 195945 */     // GIR_Coverage, 48,
     /* 195945 */     GIR_EraseRootFromParent_Done,
     /* 195946 */   // Label 3910: @195946
     /* 195946 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(196036), // Rule ID 49 //
     /* 195951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 195954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 195959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 195962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 195965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 195968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 195971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 195983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 195987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 195991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 195995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 195999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196012 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196016 */     // MIs[2] Operand 1
     /* 196016 */     // No operand predicates
     /* 196016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196018 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev4f16),
     /* 196021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196034 */     GIR_RootConstrainSelectedInstOperands,
     /* 196035 */     // GIR_Coverage, 49,
     /* 196035 */     GIR_EraseRootFromParent_Done,
     /* 196036 */   // Label 3911: @196036
     /* 196036 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(196126), // Rule ID 50 //
     /* 196041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 196044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 196049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 196055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 196058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 196061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196102 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196106 */     // MIs[2] Operand 1
     /* 196106 */     // No operand predicates
     /* 196106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196108 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev8f16),
     /* 196111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196124 */     GIR_RootConstrainSelectedInstOperands,
     /* 196125 */     // GIR_Coverage, 50,
     /* 196125 */     GIR_EraseRootFromParent_Done,
     /* 196126 */   // Label 3912: @196126
     /* 196126 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(196216), // Rule ID 51 //
     /* 196131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 196134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 196139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 196142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 196145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 196148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 196151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196192 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196196 */     // MIs[2] Operand 1
     /* 196196 */     // No operand predicates
     /* 196196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196198 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev4f16),
     /* 196201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196214 */     GIR_RootConstrainSelectedInstOperands,
     /* 196215 */     // GIR_Coverage, 51,
     /* 196215 */     GIR_EraseRootFromParent_Done,
     /* 196216 */   // Label 3913: @196216
     /* 196216 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(196306), // Rule ID 52 //
     /* 196221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 196224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 196229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 196235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 196238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 196241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196282 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196286 */     // MIs[2] Operand 1
     /* 196286 */     // No operand predicates
     /* 196286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196288 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev8f16),
     /* 196291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196304 */     GIR_RootConstrainSelectedInstOperands,
     /* 196305 */     // GIR_Coverage, 52,
     /* 196305 */     GIR_EraseRootFromParent_Done,
     /* 196306 */   // Label 3914: @196306
     /* 196306 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(196396), // Rule ID 53 //
     /* 196311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 196314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 196319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 196322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 196325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 196328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 196331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196372 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196376 */     // MIs[2] Operand 1
     /* 196376 */     // No operand predicates
     /* 196376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196378 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev4f16),
     /* 196381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196385 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196394 */     GIR_RootConstrainSelectedInstOperands,
     /* 196395 */     // GIR_Coverage, 53,
     /* 196395 */     GIR_EraseRootFromParent_Done,
     /* 196396 */   // Label 3915: @196396
     /* 196396 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(196486), // Rule ID 54 //
     /* 196401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 196404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 196409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 196415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 196418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 196421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196462 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196466 */     // MIs[2] Operand 1
     /* 196466 */     // No operand predicates
     /* 196466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196468 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev8f16),
     /* 196471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196484 */     GIR_RootConstrainSelectedInstOperands,
     /* 196485 */     // GIR_Coverage, 54,
     /* 196485 */     GIR_EraseRootFromParent_Done,
     /* 196486 */   // Label 3916: @196486
     /* 196486 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(196576), // Rule ID 2063 //
     /* 196491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 196499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 196502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 196505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 196508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 196511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196552 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196556 */     // MIs[2] Operand 1
     /* 196556 */     // No operand predicates
     /* 196556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196558 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 196561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196574 */     GIR_RootConstrainSelectedInstOperands,
     /* 196575 */     // GIR_Coverage, 2063,
     /* 196575 */     GIR_EraseRootFromParent_Done,
     /* 196576 */   // Label 3917: @196576
     /* 196576 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(196666), // Rule ID 2064 //
     /* 196581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 196589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 196595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 196598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 196601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196642 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196646 */     // MIs[2] Operand 1
     /* 196646 */     // No operand predicates
     /* 196646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196648 */     // (intrinsic_wo_chain:{ *:[v8i16] } 685:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16_indexed),
     /* 196651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196664 */     GIR_RootConstrainSelectedInstOperands,
     /* 196665 */     // GIR_Coverage, 2064,
     /* 196665 */     GIR_EraseRootFromParent_Done,
     /* 196666 */   // Label 3918: @196666
     /* 196666 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(196756), // Rule ID 2070 //
     /* 196671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 196679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 196682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 196685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 196688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 196691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196732 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196736 */     // MIs[2] Operand 1
     /* 196736 */     // No operand predicates
     /* 196736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196738 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 196741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196754 */     GIR_RootConstrainSelectedInstOperands,
     /* 196755 */     // GIR_Coverage, 2070,
     /* 196755 */     GIR_EraseRootFromParent_Done,
     /* 196756 */   // Label 3919: @196756
     /* 196756 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(196846), // Rule ID 2071 //
     /* 196761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 196769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 196775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 196778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 196781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 196801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 196805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 196814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196822 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 196826 */     // MIs[2] Operand 1
     /* 196826 */     // No operand predicates
     /* 196826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196828 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16_indexed),
     /* 196831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196844 */     GIR_RootConstrainSelectedInstOperands,
     /* 196845 */     // GIR_Coverage, 2071,
     /* 196845 */     GIR_EraseRootFromParent_Done,
     /* 196846 */   // Label 3920: @196846
     /* 196846 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(196936), // Rule ID 2066 //
     /* 196851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 196859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 196862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 196865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 196868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 196871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 196883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 196891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 196895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 196912 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 196916 */     // MIs[2] Operand 1
     /* 196916 */     // No operand predicates
     /* 196916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 196918 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 196918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 196921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196923 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 196925 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 196927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 196931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 196934 */     GIR_RootConstrainSelectedInstOperands,
     /* 196935 */     // GIR_Coverage, 2066,
     /* 196935 */     GIR_EraseRootFromParent_Done,
     /* 196936 */   // Label 3921: @196936
     /* 196936 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(197026), // Rule ID 2067 //
     /* 196941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 196944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 196949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 196955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 196958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 196961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 196977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 196981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 196985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 196989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 196998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 197002 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 197006 */     // MIs[2] Operand 1
     /* 197006 */     // No operand predicates
     /* 197006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197008 */     // (intrinsic_wo_chain:{ *:[v4i32] } 685:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 197008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32_indexed),
     /* 197011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 197015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 197017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 197021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 197024 */     GIR_RootConstrainSelectedInstOperands,
     /* 197025 */     // GIR_Coverage, 2067,
     /* 197025 */     GIR_EraseRootFromParent_Done,
     /* 197026 */   // Label 3922: @197026
     /* 197026 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(197116), // Rule ID 2073 //
     /* 197031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 197034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 197039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 197042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 197045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 197048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 197051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 197055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 197059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 197063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 197071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 197075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 197079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 197088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 197092 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 197096 */     // MIs[2] Operand 1
     /* 197096 */     // No operand predicates
     /* 197096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197098 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 197098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 197101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 197105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 197107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 197111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 197114 */     GIR_RootConstrainSelectedInstOperands,
     /* 197115 */     // GIR_Coverage, 2073,
     /* 197115 */     GIR_EraseRootFromParent_Done,
     /* 197116 */   // Label 3923: @197116
     /* 197116 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(197206), // Rule ID 2074 //
     /* 197121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 197124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 197129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 197135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 197138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 197141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 197161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 197165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 197169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 197178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 197182 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 197186 */     // MIs[2] Operand 1
     /* 197186 */     // No operand predicates
     /* 197186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197188 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 197188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32_indexed),
     /* 197191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 197195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 197197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 197201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 197204 */     GIR_RootConstrainSelectedInstOperands,
     /* 197205 */     // GIR_Coverage, 2074,
     /* 197205 */     GIR_EraseRootFromParent_Done,
     /* 197206 */   // Label 3924: @197206
     /* 197206 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(197296), // Rule ID 2068 //
     /* 197211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 197214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 197219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 197222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 197225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 197228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 197231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 197251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 197255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 197259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 197268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 197272 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 197276 */     // MIs[2] Operand 1
     /* 197276 */     // No operand predicates
     /* 197276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197278 */     // (intrinsic_wo_chain:{ *:[i32] } 685:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 197278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32_indexed),
     /* 197281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 197285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 197287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 197291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 197294 */     GIR_RootConstrainSelectedInstOperands,
     /* 197295 */     // GIR_Coverage, 2068,
     /* 197295 */     GIR_EraseRootFromParent_Done,
     /* 197296 */   // Label 3925: @197296
     /* 197296 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(197386), // Rule ID 2075 //
     /* 197301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 197304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 197309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 197312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 197315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 197318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 197321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 197333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 197341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 197345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 197349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 197358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 197362 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 197366 */     // MIs[2] Operand 1
     /* 197366 */     // No operand predicates
     /* 197366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197368 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 197368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32_indexed),
     /* 197371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 197375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 197377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 197381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 197384 */     GIR_RootConstrainSelectedInstOperands,
     /* 197385 */     // GIR_Coverage, 2075,
     /* 197385 */     GIR_EraseRootFromParent_Done,
     /* 197386 */   // Label 3926: @197386
     /* 197386 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(197463), // Rule ID 2767 //
     /* 197391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 197411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 197435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197443 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 197447 */     // MIs[2] Operand 1
     /* 197447 */     // No operand predicates
     /* 197447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 197449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 197452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197461 */     GIR_RootConstrainSelectedInstOperands,
     /* 197462 */     // GIR_Coverage, 2767,
     /* 197462 */     GIR_EraseRootFromParent_Done,
     /* 197463 */   // Label 3927: @197463
     /* 197463 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(197540), // Rule ID 2768 //
     /* 197468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 197488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 197512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197520 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 197524 */     // MIs[2] Operand 1
     /* 197524 */     // No operand predicates
     /* 197524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197526 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 197526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 197529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197538 */     GIR_RootConstrainSelectedInstOperands,
     /* 197539 */     // GIR_Coverage, 2768,
     /* 197539 */     GIR_EraseRootFromParent_Done,
     /* 197540 */   // Label 3928: @197540
     /* 197540 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(197617), // Rule ID 2769 //
     /* 197545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 197565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 197589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197597 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 197601 */     // MIs[2] Operand 1
     /* 197601 */     // No operand predicates
     /* 197601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197603 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 197603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 197606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197615 */     GIR_RootConstrainSelectedInstOperands,
     /* 197616 */     // GIR_Coverage, 2769,
     /* 197616 */     GIR_EraseRootFromParent_Done,
     /* 197617 */   // Label 3929: @197617
     /* 197617 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(197694), // Rule ID 2770 //
     /* 197622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 197642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 197666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197674 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 197678 */     // MIs[2] Operand 1
     /* 197678 */     // No operand predicates
     /* 197678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197680 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 197680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 197683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197692 */     GIR_RootConstrainSelectedInstOperands,
     /* 197693 */     // GIR_Coverage, 2770,
     /* 197693 */     GIR_EraseRootFromParent_Done,
     /* 197694 */   // Label 3930: @197694
     /* 197694 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(197771), // Rule ID 2771 //
     /* 197699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 197719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 197743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197751 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 197755 */     // MIs[2] Operand 1
     /* 197755 */     // No operand predicates
     /* 197755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 197757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 197760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197769 */     GIR_RootConstrainSelectedInstOperands,
     /* 197770 */     // GIR_Coverage, 2771,
     /* 197770 */     GIR_EraseRootFromParent_Done,
     /* 197771 */   // Label 3931: @197771
     /* 197771 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(197848), // Rule ID 2772 //
     /* 197776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 197784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 197796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 197820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197828 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 197832 */     // MIs[2] Operand 1
     /* 197832 */     // No operand predicates
     /* 197832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197834 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1268:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 197834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 197837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197846 */     GIR_RootConstrainSelectedInstOperands,
     /* 197847 */     // GIR_Coverage, 2772,
     /* 197847 */     GIR_EraseRootFromParent_Done,
     /* 197848 */   // Label 3932: @197848
     /* 197848 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(197925), // Rule ID 7697 //
     /* 197853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 197861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 197873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 197897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197905 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 197909 */     // MIs[2] Operand 1
     /* 197909 */     // No operand predicates
     /* 197909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197911 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 197911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 197914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 197923 */     GIR_RootConstrainSelectedInstOperands,
     /* 197924 */     // GIR_Coverage, 7697,
     /* 197924 */     GIR_EraseRootFromParent_Done,
     /* 197925 */   // Label 3933: @197925
     /* 197925 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(198002), // Rule ID 7698 //
     /* 197930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 197933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 197938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 197950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 197958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 197966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 197970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 197974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 197978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 197982 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 197986 */     // MIs[2] Operand 1
     /* 197986 */     // No operand predicates
     /* 197986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 197988 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 197988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 197991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 197993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 197995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 197997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198000 */     GIR_RootConstrainSelectedInstOperands,
     /* 198001 */     // GIR_Coverage, 7698,
     /* 198001 */     GIR_EraseRootFromParent_Done,
     /* 198002 */   // Label 3934: @198002
     /* 198002 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(198079), // Rule ID 7699 //
     /* 198007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 198015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 198027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 198051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198059 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198063 */     // MIs[2] Operand 1
     /* 198063 */     // No operand predicates
     /* 198063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198065 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 198065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 198068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198077 */     GIR_RootConstrainSelectedInstOperands,
     /* 198078 */     // GIR_Coverage, 7699,
     /* 198078 */     GIR_EraseRootFromParent_Done,
     /* 198079 */   // Label 3935: @198079
     /* 198079 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(198156), // Rule ID 7700 //
     /* 198084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 198092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 198104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 198128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198136 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 198140 */     // MIs[2] Operand 1
     /* 198140 */     // No operand predicates
     /* 198140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 198142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 198145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198154 */     GIR_RootConstrainSelectedInstOperands,
     /* 198155 */     // GIR_Coverage, 7700,
     /* 198155 */     GIR_EraseRootFromParent_Done,
     /* 198156 */   // Label 3936: @198156
     /* 198156 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(198233), // Rule ID 7701 //
     /* 198161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 198169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 198181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 198205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198213 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198217 */     // MIs[2] Operand 1
     /* 198217 */     // No operand predicates
     /* 198217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 198219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 198222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198231 */     GIR_RootConstrainSelectedInstOperands,
     /* 198232 */     // GIR_Coverage, 7701,
     /* 198232 */     GIR_EraseRootFromParent_Done,
     /* 198233 */   // Label 3937: @198233
     /* 198233 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(198310), // Rule ID 7702 //
     /* 198238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 198246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 198258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 198282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198290 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 198294 */     // MIs[2] Operand 1
     /* 198294 */     // No operand predicates
     /* 198294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1444:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 198296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 198299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198303 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198308 */     GIR_RootConstrainSelectedInstOperands,
     /* 198309 */     // GIR_Coverage, 7702,
     /* 198309 */     GIR_EraseRootFromParent_Done,
     /* 198310 */   // Label 3938: @198310
     /* 198310 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(198387), // Rule ID 7703 //
     /* 198315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 198329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 198335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 198359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198367 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198371 */     // MIs[2] Operand 1
     /* 198371 */     // No operand predicates
     /* 198371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198373 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 198373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 198376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198385 */     GIR_RootConstrainSelectedInstOperands,
     /* 198386 */     // GIR_Coverage, 7703,
     /* 198386 */     GIR_EraseRootFromParent_Done,
     /* 198387 */   // Label 3939: @198387
     /* 198387 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(198464), // Rule ID 7704 //
     /* 198392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 198406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 198412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 198436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198444 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 198448 */     // MIs[2] Operand 1
     /* 198448 */     // No operand predicates
     /* 198448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 198450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 198453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198462 */     GIR_RootConstrainSelectedInstOperands,
     /* 198463 */     // GIR_Coverage, 7704,
     /* 198463 */     GIR_EraseRootFromParent_Done,
     /* 198464 */   // Label 3940: @198464
     /* 198464 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(198541), // Rule ID 7705 //
     /* 198469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 198489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 198513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198521 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198525 */     // MIs[2] Operand 1
     /* 198525 */     // No operand predicates
     /* 198525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 198527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 198530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198539 */     GIR_RootConstrainSelectedInstOperands,
     /* 198540 */     // GIR_Coverage, 7705,
     /* 198540 */     GIR_EraseRootFromParent_Done,
     /* 198541 */   // Label 3941: @198541
     /* 198541 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(198618), // Rule ID 7706 //
     /* 198546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 198566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 198590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198598 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 198602 */     // MIs[2] Operand 1
     /* 198602 */     // No operand predicates
     /* 198602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 198604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 198607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198616 */     GIR_RootConstrainSelectedInstOperands,
     /* 198617 */     // GIR_Coverage, 7706,
     /* 198617 */     GIR_EraseRootFromParent_Done,
     /* 198618 */   // Label 3942: @198618
     /* 198618 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(198695), // Rule ID 7707 //
     /* 198623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 198643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 198667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198675 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198679 */     // MIs[2] Operand 1
     /* 198679 */     // No operand predicates
     /* 198679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198681 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 198681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 198684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198693 */     GIR_RootConstrainSelectedInstOperands,
     /* 198694 */     // GIR_Coverage, 7707,
     /* 198694 */     GIR_EraseRootFromParent_Done,
     /* 198695 */   // Label 3943: @198695
     /* 198695 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(198772), // Rule ID 7708 //
     /* 198700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 198708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 198714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 198720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 198744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198752 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 198756 */     // MIs[2] Operand 1
     /* 198756 */     // No operand predicates
     /* 198756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198758 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1382:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 198758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 198761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198770 */     GIR_RootConstrainSelectedInstOperands,
     /* 198771 */     // GIR_Coverage, 7708,
     /* 198771 */     GIR_EraseRootFromParent_Done,
     /* 198772 */   // Label 3944: @198772
     /* 198772 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(198849), // Rule ID 7709 //
     /* 198777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 198785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 198791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 198797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 198821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198829 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198833 */     // MIs[2] Operand 1
     /* 198833 */     // No operand predicates
     /* 198833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198835 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 198835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 198838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198847 */     GIR_RootConstrainSelectedInstOperands,
     /* 198848 */     // GIR_Coverage, 7709,
     /* 198848 */     GIR_EraseRootFromParent_Done,
     /* 198849 */   // Label 3945: @198849
     /* 198849 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(198926), // Rule ID 7710 //
     /* 198854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 198862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 198868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 198874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 198898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198906 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 198910 */     // MIs[2] Operand 1
     /* 198910 */     // No operand predicates
     /* 198910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198912 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 198912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 198915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198924 */     GIR_RootConstrainSelectedInstOperands,
     /* 198925 */     // GIR_Coverage, 7710,
     /* 198925 */     GIR_EraseRootFromParent_Done,
     /* 198926 */   // Label 3946: @198926
     /* 198926 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199003), // Rule ID 7711 //
     /* 198931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 198934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 198939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 198945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 198951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 198959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 198971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 198975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 198983 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 198987 */     // MIs[2] Operand 1
     /* 198987 */     // No operand predicates
     /* 198987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 198989 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 198989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 198992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 198994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 198996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 198998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199001 */     GIR_RootConstrainSelectedInstOperands,
     /* 199002 */     // GIR_Coverage, 7711,
     /* 199002 */     GIR_EraseRootFromParent_Done,
     /* 199003 */   // Label 3947: @199003
     /* 199003 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199080), // Rule ID 7712 //
     /* 199008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 199016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 199019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 199022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 199025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 199028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 199052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199060 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199064 */     // MIs[2] Operand 1
     /* 199064 */     // No operand predicates
     /* 199064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199066 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 199066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 199069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199078 */     GIR_RootConstrainSelectedInstOperands,
     /* 199079 */     // GIR_Coverage, 7712,
     /* 199079 */     GIR_EraseRootFromParent_Done,
     /* 199080 */   // Label 3948: @199080
     /* 199080 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199157), // Rule ID 7713 //
     /* 199085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 199093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 199096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 199099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 199102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 199105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 199129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199137 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 199141 */     // MIs[2] Operand 1
     /* 199141 */     // No operand predicates
     /* 199141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 199143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 199146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199155 */     GIR_RootConstrainSelectedInstOperands,
     /* 199156 */     // GIR_Coverage, 7713,
     /* 199156 */     GIR_EraseRootFromParent_Done,
     /* 199157 */   // Label 3949: @199157
     /* 199157 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199234), // Rule ID 7714 //
     /* 199162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 199170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 199173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 199176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 199179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 199182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 199206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199214 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199218 */     // MIs[2] Operand 1
     /* 199218 */     // No operand predicates
     /* 199218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199220 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1446:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 199220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 199223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199232 */     GIR_RootConstrainSelectedInstOperands,
     /* 199233 */     // GIR_Coverage, 7714,
     /* 199233 */     GIR_EraseRootFromParent_Done,
     /* 199234 */   // Label 3950: @199234
     /* 199234 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199311), // Rule ID 7715 //
     /* 199239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 199250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 199253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 199256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 199259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 199283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199291 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 199295 */     // MIs[2] Operand 1
     /* 199295 */     // No operand predicates
     /* 199295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199297 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 199297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 199300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199309 */     GIR_RootConstrainSelectedInstOperands,
     /* 199310 */     // GIR_Coverage, 7715,
     /* 199310 */     GIR_EraseRootFromParent_Done,
     /* 199311 */   // Label 3951: @199311
     /* 199311 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199388), // Rule ID 7716 //
     /* 199316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 199327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 199330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 199333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 199336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 199360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199368 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199372 */     // MIs[2] Operand 1
     /* 199372 */     // No operand predicates
     /* 199372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199374 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 199374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 199377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199386 */     GIR_RootConstrainSelectedInstOperands,
     /* 199387 */     // GIR_Coverage, 7716,
     /* 199387 */     GIR_EraseRootFromParent_Done,
     /* 199388 */   // Label 3952: @199388
     /* 199388 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199465), // Rule ID 7717 //
     /* 199393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 199404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 199407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 199410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 199413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 199437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199445 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 199449 */     // MIs[2] Operand 1
     /* 199449 */     // No operand predicates
     /* 199449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199451 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 199451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 199454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199463 */     GIR_RootConstrainSelectedInstOperands,
     /* 199464 */     // GIR_Coverage, 7717,
     /* 199464 */     GIR_EraseRootFromParent_Done,
     /* 199465 */   // Label 3953: @199465
     /* 199465 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199542), // Rule ID 7718 //
     /* 199470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 199481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 199484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 199487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 199490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 199514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199522 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199526 */     // MIs[2] Operand 1
     /* 199526 */     // No operand predicates
     /* 199526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 199528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 199531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199540 */     GIR_RootConstrainSelectedInstOperands,
     /* 199541 */     // GIR_Coverage, 7718,
     /* 199541 */     GIR_EraseRootFromParent_Done,
     /* 199542 */   // Label 3954: @199542
     /* 199542 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199619), // Rule ID 7719 //
     /* 199547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 199558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 199561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 199564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 199567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 199591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199599 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 199603 */     // MIs[2] Operand 1
     /* 199603 */     // No operand predicates
     /* 199603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199605 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 199605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 199608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199617 */     GIR_RootConstrainSelectedInstOperands,
     /* 199618 */     // GIR_Coverage, 7719,
     /* 199618 */     GIR_EraseRootFromParent_Done,
     /* 199619 */   // Label 3955: @199619
     /* 199619 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(199696), // Rule ID 7720 //
     /* 199624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 199632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 199635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 199638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 199641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 199644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 199668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199676 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199680 */     // MIs[2] Operand 1
     /* 199680 */     // No operand predicates
     /* 199680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199682 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1336:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 199682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 199685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199694 */     GIR_RootConstrainSelectedInstOperands,
     /* 199695 */     // GIR_Coverage, 7720,
     /* 199695 */     GIR_EraseRootFromParent_Done,
     /* 199696 */   // Label 3956: @199696
     /* 199696 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(199773), // Rule ID 7721 //
     /* 199701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 199709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 199712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 199715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 199718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 199721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 199745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199753 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 199757 */     // MIs[2] Operand 1
     /* 199757 */     // No operand predicates
     /* 199757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 199759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 199762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199771 */     GIR_RootConstrainSelectedInstOperands,
     /* 199772 */     // GIR_Coverage, 7721,
     /* 199772 */     GIR_EraseRootFromParent_Done,
     /* 199773 */   // Label 3957: @199773
     /* 199773 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(199850), // Rule ID 7722 //
     /* 199778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 199786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 199789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 199792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 199795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 199798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 199822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199830 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199834 */     // MIs[2] Operand 1
     /* 199834 */     // No operand predicates
     /* 199834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199836 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 199836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 199839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199848 */     GIR_RootConstrainSelectedInstOperands,
     /* 199849 */     // GIR_Coverage, 7722,
     /* 199849 */     GIR_EraseRootFromParent_Done,
     /* 199850 */   // Label 3958: @199850
     /* 199850 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(199927), // Rule ID 7723 //
     /* 199855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 199863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 199866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 199869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 199872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 199875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 199899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199907 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 199911 */     // MIs[2] Operand 1
     /* 199911 */     // No operand predicates
     /* 199911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199913 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 199913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 199916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199925 */     GIR_RootConstrainSelectedInstOperands,
     /* 199926 */     // GIR_Coverage, 7723,
     /* 199926 */     GIR_EraseRootFromParent_Done,
     /* 199927 */   // Label 3959: @199927
     /* 199927 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(200004), // Rule ID 7724 //
     /* 199932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 199935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 199940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 199943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 199946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 199949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 199952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 199960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 199964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 199972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 199976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 199984 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 199988 */     // MIs[2] Operand 1
     /* 199988 */     // No operand predicates
     /* 199988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 199990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 199990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 199993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 199995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 199997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 199999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200002 */     GIR_RootConstrainSelectedInstOperands,
     /* 200003 */     // GIR_Coverage, 7724,
     /* 200003 */     GIR_EraseRootFromParent_Done,
     /* 200004 */   // Label 3960: @200004
     /* 200004 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(200081), // Rule ID 7725 //
     /* 200009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 200017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 200020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 200023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 200026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 200029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 200053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200061 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200065 */     // MIs[2] Operand 1
     /* 200065 */     // No operand predicates
     /* 200065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200067 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 200067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 200070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200079 */     GIR_RootConstrainSelectedInstOperands,
     /* 200080 */     // GIR_Coverage, 7725,
     /* 200080 */     GIR_EraseRootFromParent_Done,
     /* 200081 */   // Label 3961: @200081
     /* 200081 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(200158), // Rule ID 7726 //
     /* 200086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 200094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 200097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 200100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 200103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 200106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 200130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200138 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200142 */     // MIs[2] Operand 1
     /* 200142 */     // No operand predicates
     /* 200142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200144 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1354:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 200144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 200147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200156 */     GIR_RootConstrainSelectedInstOperands,
     /* 200157 */     // GIR_Coverage, 7726,
     /* 200157 */     GIR_EraseRootFromParent_Done,
     /* 200158 */   // Label 3962: @200158
     /* 200158 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(200235), // Rule ID 7727 //
     /* 200163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 200174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 200177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 200180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 200183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 200207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200215 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200219 */     // MIs[2] Operand 1
     /* 200219 */     // No operand predicates
     /* 200219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200221 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 200221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 200224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200226 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200233 */     GIR_RootConstrainSelectedInstOperands,
     /* 200234 */     // GIR_Coverage, 7727,
     /* 200234 */     GIR_EraseRootFromParent_Done,
     /* 200235 */   // Label 3963: @200235
     /* 200235 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(200312), // Rule ID 7728 //
     /* 200240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 200251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 200254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 200257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 200260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 200284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200292 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200296 */     // MIs[2] Operand 1
     /* 200296 */     // No operand predicates
     /* 200296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200298 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 200298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 200301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200310 */     GIR_RootConstrainSelectedInstOperands,
     /* 200311 */     // GIR_Coverage, 7728,
     /* 200311 */     GIR_EraseRootFromParent_Done,
     /* 200312 */   // Label 3964: @200312
     /* 200312 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(200389), // Rule ID 7729 //
     /* 200317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 200328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 200331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 200334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 200337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 200361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200369 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200373 */     // MIs[2] Operand 1
     /* 200373 */     // No operand predicates
     /* 200373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200375 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 200375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 200378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200387 */     GIR_RootConstrainSelectedInstOperands,
     /* 200388 */     // GIR_Coverage, 7729,
     /* 200388 */     GIR_EraseRootFromParent_Done,
     /* 200389 */   // Label 3965: @200389
     /* 200389 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(200466), // Rule ID 7730 //
     /* 200394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 200405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 200408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 200411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 200414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 200438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200446 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200450 */     // MIs[2] Operand 1
     /* 200450 */     // No operand predicates
     /* 200450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 200452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 200455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200464 */     GIR_RootConstrainSelectedInstOperands,
     /* 200465 */     // GIR_Coverage, 7730,
     /* 200465 */     GIR_EraseRootFromParent_Done,
     /* 200466 */   // Label 3966: @200466
     /* 200466 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(200543), // Rule ID 7731 //
     /* 200471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 200482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 200485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 200488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 200491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 200515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200523 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200527 */     // MIs[2] Operand 1
     /* 200527 */     // No operand predicates
     /* 200527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200529 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 200529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 200532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200541 */     GIR_RootConstrainSelectedInstOperands,
     /* 200542 */     // GIR_Coverage, 7731,
     /* 200542 */     GIR_EraseRootFromParent_Done,
     /* 200543 */   // Label 3967: @200543
     /* 200543 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(200620), // Rule ID 7732 //
     /* 200548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 200556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 200559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 200562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 200565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 200568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 200592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200600 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200604 */     // MIs[2] Operand 1
     /* 200604 */     // No operand predicates
     /* 200604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200606 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1330:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 200606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 200609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200618 */     GIR_RootConstrainSelectedInstOperands,
     /* 200619 */     // GIR_Coverage, 7732,
     /* 200619 */     GIR_EraseRootFromParent_Done,
     /* 200620 */   // Label 3968: @200620
     /* 200620 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(200697), // Rule ID 7733 //
     /* 200625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 200633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 200636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 200639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 200642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 200645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 200669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200677 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200681 */     // MIs[2] Operand 1
     /* 200681 */     // No operand predicates
     /* 200681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 200683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 200686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200695 */     GIR_RootConstrainSelectedInstOperands,
     /* 200696 */     // GIR_Coverage, 7733,
     /* 200696 */     GIR_EraseRootFromParent_Done,
     /* 200697 */   // Label 3969: @200697
     /* 200697 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(200774), // Rule ID 7734 //
     /* 200702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 200710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 200713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 200716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 200719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 200722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 200746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200754 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200758 */     // MIs[2] Operand 1
     /* 200758 */     // No operand predicates
     /* 200758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200760 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 200760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 200763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200772 */     GIR_RootConstrainSelectedInstOperands,
     /* 200773 */     // GIR_Coverage, 7734,
     /* 200773 */     GIR_EraseRootFromParent_Done,
     /* 200774 */   // Label 3970: @200774
     /* 200774 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200851), // Rule ID 7735 //
     /* 200779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 200787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 200790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 200793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 200796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 200799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 200823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200831 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200835 */     // MIs[2] Operand 1
     /* 200835 */     // No operand predicates
     /* 200835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200837 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 200837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 200840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200849 */     GIR_RootConstrainSelectedInstOperands,
     /* 200850 */     // GIR_Coverage, 7735,
     /* 200850 */     GIR_EraseRootFromParent_Done,
     /* 200851 */   // Label 3971: @200851
     /* 200851 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200928), // Rule ID 7736 //
     /* 200856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 200864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 200867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 200870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 200873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 200876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 200900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200908 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 200912 */     // MIs[2] Operand 1
     /* 200912 */     // No operand predicates
     /* 200912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200914 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 200914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 200917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 200923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200926 */     GIR_RootConstrainSelectedInstOperands,
     /* 200927 */     // GIR_Coverage, 7736,
     /* 200927 */     GIR_EraseRootFromParent_Done,
     /* 200928 */   // Label 3972: @200928
     /* 200928 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(201005), // Rule ID 7737 //
     /* 200933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 200941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 200944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 200947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 200950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 200953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 200961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 200973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 200977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 200985 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 200989 */     // MIs[2] Operand 1
     /* 200989 */     // No operand predicates
     /* 200989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 200991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 200991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 200994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 200998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 201000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 201003 */     GIR_RootConstrainSelectedInstOperands,
     /* 201004 */     // GIR_Coverage, 7737,
     /* 201004 */     GIR_EraseRootFromParent_Done,
     /* 201005 */   // Label 3973: @201005
     /* 201005 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(201082), // Rule ID 7738 //
     /* 201010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 201018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 201021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 201024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 201027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 201030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 201038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 201046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 201050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 201054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 201058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 201062 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 201066 */     // MIs[2] Operand 1
     /* 201066 */     // No operand predicates
     /* 201066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 201068 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1348:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 201068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 201071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 201075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 201077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 201080 */     GIR_RootConstrainSelectedInstOperands,
     /* 201081 */     // GIR_Coverage, 7738,
     /* 201081 */     GIR_EraseRootFromParent_Done,
     /* 201082 */   // Label 3974: @201082
     /* 201082 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(201138), // Rule ID 55 //
     /* 201087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201112 */     // MIs[0] Operand 3
     /* 201112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 201123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 201127 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 201127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIA),
     /* 201130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 201136 */     GIR_RootConstrainSelectedInstOperands,
     /* 201137 */     // GIR_Coverage, 55,
     /* 201137 */     GIR_EraseRootFromParent_Done,
     /* 201138 */   // Label 3975: @201138
     /* 201138 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(201194), // Rule ID 56 //
     /* 201143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201168 */     // MIs[0] Operand 3
     /* 201168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 201179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 201183 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 201183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIB),
     /* 201186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 201192 */     GIR_RootConstrainSelectedInstOperands,
     /* 201193 */     // GIR_Coverage, 56,
     /* 201193 */     GIR_EraseRootFromParent_Done,
     /* 201194 */   // Label 3976: @201194
     /* 201194 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(201250), // Rule ID 57 //
     /* 201199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201224 */     // MIs[0] Operand 3
     /* 201224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 201235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 201239 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 201239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDA),
     /* 201242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201246 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 201248 */     GIR_RootConstrainSelectedInstOperands,
     /* 201249 */     // GIR_Coverage, 57,
     /* 201249 */     GIR_EraseRootFromParent_Done,
     /* 201250 */   // Label 3977: @201250
     /* 201250 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(201306), // Rule ID 58 //
     /* 201255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 201258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 201263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201280 */     // MIs[0] Operand 3
     /* 201280 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 201291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 201295 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 201295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDB),
     /* 201298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 201304 */     GIR_RootConstrainSelectedInstOperands,
     /* 201305 */     // GIR_Coverage, 58,
     /* 201305 */     GIR_EraseRootFromParent_Done,
     /* 201306 */   // Label 3978: @201306
     /* 201306 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(201361), // Rule ID 2785 //
     /* 201311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 201314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 201319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 201328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201340 */     // MIs[0] imm
     /* 201340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 201348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1447:{ *:[iPTR] }, ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_H:{ *:[nxv8f16] } ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 201348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_H),
     /* 201351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 201357 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 201359 */     GIR_RootConstrainSelectedInstOperands,
     /* 201360 */     // GIR_Coverage, 2785,
     /* 201360 */     GIR_EraseRootFromParent_Done,
     /* 201361 */   // Label 3979: @201361
     /* 201361 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(201416), // Rule ID 2786 //
     /* 201366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 201369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 201374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 201383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201395 */     // MIs[0] imm
     /* 201395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 201403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1447:{ *:[iPTR] }, ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_S:{ *:[nxv4f32] } ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 201403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_S),
     /* 201406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 201412 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 201414 */     GIR_RootConstrainSelectedInstOperands,
     /* 201415 */     // GIR_Coverage, 2786,
     /* 201415 */     GIR_EraseRootFromParent_Done,
     /* 201416 */   // Label 3980: @201416
     /* 201416 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(201471), // Rule ID 2787 //
     /* 201421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 201424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 201429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 201432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 201435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 201438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201450 */     // MIs[0] imm
     /* 201450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 201458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1447:{ *:[iPTR] }, ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_D:{ *:[nxv2f64] } ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 201458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_D),
     /* 201461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 201467 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 201469 */     GIR_RootConstrainSelectedInstOperands,
     /* 201470 */     // GIR_Coverage, 2787,
     /* 201470 */     GIR_EraseRootFromParent_Done,
     /* 201471 */   // Label 3981: @201471
     /* 201471 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(201526), // Rule ID 3532 //
     /* 201476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 201479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 201484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 201493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 201505 */     // MIs[0] Idx
     /* 201505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_1),
     /* 201513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1533:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zd, PPR16:{ *:[nxv8i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } ZPRAny:{ *:[nxv8i16] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 201513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 201516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 201520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 201522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 201524 */     GIR_RootConstrainSelectedInstOperands,
     /* 201525 */     // GIR_Coverage, 3532,
     /* 201525 */     GIR_EraseRootFromParent_Done,
     /* 201526 */   // Label 3982: @201526
     /* 201526 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(201581), // Rule ID 3533 //
     /* 201531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 201534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 201539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 201548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 201560 */     // MIs[0] Idx
     /* 201560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_3),
     /* 201568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1533:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zd, PPR32:{ *:[nxv4i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } ZPRAny:{ *:[nxv4i32] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 201568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 201571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 201575 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 201577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 201579 */     GIR_RootConstrainSelectedInstOperands,
     /* 201580 */     // GIR_Coverage, 3533,
     /* 201580 */     GIR_EraseRootFromParent_Done,
     /* 201581 */   // Label 3983: @201581
     /* 201581 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(201636), // Rule ID 3534 //
     /* 201586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 201589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 201594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 201597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 201600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 201603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 201615 */     // MIs[0] Idx
     /* 201615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201618 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_7),
     /* 201623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1533:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zd, PPR64:{ *:[nxv2i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } ZPRAny:{ *:[nxv2i64] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 201623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 201626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 201630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 201632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 201634 */     GIR_RootConstrainSelectedInstOperands,
     /* 201635 */     // GIR_Coverage, 3534,
     /* 201635 */     GIR_EraseRootFromParent_Done,
     /* 201636 */   // Label 3984: @201636
     /* 201636 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(201691), // Rule ID 3786 //
     /* 201641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 201644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_xar),
     /* 201649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 201652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 201655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 201658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 201662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 201666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 201670 */     // MIs[0] imm
     /* 201670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm0_63),
     /* 201678 */     // (intrinsic_wo_chain:{ *:[v2i64] } 542:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)  =>  (XAR:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)
     /* 201678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR),
     /* 201681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 201683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 201685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 201687 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 201689 */     GIR_RootConstrainSelectedInstOperands,
     /* 201690 */     // GIR_Coverage, 3786,
     /* 201690 */     GIR_EraseRootFromParent_Done,
     /* 201691 */   // Label 3985: @201691
     /* 201691 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(201738), // Rule ID 2839 //
     /* 201696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 201704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 201713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201717 */     // MIs[0] idx
     /* 201717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 201725 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1383:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMUL_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 201725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_H),
     /* 201728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201734 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 201736 */     GIR_RootConstrainSelectedInstOperands,
     /* 201737 */     // GIR_Coverage, 2839,
     /* 201737 */     GIR_EraseRootFromParent_Done,
     /* 201738 */   // Label 3986: @201738
     /* 201738 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(201785), // Rule ID 2840 //
     /* 201743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 201751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 201760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201764 */     // MIs[0] idx
     /* 201764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 201772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1383:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMUL_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 201772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_S),
     /* 201775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201781 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 201783 */     GIR_RootConstrainSelectedInstOperands,
     /* 201784 */     // GIR_Coverage, 2840,
     /* 201784 */     GIR_EraseRootFromParent_Done,
     /* 201785 */   // Label 3987: @201785
     /* 201785 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(201832), // Rule ID 2841 //
     /* 201790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 201798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 201801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 201804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 201807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201811 */     // MIs[0] idx
     /* 201811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 201819 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1383:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMUL_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 201819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_D),
     /* 201822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201828 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 201830 */     GIR_RootConstrainSelectedInstOperands,
     /* 201831 */     // GIR_Coverage, 2841,
     /* 201831 */     GIR_EraseRootFromParent_Done,
     /* 201832 */   // Label 3988: @201832
     /* 201832 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(201879), // Rule ID 2990 //
     /* 201837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 201840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 201845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 201854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201858 */     // MIs[0] Op3
     /* 201858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 201866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1514:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (MUL_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 201866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_H),
     /* 201869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201875 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 201877 */     GIR_RootConstrainSelectedInstOperands,
     /* 201878 */     // GIR_Coverage, 2990,
     /* 201878 */     GIR_EraseRootFromParent_Done,
     /* 201879 */   // Label 3989: @201879
     /* 201879 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201926), // Rule ID 2991 //
     /* 201884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 201887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 201892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 201901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201905 */     // MIs[0] Op3
     /* 201905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 201913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1514:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (MUL_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 201913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_S),
     /* 201916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 201924 */     GIR_RootConstrainSelectedInstOperands,
     /* 201925 */     // GIR_Coverage, 2991,
     /* 201925 */     GIR_EraseRootFromParent_Done,
     /* 201926 */   // Label 3990: @201926
     /* 201926 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201973), // Rule ID 2992 //
     /* 201931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 201934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 201939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 201942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 201945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 201948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201952 */     // MIs[0] Op3
     /* 201952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 201960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1514:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (MUL_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 201960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_D),
     /* 201963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 201965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 201967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 201969 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 201971 */     GIR_RootConstrainSelectedInstOperands,
     /* 201972 */     // GIR_Coverage, 2992,
     /* 201972 */     GIR_EraseRootFromParent_Done,
     /* 201973 */   // Label 3991: @201973
     /* 201973 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(202020), // Rule ID 2993 //
     /* 201978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 201981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 201986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 201995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201999 */     // MIs[0] Op3
     /* 201999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 202007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1660:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 202007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_S),
     /* 202010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202018 */     GIR_RootConstrainSelectedInstOperands,
     /* 202019 */     // GIR_Coverage, 2993,
     /* 202019 */     GIR_EraseRootFromParent_Done,
     /* 202020 */   // Label 3992: @202020
     /* 202020 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(202067), // Rule ID 2994 //
     /* 202025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 202033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 202042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202046 */     // MIs[0] Op3
     /* 202046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 202054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1660:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 202054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_D),
     /* 202057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202061 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202063 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202065 */     GIR_RootConstrainSelectedInstOperands,
     /* 202066 */     // GIR_Coverage, 2994,
     /* 202066 */     GIR_EraseRootFromParent_Done,
     /* 202067 */   // Label 3993: @202067
     /* 202067 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(202114), // Rule ID 3042 //
     /* 202072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 202080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202093 */     // MIs[0] Op3
     /* 202093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 202101 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1771:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 202101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_B),
     /* 202104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 202106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202112 */     GIR_RootConstrainSelectedInstOperands,
     /* 202113 */     // GIR_Coverage, 3042,
     /* 202113 */     GIR_EraseRootFromParent_Done,
     /* 202114 */   // Label 3994: @202114
     /* 202114 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(202161), // Rule ID 3044 //
     /* 202119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 202127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 202136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202140 */     // MIs[0] Op3
     /* 202140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 202148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1771:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 202148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_H),
     /* 202151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 202153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202155 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202157 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202159 */     GIR_RootConstrainSelectedInstOperands,
     /* 202160 */     // GIR_Coverage, 3044,
     /* 202160 */     GIR_EraseRootFromParent_Done,
     /* 202161 */   // Label 3995: @202161
     /* 202161 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(202208), // Rule ID 3046 //
     /* 202166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 202174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 202183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202187 */     // MIs[0] Op3
     /* 202187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 202195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1771:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 202195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_S),
     /* 202198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 202200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202204 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202206 */     GIR_RootConstrainSelectedInstOperands,
     /* 202207 */     // GIR_Coverage, 3046,
     /* 202207 */     GIR_EraseRootFromParent_Done,
     /* 202208 */   // Label 3996: @202208
     /* 202208 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(202255), // Rule ID 3048 //
     /* 202213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 202221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 202230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202234 */     // MIs[0] Op3
     /* 202234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 202242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1771:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 202242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_D),
     /* 202245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 202247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202251 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202253 */     GIR_RootConstrainSelectedInstOperands,
     /* 202254 */     // GIR_Coverage, 3048,
     /* 202254 */     GIR_EraseRootFromParent_Done,
     /* 202255 */   // Label 3997: @202255
     /* 202255 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(202302), // Rule ID 3070 //
     /* 202260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 202268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 202277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202281 */     // MIs[0] Op3
     /* 202281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 202289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1751:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 202289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_B),
     /* 202292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202300 */     GIR_RootConstrainSelectedInstOperands,
     /* 202301 */     // GIR_Coverage, 3070,
     /* 202301 */     GIR_EraseRootFromParent_Done,
     /* 202302 */   // Label 3998: @202302
     /* 202302 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(202349), // Rule ID 3071 //
     /* 202307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 202315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 202324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202328 */     // MIs[0] Op3
     /* 202328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 202336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1751:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 202336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_H),
     /* 202339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202345 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202347 */     GIR_RootConstrainSelectedInstOperands,
     /* 202348 */     // GIR_Coverage, 3071,
     /* 202348 */     GIR_EraseRootFromParent_Done,
     /* 202349 */   // Label 3999: @202349
     /* 202349 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(202396), // Rule ID 3072 //
     /* 202354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 202362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 202371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202375 */     // MIs[0] Op3
     /* 202375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 202383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1751:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 202383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_S),
     /* 202386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202394 */     GIR_RootConstrainSelectedInstOperands,
     /* 202395 */     // GIR_Coverage, 3072,
     /* 202395 */     GIR_EraseRootFromParent_Done,
     /* 202396 */   // Label 4000: @202396
     /* 202396 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(202443), // Rule ID 3141 //
     /* 202401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 202409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202422 */     // MIs[0] Op3
     /* 202422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 202430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2052:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (XAR_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 202430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_B),
     /* 202433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202439 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202441 */     GIR_RootConstrainSelectedInstOperands,
     /* 202442 */     // GIR_Coverage, 3141,
     /* 202442 */     GIR_EraseRootFromParent_Done,
     /* 202443 */   // Label 4001: @202443
     /* 202443 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(202490), // Rule ID 3142 //
     /* 202448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 202456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 202465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202469 */     // MIs[0] Op3
     /* 202469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 202477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2052:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (XAR_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 202477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_H),
     /* 202480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202488 */     GIR_RootConstrainSelectedInstOperands,
     /* 202489 */     // GIR_Coverage, 3142,
     /* 202489 */     GIR_EraseRootFromParent_Done,
     /* 202490 */   // Label 4002: @202490
     /* 202490 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(202537), // Rule ID 3143 //
     /* 202495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 202503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 202512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202516 */     // MIs[0] Op3
     /* 202516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 202524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2052:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (XAR_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 202524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_S),
     /* 202527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202533 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202535 */     GIR_RootConstrainSelectedInstOperands,
     /* 202536 */     // GIR_Coverage, 3143,
     /* 202536 */     GIR_EraseRootFromParent_Done,
     /* 202537 */   // Label 4003: @202537
     /* 202537 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(202584), // Rule ID 3144 //
     /* 202542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 202550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 202559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202563 */     // MIs[0] Op3
     /* 202563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 202571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2052:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (XAR_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 202571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_D),
     /* 202574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202582 */     GIR_RootConstrainSelectedInstOperands,
     /* 202583 */     // GIR_Coverage, 3144,
     /* 202583 */     GIR_EraseRootFromParent_Done,
     /* 202584 */   // Label 4004: @202584
     /* 202584 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(202631), // Rule ID 3517 //
     /* 202589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 202592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_extq),
     /* 202597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202610 */     // MIs[0] Op3
     /* 202610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_15),
     /* 202618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1262:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)  =>  (EXTQ_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)
     /* 202618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTQ_ZZI),
     /* 202621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202627 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202629 */     GIR_RootConstrainSelectedInstOperands,
     /* 202630 */     // GIR_Coverage, 3517,
     /* 202630 */     GIR_EraseRootFromParent_Done,
     /* 202631 */   // Label 4005: @202631
     /* 202631 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(202678), // Rule ID 3565 //
     /* 202636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 202644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202657 */     // MIs[0] Op3
     /* 202657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 202665 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1501:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI2_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 202665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_B),
     /* 202668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202674 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202676 */     GIR_RootConstrainSelectedInstOperands,
     /* 202677 */     // GIR_Coverage, 3565,
     /* 202677 */     GIR_EraseRootFromParent_Done,
     /* 202678 */   // Label 4006: @202678
     /* 202678 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(202725), // Rule ID 3566 //
     /* 202683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 202691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202704 */     // MIs[0] Op3
     /* 202704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 202712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1501:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 202712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 202715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202721 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202723 */     GIR_RootConstrainSelectedInstOperands,
     /* 202724 */     // GIR_Coverage, 3566,
     /* 202724 */     GIR_EraseRootFromParent_Done,
     /* 202725 */   // Label 4007: @202725
     /* 202725 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(202772), // Rule ID 3567 //
     /* 202730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 202738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202751 */     // MIs[0] Op3
     /* 202751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 202759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1501:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 202759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 202762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202770 */     GIR_RootConstrainSelectedInstOperands,
     /* 202771 */     // GIR_Coverage, 3567,
     /* 202771 */     GIR_EraseRootFromParent_Done,
     /* 202772 */   // Label 4008: @202772
     /* 202772 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(202819), // Rule ID 3568 //
     /* 202777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 202785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 202788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 202791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202798 */     // MIs[0] Op3
     /* 202798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 202806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1502:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)  =>  (LUTI4_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)
     /* 202806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_B),
     /* 202809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202815 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202817 */     GIR_RootConstrainSelectedInstOperands,
     /* 202818 */     // GIR_Coverage, 3568,
     /* 202818 */     GIR_EraseRootFromParent_Done,
     /* 202819 */   // Label 4009: @202819
     /* 202819 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(202866), // Rule ID 3569 //
     /* 202824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 202832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202845 */     // MIs[0] Op3
     /* 202845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 202853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1502:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 202853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 202856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202864 */     GIR_RootConstrainSelectedInstOperands,
     /* 202865 */     // GIR_Coverage, 3569,
     /* 202865 */     GIR_EraseRootFromParent_Done,
     /* 202866 */   // Label 4010: @202866
     /* 202866 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(202913), // Rule ID 3570 //
     /* 202871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 202874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 202879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 202888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202892 */     // MIs[0] Op3
     /* 202892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 202900 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1502:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 202900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 202903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202909 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202911 */     GIR_RootConstrainSelectedInstOperands,
     /* 202912 */     // GIR_Coverage, 3570,
     /* 202912 */     GIR_EraseRootFromParent_Done,
     /* 202913 */   // Label 4011: @202913
     /* 202913 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(202960), // Rule ID 11107 //
     /* 202918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 202926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 202935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202939 */     // MIs[0] Op3
     /* 202939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 202947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1701:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 202947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_H),
     /* 202950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 202954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 202956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 202958 */     GIR_RootConstrainSelectedInstOperands,
     /* 202959 */     // GIR_Coverage, 11107,
     /* 202959 */     GIR_EraseRootFromParent_Done,
     /* 202960 */   // Label 4012: @202960
     /* 202960 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(203007), // Rule ID 11108 //
     /* 202965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 202968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 202973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 202982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202986 */     // MIs[0] Op3
     /* 202986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 202994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1701:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 202994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_S),
     /* 202997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 202999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203003 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203005 */     GIR_RootConstrainSelectedInstOperands,
     /* 203006 */     // GIR_Coverage, 11108,
     /* 203006 */     GIR_EraseRootFromParent_Done,
     /* 203007 */   // Label 4013: @203007
     /* 203007 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(203054), // Rule ID 11109 //
     /* 203012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 203020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 203029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203033 */     // MIs[0] Op3
     /* 203033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 203041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1701:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 203041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_D),
     /* 203044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203052 */     GIR_RootConstrainSelectedInstOperands,
     /* 203053 */     // GIR_Coverage, 11109,
     /* 203053 */     GIR_EraseRootFromParent_Done,
     /* 203054 */   // Label 4014: @203054
     /* 203054 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(203101), // Rule ID 11110 //
     /* 203059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 203067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 203070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203080 */     // MIs[0] Op3
     /* 203080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1732:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_H),
     /* 203091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203097 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203099 */     GIR_RootConstrainSelectedInstOperands,
     /* 203100 */     // GIR_Coverage, 11110,
     /* 203100 */     GIR_EraseRootFromParent_Done,
     /* 203101 */   // Label 4015: @203101
     /* 203101 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(203148), // Rule ID 11111 //
     /* 203106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 203114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203127 */     // MIs[0] Op3
     /* 203127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1732:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_S),
     /* 203138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203146 */     GIR_RootConstrainSelectedInstOperands,
     /* 203147 */     // GIR_Coverage, 11111,
     /* 203147 */     GIR_EraseRootFromParent_Done,
     /* 203148 */   // Label 4016: @203148
     /* 203148 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(203195), // Rule ID 11112 //
     /* 203153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 203161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 203170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203174 */     // MIs[0] Op3
     /* 203174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 203182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1732:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 203182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_D),
     /* 203185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203191 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203193 */     GIR_RootConstrainSelectedInstOperands,
     /* 203194 */     // GIR_Coverage, 11112,
     /* 203194 */     GIR_EraseRootFromParent_Done,
     /* 203195 */   // Label 4017: @203195
     /* 203195 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(203242), // Rule ID 11135 //
     /* 203200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 203208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203221 */     // MIs[0] Op3
     /* 203221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1662:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_S),
     /* 203232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203240 */     GIR_RootConstrainSelectedInstOperands,
     /* 203241 */     // GIR_Coverage, 11135,
     /* 203241 */     GIR_EraseRootFromParent_Done,
     /* 203242 */   // Label 4018: @203242
     /* 203242 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(203289), // Rule ID 11136 //
     /* 203247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 203255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203268 */     // MIs[0] Op3
     /* 203268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1662:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_D),
     /* 203279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203285 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203287 */     GIR_RootConstrainSelectedInstOperands,
     /* 203288 */     // GIR_Coverage, 11136,
     /* 203288 */     GIR_EraseRootFromParent_Done,
     /* 203289 */   // Label 4019: @203289
     /* 203289 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(203336), // Rule ID 11137 //
     /* 203294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 203302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203315 */     // MIs[0] Op3
     /* 203315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1898:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_S),
     /* 203326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203334 */     GIR_RootConstrainSelectedInstOperands,
     /* 203335 */     // GIR_Coverage, 11137,
     /* 203335 */     GIR_EraseRootFromParent_Done,
     /* 203336 */   // Label 4020: @203336
     /* 203336 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(203383), // Rule ID 11138 //
     /* 203341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 203349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203362 */     // MIs[0] Op3
     /* 203362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1898:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_D),
     /* 203373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203381 */     GIR_RootConstrainSelectedInstOperands,
     /* 203382 */     // GIR_Coverage, 11138,
     /* 203382 */     GIR_EraseRootFromParent_Done,
     /* 203383 */   // Label 4021: @203383
     /* 203383 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(203430), // Rule ID 11139 //
     /* 203388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 203396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203409 */     // MIs[0] Op3
     /* 203409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1900:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_S),
     /* 203420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203428 */     GIR_RootConstrainSelectedInstOperands,
     /* 203429 */     // GIR_Coverage, 11139,
     /* 203429 */     GIR_EraseRootFromParent_Done,
     /* 203430 */   // Label 4022: @203430
     /* 203430 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(203477), // Rule ID 11140 //
     /* 203435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 203443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203456 */     // MIs[0] Op3
     /* 203456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1900:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_D),
     /* 203467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203473 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203475 */     GIR_RootConstrainSelectedInstOperands,
     /* 203476 */     // GIR_Coverage, 11140,
     /* 203476 */     GIR_EraseRootFromParent_Done,
     /* 203477 */   // Label 4023: @203477
     /* 203477 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(203524), // Rule ID 11141 //
     /* 203482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 203490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203503 */     // MIs[0] Op3
     /* 203503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1707:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_S),
     /* 203514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203522 */     GIR_RootConstrainSelectedInstOperands,
     /* 203523 */     // GIR_Coverage, 11141,
     /* 203523 */     GIR_EraseRootFromParent_Done,
     /* 203524 */   // Label 4024: @203524
     /* 203524 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(203571), // Rule ID 11142 //
     /* 203529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 203537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203550 */     // MIs[0] Op3
     /* 203550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1707:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_D),
     /* 203561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203567 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203569 */     GIR_RootConstrainSelectedInstOperands,
     /* 203570 */     // GIR_Coverage, 11142,
     /* 203570 */     GIR_EraseRootFromParent_Done,
     /* 203571 */   // Label 4025: @203571
     /* 203571 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(203618), // Rule ID 11143 //
     /* 203576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 203584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 203590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203597 */     // MIs[0] Op3
     /* 203597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 203605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1709:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 203605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_S),
     /* 203608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203616 */     GIR_RootConstrainSelectedInstOperands,
     /* 203617 */     // GIR_Coverage, 11143,
     /* 203617 */     GIR_EraseRootFromParent_Done,
     /* 203618 */   // Label 4026: @203618
     /* 203618 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(203665), // Rule ID 11144 //
     /* 203623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 203631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 203637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203644 */     // MIs[0] Op3
     /* 203644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 203652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1709:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 203652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_D),
     /* 203655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 203657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203661 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203663 */     GIR_RootConstrainSelectedInstOperands,
     /* 203664 */     // GIR_Coverage, 11144,
     /* 203664 */     GIR_EraseRootFromParent_Done,
     /* 203665 */   // Label 4027: @203665
     /* 203665 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(203712), // Rule ID 11388 //
     /* 203670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 203678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 203681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 203684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 203687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203691 */     // MIs[0] Op3
     /* 203691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 203699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1767:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 203699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_B),
     /* 203702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203708 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203710 */     GIR_RootConstrainSelectedInstOperands,
     /* 203711 */     // GIR_Coverage, 11388,
     /* 203711 */     GIR_EraseRootFromParent_Done,
     /* 203712 */   // Label 4028: @203712
     /* 203712 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(203759), // Rule ID 11389 //
     /* 203717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 203725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 203728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 203731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203738 */     // MIs[0] Op3
     /* 203738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 203746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1767:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 203746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_H),
     /* 203749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203755 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203757 */     GIR_RootConstrainSelectedInstOperands,
     /* 203758 */     // GIR_Coverage, 11389,
     /* 203758 */     GIR_EraseRootFromParent_Done,
     /* 203759 */   // Label 4029: @203759
     /* 203759 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(203806), // Rule ID 11390 //
     /* 203764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 203772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 203778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203785 */     // MIs[0] Op3
     /* 203785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 203793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1767:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 203793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_S),
     /* 203796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203804 */     GIR_RootConstrainSelectedInstOperands,
     /* 203805 */     // GIR_Coverage, 11390,
     /* 203805 */     GIR_EraseRootFromParent_Done,
     /* 203806 */   // Label 4030: @203806
     /* 203806 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(203853), // Rule ID 11391 //
     /* 203811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 203819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 203825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 203828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203832 */     // MIs[0] Op3
     /* 203832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 203840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1767:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 203840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_D),
     /* 203843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203849 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203851 */     GIR_RootConstrainSelectedInstOperands,
     /* 203852 */     // GIR_Coverage, 11391,
     /* 203852 */     GIR_EraseRootFromParent_Done,
     /* 203853 */   // Label 4031: @203853
     /* 203853 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(203900), // Rule ID 11392 //
     /* 203858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 203866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 203869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 203872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 203875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203879 */     // MIs[0] Op3
     /* 203879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 203887 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1958:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 203887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_B),
     /* 203890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203898 */     GIR_RootConstrainSelectedInstOperands,
     /* 203899 */     // GIR_Coverage, 11392,
     /* 203899 */     GIR_EraseRootFromParent_Done,
     /* 203900 */   // Label 4032: @203900
     /* 203900 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(203947), // Rule ID 11394 //
     /* 203905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 203913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 203916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 203919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203926 */     // MIs[0] Op3
     /* 203926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 203934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1958:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 203934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_H),
     /* 203937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203943 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203945 */     GIR_RootConstrainSelectedInstOperands,
     /* 203946 */     // GIR_Coverage, 11394,
     /* 203946 */     GIR_EraseRootFromParent_Done,
     /* 203947 */   // Label 4033: @203947
     /* 203947 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203994), // Rule ID 11396 //
     /* 203952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 203955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 203960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 203963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 203966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 203969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203973 */     // MIs[0] Op3
     /* 203973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 203981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1958:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 203981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_S),
     /* 203984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 203988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 203990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 203992 */     GIR_RootConstrainSelectedInstOperands,
     /* 203993 */     // GIR_Coverage, 11396,
     /* 203993 */     GIR_EraseRootFromParent_Done,
     /* 203994 */   // Label 4034: @203994
     /* 203994 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(204041), // Rule ID 11398 //
     /* 203999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 204007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204020 */     // MIs[0] Op3
     /* 204020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 204028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1958:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 204028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_D),
     /* 204031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204039 */     GIR_RootConstrainSelectedInstOperands,
     /* 204040 */     // GIR_Coverage, 11398,
     /* 204040 */     GIR_EraseRootFromParent_Done,
     /* 204041 */   // Label 4035: @204041
     /* 204041 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(204088), // Rule ID 11400 //
     /* 204046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 204054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 204060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 204063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204067 */     // MIs[0] Op3
     /* 204067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 204075 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1747:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)  =>  (SQSHLU_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)
     /* 204075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_B),
     /* 204078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204086 */     GIR_RootConstrainSelectedInstOperands,
     /* 204087 */     // GIR_Coverage, 11400,
     /* 204087 */     GIR_EraseRootFromParent_Done,
     /* 204088 */   // Label 4036: @204088
     /* 204088 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(204135), // Rule ID 11401 //
     /* 204093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 204101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204114 */     // MIs[0] Op3
     /* 204114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 204122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1747:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)  =>  (SQSHLU_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)
     /* 204122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_H),
     /* 204125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204131 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204133 */     GIR_RootConstrainSelectedInstOperands,
     /* 204134 */     // GIR_Coverage, 11401,
     /* 204134 */     GIR_EraseRootFromParent_Done,
     /* 204135 */   // Label 4037: @204135
     /* 204135 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(204182), // Rule ID 11402 //
     /* 204140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 204148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204161 */     // MIs[0] Op3
     /* 204161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 204169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1747:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)  =>  (SQSHLU_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)
     /* 204169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_S),
     /* 204172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204180 */     GIR_RootConstrainSelectedInstOperands,
     /* 204181 */     // GIR_Coverage, 11402,
     /* 204181 */     GIR_EraseRootFromParent_Done,
     /* 204182 */   // Label 4038: @204182
     /* 204182 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(204229), // Rule ID 11403 //
     /* 204187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 204195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204208 */     // MIs[0] Op3
     /* 204208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL64),
     /* 204216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1747:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)  =>  (SQSHLU_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)
     /* 204216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_D),
     /* 204219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204225 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204227 */     GIR_RootConstrainSelectedInstOperands,
     /* 204228 */     // GIR_Coverage, 11403,
     /* 204228 */     GIR_EraseRootFromParent_Done,
     /* 204229 */   // Label 4039: @204229
     /* 204229 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(204276), // Rule ID 11478 //
     /* 204234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 204242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 204248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 204251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204255 */     // MIs[0] Op3
     /* 204255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 204263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1967:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (USRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 204263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_B),
     /* 204266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204272 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204274 */     GIR_RootConstrainSelectedInstOperands,
     /* 204275 */     // GIR_Coverage, 11478,
     /* 204275 */     GIR_EraseRootFromParent_Done,
     /* 204276 */   // Label 4040: @204276
     /* 204276 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(204323), // Rule ID 11480 //
     /* 204281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 204289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 204295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204302 */     // MIs[0] Op3
     /* 204302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 204310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1967:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (USRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 204310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_H),
     /* 204313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204319 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204321 */     GIR_RootConstrainSelectedInstOperands,
     /* 204322 */     // GIR_Coverage, 11480,
     /* 204322 */     GIR_EraseRootFromParent_Done,
     /* 204323 */   // Label 4041: @204323
     /* 204323 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(204370), // Rule ID 11482 //
     /* 204328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 204336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 204342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204349 */     // MIs[0] Op3
     /* 204349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 204357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1967:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (USRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 204357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_S),
     /* 204360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204368 */     GIR_RootConstrainSelectedInstOperands,
     /* 204369 */     // GIR_Coverage, 11482,
     /* 204369 */     GIR_EraseRootFromParent_Done,
     /* 204370 */   // Label 4042: @204370
     /* 204370 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(204417), // Rule ID 11484 //
     /* 204375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 204383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 204389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204396 */     // MIs[0] Op3
     /* 204396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 204404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1967:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (USRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 204404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_D),
     /* 204407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204415 */     GIR_RootConstrainSelectedInstOperands,
     /* 204416 */     // GIR_Coverage, 11484,
     /* 204416 */     GIR_EraseRootFromParent_Done,
     /* 204417 */   // Label 4043: @204417
     /* 204417 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(204464), // Rule ID 11486 //
     /* 204422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 204430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 204436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 204439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204443 */     // MIs[0] Op3
     /* 204443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 204451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1768:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 204451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_B),
     /* 204454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204462 */     GIR_RootConstrainSelectedInstOperands,
     /* 204463 */     // GIR_Coverage, 11486,
     /* 204463 */     GIR_EraseRootFromParent_Done,
     /* 204464 */   // Label 4044: @204464
     /* 204464 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(204511), // Rule ID 11487 //
     /* 204469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 204477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 204483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204490 */     // MIs[0] Op3
     /* 204490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 204498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1768:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 204498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_H),
     /* 204501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204507 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204509 */     GIR_RootConstrainSelectedInstOperands,
     /* 204510 */     // GIR_Coverage, 11487,
     /* 204510 */     GIR_EraseRootFromParent_Done,
     /* 204511 */   // Label 4045: @204511
     /* 204511 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(204558), // Rule ID 11488 //
     /* 204516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 204524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 204530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204537 */     // MIs[0] Op3
     /* 204537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 204545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1768:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 204545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_S),
     /* 204548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204556 */     GIR_RootConstrainSelectedInstOperands,
     /* 204557 */     // GIR_Coverage, 11488,
     /* 204557 */     GIR_EraseRootFromParent_Done,
     /* 204558 */   // Label 4046: @204558
     /* 204558 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(204605), // Rule ID 11489 //
     /* 204563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 204571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 204577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204584 */     // MIs[0] Op3
     /* 204584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 204592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1768:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 204592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_D),
     /* 204595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204599 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204601 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204603 */     GIR_RootConstrainSelectedInstOperands,
     /* 204604 */     // GIR_Coverage, 11489,
     /* 204604 */     GIR_EraseRootFromParent_Done,
     /* 204605 */   // Label 4047: @204605
     /* 204605 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(204652), // Rule ID 11494 //
     /* 204610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 204618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 204624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 204627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204631 */     // MIs[0] Op3
     /* 204631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 204639 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1960:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 204639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_B),
     /* 204642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204650 */     GIR_RootConstrainSelectedInstOperands,
     /* 204651 */     // GIR_Coverage, 11494,
     /* 204651 */     GIR_EraseRootFromParent_Done,
     /* 204652 */   // Label 4048: @204652
     /* 204652 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(204699), // Rule ID 11495 //
     /* 204657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 204665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 204671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204678 */     // MIs[0] Op3
     /* 204678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 204686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1960:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 204686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_H),
     /* 204689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204697 */     GIR_RootConstrainSelectedInstOperands,
     /* 204698 */     // GIR_Coverage, 11495,
     /* 204698 */     GIR_EraseRootFromParent_Done,
     /* 204699 */   // Label 4049: @204699
     /* 204699 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(204746), // Rule ID 11496 //
     /* 204704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 204712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 204718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204725 */     // MIs[0] Op3
     /* 204725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 204733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1960:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 204733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_S),
     /* 204736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204742 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204744 */     GIR_RootConstrainSelectedInstOperands,
     /* 204745 */     // GIR_Coverage, 11496,
     /* 204745 */     GIR_EraseRootFromParent_Done,
     /* 204746 */   // Label 4050: @204746
     /* 204746 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(204793), // Rule ID 11497 //
     /* 204751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 204759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 204765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204772 */     // MIs[0] Op3
     /* 204772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 204780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1960:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 204780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_D),
     /* 204783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 204785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204791 */     GIR_RootConstrainSelectedInstOperands,
     /* 204792 */     // GIR_Coverage, 11497,
     /* 204792 */     GIR_EraseRootFromParent_Done,
     /* 204793 */   // Label 4051: @204793
     /* 204793 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(204840), // Rule ID 11557 //
     /* 204798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 204806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 204812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204819 */     // MIs[0] Op3
     /* 204819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 204827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1745:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 204827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_B),
     /* 204830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 204832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204838 */     GIR_RootConstrainSelectedInstOperands,
     /* 204839 */     // GIR_Coverage, 11557,
     /* 204839 */     GIR_EraseRootFromParent_Done,
     /* 204840 */   // Label 4052: @204840
     /* 204840 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(204887), // Rule ID 11558 //
     /* 204845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 204853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 204859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204866 */     // MIs[0] Op3
     /* 204866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 204874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1745:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 204874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_H),
     /* 204877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 204879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204883 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204885 */     GIR_RootConstrainSelectedInstOperands,
     /* 204886 */     // GIR_Coverage, 11558,
     /* 204886 */     GIR_EraseRootFromParent_Done,
     /* 204887 */   // Label 4053: @204887
     /* 204887 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(204934), // Rule ID 11559 //
     /* 204892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 204900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 204906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204913 */     // MIs[0] Op3
     /* 204913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 204921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1745:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 204921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_S),
     /* 204924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 204926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204932 */     GIR_RootConstrainSelectedInstOperands,
     /* 204933 */     // GIR_Coverage, 11559,
     /* 204933 */     GIR_EraseRootFromParent_Done,
     /* 204934 */   // Label 4054: @204934
     /* 204934 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(204981), // Rule ID 11560 //
     /* 204939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 204947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 204950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 204953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204960 */     // MIs[0] Op3
     /* 204960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 204963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 204968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1624:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 204968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_B),
     /* 204971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 204973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 204975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 204977 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 204979 */     GIR_RootConstrainSelectedInstOperands,
     /* 204980 */     // GIR_Coverage, 11560,
     /* 204980 */     GIR_EraseRootFromParent_Done,
     /* 204981 */   // Label 4055: @204981
     /* 204981 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205028), // Rule ID 11561 //
     /* 204986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 204989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 204994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205007 */     // MIs[0] Op3
     /* 205007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1624:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_H),
     /* 205018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205026 */     GIR_RootConstrainSelectedInstOperands,
     /* 205027 */     // GIR_Coverage, 11561,
     /* 205027 */     GIR_EraseRootFromParent_Done,
     /* 205028 */   // Label 4056: @205028
     /* 205028 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205075), // Rule ID 11562 //
     /* 205033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 205041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205054 */     // MIs[0] Op3
     /* 205054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1624:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_S),
     /* 205065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205071 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205073 */     GIR_RootConstrainSelectedInstOperands,
     /* 205074 */     // GIR_Coverage, 11562,
     /* 205074 */     GIR_EraseRootFromParent_Done,
     /* 205075 */   // Label 4057: @205075
     /* 205075 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205122), // Rule ID 11563 //
     /* 205080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 205088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205101 */     // MIs[0] Op3
     /* 205101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 205109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1582:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (RSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 205109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_B),
     /* 205112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205120 */     GIR_RootConstrainSelectedInstOperands,
     /* 205121 */     // GIR_Coverage, 11563,
     /* 205121 */     GIR_EraseRootFromParent_Done,
     /* 205122 */   // Label 4058: @205122
     /* 205122 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(205169), // Rule ID 11564 //
     /* 205127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 205135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205148 */     // MIs[0] Op3
     /* 205148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1582:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (RSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_H),
     /* 205159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205165 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205167 */     GIR_RootConstrainSelectedInstOperands,
     /* 205168 */     // GIR_Coverage, 11564,
     /* 205168 */     GIR_EraseRootFromParent_Done,
     /* 205169 */   // Label 4059: @205169
     /* 205169 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205216), // Rule ID 11565 //
     /* 205174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 205182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205195 */     // MIs[0] Op3
     /* 205195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1582:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (RSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_S),
     /* 205206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205214 */     GIR_RootConstrainSelectedInstOperands,
     /* 205215 */     // GIR_Coverage, 11565,
     /* 205215 */     GIR_EraseRootFromParent_Done,
     /* 205216 */   // Label 4060: @205216
     /* 205216 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205263), // Rule ID 11566 //
     /* 205221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 205229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205242 */     // MIs[0] Op3
     /* 205242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 205250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1749:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 205250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_B),
     /* 205253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205259 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205261 */     GIR_RootConstrainSelectedInstOperands,
     /* 205262 */     // GIR_Coverage, 11566,
     /* 205262 */     GIR_EraseRootFromParent_Done,
     /* 205263 */   // Label 4061: @205263
     /* 205263 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205310), // Rule ID 11567 //
     /* 205268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 205276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205289 */     // MIs[0] Op3
     /* 205289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1749:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_H),
     /* 205300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205308 */     GIR_RootConstrainSelectedInstOperands,
     /* 205309 */     // GIR_Coverage, 11567,
     /* 205309 */     GIR_EraseRootFromParent_Done,
     /* 205310 */   // Label 4062: @205310
     /* 205310 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(205357), // Rule ID 11568 //
     /* 205315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 205323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205336 */     // MIs[0] Op3
     /* 205336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1749:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_S),
     /* 205347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205353 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205355 */     GIR_RootConstrainSelectedInstOperands,
     /* 205356 */     // GIR_Coverage, 11568,
     /* 205356 */     GIR_EraseRootFromParent_Done,
     /* 205357 */   // Label 4063: @205357
     /* 205357 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(205404), // Rule ID 11569 //
     /* 205362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 205370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205383 */     // MIs[0] Op3
     /* 205383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 205391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1739:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 205391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_B),
     /* 205394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205402 */     GIR_RootConstrainSelectedInstOperands,
     /* 205403 */     // GIR_Coverage, 11569,
     /* 205403 */     GIR_EraseRootFromParent_Done,
     /* 205404 */   // Label 4064: @205404
     /* 205404 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(205451), // Rule ID 11570 //
     /* 205409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 205417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205430 */     // MIs[0] Op3
     /* 205430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1739:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_H),
     /* 205441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205447 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205449 */     GIR_RootConstrainSelectedInstOperands,
     /* 205450 */     // GIR_Coverage, 11570,
     /* 205450 */     GIR_EraseRootFromParent_Done,
     /* 205451 */   // Label 4065: @205451
     /* 205451 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(205498), // Rule ID 11571 //
     /* 205456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 205464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205477 */     // MIs[0] Op3
     /* 205477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1739:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_S),
     /* 205488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205496 */     GIR_RootConstrainSelectedInstOperands,
     /* 205497 */     // GIR_Coverage, 11571,
     /* 205497 */     GIR_EraseRootFromParent_Done,
     /* 205498 */   // Label 4066: @205498
     /* 205498 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(205545), // Rule ID 11572 //
     /* 205503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 205511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205524 */     // MIs[0] Op3
     /* 205524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 205532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1944:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 205532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_B),
     /* 205535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205541 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205543 */     GIR_RootConstrainSelectedInstOperands,
     /* 205544 */     // GIR_Coverage, 11572,
     /* 205544 */     GIR_EraseRootFromParent_Done,
     /* 205545 */   // Label 4067: @205545
     /* 205545 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(205592), // Rule ID 11573 //
     /* 205550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 205558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205571 */     // MIs[0] Op3
     /* 205571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1944:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_H),
     /* 205582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205590 */     GIR_RootConstrainSelectedInstOperands,
     /* 205591 */     // GIR_Coverage, 11573,
     /* 205591 */     GIR_EraseRootFromParent_Done,
     /* 205592 */   // Label 4068: @205592
     /* 205592 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(205639), // Rule ID 11574 //
     /* 205597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 205605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205618 */     // MIs[0] Op3
     /* 205618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1944:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_S),
     /* 205629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205635 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205637 */     GIR_RootConstrainSelectedInstOperands,
     /* 205638 */     // GIR_Coverage, 11574,
     /* 205638 */     GIR_EraseRootFromParent_Done,
     /* 205639 */   // Label 4069: @205639
     /* 205639 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(205686), // Rule ID 11575 //
     /* 205644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 205652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205665 */     // MIs[0] Op3
     /* 205665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 205673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1941:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 205673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_B),
     /* 205676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205684 */     GIR_RootConstrainSelectedInstOperands,
     /* 205685 */     // GIR_Coverage, 11575,
     /* 205685 */     GIR_EraseRootFromParent_Done,
     /* 205686 */   // Label 4070: @205686
     /* 205686 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(205733), // Rule ID 11576 //
     /* 205691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 205699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205712 */     // MIs[0] Op3
     /* 205712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 205720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1941:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 205720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_H),
     /* 205723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205729 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205731 */     GIR_RootConstrainSelectedInstOperands,
     /* 205732 */     // GIR_Coverage, 11576,
     /* 205732 */     GIR_EraseRootFromParent_Done,
     /* 205733 */   // Label 4071: @205733
     /* 205733 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(205780), // Rule ID 11577 //
     /* 205738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 205746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205759 */     // MIs[0] Op3
     /* 205759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 205762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 205767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1941:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 205767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_S),
     /* 205770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 205774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 205776 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 205778 */     GIR_RootConstrainSelectedInstOperands,
     /* 205779 */     // GIR_Coverage, 11577,
     /* 205779 */     GIR_EraseRootFromParent_Done,
     /* 205780 */   // Label 4072: @205780
     /* 205780 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(205847), // Rule ID 2590 //
     /* 205785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 205788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 205793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 205799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 205802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 205813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 205817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1951:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URECPE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 205819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 205822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S_UNDEF),
     /* 205836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 205843 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 205845 */     GIR_RootConstrainSelectedInstOperands,
     /* 205846 */     // GIR_Coverage, 2590,
     /* 205846 */     GIR_EraseRootFromParent_Done,
     /* 205847 */   // Label 4073: @205847
     /* 205847 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(205914), // Rule ID 7536 //
     /* 205852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 205860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 205863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 205866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 205869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 205872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 205880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 205884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205886 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1215:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 205886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 205889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B_UNDEF),
     /* 205903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 205910 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 205912 */     GIR_RootConstrainSelectedInstOperands,
     /* 205913 */     // GIR_Coverage, 7536,
     /* 205913 */     GIR_EraseRootFromParent_Done,
     /* 205914 */   // Label 4074: @205914
     /* 205914 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(205981), // Rule ID 7538 //
     /* 205919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 205927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 205933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 205936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 205947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 205951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1215:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 205953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 205956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H_UNDEF),
     /* 205970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 205972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 205977 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 205979 */     GIR_RootConstrainSelectedInstOperands,
     /* 205980 */     // GIR_Coverage, 7538,
     /* 205980 */     GIR_EraseRootFromParent_Done,
     /* 205981 */   // Label 4075: @205981
     /* 205981 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206048), // Rule ID 7540 //
     /* 205986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 205994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 206000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 206003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1215:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 206020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S_UNDEF),
     /* 206037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206046 */     GIR_RootConstrainSelectedInstOperands,
     /* 206047 */     // GIR_Coverage, 7540,
     /* 206047 */     GIR_EraseRootFromParent_Done,
     /* 206048 */   // Label 4076: @206048
     /* 206048 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(206115), // Rule ID 7542 //
     /* 206053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 206061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 206067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 206070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1215:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 206087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D_UNDEF),
     /* 206104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206111 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206113 */     GIR_RootConstrainSelectedInstOperands,
     /* 206114 */     // GIR_Coverage, 7542,
     /* 206114 */     GIR_EraseRootFromParent_Done,
     /* 206115 */   // Label 4077: @206115
     /* 206115 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(206182), // Rule ID 7572 //
     /* 206120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 206128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 206131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 206134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 206137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 206140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1235:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 206154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B_UNDEF),
     /* 206171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206180 */     GIR_RootConstrainSelectedInstOperands,
     /* 206181 */     // GIR_Coverage, 7572,
     /* 206181 */     GIR_EraseRootFromParent_Done,
     /* 206182 */   // Label 4078: @206182
     /* 206182 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(206249), // Rule ID 7574 //
     /* 206187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 206195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 206201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 206204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1235:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 206221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H_UNDEF),
     /* 206238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206245 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206247 */     GIR_RootConstrainSelectedInstOperands,
     /* 206248 */     // GIR_Coverage, 7574,
     /* 206248 */     GIR_EraseRootFromParent_Done,
     /* 206249 */   // Label 4079: @206249
     /* 206249 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(206316), // Rule ID 7576 //
     /* 206254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 206262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 206268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 206271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1235:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 206288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S_UNDEF),
     /* 206305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206314 */     GIR_RootConstrainSelectedInstOperands,
     /* 206315 */     // GIR_Coverage, 7576,
     /* 206315 */     GIR_EraseRootFromParent_Done,
     /* 206316 */   // Label 4080: @206316
     /* 206316 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(206383), // Rule ID 7578 //
     /* 206321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 206329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 206335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 206338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1235:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 206355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D_UNDEF),
     /* 206372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206381 */     GIR_RootConstrainSelectedInstOperands,
     /* 206382 */     // GIR_Coverage, 7578,
     /* 206382 */     GIR_EraseRootFromParent_Done,
     /* 206383 */   // Label 4081: @206383
     /* 206383 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(206450), // Rule ID 7584 //
     /* 206388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 206396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 206399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 206402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 206405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 206408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1521:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 206422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B_UNDEF),
     /* 206439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206446 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206448 */     GIR_RootConstrainSelectedInstOperands,
     /* 206449 */     // GIR_Coverage, 7584,
     /* 206449 */     GIR_EraseRootFromParent_Done,
     /* 206450 */   // Label 4082: @206450
     /* 206450 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(206517), // Rule ID 7586 //
     /* 206455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 206463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 206469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 206472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206489 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1521:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 206489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H_UNDEF),
     /* 206506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206513 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206515 */     GIR_RootConstrainSelectedInstOperands,
     /* 206516 */     // GIR_Coverage, 7586,
     /* 206516 */     GIR_EraseRootFromParent_Done,
     /* 206517 */   // Label 4083: @206517
     /* 206517 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(206584), // Rule ID 7588 //
     /* 206522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 206530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 206536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 206539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1521:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 206556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S_UNDEF),
     /* 206573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206582 */     GIR_RootConstrainSelectedInstOperands,
     /* 206583 */     // GIR_Coverage, 7588,
     /* 206583 */     GIR_EraseRootFromParent_Done,
     /* 206584 */   // Label 4084: @206584
     /* 206584 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(206651), // Rule ID 7590 //
     /* 206589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 206597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 206603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 206606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1521:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 206623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D_UNDEF),
     /* 206640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206647 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206649 */     GIR_RootConstrainSelectedInstOperands,
     /* 206650 */     // GIR_Coverage, 7590,
     /* 206650 */     GIR_EraseRootFromParent_Done,
     /* 206651 */   // Label 4085: @206651
     /* 206651 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(206718), // Rule ID 11270 //
     /* 206656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 206664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 206670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 206673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1959:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URSQRTE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 206690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S_UNDEF),
     /* 206707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206716 */     GIR_RootConstrainSelectedInstOperands,
     /* 206717 */     // GIR_Coverage, 11270,
     /* 206717 */     GIR_EraseRootFromParent_Done,
     /* 206718 */   // Label 4086: @206718
     /* 206718 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(206785), // Rule ID 11272 //
     /* 206723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 206731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 206734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 206737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 206740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 206743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1664:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQABS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 206757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B_UNDEF),
     /* 206774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206781 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206783 */     GIR_RootConstrainSelectedInstOperands,
     /* 206784 */     // GIR_Coverage, 11272,
     /* 206784 */     GIR_EraseRootFromParent_Done,
     /* 206785 */   // Label 4087: @206785
     /* 206785 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(206852), // Rule ID 11274 //
     /* 206790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 206798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 206804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 206807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1664:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQABS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 206824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H_UNDEF),
     /* 206841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206848 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206850 */     GIR_RootConstrainSelectedInstOperands,
     /* 206851 */     // GIR_Coverage, 11274,
     /* 206851 */     GIR_EraseRootFromParent_Done,
     /* 206852 */   // Label 4088: @206852
     /* 206852 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(206919), // Rule ID 11276 //
     /* 206857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 206865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 206871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 206874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1664:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQABS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 206891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S_UNDEF),
     /* 206908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206915 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206917 */     GIR_RootConstrainSelectedInstOperands,
     /* 206918 */     // GIR_Coverage, 11276,
     /* 206918 */     GIR_EraseRootFromParent_Done,
     /* 206919 */   // Label 4089: @206919
     /* 206919 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(206986), // Rule ID 11278 //
     /* 206924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 206932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 206938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 206941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 206956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1664:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQABS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 206958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 206961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 206965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 206970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 206972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D_UNDEF),
     /* 206975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 206977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 206980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 206982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 206984 */     GIR_RootConstrainSelectedInstOperands,
     /* 206985 */     // GIR_Coverage, 11278,
     /* 206985 */     GIR_EraseRootFromParent_Done,
     /* 206986 */   // Label 4090: @206986
     /* 206986 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(207053), // Rule ID 11284 //
     /* 206991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 206994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 206999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 207002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 207005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 207008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 207011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 207023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207025 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1724:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQNEG_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 207025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 207028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 207032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 207037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 207039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B_UNDEF),
     /* 207042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 207044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 207047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 207049 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 207051 */     GIR_RootConstrainSelectedInstOperands,
     /* 207052 */     // GIR_Coverage, 11284,
     /* 207052 */     GIR_EraseRootFromParent_Done,
     /* 207053 */   // Label 4091: @207053
     /* 207053 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(207120), // Rule ID 11286 //
     /* 207058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 207061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 207066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 207072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 207075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 207090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1724:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQNEG_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 207092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 207095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 207099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 207104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 207106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H_UNDEF),
     /* 207109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 207111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 207114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 207116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 207118 */     GIR_RootConstrainSelectedInstOperands,
     /* 207119 */     // GIR_Coverage, 11286,
     /* 207119 */     GIR_EraseRootFromParent_Done,
     /* 207120 */   // Label 4092: @207120
     /* 207120 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(207187), // Rule ID 11288 //
     /* 207125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 207128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 207133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 207139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 207142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 207157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1724:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQNEG_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 207159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 207162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 207166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 207171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 207173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S_UNDEF),
     /* 207176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 207178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 207181 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 207183 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 207185 */     GIR_RootConstrainSelectedInstOperands,
     /* 207186 */     // GIR_Coverage, 11288,
     /* 207186 */     GIR_EraseRootFromParent_Done,
     /* 207187 */   // Label 4093: @207187
     /* 207187 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(207254), // Rule ID 11290 //
     /* 207192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 207195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 207200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 207206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 207209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 207224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1724:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQNEG_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 207226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 207229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 207233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 207238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 207240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D_UNDEF),
     /* 207243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 207245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 207248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 207250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 207252 */     GIR_RootConstrainSelectedInstOperands,
     /* 207253 */     // GIR_Coverage, 11290,
     /* 207253 */     GIR_EraseRootFromParent_Done,
     /* 207254 */   // Label 4094: @207254
     /* 207254 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(207308), // Rule ID 30 //
     /* 207259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 207262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smmla),
     /* 207267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 207276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 207279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207295 */     // (intrinsic_wo_chain:{ *:[v4i32] } 675:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 207295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA),
     /* 207298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207306 */     GIR_RootConstrainSelectedInstOperands,
     /* 207307 */     // GIR_Coverage, 30,
     /* 207307 */     GIR_EraseRootFromParent_Done,
     /* 207308 */   // Label 4095: @207308
     /* 207308 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(207362), // Rule ID 31 //
     /* 207313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 207316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ummla),
     /* 207321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 207330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 207333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207349 */     // (intrinsic_wo_chain:{ *:[v4i32] } 736:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 207349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA),
     /* 207352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207360 */     GIR_RootConstrainSelectedInstOperands,
     /* 207361 */     // GIR_Coverage, 31,
     /* 207361 */     GIR_EraseRootFromParent_Done,
     /* 207362 */   // Label 4096: @207362
     /* 207362 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(207416), // Rule ID 32 //
     /* 207367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 207370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usmmla),
     /* 207375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 207384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 207387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207403 */     // (intrinsic_wo_chain:{ *:[v4i32] } 752:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 207403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA),
     /* 207406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207412 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207414 */     GIR_RootConstrainSelectedInstOperands,
     /* 207415 */     // GIR_Coverage, 32,
     /* 207415 */     GIR_EraseRootFromParent_Done,
     /* 207416 */   // Label 4097: @207416
     /* 207416 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(207470), // Rule ID 39 //
     /* 207421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 207429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 207432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 207435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 207438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 207441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207457 */     // (intrinsic_wo_chain:{ *:[v2f32] } 605:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLALv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 207457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv4f16),
     /* 207460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207468 */     GIR_RootConstrainSelectedInstOperands,
     /* 207469 */     // GIR_Coverage, 39,
     /* 207469 */     GIR_EraseRootFromParent_Done,
     /* 207470 */   // Label 4098: @207470
     /* 207470 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(207524), // Rule ID 40 //
     /* 207475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 207483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 207492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 207495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207511 */     // (intrinsic_wo_chain:{ *:[v4f32] } 605:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLALv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 207511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv8f16),
     /* 207514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207522 */     GIR_RootConstrainSelectedInstOperands,
     /* 207523 */     // GIR_Coverage, 40,
     /* 207523 */     GIR_EraseRootFromParent_Done,
     /* 207524 */   // Label 4099: @207524
     /* 207524 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(207578), // Rule ID 41 //
     /* 207529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 207537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 207540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 207543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 207546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 207549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207565 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSLv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 207565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv4f16),
     /* 207568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207574 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207576 */     GIR_RootConstrainSelectedInstOperands,
     /* 207577 */     // GIR_Coverage, 41,
     /* 207577 */     GIR_EraseRootFromParent_Done,
     /* 207578 */   // Label 4100: @207578
     /* 207578 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(207632), // Rule ID 42 //
     /* 207583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 207591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 207600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 207603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207619 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSLv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 207619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv8f16),
     /* 207622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207630 */     GIR_RootConstrainSelectedInstOperands,
     /* 207631 */     // GIR_Coverage, 42,
     /* 207631 */     GIR_EraseRootFromParent_Done,
     /* 207632 */   // Label 4101: @207632
     /* 207632 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(207686), // Rule ID 43 //
     /* 207637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 207645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 207648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 207651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 207654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 207657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207673 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLAL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 207673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v4f16),
     /* 207676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207684 */     GIR_RootConstrainSelectedInstOperands,
     /* 207685 */     // GIR_Coverage, 43,
     /* 207685 */     GIR_EraseRootFromParent_Done,
     /* 207686 */   // Label 4102: @207686
     /* 207686 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(207740), // Rule ID 44 //
     /* 207691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 207699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 207708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 207711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207727 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLAL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 207727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v8f16),
     /* 207730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207738 */     GIR_RootConstrainSelectedInstOperands,
     /* 207739 */     // GIR_Coverage, 44,
     /* 207739 */     GIR_EraseRootFromParent_Done,
     /* 207740 */   // Label 4103: @207740
     /* 207740 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(207794), // Rule ID 45 //
     /* 207745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 207753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 207756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 207759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 207762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 207765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207781 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 207781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v4f16),
     /* 207784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207790 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207792 */     GIR_RootConstrainSelectedInstOperands,
     /* 207793 */     // GIR_Coverage, 45,
     /* 207793 */     GIR_EraseRootFromParent_Done,
     /* 207794 */   // Label 4104: @207794
     /* 207794 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(207848), // Rule ID 46 //
     /* 207799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 207802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 207807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 207810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 207813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 207816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 207819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207835 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 207835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v8f16),
     /* 207838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207844 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207846 */     GIR_RootConstrainSelectedInstOperands,
     /* 207847 */     // GIR_Coverage, 46,
     /* 207847 */     GIR_EraseRootFromParent_Done,
     /* 207848 */   // Label 4105: @207848
     /* 207848 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(207902), // Rule ID 1580 //
     /* 207853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 207856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 207861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 207864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 207867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 207870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 207873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207889 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLAHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 207889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16),
     /* 207892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207900 */     GIR_RootConstrainSelectedInstOperands,
     /* 207901 */     // GIR_Coverage, 1580,
     /* 207901 */     GIR_EraseRootFromParent_Done,
     /* 207902 */   // Label 4106: @207902
     /* 207902 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(207956), // Rule ID 1581 //
     /* 207907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 207910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 207915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 207918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 207921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 207924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 207927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 207943 */     // (intrinsic_wo_chain:{ *:[v8i16] } 685:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLAHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 207943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16),
     /* 207946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207950 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 207952 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 207954 */     GIR_RootConstrainSelectedInstOperands,
     /* 207955 */     // GIR_Coverage, 1581,
     /* 207955 */     GIR_EraseRootFromParent_Done,
     /* 207956 */   // Label 4107: @207956
     /* 207956 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(208010), // Rule ID 1582 //
     /* 207961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 207964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 207969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 207972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 207975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 207978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 207981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 207997 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLAHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 207997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32),
     /* 208000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208006 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208008 */     GIR_RootConstrainSelectedInstOperands,
     /* 208009 */     // GIR_Coverage, 1582,
     /* 208009 */     GIR_EraseRootFromParent_Done,
     /* 208010 */   // Label 4108: @208010
     /* 208010 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(208064), // Rule ID 1583 //
     /* 208015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 208018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 208023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208051 */     // (intrinsic_wo_chain:{ *:[v4i32] } 685:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLAHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32),
     /* 208054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208062 */     GIR_RootConstrainSelectedInstOperands,
     /* 208063 */     // GIR_Coverage, 1583,
     /* 208063 */     GIR_EraseRootFromParent_Done,
     /* 208064 */   // Label 4109: @208064
     /* 208064 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(208118), // Rule ID 1584 //
     /* 208069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 208072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 208077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 208080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 208083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 208086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 208089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208105 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLSHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 208105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16),
     /* 208108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208116 */     GIR_RootConstrainSelectedInstOperands,
     /* 208117 */     // GIR_Coverage, 1584,
     /* 208117 */     GIR_EraseRootFromParent_Done,
     /* 208118 */   // Label 4110: @208118
     /* 208118 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(208172), // Rule ID 1585 //
     /* 208123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 208126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 208131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 208134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 208137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 208140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 208143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208159 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLSHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 208159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16),
     /* 208162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208168 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208170 */     GIR_RootConstrainSelectedInstOperands,
     /* 208171 */     // GIR_Coverage, 1585,
     /* 208171 */     GIR_EraseRootFromParent_Done,
     /* 208172 */   // Label 4111: @208172
     /* 208172 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(208226), // Rule ID 1586 //
     /* 208177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 208180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 208185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 208188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 208191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 208194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 208197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 208213 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLSHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 208213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32),
     /* 208216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208224 */     GIR_RootConstrainSelectedInstOperands,
     /* 208225 */     // GIR_Coverage, 1586,
     /* 208225 */     GIR_EraseRootFromParent_Done,
     /* 208226 */   // Label 4112: @208226
     /* 208226 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(208280), // Rule ID 1587 //
     /* 208231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 208234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 208239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208267 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLSHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32),
     /* 208270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208278 */     GIR_RootConstrainSelectedInstOperands,
     /* 208279 */     // GIR_Coverage, 1587,
     /* 208279 */     GIR_EraseRootFromParent_Done,
     /* 208280 */   // Label 4113: @208280
     /* 208280 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(208334), // Rule ID 2298 //
     /* 208285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1c),
     /* 208293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 208302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 208317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208321 */     // (intrinsic_wo_chain:{ *:[v4i32] } 519:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Crrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Crrr),
     /* 208324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208330 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208332 */     GIR_RootConstrainSelectedInstOperands,
     /* 208333 */     // GIR_Coverage, 2298,
     /* 208333 */     GIR_EraseRootFromParent_Done,
     /* 208334 */   // Label 4114: @208334
     /* 208334 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(208388), // Rule ID 2299 //
     /* 208339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1p),
     /* 208347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 208356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 208371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208375 */     // (intrinsic_wo_chain:{ *:[v4i32] } 522:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Prrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Prrr),
     /* 208378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208386 */     GIR_RootConstrainSelectedInstOperands,
     /* 208387 */     // GIR_Coverage, 2299,
     /* 208387 */     GIR_EraseRootFromParent_Done,
     /* 208388 */   // Label 4115: @208388
     /* 208388 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(208442), // Rule ID 2300 //
     /* 208393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1m),
     /* 208401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 208410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 208425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208429 */     // (intrinsic_wo_chain:{ *:[v4i32] } 521:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Mrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Mrrr),
     /* 208432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208440 */     GIR_RootConstrainSelectedInstOperands,
     /* 208441 */     // GIR_Coverage, 2300,
     /* 208441 */     GIR_EraseRootFromParent_Done,
     /* 208442 */   // Label 4116: @208442
     /* 208442 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(208496), // Rule ID 2301 //
     /* 208447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su0),
     /* 208455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208483 */     // (intrinsic_wo_chain:{ *:[v4i32] } 523:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1SU0rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU0rrr),
     /* 208486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208494 */     GIR_RootConstrainSelectedInstOperands,
     /* 208495 */     // GIR_Coverage, 2301,
     /* 208495 */     GIR_EraseRootFromParent_Done,
     /* 208496 */   // Label 4117: @208496
     /* 208496 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(208550), // Rule ID 2302 //
     /* 208501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h),
     /* 208509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208537 */     // (intrinsic_wo_chain:{ *:[v4i32] } 525:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256Hrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256Hrrr),
     /* 208540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208548 */     GIR_RootConstrainSelectedInstOperands,
     /* 208549 */     // GIR_Coverage, 2302,
     /* 208549 */     GIR_EraseRootFromParent_Done,
     /* 208550 */   // Label 4118: @208550
     /* 208550 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(208604), // Rule ID 2303 //
     /* 208555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h2),
     /* 208563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208591 */     // (intrinsic_wo_chain:{ *:[v4i32] } 526:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256H2rrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256H2rrr),
     /* 208594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208602 */     GIR_RootConstrainSelectedInstOperands,
     /* 208603 */     // GIR_Coverage, 2303,
     /* 208603 */     GIR_EraseRootFromParent_Done,
     /* 208604 */   // Label 4119: @208604
     /* 208604 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(208658), // Rule ID 2304 //
     /* 208609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 208612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su1),
     /* 208617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 208620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 208626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 208629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208645 */     // (intrinsic_wo_chain:{ *:[v4i32] } 528:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256SU1rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 208645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU1rrr),
     /* 208648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 208654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 208656 */     GIR_RootConstrainSelectedInstOperands,
     /* 208657 */     // GIR_Coverage, 2304,
     /* 208657 */     GIR_EraseRootFromParent_Done,
     /* 208658 */   // Label 4120: @208658
     /* 208658 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(208715), // Rule ID 3608 //
     /* 208663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 208666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 208671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 208674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 208677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 208680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 208683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 208687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 208699 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1556:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR8:{ *:[nxv16i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_B:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 208699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_B),
     /* 208702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 208704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 208706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 208708 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208713 */     GIR_RootConstrainSelectedInstOperands,
     /* 208714 */     // GIR_Coverage, 3608,
     /* 208714 */     GIR_EraseRootFromParent_Done,
     /* 208715 */   // Label 4121: @208715
     /* 208715 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(208772), // Rule ID 3609 //
     /* 208720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 208723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 208728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 208731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 208734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 208737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 208740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 208744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 208756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1556:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR16:{ *:[nxv8i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_H:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 208756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_H),
     /* 208759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 208761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 208763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 208765 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208770 */     GIR_RootConstrainSelectedInstOperands,
     /* 208771 */     // GIR_Coverage, 3609,
     /* 208771 */     GIR_EraseRootFromParent_Done,
     /* 208772 */   // Label 4122: @208772
     /* 208772 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(208829), // Rule ID 3610 //
     /* 208777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 208780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 208785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 208788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 208791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 208794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 208797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 208801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 208813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1556:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR32:{ *:[nxv4i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_S:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 208813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_S),
     /* 208816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 208818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 208820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 208822 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208827 */     GIR_RootConstrainSelectedInstOperands,
     /* 208828 */     // GIR_Coverage, 3610,
     /* 208828 */     GIR_EraseRootFromParent_Done,
     /* 208829 */   // Label 4123: @208829
     /* 208829 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(208886), // Rule ID 3611 //
     /* 208834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 208837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 208842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 208845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 208848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 208851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 208854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 208858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 208870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1556:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR64:{ *:[nxv2i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_D:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 208870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_D),
     /* 208873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 208875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 208877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 208879 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208884 */     GIR_RootConstrainSelectedInstOperands,
     /* 208885 */     // GIR_Coverage, 3611,
     /* 208885 */     GIR_EraseRootFromParent_Done,
     /* 208886 */   // Label 4124: @208886
     /* 208886 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(208940), // Rule ID 3758 //
     /* 208891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 208894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h),
     /* 208899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 208902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 208908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 208911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208927 */     // (intrinsic_wo_chain:{ *:[v2i64] } 529:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 208927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H),
     /* 208930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 208932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 208934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 208936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 208938 */     GIR_RootConstrainSelectedInstOperands,
     /* 208939 */     // GIR_Coverage, 3758,
     /* 208939 */     GIR_EraseRootFromParent_Done,
     /* 208940 */   // Label 4125: @208940
     /* 208940 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(208994), // Rule ID 3759 //
     /* 208945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 208948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h2),
     /* 208953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 208956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 208962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 208965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208981 */     // (intrinsic_wo_chain:{ *:[v2i64] } 530:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 208981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H2),
     /* 208984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 208986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 208988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 208990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 208992 */     GIR_RootConstrainSelectedInstOperands,
     /* 208993 */     // GIR_Coverage, 3759,
     /* 208993 */     GIR_EraseRootFromParent_Done,
     /* 208994 */   // Label 4126: @208994
     /* 208994 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(209048), // Rule ID 3760 //
     /* 208999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su1),
     /* 209007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 209019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209035 */     // (intrinsic_wo_chain:{ *:[v2i64] } 532:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 209035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU1),
     /* 209038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 209040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209046 */     GIR_RootConstrainSelectedInstOperands,
     /* 209047 */     // GIR_Coverage, 3760,
     /* 209047 */     GIR_EraseRootFromParent_Done,
     /* 209048 */   // Label 4127: @209048
     /* 209048 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(209102), // Rule ID 3761 //
     /* 209053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 209061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 209064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 209067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 209070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 209073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209089 */     // (intrinsic_wo_chain:{ *:[v16i8] } 517:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209100 */     GIR_RootConstrainSelectedInstOperands,
     /* 209101 */     // GIR_Coverage, 3761,
     /* 209101 */     GIR_EraseRootFromParent_Done,
     /* 209102 */   // Label 4128: @209102
     /* 209102 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(209156), // Rule ID 3762 //
     /* 209107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 209115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 209118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 209124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 209127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209143 */     // (intrinsic_wo_chain:{ *:[v8i16] } 517:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 209143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209154 */     GIR_RootConstrainSelectedInstOperands,
     /* 209155 */     // GIR_Coverage, 3762,
     /* 209155 */     GIR_EraseRootFromParent_Done,
     /* 209156 */   // Label 4129: @209156
     /* 209156 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(209210), // Rule ID 3763 //
     /* 209161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 209169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209197 */     // (intrinsic_wo_chain:{ *:[v4i32] } 517:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 209197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209208 */     GIR_RootConstrainSelectedInstOperands,
     /* 209209 */     // GIR_Coverage, 3763,
     /* 209209 */     GIR_EraseRootFromParent_Done,
     /* 209210 */   // Label 4130: @209210
     /* 209210 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(209264), // Rule ID 3764 //
     /* 209215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 209223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 209235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209251 */     // (intrinsic_wo_chain:{ *:[v2i64] } 517:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 209251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209262 */     GIR_RootConstrainSelectedInstOperands,
     /* 209263 */     // GIR_Coverage, 3764,
     /* 209263 */     GIR_EraseRootFromParent_Done,
     /* 209264 */   // Label 4131: @209264
     /* 209264 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(209318), // Rule ID 3773 //
     /* 209269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 209277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 209280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 209283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 209286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 209289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209305 */     // (intrinsic_wo_chain:{ *:[v16i8] } 515:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 209305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209314 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209316 */     GIR_RootConstrainSelectedInstOperands,
     /* 209317 */     // GIR_Coverage, 3773,
     /* 209317 */     GIR_EraseRootFromParent_Done,
     /* 209318 */   // Label 4132: @209318
     /* 209318 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(209372), // Rule ID 3774 //
     /* 209323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 209331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 209334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 209340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 209343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209359 */     // (intrinsic_wo_chain:{ *:[v8i16] } 515:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 209359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209370 */     GIR_RootConstrainSelectedInstOperands,
     /* 209371 */     // GIR_Coverage, 3774,
     /* 209371 */     GIR_EraseRootFromParent_Done,
     /* 209372 */   // Label 4133: @209372
     /* 209372 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(209426), // Rule ID 3775 //
     /* 209377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 209385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209413 */     // (intrinsic_wo_chain:{ *:[v4i32] } 515:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 209413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209422 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209424 */     GIR_RootConstrainSelectedInstOperands,
     /* 209425 */     // GIR_Coverage, 3775,
     /* 209425 */     GIR_EraseRootFromParent_Done,
     /* 209426 */   // Label 4134: @209426
     /* 209426 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(209480), // Rule ID 3776 //
     /* 209431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 209439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 209451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209467 */     // (intrinsic_wo_chain:{ *:[v2i64] } 515:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 209467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209478 */     GIR_RootConstrainSelectedInstOperands,
     /* 209479 */     // GIR_Coverage, 3776,
     /* 209479 */     GIR_EraseRootFromParent_Done,
     /* 209480 */   // Label 4135: @209480
     /* 209480 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(209534), // Rule ID 3777 //
     /* 209485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 209493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 209496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 209499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 209502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 209505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209521 */     // (intrinsic_wo_chain:{ *:[v16i8] } 516:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 209521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209532 */     GIR_RootConstrainSelectedInstOperands,
     /* 209533 */     // GIR_Coverage, 3777,
     /* 209533 */     GIR_EraseRootFromParent_Done,
     /* 209534 */   // Label 4136: @209534
     /* 209534 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(209588), // Rule ID 3778 //
     /* 209539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 209547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 209550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 209556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 209559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209575 */     // (intrinsic_wo_chain:{ *:[v8i16] } 516:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 209575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209586 */     GIR_RootConstrainSelectedInstOperands,
     /* 209587 */     // GIR_Coverage, 3778,
     /* 209587 */     GIR_EraseRootFromParent_Done,
     /* 209588 */   // Label 4137: @209588
     /* 209588 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(209642), // Rule ID 3779 //
     /* 209593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 209601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209629 */     // (intrinsic_wo_chain:{ *:[v4i32] } 516:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209640 */     GIR_RootConstrainSelectedInstOperands,
     /* 209641 */     // GIR_Coverage, 3779,
     /* 209641 */     GIR_EraseRootFromParent_Done,
     /* 209642 */   // Label 4138: @209642
     /* 209642 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(209696), // Rule ID 3780 //
     /* 209647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 209655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 209667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209683 */     // (intrinsic_wo_chain:{ *:[v2i64] } 516:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 209683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 209686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209692 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209694 */     GIR_RootConstrainSelectedInstOperands,
     /* 209695 */     // GIR_Coverage, 3780,
     /* 209695 */     GIR_EraseRootFromParent_Done,
     /* 209696 */   // Label 4139: @209696
     /* 209696 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(209750), // Rule ID 3781 //
     /* 209701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 209709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 209712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 209715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 209718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 209721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209737 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 209737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209748 */     GIR_RootConstrainSelectedInstOperands,
     /* 209749 */     // GIR_Coverage, 3781,
     /* 209749 */     GIR_EraseRootFromParent_Done,
     /* 209750 */   // Label 4140: @209750
     /* 209750 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(209804), // Rule ID 3782 //
     /* 209755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 209763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 209766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 209772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 209775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209791 */     // (intrinsic_wo_chain:{ *:[v8i16] } 514:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 209791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209802 */     GIR_RootConstrainSelectedInstOperands,
     /* 209803 */     // GIR_Coverage, 3782,
     /* 209803 */     GIR_EraseRootFromParent_Done,
     /* 209804 */   // Label 4141: @209804
     /* 209804 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(209858), // Rule ID 3783 //
     /* 209809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 209817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209845 */     // (intrinsic_wo_chain:{ *:[v4i32] } 514:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 209845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209856 */     GIR_RootConstrainSelectedInstOperands,
     /* 209857 */     // GIR_Coverage, 3783,
     /* 209857 */     GIR_EraseRootFromParent_Done,
     /* 209858 */   // Label 4142: @209858
     /* 209858 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(209912), // Rule ID 3784 //
     /* 209863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 209866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 209871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 209874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 209877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 209880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 209883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209899 */     // (intrinsic_wo_chain:{ *:[v2i64] } 514:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 209899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 209902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 209906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 209908 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 209910 */     GIR_RootConstrainSelectedInstOperands,
     /* 209911 */     // GIR_Coverage, 3784,
     /* 209911 */     GIR_EraseRootFromParent_Done,
     /* 209912 */   // Label 4143: @209912
     /* 209912 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(209966), // Rule ID 3788 //
     /* 209917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 209920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3ss1),
     /* 209925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209953 */     // (intrinsic_wo_chain:{ *:[v4i32] } 535:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)  =>  (SM3SS1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /* 209953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3SS1),
     /* 209956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 209958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 209960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 209962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Va
     /* 209964 */     GIR_RootConstrainSelectedInstOperands,
     /* 209965 */     // GIR_Coverage, 3788,
     /* 209965 */     GIR_EraseRootFromParent_Done,
     /* 209966 */   // Label 4144: @209966
     /* 209966 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(210020), // Rule ID 3789 //
     /* 209971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 209974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw1),
     /* 209979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 209982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 209985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 209988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 209991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 209999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210007 */     // (intrinsic_wo_chain:{ *:[v4i32] } 533:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 210007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW1),
     /* 210010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 210012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 210014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 210016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 210018 */     GIR_RootConstrainSelectedInstOperands,
     /* 210019 */     // GIR_Coverage, 3789,
     /* 210019 */     GIR_EraseRootFromParent_Done,
     /* 210020 */   // Label 4145: @210020
     /* 210020 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(210074), // Rule ID 3790 //
     /* 210025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 210028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw2),
     /* 210033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 210036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 210039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 210042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 210045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210061 */     // (intrinsic_wo_chain:{ *:[v4i32] } 534:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 210061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW2),
     /* 210064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 210066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 210068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 210070 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 210072 */     GIR_RootConstrainSelectedInstOperands,
     /* 210073 */     // GIR_Coverage, 3790,
     /* 210073 */     GIR_EraseRootFromParent_Done,
     /* 210074 */   // Label 4146: @210074
     /* 210074 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(210131), // Rule ID 3807 //
     /* 210079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 210087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 210090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 210093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 210096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 210099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210115 */     // (intrinsic_wo_chain:{ *:[v4f16] } 756:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 210115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 210118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210129 */     GIR_RootConstrainSelectedInstOperands,
     /* 210130 */     // GIR_Coverage, 3807,
     /* 210130 */     GIR_EraseRootFromParent_Done,
     /* 210131 */   // Label 4147: @210131
     /* 210131 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(210188), // Rule ID 3808 //
     /* 210136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 210144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 210147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 210150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 210153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 210156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210172 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 210172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 210175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210181 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210186 */     GIR_RootConstrainSelectedInstOperands,
     /* 210187 */     // GIR_Coverage, 3808,
     /* 210187 */     GIR_EraseRootFromParent_Done,
     /* 210188 */   // Label 4148: @210188
     /* 210188 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(210245), // Rule ID 3809 //
     /* 210193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 210201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 210204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 210207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 210210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 210213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210229 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 2:{ *:[i32] })
     /* 210229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 210232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 210243 */     GIR_RootConstrainSelectedInstOperands,
     /* 210244 */     // GIR_Coverage, 3809,
     /* 210244 */     GIR_EraseRootFromParent_Done,
     /* 210245 */   // Label 4149: @210245
     /* 210245 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(210302), // Rule ID 3810 //
     /* 210250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 210258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 210261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 210264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 210267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 210270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210286 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 3:{ *:[i32] })
     /* 210286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 210289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210295 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 210300 */     GIR_RootConstrainSelectedInstOperands,
     /* 210301 */     // GIR_Coverage, 3810,
     /* 210301 */     GIR_EraseRootFromParent_Done,
     /* 210302 */   // Label 4150: @210302
     /* 210302 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(210359), // Rule ID 3815 //
     /* 210307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 210315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 210318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 210321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 210324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 210327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210343 */     // (intrinsic_wo_chain:{ *:[v8f16] } 756:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 210343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 210346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210357 */     GIR_RootConstrainSelectedInstOperands,
     /* 210358 */     // GIR_Coverage, 3815,
     /* 210358 */     GIR_EraseRootFromParent_Done,
     /* 210359 */   // Label 4151: @210359
     /* 210359 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(210416), // Rule ID 3816 //
     /* 210364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 210372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 210375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 210378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 210381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 210384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210400 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 210400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 210403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210409 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210414 */     GIR_RootConstrainSelectedInstOperands,
     /* 210415 */     // GIR_Coverage, 3816,
     /* 210415 */     GIR_EraseRootFromParent_Done,
     /* 210416 */   // Label 4152: @210416
     /* 210416 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(210473), // Rule ID 3817 //
     /* 210421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 210429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 210432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 210435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 210438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 210441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210457 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 2:{ *:[i32] })
     /* 210457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 210460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 210471 */     GIR_RootConstrainSelectedInstOperands,
     /* 210472 */     // GIR_Coverage, 3817,
     /* 210472 */     GIR_EraseRootFromParent_Done,
     /* 210473 */   // Label 4153: @210473
     /* 210473 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(210530), // Rule ID 3818 //
     /* 210478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 210481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 210486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 210489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 210492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 210495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 210498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210514 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 3:{ *:[i32] })
     /* 210514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 210517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210523 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 210528 */     GIR_RootConstrainSelectedInstOperands,
     /* 210529 */     // GIR_Coverage, 3818,
     /* 210529 */     GIR_EraseRootFromParent_Done,
     /* 210530 */   // Label 4154: @210530
     /* 210530 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(210587), // Rule ID 3823 //
     /* 210535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 210543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 210546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 210549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 210552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 210555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210571 */     // (intrinsic_wo_chain:{ *:[v2f32] } 756:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 210571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 210574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210585 */     GIR_RootConstrainSelectedInstOperands,
     /* 210586 */     // GIR_Coverage, 3823,
     /* 210586 */     GIR_EraseRootFromParent_Done,
     /* 210587 */   // Label 4155: @210587
     /* 210587 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(210644), // Rule ID 3824 //
     /* 210592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 210600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 210603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 210606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 210609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 210612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210628 */     // (intrinsic_wo_chain:{ *:[v2f32] } 759:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 210628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 210631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210637 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210642 */     GIR_RootConstrainSelectedInstOperands,
     /* 210643 */     // GIR_Coverage, 3824,
     /* 210643 */     GIR_EraseRootFromParent_Done,
     /* 210644 */   // Label 4156: @210644
     /* 210644 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(210701), // Rule ID 3825 //
     /* 210649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 210657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 210660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 210663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 210666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 210669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210685 */     // (intrinsic_wo_chain:{ *:[v2f32] } 757:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 2:{ *:[i32] })
     /* 210685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 210688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 210699 */     GIR_RootConstrainSelectedInstOperands,
     /* 210700 */     // GIR_Coverage, 3825,
     /* 210700 */     GIR_EraseRootFromParent_Done,
     /* 210701 */   // Label 4157: @210701
     /* 210701 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(210758), // Rule ID 3826 //
     /* 210706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 210714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 210717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 210720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 210723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 210726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 210742 */     // (intrinsic_wo_chain:{ *:[v2f32] } 758:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 3:{ *:[i32] })
     /* 210742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 210745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210751 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 210756 */     GIR_RootConstrainSelectedInstOperands,
     /* 210757 */     // GIR_Coverage, 3826,
     /* 210757 */     GIR_EraseRootFromParent_Done,
     /* 210758 */   // Label 4158: @210758
     /* 210758 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(210815), // Rule ID 3827 //
     /* 210763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 210771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 210774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 210777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 210780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 210783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210799 */     // (intrinsic_wo_chain:{ *:[v4f32] } 756:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 210799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 210802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 210813 */     GIR_RootConstrainSelectedInstOperands,
     /* 210814 */     // GIR_Coverage, 3827,
     /* 210814 */     GIR_EraseRootFromParent_Done,
     /* 210815 */   // Label 4159: @210815
     /* 210815 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(210872), // Rule ID 3828 //
     /* 210820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 210828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 210831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 210834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 210837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 210840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210856 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 210856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 210859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210865 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 210870 */     GIR_RootConstrainSelectedInstOperands,
     /* 210871 */     // GIR_Coverage, 3828,
     /* 210871 */     GIR_EraseRootFromParent_Done,
     /* 210872 */   // Label 4160: @210872
     /* 210872 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(210929), // Rule ID 3829 //
     /* 210877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 210885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 210888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 210891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 210894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 210897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210913 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 2:{ *:[i32] })
     /* 210913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 210916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 210927 */     GIR_RootConstrainSelectedInstOperands,
     /* 210928 */     // GIR_Coverage, 3829,
     /* 210928 */     GIR_EraseRootFromParent_Done,
     /* 210929 */   // Label 4161: @210929
     /* 210929 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(210986), // Rule ID 3830 //
     /* 210934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 210942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 210945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 210948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 210951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 210954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 210970 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 3:{ *:[i32] })
     /* 210970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 210973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 210977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 210979 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 210981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 210984 */     GIR_RootConstrainSelectedInstOperands,
     /* 210985 */     // GIR_Coverage, 3830,
     /* 210985 */     GIR_EraseRootFromParent_Done,
     /* 210986 */   // Label 4162: @210986
     /* 210986 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(211043), // Rule ID 3831 //
     /* 210991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 210994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 210999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 211002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 211005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 211008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 211011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211027 */     // (intrinsic_wo_chain:{ *:[v2f64] } 756:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 211027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 211030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211036 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 211041 */     GIR_RootConstrainSelectedInstOperands,
     /* 211042 */     // GIR_Coverage, 3831,
     /* 211042 */     GIR_EraseRootFromParent_Done,
     /* 211043 */   // Label 4163: @211043
     /* 211043 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(211100), // Rule ID 3832 //
     /* 211048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 211051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 211056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 211059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 211062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 211065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 211068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211084 */     // (intrinsic_wo_chain:{ *:[v2f64] } 759:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 211084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 211087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211091 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211093 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 211098 */     GIR_RootConstrainSelectedInstOperands,
     /* 211099 */     // GIR_Coverage, 3832,
     /* 211099 */     GIR_EraseRootFromParent_Done,
     /* 211100 */   // Label 4164: @211100
     /* 211100 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(211157), // Rule ID 3833 //
     /* 211105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 211108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 211113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 211116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 211119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 211122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 211125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211141 */     // (intrinsic_wo_chain:{ *:[v2f64] } 757:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 2:{ *:[i32] })
     /* 211141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 211144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 211155 */     GIR_RootConstrainSelectedInstOperands,
     /* 211156 */     // GIR_Coverage, 3833,
     /* 211156 */     GIR_EraseRootFromParent_Done,
     /* 211157 */   // Label 4165: @211157
     /* 211157 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(211214), // Rule ID 3834 //
     /* 211162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 211165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 211170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 211173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 211176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 211179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 211182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211198 */     // (intrinsic_wo_chain:{ *:[v2f64] } 758:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 3:{ *:[i32] })
     /* 211198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 211201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211207 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 211212 */     GIR_RootConstrainSelectedInstOperands,
     /* 211213 */     // GIR_Coverage, 3834,
     /* 211213 */     GIR_EraseRootFromParent_Done,
     /* 211214 */   // Label 4166: @211214
     /* 211214 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(211268), // Rule ID 5169 //
     /* 211219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 211222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 211227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 211230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 211233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 211236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 211239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211255 */     // (intrinsic_wo_chain:{ *:[i32] } 685:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLAHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 211255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32),
     /* 211258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211264 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211266 */     GIR_RootConstrainSelectedInstOperands,
     /* 211267 */     // GIR_Coverage, 5169,
     /* 211267 */     GIR_EraseRootFromParent_Done,
     /* 211268 */   // Label 4167: @211268
     /* 211268 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(211322), // Rule ID 5170 //
     /* 211273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 211276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 211281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 211284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 211287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 211290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 211293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 211309 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLSHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 211309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32),
     /* 211312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 211320 */     GIR_RootConstrainSelectedInstOperands,
     /* 211321 */     // GIR_Coverage, 5170,
     /* 211321 */     GIR_EraseRootFromParent_Done,
     /* 211322 */   // Label 4168: @211322
     /* 211322 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(211373), // Rule ID 5510 //
     /* 211327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 211332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 211335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 211338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 211341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 211344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 211348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 211352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 211360 */     // (intrinsic_wo_chain:{ *:[v8i8] } 719:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBXv8i8One:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 211360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv8i8One),
     /* 211363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 211369 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ri
     /* 211371 */     GIR_RootConstrainSelectedInstOperands,
     /* 211372 */     // GIR_Coverage, 5510,
     /* 211372 */     GIR_EraseRootFromParent_Done,
     /* 211373 */   // Label 4169: @211373
     /* 211373 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(211424), // Rule ID 5511 //
     /* 211378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 211383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 211386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 211389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 211392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 211395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 211411 */     // (intrinsic_wo_chain:{ *:[v16i8] } 719:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBXv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 211411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv16i8One),
     /* 211414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 211418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 211420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 211422 */     GIR_RootConstrainSelectedInstOperands,
     /* 211423 */     // GIR_Coverage, 5511,
     /* 211423 */     GIR_EraseRootFromParent_Done,
     /* 211424 */   // Label 4170: @211424
     /* 211424 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(211466), // Rule ID 2685 //
     /* 211429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 211449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211453 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1823:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBX_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 211453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_B),
     /* 211456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211464 */     GIR_RootConstrainSelectedInstOperands,
     /* 211465 */     // GIR_Coverage, 2685,
     /* 211465 */     GIR_EraseRootFromParent_Done,
     /* 211466 */   // Label 4171: @211466
     /* 211466 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(211508), // Rule ID 2686 //
     /* 211471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 211491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211495 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1823:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 211495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 211498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211506 */     GIR_RootConstrainSelectedInstOperands,
     /* 211507 */     // GIR_Coverage, 2686,
     /* 211507 */     GIR_EraseRootFromParent_Done,
     /* 211508 */   // Label 4172: @211508
     /* 211508 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(211550), // Rule ID 2687 //
     /* 211513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 211533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1823:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 211537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 211540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211548 */     GIR_RootConstrainSelectedInstOperands,
     /* 211549 */     // GIR_Coverage, 2687,
     /* 211549 */     GIR_EraseRootFromParent_Done,
     /* 211550 */   // Label 4173: @211550
     /* 211550 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(211592), // Rule ID 2688 //
     /* 211555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 211575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1823:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 211579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 211582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211590 */     GIR_RootConstrainSelectedInstOperands,
     /* 211591 */     // GIR_Coverage, 2688,
     /* 211591 */     GIR_EraseRootFromParent_Done,
     /* 211592 */   // Label 4174: @211592
     /* 211592 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(211634), // Rule ID 2689 //
     /* 211597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 211617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211621 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1823:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 211621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 211624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211632 */     GIR_RootConstrainSelectedInstOperands,
     /* 211633 */     // GIR_Coverage, 2689,
     /* 211633 */     GIR_EraseRootFromParent_Done,
     /* 211634 */   // Label 4175: @211634
     /* 211634 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(211676), // Rule ID 2690 //
     /* 211639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 211659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211663 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1823:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 211663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 211666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211672 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211674 */     GIR_RootConstrainSelectedInstOperands,
     /* 211675 */     // GIR_Coverage, 2690,
     /* 211675 */     GIR_EraseRootFromParent_Done,
     /* 211676 */   // Label 4176: @211676
     /* 211676 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(211718), // Rule ID 2691 //
     /* 211681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 211689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 211701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1823:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 211705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 211708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211716 */     GIR_RootConstrainSelectedInstOperands,
     /* 211717 */     // GIR_Coverage, 2691,
     /* 211717 */     GIR_EraseRootFromParent_Done,
     /* 211718 */   // Label 4177: @211718
     /* 211718 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(211760), // Rule ID 2730 //
     /* 211723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 211731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 211734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 211740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 211743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 211747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1169:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 211747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 211750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 211752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211756 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211758 */     GIR_RootConstrainSelectedInstOperands,
     /* 211759 */     // GIR_Coverage, 2730,
     /* 211759 */     GIR_EraseRootFromParent_Done,
     /* 211760 */   // Label 4178: @211760
     /* 211760 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(211802), // Rule ID 2731 //
     /* 211765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 211773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 211776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 211782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 211785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 211789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1169:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 211789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 211792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 211794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211798 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211800 */     GIR_RootConstrainSelectedInstOperands,
     /* 211801 */     // GIR_Coverage, 2731,
     /* 211801 */     GIR_EraseRootFromParent_Done,
     /* 211802 */   // Label 4179: @211802
     /* 211802 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(211844), // Rule ID 2732 //
     /* 211807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 211815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 211818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 211824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 211827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 211831 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1169:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 211831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 211834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 211836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211842 */     GIR_RootConstrainSelectedInstOperands,
     /* 211843 */     // GIR_Coverage, 2732,
     /* 211843 */     GIR_EraseRootFromParent_Done,
     /* 211844 */   // Label 4180: @211844
     /* 211844 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(211886), // Rule ID 2733 //
     /* 211849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 211857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 211860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 211866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 211869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 211873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1169:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 211873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 211876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 211878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211884 */     GIR_RootConstrainSelectedInstOperands,
     /* 211885 */     // GIR_Coverage, 2733,
     /* 211885 */     GIR_EraseRootFromParent_Done,
     /* 211886 */   // Label 4181: @211886
     /* 211886 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(211928), // Rule ID 2734 //
     /* 211891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 211899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 211902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 211905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 211908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 211911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 211915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1169:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 211915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 211918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 211920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211926 */     GIR_RootConstrainSelectedInstOperands,
     /* 211927 */     // GIR_Coverage, 2734,
     /* 211927 */     GIR_EraseRootFromParent_Done,
     /* 211928 */   // Label 4182: @211928
     /* 211928 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(211970), // Rule ID 2773 //
     /* 211933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 211941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 211953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211957 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1268:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 211957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_H),
     /* 211960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211968 */     GIR_RootConstrainSelectedInstOperands,
     /* 211969 */     // GIR_Coverage, 2773,
     /* 211969 */     GIR_EraseRootFromParent_Done,
     /* 211970 */   // Label 4183: @211970
     /* 211970 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(212012), // Rule ID 2775 //
     /* 211975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 211978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 211983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 211995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211999 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1268:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 211999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_S),
     /* 212002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212008 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212010 */     GIR_RootConstrainSelectedInstOperands,
     /* 212011 */     // GIR_Coverage, 2775,
     /* 212011 */     GIR_EraseRootFromParent_Done,
     /* 212012 */   // Label 4184: @212012
     /* 212012 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(212054), // Rule ID 2777 //
     /* 212017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 212025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 212031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212041 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1268:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_D),
     /* 212044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212052 */     GIR_RootConstrainSelectedInstOperands,
     /* 212053 */     // GIR_Coverage, 2777,
     /* 212053 */     GIR_EraseRootFromParent_Done,
     /* 212054 */   // Label 4185: @212054
     /* 212054 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(212096), // Rule ID 2779 //
     /* 212059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 212067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 212073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212083 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1442:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (FSCALE_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 212083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_H),
     /* 212086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212092 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212094 */     GIR_RootConstrainSelectedInstOperands,
     /* 212095 */     // GIR_Coverage, 2779,
     /* 212095 */     GIR_EraseRootFromParent_Done,
     /* 212096 */   // Label 4186: @212096
     /* 212096 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(212138), // Rule ID 2780 //
     /* 212101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 212109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 212115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212125 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1442:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (FSCALE_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 212125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_S),
     /* 212128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212136 */     GIR_RootConstrainSelectedInstOperands,
     /* 212137 */     // GIR_Coverage, 2780,
     /* 212137 */     GIR_EraseRootFromParent_Done,
     /* 212138 */   // Label 4187: @212138
     /* 212138 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(212180), // Rule ID 2781 //
     /* 212143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 212151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 212157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1442:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (FSCALE_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 212167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_D),
     /* 212170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212176 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212178 */     GIR_RootConstrainSelectedInstOperands,
     /* 212179 */     // GIR_Coverage, 2781,
     /* 212179 */     GIR_EraseRootFromParent_Done,
     /* 212180 */   // Label 4188: @212180
     /* 212180 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(212222), // Rule ID 2850 //
     /* 212185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f16f32),
     /* 212193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212209 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1304:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTNT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 212209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_StoH),
     /* 212212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212218 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212220 */     GIR_RootConstrainSelectedInstOperands,
     /* 212221 */     // GIR_Coverage, 2850,
     /* 212221 */     GIR_EraseRootFromParent_Done,
     /* 212222 */   // Label 4189: @212222
     /* 212222 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(212264), // Rule ID 2851 //
     /* 212227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f32f64),
     /* 212235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212251 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1305:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_DtoS),
     /* 212254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212262 */     GIR_RootConstrainSelectedInstOperands,
     /* 212263 */     // GIR_Coverage, 2851,
     /* 212263 */     GIR_EraseRootFromParent_Done,
     /* 212264 */   // Label 4190: @212264
     /* 212264 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(212306), // Rule ID 2852 //
     /* 212269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f32f16),
     /* 212277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212293 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1300:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTLT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 212293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_HtoS),
     /* 212296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212304 */     GIR_RootConstrainSelectedInstOperands,
     /* 212305 */     // GIR_Coverage, 2852,
     /* 212305 */     GIR_EraseRootFromParent_Done,
     /* 212306 */   // Label 4191: @212306
     /* 212306 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(212348), // Rule ID 2853 //
     /* 212311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f64f32),
     /* 212319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212335 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1301:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTLT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 212335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_StoD),
     /* 212338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212344 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212346 */     GIR_RootConstrainSelectedInstOperands,
     /* 212347 */     // GIR_Coverage, 2853,
     /* 212347 */     GIR_EraseRootFromParent_Done,
     /* 212348 */   // Label 4192: @212348
     /* 212348 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(212390), // Rule ID 2854 //
     /* 212353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtxnt_f32f64),
     /* 212361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1307:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTXNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNT_ZPmZ_DtoS),
     /* 212380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212388 */     GIR_RootConstrainSelectedInstOperands,
     /* 212389 */     // GIR_Coverage, 2854,
     /* 212389 */     GIR_EraseRootFromParent_Done,
     /* 212390 */   // Label 4193: @212390
     /* 212390 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(212432), // Rule ID 2855 //
     /* 212395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 212403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 212409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212419 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1271:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADDP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 212419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_H),
     /* 212422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212430 */     GIR_RootConstrainSelectedInstOperands,
     /* 212431 */     // GIR_Coverage, 2855,
     /* 212431 */     GIR_EraseRootFromParent_Done,
     /* 212432 */   // Label 4194: @212432
     /* 212432 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(212474), // Rule ID 2856 //
     /* 212437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 212445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 212451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212461 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1271:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADDP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 212461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_S),
     /* 212464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212472 */     GIR_RootConstrainSelectedInstOperands,
     /* 212473 */     // GIR_Coverage, 2856,
     /* 212473 */     GIR_EraseRootFromParent_Done,
     /* 212474 */   // Label 4195: @212474
     /* 212474 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(212516), // Rule ID 2857 //
     /* 212479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 212487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 212493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1271:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADDP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_D),
     /* 212506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212512 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212514 */     GIR_RootConstrainSelectedInstOperands,
     /* 212515 */     // GIR_Coverage, 2857,
     /* 212515 */     GIR_EraseRootFromParent_Done,
     /* 212516 */   // Label 4196: @212516
     /* 212516 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(212558), // Rule ID 2868 //
     /* 212521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f16),
     /* 212529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212545 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1293:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 212545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoS),
     /* 212548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212556 */     GIR_RootConstrainSelectedInstOperands,
     /* 212557 */     // GIR_Coverage, 2868,
     /* 212557 */     GIR_EraseRootFromParent_Done,
     /* 212558 */   // Label 4197: @212558
     /* 212558 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(212600), // Rule ID 2870 //
     /* 212563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f32),
     /* 212571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1291:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 212587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoH),
     /* 212590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212598 */     GIR_RootConstrainSelectedInstOperands,
     /* 212599 */     // GIR_Coverage, 2870,
     /* 212599 */     GIR_EraseRootFromParent_Done,
     /* 212600 */   // Label 4198: @212600
     /* 212600 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(212642), // Rule ID 2878 //
     /* 212605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 212613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 212622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1328:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FLOGB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 212629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_H),
     /* 212632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212640 */     GIR_RootConstrainSelectedInstOperands,
     /* 212641 */     // GIR_Coverage, 2878,
     /* 212641 */     GIR_EraseRootFromParent_Done,
     /* 212642 */   // Label 4199: @212642
     /* 212642 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(212684), // Rule ID 2879 //
     /* 212647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 212655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1328:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FLOGB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 212671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_S),
     /* 212674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212682 */     GIR_RootConstrainSelectedInstOperands,
     /* 212683 */     // GIR_Coverage, 2879,
     /* 212683 */     GIR_EraseRootFromParent_Done,
     /* 212684 */   // Label 4200: @212684
     /* 212684 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(212726), // Rule ID 2880 //
     /* 212689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 212697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1328:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FLOGB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_D),
     /* 212716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212724 */     GIR_RootConstrainSelectedInstOperands,
     /* 212725 */     // GIR_Coverage, 2880,
     /* 212725 */     GIR_EraseRootFromParent_Done,
     /* 212726 */   // Label 4201: @212726
     /* 212726 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(212768), // Rule ID 2884 //
     /* 212731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtx_f32f64),
     /* 212739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212755 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1306:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTX_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 212755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTX_ZPmZ_DtoS),
     /* 212758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212766 */     GIR_RootConstrainSelectedInstOperands,
     /* 212767 */     // GIR_Coverage, 2884,
     /* 212767 */     GIR_EraseRootFromParent_Done,
     /* 212768 */   // Label 4202: @212768
     /* 212768 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(212810), // Rule ID 2929 //
     /* 212773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 212781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 212787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1611:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 212797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_S),
     /* 212800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212808 */     GIR_RootConstrainSelectedInstOperands,
     /* 212809 */     // GIR_Coverage, 2929,
     /* 212809 */     GIR_EraseRootFromParent_Done,
     /* 212810 */   // Label 4203: @212810
     /* 212810 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(212852), // Rule ID 2930 //
     /* 212815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 212823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 212829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1611:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 212839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_D),
     /* 212842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 212844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212848 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212850 */     GIR_RootConstrainSelectedInstOperands,
     /* 212851 */     // GIR_Coverage, 2930,
     /* 212851 */     GIR_EraseRootFromParent_Done,
     /* 212852 */   // Label 4204: @212852
     /* 212852 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(212894), // Rule ID 2959 //
     /* 212857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 212865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 212874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 212877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1727:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLAH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 212881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_B),
     /* 212884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212892 */     GIR_RootConstrainSelectedInstOperands,
     /* 212893 */     // GIR_Coverage, 2959,
     /* 212893 */     GIR_EraseRootFromParent_Done,
     /* 212894 */   // Label 4205: @212894
     /* 212894 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(212936), // Rule ID 2960 //
     /* 212899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 212907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1727:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLAH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 212923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_H),
     /* 212926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212934 */     GIR_RootConstrainSelectedInstOperands,
     /* 212935 */     // GIR_Coverage, 2960,
     /* 212935 */     GIR_EraseRootFromParent_Done,
     /* 212936 */   // Label 4206: @212936
     /* 212936 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(212978), // Rule ID 2961 //
     /* 212941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 212949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1727:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLAH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 212965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_S),
     /* 212968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212976 */     GIR_RootConstrainSelectedInstOperands,
     /* 212977 */     // GIR_Coverage, 2961,
     /* 212977 */     GIR_EraseRootFromParent_Done,
     /* 212978 */   // Label 4207: @212978
     /* 212978 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(213020), // Rule ID 2962 //
     /* 212983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 212991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1727:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLAH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 213007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_D),
     /* 213010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213018 */     GIR_RootConstrainSelectedInstOperands,
     /* 213019 */     // GIR_Coverage, 2962,
     /* 213019 */     GIR_EraseRootFromParent_Done,
     /* 213020 */   // Label 4208: @213020
     /* 213020 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(213062), // Rule ID 2963 //
     /* 213025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 213033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 213042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1648:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_H),
     /* 213052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213060 */     GIR_RootConstrainSelectedInstOperands,
     /* 213061 */     // GIR_Coverage, 2963,
     /* 213061 */     GIR_EraseRootFromParent_Done,
     /* 213062 */   // Label 4209: @213062
     /* 213062 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(213104), // Rule ID 2964 //
     /* 213067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 213075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1648:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_S),
     /* 213094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213102 */     GIR_RootConstrainSelectedInstOperands,
     /* 213103 */     // GIR_Coverage, 2964,
     /* 213103 */     GIR_EraseRootFromParent_Done,
     /* 213104 */   // Label 4210: @213104
     /* 213104 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(213146), // Rule ID 2965 //
     /* 213109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 213117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1648:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_D),
     /* 213136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213144 */     GIR_RootConstrainSelectedInstOperands,
     /* 213145 */     // GIR_Coverage, 2965,
     /* 213145 */     GIR_EraseRootFromParent_Done,
     /* 213146 */   // Label 4211: @213146
     /* 213146 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(213188), // Rule ID 2995 //
     /* 213151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 213159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 213165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 213168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213175 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1622:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_B),
     /* 213178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 213180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213186 */     GIR_RootConstrainSelectedInstOperands,
     /* 213187 */     // GIR_Coverage, 2995,
     /* 213187 */     GIR_EraseRootFromParent_Done,
     /* 213188 */   // Label 4212: @213188
     /* 213188 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(213230), // Rule ID 2997 //
     /* 213193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 213201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 213207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1622:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_H),
     /* 213220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 213222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213228 */     GIR_RootConstrainSelectedInstOperands,
     /* 213229 */     // GIR_Coverage, 2997,
     /* 213229 */     GIR_EraseRootFromParent_Done,
     /* 213230 */   // Label 4213: @213230
     /* 213230 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(213272), // Rule ID 2999 //
     /* 213235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 213243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 213249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1622:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_S),
     /* 213262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 213264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213270 */     GIR_RootConstrainSelectedInstOperands,
     /* 213271 */     // GIR_Coverage, 2999,
     /* 213271 */     GIR_EraseRootFromParent_Done,
     /* 213272 */   // Label 4214: @213272
     /* 213272 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(213314), // Rule ID 3001 //
     /* 213277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 213285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 213291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1622:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 213301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_D),
     /* 213304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 213306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213312 */     GIR_RootConstrainSelectedInstOperands,
     /* 213313 */     // GIR_Coverage, 3001,
     /* 213313 */     GIR_EraseRootFromParent_Done,
     /* 213314 */   // Label 4215: @213314
     /* 213314 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(213356), // Rule ID 3003 //
     /* 213319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 213327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 213333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1592:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_H),
     /* 213346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213354 */     GIR_RootConstrainSelectedInstOperands,
     /* 213355 */     // GIR_Coverage, 3003,
     /* 213355 */     GIR_EraseRootFromParent_Done,
     /* 213356 */   // Label 4216: @213356
     /* 213356 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(213398), // Rule ID 3004 //
     /* 213361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 213369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 213375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1592:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_S),
     /* 213388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213396 */     GIR_RootConstrainSelectedInstOperands,
     /* 213397 */     // GIR_Coverage, 3004,
     /* 213397 */     GIR_EraseRootFromParent_Done,
     /* 213398 */   // Label 4217: @213398
     /* 213398 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(213440), // Rule ID 3005 //
     /* 213403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 213411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 213417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1592:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_D),
     /* 213430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213438 */     GIR_RootConstrainSelectedInstOperands,
     /* 213439 */     // GIR_Coverage, 3005,
     /* 213439 */     GIR_EraseRootFromParent_Done,
     /* 213440 */   // Label 4218: @213440
     /* 213440 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(213482), // Rule ID 3006 //
     /* 213445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 213453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1951:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URECPE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S),
     /* 213472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213480 */     GIR_RootConstrainSelectedInstOperands,
     /* 213481 */     // GIR_Coverage, 3006,
     /* 213481 */     GIR_EraseRootFromParent_Done,
     /* 213482 */   // Label 4219: @213482
     /* 213482 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(213524), // Rule ID 3007 //
     /* 213487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1664:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQABS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B),
     /* 213514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213522 */     GIR_RootConstrainSelectedInstOperands,
     /* 213523 */     // GIR_Coverage, 3007,
     /* 213523 */     GIR_EraseRootFromParent_Done,
     /* 213524 */   // Label 4220: @213524
     /* 213524 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(213566), // Rule ID 3008 //
     /* 213529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1664:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQABS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H),
     /* 213556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213564 */     GIR_RootConstrainSelectedInstOperands,
     /* 213565 */     // GIR_Coverage, 3008,
     /* 213565 */     GIR_EraseRootFromParent_Done,
     /* 213566 */   // Label 4221: @213566
     /* 213566 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(213608), // Rule ID 3009 //
     /* 213571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1664:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQABS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S),
     /* 213598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213606 */     GIR_RootConstrainSelectedInstOperands,
     /* 213607 */     // GIR_Coverage, 3009,
     /* 213607 */     GIR_EraseRootFromParent_Done,
     /* 213608 */   // Label 4222: @213608
     /* 213608 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(213650), // Rule ID 3010 //
     /* 213613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1664:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQABS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 213637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D),
     /* 213640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213648 */     GIR_RootConstrainSelectedInstOperands,
     /* 213649 */     // GIR_Coverage, 3010,
     /* 213649 */     GIR_EraseRootFromParent_Done,
     /* 213650 */   // Label 4223: @213650
     /* 213650 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(213692), // Rule ID 3027 //
     /* 213655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 213663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 213672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1257:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORBT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_B),
     /* 213682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213690 */     GIR_RootConstrainSelectedInstOperands,
     /* 213691 */     // GIR_Coverage, 3027,
     /* 213691 */     GIR_EraseRootFromParent_Done,
     /* 213692 */   // Label 4224: @213692
     /* 213692 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(213734), // Rule ID 3028 //
     /* 213697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 213705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1257:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_H),
     /* 213724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213732 */     GIR_RootConstrainSelectedInstOperands,
     /* 213733 */     // GIR_Coverage, 3028,
     /* 213733 */     GIR_EraseRootFromParent_Done,
     /* 213734 */   // Label 4225: @213734
     /* 213734 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(213776), // Rule ID 3029 //
     /* 213739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 213747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1257:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_S),
     /* 213766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213774 */     GIR_RootConstrainSelectedInstOperands,
     /* 213775 */     // GIR_Coverage, 3029,
     /* 213775 */     GIR_EraseRootFromParent_Done,
     /* 213776 */   // Label 4226: @213776
     /* 213776 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(213818), // Rule ID 3030 //
     /* 213781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 213789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1257:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 213805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_D),
     /* 213808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213816 */     GIR_RootConstrainSelectedInstOperands,
     /* 213817 */     // GIR_Coverage, 3030,
     /* 213817 */     GIR_EraseRootFromParent_Done,
     /* 213818 */   // Label 4227: @213818
     /* 213818 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(213860), // Rule ID 3054 //
     /* 213823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 213831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 213840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1585:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 213847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_B),
     /* 213850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213858 */     GIR_RootConstrainSelectedInstOperands,
     /* 213859 */     // GIR_Coverage, 3054,
     /* 213859 */     GIR_EraseRootFromParent_Done,
     /* 213860 */   // Label 4228: @213860
     /* 213860 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(213902), // Rule ID 3056 //
     /* 213865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 213873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 213882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1585:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 213889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_H),
     /* 213892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213900 */     GIR_RootConstrainSelectedInstOperands,
     /* 213901 */     // GIR_Coverage, 3056,
     /* 213901 */     GIR_EraseRootFromParent_Done,
     /* 213902 */   // Label 4229: @213902
     /* 213902 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(213944), // Rule ID 3058 //
     /* 213907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 213915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 213924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1585:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 213931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_S),
     /* 213934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213942 */     GIR_RootConstrainSelectedInstOperands,
     /* 213943 */     // GIR_Coverage, 3058,
     /* 213943 */     GIR_EraseRootFromParent_Done,
     /* 213944 */   // Label 4230: @213944
     /* 213944 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(213986), // Rule ID 3060 //
     /* 213949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 213957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1585:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 213973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_D),
     /* 213976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 213978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213984 */     GIR_RootConstrainSelectedInstOperands,
     /* 213985 */     // GIR_Coverage, 3060,
     /* 213985 */     GIR_EraseRootFromParent_Done,
     /* 213986 */   // Label 4231: @213986
     /* 213986 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(214028), // Rule ID 3062 //
     /* 213991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 213999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 214008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1586:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 214015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_H),
     /* 214018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 214020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214026 */     GIR_RootConstrainSelectedInstOperands,
     /* 214027 */     // GIR_Coverage, 3062,
     /* 214027 */     GIR_EraseRootFromParent_Done,
     /* 214028 */   // Label 4232: @214028
     /* 214028 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(214070), // Rule ID 3063 //
     /* 214033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 214041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1586:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 214057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_S),
     /* 214060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 214062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214068 */     GIR_RootConstrainSelectedInstOperands,
     /* 214069 */     // GIR_Coverage, 3063,
     /* 214069 */     GIR_EraseRootFromParent_Done,
     /* 214070 */   // Label 4233: @214070
     /* 214070 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(214112), // Rule ID 3064 //
     /* 214075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 214083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1586:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 214099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_D),
     /* 214102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 214104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214110 */     GIR_RootConstrainSelectedInstOperands,
     /* 214111 */     // GIR_Coverage, 3064,
     /* 214111 */     GIR_EraseRootFromParent_Done,
     /* 214112 */   // Label 4234: @214112
     /* 214112 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(214154), // Rule ID 3065 //
     /* 214117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 214125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1149:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 214141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_S),
     /* 214144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 214146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214152 */     GIR_RootConstrainSelectedInstOperands,
     /* 214153 */     // GIR_Coverage, 3065,
     /* 214153 */     GIR_EraseRootFromParent_Done,
     /* 214154 */   // Label 4235: @214154
     /* 214154 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(214196), // Rule ID 3066 //
     /* 214159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 214167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 214176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1149:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_D),
     /* 214186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 214188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214194 */     GIR_RootConstrainSelectedInstOperands,
     /* 214195 */     // GIR_Coverage, 3066,
     /* 214195 */     GIR_EraseRootFromParent_Done,
     /* 214196 */   // Label 4236: @214196
     /* 214196 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(214238), // Rule ID 3076 //
     /* 214201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 214209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214225 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1156:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 214225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_B),
     /* 214228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214236 */     GIR_RootConstrainSelectedInstOperands,
     /* 214237 */     // GIR_Coverage, 3076,
     /* 214237 */     GIR_EraseRootFromParent_Done,
     /* 214238 */   // Label 4237: @214238
     /* 214238 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(214280), // Rule ID 3077 //
     /* 214243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 214251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1156:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 214267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_H),
     /* 214270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214278 */     GIR_RootConstrainSelectedInstOperands,
     /* 214279 */     // GIR_Coverage, 3077,
     /* 214279 */     GIR_EraseRootFromParent_Done,
     /* 214280 */   // Label 4238: @214280
     /* 214280 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(214322), // Rule ID 3078 //
     /* 214285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 214293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 214302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1156:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_S),
     /* 214312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214320 */     GIR_RootConstrainSelectedInstOperands,
     /* 214321 */     // GIR_Coverage, 3078,
     /* 214321 */     GIR_EraseRootFromParent_Done,
     /* 214322 */   // Label 4239: @214322
     /* 214322 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(214364), // Rule ID 3095 //
     /* 214327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 214335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 214344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1215:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 214351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B),
     /* 214354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 214358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214362 */     GIR_RootConstrainSelectedInstOperands,
     /* 214363 */     // GIR_Coverage, 3095,
     /* 214363 */     GIR_EraseRootFromParent_Done,
     /* 214364 */   // Label 4240: @214364
     /* 214364 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(214406), // Rule ID 3096 //
     /* 214369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 214377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 214386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1215:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 214393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H),
     /* 214396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 214400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214404 */     GIR_RootConstrainSelectedInstOperands,
     /* 214405 */     // GIR_Coverage, 3096,
     /* 214405 */     GIR_EraseRootFromParent_Done,
     /* 214406 */   // Label 4241: @214406
     /* 214406 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(214448), // Rule ID 3097 //
     /* 214411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 214419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1215:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S),
     /* 214438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 214442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214446 */     GIR_RootConstrainSelectedInstOperands,
     /* 214447 */     // GIR_Coverage, 3097,
     /* 214447 */     GIR_EraseRootFromParent_Done,
     /* 214448 */   // Label 4242: @214448
     /* 214448 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(214490), // Rule ID 3098 //
     /* 214453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 214461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1215:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D),
     /* 214480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 214484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214488 */     GIR_RootConstrainSelectedInstOperands,
     /* 214489 */     // GIR_Coverage, 3098,
     /* 214489 */     GIR_EraseRootFromParent_Done,
     /* 214490 */   // Label 4243: @214490
     /* 214490 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(214532), // Rule ID 3133 //
     /* 214495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 214503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 214512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1256:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 214519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 214522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 214524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214530 */     GIR_RootConstrainSelectedInstOperands,
     /* 214531 */     // GIR_Coverage, 3133,
     /* 214531 */     GIR_EraseRootFromParent_Done,
     /* 214532 */   // Label 4244: @214532
     /* 214532 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(214574), // Rule ID 3135 //
     /* 214537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 214545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1256:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 214561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 214564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 214566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214572 */     GIR_RootConstrainSelectedInstOperands,
     /* 214573 */     // GIR_Coverage, 3135,
     /* 214573 */     GIR_EraseRootFromParent_Done,
     /* 214574 */   // Label 4245: @214574
     /* 214574 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(214616), // Rule ID 3137 //
     /* 214579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 214587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1256:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 214603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 214606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 214608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214614 */     GIR_RootConstrainSelectedInstOperands,
     /* 214615 */     // GIR_Coverage, 3137,
     /* 214615 */     GIR_EraseRootFromParent_Done,
     /* 214616 */   // Label 4246: @214616
     /* 214616 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(214658), // Rule ID 3139 //
     /* 214621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 214629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 214638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1256:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 214648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 214650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214656 */     GIR_RootConstrainSelectedInstOperands,
     /* 214657 */     // GIR_Coverage, 3139,
     /* 214657 */     GIR_EraseRootFromParent_Done,
     /* 214658 */   // Label 4247: @214658
     /* 214658 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(214703), // Rule ID 3172 //
     /* 214663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 214671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 214674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 214677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 214680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214687 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1220:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_B),
     /* 214690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214701 */     GIR_RootConstrainSelectedInstOperands,
     /* 214702 */     // GIR_Coverage, 3172,
     /* 214702 */     GIR_EraseRootFromParent_Done,
     /* 214703 */   // Label 4248: @214703
     /* 214703 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(214748), // Rule ID 3173 //
     /* 214708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 214716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 214719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 214722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1220:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_H),
     /* 214735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214741 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214746 */     GIR_RootConstrainSelectedInstOperands,
     /* 214747 */     // GIR_Coverage, 3173,
     /* 214747 */     GIR_EraseRootFromParent_Done,
     /* 214748 */   // Label 4249: @214748
     /* 214748 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(214793), // Rule ID 3174 //
     /* 214753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 214761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 214764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 214767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1220:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_S),
     /* 214780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214791 */     GIR_RootConstrainSelectedInstOperands,
     /* 214792 */     // GIR_Coverage, 3174,
     /* 214792 */     GIR_EraseRootFromParent_Done,
     /* 214793 */   // Label 4250: @214793
     /* 214793 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(214838), // Rule ID 3175 //
     /* 214798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 214806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 214809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 214812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 214815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214822 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1222:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_B),
     /* 214825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214831 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214836 */     GIR_RootConstrainSelectedInstOperands,
     /* 214837 */     // GIR_Coverage, 3175,
     /* 214837 */     GIR_EraseRootFromParent_Done,
     /* 214838 */   // Label 4251: @214838
     /* 214838 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(214883), // Rule ID 3176 //
     /* 214843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 214851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 214854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 214857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214867 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1222:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_H),
     /* 214870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214874 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214876 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214881 */     GIR_RootConstrainSelectedInstOperands,
     /* 214882 */     // GIR_Coverage, 3176,
     /* 214882 */     GIR_EraseRootFromParent_Done,
     /* 214883 */   // Label 4252: @214883
     /* 214883 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(214928), // Rule ID 3177 //
     /* 214888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 214896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 214899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 214902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1222:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 214912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_S),
     /* 214915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214921 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 214926 */     GIR_RootConstrainSelectedInstOperands,
     /* 214927 */     // GIR_Coverage, 3177,
     /* 214927 */     GIR_EraseRootFromParent_Done,
     /* 214928 */   // Label 4253: @214928
     /* 214928 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(214970), // Rule ID 3232 //
     /* 214933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 214941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 214944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 214947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 214950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214957 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1266:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGE_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 214957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_H),
     /* 214960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 214962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 214964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 214966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 214968 */     GIR_RootConstrainSelectedInstOperands,
     /* 214969 */     // GIR_Coverage, 3232,
     /* 214969 */     GIR_EraseRootFromParent_Done,
     /* 214970 */   // Label 4254: @214970
     /* 214970 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(215012), // Rule ID 3233 //
     /* 214975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 214978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 214983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 214986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 214989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 214992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 214999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1266:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGE_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 214999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_S),
     /* 215002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215008 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215010 */     GIR_RootConstrainSelectedInstOperands,
     /* 215011 */     // GIR_Coverage, 3233,
     /* 215011 */     GIR_EraseRootFromParent_Done,
     /* 215012 */   // Label 4255: @215012
     /* 215012 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(215054), // Rule ID 3234 //
     /* 215017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 215025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 215028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 215031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 215034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1266:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGE_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 215041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_D),
     /* 215044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215052 */     GIR_RootConstrainSelectedInstOperands,
     /* 215053 */     // GIR_Coverage, 3234,
     /* 215053 */     GIR_EraseRootFromParent_Done,
     /* 215054 */   // Label 4256: @215054
     /* 215054 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(215096), // Rule ID 3286 //
     /* 215059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 215067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 215070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 215076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 215079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1172:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ASR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 215083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_B),
     /* 215086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215092 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215094 */     GIR_RootConstrainSelectedInstOperands,
     /* 215095 */     // GIR_Coverage, 3286,
     /* 215095 */     GIR_EraseRootFromParent_Done,
     /* 215096 */   // Label 4257: @215096
     /* 215096 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(215138), // Rule ID 3287 //
     /* 215101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 215109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 215112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 215115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 215118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 215121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215125 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1172:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ASR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 215125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_H),
     /* 215128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215136 */     GIR_RootConstrainSelectedInstOperands,
     /* 215137 */     // GIR_Coverage, 3287,
     /* 215137 */     GIR_EraseRootFromParent_Done,
     /* 215138 */   // Label 4258: @215138
     /* 215138 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(215180), // Rule ID 3288 //
     /* 215143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 215151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 215157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 215160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 215163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1172:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ASR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 215167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_S),
     /* 215170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215176 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215178 */     GIR_RootConstrainSelectedInstOperands,
     /* 215179 */     // GIR_Coverage, 3288,
     /* 215179 */     GIR_EraseRootFromParent_Done,
     /* 215180 */   // Label 4259: @215180
     /* 215180 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(215222), // Rule ID 3289 //
     /* 215185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 215193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 215196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 215199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 215202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1172:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_D),
     /* 215212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215218 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215220 */     GIR_RootConstrainSelectedInstOperands,
     /* 215221 */     // GIR_Coverage, 3289,
     /* 215221 */     GIR_EraseRootFromParent_Done,
     /* 215222 */   // Label 4260: @215222
     /* 215222 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(215264), // Rule ID 3298 //
     /* 215227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 215235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 215238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 215244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1174:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_B),
     /* 215254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215262 */     GIR_RootConstrainSelectedInstOperands,
     /* 215263 */     // GIR_Coverage, 3298,
     /* 215263 */     GIR_EraseRootFromParent_Done,
     /* 215264 */   // Label 4261: @215264
     /* 215264 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(215306), // Rule ID 3299 //
     /* 215269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 215277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 215280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 215283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 215286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1174:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_H),
     /* 215296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215304 */     GIR_RootConstrainSelectedInstOperands,
     /* 215305 */     // GIR_Coverage, 3299,
     /* 215305 */     GIR_EraseRootFromParent_Done,
     /* 215306 */   // Label 4262: @215306
     /* 215306 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(215348), // Rule ID 3300 //
     /* 215311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 215319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 215325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 215328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1174:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_S),
     /* 215338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215344 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215346 */     GIR_RootConstrainSelectedInstOperands,
     /* 215347 */     // GIR_Coverage, 3300,
     /* 215347 */     GIR_EraseRootFromParent_Done,
     /* 215348 */   // Label 4263: @215348
     /* 215348 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(215390), // Rule ID 3339 //
     /* 215353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 215364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 215370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 215373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1211:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTA_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 215377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_B),
     /* 215380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215388 */     GIR_RootConstrainSelectedInstOperands,
     /* 215389 */     // GIR_Coverage, 3339,
     /* 215389 */     GIR_EraseRootFromParent_Done,
     /* 215390 */   // Label 4264: @215390
     /* 215390 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(215432), // Rule ID 3340 //
     /* 215395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 215406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 215409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 215412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 215415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1211:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 215419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 215422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215430 */     GIR_RootConstrainSelectedInstOperands,
     /* 215431 */     // GIR_Coverage, 3340,
     /* 215431 */     GIR_EraseRootFromParent_Done,
     /* 215432 */   // Label 4265: @215432
     /* 215432 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(215474), // Rule ID 3341 //
     /* 215437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 215451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 215454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 215457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1211:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 215461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 215464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215472 */     GIR_RootConstrainSelectedInstOperands,
     /* 215473 */     // GIR_Coverage, 3341,
     /* 215473 */     GIR_EraseRootFromParent_Done,
     /* 215474 */   // Label 4266: @215474
     /* 215474 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(215516), // Rule ID 3342 //
     /* 215479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 215490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 215493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 215496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215503 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1211:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 215506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215512 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215514 */     GIR_RootConstrainSelectedInstOperands,
     /* 215515 */     // GIR_Coverage, 3342,
     /* 215515 */     GIR_EraseRootFromParent_Done,
     /* 215516 */   // Label 4267: @215516
     /* 215516 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(215558), // Rule ID 3343 //
     /* 215521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 215532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 215535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 215538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 215541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215545 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1211:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 215545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 215548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215556 */     GIR_RootConstrainSelectedInstOperands,
     /* 215557 */     // GIR_Coverage, 3343,
     /* 215557 */     GIR_EraseRootFromParent_Done,
     /* 215558 */   // Label 4268: @215558
     /* 215558 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(215600), // Rule ID 3344 //
     /* 215563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 215577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 215580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 215583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1211:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 215587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 215590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215598 */     GIR_RootConstrainSelectedInstOperands,
     /* 215599 */     // GIR_Coverage, 3344,
     /* 215599 */     GIR_EraseRootFromParent_Done,
     /* 215600 */   // Label 4269: @215600
     /* 215600 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(215642), // Rule ID 3345 //
     /* 215605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 215613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 215616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 215619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 215622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215629 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1211:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 215629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 215632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 215634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215640 */     GIR_RootConstrainSelectedInstOperands,
     /* 215641 */     // GIR_Coverage, 3345,
     /* 215641 */     GIR_EraseRootFromParent_Done,
     /* 215642 */   // Label 4270: @215642
     /* 215642 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(215684), // Rule ID 3428 //
     /* 215647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpa_z),
     /* 215655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 215664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 215667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215671 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1203:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPA_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 215671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPA_PPzPP),
     /* 215674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215682 */     GIR_RootConstrainSelectedInstOperands,
     /* 215683 */     // GIR_Coverage, 3428,
     /* 215683 */     GIR_EraseRootFromParent_Done,
     /* 215684 */   // Label 4271: @215684
     /* 215684 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(215726), // Rule ID 3429 //
     /* 215689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkn_z),
     /* 215697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 215706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 215709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1202:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKN_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 215713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKN_PPzP),
     /* 215716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdm]
     /* 215718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215724 */     GIR_RootConstrainSelectedInstOperands,
     /* 215725 */     // GIR_Coverage, 3429,
     /* 215725 */     GIR_EraseRootFromParent_Done,
     /* 215726 */   // Label 4272: @215726
     /* 215726 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(215768), // Rule ID 3430 //
     /* 215731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 215734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka),
     /* 215739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 215748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 215751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215755 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1198:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKA_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 215755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPmP),
     /* 215758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215766 */     GIR_RootConstrainSelectedInstOperands,
     /* 215767 */     // GIR_Coverage, 3430,
     /* 215767 */     GIR_EraseRootFromParent_Done,
     /* 215768 */   // Label 4273: @215768
     /* 215768 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(215813), // Rule ID 3432 //
     /* 215773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 215776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 215781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 215790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 215793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215797 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1505:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (MATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 215797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_B),
     /* 215800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 215811 */     GIR_RootConstrainSelectedInstOperands,
     /* 215812 */     // GIR_Coverage, 3432,
     /* 215812 */     GIR_EraseRootFromParent_Done,
     /* 215813 */   // Label 4274: @215813
     /* 215813 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(215858), // Rule ID 3433 //
     /* 215818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 215821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 215826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 215829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 215832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 215835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 215838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1505:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (MATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 215842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_H),
     /* 215845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215851 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 215856 */     GIR_RootConstrainSelectedInstOperands,
     /* 215857 */     // GIR_Coverage, 3433,
     /* 215857 */     GIR_EraseRootFromParent_Done,
     /* 215858 */   // Label 4275: @215858
     /* 215858 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(215900), // Rule ID 3434 //
     /* 215863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 215866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 215871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 215877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 215880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 215883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1450:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (HISTCNT_ZPzZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 215887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_S),
     /* 215890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 215892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215898 */     GIR_RootConstrainSelectedInstOperands,
     /* 215899 */     // GIR_Coverage, 3434,
     /* 215899 */     GIR_EraseRootFromParent_Done,
     /* 215900 */   // Label 4276: @215900
     /* 215900 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(215942), // Rule ID 3435 //
     /* 215905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 215908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 215913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 215916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 215919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 215922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 215925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1450:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (HISTCNT_ZPzZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 215929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_D),
     /* 215932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 215934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215938 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215940 */     GIR_RootConstrainSelectedInstOperands,
     /* 215941 */     // GIR_Coverage, 3435,
     /* 215941 */     GIR_EraseRootFromParent_Done,
     /* 215942 */   // Label 4277: @215942
     /* 215942 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(215984), // Rule ID 3440 //
     /* 215947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 215950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smmla),
     /* 215955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 215958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 215961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 215964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 215967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 215971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1656:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 215971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA_ZZZ),
     /* 215974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 215976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 215978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 215980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 215982 */     GIR_RootConstrainSelectedInstOperands,
     /* 215983 */     // GIR_Coverage, 3440,
     /* 215983 */     GIR_EraseRootFromParent_Done,
     /* 215984 */   // Label 4278: @215984
     /* 215984 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(216026), // Rule ID 3479 //
     /* 215989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 215992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 215997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 216003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216013 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1279:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCLAMP_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 216013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_H),
     /* 216016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216024 */     GIR_RootConstrainSelectedInstOperands,
     /* 216025 */     // GIR_Coverage, 3479,
     /* 216025 */     GIR_EraseRootFromParent_Done,
     /* 216026 */   // Label 4279: @216026
     /* 216026 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(216068), // Rule ID 3481 //
     /* 216031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 216034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 216039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 216045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216055 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1279:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCLAMP_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 216055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_S),
     /* 216058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216064 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216066 */     GIR_RootConstrainSelectedInstOperands,
     /* 216067 */     // GIR_Coverage, 3481,
     /* 216067 */     GIR_EraseRootFromParent_Done,
     /* 216068 */   // Label 4280: @216068
     /* 216068 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(216110), // Rule ID 3483 //
     /* 216073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 216076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 216081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 216087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216097 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1279:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCLAMP_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 216097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_D),
     /* 216100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216106 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216108 */     GIR_RootConstrainSelectedInstOperands,
     /* 216109 */     // GIR_Coverage, 3483,
     /* 216109 */     GIR_EraseRootFromParent_Done,
     /* 216110 */   // Label 4281: @216110
     /* 216110 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(216152), // Rule ID 3485 //
     /* 216115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 216118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_x2),
     /* 216123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 216129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1617:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_HtoS),
     /* 216142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 216144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216150 */     GIR_RootConstrainSelectedInstOperands,
     /* 216151 */     // GIR_Coverage, 3485,
     /* 216151 */     GIR_EraseRootFromParent_Done,
     /* 216152 */   // Label 4282: @216152
     /* 216152 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(216194), // Rule ID 3600 //
     /* 216157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 216165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 216168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 216171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 216174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 216177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216181 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1601:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 216181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_B),
     /* 216184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216192 */     GIR_RootConstrainSelectedInstOperands,
     /* 216193 */     // GIR_Coverage, 3600,
     /* 216193 */     GIR_EraseRootFromParent_Done,
     /* 216194 */   // Label 4283: @216194
     /* 216194 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(216236), // Rule ID 3602 //
     /* 216199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 216207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 216213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1601:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_H),
     /* 216226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216234 */     GIR_RootConstrainSelectedInstOperands,
     /* 216235 */     // GIR_Coverage, 3602,
     /* 216235 */     GIR_EraseRootFromParent_Done,
     /* 216236 */   // Label 4284: @216236
     /* 216236 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(216278), // Rule ID 3604 //
     /* 216241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 216249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 216255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1601:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 216265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_S),
     /* 216268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216276 */     GIR_RootConstrainSelectedInstOperands,
     /* 216277 */     // GIR_Coverage, 3604,
     /* 216277 */     GIR_EraseRootFromParent_Done,
     /* 216278 */   // Label 4285: @216278
     /* 216278 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(216320), // Rule ID 3606 //
     /* 216283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 216291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 216297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1601:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 216307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_D),
     /* 216310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 216312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216316 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216318 */     GIR_RootConstrainSelectedInstOperands,
     /* 216319 */     // GIR_Coverage, 3606,
     /* 216319 */     GIR_EraseRootFromParent_Done,
     /* 216320 */   // Label 4286: @216320
     /* 216320 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(216362), // Rule ID 7322 //
     /* 216325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 216333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 216336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 216342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 216345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1810:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 216349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 216352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216360 */     GIR_RootConstrainSelectedInstOperands,
     /* 216361 */     // GIR_Coverage, 7322,
     /* 216361 */     GIR_EraseRootFromParent_Done,
     /* 216362 */   // Label 4287: @216362
     /* 216362 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(216404), // Rule ID 7324 //
     /* 216367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 216375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 216381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1810:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 216394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216402 */     GIR_RootConstrainSelectedInstOperands,
     /* 216403 */     // GIR_Coverage, 7324,
     /* 216403 */     GIR_EraseRootFromParent_Done,
     /* 216404 */   // Label 4288: @216404
     /* 216404 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(216446), // Rule ID 7326 //
     /* 216409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 216417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 216423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1810:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 216433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 216436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216444 */     GIR_RootConstrainSelectedInstOperands,
     /* 216445 */     // GIR_Coverage, 7326,
     /* 216445 */     GIR_EraseRootFromParent_Done,
     /* 216446 */   // Label 4289: @216446
     /* 216446 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(216488), // Rule ID 7328 //
     /* 216451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 216459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 216465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1810:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 216475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 216478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216484 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216486 */     GIR_RootConstrainSelectedInstOperands,
     /* 216487 */     // GIR_Coverage, 7328,
     /* 216487 */     GIR_EraseRootFromParent_Done,
     /* 216488 */   // Label 4290: @216488
     /* 216488 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(216530), // Rule ID 7346 //
     /* 216493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 216501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 216504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 216510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 216513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1195:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BIC_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 216517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_B),
     /* 216520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216528 */     GIR_RootConstrainSelectedInstOperands,
     /* 216529 */     // GIR_Coverage, 7346,
     /* 216529 */     GIR_EraseRootFromParent_Done,
     /* 216530 */   // Label 4291: @216530
     /* 216530 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(216572), // Rule ID 7347 //
     /* 216535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 216543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 216549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1195:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BIC_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_H),
     /* 216562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216570 */     GIR_RootConstrainSelectedInstOperands,
     /* 216571 */     // GIR_Coverage, 7347,
     /* 216571 */     GIR_EraseRootFromParent_Done,
     /* 216572 */   // Label 4292: @216572
     /* 216572 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(216614), // Rule ID 7348 //
     /* 216577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 216585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 216591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1195:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BIC_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 216601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_S),
     /* 216604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216610 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216612 */     GIR_RootConstrainSelectedInstOperands,
     /* 216613 */     // GIR_Coverage, 7348,
     /* 216613 */     GIR_EraseRootFromParent_Done,
     /* 216614 */   // Label 4293: @216614
     /* 216614 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(216656), // Rule ID 7349 //
     /* 216619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 216627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 216633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1195:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BIC_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 216643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_D),
     /* 216646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216654 */     GIR_RootConstrainSelectedInstOperands,
     /* 216655 */     // GIR_Coverage, 7349,
     /* 216655 */     GIR_EraseRootFromParent_Done,
     /* 216656 */   // Label 4294: @216656
     /* 216656 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(216698), // Rule ID 7462 //
     /* 216661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 216669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 216672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 216678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 216681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216685 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1657:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 216685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_B),
     /* 216688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216696 */     GIR_RootConstrainSelectedInstOperands,
     /* 216697 */     // GIR_Coverage, 7462,
     /* 216697 */     GIR_EraseRootFromParent_Done,
     /* 216698 */   // Label 4295: @216698
     /* 216698 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(216740), // Rule ID 7463 //
     /* 216703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 216711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 216717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1657:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_H),
     /* 216730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216738 */     GIR_RootConstrainSelectedInstOperands,
     /* 216739 */     // GIR_Coverage, 7463,
     /* 216739 */     GIR_EraseRootFromParent_Done,
     /* 216740 */   // Label 4296: @216740
     /* 216740 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(216782), // Rule ID 7464 //
     /* 216745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 216753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 216759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1657:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 216769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_S),
     /* 216772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216780 */     GIR_RootConstrainSelectedInstOperands,
     /* 216781 */     // GIR_Coverage, 7464,
     /* 216781 */     GIR_EraseRootFromParent_Done,
     /* 216782 */   // Label 4297: @216782
     /* 216782 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(216824), // Rule ID 7465 //
     /* 216787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 216795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 216801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1657:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 216811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_D),
     /* 216814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216820 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216822 */     GIR_RootConstrainSelectedInstOperands,
     /* 216823 */     // GIR_Coverage, 7465,
     /* 216823 */     GIR_EraseRootFromParent_Done,
     /* 216824 */   // Label 4298: @216824
     /* 216824 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(216866), // Rule ID 7466 //
     /* 216829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 216837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 216840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 216846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 216849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1895:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 216853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_B),
     /* 216856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216864 */     GIR_RootConstrainSelectedInstOperands,
     /* 216865 */     // GIR_Coverage, 7466,
     /* 216865 */     GIR_EraseRootFromParent_Done,
     /* 216866 */   // Label 4299: @216866
     /* 216866 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(216908), // Rule ID 7467 //
     /* 216871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 216879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 216882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 216885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 216888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 216891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216895 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1895:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 216895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_H),
     /* 216898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216904 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216906 */     GIR_RootConstrainSelectedInstOperands,
     /* 216907 */     // GIR_Coverage, 7467,
     /* 216907 */     GIR_EraseRootFromParent_Done,
     /* 216908 */   // Label 4300: @216908
     /* 216908 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(216950), // Rule ID 7468 //
     /* 216913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 216921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 216924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 216927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 216930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 216933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1895:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 216937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_S),
     /* 216940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216948 */     GIR_RootConstrainSelectedInstOperands,
     /* 216949 */     // GIR_Coverage, 7468,
     /* 216949 */     GIR_EraseRootFromParent_Done,
     /* 216950 */   // Label 4301: @216950
     /* 216950 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(216992), // Rule ID 7469 //
     /* 216955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 216958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 216963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 216966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 216969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 216972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 216975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 216979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1895:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 216979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_D),
     /* 216982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 216984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 216986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 216988 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 216990 */     GIR_RootConstrainSelectedInstOperands,
     /* 216991 */     // GIR_Coverage, 7469,
     /* 216991 */     GIR_EraseRootFromParent_Done,
     /* 216992 */   // Label 4302: @216992
     /* 216992 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(217034), // Rule ID 7478 //
     /* 216997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 217005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1858:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 217021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_S),
     /* 217024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217032 */     GIR_RootConstrainSelectedInstOperands,
     /* 217033 */     // GIR_Coverage, 7478,
     /* 217033 */     GIR_EraseRootFromParent_Done,
     /* 217034 */   // Label 4303: @217034
     /* 217034 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(217076), // Rule ID 7479 //
     /* 217039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 217047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 217053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 217056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217063 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1858:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 217063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_D),
     /* 217066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217074 */     GIR_RootConstrainSelectedInstOperands,
     /* 217075 */     // GIR_Coverage, 7479,
     /* 217075 */     GIR_EraseRootFromParent_Done,
     /* 217076 */   // Label 4304: @217076
     /* 217076 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(217118), // Rule ID 7480 //
     /* 217081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 217089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1613:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 217105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_S),
     /* 217108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217116 */     GIR_RootConstrainSelectedInstOperands,
     /* 217117 */     // GIR_Coverage, 7480,
     /* 217117 */     GIR_EraseRootFromParent_Done,
     /* 217118 */   // Label 4305: @217118
     /* 217118 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(217160), // Rule ID 7481 //
     /* 217123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 217131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 217137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 217140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1613:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 217147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_D),
     /* 217150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217156 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217158 */     GIR_RootConstrainSelectedInstOperands,
     /* 217159 */     // GIR_Coverage, 7481,
     /* 217159 */     GIR_EraseRootFromParent_Done,
     /* 217160 */   // Label 4306: @217160
     /* 217160 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(217202), // Rule ID 7482 //
     /* 217165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 217173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1860:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 217189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_S),
     /* 217192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217198 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217200 */     GIR_RootConstrainSelectedInstOperands,
     /* 217201 */     // GIR_Coverage, 7482,
     /* 217201 */     GIR_EraseRootFromParent_Done,
     /* 217202 */   // Label 4307: @217202
     /* 217202 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(217244), // Rule ID 7483 //
     /* 217207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 217215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 217221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 217224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1860:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 217231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_D),
     /* 217234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217242 */     GIR_RootConstrainSelectedInstOperands,
     /* 217243 */     // GIR_Coverage, 7483,
     /* 217243 */     GIR_EraseRootFromParent_Done,
     /* 217244 */   // Label 4308: @217244
     /* 217244 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(217286), // Rule ID 7568 //
     /* 217249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 217257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 217260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 217263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 217266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 217269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1235:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 217273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B),
     /* 217276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217284 */     GIR_RootConstrainSelectedInstOperands,
     /* 217285 */     // GIR_Coverage, 7568,
     /* 217285 */     GIR_EraseRootFromParent_Done,
     /* 217286 */   // Label 4309: @217286
     /* 217286 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(217328), // Rule ID 7569 //
     /* 217291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 217299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 217305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 217308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1235:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 217315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H),
     /* 217318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217326 */     GIR_RootConstrainSelectedInstOperands,
     /* 217327 */     // GIR_Coverage, 7569,
     /* 217327 */     GIR_EraseRootFromParent_Done,
     /* 217328 */   // Label 4310: @217328
     /* 217328 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(217370), // Rule ID 7570 //
     /* 217333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 217341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 217347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 217350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1235:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 217357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S),
     /* 217360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217368 */     GIR_RootConstrainSelectedInstOperands,
     /* 217369 */     // GIR_Coverage, 7570,
     /* 217369 */     GIR_EraseRootFromParent_Done,
     /* 217370 */   // Label 4311: @217370
     /* 217370 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(217412), // Rule ID 7571 //
     /* 217375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 217383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 217389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 217392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1235:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 217399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D),
     /* 217402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217410 */     GIR_RootConstrainSelectedInstOperands,
     /* 217411 */     // GIR_Coverage, 7571,
     /* 217411 */     GIR_EraseRootFromParent_Done,
     /* 217412 */   // Label 4312: @217412
     /* 217412 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(217454), // Rule ID 7580 //
     /* 217417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 217425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 217428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 217431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 217434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 217437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1521:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 217441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B),
     /* 217444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217452 */     GIR_RootConstrainSelectedInstOperands,
     /* 217453 */     // GIR_Coverage, 7580,
     /* 217453 */     GIR_EraseRootFromParent_Done,
     /* 217454 */   // Label 4313: @217454
     /* 217454 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(217496), // Rule ID 7581 //
     /* 217459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 217467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 217473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 217476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1521:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 217483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H),
     /* 217486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217494 */     GIR_RootConstrainSelectedInstOperands,
     /* 217495 */     // GIR_Coverage, 7581,
     /* 217495 */     GIR_EraseRootFromParent_Done,
     /* 217496 */   // Label 4314: @217496
     /* 217496 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(217538), // Rule ID 7582 //
     /* 217501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 217509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 217515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 217518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1521:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 217525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S),
     /* 217528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217536 */     GIR_RootConstrainSelectedInstOperands,
     /* 217537 */     // GIR_Coverage, 7582,
     /* 217537 */     GIR_EraseRootFromParent_Done,
     /* 217538 */   // Label 4315: @217538
     /* 217538 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(217580), // Rule ID 7583 //
     /* 217543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 217551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 217557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 217560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1521:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 217567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D),
     /* 217570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 217574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 217576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 217578 */     GIR_RootConstrainSelectedInstOperands,
     /* 217579 */     // GIR_Coverage, 7583,
     /* 217579 */     GIR_EraseRootFromParent_Done,
     /* 217580 */   // Label 4316: @217580
     /* 217580 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(217622), // Rule ID 7662 //
     /* 217585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 217593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 217596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 217599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 217602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 217605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1588:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 217609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_B),
     /* 217612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217620 */     GIR_RootConstrainSelectedInstOperands,
     /* 217621 */     // GIR_Coverage, 7662,
     /* 217621 */     GIR_EraseRootFromParent_Done,
     /* 217622 */   // Label 4317: @217622
     /* 217622 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(217664), // Rule ID 7663 //
     /* 217627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 217635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 217641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 217644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1588:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 217651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_H),
     /* 217654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217662 */     GIR_RootConstrainSelectedInstOperands,
     /* 217663 */     // GIR_Coverage, 7663,
     /* 217663 */     GIR_EraseRootFromParent_Done,
     /* 217664 */   // Label 4318: @217664
     /* 217664 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(217706), // Rule ID 7664 //
     /* 217669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 217677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1588:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 217693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_S),
     /* 217696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217704 */     GIR_RootConstrainSelectedInstOperands,
     /* 217705 */     // GIR_Coverage, 7664,
     /* 217705 */     GIR_EraseRootFromParent_Done,
     /* 217706 */   // Label 4319: @217706
     /* 217706 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(217748), // Rule ID 7665 //
     /* 217711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 217719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 217725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 217728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1588:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 217735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_D),
     /* 217738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217746 */     GIR_RootConstrainSelectedInstOperands,
     /* 217747 */     // GIR_Coverage, 7665,
     /* 217747 */     GIR_EraseRootFromParent_Done,
     /* 217748 */   // Label 4320: @217748
     /* 217748 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(217790), // Rule ID 7666 //
     /* 217753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 217761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 217764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 217767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 217770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 217773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1838:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 217777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_B),
     /* 217780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217788 */     GIR_RootConstrainSelectedInstOperands,
     /* 217789 */     // GIR_Coverage, 7666,
     /* 217789 */     GIR_EraseRootFromParent_Done,
     /* 217790 */   // Label 4321: @217790
     /* 217790 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(217832), // Rule ID 7667 //
     /* 217795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 217803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 217809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 217812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1838:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 217819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_H),
     /* 217822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217830 */     GIR_RootConstrainSelectedInstOperands,
     /* 217831 */     // GIR_Coverage, 7667,
     /* 217831 */     GIR_EraseRootFromParent_Done,
     /* 217832 */   // Label 4322: @217832
     /* 217832 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(217874), // Rule ID 7668 //
     /* 217837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 217845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1838:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 217861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_S),
     /* 217864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217872 */     GIR_RootConstrainSelectedInstOperands,
     /* 217873 */     // GIR_Coverage, 7668,
     /* 217873 */     GIR_EraseRootFromParent_Done,
     /* 217874 */   // Label 4323: @217874
     /* 217874 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(217916), // Rule ID 7669 //
     /* 217879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 217887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 217890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 217893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 217896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 217899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1838:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 217903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_D),
     /* 217906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217914 */     GIR_RootConstrainSelectedInstOperands,
     /* 217915 */     // GIR_Coverage, 7669,
     /* 217915 */     GIR_EraseRootFromParent_Done,
     /* 217916 */   // Label 4324: @217916
     /* 217916 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(217958), // Rule ID 7865 //
     /* 217921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 217929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 217935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 217938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217945 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1444:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUB_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 217945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_H),
     /* 217948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217956 */     GIR_RootConstrainSelectedInstOperands,
     /* 217957 */     // GIR_Coverage, 7865,
     /* 217957 */     GIR_EraseRootFromParent_Done,
     /* 217958 */   // Label 4325: @217958
     /* 217958 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(218000), // Rule ID 7867 //
     /* 217963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 217966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 217971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 217974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 217977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 217980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 217983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1444:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUB_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 217987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_S),
     /* 217990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 217992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217998 */     GIR_RootConstrainSelectedInstOperands,
     /* 217999 */     // GIR_Coverage, 7867,
     /* 217999 */     GIR_EraseRootFromParent_Done,
     /* 218000 */   // Label 4326: @218000
     /* 218000 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(218042), // Rule ID 7869 //
     /* 218005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 218013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1444:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUB_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_D),
     /* 218032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218040 */     GIR_RootConstrainSelectedInstOperands,
     /* 218041 */     // GIR_Coverage, 7869,
     /* 218041 */     GIR_EraseRootFromParent_Done,
     /* 218042 */   // Label 4327: @218042
     /* 218042 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(218084), // Rule ID 7877 //
     /* 218047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 218055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218071 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1446:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUBR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_H),
     /* 218074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218082 */     GIR_RootConstrainSelectedInstOperands,
     /* 218083 */     // GIR_Coverage, 7877,
     /* 218083 */     GIR_EraseRootFromParent_Done,
     /* 218084 */   // Label 4328: @218084
     /* 218084 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(218126), // Rule ID 7879 //
     /* 218089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 218097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218113 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1446:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUBR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_S),
     /* 218116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218124 */     GIR_RootConstrainSelectedInstOperands,
     /* 218125 */     // GIR_Coverage, 7879,
     /* 218125 */     GIR_EraseRootFromParent_Done,
     /* 218126 */   // Label 4329: @218126
     /* 218126 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(218168), // Rule ID 7881 //
     /* 218131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 218139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218155 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1446:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUBR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_D),
     /* 218158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218166 */     GIR_RootConstrainSelectedInstOperands,
     /* 218167 */     // GIR_Coverage, 7881,
     /* 218167 */     GIR_EraseRootFromParent_Done,
     /* 218168 */   // Label 4330: @218168
     /* 218168 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(218210), // Rule ID 7919 //
     /* 218173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 218181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218197 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1263:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_H),
     /* 218200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218208 */     GIR_RootConstrainSelectedInstOperands,
     /* 218209 */     // GIR_Coverage, 7919,
     /* 218209 */     GIR_EraseRootFromParent_Done,
     /* 218210 */   // Label 4331: @218210
     /* 218210 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(218252), // Rule ID 7920 //
     /* 218215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 218223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1263:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_S),
     /* 218242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218250 */     GIR_RootConstrainSelectedInstOperands,
     /* 218251 */     // GIR_Coverage, 7920,
     /* 218251 */     GIR_EraseRootFromParent_Done,
     /* 218252 */   // Label 4332: @218252
     /* 218252 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(218294), // Rule ID 7921 //
     /* 218257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 218265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218281 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1263:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_D),
     /* 218284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218292 */     GIR_RootConstrainSelectedInstOperands,
     /* 218293 */     // GIR_Coverage, 7921,
     /* 218293 */     GIR_EraseRootFromParent_Done,
     /* 218294 */   // Label 4333: @218294
     /* 218294 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(218336), // Rule ID 7922 //
     /* 218299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 218307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218323 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1385:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_H),
     /* 218326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218334 */     GIR_RootConstrainSelectedInstOperands,
     /* 218335 */     // GIR_Coverage, 7922,
     /* 218335 */     GIR_EraseRootFromParent_Done,
     /* 218336 */   // Label 4334: @218336
     /* 218336 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(218378), // Rule ID 7923 //
     /* 218341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 218349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218365 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1385:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_S),
     /* 218368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218376 */     GIR_RootConstrainSelectedInstOperands,
     /* 218377 */     // GIR_Coverage, 7923,
     /* 218377 */     GIR_EraseRootFromParent_Done,
     /* 218378 */   // Label 4335: @218378
     /* 218378 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(218420), // Rule ID 7924 //
     /* 218383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 218391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218407 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1385:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_D),
     /* 218410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218418 */     GIR_RootConstrainSelectedInstOperands,
     /* 218419 */     // GIR_Coverage, 7924,
     /* 218419 */     GIR_EraseRootFromParent_Done,
     /* 218420 */   // Label 4336: @218420
     /* 218420 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(218462), // Rule ID 7925 //
     /* 218425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 218433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1324:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIVR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_H),
     /* 218452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218460 */     GIR_RootConstrainSelectedInstOperands,
     /* 218461 */     // GIR_Coverage, 7925,
     /* 218461 */     GIR_EraseRootFromParent_Done,
     /* 218462 */   // Label 4337: @218462
     /* 218462 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(218504), // Rule ID 7926 //
     /* 218467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 218475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218491 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1324:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIVR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_S),
     /* 218494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218502 */     GIR_RootConstrainSelectedInstOperands,
     /* 218503 */     // GIR_Coverage, 7926,
     /* 218503 */     GIR_EraseRootFromParent_Done,
     /* 218504 */   // Label 4338: @218504
     /* 218504 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(218546), // Rule ID 7927 //
     /* 218509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 218517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1324:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIVR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_D),
     /* 218536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218544 */     GIR_RootConstrainSelectedInstOperands,
     /* 218545 */     // GIR_Coverage, 7927,
     /* 218545 */     GIR_EraseRootFromParent_Done,
     /* 218546 */   // Label 4339: @218546
     /* 218546 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(218588), // Rule ID 7928 //
     /* 218551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 218559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218575 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1322:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIV_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_H),
     /* 218578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218586 */     GIR_RootConstrainSelectedInstOperands,
     /* 218587 */     // GIR_Coverage, 7928,
     /* 218587 */     GIR_EraseRootFromParent_Done,
     /* 218588 */   // Label 4340: @218588
     /* 218588 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(218630), // Rule ID 7929 //
     /* 218593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 218601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218617 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1322:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIV_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_S),
     /* 218620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218628 */     GIR_RootConstrainSelectedInstOperands,
     /* 218629 */     // GIR_Coverage, 7929,
     /* 218629 */     GIR_EraseRootFromParent_Done,
     /* 218630 */   // Label 4341: @218630
     /* 218630 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(218672), // Rule ID 7930 //
     /* 218635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 218643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218659 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1322:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIV_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_D),
     /* 218662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218668 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218670 */     GIR_RootConstrainSelectedInstOperands,
     /* 218671 */     // GIR_Coverage, 7930,
     /* 218671 */     GIR_EraseRootFromParent_Done,
     /* 218672 */   // Label 4342: @218672
     /* 218672 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(218714), // Rule ID 7967 //
     /* 218677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218701 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1264:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 218704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218712 */     GIR_RootConstrainSelectedInstOperands,
     /* 218713 */     // GIR_Coverage, 7967,
     /* 218713 */     GIR_EraseRootFromParent_Done,
     /* 218714 */   // Label 4343: @218714
     /* 218714 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(218756), // Rule ID 7969 //
     /* 218719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 218730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 218736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 218739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218743 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1264:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 218743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 218746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218754 */     GIR_RootConstrainSelectedInstOperands,
     /* 218755 */     // GIR_Coverage, 7969,
     /* 218755 */     GIR_EraseRootFromParent_Done,
     /* 218756 */   // Label 4344: @218756
     /* 218756 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218798), // Rule ID 7971 //
     /* 218761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 218772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 218778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 218781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218785 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1264:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 218785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 218788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218794 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218796 */     GIR_RootConstrainSelectedInstOperands,
     /* 218797 */     // GIR_Coverage, 7971,
     /* 218797 */     GIR_EraseRootFromParent_Done,
     /* 218798 */   // Label 4345: @218798
     /* 218798 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218840), // Rule ID 7973 //
     /* 218803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1264:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 218830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218838 */     GIR_RootConstrainSelectedInstOperands,
     /* 218839 */     // GIR_Coverage, 7973,
     /* 218839 */     GIR_EraseRootFromParent_Done,
     /* 218840 */   // Label 4346: @218840
     /* 218840 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218882), // Rule ID 7975 //
     /* 218845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 218856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 218862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 218865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1264:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 218869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 218872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218878 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218880 */     GIR_RootConstrainSelectedInstOperands,
     /* 218881 */     // GIR_Coverage, 7975,
     /* 218881 */     GIR_EraseRootFromParent_Done,
     /* 218882 */   // Label 4347: @218882
     /* 218882 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218924), // Rule ID 7977 //
     /* 218887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 218895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1264:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_D_UNDEF),
     /* 218914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218922 */     GIR_RootConstrainSelectedInstOperands,
     /* 218923 */     // GIR_Coverage, 7977,
     /* 218923 */     GIR_EraseRootFromParent_Done,
     /* 218924 */   // Label 4348: @218924
     /* 218924 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218966), // Rule ID 7979 //
     /* 218929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 218937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218953 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1386:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 218956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218964 */     GIR_RootConstrainSelectedInstOperands,
     /* 218965 */     // GIR_Coverage, 7979,
     /* 218965 */     GIR_EraseRootFromParent_Done,
     /* 218966 */   // Label 4349: @218966
     /* 218966 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(219008), // Rule ID 7980 //
     /* 218971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 218979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 218982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 218988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 218991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218995 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1386:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 218995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 218998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219004 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219006 */     GIR_RootConstrainSelectedInstOperands,
     /* 219007 */     // GIR_Coverage, 7980,
     /* 219007 */     GIR_EraseRootFromParent_Done,
     /* 219008 */   // Label 4350: @219008
     /* 219008 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(219050), // Rule ID 7981 //
     /* 219013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 219021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 219024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 219030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 219033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219037 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1386:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 219037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 219040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219046 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219048 */     GIR_RootConstrainSelectedInstOperands,
     /* 219049 */     // GIR_Coverage, 7981,
     /* 219049 */     GIR_EraseRootFromParent_Done,
     /* 219050 */   // Label 4351: @219050
     /* 219050 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(219092), // Rule ID 7982 //
     /* 219055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 219063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219079 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1386:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 219082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219090 */     GIR_RootConstrainSelectedInstOperands,
     /* 219091 */     // GIR_Coverage, 7982,
     /* 219091 */     GIR_EraseRootFromParent_Done,
     /* 219092 */   // Label 4352: @219092
     /* 219092 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(219134), // Rule ID 7983 //
     /* 219097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 219105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 219108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 219114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 219117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219121 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1386:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 219121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 219124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219132 */     GIR_RootConstrainSelectedInstOperands,
     /* 219133 */     // GIR_Coverage, 7983,
     /* 219133 */     GIR_EraseRootFromParent_Done,
     /* 219134 */   // Label 4353: @219134
     /* 219134 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(219176), // Rule ID 7984 //
     /* 219139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 219147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219163 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1386:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_D_UNDEF),
     /* 219166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219174 */     GIR_RootConstrainSelectedInstOperands,
     /* 219175 */     // GIR_Coverage, 7984,
     /* 219175 */     GIR_EraseRootFromParent_Done,
     /* 219176 */   // Label 4354: @219176
     /* 219176 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(219218), // Rule ID 8237 //
     /* 219181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpb_z),
     /* 219189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 219205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1204:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPB_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPB_PPzPP),
     /* 219208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219216 */     GIR_RootConstrainSelectedInstOperands,
     /* 219217 */     // GIR_Coverage, 8237,
     /* 219217 */     GIR_EraseRootFromParent_Done,
     /* 219218 */   // Label 4355: @219218
     /* 219218 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(219260), // Rule ID 8239 //
     /* 219223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb),
     /* 219231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 219247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1200:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKB_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPmP),
     /* 219250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219258 */     GIR_RootConstrainSelectedInstOperands,
     /* 219259 */     // GIR_Coverage, 8239,
     /* 219259 */     GIR_EraseRootFromParent_Done,
     /* 219260 */   // Label 4356: @219260
     /* 219260 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(219302), // Rule ID 8240 //
     /* 219265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 219273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219289 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1197:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 219292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219300 */     GIR_RootConstrainSelectedInstOperands,
     /* 219301 */     // GIR_Coverage, 8240,
     /* 219301 */     GIR_EraseRootFromParent_Done,
     /* 219302 */   // Label 4357: @219302
     /* 219302 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(219344), // Rule ID 8241 //
     /* 219307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 219315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1197:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 219334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219342 */     GIR_RootConstrainSelectedInstOperands,
     /* 219343 */     // GIR_Coverage, 8241,
     /* 219343 */     GIR_EraseRootFromParent_Done,
     /* 219344 */   // Label 4358: @219344
     /* 219344 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219386), // Rule ID 8242 //
     /* 219349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 219357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1197:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 219373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 219376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219382 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219384 */     GIR_RootConstrainSelectedInstOperands,
     /* 219385 */     // GIR_Coverage, 8242,
     /* 219385 */     GIR_EraseRootFromParent_Done,
     /* 219386 */   // Label 4359: @219386
     /* 219386 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219428), // Rule ID 8243 //
     /* 219391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 219399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 219402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 219411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219415 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1197:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 219415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 219418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219424 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219426 */     GIR_RootConstrainSelectedInstOperands,
     /* 219427 */     // GIR_Coverage, 8243,
     /* 219427 */     GIR_EraseRootFromParent_Done,
     /* 219428 */   // Label 4360: @219428
     /* 219428 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219470), // Rule ID 8244 //
     /* 219433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 219441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 219444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 219447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 219450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 219453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1197:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 219457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 219460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219468 */     GIR_RootConstrainSelectedInstOperands,
     /* 219469 */     // GIR_Coverage, 8244,
     /* 219469 */     GIR_EraseRootFromParent_Done,
     /* 219470 */   // Label 4361: @219470
     /* 219470 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219512), // Rule ID 8265 //
     /* 219475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 219483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219499 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1255:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 219502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219510 */     GIR_RootConstrainSelectedInstOperands,
     /* 219511 */     // GIR_Coverage, 8265,
     /* 219511 */     GIR_EraseRootFromParent_Done,
     /* 219512 */   // Label 4362: @219512
     /* 219512 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219554), // Rule ID 8266 //
     /* 219517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 219525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1255:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 219544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219552 */     GIR_RootConstrainSelectedInstOperands,
     /* 219553 */     // GIR_Coverage, 8266,
     /* 219553 */     GIR_EraseRootFromParent_Done,
     /* 219554 */   // Label 4363: @219554
     /* 219554 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219596), // Rule ID 8267 //
     /* 219559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 219567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1255:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 219583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 219586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219594 */     GIR_RootConstrainSelectedInstOperands,
     /* 219595 */     // GIR_Coverage, 8267,
     /* 219595 */     GIR_EraseRootFromParent_Done,
     /* 219596 */   // Label 4364: @219596
     /* 219596 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219638), // Rule ID 8268 //
     /* 219601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 219609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 219612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 219621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1255:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 219625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 219628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219634 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219636 */     GIR_RootConstrainSelectedInstOperands,
     /* 219637 */     // GIR_Coverage, 8268,
     /* 219637 */     GIR_EraseRootFromParent_Done,
     /* 219638 */   // Label 4365: @219638
     /* 219638 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219680), // Rule ID 8269 //
     /* 219643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 219651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 219654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 219657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 219660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 219663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1255:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 219667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 219670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219678 */     GIR_RootConstrainSelectedInstOperands,
     /* 219679 */     // GIR_Coverage, 8269,
     /* 219679 */     GIR_EraseRootFromParent_Done,
     /* 219680 */   // Label 4366: @219680
     /* 219680 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219722), // Rule ID 8285 //
     /* 219685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 219693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1526:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 219712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219718 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219720 */     GIR_RootConstrainSelectedInstOperands,
     /* 219721 */     // GIR_Coverage, 8285,
     /* 219721 */     GIR_EraseRootFromParent_Done,
     /* 219722 */   // Label 4367: @219722
     /* 219722 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219764), // Rule ID 8286 //
     /* 219727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 219735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219751 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1526:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 219754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219760 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219762 */     GIR_RootConstrainSelectedInstOperands,
     /* 219763 */     // GIR_Coverage, 8286,
     /* 219763 */     GIR_EraseRootFromParent_Done,
     /* 219764 */   // Label 4368: @219764
     /* 219764 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219806), // Rule ID 8287 //
     /* 219769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 219777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1526:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 219793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 219796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219804 */     GIR_RootConstrainSelectedInstOperands,
     /* 219805 */     // GIR_Coverage, 8287,
     /* 219805 */     GIR_EraseRootFromParent_Done,
     /* 219806 */   // Label 4369: @219806
     /* 219806 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219848), // Rule ID 8288 //
     /* 219811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 219819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 219822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 219831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1526:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 219835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 219838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219844 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219846 */     GIR_RootConstrainSelectedInstOperands,
     /* 219847 */     // GIR_Coverage, 8288,
     /* 219847 */     GIR_EraseRootFromParent_Done,
     /* 219848 */   // Label 4370: @219848
     /* 219848 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219890), // Rule ID 8289 //
     /* 219853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 219861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 219864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 219867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 219870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 219873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1526:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 219877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 219880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219886 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219888 */     GIR_RootConstrainSelectedInstOperands,
     /* 219889 */     // GIR_Coverage, 8289,
     /* 219889 */     GIR_EraseRootFromParent_Done,
     /* 219890 */   // Label 4371: @219890
     /* 219890 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219932), // Rule ID 8290 //
     /* 219895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 219903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1522:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 219922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219930 */     GIR_RootConstrainSelectedInstOperands,
     /* 219931 */     // GIR_Coverage, 8290,
     /* 219931 */     GIR_EraseRootFromParent_Done,
     /* 219932 */   // Label 4372: @219932
     /* 219932 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(219974), // Rule ID 8291 //
     /* 219937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 219945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219961 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1522:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 219964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219972 */     GIR_RootConstrainSelectedInstOperands,
     /* 219973 */     // GIR_Coverage, 8291,
     /* 219973 */     GIR_EraseRootFromParent_Done,
     /* 219974 */   // Label 4373: @219974
     /* 219974 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220016), // Rule ID 8292 //
     /* 219979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 219987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1522:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 220003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 220006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220012 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220014 */     GIR_RootConstrainSelectedInstOperands,
     /* 220015 */     // GIR_Coverage, 8292,
     /* 220015 */     GIR_EraseRootFromParent_Done,
     /* 220016 */   // Label 4374: @220016
     /* 220016 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220058), // Rule ID 8293 //
     /* 220021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 220029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 220032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 220041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1522:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 220045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 220048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220056 */     GIR_RootConstrainSelectedInstOperands,
     /* 220057 */     // GIR_Coverage, 8293,
     /* 220057 */     GIR_EraseRootFromParent_Done,
     /* 220058 */   // Label 4375: @220058
     /* 220058 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220100), // Rule ID 8294 //
     /* 220063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 220071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 220074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 220077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 220080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 220083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1522:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 220087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 220090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220098 */     GIR_RootConstrainSelectedInstOperands,
     /* 220099 */     // GIR_Coverage, 8294,
     /* 220099 */     GIR_EraseRootFromParent_Done,
     /* 220100 */   // Label 4376: @220100
     /* 220100 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220142), // Rule ID 8295 //
     /* 220105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 220113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 220116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 220125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1520:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 220129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 220132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220138 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220140 */     GIR_RootConstrainSelectedInstOperands,
     /* 220141 */     // GIR_Coverage, 8295,
     /* 220141 */     GIR_EraseRootFromParent_Done,
     /* 220142 */   // Label 4377: @220142
     /* 220142 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220184), // Rule ID 8296 //
     /* 220147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 220155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 220158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 220167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1520:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 220171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 220174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220182 */     GIR_RootConstrainSelectedInstOperands,
     /* 220183 */     // GIR_Coverage, 8296,
     /* 220183 */     GIR_EraseRootFromParent_Done,
     /* 220184 */   // Label 4378: @220184
     /* 220184 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220226), // Rule ID 8297 //
     /* 220189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 220197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 220200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 220209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1520:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 220213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 220216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220224 */     GIR_RootConstrainSelectedInstOperands,
     /* 220225 */     // GIR_Coverage, 8297,
     /* 220225 */     GIR_EraseRootFromParent_Done,
     /* 220226 */   // Label 4379: @220226
     /* 220226 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220268), // Rule ID 8298 //
     /* 220231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 220239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 220242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 220251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220255 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1520:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 220255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 220258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220264 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220266 */     GIR_RootConstrainSelectedInstOperands,
     /* 220267 */     // GIR_Coverage, 8298,
     /* 220267 */     GIR_EraseRootFromParent_Done,
     /* 220268 */   // Label 4380: @220268
     /* 220268 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220310), // Rule ID 8299 //
     /* 220273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 220281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 220284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 220287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 220290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 220293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1520:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 220297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 220300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220308 */     GIR_RootConstrainSelectedInstOperands,
     /* 220309 */     // GIR_Coverage, 8299,
     /* 220309 */     GIR_EraseRootFromParent_Done,
     /* 220310 */   // Label 4381: @220310
     /* 220310 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220352), // Rule ID 8300 //
     /* 220315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 220323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 220326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 220335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1516:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 220339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 220342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220348 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220350 */     GIR_RootConstrainSelectedInstOperands,
     /* 220351 */     // GIR_Coverage, 8300,
     /* 220351 */     GIR_EraseRootFromParent_Done,
     /* 220352 */   // Label 4382: @220352
     /* 220352 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220394), // Rule ID 8301 //
     /* 220357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 220365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 220368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 220377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220381 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1516:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 220381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 220384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220390 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220392 */     GIR_RootConstrainSelectedInstOperands,
     /* 220393 */     // GIR_Coverage, 8301,
     /* 220393 */     GIR_EraseRootFromParent_Done,
     /* 220394 */   // Label 4383: @220394
     /* 220394 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220436), // Rule ID 8302 //
     /* 220399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 220407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 220410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 220419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1516:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 220423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 220426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220434 */     GIR_RootConstrainSelectedInstOperands,
     /* 220435 */     // GIR_Coverage, 8302,
     /* 220435 */     GIR_EraseRootFromParent_Done,
     /* 220436 */   // Label 4384: @220436
     /* 220436 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220478), // Rule ID 8303 //
     /* 220441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 220449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 220452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 220461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1516:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 220465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 220468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220474 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220476 */     GIR_RootConstrainSelectedInstOperands,
     /* 220477 */     // GIR_Coverage, 8303,
     /* 220477 */     GIR_EraseRootFromParent_Done,
     /* 220478 */   // Label 4385: @220478
     /* 220478 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220520), // Rule ID 8304 //
     /* 220483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 220491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 220494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 220497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 220500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 220503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 220507 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1516:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 220507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 220510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220516 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220518 */     GIR_RootConstrainSelectedInstOperands,
     /* 220519 */     // GIR_Coverage, 8304,
     /* 220519 */     GIR_EraseRootFromParent_Done,
     /* 220520 */   // Label 4386: @220520
     /* 220520 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(220562), // Rule ID 8312 //
     /* 220525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1213:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTB_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_B),
     /* 220552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220560 */     GIR_RootConstrainSelectedInstOperands,
     /* 220561 */     // GIR_Coverage, 8312,
     /* 220561 */     GIR_EraseRootFromParent_Done,
     /* 220562 */   // Label 4387: @220562
     /* 220562 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(220604), // Rule ID 8313 //
     /* 220567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1213:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 220594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220602 */     GIR_RootConstrainSelectedInstOperands,
     /* 220603 */     // GIR_Coverage, 8313,
     /* 220603 */     GIR_EraseRootFromParent_Done,
     /* 220604 */   // Label 4388: @220604
     /* 220604 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(220646), // Rule ID 8314 //
     /* 220609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1213:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 220636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220642 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220644 */     GIR_RootConstrainSelectedInstOperands,
     /* 220645 */     // GIR_Coverage, 8314,
     /* 220645 */     GIR_EraseRootFromParent_Done,
     /* 220646 */   // Label 4389: @220646
     /* 220646 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(220688), // Rule ID 8315 //
     /* 220651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1213:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 220678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220686 */     GIR_RootConstrainSelectedInstOperands,
     /* 220687 */     // GIR_Coverage, 8315,
     /* 220687 */     GIR_EraseRootFromParent_Done,
     /* 220688 */   // Label 4390: @220688
     /* 220688 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(220730), // Rule ID 8316 //
     /* 220693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220717 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1213:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 220717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 220720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220726 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220728 */     GIR_RootConstrainSelectedInstOperands,
     /* 220729 */     // GIR_Coverage, 8316,
     /* 220729 */     GIR_EraseRootFromParent_Done,
     /* 220730 */   // Label 4391: @220730
     /* 220730 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(220772), // Rule ID 8317 //
     /* 220735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220759 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1213:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 220759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 220762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220770 */     GIR_RootConstrainSelectedInstOperands,
     /* 220771 */     // GIR_Coverage, 8317,
     /* 220771 */     GIR_EraseRootFromParent_Done,
     /* 220772 */   // Label 4392: @220772
     /* 220772 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(220814), // Rule ID 8318 //
     /* 220777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 220785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220801 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1213:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 220801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 220804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220812 */     GIR_RootConstrainSelectedInstOperands,
     /* 220813 */     // GIR_Coverage, 8318,
     /* 220813 */     GIR_EraseRootFromParent_Done,
     /* 220814 */   // Label 4393: @220814
     /* 220814 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(220859), // Rule ID 9014 //
     /* 220819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 220827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 220830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 220843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1234:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_B),
     /* 220846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220852 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 220857 */     GIR_RootConstrainSelectedInstOperands,
     /* 220858 */     // GIR_Coverage, 9014,
     /* 220858 */     GIR_EraseRootFromParent_Done,
     /* 220859 */   // Label 4394: @220859
     /* 220859 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(220904), // Rule ID 9015 //
     /* 220864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 220872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 220875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 220888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1234:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_H),
     /* 220891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220897 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 220902 */     GIR_RootConstrainSelectedInstOperands,
     /* 220903 */     // GIR_Coverage, 9015,
     /* 220903 */     GIR_EraseRootFromParent_Done,
     /* 220904 */   // Label 4395: @220904
     /* 220904 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(220949), // Rule ID 9016 //
     /* 220909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 220917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 220920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 220933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1234:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_S),
     /* 220936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 220947 */     GIR_RootConstrainSelectedInstOperands,
     /* 220948 */     // GIR_Coverage, 9016,
     /* 220948 */     GIR_EraseRootFromParent_Done,
     /* 220949 */   // Label 4396: @220949
     /* 220949 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(220994), // Rule ID 9017 //
     /* 220954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 220962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 220965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 220978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1224:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_B),
     /* 220981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 220983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220987 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 220992 */     GIR_RootConstrainSelectedInstOperands,
     /* 220993 */     // GIR_Coverage, 9017,
     /* 220993 */     GIR_EraseRootFromParent_Done,
     /* 220994 */   // Label 4397: @220994
     /* 220994 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221039), // Rule ID 9018 //
     /* 220999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 221007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1224:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_H),
     /* 221026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221037 */     GIR_RootConstrainSelectedInstOperands,
     /* 221038 */     // GIR_Coverage, 9018,
     /* 221038 */     GIR_EraseRootFromParent_Done,
     /* 221039 */   // Label 4398: @221039
     /* 221039 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221084), // Rule ID 9019 //
     /* 221044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 221052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1224:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_S),
     /* 221071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221077 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221082 */     GIR_RootConstrainSelectedInstOperands,
     /* 221083 */     // GIR_Coverage, 9019,
     /* 221083 */     GIR_EraseRootFromParent_Done,
     /* 221084 */   // Label 4399: @221084
     /* 221084 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221129), // Rule ID 9020 //
     /* 221089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 221097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1232:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_B),
     /* 221116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221127 */     GIR_RootConstrainSelectedInstOperands,
     /* 221128 */     // GIR_Coverage, 9020,
     /* 221128 */     GIR_EraseRootFromParent_Done,
     /* 221129 */   // Label 4400: @221129
     /* 221129 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(221174), // Rule ID 9021 //
     /* 221134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 221142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1232:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_H),
     /* 221161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221167 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221172 */     GIR_RootConstrainSelectedInstOperands,
     /* 221173 */     // GIR_Coverage, 9021,
     /* 221173 */     GIR_EraseRootFromParent_Done,
     /* 221174 */   // Label 4401: @221174
     /* 221174 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(221219), // Rule ID 9022 //
     /* 221179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 221187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1232:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_S),
     /* 221206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221217 */     GIR_RootConstrainSelectedInstOperands,
     /* 221218 */     // GIR_Coverage, 9022,
     /* 221218 */     GIR_EraseRootFromParent_Done,
     /* 221219 */   // Label 4402: @221219
     /* 221219 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(221264), // Rule ID 9023 //
     /* 221224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 221232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1229:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_B),
     /* 221251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221262 */     GIR_RootConstrainSelectedInstOperands,
     /* 221263 */     // GIR_Coverage, 9023,
     /* 221263 */     GIR_EraseRootFromParent_Done,
     /* 221264 */   // Label 4403: @221264
     /* 221264 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(221309), // Rule ID 9024 //
     /* 221269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 221277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221293 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1229:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_H),
     /* 221296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221307 */     GIR_RootConstrainSelectedInstOperands,
     /* 221308 */     // GIR_Coverage, 9024,
     /* 221308 */     GIR_EraseRootFromParent_Done,
     /* 221309 */   // Label 4404: @221309
     /* 221309 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(221354), // Rule ID 9025 //
     /* 221314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 221322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1229:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_S),
     /* 221341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221347 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221352 */     GIR_RootConstrainSelectedInstOperands,
     /* 221353 */     // GIR_Coverage, 9025,
     /* 221353 */     GIR_EraseRootFromParent_Done,
     /* 221354 */   // Label 4405: @221354
     /* 221354 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(221399), // Rule ID 9026 //
     /* 221359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 221367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1228:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_B),
     /* 221386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221397 */     GIR_RootConstrainSelectedInstOperands,
     /* 221398 */     // GIR_Coverage, 9026,
     /* 221398 */     GIR_EraseRootFromParent_Done,
     /* 221399 */   // Label 4406: @221399
     /* 221399 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(221444), // Rule ID 9027 //
     /* 221404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 221412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1228:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_H),
     /* 221431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221437 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221442 */     GIR_RootConstrainSelectedInstOperands,
     /* 221443 */     // GIR_Coverage, 9027,
     /* 221443 */     GIR_EraseRootFromParent_Done,
     /* 221444 */   // Label 4407: @221444
     /* 221444 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(221489), // Rule ID 9028 //
     /* 221449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 221457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1228:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_S),
     /* 221476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221482 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221487 */     GIR_RootConstrainSelectedInstOperands,
     /* 221488 */     // GIR_Coverage, 9028,
     /* 221488 */     GIR_EraseRootFromParent_Done,
     /* 221489 */   // Label 4408: @221489
     /* 221489 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(221534), // Rule ID 9029 //
     /* 221494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 221502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221518 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1226:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_B),
     /* 221521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221527 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221532 */     GIR_RootConstrainSelectedInstOperands,
     /* 221533 */     // GIR_Coverage, 9029,
     /* 221533 */     GIR_EraseRootFromParent_Done,
     /* 221534 */   // Label 4409: @221534
     /* 221534 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(221579), // Rule ID 9030 //
     /* 221539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 221547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221563 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1226:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_H),
     /* 221566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221572 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221577 */     GIR_RootConstrainSelectedInstOperands,
     /* 221578 */     // GIR_Coverage, 9030,
     /* 221578 */     GIR_EraseRootFromParent_Done,
     /* 221579 */   // Label 4410: @221579
     /* 221579 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(221624), // Rule ID 9031 //
     /* 221584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 221592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1226:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_S),
     /* 221611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221617 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221622 */     GIR_RootConstrainSelectedInstOperands,
     /* 221623 */     // GIR_Coverage, 9031,
     /* 221623 */     GIR_EraseRootFromParent_Done,
     /* 221624 */   // Label 4411: @221624
     /* 221624 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(221669), // Rule ID 9032 //
     /* 221629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 221637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1230:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_B),
     /* 221656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221667 */     GIR_RootConstrainSelectedInstOperands,
     /* 221668 */     // GIR_Coverage, 9032,
     /* 221668 */     GIR_EraseRootFromParent_Done,
     /* 221669 */   // Label 4412: @221669
     /* 221669 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(221714), // Rule ID 9033 //
     /* 221674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 221682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1230:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_H),
     /* 221701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221707 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221712 */     GIR_RootConstrainSelectedInstOperands,
     /* 221713 */     // GIR_Coverage, 9033,
     /* 221713 */     GIR_EraseRootFromParent_Done,
     /* 221714 */   // Label 4413: @221714
     /* 221714 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(221759), // Rule ID 9034 //
     /* 221719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 221727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1230:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_S),
     /* 221746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221757 */     GIR_RootConstrainSelectedInstOperands,
     /* 221758 */     // GIR_Coverage, 9034,
     /* 221758 */     GIR_EraseRootFromParent_Done,
     /* 221759 */   // Label 4414: @221759
     /* 221759 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(221804), // Rule ID 9035 //
     /* 221764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 221772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1231:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_B),
     /* 221791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221795 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221797 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221802 */     GIR_RootConstrainSelectedInstOperands,
     /* 221803 */     // GIR_Coverage, 9035,
     /* 221803 */     GIR_EraseRootFromParent_Done,
     /* 221804 */   // Label 4415: @221804
     /* 221804 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(221849), // Rule ID 9036 //
     /* 221809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 221817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1231:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_H),
     /* 221836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221842 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221847 */     GIR_RootConstrainSelectedInstOperands,
     /* 221848 */     // GIR_Coverage, 9036,
     /* 221848 */     GIR_EraseRootFromParent_Done,
     /* 221849 */   // Label 4416: @221849
     /* 221849 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(221894), // Rule ID 9037 //
     /* 221854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 221862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1231:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_S),
     /* 221881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221885 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221887 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221892 */     GIR_RootConstrainSelectedInstOperands,
     /* 221893 */     // GIR_Coverage, 9037,
     /* 221893 */     GIR_EraseRootFromParent_Done,
     /* 221894 */   // Label 4417: @221894
     /* 221894 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(221936), // Rule ID 9434 //
     /* 221899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 221907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1267:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGT_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 221923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_H),
     /* 221926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221934 */     GIR_RootConstrainSelectedInstOperands,
     /* 221935 */     // GIR_Coverage, 9434,
     /* 221935 */     GIR_EraseRootFromParent_Done,
     /* 221936 */   // Label 4418: @221936
     /* 221936 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(221978), // Rule ID 9435 //
     /* 221941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 221949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1267:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGT_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 221965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_S),
     /* 221968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221976 */     GIR_RootConstrainSelectedInstOperands,
     /* 221977 */     // GIR_Coverage, 9435,
     /* 221977 */     GIR_EraseRootFromParent_Done,
     /* 221978 */   // Label 4419: @221978
     /* 221978 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(222020), // Rule ID 9436 //
     /* 221983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 221991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 221994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 221997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222007 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1267:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGT_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_D),
     /* 222010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222018 */     GIR_RootConstrainSelectedInstOperands,
     /* 222019 */     // GIR_Coverage, 9436,
     /* 222019 */     GIR_EraseRootFromParent_Done,
     /* 222020 */   // Label 4420: @222020
     /* 222020 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(222062), // Rule ID 9974 //
     /* 222025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 222033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222049 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1498:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_B),
     /* 222052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222060 */     GIR_RootConstrainSelectedInstOperands,
     /* 222061 */     // GIR_Coverage, 9974,
     /* 222061 */     GIR_EraseRootFromParent_Done,
     /* 222062 */   // Label 4421: @222062
     /* 222062 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(222104), // Rule ID 9975 //
     /* 222067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 222075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1498:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_H),
     /* 222094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222102 */     GIR_RootConstrainSelectedInstOperands,
     /* 222103 */     // GIR_Coverage, 9975,
     /* 222103 */     GIR_EraseRootFromParent_Done,
     /* 222104 */   // Label 4422: @222104
     /* 222104 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(222146), // Rule ID 9976 //
     /* 222109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 222117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222133 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1498:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_S),
     /* 222136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222144 */     GIR_RootConstrainSelectedInstOperands,
     /* 222145 */     // GIR_Coverage, 9976,
     /* 222145 */     GIR_EraseRootFromParent_Done,
     /* 222146 */   // Label 4423: @222146
     /* 222146 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(222188), // Rule ID 9977 //
     /* 222151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 222159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222175 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1498:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_D),
     /* 222178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222186 */     GIR_RootConstrainSelectedInstOperands,
     /* 222187 */     // GIR_Coverage, 9977,
     /* 222187 */     GIR_EraseRootFromParent_Done,
     /* 222188 */   // Label 4424: @222188
     /* 222188 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(222230), // Rule ID 9978 //
     /* 222193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 222201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1495:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_B),
     /* 222220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222228 */     GIR_RootConstrainSelectedInstOperands,
     /* 222229 */     // GIR_Coverage, 9978,
     /* 222229 */     GIR_EraseRootFromParent_Done,
     /* 222230 */   // Label 4425: @222230
     /* 222230 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(222272), // Rule ID 9979 //
     /* 222235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 222243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1495:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_H),
     /* 222262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222270 */     GIR_RootConstrainSelectedInstOperands,
     /* 222271 */     // GIR_Coverage, 9979,
     /* 222271 */     GIR_EraseRootFromParent_Done,
     /* 222272 */   // Label 4426: @222272
     /* 222272 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(222314), // Rule ID 9980 //
     /* 222277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 222285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1495:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_S),
     /* 222304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222312 */     GIR_RootConstrainSelectedInstOperands,
     /* 222313 */     // GIR_Coverage, 9980,
     /* 222313 */     GIR_EraseRootFromParent_Done,
     /* 222314 */   // Label 4427: @222314
     /* 222314 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(222356), // Rule ID 9981 //
     /* 222319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 222327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222343 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1495:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_D),
     /* 222346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222354 */     GIR_RootConstrainSelectedInstOperands,
     /* 222355 */     // GIR_Coverage, 9981,
     /* 222355 */     GIR_EraseRootFromParent_Done,
     /* 222356 */   // Label 4428: @222356
     /* 222356 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(222398), // Rule ID 9994 //
     /* 222361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 222369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1500:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_B),
     /* 222388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222396 */     GIR_RootConstrainSelectedInstOperands,
     /* 222397 */     // GIR_Coverage, 9994,
     /* 222397 */     GIR_EraseRootFromParent_Done,
     /* 222398 */   // Label 4429: @222398
     /* 222398 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(222440), // Rule ID 9995 //
     /* 222403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 222411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1500:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_H),
     /* 222430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222438 */     GIR_RootConstrainSelectedInstOperands,
     /* 222439 */     // GIR_Coverage, 9995,
     /* 222439 */     GIR_EraseRootFromParent_Done,
     /* 222440 */   // Label 4430: @222440
     /* 222440 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(222482), // Rule ID 9996 //
     /* 222445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 222453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1500:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_S),
     /* 222472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222480 */     GIR_RootConstrainSelectedInstOperands,
     /* 222481 */     // GIR_Coverage, 9996,
     /* 222481 */     GIR_EraseRootFromParent_Done,
     /* 222482 */   // Label 4431: @222482
     /* 222482 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(222524), // Rule ID 9997 //
     /* 222487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 222495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1497:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_B),
     /* 222514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222522 */     GIR_RootConstrainSelectedInstOperands,
     /* 222523 */     // GIR_Coverage, 9997,
     /* 222523 */     GIR_EraseRootFromParent_Done,
     /* 222524 */   // Label 4432: @222524
     /* 222524 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(222566), // Rule ID 9998 //
     /* 222529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 222537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1497:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_H),
     /* 222556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222564 */     GIR_RootConstrainSelectedInstOperands,
     /* 222565 */     // GIR_Coverage, 9998,
     /* 222565 */     GIR_EraseRootFromParent_Done,
     /* 222566 */   // Label 4433: @222566
     /* 222566 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(222608), // Rule ID 9999 //
     /* 222571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 222579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1497:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_S),
     /* 222598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222606 */     GIR_RootConstrainSelectedInstOperands,
     /* 222607 */     // GIR_Coverage, 9999,
     /* 222607 */     GIR_EraseRootFromParent_Done,
     /* 222608 */   // Label 4434: @222608
     /* 222608 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(222650), // Rule ID 10026 //
     /* 222613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f64),
     /* 222621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222637 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1292:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoH),
     /* 222640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222648 */     GIR_RootConstrainSelectedInstOperands,
     /* 222649 */     // GIR_Coverage, 10026,
     /* 222649 */     GIR_EraseRootFromParent_Done,
     /* 222650 */   // Label 4435: @222650
     /* 222650 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(222692), // Rule ID 10030 //
     /* 222655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f16),
     /* 222663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222679 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1295:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoD),
     /* 222682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222690 */     GIR_RootConstrainSelectedInstOperands,
     /* 222691 */     // GIR_Coverage, 10030,
     /* 222691 */     GIR_EraseRootFromParent_Done,
     /* 222692 */   // Label 4436: @222692
     /* 222692 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(222734), // Rule ID 10034 //
     /* 222697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f64),
     /* 222705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1294:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoS),
     /* 222724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222732 */     GIR_RootConstrainSelectedInstOperands,
     /* 222733 */     // GIR_Coverage, 10034,
     /* 222733 */     GIR_EraseRootFromParent_Done,
     /* 222734 */   // Label 4437: @222734
     /* 222734 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(222776), // Rule ID 10038 //
     /* 222739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f32),
     /* 222747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222763 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1296:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoD),
     /* 222766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222774 */     GIR_RootConstrainSelectedInstOperands,
     /* 222775 */     // GIR_Coverage, 10038,
     /* 222775 */     GIR_EraseRootFromParent_Done,
     /* 222776 */   // Label 4438: @222776
     /* 222776 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(222818), // Rule ID 10042 //
     /* 222781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f64i32),
     /* 222789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222805 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1608:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoD),
     /* 222808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222816 */     GIR_RootConstrainSelectedInstOperands,
     /* 222817 */     // GIR_Coverage, 10042,
     /* 222817 */     GIR_EraseRootFromParent_Done,
     /* 222818 */   // Label 4439: @222818
     /* 222818 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(222860), // Rule ID 10043 //
     /* 222823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f64i32),
     /* 222831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222847 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1855:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoD),
     /* 222850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222858 */     GIR_RootConstrainSelectedInstOperands,
     /* 222859 */     // GIR_Coverage, 10043,
     /* 222859 */     GIR_EraseRootFromParent_Done,
     /* 222860 */   // Label 4440: @222860
     /* 222860 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(222902), // Rule ID 10044 //
     /* 222865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i32),
     /* 222873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 222882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1852:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoH),
     /* 222892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222900 */     GIR_RootConstrainSelectedInstOperands,
     /* 222901 */     // GIR_Coverage, 10044,
     /* 222901 */     GIR_EraseRootFromParent_Done,
     /* 222902 */   // Label 4441: @222902
     /* 222902 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(222944), // Rule ID 10048 //
     /* 222907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f32i64),
     /* 222915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 222924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222931 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1607:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoS),
     /* 222934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222942 */     GIR_RootConstrainSelectedInstOperands,
     /* 222943 */     // GIR_Coverage, 10048,
     /* 222943 */     GIR_EraseRootFromParent_Done,
     /* 222944 */   // Label 4442: @222944
     /* 222944 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(222986), // Rule ID 10052 //
     /* 222949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i32),
     /* 222957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 222966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222973 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1605:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoH),
     /* 222976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222984 */     GIR_RootConstrainSelectedInstOperands,
     /* 222985 */     // GIR_Coverage, 10052,
     /* 222985 */     GIR_EraseRootFromParent_Done,
     /* 222986 */   // Label 4443: @222986
     /* 222986 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(223028), // Rule ID 10056 //
     /* 222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i64),
     /* 222999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223015 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1606:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoH),
     /* 223018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223026 */     GIR_RootConstrainSelectedInstOperands,
     /* 223027 */     // GIR_Coverage, 10056,
     /* 223027 */     GIR_EraseRootFromParent_Done,
     /* 223028 */   // Label 4444: @223028
     /* 223028 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(223070), // Rule ID 10060 //
     /* 223033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f32i64),
     /* 223041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1854:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoS),
     /* 223060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223068 */     GIR_RootConstrainSelectedInstOperands,
     /* 223069 */     // GIR_Coverage, 10060,
     /* 223069 */     GIR_EraseRootFromParent_Done,
     /* 223070 */   // Label 4445: @223070
     /* 223070 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(223112), // Rule ID 10064 //
     /* 223075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i64),
     /* 223083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223099 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1853:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoH),
     /* 223102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223110 */     GIR_RootConstrainSelectedInstOperands,
     /* 223111 */     // GIR_Coverage, 10064,
     /* 223111 */     GIR_EraseRootFromParent_Done,
     /* 223112 */   // Label 4446: @223112
     /* 223112 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(223154), // Rule ID 10074 //
     /* 223117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f64),
     /* 223125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1310:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZS_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_DtoS),
     /* 223144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223152 */     GIR_RootConstrainSelectedInstOperands,
     /* 223153 */     // GIR_Coverage, 10074,
     /* 223153 */     GIR_EraseRootFromParent_Done,
     /* 223154 */   // Label 4447: @223154
     /* 223154 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(223196), // Rule ID 10075 //
     /* 223159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f64),
     /* 223167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1317:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZU_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_DtoS),
     /* 223186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223194 */     GIR_RootConstrainSelectedInstOperands,
     /* 223195 */     // GIR_Coverage, 10075,
     /* 223195 */     GIR_EraseRootFromParent_Done,
     /* 223196 */   // Label 4448: @223196
     /* 223196 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(223238), // Rule ID 10076 //
     /* 223201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f32),
     /* 223209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1312:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZS_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_StoD),
     /* 223228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223236 */     GIR_RootConstrainSelectedInstOperands,
     /* 223237 */     // GIR_Coverage, 10076,
     /* 223237 */     GIR_EraseRootFromParent_Done,
     /* 223238 */   // Label 4449: @223238
     /* 223238 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(223280), // Rule ID 10080 //
     /* 223243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f16),
     /* 223251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 223260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1309:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoS),
     /* 223270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223278 */     GIR_RootConstrainSelectedInstOperands,
     /* 223279 */     // GIR_Coverage, 10080,
     /* 223279 */     GIR_EraseRootFromParent_Done,
     /* 223280 */   // Label 4450: @223280
     /* 223280 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(223322), // Rule ID 10084 //
     /* 223285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f16),
     /* 223293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1311:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoD),
     /* 223312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223320 */     GIR_RootConstrainSelectedInstOperands,
     /* 223321 */     // GIR_Coverage, 10084,
     /* 223321 */     GIR_EraseRootFromParent_Done,
     /* 223322 */   // Label 4451: @223322
     /* 223322 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(223364), // Rule ID 10088 //
     /* 223327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f16),
     /* 223335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 223344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1316:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoS),
     /* 223354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223362 */     GIR_RootConstrainSelectedInstOperands,
     /* 223363 */     // GIR_Coverage, 10088,
     /* 223363 */     GIR_EraseRootFromParent_Done,
     /* 223364 */   // Label 4452: @223364
     /* 223364 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(223406), // Rule ID 10092 //
     /* 223369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f16),
     /* 223377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1318:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoD),
     /* 223396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223404 */     GIR_RootConstrainSelectedInstOperands,
     /* 223405 */     // GIR_Coverage, 10092,
     /* 223405 */     GIR_EraseRootFromParent_Done,
     /* 223406 */   // Label 4453: @223406
     /* 223406 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(223448), // Rule ID 10096 //
     /* 223411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f32),
     /* 223419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1319:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZU_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_StoD),
     /* 223438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223446 */     GIR_RootConstrainSelectedInstOperands,
     /* 223447 */     // GIR_Coverage, 10096,
     /* 223447 */     GIR_EraseRootFromParent_Done,
     /* 223448 */   // Label 4454: @223448
     /* 223448 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(223490), // Rule ID 11045 //
     /* 223453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 223456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ummla),
     /* 223461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1894:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA_ZZZ),
     /* 223480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223488 */     GIR_RootConstrainSelectedInstOperands,
     /* 223489 */     // GIR_Coverage, 11045,
     /* 223489 */     GIR_EraseRootFromParent_Done,
     /* 223490 */   // Label 4455: @223490
     /* 223490 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(223532), // Rule ID 11046 //
     /* 223495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 223498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usmmla),
     /* 223503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1965:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA_ZZZ),
     /* 223522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223530 */     GIR_RootConstrainSelectedInstOperands,
     /* 223531 */     // GIR_Coverage, 11046,
     /* 223531 */     GIR_EraseRootFromParent_Done,
     /* 223532 */   // Label 4456: @223532
     /* 223532 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(223574), // Rule ID 11048 //
     /* 223537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP32_HasSVE),
     /* 223540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 223545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223561 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1380:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMMLA_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_S),
     /* 223564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223572 */     GIR_RootConstrainSelectedInstOperands,
     /* 223573 */     // GIR_Coverage, 11048,
     /* 223573 */     GIR_EraseRootFromParent_Done,
     /* 223574 */   // Label 4457: @223574
     /* 223574 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(223616), // Rule ID 11049 //
     /* 223579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE),
     /* 223582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 223587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1380:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMMLA_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_D),
     /* 223606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223614 */     GIR_RootConstrainSelectedInstOperands,
     /* 223615 */     // GIR_Coverage, 11049,
     /* 223615 */     GIR_EraseRootFromParent_Done,
     /* 223616 */   // Label 4458: @223616
     /* 223616 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(223658), // Rule ID 11103 //
     /* 223621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 223629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 223635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1729:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLSH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_B),
     /* 223648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223656 */     GIR_RootConstrainSelectedInstOperands,
     /* 223657 */     // GIR_Coverage, 11103,
     /* 223657 */     GIR_EraseRootFromParent_Done,
     /* 223658 */   // Label 4459: @223658
     /* 223658 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(223700), // Rule ID 11104 //
     /* 223663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 223671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1729:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLSH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_H),
     /* 223690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223698 */     GIR_RootConstrainSelectedInstOperands,
     /* 223699 */     // GIR_Coverage, 11104,
     /* 223699 */     GIR_EraseRootFromParent_Done,
     /* 223700 */   // Label 4460: @223700
     /* 223700 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(223742), // Rule ID 11105 //
     /* 223705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 223713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1729:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLSH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_S),
     /* 223732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223740 */     GIR_RootConstrainSelectedInstOperands,
     /* 223741 */     // GIR_Coverage, 11105,
     /* 223741 */     GIR_EraseRootFromParent_Done,
     /* 223742 */   // Label 4461: @223742
     /* 223742 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(223784), // Rule ID 11106 //
     /* 223747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 223755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1729:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLSH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_D),
     /* 223774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223782 */     GIR_RootConstrainSelectedInstOperands,
     /* 223783 */     // GIR_Coverage, 11106,
     /* 223783 */     GIR_EraseRootFromParent_Done,
     /* 223784 */   // Label 4462: @223784
     /* 223784 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(223826), // Rule ID 11159 //
     /* 223789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 223797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1650:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_H),
     /* 223816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223824 */     GIR_RootConstrainSelectedInstOperands,
     /* 223825 */     // GIR_Coverage, 11159,
     /* 223825 */     GIR_EraseRootFromParent_Done,
     /* 223826 */   // Label 4463: @223826
     /* 223826 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(223868), // Rule ID 11160 //
     /* 223831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 223839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1650:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_S),
     /* 223858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223866 */     GIR_RootConstrainSelectedInstOperands,
     /* 223867 */     // GIR_Coverage, 11160,
     /* 223867 */     GIR_EraseRootFromParent_Done,
     /* 223868 */   // Label 4464: @223868
     /* 223868 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(223910), // Rule ID 11161 //
     /* 223873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 223881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1650:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_D),
     /* 223900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223908 */     GIR_RootConstrainSelectedInstOperands,
     /* 223909 */     // GIR_Coverage, 11161,
     /* 223909 */     GIR_EraseRootFromParent_Done,
     /* 223910 */   // Label 4465: @223910
     /* 223910 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(223952), // Rule ID 11162 //
     /* 223915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 223923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1886:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_H),
     /* 223942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223950 */     GIR_RootConstrainSelectedInstOperands,
     /* 223951 */     // GIR_Coverage, 11162,
     /* 223951 */     GIR_EraseRootFromParent_Done,
     /* 223952 */   // Label 4466: @223952
     /* 223952 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(223994), // Rule ID 11163 //
     /* 223957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 223960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 223965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1886:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_S),
     /* 223984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223992 */     GIR_RootConstrainSelectedInstOperands,
     /* 223993 */     // GIR_Coverage, 11163,
     /* 223993 */     GIR_EraseRootFromParent_Done,
     /* 223994 */   // Label 4467: @223994
     /* 223994 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(224036), // Rule ID 11164 //
     /* 223999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 224007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1886:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_D),
     /* 224026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224034 */     GIR_RootConstrainSelectedInstOperands,
     /* 224035 */     // GIR_Coverage, 11164,
     /* 224035 */     GIR_EraseRootFromParent_Done,
     /* 224036 */   // Label 4468: @224036
     /* 224036 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(224078), // Rule ID 11165 //
     /* 224041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 224049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1888:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_H),
     /* 224068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224076 */     GIR_RootConstrainSelectedInstOperands,
     /* 224077 */     // GIR_Coverage, 11165,
     /* 224077 */     GIR_EraseRootFromParent_Done,
     /* 224078 */   // Label 4469: @224078
     /* 224078 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(224120), // Rule ID 11166 //
     /* 224083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 224091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1888:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_S),
     /* 224110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224118 */     GIR_RootConstrainSelectedInstOperands,
     /* 224119 */     // GIR_Coverage, 11166,
     /* 224119 */     GIR_EraseRootFromParent_Done,
     /* 224120 */   // Label 4470: @224120
     /* 224120 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(224162), // Rule ID 11167 //
     /* 224125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 224133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1888:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_D),
     /* 224152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224160 */     GIR_RootConstrainSelectedInstOperands,
     /* 224161 */     // GIR_Coverage, 11167,
     /* 224161 */     GIR_EraseRootFromParent_Done,
     /* 224162 */   // Label 4471: @224162
     /* 224162 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(224204), // Rule ID 11168 //
     /* 224167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 224175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1652:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_H),
     /* 224194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224202 */     GIR_RootConstrainSelectedInstOperands,
     /* 224203 */     // GIR_Coverage, 11168,
     /* 224203 */     GIR_EraseRootFromParent_Done,
     /* 224204 */   // Label 4472: @224204
     /* 224204 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(224246), // Rule ID 11169 //
     /* 224209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 224217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1652:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_S),
     /* 224236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224244 */     GIR_RootConstrainSelectedInstOperands,
     /* 224245 */     // GIR_Coverage, 11169,
     /* 224245 */     GIR_EraseRootFromParent_Done,
     /* 224246 */   // Label 4473: @224246
     /* 224246 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(224288), // Rule ID 11170 //
     /* 224251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 224259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1652:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_D),
     /* 224278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224286 */     GIR_RootConstrainSelectedInstOperands,
     /* 224287 */     // GIR_Coverage, 11170,
     /* 224287 */     GIR_EraseRootFromParent_Done,
     /* 224288 */   // Label 4474: @224288
     /* 224288 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(224330), // Rule ID 11171 //
     /* 224293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 224301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1654:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_H),
     /* 224320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224328 */     GIR_RootConstrainSelectedInstOperands,
     /* 224329 */     // GIR_Coverage, 11171,
     /* 224329 */     GIR_EraseRootFromParent_Done,
     /* 224330 */   // Label 4475: @224330
     /* 224330 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(224372), // Rule ID 11172 //
     /* 224335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 224343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1654:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_S),
     /* 224362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224370 */     GIR_RootConstrainSelectedInstOperands,
     /* 224371 */     // GIR_Coverage, 11172,
     /* 224371 */     GIR_EraseRootFromParent_Done,
     /* 224372 */   // Label 4476: @224372
     /* 224372 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(224414), // Rule ID 11173 //
     /* 224377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 224385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1654:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_D),
     /* 224404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224412 */     GIR_RootConstrainSelectedInstOperands,
     /* 224413 */     // GIR_Coverage, 11173,
     /* 224413 */     GIR_EraseRootFromParent_Done,
     /* 224414 */   // Label 4477: @224414
     /* 224414 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(224456), // Rule ID 11174 //
     /* 224419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 224427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1890:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_H),
     /* 224446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224454 */     GIR_RootConstrainSelectedInstOperands,
     /* 224455 */     // GIR_Coverage, 11174,
     /* 224455 */     GIR_EraseRootFromParent_Done,
     /* 224456 */   // Label 4478: @224456
     /* 224456 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(224498), // Rule ID 11175 //
     /* 224461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 224469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1890:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_S),
     /* 224488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224496 */     GIR_RootConstrainSelectedInstOperands,
     /* 224497 */     // GIR_Coverage, 11175,
     /* 224497 */     GIR_EraseRootFromParent_Done,
     /* 224498 */   // Label 4479: @224498
     /* 224498 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(224540), // Rule ID 11176 //
     /* 224503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 224511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1890:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_D),
     /* 224530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224538 */     GIR_RootConstrainSelectedInstOperands,
     /* 224539 */     // GIR_Coverage, 11176,
     /* 224539 */     GIR_EraseRootFromParent_Done,
     /* 224540 */   // Label 4480: @224540
     /* 224540 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(224582), // Rule ID 11177 //
     /* 224545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 224553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1892:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_H),
     /* 224572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224580 */     GIR_RootConstrainSelectedInstOperands,
     /* 224581 */     // GIR_Coverage, 11177,
     /* 224581 */     GIR_EraseRootFromParent_Done,
     /* 224582 */   // Label 4481: @224582
     /* 224582 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(224624), // Rule ID 11178 //
     /* 224587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 224595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1892:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_S),
     /* 224614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224622 */     GIR_RootConstrainSelectedInstOperands,
     /* 224623 */     // GIR_Coverage, 11178,
     /* 224623 */     GIR_EraseRootFromParent_Done,
     /* 224624 */   // Label 4482: @224624
     /* 224624 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(224666), // Rule ID 11179 //
     /* 224629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 224637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1892:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_D),
     /* 224656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224664 */     GIR_RootConstrainSelectedInstOperands,
     /* 224665 */     // GIR_Coverage, 11179,
     /* 224665 */     GIR_EraseRootFromParent_Done,
     /* 224666 */   // Label 4483: @224666
     /* 224666 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(224708), // Rule ID 11188 //
     /* 224671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 224679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1690:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_H),
     /* 224698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224706 */     GIR_RootConstrainSelectedInstOperands,
     /* 224707 */     // GIR_Coverage, 11188,
     /* 224707 */     GIR_EraseRootFromParent_Done,
     /* 224708 */   // Label 4484: @224708
     /* 224708 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(224750), // Rule ID 11189 //
     /* 224713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 224721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1690:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_S),
     /* 224740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224748 */     GIR_RootConstrainSelectedInstOperands,
     /* 224749 */     // GIR_Coverage, 11189,
     /* 224749 */     GIR_EraseRootFromParent_Done,
     /* 224750 */   // Label 4485: @224750
     /* 224750 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(224792), // Rule ID 11190 //
     /* 224755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 224763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1690:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_D),
     /* 224782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224790 */     GIR_RootConstrainSelectedInstOperands,
     /* 224791 */     // GIR_Coverage, 11190,
     /* 224791 */     GIR_EraseRootFromParent_Done,
     /* 224792 */   // Label 4486: @224792
     /* 224792 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(224834), // Rule ID 11191 //
     /* 224797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 224805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1693:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_H),
     /* 224824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224832 */     GIR_RootConstrainSelectedInstOperands,
     /* 224833 */     // GIR_Coverage, 11191,
     /* 224833 */     GIR_EraseRootFromParent_Done,
     /* 224834 */   // Label 4487: @224834
     /* 224834 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(224876), // Rule ID 11192 //
     /* 224839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 224847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1693:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_S),
     /* 224866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224874 */     GIR_RootConstrainSelectedInstOperands,
     /* 224875 */     // GIR_Coverage, 11192,
     /* 224875 */     GIR_EraseRootFromParent_Done,
     /* 224876 */   // Label 4488: @224876
     /* 224876 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(224918), // Rule ID 11193 //
     /* 224881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 224889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1693:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_D),
     /* 224908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224916 */     GIR_RootConstrainSelectedInstOperands,
     /* 224917 */     // GIR_Coverage, 11193,
     /* 224917 */     GIR_EraseRootFromParent_Done,
     /* 224918 */   // Label 4489: @224918
     /* 224918 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(224960), // Rule ID 11194 //
     /* 224923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 224931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1695:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_H),
     /* 224950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224958 */     GIR_RootConstrainSelectedInstOperands,
     /* 224959 */     // GIR_Coverage, 11194,
     /* 224959 */     GIR_EraseRootFromParent_Done,
     /* 224960 */   // Label 4490: @224960
     /* 224960 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(225002), // Rule ID 11195 //
     /* 224965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 224968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 224973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1695:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_S),
     /* 224992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 224994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225000 */     GIR_RootConstrainSelectedInstOperands,
     /* 225001 */     // GIR_Coverage, 11195,
     /* 225001 */     GIR_EraseRootFromParent_Done,
     /* 225002 */   // Label 4491: @225002
     /* 225002 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(225044), // Rule ID 11196 //
     /* 225007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 225015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 225021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1695:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_D),
     /* 225034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225042 */     GIR_RootConstrainSelectedInstOperands,
     /* 225043 */     // GIR_Coverage, 11196,
     /* 225043 */     GIR_EraseRootFromParent_Done,
     /* 225044 */   // Label 4492: @225044
     /* 225044 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(225086), // Rule ID 11197 //
     /* 225049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 225057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 225063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225073 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1698:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_H),
     /* 225076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225084 */     GIR_RootConstrainSelectedInstOperands,
     /* 225085 */     // GIR_Coverage, 11197,
     /* 225085 */     GIR_EraseRootFromParent_Done,
     /* 225086 */   // Label 4493: @225086
     /* 225086 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(225128), // Rule ID 11198 //
     /* 225091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 225099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 225105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1698:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_S),
     /* 225118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225126 */     GIR_RootConstrainSelectedInstOperands,
     /* 225127 */     // GIR_Coverage, 11198,
     /* 225127 */     GIR_EraseRootFromParent_Done,
     /* 225128 */   // Label 4494: @225128
     /* 225128 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(225170), // Rule ID 11199 //
     /* 225133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 225141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 225147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1698:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_D),
     /* 225160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225168 */     GIR_RootConstrainSelectedInstOperands,
     /* 225169 */     // GIR_Coverage, 11199,
     /* 225169 */     GIR_EraseRootFromParent_Done,
     /* 225170 */   // Label 4495: @225170
     /* 225170 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(225212), // Rule ID 11200 //
     /* 225175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 225183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 225189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1692:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_H),
     /* 225202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225210 */     GIR_RootConstrainSelectedInstOperands,
     /* 225211 */     // GIR_Coverage, 11200,
     /* 225211 */     GIR_EraseRootFromParent_Done,
     /* 225212 */   // Label 4496: @225212
     /* 225212 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(225254), // Rule ID 11201 //
     /* 225217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 225225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 225231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1692:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_S),
     /* 225244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225252 */     GIR_RootConstrainSelectedInstOperands,
     /* 225253 */     // GIR_Coverage, 11201,
     /* 225253 */     GIR_EraseRootFromParent_Done,
     /* 225254 */   // Label 4497: @225254
     /* 225254 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(225296), // Rule ID 11202 //
     /* 225259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 225267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 225273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1692:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_D),
     /* 225286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225294 */     GIR_RootConstrainSelectedInstOperands,
     /* 225295 */     // GIR_Coverage, 11202,
     /* 225295 */     GIR_EraseRootFromParent_Done,
     /* 225296 */   // Label 4498: @225296
     /* 225296 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(225338), // Rule ID 11203 //
     /* 225301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 225309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 225315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1697:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_H),
     /* 225328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225336 */     GIR_RootConstrainSelectedInstOperands,
     /* 225337 */     // GIR_Coverage, 11203,
     /* 225337 */     GIR_EraseRootFromParent_Done,
     /* 225338 */   // Label 4499: @225338
     /* 225338 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(225380), // Rule ID 11204 //
     /* 225343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 225351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 225357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1697:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_S),
     /* 225370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225378 */     GIR_RootConstrainSelectedInstOperands,
     /* 225379 */     // GIR_Coverage, 11204,
     /* 225379 */     GIR_EraseRootFromParent_Done,
     /* 225380 */   // Label 4500: @225380
     /* 225380 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(225422), // Rule ID 11205 //
     /* 225385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 225393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 225399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1697:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_D),
     /* 225412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 225414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225418 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225420 */     GIR_RootConstrainSelectedInstOperands,
     /* 225421 */     // GIR_Coverage, 11205,
     /* 225421 */     GIR_EraseRootFromParent_Done,
     /* 225422 */   // Label 4501: @225422
     /* 225422 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(225464), // Rule ID 11206 //
     /* 225427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 225435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1865:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_B),
     /* 225454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225462 */     GIR_RootConstrainSelectedInstOperands,
     /* 225463 */     // GIR_Coverage, 11206,
     /* 225463 */     GIR_EraseRootFromParent_Done,
     /* 225464 */   // Label 4502: @225464
     /* 225464 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(225506), // Rule ID 11208 //
     /* 225469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 225477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1865:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_H),
     /* 225496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225504 */     GIR_RootConstrainSelectedInstOperands,
     /* 225505 */     // GIR_Coverage, 11208,
     /* 225505 */     GIR_EraseRootFromParent_Done,
     /* 225506 */   // Label 4503: @225506
     /* 225506 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(225548), // Rule ID 11210 //
     /* 225511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 225519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1865:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_S),
     /* 225538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225544 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225546 */     GIR_RootConstrainSelectedInstOperands,
     /* 225547 */     // GIR_Coverage, 11210,
     /* 225547 */     GIR_EraseRootFromParent_Done,
     /* 225548 */   // Label 4504: @225548
     /* 225548 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(225590), // Rule ID 11212 //
     /* 225553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 225561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1865:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_D),
     /* 225580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225588 */     GIR_RootConstrainSelectedInstOperands,
     /* 225589 */     // GIR_Coverage, 11212,
     /* 225589 */     GIR_EraseRootFromParent_Done,
     /* 225590 */   // Label 4505: @225590
     /* 225590 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(225632), // Rule ID 11214 //
     /* 225595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 225603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1625:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_B),
     /* 225622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225630 */     GIR_RootConstrainSelectedInstOperands,
     /* 225631 */     // GIR_Coverage, 11214,
     /* 225631 */     GIR_EraseRootFromParent_Done,
     /* 225632 */   // Label 4506: @225632
     /* 225632 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(225674), // Rule ID 11215 //
     /* 225637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 225645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1625:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_H),
     /* 225664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225672 */     GIR_RootConstrainSelectedInstOperands,
     /* 225673 */     // GIR_Coverage, 11215,
     /* 225673 */     GIR_EraseRootFromParent_Done,
     /* 225674 */   // Label 4507: @225674
     /* 225674 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(225716), // Rule ID 11216 //
     /* 225679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 225687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1625:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_S),
     /* 225706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225714 */     GIR_RootConstrainSelectedInstOperands,
     /* 225715 */     // GIR_Coverage, 11216,
     /* 225715 */     GIR_EraseRootFromParent_Done,
     /* 225716 */   // Label 4508: @225716
     /* 225716 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(225758), // Rule ID 11217 //
     /* 225721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 225729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1625:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_D),
     /* 225748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225756 */     GIR_RootConstrainSelectedInstOperands,
     /* 225757 */     // GIR_Coverage, 11217,
     /* 225757 */     GIR_EraseRootFromParent_Done,
     /* 225758 */   // Label 4509: @225758
     /* 225758 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(225800), // Rule ID 11218 //
     /* 225763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 225771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1866:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_B),
     /* 225790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225798 */     GIR_RootConstrainSelectedInstOperands,
     /* 225799 */     // GIR_Coverage, 11218,
     /* 225799 */     GIR_EraseRootFromParent_Done,
     /* 225800 */   // Label 4510: @225800
     /* 225800 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(225842), // Rule ID 11219 //
     /* 225805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 225813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1866:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_H),
     /* 225832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225840 */     GIR_RootConstrainSelectedInstOperands,
     /* 225841 */     // GIR_Coverage, 11219,
     /* 225841 */     GIR_EraseRootFromParent_Done,
     /* 225842 */   // Label 4511: @225842
     /* 225842 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(225884), // Rule ID 11220 //
     /* 225847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 225855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1866:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_S),
     /* 225874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225880 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225882 */     GIR_RootConstrainSelectedInstOperands,
     /* 225883 */     // GIR_Coverage, 11220,
     /* 225883 */     GIR_EraseRootFromParent_Done,
     /* 225884 */   // Label 4512: @225884
     /* 225884 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(225926), // Rule ID 11221 //
     /* 225889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 225897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1866:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_D),
     /* 225916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225924 */     GIR_RootConstrainSelectedInstOperands,
     /* 225925 */     // GIR_Coverage, 11221,
     /* 225925 */     GIR_EraseRootFromParent_Done,
     /* 225926 */   // Label 4513: @225926
     /* 225926 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(225968), // Rule ID 11222 //
     /* 225931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 225939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225955 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1760:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_B),
     /* 225958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225966 */     GIR_RootConstrainSelectedInstOperands,
     /* 225967 */     // GIR_Coverage, 11222,
     /* 225967 */     GIR_EraseRootFromParent_Done,
     /* 225968 */   // Label 4514: @225968
     /* 225968 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(226010), // Rule ID 11224 //
     /* 225973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 225976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 225981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1760:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_H),
     /* 226000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226006 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226008 */     GIR_RootConstrainSelectedInstOperands,
     /* 226009 */     // GIR_Coverage, 11224,
     /* 226009 */     GIR_EraseRootFromParent_Done,
     /* 226010 */   // Label 4515: @226010
     /* 226010 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(226052), // Rule ID 11226 //
     /* 226015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 226023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1760:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_S),
     /* 226042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226048 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226050 */     GIR_RootConstrainSelectedInstOperands,
     /* 226051 */     // GIR_Coverage, 11226,
     /* 226051 */     GIR_EraseRootFromParent_Done,
     /* 226052 */   // Label 4516: @226052
     /* 226052 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(226094), // Rule ID 11228 //
     /* 226057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 226065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1760:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 226081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_D),
     /* 226084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226092 */     GIR_RootConstrainSelectedInstOperands,
     /* 226093 */     // GIR_Coverage, 11228,
     /* 226093 */     GIR_EraseRootFromParent_Done,
     /* 226094 */   // Label 4517: @226094
     /* 226094 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(226136), // Rule ID 11230 //
     /* 226099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 226107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 226110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 226116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1952:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_B),
     /* 226126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226132 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226134 */     GIR_RootConstrainSelectedInstOperands,
     /* 226135 */     // GIR_Coverage, 11230,
     /* 226135 */     GIR_EraseRootFromParent_Done,
     /* 226136 */   // Label 4518: @226136
     /* 226136 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(226178), // Rule ID 11232 //
     /* 226141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 226149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1952:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_H),
     /* 226168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226174 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226176 */     GIR_RootConstrainSelectedInstOperands,
     /* 226177 */     // GIR_Coverage, 11232,
     /* 226177 */     GIR_EraseRootFromParent_Done,
     /* 226178 */   // Label 4519: @226178
     /* 226178 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(226220), // Rule ID 11234 //
     /* 226183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 226191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1952:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_S),
     /* 226210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226218 */     GIR_RootConstrainSelectedInstOperands,
     /* 226219 */     // GIR_Coverage, 11234,
     /* 226219 */     GIR_EraseRootFromParent_Done,
     /* 226220 */   // Label 4520: @226220
     /* 226220 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(226262), // Rule ID 11236 //
     /* 226225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 226233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1952:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 226249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_D),
     /* 226252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226258 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226260 */     GIR_RootConstrainSelectedInstOperands,
     /* 226261 */     // GIR_Coverage, 11236,
     /* 226261 */     GIR_EraseRootFromParent_Done,
     /* 226262 */   // Label 4521: @226262
     /* 226262 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(226304), // Rule ID 11238 //
     /* 226267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 226275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 226278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 226284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1626:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_B),
     /* 226294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226300 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226302 */     GIR_RootConstrainSelectedInstOperands,
     /* 226303 */     // GIR_Coverage, 11238,
     /* 226303 */     GIR_EraseRootFromParent_Done,
     /* 226304 */   // Label 4522: @226304
     /* 226304 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(226346), // Rule ID 11239 //
     /* 226309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 226317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1626:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_H),
     /* 226336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226344 */     GIR_RootConstrainSelectedInstOperands,
     /* 226345 */     // GIR_Coverage, 11239,
     /* 226345 */     GIR_EraseRootFromParent_Done,
     /* 226346 */   // Label 4523: @226346
     /* 226346 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(226388), // Rule ID 11240 //
     /* 226351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 226359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1626:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_S),
     /* 226378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226386 */     GIR_RootConstrainSelectedInstOperands,
     /* 226387 */     // GIR_Coverage, 11240,
     /* 226387 */     GIR_EraseRootFromParent_Done,
     /* 226388 */   // Label 4524: @226388
     /* 226388 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(226430), // Rule ID 11241 //
     /* 226393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 226401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1626:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 226417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_D),
     /* 226420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226428 */     GIR_RootConstrainSelectedInstOperands,
     /* 226429 */     // GIR_Coverage, 11241,
     /* 226429 */     GIR_EraseRootFromParent_Done,
     /* 226430 */   // Label 4525: @226430
     /* 226430 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(226472), // Rule ID 11242 //
     /* 226435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 226443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 226446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 226452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1867:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_B),
     /* 226462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226468 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226470 */     GIR_RootConstrainSelectedInstOperands,
     /* 226471 */     // GIR_Coverage, 11242,
     /* 226471 */     GIR_EraseRootFromParent_Done,
     /* 226472 */   // Label 4526: @226472
     /* 226472 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(226514), // Rule ID 11243 //
     /* 226477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 226485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1867:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_H),
     /* 226504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226510 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226512 */     GIR_RootConstrainSelectedInstOperands,
     /* 226513 */     // GIR_Coverage, 11243,
     /* 226513 */     GIR_EraseRootFromParent_Done,
     /* 226514 */   // Label 4527: @226514
     /* 226514 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(226556), // Rule ID 11244 //
     /* 226519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 226527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1867:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_S),
     /* 226546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226554 */     GIR_RootConstrainSelectedInstOperands,
     /* 226555 */     // GIR_Coverage, 11244,
     /* 226555 */     GIR_EraseRootFromParent_Done,
     /* 226556 */   // Label 4528: @226556
     /* 226556 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(226598), // Rule ID 11245 //
     /* 226561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 226569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226585 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1867:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 226585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_D),
     /* 226588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226594 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226596 */     GIR_RootConstrainSelectedInstOperands,
     /* 226597 */     // GIR_Coverage, 11245,
     /* 226597 */     GIR_EraseRootFromParent_Done,
     /* 226598 */   // Label 4529: @226598
     /* 226598 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(226640), // Rule ID 11246 //
     /* 226603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 226611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1842:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_H),
     /* 226630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 226632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226636 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226638 */     GIR_RootConstrainSelectedInstOperands,
     /* 226639 */     // GIR_Coverage, 11246,
     /* 226639 */     GIR_EraseRootFromParent_Done,
     /* 226640 */   // Label 4530: @226640
     /* 226640 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(226682), // Rule ID 11247 //
     /* 226645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 226653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1842:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_S),
     /* 226672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 226674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226680 */     GIR_RootConstrainSelectedInstOperands,
     /* 226681 */     // GIR_Coverage, 11247,
     /* 226681 */     GIR_EraseRootFromParent_Done,
     /* 226682 */   // Label 4531: @226682
     /* 226682 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(226724), // Rule ID 11248 //
     /* 226687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 226695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1842:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_D),
     /* 226714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 226716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226722 */     GIR_RootConstrainSelectedInstOperands,
     /* 226723 */     // GIR_Coverage, 11248,
     /* 226723 */     GIR_EraseRootFromParent_Done,
     /* 226724 */   // Label 4532: @226724
     /* 226724 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(226766), // Rule ID 11249 //
     /* 226729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 226737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 226740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 226746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1157:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ADDP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_B),
     /* 226756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226764 */     GIR_RootConstrainSelectedInstOperands,
     /* 226765 */     // GIR_Coverage, 11249,
     /* 226765 */     GIR_EraseRootFromParent_Done,
     /* 226766 */   // Label 4533: @226766
     /* 226766 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(226808), // Rule ID 11250 //
     /* 226771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 226779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1157:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_H),
     /* 226798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226804 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226806 */     GIR_RootConstrainSelectedInstOperands,
     /* 226807 */     // GIR_Coverage, 11250,
     /* 226807 */     GIR_EraseRootFromParent_Done,
     /* 226808 */   // Label 4534: @226808
     /* 226808 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(226850), // Rule ID 11251 //
     /* 226813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 226821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1157:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 226837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_S),
     /* 226840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226846 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226848 */     GIR_RootConstrainSelectedInstOperands,
     /* 226849 */     // GIR_Coverage, 11251,
     /* 226849 */     GIR_EraseRootFromParent_Done,
     /* 226850 */   // Label 4535: @226850
     /* 226850 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(226892), // Rule ID 11252 //
     /* 226855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 226863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1157:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 226879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_D),
     /* 226882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226888 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226890 */     GIR_RootConstrainSelectedInstOperands,
     /* 226891 */     // GIR_Coverage, 11252,
     /* 226891 */     GIR_EraseRootFromParent_Done,
     /* 226892 */   // Label 4536: @226892
     /* 226892 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(226934), // Rule ID 11253 //
     /* 226897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 226905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 226908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 226914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 226917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1636:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 226921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_B),
     /* 226924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226932 */     GIR_RootConstrainSelectedInstOperands,
     /* 226933 */     // GIR_Coverage, 11253,
     /* 226933 */     GIR_EraseRootFromParent_Done,
     /* 226934 */   // Label 4537: @226934
     /* 226934 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(226976), // Rule ID 11254 //
     /* 226939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 226947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1636:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 226963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_H),
     /* 226966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 226968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226972 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226974 */     GIR_RootConstrainSelectedInstOperands,
     /* 226975 */     // GIR_Coverage, 11254,
     /* 226975 */     GIR_EraseRootFromParent_Done,
     /* 226976 */   // Label 4538: @226976
     /* 226976 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(227018), // Rule ID 11255 //
     /* 226981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 226984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 226989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1636:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_S),
     /* 227008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227014 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227016 */     GIR_RootConstrainSelectedInstOperands,
     /* 227017 */     // GIR_Coverage, 11255,
     /* 227017 */     GIR_EraseRootFromParent_Done,
     /* 227018 */   // Label 4539: @227018
     /* 227018 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(227060), // Rule ID 11256 //
     /* 227023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 227031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1636:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_D),
     /* 227050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227058 */     GIR_RootConstrainSelectedInstOperands,
     /* 227059 */     // GIR_Coverage, 11256,
     /* 227059 */     GIR_EraseRootFromParent_Done,
     /* 227060 */   // Label 4540: @227060
     /* 227060 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(227102), // Rule ID 11257 //
     /* 227065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 227073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1874:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_B),
     /* 227092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227100 */     GIR_RootConstrainSelectedInstOperands,
     /* 227101 */     // GIR_Coverage, 11257,
     /* 227101 */     GIR_EraseRootFromParent_Done,
     /* 227102 */   // Label 4541: @227102
     /* 227102 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(227144), // Rule ID 11258 //
     /* 227107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 227115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1874:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_H),
     /* 227134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227140 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227142 */     GIR_RootConstrainSelectedInstOperands,
     /* 227143 */     // GIR_Coverage, 11258,
     /* 227143 */     GIR_EraseRootFromParent_Done,
     /* 227144 */   // Label 4542: @227144
     /* 227144 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(227186), // Rule ID 11259 //
     /* 227149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 227157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1874:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_S),
     /* 227176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227184 */     GIR_RootConstrainSelectedInstOperands,
     /* 227185 */     // GIR_Coverage, 11259,
     /* 227185 */     GIR_EraseRootFromParent_Done,
     /* 227186 */   // Label 4543: @227186
     /* 227186 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(227228), // Rule ID 11260 //
     /* 227191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 227199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1874:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_D),
     /* 227218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227224 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227226 */     GIR_RootConstrainSelectedInstOperands,
     /* 227227 */     // GIR_Coverage, 11260,
     /* 227227 */     GIR_EraseRootFromParent_Done,
     /* 227228 */   // Label 4544: @227228
     /* 227228 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(227270), // Rule ID 11261 //
     /* 227233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 227241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1645:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_B),
     /* 227260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227268 */     GIR_RootConstrainSelectedInstOperands,
     /* 227269 */     // GIR_Coverage, 11261,
     /* 227269 */     GIR_EraseRootFromParent_Done,
     /* 227270 */   // Label 4545: @227270
     /* 227270 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(227312), // Rule ID 11262 //
     /* 227275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 227283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1645:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_H),
     /* 227302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227310 */     GIR_RootConstrainSelectedInstOperands,
     /* 227311 */     // GIR_Coverage, 11262,
     /* 227311 */     GIR_EraseRootFromParent_Done,
     /* 227312 */   // Label 4546: @227312
     /* 227312 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(227354), // Rule ID 11263 //
     /* 227317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 227325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1645:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_S),
     /* 227344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227350 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227352 */     GIR_RootConstrainSelectedInstOperands,
     /* 227353 */     // GIR_Coverage, 11263,
     /* 227353 */     GIR_EraseRootFromParent_Done,
     /* 227354 */   // Label 4547: @227354
     /* 227354 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(227396), // Rule ID 11264 //
     /* 227359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 227367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1645:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_D),
     /* 227386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227394 */     GIR_RootConstrainSelectedInstOperands,
     /* 227395 */     // GIR_Coverage, 11264,
     /* 227395 */     GIR_EraseRootFromParent_Done,
     /* 227396 */   // Label 4548: @227396
     /* 227396 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(227438), // Rule ID 11265 //
     /* 227401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 227409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1883:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_B),
     /* 227428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227434 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227436 */     GIR_RootConstrainSelectedInstOperands,
     /* 227437 */     // GIR_Coverage, 11265,
     /* 227437 */     GIR_EraseRootFromParent_Done,
     /* 227438 */   // Label 4549: @227438
     /* 227438 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(227480), // Rule ID 11266 //
     /* 227443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 227451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1883:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_H),
     /* 227470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227478 */     GIR_RootConstrainSelectedInstOperands,
     /* 227479 */     // GIR_Coverage, 11266,
     /* 227479 */     GIR_EraseRootFromParent_Done,
     /* 227480 */   // Label 4550: @227480
     /* 227480 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(227522), // Rule ID 11267 //
     /* 227485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 227493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1883:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_S),
     /* 227512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227518 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227520 */     GIR_RootConstrainSelectedInstOperands,
     /* 227521 */     // GIR_Coverage, 11267,
     /* 227521 */     GIR_EraseRootFromParent_Done,
     /* 227522 */   // Label 4551: @227522
     /* 227522 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(227564), // Rule ID 11268 //
     /* 227527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 227535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1883:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_D),
     /* 227554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227562 */     GIR_RootConstrainSelectedInstOperands,
     /* 227563 */     // GIR_Coverage, 11268,
     /* 227563 */     GIR_EraseRootFromParent_Done,
     /* 227564 */   // Label 4552: @227564
     /* 227564 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(227606), // Rule ID 11269 //
     /* 227569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 227577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 227583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1959:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSQRTE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S),
     /* 227596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 227598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227602 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227604 */     GIR_RootConstrainSelectedInstOperands,
     /* 227605 */     // GIR_Coverage, 11269,
     /* 227605 */     GIR_EraseRootFromParent_Done,
     /* 227606 */   // Label 4553: @227606
     /* 227606 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(227648), // Rule ID 11280 //
     /* 227611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 227619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 227625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1724:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQNEG_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B),
     /* 227638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 227640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227644 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227646 */     GIR_RootConstrainSelectedInstOperands,
     /* 227647 */     // GIR_Coverage, 11280,
     /* 227647 */     GIR_EraseRootFromParent_Done,
     /* 227648 */   // Label 4554: @227648
     /* 227648 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(227690), // Rule ID 11281 //
     /* 227653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 227661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 227667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1724:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQNEG_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H),
     /* 227680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 227682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227688 */     GIR_RootConstrainSelectedInstOperands,
     /* 227689 */     // GIR_Coverage, 11281,
     /* 227689 */     GIR_EraseRootFromParent_Done,
     /* 227690 */   // Label 4555: @227690
     /* 227690 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(227732), // Rule ID 11282 //
     /* 227695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 227703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 227709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1724:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQNEG_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S),
     /* 227722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 227724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227728 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227730 */     GIR_RootConstrainSelectedInstOperands,
     /* 227731 */     // GIR_Coverage, 11282,
     /* 227731 */     GIR_EraseRootFromParent_Done,
     /* 227732 */   // Label 4556: @227732
     /* 227732 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(227774), // Rule ID 11283 //
     /* 227737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 227745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 227751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1724:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQNEG_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D),
     /* 227764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 227766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227770 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227772 */     GIR_RootConstrainSelectedInstOperands,
     /* 227773 */     // GIR_Coverage, 11283,
     /* 227773 */     GIR_EraseRootFromParent_Done,
     /* 227774 */   // Label 4557: @227774
     /* 227774 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(227816), // Rule ID 11292 //
     /* 227779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 227787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1665:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_B),
     /* 227806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227814 */     GIR_RootConstrainSelectedInstOperands,
     /* 227815 */     // GIR_Coverage, 11292,
     /* 227815 */     GIR_EraseRootFromParent_Done,
     /* 227816 */   // Label 4558: @227816
     /* 227816 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(227858), // Rule ID 11293 //
     /* 227821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 227829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1665:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_H),
     /* 227848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227856 */     GIR_RootConstrainSelectedInstOperands,
     /* 227857 */     // GIR_Coverage, 11293,
     /* 227857 */     GIR_EraseRootFromParent_Done,
     /* 227858 */   // Label 4559: @227858
     /* 227858 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(227900), // Rule ID 11294 //
     /* 227863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 227871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1665:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_S),
     /* 227890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227898 */     GIR_RootConstrainSelectedInstOperands,
     /* 227899 */     // GIR_Coverage, 11294,
     /* 227899 */     GIR_EraseRootFromParent_Done,
     /* 227900 */   // Label 4560: @227900
     /* 227900 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(227942), // Rule ID 11295 //
     /* 227905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 227913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1665:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_D),
     /* 227932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227938 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227940 */     GIR_RootConstrainSelectedInstOperands,
     /* 227941 */     // GIR_Coverage, 11295,
     /* 227941 */     GIR_EraseRootFromParent_Done,
     /* 227942 */   // Label 4561: @227942
     /* 227942 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(227984), // Rule ID 11296 //
     /* 227947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 227955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1901:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_B),
     /* 227974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227982 */     GIR_RootConstrainSelectedInstOperands,
     /* 227983 */     // GIR_Coverage, 11296,
     /* 227983 */     GIR_EraseRootFromParent_Done,
     /* 227984 */   // Label 4562: @227984
     /* 227984 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(228026), // Rule ID 11297 //
     /* 227989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 227992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 227997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228013 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1901:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_H),
     /* 228016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228024 */     GIR_RootConstrainSelectedInstOperands,
     /* 228025 */     // GIR_Coverage, 11297,
     /* 228025 */     GIR_EraseRootFromParent_Done,
     /* 228026 */   // Label 4563: @228026
     /* 228026 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(228068), // Rule ID 11298 //
     /* 228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 228039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1901:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_S),
     /* 228058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228064 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228066 */     GIR_RootConstrainSelectedInstOperands,
     /* 228067 */     // GIR_Coverage, 11298,
     /* 228067 */     GIR_EraseRootFromParent_Done,
     /* 228068 */   // Label 4564: @228068
     /* 228068 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(228110), // Rule ID 11299 //
     /* 228073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 228081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1901:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_D),
     /* 228100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228106 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228108 */     GIR_RootConstrainSelectedInstOperands,
     /* 228109 */     // GIR_Coverage, 11299,
     /* 228109 */     GIR_EraseRootFromParent_Done,
     /* 228110 */   // Label 4565: @228110
     /* 228110 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(228152), // Rule ID 11300 //
     /* 228115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 228123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1752:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_B),
     /* 228142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228150 */     GIR_RootConstrainSelectedInstOperands,
     /* 228151 */     // GIR_Coverage, 11300,
     /* 228151 */     GIR_EraseRootFromParent_Done,
     /* 228152 */   // Label 4566: @228152
     /* 228152 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(228194), // Rule ID 11301 //
     /* 228157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 228165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1752:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_H),
     /* 228184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228192 */     GIR_RootConstrainSelectedInstOperands,
     /* 228193 */     // GIR_Coverage, 11301,
     /* 228193 */     GIR_EraseRootFromParent_Done,
     /* 228194 */   // Label 4567: @228194
     /* 228194 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(228236), // Rule ID 11302 //
     /* 228199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 228207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1752:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_S),
     /* 228226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228234 */     GIR_RootConstrainSelectedInstOperands,
     /* 228235 */     // GIR_Coverage, 11302,
     /* 228235 */     GIR_EraseRootFromParent_Done,
     /* 228236 */   // Label 4568: @228236
     /* 228236 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(228278), // Rule ID 11303 //
     /* 228241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 228249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1752:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_D),
     /* 228268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228276 */     GIR_RootConstrainSelectedInstOperands,
     /* 228277 */     // GIR_Coverage, 11303,
     /* 228277 */     GIR_EraseRootFromParent_Done,
     /* 228278 */   // Label 4569: @228278
     /* 228278 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(228320), // Rule ID 11304 //
     /* 228283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 228291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1945:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_B),
     /* 228310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228316 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228318 */     GIR_RootConstrainSelectedInstOperands,
     /* 228319 */     // GIR_Coverage, 11304,
     /* 228319 */     GIR_EraseRootFromParent_Done,
     /* 228320 */   // Label 4570: @228320
     /* 228320 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(228362), // Rule ID 11305 //
     /* 228325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 228333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1945:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_H),
     /* 228352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228360 */     GIR_RootConstrainSelectedInstOperands,
     /* 228361 */     // GIR_Coverage, 11305,
     /* 228361 */     GIR_EraseRootFromParent_Done,
     /* 228362 */   // Label 4571: @228362
     /* 228362 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(228404), // Rule ID 11306 //
     /* 228367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 228375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1945:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_S),
     /* 228394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228402 */     GIR_RootConstrainSelectedInstOperands,
     /* 228403 */     // GIR_Coverage, 11306,
     /* 228403 */     GIR_EraseRootFromParent_Done,
     /* 228404 */   // Label 4572: @228404
     /* 228404 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(228446), // Rule ID 11307 //
     /* 228409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 228417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1945:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_D),
     /* 228436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228444 */     GIR_RootConstrainSelectedInstOperands,
     /* 228445 */     // GIR_Coverage, 11307,
     /* 228445 */     GIR_EraseRootFromParent_Done,
     /* 228446 */   // Label 4573: @228446
     /* 228446 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(228488), // Rule ID 11308 //
     /* 228451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 228459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1816:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_B),
     /* 228478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228484 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228486 */     GIR_RootConstrainSelectedInstOperands,
     /* 228487 */     // GIR_Coverage, 11308,
     /* 228487 */     GIR_EraseRootFromParent_Done,
     /* 228488 */   // Label 4574: @228488
     /* 228488 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(228530), // Rule ID 11309 //
     /* 228493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 228501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1816:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_H),
     /* 228520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228528 */     GIR_RootConstrainSelectedInstOperands,
     /* 228529 */     // GIR_Coverage, 11309,
     /* 228529 */     GIR_EraseRootFromParent_Done,
     /* 228530 */   // Label 4575: @228530
     /* 228530 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(228572), // Rule ID 11310 //
     /* 228535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 228543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1816:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_S),
     /* 228562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228570 */     GIR_RootConstrainSelectedInstOperands,
     /* 228571 */     // GIR_Coverage, 11310,
     /* 228571 */     GIR_EraseRootFromParent_Done,
     /* 228572 */   // Label 4576: @228572
     /* 228572 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(228614), // Rule ID 11311 //
     /* 228577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 228585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1816:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_D),
     /* 228604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228610 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228612 */     GIR_RootConstrainSelectedInstOperands,
     /* 228613 */     // GIR_Coverage, 11311,
     /* 228613 */     GIR_EraseRootFromParent_Done,
     /* 228614 */   // Label 4577: @228614
     /* 228614 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(228656), // Rule ID 11312 //
     /* 228619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 228627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1966:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_B),
     /* 228646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228654 */     GIR_RootConstrainSelectedInstOperands,
     /* 228655 */     // GIR_Coverage, 11312,
     /* 228655 */     GIR_EraseRootFromParent_Done,
     /* 228656 */   // Label 4578: @228656
     /* 228656 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(228698), // Rule ID 11313 //
     /* 228661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 228669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1966:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (USQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_H),
     /* 228688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228696 */     GIR_RootConstrainSelectedInstOperands,
     /* 228697 */     // GIR_Coverage, 11313,
     /* 228697 */     GIR_EraseRootFromParent_Done,
     /* 228698 */   // Label 4579: @228698
     /* 228698 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(228740), // Rule ID 11314 //
     /* 228703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 228711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1966:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (USQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_S),
     /* 228730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228738 */     GIR_RootConstrainSelectedInstOperands,
     /* 228739 */     // GIR_Coverage, 11314,
     /* 228739 */     GIR_EraseRootFromParent_Done,
     /* 228740 */   // Label 4580: @228740
     /* 228740 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(228782), // Rule ID 11315 //
     /* 228745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 228753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1966:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (USQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_D),
     /* 228772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228780 */     GIR_RootConstrainSelectedInstOperands,
     /* 228781 */     // GIR_Coverage, 11315,
     /* 228781 */     GIR_EraseRootFromParent_Done,
     /* 228782 */   // Label 4581: @228782
     /* 228782 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(228824), // Rule ID 11316 //
     /* 228787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 228795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1755:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_B),
     /* 228814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228820 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228822 */     GIR_RootConstrainSelectedInstOperands,
     /* 228823 */     // GIR_Coverage, 11316,
     /* 228823 */     GIR_EraseRootFromParent_Done,
     /* 228824 */   // Label 4582: @228824
     /* 228824 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(228866), // Rule ID 11317 //
     /* 228829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 228837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1755:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_H),
     /* 228856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228864 */     GIR_RootConstrainSelectedInstOperands,
     /* 228865 */     // GIR_Coverage, 11317,
     /* 228865 */     GIR_EraseRootFromParent_Done,
     /* 228866 */   // Label 4583: @228866
     /* 228866 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(228908), // Rule ID 11318 //
     /* 228871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 228879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1755:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_S),
     /* 228898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228904 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228906 */     GIR_RootConstrainSelectedInstOperands,
     /* 228907 */     // GIR_Coverage, 11318,
     /* 228907 */     GIR_EraseRootFromParent_Done,
     /* 228908 */   // Label 4584: @228908
     /* 228908 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(228950), // Rule ID 11319 //
     /* 228913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 228921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1755:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_D),
     /* 228940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228948 */     GIR_RootConstrainSelectedInstOperands,
     /* 228949 */     // GIR_Coverage, 11319,
     /* 228949 */     GIR_EraseRootFromParent_Done,
     /* 228950 */   // Label 4585: @228950
     /* 228950 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(228992), // Rule ID 11320 //
     /* 228955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 228958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 228963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1948:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_B),
     /* 228982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228988 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228990 */     GIR_RootConstrainSelectedInstOperands,
     /* 228991 */     // GIR_Coverage, 11320,
     /* 228991 */     GIR_EraseRootFromParent_Done,
     /* 228992 */   // Label 4586: @228992
     /* 228992 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(229034), // Rule ID 11321 //
     /* 228997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 229005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1948:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_H),
     /* 229024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229032 */     GIR_RootConstrainSelectedInstOperands,
     /* 229033 */     // GIR_Coverage, 11321,
     /* 229033 */     GIR_EraseRootFromParent_Done,
     /* 229034 */   // Label 4587: @229034
     /* 229034 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(229076), // Rule ID 11322 //
     /* 229039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 229047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1948:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_S),
     /* 229066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229074 */     GIR_RootConstrainSelectedInstOperands,
     /* 229075 */     // GIR_Coverage, 11322,
     /* 229075 */     GIR_EraseRootFromParent_Done,
     /* 229076 */   // Label 4588: @229076
     /* 229076 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(229118), // Rule ID 11323 //
     /* 229081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 229089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229105 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1948:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_D),
     /* 229108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229116 */     GIR_RootConstrainSelectedInstOperands,
     /* 229117 */     // GIR_Coverage, 11323,
     /* 229117 */     GIR_EraseRootFromParent_Done,
     /* 229118 */   // Label 4589: @229118
     /* 229118 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(229160), // Rule ID 11324 //
     /* 229123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 229131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1762:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_B),
     /* 229150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229156 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229158 */     GIR_RootConstrainSelectedInstOperands,
     /* 229159 */     // GIR_Coverage, 11324,
     /* 229159 */     GIR_EraseRootFromParent_Done,
     /* 229160 */   // Label 4590: @229160
     /* 229160 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(229202), // Rule ID 11325 //
     /* 229165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 229173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1762:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_H),
     /* 229192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229198 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229200 */     GIR_RootConstrainSelectedInstOperands,
     /* 229201 */     // GIR_Coverage, 11325,
     /* 229201 */     GIR_EraseRootFromParent_Done,
     /* 229202 */   // Label 4591: @229202
     /* 229202 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(229244), // Rule ID 11326 //
     /* 229207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 229215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1762:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_S),
     /* 229234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229242 */     GIR_RootConstrainSelectedInstOperands,
     /* 229243 */     // GIR_Coverage, 11326,
     /* 229243 */     GIR_EraseRootFromParent_Done,
     /* 229244 */   // Label 4592: @229244
     /* 229244 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(229286), // Rule ID 11327 //
     /* 229249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 229257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1762:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_D),
     /* 229276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229284 */     GIR_RootConstrainSelectedInstOperands,
     /* 229285 */     // GIR_Coverage, 11327,
     /* 229285 */     GIR_EraseRootFromParent_Done,
     /* 229286 */   // Label 4593: @229286
     /* 229286 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(229328), // Rule ID 11328 //
     /* 229291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 229299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1953:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_B),
     /* 229318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229326 */     GIR_RootConstrainSelectedInstOperands,
     /* 229327 */     // GIR_Coverage, 11328,
     /* 229327 */     GIR_EraseRootFromParent_Done,
     /* 229328 */   // Label 4594: @229328
     /* 229328 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(229370), // Rule ID 11329 //
     /* 229333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 229341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1953:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_H),
     /* 229360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229368 */     GIR_RootConstrainSelectedInstOperands,
     /* 229369 */     // GIR_Coverage, 11329,
     /* 229369 */     GIR_EraseRootFromParent_Done,
     /* 229370 */   // Label 4595: @229370
     /* 229370 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(229412), // Rule ID 11330 //
     /* 229375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 229383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1953:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_S),
     /* 229402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229410 */     GIR_RootConstrainSelectedInstOperands,
     /* 229411 */     // GIR_Coverage, 11330,
     /* 229411 */     GIR_EraseRootFromParent_Done,
     /* 229412 */   // Label 4596: @229412
     /* 229412 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(229454), // Rule ID 11331 //
     /* 229417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 229425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229441 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1953:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_D),
     /* 229444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229452 */     GIR_RootConstrainSelectedInstOperands,
     /* 229453 */     // GIR_Coverage, 11331,
     /* 229453 */     GIR_EraseRootFromParent_Done,
     /* 229454 */   // Label 4597: @229454
     /* 229454 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(229496), // Rule ID 11332 //
     /* 229459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 229467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1746:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_B),
     /* 229486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229494 */     GIR_RootConstrainSelectedInstOperands,
     /* 229495 */     // GIR_Coverage, 11332,
     /* 229495 */     GIR_EraseRootFromParent_Done,
     /* 229496 */   // Label 4598: @229496
     /* 229496 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(229538), // Rule ID 11333 //
     /* 229501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 229509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1746:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_H),
     /* 229528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229536 */     GIR_RootConstrainSelectedInstOperands,
     /* 229537 */     // GIR_Coverage, 11333,
     /* 229537 */     GIR_EraseRootFromParent_Done,
     /* 229538 */   // Label 4599: @229538
     /* 229538 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(229580), // Rule ID 11334 //
     /* 229543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 229551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1746:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_S),
     /* 229570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229578 */     GIR_RootConstrainSelectedInstOperands,
     /* 229579 */     // GIR_Coverage, 11334,
     /* 229579 */     GIR_EraseRootFromParent_Done,
     /* 229580 */   // Label 4600: @229580
     /* 229580 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(229622), // Rule ID 11335 //
     /* 229585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 229593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1746:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_D),
     /* 229612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229620 */     GIR_RootConstrainSelectedInstOperands,
     /* 229621 */     // GIR_Coverage, 11335,
     /* 229621 */     GIR_EraseRootFromParent_Done,
     /* 229622 */   // Label 4601: @229622
     /* 229622 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(229664), // Rule ID 11336 //
     /* 229627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 229635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1942:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_B),
     /* 229654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229662 */     GIR_RootConstrainSelectedInstOperands,
     /* 229663 */     // GIR_Coverage, 11336,
     /* 229663 */     GIR_EraseRootFromParent_Done,
     /* 229664 */   // Label 4602: @229664
     /* 229664 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(229706), // Rule ID 11337 //
     /* 229669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 229677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1942:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_H),
     /* 229696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229704 */     GIR_RootConstrainSelectedInstOperands,
     /* 229705 */     // GIR_Coverage, 11337,
     /* 229705 */     GIR_EraseRootFromParent_Done,
     /* 229706 */   // Label 4603: @229706
     /* 229706 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(229748), // Rule ID 11338 //
     /* 229711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 229719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1942:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_S),
     /* 229738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229746 */     GIR_RootConstrainSelectedInstOperands,
     /* 229747 */     // GIR_Coverage, 11338,
     /* 229747 */     GIR_EraseRootFromParent_Done,
     /* 229748 */   // Label 4604: @229748
     /* 229748 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(229790), // Rule ID 11339 //
     /* 229753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 229761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1942:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_D),
     /* 229780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229788 */     GIR_RootConstrainSelectedInstOperands,
     /* 229789 */     // GIR_Coverage, 11339,
     /* 229789 */     GIR_EraseRootFromParent_Done,
     /* 229790 */   // Label 4605: @229790
     /* 229790 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(229832), // Rule ID 11340 //
     /* 229795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 229803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1733:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_B),
     /* 229822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229830 */     GIR_RootConstrainSelectedInstOperands,
     /* 229831 */     // GIR_Coverage, 11340,
     /* 229831 */     GIR_EraseRootFromParent_Done,
     /* 229832 */   // Label 4606: @229832
     /* 229832 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(229874), // Rule ID 11341 //
     /* 229837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 229845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1733:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_H),
     /* 229864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229872 */     GIR_RootConstrainSelectedInstOperands,
     /* 229873 */     // GIR_Coverage, 11341,
     /* 229873 */     GIR_EraseRootFromParent_Done,
     /* 229874 */   // Label 4607: @229874
     /* 229874 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(229916), // Rule ID 11342 //
     /* 229879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 229887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1733:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_S),
     /* 229906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229914 */     GIR_RootConstrainSelectedInstOperands,
     /* 229915 */     // GIR_Coverage, 11342,
     /* 229915 */     GIR_EraseRootFromParent_Done,
     /* 229916 */   // Label 4608: @229916
     /* 229916 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(229958), // Rule ID 11343 //
     /* 229921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 229929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1733:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_D),
     /* 229948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229956 */     GIR_RootConstrainSelectedInstOperands,
     /* 229957 */     // GIR_Coverage, 11343,
     /* 229957 */     GIR_EraseRootFromParent_Done,
     /* 229958 */   // Label 4609: @229958
     /* 229958 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(230000), // Rule ID 11344 //
     /* 229963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 229966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 229971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1935:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_B),
     /* 229990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229998 */     GIR_RootConstrainSelectedInstOperands,
     /* 229999 */     // GIR_Coverage, 11344,
     /* 229999 */     GIR_EraseRootFromParent_Done,
     /* 230000 */   // Label 4610: @230000
     /* 230000 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(230042), // Rule ID 11345 //
     /* 230005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 230013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 230019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1935:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_H),
     /* 230032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 230034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230040 */     GIR_RootConstrainSelectedInstOperands,
     /* 230041 */     // GIR_Coverage, 11345,
     /* 230041 */     GIR_EraseRootFromParent_Done,
     /* 230042 */   // Label 4611: @230042
     /* 230042 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(230084), // Rule ID 11346 //
     /* 230047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 230055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 230061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1935:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_S),
     /* 230074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 230076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230082 */     GIR_RootConstrainSelectedInstOperands,
     /* 230083 */     // GIR_Coverage, 11346,
     /* 230083 */     GIR_EraseRootFromParent_Done,
     /* 230084 */   // Label 4612: @230084
     /* 230084 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(230126), // Rule ID 11347 //
     /* 230089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 230097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 230103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1935:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_D),
     /* 230116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 230118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230124 */     GIR_RootConstrainSelectedInstOperands,
     /* 230125 */     // GIR_Coverage, 11347,
     /* 230125 */     GIR_EraseRootFromParent_Done,
     /* 230126 */   // Label 4613: @230126
     /* 230126 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(230168), // Rule ID 11510 //
     /* 230131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 230139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 230142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 230145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1835:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_B),
     /* 230158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230166 */     GIR_RootConstrainSelectedInstOperands,
     /* 230167 */     // GIR_Coverage, 11510,
     /* 230167 */     GIR_EraseRootFromParent_Done,
     /* 230168 */   // Label 4614: @230168
     /* 230168 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(230210), // Rule ID 11512 //
     /* 230173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 230181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1835:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_H),
     /* 230200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230208 */     GIR_RootConstrainSelectedInstOperands,
     /* 230209 */     // GIR_Coverage, 11512,
     /* 230209 */     GIR_EraseRootFromParent_Done,
     /* 230210 */   // Label 4615: @230210
     /* 230210 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(230252), // Rule ID 11514 //
     /* 230215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 230223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1835:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_S),
     /* 230242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230250 */     GIR_RootConstrainSelectedInstOperands,
     /* 230251 */     // GIR_Coverage, 11514,
     /* 230251 */     GIR_EraseRootFromParent_Done,
     /* 230252 */   // Label 4616: @230252
     /* 230252 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(230294), // Rule ID 11516 //
     /* 230257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 230265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1835:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_D),
     /* 230284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230292 */     GIR_RootConstrainSelectedInstOperands,
     /* 230293 */     // GIR_Coverage, 11516,
     /* 230293 */     GIR_EraseRootFromParent_Done,
     /* 230294 */   // Label 4617: @230294
     /* 230294 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(230336), // Rule ID 11518 //
     /* 230299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 230307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1587:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_H),
     /* 230326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230334 */     GIR_RootConstrainSelectedInstOperands,
     /* 230335 */     // GIR_Coverage, 11518,
     /* 230335 */     GIR_EraseRootFromParent_Done,
     /* 230336 */   // Label 4618: @230336
     /* 230336 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(230378), // Rule ID 11519 //
     /* 230341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 230349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1587:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_S),
     /* 230368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230376 */     GIR_RootConstrainSelectedInstOperands,
     /* 230377 */     // GIR_Coverage, 11519,
     /* 230377 */     GIR_EraseRootFromParent_Done,
     /* 230378 */   // Label 4619: @230378
     /* 230378 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(230420), // Rule ID 11520 //
     /* 230383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 230391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1587:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_D),
     /* 230410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230418 */     GIR_RootConstrainSelectedInstOperands,
     /* 230419 */     // GIR_Coverage, 11520,
     /* 230419 */     GIR_EraseRootFromParent_Done,
     /* 230420 */   // Label 4620: @230420
     /* 230420 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(230462), // Rule ID 11521 //
     /* 230425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 230433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1836:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_H),
     /* 230452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230460 */     GIR_RootConstrainSelectedInstOperands,
     /* 230461 */     // GIR_Coverage, 11521,
     /* 230461 */     GIR_EraseRootFromParent_Done,
     /* 230462 */   // Label 4621: @230462
     /* 230462 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(230504), // Rule ID 11522 //
     /* 230467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 230475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1836:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_S),
     /* 230494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230502 */     GIR_RootConstrainSelectedInstOperands,
     /* 230503 */     // GIR_Coverage, 11522,
     /* 230503 */     GIR_EraseRootFromParent_Done,
     /* 230504 */   // Label 4622: @230504
     /* 230504 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(230546), // Rule ID 11523 //
     /* 230509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 230517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1836:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_D),
     /* 230536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230544 */     GIR_RootConstrainSelectedInstOperands,
     /* 230545 */     // GIR_Coverage, 11523,
     /* 230545 */     GIR_EraseRootFromParent_Done,
     /* 230546 */   // Label 4623: @230546
     /* 230546 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(230588), // Rule ID 11524 //
     /* 230551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 230559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1837:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_H),
     /* 230578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230586 */     GIR_RootConstrainSelectedInstOperands,
     /* 230587 */     // GIR_Coverage, 11524,
     /* 230587 */     GIR_EraseRootFromParent_Done,
     /* 230588 */   // Label 4624: @230588
     /* 230588 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(230630), // Rule ID 11525 //
     /* 230593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 230601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1837:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_S),
     /* 230620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230628 */     GIR_RootConstrainSelectedInstOperands,
     /* 230629 */     // GIR_Coverage, 11525,
     /* 230629 */     GIR_EraseRootFromParent_Done,
     /* 230630 */   // Label 4625: @230630
     /* 230630 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(230672), // Rule ID 11526 //
     /* 230635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 230643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1837:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_D),
     /* 230662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230668 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230670 */     GIR_RootConstrainSelectedInstOperands,
     /* 230671 */     // GIR_Coverage, 11526,
     /* 230671 */     GIR_EraseRootFromParent_Done,
     /* 230672 */   // Label 4626: @230672
     /* 230672 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(230714), // Rule ID 11527 //
     /* 230677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 230685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1150:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_S),
     /* 230704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230712 */     GIR_RootConstrainSelectedInstOperands,
     /* 230713 */     // GIR_Coverage, 11527,
     /* 230713 */     GIR_EraseRootFromParent_Done,
     /* 230714 */   // Label 4627: @230714
     /* 230714 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(230756), // Rule ID 11528 //
     /* 230719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 230727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1150:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_D),
     /* 230746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230754 */     GIR_RootConstrainSelectedInstOperands,
     /* 230755 */     // GIR_Coverage, 11528,
     /* 230755 */     GIR_EraseRootFromParent_Done,
     /* 230756 */   // Label 4628: @230756
     /* 230756 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(230798), // Rule ID 11529 //
     /* 230761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 230769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1599:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_S),
     /* 230788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230794 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230796 */     GIR_RootConstrainSelectedInstOperands,
     /* 230797 */     // GIR_Coverage, 11529,
     /* 230797 */     GIR_EraseRootFromParent_Done,
     /* 230798 */   // Label 4629: @230798
     /* 230798 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(230840), // Rule ID 11530 //
     /* 230803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 230811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1599:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_D),
     /* 230830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230838 */     GIR_RootConstrainSelectedInstOperands,
     /* 230839 */     // GIR_Coverage, 11530,
     /* 230839 */     GIR_EraseRootFromParent_Done,
     /* 230840 */   // Label 4630: @230840
     /* 230840 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(230882), // Rule ID 11531 //
     /* 230845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 230853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1600:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_S),
     /* 230872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230878 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230880 */     GIR_RootConstrainSelectedInstOperands,
     /* 230881 */     // GIR_Coverage, 11531,
     /* 230881 */     GIR_EraseRootFromParent_Done,
     /* 230882 */   // Label 4631: @230882
     /* 230882 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(230924), // Rule ID 11532 //
     /* 230887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 230895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1600:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_D),
     /* 230914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230922 */     GIR_RootConstrainSelectedInstOperands,
     /* 230923 */     // GIR_Coverage, 11532,
     /* 230923 */     GIR_EraseRootFromParent_Done,
     /* 230924 */   // Label 4632: @230924
     /* 230924 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(230966), // Rule ID 11587 //
     /* 230929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 230937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 230940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 230943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230953 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1568:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_B),
     /* 230956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230964 */     GIR_RootConstrainSelectedInstOperands,
     /* 230965 */     // GIR_Coverage, 11587,
     /* 230965 */     GIR_EraseRootFromParent_Done,
     /* 230966 */   // Label 4633: @230966
     /* 230966 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(231008), // Rule ID 11588 //
     /* 230971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 230979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1568:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_H),
     /* 230998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231004 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231006 */     GIR_RootConstrainSelectedInstOperands,
     /* 231007 */     // GIR_Coverage, 11588,
     /* 231007 */     GIR_EraseRootFromParent_Done,
     /* 231008 */   // Label 4634: @231008
     /* 231008 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(231050), // Rule ID 11589 //
     /* 231013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 231021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1568:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_S),
     /* 231040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231046 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231048 */     GIR_RootConstrainSelectedInstOperands,
     /* 231049 */     // GIR_Coverage, 11589,
     /* 231049 */     GIR_EraseRootFromParent_Done,
     /* 231050 */   // Label 4635: @231050
     /* 231050 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(231092), // Rule ID 11590 //
     /* 231055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 231063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 231066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 231069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231079 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1809:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_B),
     /* 231082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231090 */     GIR_RootConstrainSelectedInstOperands,
     /* 231091 */     // GIR_Coverage, 11590,
     /* 231091 */     GIR_EraseRootFromParent_Done,
     /* 231092 */   // Label 4636: @231092
     /* 231092 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(231134), // Rule ID 11591 //
     /* 231097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 231105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1809:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_H),
     /* 231124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231132 */     GIR_RootConstrainSelectedInstOperands,
     /* 231133 */     // GIR_Coverage, 11591,
     /* 231133 */     GIR_EraseRootFromParent_Done,
     /* 231134 */   // Label 4637: @231134
     /* 231134 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(231176), // Rule ID 11592 //
     /* 231139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 231147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1809:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_S),
     /* 231166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231174 */     GIR_RootConstrainSelectedInstOperands,
     /* 231175 */     // GIR_Coverage, 11592,
     /* 231175 */     GIR_EraseRootFromParent_Done,
     /* 231176 */   // Label 4638: @231176
     /* 231176 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(231218), // Rule ID 11593 //
     /* 231181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 231189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 231192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 231195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1584:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RSUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_B),
     /* 231208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231216 */     GIR_RootConstrainSelectedInstOperands,
     /* 231217 */     // GIR_Coverage, 11593,
     /* 231217 */     GIR_EraseRootFromParent_Done,
     /* 231218 */   // Label 4639: @231218
     /* 231218 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(231260), // Rule ID 11594 //
     /* 231223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 231231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1584:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RSUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_H),
     /* 231250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231258 */     GIR_RootConstrainSelectedInstOperands,
     /* 231259 */     // GIR_Coverage, 11594,
     /* 231259 */     GIR_EraseRootFromParent_Done,
     /* 231260 */   // Label 4640: @231260
     /* 231260 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(231302), // Rule ID 11595 //
     /* 231265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 231273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1584:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RSUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_S),
     /* 231292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231300 */     GIR_RootConstrainSelectedInstOperands,
     /* 231301 */     // GIR_Coverage, 11595,
     /* 231301 */     GIR_EraseRootFromParent_Done,
     /* 231302 */   // Label 4641: @231302
     /* 231302 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(231347), // Rule ID 11608 //
     /* 231307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 231310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 231315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 231318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 231321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 231331 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1519:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NMATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_B),
     /* 231334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 231336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 231345 */     GIR_RootConstrainSelectedInstOperands,
     /* 231346 */     // GIR_Coverage, 11608,
     /* 231346 */     GIR_EraseRootFromParent_Done,
     /* 231347 */   // Label 4642: @231347
     /* 231347 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(231392), // Rule ID 11609 //
     /* 231352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 231355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 231360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 231363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 231376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1519:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NMATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_H),
     /* 231379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 231381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 231390 */     GIR_RootConstrainSelectedInstOperands,
     /* 231391 */     // GIR_Coverage, 11609,
     /* 231391 */     GIR_EraseRootFromParent_Done,
     /* 231392 */   // Label 4643: @231392
     /* 231392 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(231434), // Rule ID 11610 //
     /* 231397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 231405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 231408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 231411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231421 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1259:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORTB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_B),
     /* 231424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231430 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231432 */     GIR_RootConstrainSelectedInstOperands,
     /* 231433 */     // GIR_Coverage, 11610,
     /* 231433 */     GIR_EraseRootFromParent_Done,
     /* 231434 */   // Label 4644: @231434
     /* 231434 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(231476), // Rule ID 11611 //
     /* 231439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 231447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1259:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_H),
     /* 231466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231472 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231474 */     GIR_RootConstrainSelectedInstOperands,
     /* 231475 */     // GIR_Coverage, 11611,
     /* 231475 */     GIR_EraseRootFromParent_Done,
     /* 231476 */   // Label 4645: @231476
     /* 231476 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(231518), // Rule ID 11612 //
     /* 231481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 231489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1259:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_S),
     /* 231508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231516 */     GIR_RootConstrainSelectedInstOperands,
     /* 231517 */     // GIR_Coverage, 11612,
     /* 231517 */     GIR_EraseRootFromParent_Done,
     /* 231518 */   // Label 4646: @231518
     /* 231518 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(231560), // Rule ID 11613 //
     /* 231523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 231531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1259:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_D),
     /* 231550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 231552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231556 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231558 */     GIR_RootConstrainSelectedInstOperands,
     /* 231559 */     // GIR_Coverage, 11613,
     /* 231559 */     GIR_EraseRootFromParent_Done,
     /* 231560 */   // Label 4647: @231560
     /* 231560 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(231602), // Rule ID 11629 //
     /* 231565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 231573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231589 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1342:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 231589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_H),
     /* 231592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231598 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231600 */     GIR_RootConstrainSelectedInstOperands,
     /* 231601 */     // GIR_Coverage, 11629,
     /* 231601 */     GIR_EraseRootFromParent_Done,
     /* 231602 */   // Label 4648: @231602
     /* 231602 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(231644), // Rule ID 11630 //
     /* 231607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 231615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 231621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1342:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 231631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_S),
     /* 231634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231640 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231642 */     GIR_RootConstrainSelectedInstOperands,
     /* 231643 */     // GIR_Coverage, 11630,
     /* 231643 */     GIR_EraseRootFromParent_Done,
     /* 231644 */   // Label 4649: @231644
     /* 231644 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(231686), // Rule ID 11631 //
     /* 231649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 231657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 231663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231673 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1342:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 231673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_D),
     /* 231676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231684 */     GIR_RootConstrainSelectedInstOperands,
     /* 231685 */     // GIR_Coverage, 11631,
     /* 231685 */     GIR_EraseRootFromParent_Done,
     /* 231686 */   // Label 4650: @231686
     /* 231686 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(231728), // Rule ID 11632 //
     /* 231691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 231699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231715 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1360:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 231715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_H),
     /* 231718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231724 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231726 */     GIR_RootConstrainSelectedInstOperands,
     /* 231727 */     // GIR_Coverage, 11632,
     /* 231727 */     GIR_EraseRootFromParent_Done,
     /* 231728 */   // Label 4651: @231728
     /* 231728 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(231770), // Rule ID 11633 //
     /* 231733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 231741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 231747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231757 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1360:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 231757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_S),
     /* 231760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231766 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231768 */     GIR_RootConstrainSelectedInstOperands,
     /* 231769 */     // GIR_Coverage, 11633,
     /* 231769 */     GIR_EraseRootFromParent_Done,
     /* 231770 */   // Label 4652: @231770
     /* 231770 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(231812), // Rule ID 11634 //
     /* 231775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 231783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 231789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231799 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1360:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 231799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_D),
     /* 231802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231810 */     GIR_RootConstrainSelectedInstOperands,
     /* 231811 */     // GIR_Coverage, 11634,
     /* 231811 */     GIR_EraseRootFromParent_Done,
     /* 231812 */   // Label 4653: @231812
     /* 231812 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(231854), // Rule ID 11635 //
     /* 231817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 231825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231841 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1345:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 231841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_H),
     /* 231844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231850 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231852 */     GIR_RootConstrainSelectedInstOperands,
     /* 231853 */     // GIR_Coverage, 11635,
     /* 231853 */     GIR_EraseRootFromParent_Done,
     /* 231854 */   // Label 4654: @231854
     /* 231854 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(231896), // Rule ID 11636 //
     /* 231859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 231867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 231873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1345:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 231883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_S),
     /* 231886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231892 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231894 */     GIR_RootConstrainSelectedInstOperands,
     /* 231895 */     // GIR_Coverage, 11636,
     /* 231895 */     GIR_EraseRootFromParent_Done,
     /* 231896 */   // Label 4655: @231896
     /* 231896 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(231938), // Rule ID 11637 //
     /* 231901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 231909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 231915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231925 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1345:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 231925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_D),
     /* 231928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231934 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231936 */     GIR_RootConstrainSelectedInstOperands,
     /* 231937 */     // GIR_Coverage, 11637,
     /* 231937 */     GIR_EraseRootFromParent_Done,
     /* 231938 */   // Label 4656: @231938
     /* 231938 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(231980), // Rule ID 11638 //
     /* 231943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 231951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231967 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 231967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_H),
     /* 231970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231976 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231978 */     GIR_RootConstrainSelectedInstOperands,
     /* 231979 */     // GIR_Coverage, 11638,
     /* 231979 */     GIR_EraseRootFromParent_Done,
     /* 231980 */   // Label 4657: @231980
     /* 231980 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(232022), // Rule ID 11639 //
     /* 231985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 231993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 231999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232009 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 232009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_S),
     /* 232012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232020 */     GIR_RootConstrainSelectedInstOperands,
     /* 232021 */     // GIR_Coverage, 11639,
     /* 232021 */     GIR_EraseRootFromParent_Done,
     /* 232022 */   // Label 4658: @232022
     /* 232022 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(232064), // Rule ID 11640 //
     /* 232027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 232035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232051 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 232051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_D),
     /* 232054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232062 */     GIR_RootConstrainSelectedInstOperands,
     /* 232063 */     // GIR_Coverage, 11640,
     /* 232063 */     GIR_EraseRootFromParent_Done,
     /* 232064 */   // Label 4659: @232064
     /* 232064 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(232106), // Rule ID 11645 //
     /* 232069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb),
     /* 232077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232093 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1369:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 232093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ_SHH),
     /* 232096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232102 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232104 */     GIR_RootConstrainSelectedInstOperands,
     /* 232105 */     // GIR_Coverage, 11645,
     /* 232105 */     GIR_EraseRootFromParent_Done,
     /* 232106 */   // Label 4660: @232106
     /* 232106 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(232148), // Rule ID 11646 //
     /* 232111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt),
     /* 232119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232135 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1371:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 232135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ_SHH),
     /* 232138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232146 */     GIR_RootConstrainSelectedInstOperands,
     /* 232147 */     // GIR_Coverage, 11646,
     /* 232147 */     GIR_EraseRootFromParent_Done,
     /* 232148 */   // Label 4661: @232148
     /* 232148 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(232190), // Rule ID 11647 //
     /* 232153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb),
     /* 232161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1376:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 232177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZ_SHH),
     /* 232180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232186 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232188 */     GIR_RootConstrainSelectedInstOperands,
     /* 232189 */     // GIR_Coverage, 11647,
     /* 232189 */     GIR_EraseRootFromParent_Done,
     /* 232190 */   // Label 4662: @232190
     /* 232190 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(232232), // Rule ID 11648 //
     /* 232195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt),
     /* 232203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232219 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1378:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 232219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZ_SHH),
     /* 232222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232228 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232230 */     GIR_RootConstrainSelectedInstOperands,
     /* 232231 */     // GIR_Coverage, 11648,
     /* 232231 */     GIR_EraseRootFromParent_Done,
     /* 232232 */   // Label 4663: @232232
     /* 232232 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(232274), // Rule ID 11649 //
     /* 232237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 232245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 232251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232261 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1176:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 232264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232270 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232272 */     GIR_RootConstrainSelectedInstOperands,
     /* 232273 */     // GIR_Coverage, 11649,
     /* 232273 */     GIR_EraseRootFromParent_Done,
     /* 232274 */   // Label 4664: @232274
     /* 232274 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(232316), // Rule ID 11651 //
     /* 232279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 232287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232303 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1176:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 232306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232314 */     GIR_RootConstrainSelectedInstOperands,
     /* 232315 */     // GIR_Coverage, 11651,
     /* 232315 */     GIR_EraseRootFromParent_Done,
     /* 232316 */   // Label 4665: @232316
     /* 232316 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(232358), // Rule ID 11653 //
     /* 232321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 232329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1176:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 232348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232354 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232356 */     GIR_RootConstrainSelectedInstOperands,
     /* 232357 */     // GIR_Coverage, 11653,
     /* 232357 */     GIR_EraseRootFromParent_Done,
     /* 232358 */   // Label 4666: @232358
     /* 232358 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(232400), // Rule ID 11655 //
     /* 232363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 232371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1176:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 232390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232398 */     GIR_RootConstrainSelectedInstOperands,
     /* 232399 */     // GIR_Coverage, 11655,
     /* 232399 */     GIR_EraseRootFromParent_Done,
     /* 232400 */   // Label 4667: @232400
     /* 232400 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(232442), // Rule ID 11657 //
     /* 232405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 232413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 232419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232429 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1205:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 232432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232440 */     GIR_RootConstrainSelectedInstOperands,
     /* 232441 */     // GIR_Coverage, 11657,
     /* 232441 */     GIR_EraseRootFromParent_Done,
     /* 232442 */   // Label 4668: @232442
     /* 232442 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(232484), // Rule ID 11659 //
     /* 232447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 232455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1205:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 232474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232480 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232482 */     GIR_RootConstrainSelectedInstOperands,
     /* 232483 */     // GIR_Coverage, 11659,
     /* 232483 */     GIR_EraseRootFromParent_Done,
     /* 232484 */   // Label 4669: @232484
     /* 232484 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(232526), // Rule ID 11661 //
     /* 232489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 232497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1205:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 232516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232524 */     GIR_RootConstrainSelectedInstOperands,
     /* 232525 */     // GIR_Coverage, 11661,
     /* 232525 */     GIR_EraseRootFromParent_Done,
     /* 232526 */   // Label 4670: @232526
     /* 232526 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(232568), // Rule ID 11663 //
     /* 232531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 232539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1205:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 232558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232566 */     GIR_RootConstrainSelectedInstOperands,
     /* 232567 */     // GIR_Coverage, 11663,
     /* 232567 */     GIR_EraseRootFromParent_Done,
     /* 232568 */   // Label 4671: @232568
     /* 232568 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(232610), // Rule ID 11665 //
     /* 232573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 232581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 232587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1206:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 232600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232606 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232608 */     GIR_RootConstrainSelectedInstOperands,
     /* 232609 */     // GIR_Coverage, 11665,
     /* 232609 */     GIR_EraseRootFromParent_Done,
     /* 232610 */   // Label 4672: @232610
     /* 232610 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(232652), // Rule ID 11666 //
     /* 232615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 232623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1206:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 232642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232650 */     GIR_RootConstrainSelectedInstOperands,
     /* 232651 */     // GIR_Coverage, 11666,
     /* 232651 */     GIR_EraseRootFromParent_Done,
     /* 232652 */   // Label 4673: @232652
     /* 232652 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(232694), // Rule ID 11667 //
     /* 232657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 232665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1206:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 232684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232690 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232692 */     GIR_RootConstrainSelectedInstOperands,
     /* 232693 */     // GIR_Coverage, 11667,
     /* 232693 */     GIR_EraseRootFromParent_Done,
     /* 232694 */   // Label 4674: @232694
     /* 232694 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(232736), // Rule ID 11668 //
     /* 232699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 232707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1206:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 232726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232734 */     GIR_RootConstrainSelectedInstOperands,
     /* 232735 */     // GIR_Coverage, 11668,
     /* 232735 */     GIR_EraseRootFromParent_Done,
     /* 232736 */   // Label 4675: @232736
     /* 232736 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(232778), // Rule ID 11669 //
     /* 232741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 232749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 232755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1207:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 232768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232776 */     GIR_RootConstrainSelectedInstOperands,
     /* 232777 */     // GIR_Coverage, 11669,
     /* 232777 */     GIR_EraseRootFromParent_Done,
     /* 232778 */   // Label 4676: @232778
     /* 232778 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(232820), // Rule ID 11670 //
     /* 232783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 232791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232807 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1207:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 232810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232818 */     GIR_RootConstrainSelectedInstOperands,
     /* 232819 */     // GIR_Coverage, 11670,
     /* 232819 */     GIR_EraseRootFromParent_Done,
     /* 232820 */   // Label 4677: @232820
     /* 232820 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(232862), // Rule ID 11671 //
     /* 232825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 232833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1207:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 232852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232858 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232860 */     GIR_RootConstrainSelectedInstOperands,
     /* 232861 */     // GIR_Coverage, 11671,
     /* 232861 */     GIR_EraseRootFromParent_Done,
     /* 232862 */   // Label 4678: @232862
     /* 232862 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(232904), // Rule ID 11672 //
     /* 232867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 232875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1207:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 232894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232902 */     GIR_RootConstrainSelectedInstOperands,
     /* 232903 */     // GIR_Coverage, 11672,
     /* 232903 */     GIR_EraseRootFromParent_Done,
     /* 232904 */   // Label 4679: @232904
     /* 232904 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(232946), // Rule ID 11673 //
     /* 232909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 232917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 232923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1517:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 232936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232944 */     GIR_RootConstrainSelectedInstOperands,
     /* 232945 */     // GIR_Coverage, 11673,
     /* 232945 */     GIR_EraseRootFromParent_Done,
     /* 232946 */   // Label 4680: @232946
     /* 232946 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(232988), // Rule ID 11675 //
     /* 232951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 232959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1517:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 232978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232986 */     GIR_RootConstrainSelectedInstOperands,
     /* 232987 */     // GIR_Coverage, 11675,
     /* 232987 */     GIR_EraseRootFromParent_Done,
     /* 232988 */   // Label 4681: @232988
     /* 232988 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(233030), // Rule ID 11677 //
     /* 232993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 233001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1517:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 233020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233028 */     GIR_RootConstrainSelectedInstOperands,
     /* 233029 */     // GIR_Coverage, 11677,
     /* 233029 */     GIR_EraseRootFromParent_Done,
     /* 233030 */   // Label 4682: @233030
     /* 233030 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(233072), // Rule ID 11679 //
     /* 233035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 233043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 233049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1517:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 233062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233068 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233070 */     GIR_RootConstrainSelectedInstOperands,
     /* 233071 */     // GIR_Coverage, 11679,
     /* 233071 */     GIR_EraseRootFromParent_Done,
     /* 233072 */   // Label 4683: @233072
     /* 233072 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(233114), // Rule ID 11768 //
     /* 233077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 233080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 233085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 233091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233101 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1848:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_B),
     /* 233104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233112 */     GIR_RootConstrainSelectedInstOperands,
     /* 233113 */     // GIR_Coverage, 11768,
     /* 233113 */     GIR_EraseRootFromParent_Done,
     /* 233114 */   // Label 4684: @233114
     /* 233114 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(233156), // Rule ID 11770 //
     /* 233119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 233122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 233127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 233133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1848:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_H),
     /* 233146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233154 */     GIR_RootConstrainSelectedInstOperands,
     /* 233155 */     // GIR_Coverage, 11770,
     /* 233155 */     GIR_EraseRootFromParent_Done,
     /* 233156 */   // Label 4685: @233156
     /* 233156 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(233198), // Rule ID 11772 //
     /* 233161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 233164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 233169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233185 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1848:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_S),
     /* 233188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233196 */     GIR_RootConstrainSelectedInstOperands,
     /* 233197 */     // GIR_Coverage, 11772,
     /* 233197 */     GIR_EraseRootFromParent_Done,
     /* 233198 */   // Label 4686: @233198
     /* 233198 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(233240), // Rule ID 11774 //
     /* 233203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 233206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 233211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 233217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1848:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_D),
     /* 233230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233236 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233238 */     GIR_RootConstrainSelectedInstOperands,
     /* 233239 */     // GIR_Coverage, 11774,
     /* 233239 */     GIR_EraseRootFromParent_Done,
     /* 233240 */   // Label 4687: @233240
     /* 233240 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(233282), // Rule ID 11776 //
     /* 233245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 233248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_x2),
     /* 233253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233269 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1326:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDOT_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 233269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_S),
     /* 233272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233280 */     GIR_RootConstrainSelectedInstOperands,
     /* 233281 */     // GIR_Coverage, 11776,
     /* 233281 */     GIR_EraseRootFromParent_Done,
     /* 233282 */   // Label 4688: @233282
     /* 233282 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(233324), // Rule ID 11778 //
     /* 233287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 233290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_x2),
     /* 233295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1864:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_HtoS),
     /* 233314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233320 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233322 */     GIR_RootConstrainSelectedInstOperands,
     /* 233323 */     // GIR_Coverage, 11778,
     /* 233323 */     GIR_EraseRootFromParent_Done,
     /* 233324 */   // Label 4689: @233324
     /* 233324 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(233366), // Rule ID 11941 //
     /* 233329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 233343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1824:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBXQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_B),
     /* 233356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233362 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233364 */     GIR_RootConstrainSelectedInstOperands,
     /* 233365 */     // GIR_Coverage, 11941,
     /* 233365 */     GIR_EraseRootFromParent_Done,
     /* 233366 */   // Label 4690: @233366
     /* 233366 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(233408), // Rule ID 11942 //
     /* 233371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 233385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1824:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 233398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233404 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233406 */     GIR_RootConstrainSelectedInstOperands,
     /* 233407 */     // GIR_Coverage, 11942,
     /* 233407 */     GIR_EraseRootFromParent_Done,
     /* 233408 */   // Label 4691: @233408
     /* 233408 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(233450), // Rule ID 11943 //
     /* 233413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1824:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 233440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233446 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233448 */     GIR_RootConstrainSelectedInstOperands,
     /* 233449 */     // GIR_Coverage, 11943,
     /* 233449 */     GIR_EraseRootFromParent_Done,
     /* 233450 */   // Label 4692: @233450
     /* 233450 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(233492), // Rule ID 11944 //
     /* 233455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 233469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233479 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1824:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 233482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233490 */     GIR_RootConstrainSelectedInstOperands,
     /* 233491 */     // GIR_Coverage, 11944,
     /* 233491 */     GIR_EraseRootFromParent_Done,
     /* 233492 */   // Label 4693: @233492
     /* 233492 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(233534), // Rule ID 11945 //
     /* 233497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 233511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1824:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 233524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233532 */     GIR_RootConstrainSelectedInstOperands,
     /* 233533 */     // GIR_Coverage, 11945,
     /* 233533 */     GIR_EraseRootFromParent_Done,
     /* 233534 */   // Label 4694: @233534
     /* 233534 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(233576), // Rule ID 11946 //
     /* 233539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 233553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1824:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 233566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233572 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233574 */     GIR_RootConstrainSelectedInstOperands,
     /* 233575 */     // GIR_Coverage, 11946,
     /* 233575 */     GIR_EraseRootFromParent_Done,
     /* 233576 */   // Label 4695: @233576
     /* 233576 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(233618), // Rule ID 11947 //
     /* 233581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 233584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 233589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 233595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233605 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1824:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 233608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233616 */     GIR_RootConstrainSelectedInstOperands,
     /* 233617 */     // GIR_Coverage, 11947,
     /* 233617 */     GIR_EraseRootFromParent_Done,
     /* 233618 */   // Label 4696: @233618
     /* 233618 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(233660), // Rule ID 12292 //
     /* 233623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 233631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233647 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1276:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 233647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_H),
     /* 233650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233656 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233658 */     GIR_RootConstrainSelectedInstOperands,
     /* 233659 */     // GIR_Coverage, 12292,
     /* 233659 */     GIR_EraseRootFromParent_Done,
     /* 233660 */   // Label 4697: @233660
     /* 233660 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(233702), // Rule ID 12293 //
     /* 233665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 233673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233689 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1276:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 233689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_S),
     /* 233692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233698 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233700 */     GIR_RootConstrainSelectedInstOperands,
     /* 233701 */     // GIR_Coverage, 12293,
     /* 233701 */     GIR_EraseRootFromParent_Done,
     /* 233702 */   // Label 4698: @233702
     /* 233702 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(233744), // Rule ID 12294 //
     /* 233707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 233715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233731 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1276:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 233731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_D),
     /* 233734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233740 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233742 */     GIR_RootConstrainSelectedInstOperands,
     /* 233743 */     // GIR_Coverage, 12294,
     /* 233743 */     GIR_EraseRootFromParent_Done,
     /* 233744 */   // Label 4699: @233744
     /* 233744 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(233786), // Rule ID 12295 //
     /* 233749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 233757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1274:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 233773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_H),
     /* 233776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233782 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233784 */     GIR_RootConstrainSelectedInstOperands,
     /* 233785 */     // GIR_Coverage, 12295,
     /* 233785 */     GIR_EraseRootFromParent_Done,
     /* 233786 */   // Label 4700: @233786
     /* 233786 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(233828), // Rule ID 12296 //
     /* 233791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 233799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233815 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1274:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 233815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_S),
     /* 233818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233824 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233826 */     GIR_RootConstrainSelectedInstOperands,
     /* 233827 */     // GIR_Coverage, 12296,
     /* 233827 */     GIR_EraseRootFromParent_Done,
     /* 233828 */   // Label 4701: @233828
     /* 233828 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(233870), // Rule ID 12297 //
     /* 233833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 233841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233857 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1274:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 233857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_D),
     /* 233860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233868 */     GIR_RootConstrainSelectedInstOperands,
     /* 233869 */     // GIR_Coverage, 12297,
     /* 233869 */     GIR_EraseRootFromParent_Done,
     /* 233870 */   // Label 4702: @233870
     /* 233870 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(233912), // Rule ID 12298 //
     /* 233875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 233883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233899 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1275:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 233899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 233902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233908 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233910 */     GIR_RootConstrainSelectedInstOperands,
     /* 233911 */     // GIR_Coverage, 12298,
     /* 233911 */     GIR_EraseRootFromParent_Done,
     /* 233912 */   // Label 4703: @233912
     /* 233912 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(233954), // Rule ID 12301 //
     /* 233917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 233925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 233928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 233934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 233937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233941 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1275:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 233941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 233944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233950 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233952 */     GIR_RootConstrainSelectedInstOperands,
     /* 233953 */     // GIR_Coverage, 12301,
     /* 233953 */     GIR_EraseRootFromParent_Done,
     /* 233954 */   // Label 4704: @233954
     /* 233954 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(233996), // Rule ID 12304 //
     /* 233959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 233962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 233967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 233970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 233976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 233979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233983 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1275:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 233983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 233986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 233988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233992 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233994 */     GIR_RootConstrainSelectedInstOperands,
     /* 233995 */     // GIR_Coverage, 12304,
     /* 233995 */     GIR_EraseRootFromParent_Done,
     /* 233996 */   // Label 4705: @233996
     /* 233996 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(234038), // Rule ID 12307 //
     /* 234001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 234009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1275:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 234025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 234028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234034 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234036 */     GIR_RootConstrainSelectedInstOperands,
     /* 234037 */     // GIR_Coverage, 12307,
     /* 234037 */     GIR_EraseRootFromParent_Done,
     /* 234038 */   // Label 4706: @234038
     /* 234038 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(234080), // Rule ID 12310 //
     /* 234043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 234051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 234054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 234060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 234063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1275:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 234067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 234070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234076 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234078 */     GIR_RootConstrainSelectedInstOperands,
     /* 234079 */     // GIR_Coverage, 12310,
     /* 234079 */     GIR_EraseRootFromParent_Done,
     /* 234080 */   // Label 4707: @234080
     /* 234080 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(234122), // Rule ID 12313 //
     /* 234085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 234093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1275:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 234109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_D_UNDEF),
     /* 234112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234120 */     GIR_RootConstrainSelectedInstOperands,
     /* 234121 */     // GIR_Coverage, 12313,
     /* 234121 */     GIR_EraseRootFromParent_Done,
     /* 234122 */   // Label 4708: @234122
     /* 234122 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(234164), // Rule ID 12316 //
     /* 234127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1277:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 234151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 234154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234160 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234162 */     GIR_RootConstrainSelectedInstOperands,
     /* 234163 */     // GIR_Coverage, 12316,
     /* 234163 */     GIR_EraseRootFromParent_Done,
     /* 234164 */   // Label 4709: @234164
     /* 234164 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(234206), // Rule ID 12319 //
     /* 234169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 234180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 234186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 234189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1277:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 234193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 234196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234202 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234204 */     GIR_RootConstrainSelectedInstOperands,
     /* 234205 */     // GIR_Coverage, 12319,
     /* 234205 */     GIR_EraseRootFromParent_Done,
     /* 234206 */   // Label 4710: @234206
     /* 234206 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(234248), // Rule ID 12322 //
     /* 234211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 234222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 234228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 234231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234235 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1277:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 234235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 234238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234246 */     GIR_RootConstrainSelectedInstOperands,
     /* 234247 */     // GIR_Coverage, 12322,
     /* 234247 */     GIR_EraseRootFromParent_Done,
     /* 234248 */   // Label 4711: @234248
     /* 234248 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(234290), // Rule ID 12325 //
     /* 234253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234277 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1277:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 234277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 234280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234286 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234288 */     GIR_RootConstrainSelectedInstOperands,
     /* 234289 */     // GIR_Coverage, 12325,
     /* 234289 */     GIR_EraseRootFromParent_Done,
     /* 234290 */   // Label 4712: @234290
     /* 234290 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(234332), // Rule ID 12328 //
     /* 234295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 234306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 234312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 234315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234319 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1277:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 234319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 234322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234328 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234330 */     GIR_RootConstrainSelectedInstOperands,
     /* 234331 */     // GIR_Coverage, 12328,
     /* 234331 */     GIR_EraseRootFromParent_Done,
     /* 234332 */   // Label 4713: @234332
     /* 234332 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(234374), // Rule ID 12331 //
     /* 234337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 234340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 234345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234361 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1277:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 234361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_D_UNDEF),
     /* 234364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234372 */     GIR_RootConstrainSelectedInstOperands,
     /* 234373 */     // GIR_Coverage, 12331,
     /* 234373 */     GIR_EraseRootFromParent_Done,
     /* 234374 */   // Label 4714: @234374
     /* 234374 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(234517), // Rule ID 5512 //
     /* 234379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 234387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 234390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 234393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 234396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234400 */     // MIs[0] idx
     /* 234400 */     // No operand predicates
     /* 234400 */     // (intrinsic_wo_chain:{ *:[v16i8] } 767:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234400 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 234403 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234407 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 234414 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 234417 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234421 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234426 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 234429 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 234433 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 234436 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234441 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234446 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234451 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 234454 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234458 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 234465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 234468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234477 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 234480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 234484 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 234487 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234492 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 234505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 234510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 234513 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234515 */     GIR_RootConstrainSelectedInstOperands,
     /* 234516 */     // GIR_Coverage, 5512,
     /* 234516 */     GIR_EraseRootFromParent_Done,
     /* 234517 */   // Label 4715: @234517
     /* 234517 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(234608), // Rule ID 5513 //
     /* 234522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 234530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 234533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 234536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 234539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234543 */     // MIs[0] idx
     /* 234543 */     // No operand predicates
     /* 234543 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234543 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 234546 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234550 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 234557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 234560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234569 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 234572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 234576 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 234579 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234584 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234589 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 234597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 234602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 234604 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234606 */     GIR_RootConstrainSelectedInstOperands,
     /* 234607 */     // GIR_Coverage, 5513,
     /* 234607 */     GIR_EraseRootFromParent_Done,
     /* 234608 */   // Label 4716: @234608
     /* 234608 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(234699), // Rule ID 5514 //
     /* 234613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 234621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 234624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 234627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 234630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234634 */     // MIs[0] idx
     /* 234634 */     // No operand predicates
     /* 234634 */     // (intrinsic_wo_chain:{ *:[v16i8] } 767:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234634 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 234637 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234641 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 234648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 234651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234660 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 234663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 234667 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 234670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 234688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 234692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 234695 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234697 */     GIR_RootConstrainSelectedInstOperands,
     /* 234698 */     // GIR_Coverage, 5514,
     /* 234698 */     GIR_EraseRootFromParent_Done,
     /* 234699 */   // Label 4717: @234699
     /* 234699 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(234738), // Rule ID 5515 //
     /* 234704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 234712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 234715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 234718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 234721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234725 */     // MIs[0] idx
     /* 234725 */     // No operand predicates
     /* 234725 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 234728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 234732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 234734 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234736 */     GIR_RootConstrainSelectedInstOperands,
     /* 234737 */     // GIR_Coverage, 5515,
     /* 234737 */     GIR_EraseRootFromParent_Done,
     /* 234738 */   // Label 4718: @234738
     /* 234738 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(234881), // Rule ID 5516 //
     /* 234743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 234751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 234754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 234757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 234760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234764 */     // MIs[0] idx
     /* 234764 */     // No operand predicates
     /* 234764 */     // (intrinsic_wo_chain:{ *:[v8i16] } 767:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234764 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 234767 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234771 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 234778 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 234781 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234785 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234790 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 234793 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 234797 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 234800 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234805 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234810 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234815 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 234818 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234822 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 234829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 234832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234841 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 234844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 234848 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 234851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234856 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 234869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 234874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 234877 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234879 */     GIR_RootConstrainSelectedInstOperands,
     /* 234880 */     // GIR_Coverage, 5516,
     /* 234880 */     GIR_EraseRootFromParent_Done,
     /* 234881 */   // Label 4719: @234881
     /* 234881 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(234972), // Rule ID 5517 //
     /* 234886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 234894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 234897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 234900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 234903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234907 */     // MIs[0] idx
     /* 234907 */     // No operand predicates
     /* 234907 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234907 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 234910 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 234914 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 234921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 234924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 234928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 234933 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 234936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 234940 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 234943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 234958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 234961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 234963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 234966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 234968 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 234970 */     GIR_RootConstrainSelectedInstOperands,
     /* 234971 */     // GIR_Coverage, 5517,
     /* 234971 */     GIR_EraseRootFromParent_Done,
     /* 234972 */   // Label 4720: @234972
     /* 234972 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(235063), // Rule ID 5518 //
     /* 234977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 234980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 234985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 234988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 234991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 234994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 234998 */     // MIs[0] idx
     /* 234998 */     // No operand predicates
     /* 234998 */     // (intrinsic_wo_chain:{ *:[v8i16] } 767:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 234998 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 235001 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235005 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 235012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 235015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235024 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 235027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 235031 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 235034 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 235059 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235061 */     GIR_RootConstrainSelectedInstOperands,
     /* 235062 */     // GIR_Coverage, 5518,
     /* 235062 */     GIR_EraseRootFromParent_Done,
     /* 235063 */   // Label 4721: @235063
     /* 235063 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(235102), // Rule ID 5519 //
     /* 235068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 235076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 235079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 235082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 235085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235089 */     // MIs[0] idx
     /* 235089 */     // No operand predicates
     /* 235089 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 235089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 235098 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235100 */     GIR_RootConstrainSelectedInstOperands,
     /* 235101 */     // GIR_Coverage, 5519,
     /* 235101 */     GIR_EraseRootFromParent_Done,
     /* 235102 */   // Label 4722: @235102
     /* 235102 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(235245), // Rule ID 5520 //
     /* 235107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 235115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 235118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 235121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 235124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235128 */     // MIs[0] idx
     /* 235128 */     // No operand predicates
     /* 235128 */     // (intrinsic_wo_chain:{ *:[v8f16] } 767:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 235128 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 235131 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235135 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 235142 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 235145 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235149 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235154 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 235157 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 235161 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 235164 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235169 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235174 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235179 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 235182 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235186 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 235193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 235196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235205 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 235208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 235212 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 235215 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235220 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 235238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 235241 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235243 */     GIR_RootConstrainSelectedInstOperands,
     /* 235244 */     // GIR_Coverage, 5520,
     /* 235244 */     GIR_EraseRootFromParent_Done,
     /* 235245 */   // Label 4723: @235245
     /* 235245 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(235336), // Rule ID 5521 //
     /* 235250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 235258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 235261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 235264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 235267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235271 */     // MIs[0] idx
     /* 235271 */     // No operand predicates
     /* 235271 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 235271 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 235274 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235278 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 235285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 235288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235297 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 235300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 235304 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 235307 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235312 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235317 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 235330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 235332 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235334 */     GIR_RootConstrainSelectedInstOperands,
     /* 235335 */     // GIR_Coverage, 5521,
     /* 235335 */     GIR_EraseRootFromParent_Done,
     /* 235336 */   // Label 4724: @235336
     /* 235336 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(235427), // Rule ID 5522 //
     /* 235341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 235349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 235352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 235355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 235358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235362 */     // MIs[0] idx
     /* 235362 */     // No operand predicates
     /* 235362 */     // (intrinsic_wo_chain:{ *:[v8f16] } 767:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 235362 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 235365 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235369 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 235376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 235379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235388 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 235391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 235395 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 235398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235403 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235408 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 235423 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235425 */     GIR_RootConstrainSelectedInstOperands,
     /* 235426 */     // GIR_Coverage, 5522,
     /* 235426 */     GIR_EraseRootFromParent_Done,
     /* 235427 */   // Label 4725: @235427
     /* 235427 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(235466), // Rule ID 5523 //
     /* 235432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 235440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 235443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 235446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 235449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235453 */     // MIs[0] idx
     /* 235453 */     // No operand predicates
     /* 235453 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 235453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 235456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 235462 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235464 */     GIR_RootConstrainSelectedInstOperands,
     /* 235465 */     // GIR_Coverage, 5523,
     /* 235465 */     GIR_EraseRootFromParent_Done,
     /* 235466 */   // Label 4726: @235466
     /* 235466 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(235505), // Rule ID 5524 //
     /* 235471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_laneq),
     /* 235479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 235482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 235485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 235488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235492 */     // MIs[0] idx
     /* 235492 */     // No operand predicates
     /* 235492 */     // (intrinsic_wo_chain:{ *:[v16i8] } 771:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 235492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 235495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 235501 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235503 */     GIR_RootConstrainSelectedInstOperands,
     /* 235504 */     // GIR_Coverage, 5524,
     /* 235504 */     GIR_EraseRootFromParent_Done,
     /* 235505 */   // Label 4727: @235505
     /* 235505 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(235596), // Rule ID 5525 //
     /* 235510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 235513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_lane),
     /* 235518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 235521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 235524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 235527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235531 */     // MIs[0] idx
     /* 235531 */     // No operand predicates
     /* 235531 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 235531 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 235534 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 235538 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 235545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 235548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 235552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 235557 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 235560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 235564 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 235567 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235572 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 235577 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 235582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 235585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 235587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 235589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 235592 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 235594 */     GIR_RootConstrainSelectedInstOperands,
     /* 235595 */     // GIR_Coverage, 5525,
     /* 235595 */     GIR_EraseRootFromParent_Done,
     /* 235596 */   // Label 4728: @235596
     /* 235596 */   GIM_Reject,
     /* 235597 */ // Label 3852: @235597
     /* 235597 */ GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(242708),
     /* 235602 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 235605 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(235652), // Rule ID 2951 //
     /* 235610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 235618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 235633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1508:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 235637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_B_UNDEF),
     /* 235640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235648 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235650 */     GIR_RootConstrainSelectedInstOperands,
     /* 235651 */     // GIR_Coverage, 2951,
     /* 235651 */     GIR_EraseRootFromParent_Done,
     /* 235652 */   // Label 4730: @235652
     /* 235652 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(235699), // Rule ID 2953 //
     /* 235657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 235665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 235680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1508:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 235684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_H_UNDEF),
     /* 235687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235693 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235695 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235697 */     GIR_RootConstrainSelectedInstOperands,
     /* 235698 */     // GIR_Coverage, 2953,
     /* 235698 */     GIR_EraseRootFromParent_Done,
     /* 235699 */   // Label 4731: @235699
     /* 235699 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(235746), // Rule ID 2955 //
     /* 235704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 235712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 235727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1508:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 235731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_S_UNDEF),
     /* 235734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235740 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235742 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235744 */     GIR_RootConstrainSelectedInstOperands,
     /* 235745 */     // GIR_Coverage, 2955,
     /* 235745 */     GIR_EraseRootFromParent_Done,
     /* 235746 */   // Label 4732: @235746
     /* 235746 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(235793), // Rule ID 2957 //
     /* 235751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 235759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 235774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1508:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 235778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_D_UNDEF),
     /* 235781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235787 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235789 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235791 */     GIR_RootConstrainSelectedInstOperands,
     /* 235792 */     // GIR_Coverage, 2957,
     /* 235792 */     GIR_EraseRootFromParent_Done,
     /* 235793 */   // Label 4733: @235793
     /* 235793 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(235840), // Rule ID 7418 //
     /* 235798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 235806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 235821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235825 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1511:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 235825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_B_UNDEF),
     /* 235828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235834 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235836 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235838 */     GIR_RootConstrainSelectedInstOperands,
     /* 235839 */     // GIR_Coverage, 7418,
     /* 235839 */     GIR_EraseRootFromParent_Done,
     /* 235840 */   // Label 4734: @235840
     /* 235840 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(235887), // Rule ID 7420 //
     /* 235845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 235853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 235868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1511:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 235872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_H_UNDEF),
     /* 235875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235881 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235883 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235885 */     GIR_RootConstrainSelectedInstOperands,
     /* 235886 */     // GIR_Coverage, 7420,
     /* 235886 */     GIR_EraseRootFromParent_Done,
     /* 235887 */   // Label 4735: @235887
     /* 235887 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(235934), // Rule ID 7422 //
     /* 235892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 235900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 235915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1511:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 235919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_S_UNDEF),
     /* 235922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235930 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235932 */     GIR_RootConstrainSelectedInstOperands,
     /* 235933 */     // GIR_Coverage, 7422,
     /* 235933 */     GIR_EraseRootFromParent_Done,
     /* 235934 */   // Label 4736: @235934
     /* 235934 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(235981), // Rule ID 7424 //
     /* 235939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 235942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 235947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 235962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1511:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 235966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_D_UNDEF),
     /* 235969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235975 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235977 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 235979 */     GIR_RootConstrainSelectedInstOperands,
     /* 235980 */     // GIR_Coverage, 7424,
     /* 235980 */     GIR_EraseRootFromParent_Done,
     /* 235981 */   // Label 4737: @235981
     /* 235981 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(236061), // Rule ID 5632 //
     /* 235986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 235991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 235994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 235997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 236000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 236003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 236006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 236018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 236026 */     // MIs[1] Operand 1
     /* 236026 */     // No operand predicates
     /* 236026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 236034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236038 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 236042 */     // MIs[2] Operand 1
     /* 236042 */     // No operand predicates
     /* 236042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 236044 */     // (intrinsic_wo_chain:{ *:[v16i8] } 760:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)
     /* 236044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 236047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 236049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 236054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 236056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 236059 */     GIR_RootConstrainSelectedInstOperands,
     /* 236060 */     // GIR_Coverage, 5632,
     /* 236060 */     GIR_EraseRootFromParent_Done,
     /* 236061 */   // Label 4738: @236061
     /* 236061 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(236141), // Rule ID 5633 //
     /* 236066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 236071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 236074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 236077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 236080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 236083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 236086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 236098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 236106 */     // MIs[1] Operand 1
     /* 236106 */     // No operand predicates
     /* 236106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 236114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236118 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 236122 */     // MIs[2] Operand 1
     /* 236122 */     // No operand predicates
     /* 236122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 236124 */     // (intrinsic_wo_chain:{ *:[v8i16] } 760:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)
     /* 236124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 236127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 236129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 236134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 236136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 236139 */     GIR_RootConstrainSelectedInstOperands,
     /* 236140 */     // GIR_Coverage, 5633,
     /* 236140 */     GIR_EraseRootFromParent_Done,
     /* 236141 */   // Label 4739: @236141
     /* 236141 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(236221), // Rule ID 5634 //
     /* 236146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 236151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 236154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 236157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 236160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 236163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 236166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 236178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 236186 */     // MIs[1] Operand 1
     /* 236186 */     // No operand predicates
     /* 236186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 236194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236198 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 236202 */     // MIs[2] Operand 1
     /* 236202 */     // No operand predicates
     /* 236202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 236204 */     // (intrinsic_wo_chain:{ *:[v4i32] } 760:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)
     /* 236204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 236207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 236209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 236214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 236216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 236219 */     GIR_RootConstrainSelectedInstOperands,
     /* 236220 */     // GIR_Coverage, 5634,
     /* 236220 */     GIR_EraseRootFromParent_Done,
     /* 236221 */   // Label 4740: @236221
     /* 236221 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(236301), // Rule ID 5635 //
     /* 236226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 236231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 236234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 236237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 236240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 236243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 236246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 236258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 236266 */     // MIs[1] Operand 1
     /* 236266 */     // No operand predicates
     /* 236266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 236274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 236278 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 236282 */     // MIs[2] Operand 1
     /* 236282 */     // No operand predicates
     /* 236282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 236284 */     // (intrinsic_wo_chain:{ *:[v2i64] } 760:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)
     /* 236284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 236287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 236289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 236294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 236296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 236299 */     GIR_RootConstrainSelectedInstOperands,
     /* 236300 */     // GIR_Coverage, 5635,
     /* 236300 */     GIR_EraseRootFromParent_Done,
     /* 236301 */   // Label 4741: @236301
     /* 236301 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(236365), // Rule ID 3791 //
     /* 236306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 236309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1a),
     /* 236314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 236317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 236320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 236323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 236326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236342 */     // MIs[0] imm
     /* 236342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 236350 */     // (intrinsic_wo_chain:{ *:[v4i32] } 536:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 236350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1A),
     /* 236353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 236355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 236359 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 236361 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 236363 */     GIR_RootConstrainSelectedInstOperands,
     /* 236364 */     // GIR_Coverage, 3791,
     /* 236364 */     GIR_EraseRootFromParent_Done,
     /* 236365 */   // Label 4742: @236365
     /* 236365 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(236429), // Rule ID 3792 //
     /* 236370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 236373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1b),
     /* 236378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 236381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 236384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 236387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 236390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236406 */     // MIs[0] imm
     /* 236406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 236414 */     // (intrinsic_wo_chain:{ *:[v4i32] } 537:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 236414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1B),
     /* 236417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 236419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 236423 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 236425 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 236427 */     GIR_RootConstrainSelectedInstOperands,
     /* 236428 */     // GIR_Coverage, 3792,
     /* 236428 */     GIR_EraseRootFromParent_Done,
     /* 236429 */   // Label 4743: @236429
     /* 236429 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(236493), // Rule ID 3793 //
     /* 236434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 236437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2a),
     /* 236442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 236445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 236448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 236451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 236454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236470 */     // MIs[0] imm
     /* 236470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 236478 */     // (intrinsic_wo_chain:{ *:[v4i32] } 538:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 236478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2A),
     /* 236481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 236483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 236487 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 236489 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 236491 */     GIR_RootConstrainSelectedInstOperands,
     /* 236492 */     // GIR_Coverage, 3793,
     /* 236492 */     GIR_EraseRootFromParent_Done,
     /* 236493 */   // Label 4744: @236493
     /* 236493 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(236557), // Rule ID 3794 //
     /* 236498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 236501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2b),
     /* 236506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 236509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 236512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 236515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 236518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 236534 */     // MIs[0] imm
     /* 236534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 236542 */     // (intrinsic_wo_chain:{ *:[v4i32] } 539:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 236542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2B),
     /* 236545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 236547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 236549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 236551 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 236553 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 236555 */     GIR_RootConstrainSelectedInstOperands,
     /* 236556 */     // GIR_Coverage, 3794,
     /* 236556 */     GIR_EraseRootFromParent_Done,
     /* 236557 */   // Label 4745: @236557
     /* 236557 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(236609), // Rule ID 2836 //
     /* 236562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 236565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 236570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 236576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236586 */     // MIs[0] idx
     /* 236586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 236594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1367:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLA_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 236594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_H),
     /* 236597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236603 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236605 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 236607 */     GIR_RootConstrainSelectedInstOperands,
     /* 236608 */     // GIR_Coverage, 2836,
     /* 236608 */     GIR_EraseRootFromParent_Done,
     /* 236609 */   // Label 4746: @236609
     /* 236609 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(236661), // Rule ID 2837 //
     /* 236614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 236617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 236622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236638 */     // MIs[0] idx
     /* 236638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 236646 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1367:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLA_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 236646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_S),
     /* 236649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236655 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236657 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 236659 */     GIR_RootConstrainSelectedInstOperands,
     /* 236660 */     // GIR_Coverage, 2837,
     /* 236660 */     GIR_EraseRootFromParent_Done,
     /* 236661 */   // Label 4747: @236661
     /* 236661 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(236713), // Rule ID 2838 //
     /* 236666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 236669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 236674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 236680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236690 */     // MIs[0] idx
     /* 236690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236693 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 236698 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1367:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLA_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 236698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_D),
     /* 236701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236707 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236709 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 236711 */     GIR_RootConstrainSelectedInstOperands,
     /* 236712 */     // GIR_Coverage, 2838,
     /* 236712 */     GIR_EraseRootFromParent_Done,
     /* 236713 */   // Label 4748: @236713
     /* 236713 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(236765), // Rule ID 2966 //
     /* 236718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 236726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 236732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236742 */     // MIs[0] Op4
     /* 236742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 236750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1507:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLA_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 236750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_H),
     /* 236753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236759 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236761 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 236763 */     GIR_RootConstrainSelectedInstOperands,
     /* 236764 */     // GIR_Coverage, 2966,
     /* 236764 */     GIR_EraseRootFromParent_Done,
     /* 236765 */   // Label 4749: @236765
     /* 236765 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(236817), // Rule ID 2967 //
     /* 236770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 236778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236794 */     // MIs[0] Op4
     /* 236794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 236802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1507:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLA_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 236802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_S),
     /* 236805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236811 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236813 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 236815 */     GIR_RootConstrainSelectedInstOperands,
     /* 236816 */     // GIR_Coverage, 2967,
     /* 236816 */     GIR_EraseRootFromParent_Done,
     /* 236817 */   // Label 4750: @236817
     /* 236817 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(236869), // Rule ID 2968 //
     /* 236822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 236830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 236836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236846 */     // MIs[0] Op4
     /* 236846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 236854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1507:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLA_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 236854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_D),
     /* 236857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236863 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236865 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 236867 */     GIR_RootConstrainSelectedInstOperands,
     /* 236868 */     // GIR_Coverage, 2968,
     /* 236868 */     GIR_EraseRootFromParent_Done,
     /* 236869 */   // Label 4751: @236869
     /* 236869 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(236921), // Rule ID 2969 //
     /* 236874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 236882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236898 */     // MIs[0] Op4
     /* 236898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 236906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1649:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 236906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_S),
     /* 236909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236915 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236917 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 236919 */     GIR_RootConstrainSelectedInstOperands,
     /* 236920 */     // GIR_Coverage, 2969,
     /* 236920 */     GIR_EraseRootFromParent_Done,
     /* 236921 */   // Label 4752: @236921
     /* 236921 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(236973), // Rule ID 2970 //
     /* 236926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 236934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 236940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236950 */     // MIs[0] Op4
     /* 236950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 236953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 236958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1649:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 236958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_D),
     /* 236961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236967 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236969 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 236971 */     GIR_RootConstrainSelectedInstOperands,
     /* 236972 */     // GIR_Coverage, 2970,
     /* 236972 */     GIR_EraseRootFromParent_Done,
     /* 236973 */   // Label 4753: @236973
     /* 236973 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(237025), // Rule ID 2973 //
     /* 236978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 236981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 236986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237002 */     // MIs[0] Op4
     /* 237002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1615:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_S),
     /* 237013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237019 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237021 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237023 */     GIR_RootConstrainSelectedInstOperands,
     /* 237024 */     // GIR_Coverage, 2973,
     /* 237024 */     GIR_EraseRootFromParent_Done,
     /* 237025 */   // Label 4754: @237025
     /* 237025 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(237077), // Rule ID 2974 //
     /* 237030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 237038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237054 */     // MIs[0] Op4
     /* 237054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1615:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 237062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_D),
     /* 237065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237071 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237073 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237075 */     GIR_RootConstrainSelectedInstOperands,
     /* 237076 */     // GIR_Coverage, 2974,
     /* 237076 */     GIR_EraseRootFromParent_Done,
     /* 237077 */   // Label 4755: @237077
     /* 237077 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(237129), // Rule ID 3442 //
     /* 237082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 237085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usdot_lane),
     /* 237090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237106 */     // MIs[0] Op4
     /* 237106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1962:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (USDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USDOT_ZZZI),
     /* 237117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237123 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237125 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237127 */     GIR_RootConstrainSelectedInstOperands,
     /* 237128 */     // GIR_Coverage, 3442,
     /* 237128 */     GIR_EraseRootFromParent_Done,
     /* 237129 */   // Label 4756: @237129
     /* 237129 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(237181), // Rule ID 3486 //
     /* 237134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 237137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane_x2),
     /* 237142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237158 */     // MIs[0] Op4
     /* 237158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1616:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_HtoS),
     /* 237169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237175 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237177 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237179 */     GIR_RootConstrainSelectedInstOperands,
     /* 237180 */     // GIR_Coverage, 3486,
     /* 237180 */     GIR_EraseRootFromParent_Done,
     /* 237181 */   // Label 4757: @237181
     /* 237181 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(237233), // Rule ID 7488 //
     /* 237186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 237194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237210 */     // MIs[0] Op4
     /* 237210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1862:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_S),
     /* 237221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237227 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237229 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237231 */     GIR_RootConstrainSelectedInstOperands,
     /* 237232 */     // GIR_Coverage, 7488,
     /* 237232 */     GIR_EraseRootFromParent_Done,
     /* 237233 */   // Label 4758: @237233
     /* 237233 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(237285), // Rule ID 7489 //
     /* 237238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 237246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237262 */     // MIs[0] Op4
     /* 237262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1862:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (UDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 237270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_D),
     /* 237273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237279 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237281 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237283 */     GIR_RootConstrainSelectedInstOperands,
     /* 237284 */     // GIR_Coverage, 7489,
     /* 237284 */     GIR_EraseRootFromParent_Done,
     /* 237285 */   // Label 4759: @237285
     /* 237285 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(237337), // Rule ID 8129 //
     /* 237290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 237298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237314 */     // MIs[0] idx
     /* 237314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 237322 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1374:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLS_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 237322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_H),
     /* 237325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237331 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237333 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 237335 */     GIR_RootConstrainSelectedInstOperands,
     /* 237336 */     // GIR_Coverage, 8129,
     /* 237336 */     GIR_EraseRootFromParent_Done,
     /* 237337 */   // Label 4760: @237337
     /* 237337 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(237389), // Rule ID 8130 //
     /* 237342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 237350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237366 */     // MIs[0] idx
     /* 237366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1374:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLS_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 237374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_S),
     /* 237377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237383 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237385 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 237387 */     GIR_RootConstrainSelectedInstOperands,
     /* 237388 */     // GIR_Coverage, 8130,
     /* 237388 */     GIR_EraseRootFromParent_Done,
     /* 237389 */   // Label 4761: @237389
     /* 237389 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(237441), // Rule ID 8131 //
     /* 237394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 237397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 237402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237418 */     // MIs[0] idx
     /* 237418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237426 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1374:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLS_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 237426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_D),
     /* 237429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237435 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237437 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 237439 */     GIR_RootConstrainSelectedInstOperands,
     /* 237440 */     // GIR_Coverage, 8131,
     /* 237440 */     GIR_EraseRootFromParent_Done,
     /* 237441 */   // Label 4762: @237441
     /* 237441 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(237493), // Rule ID 11047 //
     /* 237446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 237449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sudot_lane),
     /* 237454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237470 */     // MIs[0] Op4
     /* 237470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1811:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SUDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUDOT_ZZZI),
     /* 237481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237487 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237489 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237491 */     GIR_RootConstrainSelectedInstOperands,
     /* 237492 */     // GIR_Coverage, 11047,
     /* 237492 */     GIR_EraseRootFromParent_Done,
     /* 237493 */   // Label 4763: @237493
     /* 237493 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(237545), // Rule ID 11094 //
     /* 237498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 237506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237522 */     // MIs[0] Op4
     /* 237522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 237530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1510:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLS_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 237530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_H),
     /* 237533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237539 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237541 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237543 */     GIR_RootConstrainSelectedInstOperands,
     /* 237544 */     // GIR_Coverage, 11094,
     /* 237544 */     GIR_EraseRootFromParent_Done,
     /* 237545 */   // Label 4764: @237545
     /* 237545 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(237597), // Rule ID 11095 //
     /* 237550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 237558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237574 */     // MIs[0] Op4
     /* 237574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1510:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLS_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_S),
     /* 237585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237591 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237593 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237595 */     GIR_RootConstrainSelectedInstOperands,
     /* 237596 */     // GIR_Coverage, 11095,
     /* 237596 */     GIR_EraseRootFromParent_Done,
     /* 237597 */   // Label 4765: @237597
     /* 237597 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(237649), // Rule ID 11096 //
     /* 237602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 237610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237626 */     // MIs[0] Op4
     /* 237626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1510:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLS_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 237634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_D),
     /* 237637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237641 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237643 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237645 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237647 */     GIR_RootConstrainSelectedInstOperands,
     /* 237648 */     // GIR_Coverage, 11096,
     /* 237648 */     GIR_EraseRootFromParent_Done,
     /* 237649 */   // Label 4766: @237649
     /* 237649 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(237701), // Rule ID 11097 //
     /* 237654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 237662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237678 */     // MIs[0] Op4
     /* 237678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 237686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1728:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 237686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_H),
     /* 237689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237697 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237699 */     GIR_RootConstrainSelectedInstOperands,
     /* 237700 */     // GIR_Coverage, 11097,
     /* 237700 */     GIR_EraseRootFromParent_Done,
     /* 237701 */   // Label 4767: @237701
     /* 237701 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(237753), // Rule ID 11098 //
     /* 237706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 237714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237730 */     // MIs[0] Op4
     /* 237730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1728:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_S),
     /* 237741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237747 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237749 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237751 */     GIR_RootConstrainSelectedInstOperands,
     /* 237752 */     // GIR_Coverage, 11098,
     /* 237752 */     GIR_EraseRootFromParent_Done,
     /* 237753 */   // Label 4768: @237753
     /* 237753 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(237805), // Rule ID 11099 //
     /* 237758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 237766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237782 */     // MIs[0] Op4
     /* 237782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1728:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 237790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_D),
     /* 237793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237799 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237801 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237803 */     GIR_RootConstrainSelectedInstOperands,
     /* 237804 */     // GIR_Coverage, 11099,
     /* 237804 */     GIR_EraseRootFromParent_Done,
     /* 237805 */   // Label 4769: @237805
     /* 237805 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(237857), // Rule ID 11100 //
     /* 237810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 237818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237834 */     // MIs[0] Op4
     /* 237834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 237842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1730:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 237842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_H),
     /* 237845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237851 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237853 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237855 */     GIR_RootConstrainSelectedInstOperands,
     /* 237856 */     // GIR_Coverage, 11100,
     /* 237856 */     GIR_EraseRootFromParent_Done,
     /* 237857 */   // Label 4770: @237857
     /* 237857 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(237909), // Rule ID 11101 //
     /* 237862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 237870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237886 */     // MIs[0] Op4
     /* 237886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 237894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1730:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 237894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_S),
     /* 237897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237903 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237905 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237907 */     GIR_RootConstrainSelectedInstOperands,
     /* 237908 */     // GIR_Coverage, 11101,
     /* 237908 */     GIR_EraseRootFromParent_Done,
     /* 237909 */   // Label 4771: @237909
     /* 237909 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(237961), // Rule ID 11102 //
     /* 237914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 237922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237938 */     // MIs[0] Op4
     /* 237938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 237946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1730:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 237946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_D),
     /* 237949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237955 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237957 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 237959 */     GIR_RootConstrainSelectedInstOperands,
     /* 237960 */     // GIR_Coverage, 11102,
     /* 237960 */     GIR_EraseRootFromParent_Done,
     /* 237961 */   // Label 4772: @237961
     /* 237961 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(238013), // Rule ID 11145 //
     /* 237966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 237974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237990 */     // MIs[0] Op4
     /* 237990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 237993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 237998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1651:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 237998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_S),
     /* 238001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238007 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238009 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238011 */     GIR_RootConstrainSelectedInstOperands,
     /* 238012 */     // GIR_Coverage, 11145,
     /* 238012 */     GIR_EraseRootFromParent_Done,
     /* 238013 */   // Label 4773: @238013
     /* 238013 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(238065), // Rule ID 11146 //
     /* 238018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 238026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238042 */     // MIs[0] Op4
     /* 238042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1651:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_D),
     /* 238053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238059 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238061 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238063 */     GIR_RootConstrainSelectedInstOperands,
     /* 238064 */     // GIR_Coverage, 11146,
     /* 238064 */     GIR_EraseRootFromParent_Done,
     /* 238065 */   // Label 4774: @238065
     /* 238065 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(238117), // Rule ID 11147 //
     /* 238070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 238078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238094 */     // MIs[0] Op4
     /* 238094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1887:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_S),
     /* 238105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238111 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238113 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238115 */     GIR_RootConstrainSelectedInstOperands,
     /* 238116 */     // GIR_Coverage, 11147,
     /* 238116 */     GIR_EraseRootFromParent_Done,
     /* 238117 */   // Label 4775: @238117
     /* 238117 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(238169), // Rule ID 11148 //
     /* 238122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 238130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238146 */     // MIs[0] Op4
     /* 238146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1887:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_D),
     /* 238157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238165 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238167 */     GIR_RootConstrainSelectedInstOperands,
     /* 238168 */     // GIR_Coverage, 11148,
     /* 238168 */     GIR_EraseRootFromParent_Done,
     /* 238169 */   // Label 4776: @238169
     /* 238169 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(238221), // Rule ID 11149 //
     /* 238174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 238182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238198 */     // MIs[0] Op4
     /* 238198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1889:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_S),
     /* 238209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238213 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238215 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238217 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238219 */     GIR_RootConstrainSelectedInstOperands,
     /* 238220 */     // GIR_Coverage, 11149,
     /* 238220 */     GIR_EraseRootFromParent_Done,
     /* 238221 */   // Label 4777: @238221
     /* 238221 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(238273), // Rule ID 11150 //
     /* 238226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 238234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238250 */     // MIs[0] Op4
     /* 238250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1889:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_D),
     /* 238261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238267 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238269 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238271 */     GIR_RootConstrainSelectedInstOperands,
     /* 238272 */     // GIR_Coverage, 11150,
     /* 238272 */     GIR_EraseRootFromParent_Done,
     /* 238273 */   // Label 4778: @238273
     /* 238273 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(238325), // Rule ID 11151 //
     /* 238278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 238286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238302 */     // MIs[0] Op4
     /* 238302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1653:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_S),
     /* 238313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238319 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238321 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238323 */     GIR_RootConstrainSelectedInstOperands,
     /* 238324 */     // GIR_Coverage, 11151,
     /* 238324 */     GIR_EraseRootFromParent_Done,
     /* 238325 */   // Label 4779: @238325
     /* 238325 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(238377), // Rule ID 11152 //
     /* 238330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 238338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238354 */     // MIs[0] Op4
     /* 238354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1653:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_D),
     /* 238365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238371 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238373 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238375 */     GIR_RootConstrainSelectedInstOperands,
     /* 238376 */     // GIR_Coverage, 11152,
     /* 238376 */     GIR_EraseRootFromParent_Done,
     /* 238377 */   // Label 4780: @238377
     /* 238377 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(238429), // Rule ID 11153 //
     /* 238382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 238390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238406 */     // MIs[0] Op4
     /* 238406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1655:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_S),
     /* 238417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238423 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238425 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238427 */     GIR_RootConstrainSelectedInstOperands,
     /* 238428 */     // GIR_Coverage, 11153,
     /* 238428 */     GIR_EraseRootFromParent_Done,
     /* 238429 */   // Label 4781: @238429
     /* 238429 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(238481), // Rule ID 11154 //
     /* 238434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 238442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238458 */     // MIs[0] Op4
     /* 238458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1655:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_D),
     /* 238469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238475 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238477 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238479 */     GIR_RootConstrainSelectedInstOperands,
     /* 238480 */     // GIR_Coverage, 11154,
     /* 238480 */     GIR_EraseRootFromParent_Done,
     /* 238481 */   // Label 4782: @238481
     /* 238481 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(238533), // Rule ID 11155 //
     /* 238486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 238494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238510 */     // MIs[0] Op4
     /* 238510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1891:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_S),
     /* 238521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238527 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238529 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238531 */     GIR_RootConstrainSelectedInstOperands,
     /* 238532 */     // GIR_Coverage, 11155,
     /* 238532 */     GIR_EraseRootFromParent_Done,
     /* 238533 */   // Label 4783: @238533
     /* 238533 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(238585), // Rule ID 11156 //
     /* 238538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 238546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238562 */     // MIs[0] Op4
     /* 238562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1891:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_D),
     /* 238573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238579 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238581 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238583 */     GIR_RootConstrainSelectedInstOperands,
     /* 238584 */     // GIR_Coverage, 11156,
     /* 238584 */     GIR_EraseRootFromParent_Done,
     /* 238585 */   // Label 4784: @238585
     /* 238585 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(238637), // Rule ID 11157 //
     /* 238590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 238598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238614 */     // MIs[0] Op4
     /* 238614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1893:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_S),
     /* 238625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238631 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238633 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238635 */     GIR_RootConstrainSelectedInstOperands,
     /* 238636 */     // GIR_Coverage, 11157,
     /* 238636 */     GIR_EraseRootFromParent_Done,
     /* 238637 */   // Label 4785: @238637
     /* 238637 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(238689), // Rule ID 11158 //
     /* 238642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 238650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238666 */     // MIs[0] Op4
     /* 238666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1893:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_D),
     /* 238677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238681 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238683 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238685 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238687 */     GIR_RootConstrainSelectedInstOperands,
     /* 238688 */     // GIR_Coverage, 11158,
     /* 238688 */     GIR_EraseRootFromParent_Done,
     /* 238689 */   // Label 4786: @238689
     /* 238689 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(238741), // Rule ID 11180 //
     /* 238694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 238702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238718 */     // MIs[0] Op4
     /* 238718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1691:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_S),
     /* 238729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238735 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238737 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238739 */     GIR_RootConstrainSelectedInstOperands,
     /* 238740 */     // GIR_Coverage, 11180,
     /* 238740 */     GIR_EraseRootFromParent_Done,
     /* 238741 */   // Label 4787: @238741
     /* 238741 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(238793), // Rule ID 11181 //
     /* 238746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 238754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238770 */     // MIs[0] Op4
     /* 238770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1691:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_D),
     /* 238781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238787 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238789 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238791 */     GIR_RootConstrainSelectedInstOperands,
     /* 238792 */     // GIR_Coverage, 11181,
     /* 238792 */     GIR_EraseRootFromParent_Done,
     /* 238793 */   // Label 4788: @238793
     /* 238793 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(238845), // Rule ID 11182 //
     /* 238798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 238806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238822 */     // MIs[0] Op4
     /* 238822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1694:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_S),
     /* 238833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238839 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238841 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238843 */     GIR_RootConstrainSelectedInstOperands,
     /* 238844 */     // GIR_Coverage, 11182,
     /* 238844 */     GIR_EraseRootFromParent_Done,
     /* 238845 */   // Label 4789: @238845
     /* 238845 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(238897), // Rule ID 11183 //
     /* 238850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 238858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238874 */     // MIs[0] Op4
     /* 238874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1694:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_D),
     /* 238885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238891 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238893 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238895 */     GIR_RootConstrainSelectedInstOperands,
     /* 238896 */     // GIR_Coverage, 11183,
     /* 238896 */     GIR_EraseRootFromParent_Done,
     /* 238897 */   // Label 4790: @238897
     /* 238897 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(238949), // Rule ID 11184 //
     /* 238902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 238910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238926 */     // MIs[0] Op4
     /* 238926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 238934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1696:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 238934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_S),
     /* 238937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238943 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238945 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238947 */     GIR_RootConstrainSelectedInstOperands,
     /* 238948 */     // GIR_Coverage, 11184,
     /* 238948 */     GIR_EraseRootFromParent_Done,
     /* 238949 */   // Label 4791: @238949
     /* 238949 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(239001), // Rule ID 11185 //
     /* 238954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 238962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238978 */     // MIs[0] Op4
     /* 238978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 238981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 238986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1696:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 238986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_D),
     /* 238989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238995 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238997 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 238999 */     GIR_RootConstrainSelectedInstOperands,
     /* 239000 */     // GIR_Coverage, 11185,
     /* 239000 */     GIR_EraseRootFromParent_Done,
     /* 239001 */   // Label 4792: @239001
     /* 239001 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(239053), // Rule ID 11186 //
     /* 239006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 239014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239030 */     // MIs[0] Op4
     /* 239030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 239038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1699:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 239038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_S),
     /* 239041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239047 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239049 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239051 */     GIR_RootConstrainSelectedInstOperands,
     /* 239052 */     // GIR_Coverage, 11186,
     /* 239052 */     GIR_EraseRootFromParent_Done,
     /* 239053 */   // Label 4793: @239053
     /* 239053 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(239105), // Rule ID 11187 //
     /* 239058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 239066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239082 */     // MIs[0] Op4
     /* 239082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 239090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1699:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 239090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_D),
     /* 239093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239099 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239101 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239103 */     GIR_RootConstrainSelectedInstOperands,
     /* 239104 */     // GIR_Coverage, 11187,
     /* 239104 */     GIR_EraseRootFromParent_Done,
     /* 239105 */   // Label 4794: @239105
     /* 239105 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(239157), // Rule ID 11641 //
     /* 239110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb_lane),
     /* 239118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239134 */     // MIs[0] Op4
     /* 239134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 239142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1370:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 239142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI_SHH),
     /* 239145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239151 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239153 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239155 */     GIR_RootConstrainSelectedInstOperands,
     /* 239156 */     // GIR_Coverage, 11641,
     /* 239156 */     GIR_EraseRootFromParent_Done,
     /* 239157 */   // Label 4795: @239157
     /* 239157 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(239209), // Rule ID 11642 //
     /* 239162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt_lane),
     /* 239170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239186 */     // MIs[0] Op4
     /* 239186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 239194 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1372:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 239194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI_SHH),
     /* 239197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239203 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239205 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239207 */     GIR_RootConstrainSelectedInstOperands,
     /* 239208 */     // GIR_Coverage, 11642,
     /* 239208 */     GIR_EraseRootFromParent_Done,
     /* 239209 */   // Label 4796: @239209
     /* 239209 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(239261), // Rule ID 11643 //
     /* 239214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb_lane),
     /* 239222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239238 */     // MIs[0] Op4
     /* 239238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 239246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1377:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 239246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZI_SHH),
     /* 239249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239255 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239257 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239259 */     GIR_RootConstrainSelectedInstOperands,
     /* 239260 */     // GIR_Coverage, 11643,
     /* 239260 */     GIR_EraseRootFromParent_Done,
     /* 239261 */   // Label 4797: @239261
     /* 239261 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(239313), // Rule ID 11644 //
     /* 239266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt_lane),
     /* 239274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239290 */     // MIs[0] Op4
     /* 239290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 239298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1379:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 239298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZI_SHH),
     /* 239301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239307 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239309 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239311 */     GIR_RootConstrainSelectedInstOperands,
     /* 239312 */     // GIR_Coverage, 11644,
     /* 239312 */     GIR_EraseRootFromParent_Done,
     /* 239313 */   // Label 4798: @239313
     /* 239313 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(239365), // Rule ID 11777 //
     /* 239318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 239321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_lane_x2),
     /* 239326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239342 */     // MIs[0] Op4
     /* 239342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 239350 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1325:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (FDOT_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 239350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_S),
     /* 239353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239359 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239361 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239363 */     GIR_RootConstrainSelectedInstOperands,
     /* 239364 */     // GIR_Coverage, 11777,
     /* 239364 */     GIR_EraseRootFromParent_Done,
     /* 239365 */   // Label 4799: @239365
     /* 239365 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(239417), // Rule ID 11779 //
     /* 239370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 239373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane_x2),
     /* 239378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239394 */     // MIs[0] Op4
     /* 239394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 239397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 239402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1863:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 239402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_HtoS),
     /* 239405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239411 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239413 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239415 */     GIR_RootConstrainSelectedInstOperands,
     /* 239416 */     // GIR_Coverage, 11779,
     /* 239416 */     GIR_EraseRootFromParent_Done,
     /* 239417 */   // Label 4800: @239417
     /* 239417 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(239464), // Rule ID 2815 //
     /* 239422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 239445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1366:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 239449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 239452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239460 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239462 */     GIR_RootConstrainSelectedInstOperands,
     /* 239463 */     // GIR_Coverage, 2815,
     /* 239463 */     GIR_EraseRootFromParent_Done,
     /* 239464 */   // Label 4801: @239464
     /* 239464 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(239511), // Rule ID 2818 //
     /* 239469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 239480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 239486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 239489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 239492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1366:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 239496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 239499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239505 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239507 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239509 */     GIR_RootConstrainSelectedInstOperands,
     /* 239510 */     // GIR_Coverage, 2818,
     /* 239510 */     GIR_EraseRootFromParent_Done,
     /* 239511 */   // Label 4802: @239511
     /* 239511 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(239558), // Rule ID 2821 //
     /* 239516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 239527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 239533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 239536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 239539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1366:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 239543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 239546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239554 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239556 */     GIR_RootConstrainSelectedInstOperands,
     /* 239557 */     // GIR_Coverage, 2821,
     /* 239557 */     GIR_EraseRootFromParent_Done,
     /* 239558 */   // Label 4803: @239558
     /* 239558 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(239605), // Rule ID 2824 //
     /* 239563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 239586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1366:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 239590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 239593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239599 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239601 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239603 */     GIR_RootConstrainSelectedInstOperands,
     /* 239604 */     // GIR_Coverage, 2824,
     /* 239604 */     GIR_EraseRootFromParent_Done,
     /* 239605 */   // Label 4804: @239605
     /* 239605 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(239652), // Rule ID 2827 //
     /* 239610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 239621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 239627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 239630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 239633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239637 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1366:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 239637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 239640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239648 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239650 */     GIR_RootConstrainSelectedInstOperands,
     /* 239651 */     // GIR_Coverage, 2827,
     /* 239651 */     GIR_EraseRootFromParent_Done,
     /* 239652 */   // Label 4805: @239652
     /* 239652 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(239699), // Rule ID 2830 //
     /* 239657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 239665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 239680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239684 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1366:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 239684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_D),
     /* 239687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239693 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239695 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239697 */     GIR_RootConstrainSelectedInstOperands,
     /* 239698 */     // GIR_Coverage, 2830,
     /* 239698 */     GIR_EraseRootFromParent_Done,
     /* 239699 */   // Label 4806: @239699
     /* 239699 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(239746), // Rule ID 2833 //
     /* 239704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 239712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 239727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239731 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1329:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 239731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_H),
     /* 239734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239740 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239742 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239744 */     GIR_RootConstrainSelectedInstOperands,
     /* 239745 */     // GIR_Coverage, 2833,
     /* 239745 */     GIR_EraseRootFromParent_Done,
     /* 239746 */   // Label 4807: @239746
     /* 239746 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(239793), // Rule ID 2834 //
     /* 239751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 239759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 239774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1329:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 239778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_S),
     /* 239781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239787 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239789 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239791 */     GIR_RootConstrainSelectedInstOperands,
     /* 239792 */     // GIR_Coverage, 2834,
     /* 239792 */     GIR_EraseRootFromParent_Done,
     /* 239793 */   // Label 4808: @239793
     /* 239793 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(239840), // Rule ID 2835 //
     /* 239798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 239806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 239821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239825 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1329:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 239825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_D),
     /* 239828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239834 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239836 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239838 */     GIR_RootConstrainSelectedInstOperands,
     /* 239839 */     // GIR_Coverage, 2835,
     /* 239839 */     GIR_EraseRootFromParent_Done,
     /* 239840 */   // Label 4809: @239840
     /* 239840 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(239887), // Rule ID 2931 //
     /* 239845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 239853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 239859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 239868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1504:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MAD_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 239872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_B),
     /* 239875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239881 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239883 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239885 */     GIR_RootConstrainSelectedInstOperands,
     /* 239886 */     // GIR_Coverage, 2931,
     /* 239886 */     GIR_EraseRootFromParent_Done,
     /* 239887 */   // Label 4810: @239887
     /* 239887 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(239934), // Rule ID 2934 //
     /* 239892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 239900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 239915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1504:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MAD_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 239919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_H),
     /* 239922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239930 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239932 */     GIR_RootConstrainSelectedInstOperands,
     /* 239933 */     // GIR_Coverage, 2934,
     /* 239933 */     GIR_EraseRootFromParent_Done,
     /* 239934 */   // Label 4811: @239934
     /* 239934 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(239981), // Rule ID 2937 //
     /* 239939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 239947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 239962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1504:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MAD_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 239966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_S),
     /* 239969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239975 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239977 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 239979 */     GIR_RootConstrainSelectedInstOperands,
     /* 239980 */     // GIR_Coverage, 2937,
     /* 239980 */     GIR_EraseRootFromParent_Done,
     /* 239981 */   // Label 4812: @239981
     /* 239981 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(240028), // Rule ID 2940 //
     /* 239986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 239989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 239994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 240009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240013 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1504:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MAD_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 240013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_D),
     /* 240016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240024 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240026 */     GIR_RootConstrainSelectedInstOperands,
     /* 240027 */     // GIR_Coverage, 2940,
     /* 240027 */     GIR_EraseRootFromParent_Done,
     /* 240028 */   // Label 4813: @240028
     /* 240028 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(240075), // Rule ID 2943 //
     /* 240033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 240041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 240047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 240056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1506:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 240060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_B),
     /* 240063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240069 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240071 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240073 */     GIR_RootConstrainSelectedInstOperands,
     /* 240074 */     // GIR_Coverage, 2943,
     /* 240074 */     GIR_EraseRootFromParent_Done,
     /* 240075 */   // Label 4814: @240075
     /* 240075 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(240122), // Rule ID 2945 //
     /* 240080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 240088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 240103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1506:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 240107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_H),
     /* 240110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240118 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240120 */     GIR_RootConstrainSelectedInstOperands,
     /* 240121 */     // GIR_Coverage, 2945,
     /* 240121 */     GIR_EraseRootFromParent_Done,
     /* 240122 */   // Label 4815: @240122
     /* 240122 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(240169), // Rule ID 2947 //
     /* 240127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 240135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 240150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1506:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 240154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_S),
     /* 240157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240165 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240167 */     GIR_RootConstrainSelectedInstOperands,
     /* 240168 */     // GIR_Coverage, 2947,
     /* 240168 */     GIR_EraseRootFromParent_Done,
     /* 240169 */   // Label 4816: @240169
     /* 240169 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(240216), // Rule ID 2949 //
     /* 240174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 240182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 240197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1506:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 240201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_D),
     /* 240204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240212 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240214 */     GIR_RootConstrainSelectedInstOperands,
     /* 240215 */     // GIR_Coverage, 2949,
     /* 240215 */     GIR_EraseRootFromParent_Done,
     /* 240216 */   // Label 4817: @240216
     /* 240216 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(240263), // Rule ID 7398 //
     /* 240221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 240229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 240235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 240244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1512:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MSB_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 240248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_B),
     /* 240251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240259 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240261 */     GIR_RootConstrainSelectedInstOperands,
     /* 240262 */     // GIR_Coverage, 7398,
     /* 240262 */     GIR_EraseRootFromParent_Done,
     /* 240263 */   // Label 4818: @240263
     /* 240263 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(240310), // Rule ID 7401 //
     /* 240268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 240276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 240291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240295 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1512:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MSB_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 240295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_H),
     /* 240298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240306 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240308 */     GIR_RootConstrainSelectedInstOperands,
     /* 240309 */     // GIR_Coverage, 7401,
     /* 240309 */     GIR_EraseRootFromParent_Done,
     /* 240310 */   // Label 4819: @240310
     /* 240310 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(240357), // Rule ID 7404 //
     /* 240315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 240323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 240338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1512:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MSB_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 240342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_S),
     /* 240345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240351 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240353 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240355 */     GIR_RootConstrainSelectedInstOperands,
     /* 240356 */     // GIR_Coverage, 7404,
     /* 240356 */     GIR_EraseRootFromParent_Done,
     /* 240357 */   // Label 4820: @240357
     /* 240357 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(240404), // Rule ID 7407 //
     /* 240362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 240370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 240385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1512:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MSB_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 240389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_D),
     /* 240392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240398 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240400 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240402 */     GIR_RootConstrainSelectedInstOperands,
     /* 240403 */     // GIR_Coverage, 7407,
     /* 240403 */     GIR_EraseRootFromParent_Done,
     /* 240404 */   // Label 4821: @240404
     /* 240404 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(240451), // Rule ID 7410 //
     /* 240409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 240417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 240423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 240432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1509:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 240436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_B),
     /* 240439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240445 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240447 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240449 */     GIR_RootConstrainSelectedInstOperands,
     /* 240450 */     // GIR_Coverage, 7410,
     /* 240450 */     GIR_EraseRootFromParent_Done,
     /* 240451 */   // Label 4822: @240451
     /* 240451 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(240498), // Rule ID 7412 //
     /* 240456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 240464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 240479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1509:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 240483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_H),
     /* 240486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240494 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240496 */     GIR_RootConstrainSelectedInstOperands,
     /* 240497 */     // GIR_Coverage, 7412,
     /* 240497 */     GIR_EraseRootFromParent_Done,
     /* 240498 */   // Label 4823: @240498
     /* 240498 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(240545), // Rule ID 7414 //
     /* 240503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 240511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 240526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1509:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 240530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_S),
     /* 240533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240539 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240541 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240543 */     GIR_RootConstrainSelectedInstOperands,
     /* 240544 */     // GIR_Coverage, 7414,
     /* 240544 */     GIR_EraseRootFromParent_Done,
     /* 240545 */   // Label 4824: @240545
     /* 240545 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(240592), // Rule ID 7416 //
     /* 240550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 240558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 240573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1509:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 240577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_D),
     /* 240580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240588 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240590 */     GIR_RootConstrainSelectedInstOperands,
     /* 240591 */     // GIR_Coverage, 7416,
     /* 240591 */     GIR_EraseRootFromParent_Done,
     /* 240592 */   // Label 4825: @240592
     /* 240592 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(240639), // Rule ID 8042 //
     /* 240597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 240620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240624 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1373:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 240624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 240627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240633 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240635 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240637 */     GIR_RootConstrainSelectedInstOperands,
     /* 240638 */     // GIR_Coverage, 8042,
     /* 240638 */     GIR_EraseRootFromParent_Done,
     /* 240639 */   // Label 4826: @240639
     /* 240639 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(240686), // Rule ID 8045 //
     /* 240644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 240655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 240661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 240664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 240667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240671 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1373:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 240671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 240674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240682 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240684 */     GIR_RootConstrainSelectedInstOperands,
     /* 240685 */     // GIR_Coverage, 8045,
     /* 240685 */     GIR_EraseRootFromParent_Done,
     /* 240686 */   // Label 4827: @240686
     /* 240686 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(240733), // Rule ID 8048 //
     /* 240691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 240702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 240708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 240711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 240714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240718 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1373:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 240718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 240721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240727 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240729 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240731 */     GIR_RootConstrainSelectedInstOperands,
     /* 240732 */     // GIR_Coverage, 8048,
     /* 240732 */     GIR_EraseRootFromParent_Done,
     /* 240733 */   // Label 4828: @240733
     /* 240733 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(240780), // Rule ID 8051 //
     /* 240738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 240761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1373:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 240765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 240768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240776 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240778 */     GIR_RootConstrainSelectedInstOperands,
     /* 240779 */     // GIR_Coverage, 8051,
     /* 240779 */     GIR_EraseRootFromParent_Done,
     /* 240780 */   // Label 4829: @240780
     /* 240780 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(240827), // Rule ID 8054 //
     /* 240785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 240796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 240802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 240805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 240808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1373:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 240812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 240815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240821 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240823 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240825 */     GIR_RootConstrainSelectedInstOperands,
     /* 240826 */     // GIR_Coverage, 8054,
     /* 240826 */     GIR_EraseRootFromParent_Done,
     /* 240827 */   // Label 4830: @240827
     /* 240827 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(240874), // Rule ID 8057 //
     /* 240832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 240840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 240855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240859 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1373:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 240859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_D),
     /* 240862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240868 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240870 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240872 */     GIR_RootConstrainSelectedInstOperands,
     /* 240873 */     // GIR_Coverage, 8057,
     /* 240873 */     GIR_EraseRootFromParent_Done,
     /* 240874 */   // Label 4831: @240874
     /* 240874 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(240921), // Rule ID 8060 //
     /* 240879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 240887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 240902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240906 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1389:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 240906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 240909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240915 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240917 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240919 */     GIR_RootConstrainSelectedInstOperands,
     /* 240920 */     // GIR_Coverage, 8060,
     /* 240920 */     GIR_EraseRootFromParent_Done,
     /* 240921 */   // Label 4832: @240921
     /* 240921 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(240968), // Rule ID 8061 //
     /* 240926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 240934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 240937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 240943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 240946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 240949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240953 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1389:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 240953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 240956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240964 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 240966 */     GIR_RootConstrainSelectedInstOperands,
     /* 240967 */     // GIR_Coverage, 8061,
     /* 240967 */     GIR_EraseRootFromParent_Done,
     /* 240968 */   // Label 4833: @240968
     /* 240968 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(241015), // Rule ID 8062 //
     /* 240973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 240976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 240981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 240984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 240990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 240993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 240996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241000 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1389:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 241000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 241003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241009 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241011 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241013 */     GIR_RootConstrainSelectedInstOperands,
     /* 241014 */     // GIR_Coverage, 8062,
     /* 241014 */     GIR_EraseRootFromParent_Done,
     /* 241015 */   // Label 4834: @241015
     /* 241015 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(241062), // Rule ID 8063 //
     /* 241020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 241028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 241043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241047 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1389:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 241047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 241050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241058 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241060 */     GIR_RootConstrainSelectedInstOperands,
     /* 241061 */     // GIR_Coverage, 8063,
     /* 241061 */     GIR_EraseRootFromParent_Done,
     /* 241062 */   // Label 4835: @241062
     /* 241062 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(241109), // Rule ID 8064 //
     /* 241067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 241075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 241090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241094 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1389:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 241094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 241097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241101 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241103 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241105 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241107 */     GIR_RootConstrainSelectedInstOperands,
     /* 241108 */     // GIR_Coverage, 8064,
     /* 241108 */     GIR_EraseRootFromParent_Done,
     /* 241109 */   // Label 4836: @241109
     /* 241109 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(241156), // Rule ID 8065 //
     /* 241114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 241122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 241137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241141 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1389:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 241141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_D),
     /* 241144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241152 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241154 */     GIR_RootConstrainSelectedInstOperands,
     /* 241155 */     // GIR_Coverage, 8065,
     /* 241155 */     GIR_EraseRootFromParent_Done,
     /* 241156 */   // Label 4837: @241156
     /* 241156 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(241203), // Rule ID 8066 //
     /* 241161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 241184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241188 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1391:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 241188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 241191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241197 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241199 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241201 */     GIR_RootConstrainSelectedInstOperands,
     /* 241202 */     // GIR_Coverage, 8066,
     /* 241202 */     GIR_EraseRootFromParent_Done,
     /* 241203 */   // Label 4838: @241203
     /* 241203 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(241250), // Rule ID 8067 //
     /* 241208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 241231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241235 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1391:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 241235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 241238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241246 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241248 */     GIR_RootConstrainSelectedInstOperands,
     /* 241249 */     // GIR_Coverage, 8067,
     /* 241249 */     GIR_EraseRootFromParent_Done,
     /* 241250 */   // Label 4839: @241250
     /* 241250 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(241297), // Rule ID 8068 //
     /* 241255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 241278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241282 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1391:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 241282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 241285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241291 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241293 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241295 */     GIR_RootConstrainSelectedInstOperands,
     /* 241296 */     // GIR_Coverage, 8068,
     /* 241296 */     GIR_EraseRootFromParent_Done,
     /* 241297 */   // Label 4840: @241297
     /* 241297 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(241344), // Rule ID 8069 //
     /* 241302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 241325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241329 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1391:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 241329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 241332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241338 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241340 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241342 */     GIR_RootConstrainSelectedInstOperands,
     /* 241343 */     // GIR_Coverage, 8069,
     /* 241343 */     GIR_EraseRootFromParent_Done,
     /* 241344 */   // Label 4841: @241344
     /* 241344 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(241391), // Rule ID 8070 //
     /* 241349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 241372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1391:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 241376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 241379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241387 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241389 */     GIR_RootConstrainSelectedInstOperands,
     /* 241390 */     // GIR_Coverage, 8070,
     /* 241390 */     GIR_EraseRootFromParent_Done,
     /* 241391 */   // Label 4842: @241391
     /* 241391 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(241438), // Rule ID 8071 //
     /* 241396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 241404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 241419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241423 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1391:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 241423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_D),
     /* 241426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 241428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241434 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241436 */     GIR_RootConstrainSelectedInstOperands,
     /* 241437 */     // GIR_Coverage, 8071,
     /* 241437 */     GIR_EraseRootFromParent_Done,
     /* 241438 */   // Label 4843: @241438
     /* 241438 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(241485), // Rule ID 8072 //
     /* 241443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 241451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 241466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241470 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1381:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 241470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_H),
     /* 241473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241479 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241481 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241483 */     GIR_RootConstrainSelectedInstOperands,
     /* 241484 */     // GIR_Coverage, 8072,
     /* 241484 */     GIR_EraseRootFromParent_Done,
     /* 241485 */   // Label 4844: @241485
     /* 241485 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(241532), // Rule ID 8073 //
     /* 241490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 241498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 241513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1381:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 241517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_S),
     /* 241520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241528 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241530 */     GIR_RootConstrainSelectedInstOperands,
     /* 241531 */     // GIR_Coverage, 8073,
     /* 241531 */     GIR_EraseRootFromParent_Done,
     /* 241532 */   // Label 4845: @241532
     /* 241532 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(241579), // Rule ID 8074 //
     /* 241537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 241545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 241560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1381:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 241564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_D),
     /* 241567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241573 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241575 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241577 */     GIR_RootConstrainSelectedInstOperands,
     /* 241578 */     // GIR_Coverage, 8074,
     /* 241578 */     GIR_EraseRootFromParent_Done,
     /* 241579 */   // Label 4846: @241579
     /* 241579 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(241626), // Rule ID 8075 //
     /* 241584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 241592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 241607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241611 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1388:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 241611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_H),
     /* 241614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241622 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241624 */     GIR_RootConstrainSelectedInstOperands,
     /* 241625 */     // GIR_Coverage, 8075,
     /* 241625 */     GIR_EraseRootFromParent_Done,
     /* 241626 */   // Label 4847: @241626
     /* 241626 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(241673), // Rule ID 8076 //
     /* 241631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 241639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 241654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1388:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 241658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_S),
     /* 241661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241667 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241669 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241671 */     GIR_RootConstrainSelectedInstOperands,
     /* 241672 */     // GIR_Coverage, 8076,
     /* 241672 */     GIR_EraseRootFromParent_Done,
     /* 241673 */   // Label 4848: @241673
     /* 241673 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(241720), // Rule ID 8077 //
     /* 241678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 241686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 241701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1388:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 241705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_D),
     /* 241708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241716 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241718 */     GIR_RootConstrainSelectedInstOperands,
     /* 241719 */     // GIR_Coverage, 8077,
     /* 241719 */     GIR_EraseRootFromParent_Done,
     /* 241720 */   // Label 4849: @241720
     /* 241720 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(241767), // Rule ID 8078 //
     /* 241725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 241733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 241748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241752 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1393:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 241752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_H),
     /* 241755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241761 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241763 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241765 */     GIR_RootConstrainSelectedInstOperands,
     /* 241766 */     // GIR_Coverage, 8078,
     /* 241766 */     GIR_EraseRootFromParent_Done,
     /* 241767 */   // Label 4850: @241767
     /* 241767 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(241814), // Rule ID 8079 //
     /* 241772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 241780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 241795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241799 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1393:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 241799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_S),
     /* 241802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241810 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241812 */     GIR_RootConstrainSelectedInstOperands,
     /* 241813 */     // GIR_Coverage, 8079,
     /* 241813 */     GIR_EraseRootFromParent_Done,
     /* 241814 */   // Label 4851: @241814
     /* 241814 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(241861), // Rule ID 8080 //
     /* 241819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 241827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 241842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241846 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1393:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 241846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_D),
     /* 241849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241855 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241857 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241859 */     GIR_RootConstrainSelectedInstOperands,
     /* 241860 */     // GIR_Coverage, 8080,
     /* 241860 */     GIR_EraseRootFromParent_Done,
     /* 241861 */   // Label 4852: @241861
     /* 241861 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(241908), // Rule ID 8081 //
     /* 241866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 241874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 241889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241893 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1375:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 241893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 241896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241902 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241904 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241906 */     GIR_RootConstrainSelectedInstOperands,
     /* 241907 */     // GIR_Coverage, 8081,
     /* 241907 */     GIR_EraseRootFromParent_Done,
     /* 241908 */   // Label 4853: @241908
     /* 241908 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(241955), // Rule ID 8084 //
     /* 241913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 241921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 241936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1375:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 241940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 241943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241949 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241951 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 241953 */     GIR_RootConstrainSelectedInstOperands,
     /* 241954 */     // GIR_Coverage, 8084,
     /* 241954 */     GIR_EraseRootFromParent_Done,
     /* 241955 */   // Label 4854: @241955
     /* 241955 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(242002), // Rule ID 8087 //
     /* 241960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 241963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 241968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 241983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241987 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1375:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 241987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 241990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241998 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242000 */     GIR_RootConstrainSelectedInstOperands,
     /* 242001 */     // GIR_Coverage, 8087,
     /* 242001 */     GIR_EraseRootFromParent_Done,
     /* 242002 */   // Label 4855: @242002
     /* 242002 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(242049), // Rule ID 8090 //
     /* 242007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 242015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 242018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 242024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 242027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 242030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242034 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1375:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 242034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 242037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242041 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242043 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242045 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242047 */     GIR_RootConstrainSelectedInstOperands,
     /* 242048 */     // GIR_Coverage, 8090,
     /* 242048 */     GIR_EraseRootFromParent_Done,
     /* 242049 */   // Label 4856: @242049
     /* 242049 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(242096), // Rule ID 8093 //
     /* 242054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 242062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 242065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 242071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 242074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 242077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242081 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1375:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 242081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 242084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242092 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242094 */     GIR_RootConstrainSelectedInstOperands,
     /* 242095 */     // GIR_Coverage, 8093,
     /* 242095 */     GIR_EraseRootFromParent_Done,
     /* 242096 */   // Label 4857: @242096
     /* 242096 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(242143), // Rule ID 8096 //
     /* 242101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 242109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 242112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 242118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 242121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 242124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1375:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 242128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_D_UNDEF),
     /* 242131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242137 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242139 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242141 */     GIR_RootConstrainSelectedInstOperands,
     /* 242142 */     // GIR_Coverage, 8096,
     /* 242142 */     GIR_EraseRootFromParent_Done,
     /* 242143 */   // Label 4858: @242143
     /* 242143 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(242190), // Rule ID 8099 //
     /* 242148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 242159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 242162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 242165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 242168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 242171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242175 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1390:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 242175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 242178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242186 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242188 */     GIR_RootConstrainSelectedInstOperands,
     /* 242189 */     // GIR_Coverage, 8099,
     /* 242189 */     GIR_EraseRootFromParent_Done,
     /* 242190 */   // Label 4859: @242190
     /* 242190 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(242237), // Rule ID 8102 //
     /* 242195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 242206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 242212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 242215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 242218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1390:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 242222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 242225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242231 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242233 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242235 */     GIR_RootConstrainSelectedInstOperands,
     /* 242236 */     // GIR_Coverage, 8102,
     /* 242236 */     GIR_EraseRootFromParent_Done,
     /* 242237 */   // Label 4860: @242237
     /* 242237 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(242284), // Rule ID 8105 //
     /* 242242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 242253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 242259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 242262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 242265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242269 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1390:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 242269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 242272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242280 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242282 */     GIR_RootConstrainSelectedInstOperands,
     /* 242283 */     // GIR_Coverage, 8105,
     /* 242283 */     GIR_EraseRootFromParent_Done,
     /* 242284 */   // Label 4861: @242284
     /* 242284 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(242331), // Rule ID 8108 //
     /* 242289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 242300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 242306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 242309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 242312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1390:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 242316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 242319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242325 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242327 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242329 */     GIR_RootConstrainSelectedInstOperands,
     /* 242330 */     // GIR_Coverage, 8108,
     /* 242330 */     GIR_EraseRootFromParent_Done,
     /* 242331 */   // Label 4862: @242331
     /* 242331 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(242378), // Rule ID 8111 //
     /* 242336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 242347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 242353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 242356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 242359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242363 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1390:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 242363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 242366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242372 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242374 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242376 */     GIR_RootConstrainSelectedInstOperands,
     /* 242377 */     // GIR_Coverage, 8111,
     /* 242377 */     GIR_EraseRootFromParent_Done,
     /* 242378 */   // Label 4863: @242378
     /* 242378 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(242425), // Rule ID 8114 //
     /* 242383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 242391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 242394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 242400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 242403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 242406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1390:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 242410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_D_UNDEF),
     /* 242413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242419 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242421 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242423 */     GIR_RootConstrainSelectedInstOperands,
     /* 242424 */     // GIR_Coverage, 8114,
     /* 242424 */     GIR_EraseRootFromParent_Done,
     /* 242425 */   // Label 4864: @242425
     /* 242425 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(242472), // Rule ID 8117 //
     /* 242430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 242441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 242444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 242447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 242450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 242453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242457 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1392:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 242457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 242460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242468 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242470 */     GIR_RootConstrainSelectedInstOperands,
     /* 242471 */     // GIR_Coverage, 8117,
     /* 242471 */     GIR_EraseRootFromParent_Done,
     /* 242472 */   // Label 4865: @242472
     /* 242472 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(242519), // Rule ID 8119 //
     /* 242477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 242488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 242494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 242497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 242500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242504 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1392:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 242504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 242507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242513 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242515 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242517 */     GIR_RootConstrainSelectedInstOperands,
     /* 242518 */     // GIR_Coverage, 8119,
     /* 242518 */     GIR_EraseRootFromParent_Done,
     /* 242519 */   // Label 4866: @242519
     /* 242519 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(242566), // Rule ID 8121 //
     /* 242524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 242535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 242541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 242544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 242547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242551 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1392:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 242551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 242554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242562 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242564 */     GIR_RootConstrainSelectedInstOperands,
     /* 242565 */     // GIR_Coverage, 8121,
     /* 242565 */     GIR_EraseRootFromParent_Done,
     /* 242566 */   // Label 4867: @242566
     /* 242566 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(242613), // Rule ID 8123 //
     /* 242571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 242582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 242588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 242591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 242594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242598 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1392:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 242598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 242601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242607 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242609 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242611 */     GIR_RootConstrainSelectedInstOperands,
     /* 242612 */     // GIR_Coverage, 8123,
     /* 242612 */     GIR_EraseRootFromParent_Done,
     /* 242613 */   // Label 4868: @242613
     /* 242613 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(242660), // Rule ID 8125 //
     /* 242618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 242629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 242635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 242638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 242641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242645 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1392:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 242645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 242648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242656 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242658 */     GIR_RootConstrainSelectedInstOperands,
     /* 242659 */     // GIR_Coverage, 8125,
     /* 242659 */     GIR_EraseRootFromParent_Done,
     /* 242660 */   // Label 4869: @242660
     /* 242660 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(242707), // Rule ID 8127 //
     /* 242665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 242673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 242676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 242682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 242685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 242688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242692 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1392:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 242692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_D_UNDEF),
     /* 242695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242699 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242701 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242703 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242705 */     GIR_RootConstrainSelectedInstOperands,
     /* 242706 */     // GIR_Coverage, 8127,
     /* 242706 */     GIR_EraseRootFromParent_Done,
     /* 242707 */   // Label 4870: @242707
     /* 242707 */   GIM_Reject,
     /* 242708 */ // Label 4729: @242708
     /* 242708 */ GIM_Reject,
     /* 242709 */ // Label 33: @242709
     /* 242709 */ GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(242787),
     /* 242714 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 242717 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(242739), // Rule ID 78 //
     /* 242722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 242725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcommit),
     /* 242730 */     // (intrinsic_void 2071:{ *:[iPTR] })  =>  (TCOMMIT)
     /* 242730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCOMMIT),
     /* 242733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 242737 */     GIR_RootConstrainSelectedInstOperands,
     /* 242738 */     // GIR_Coverage, 78,
     /* 242738 */     GIR_EraseRootFromParent_Done,
     /* 242739 */   // Label 4872: @242739
     /* 242739 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(242764), // Rule ID 2377 //
     /* 242744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 242747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_setffr),
     /* 242752 */     // (intrinsic_void 1621:{ *:[iPTR] })  =>  (SETFFR:{ *:[i64] })
     /* 242752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SETFFR),
     /* 242755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 242758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 242762 */     GIR_RootConstrainSelectedInstOperands,
     /* 242763 */     // GIR_Coverage, 2377,
     /* 242763 */     GIR_EraseRootFromParent_Done,
     /* 242764 */   // Label 4873: @242764
     /* 242764 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(242786), // Rule ID 7022 //
     /* 242769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_clrex),
     /* 242774 */     // (intrinsic_void 499:{ *:[iPTR] })  =>  (CLREX 15:{ *:[i64] })
     /* 242774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLREX),
     /* 242777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 242780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 242784 */     GIR_RootConstrainSelectedInstOperands,
     /* 242785 */     // GIR_Coverage, 7022,
     /* 242785 */     GIR_EraseRootFromParent_Done,
     /* 242786 */   // Label 4874: @242786
     /* 242786 */   GIM_Reject,
     /* 242787 */ // Label 4871: @242787
     /* 242787 */ GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(243387),
     /* 242792 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 242795 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(242827), // Rule ID 79 //
     /* 242800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 242803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcancel),
     /* 242808 */     // MIs[0] imm
     /* 242808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 242811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm64_0_65535),
     /* 242816 */     // (intrinsic_void 2070:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_timm64_0_65535>>:$imm)  =>  (TCANCEL (timm:{ *:[i64] }):$imm)
     /* 242816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCANCEL),
     /* 242819 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 242821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 242825 */     GIR_RootConstrainSelectedInstOperands,
     /* 242826 */     // GIR_Coverage, 79,
     /* 242826 */     GIR_EraseRootFromParent_Done,
     /* 242827 */   // Label 4876: @242827
     /* 242827 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(242852), // Rule ID 227 //
     /* 242832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_break),
     /* 242837 */     // MIs[0] imm
     /* 242837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 242840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 242845 */     // (intrinsic_void 497:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (BRK (timm:{ *:[i32] }):$imm)
     /* 242845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 242848 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 242850 */     GIR_RootConstrainSelectedInstOperands,
     /* 242851 */     // GIR_Coverage, 227,
     /* 242851 */     GIR_EraseRootFromParent_Done,
     /* 242852 */   // Label 4877: @242852
     /* 242852 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(242877), // Rule ID 228 //
     /* 242857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hlt),
     /* 242862 */     // MIs[0] imm
     /* 242862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 242865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 242870 */     // (intrinsic_void 556:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (HLT (timm:{ *:[i32] }):$imm)
     /* 242870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HLT),
     /* 242873 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 242875 */     GIR_RootConstrainSelectedInstOperands,
     /* 242876 */     // GIR_Coverage, 228,
     /* 242876 */     GIR_EraseRootFromParent_Done,
     /* 242877 */   // Label 4878: @242877
     /* 242877 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(242909), // Rule ID 3592 //
     /* 242882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 242885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_zero),
     /* 242890 */     // MIs[0] imm
     /* 242890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 242893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_255),
     /* 242898 */     // (intrinsic_void 1127:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)  =>  (ZERO_M_PSEUDO (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)
     /* 242898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZERO_M_PSEUDO),
     /* 242901 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 242903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 242907 */     GIR_RootConstrainSelectedInstOperands,
     /* 242908 */     // GIR_Coverage, 3592,
     /* 242908 */     GIR_EraseRootFromParent_Done,
     /* 242909 */   // Label 4879: @242909
     /* 242909 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(242949), // Rule ID 16 //
     /* 242914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hint),
     /* 242919 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 242922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 242926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_127),
     /* 242934 */     // MIs[1] Operand 1
     /* 242934 */     // No operand predicates
     /* 242934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 242936 */     // (intrinsic_void 555:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_127>>:$imm)  =>  (HINT (imm:{ *:[i32] }):$imm)
     /* 242936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HINT),
     /* 242939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 242942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 242947 */     GIR_RootConstrainSelectedInstOperands,
     /* 242948 */     // GIR_Coverage, 16,
     /* 242948 */     GIR_EraseRootFromParent_Done,
     /* 242949 */   // Label 4880: @242949
     /* 242949 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(242989), // Rule ID 17 //
     /* 242954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dmb),
     /* 242959 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 242962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 242966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 242974 */     // MIs[1] Operand 1
     /* 242974 */     // No operand predicates
     /* 242974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 242976 */     // (intrinsic_void 543:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DMB (imm:{ *:[i32] }):$CRm)
     /* 242976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 242979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 242982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 242987 */     GIR_RootConstrainSelectedInstOperands,
     /* 242988 */     // GIR_Coverage, 17,
     /* 242988 */     GIR_EraseRootFromParent_Done,
     /* 242989 */   // Label 4881: @242989
     /* 242989 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(243029), // Rule ID 18 //
     /* 242994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dsb),
     /* 242999 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 243002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 243006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 243014 */     // MIs[1] Operand 1
     /* 243014 */     // No operand predicates
     /* 243014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 243016 */     // (intrinsic_void 544:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DSB (imm:{ *:[i32] }):$CRm)
     /* 243016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DSB),
     /* 243019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 243022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 243027 */     GIR_RootConstrainSelectedInstOperands,
     /* 243028 */     // GIR_Coverage, 18,
     /* 243028 */     GIR_EraseRootFromParent_Done,
     /* 243029 */   // Label 4882: @243029
     /* 243029 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(243069), // Rule ID 19 //
     /* 243034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_isb),
     /* 243039 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 243042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 243046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 243054 */     // MIs[1] Operand 1
     /* 243054 */     // No operand predicates
     /* 243054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 243056 */     // (intrinsic_void 559:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (ISB (imm:{ *:[i32] }):$CRm)
     /* 243056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ISB),
     /* 243059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 243062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 243067 */     GIR_RootConstrainSelectedInstOperands,
     /* 243068 */     // GIR_Coverage, 19,
     /* 243068 */     GIR_EraseRootFromParent_Done,
     /* 243069 */   // Label 4883: @243069
     /* 243069 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(243093), // Rule ID 72 //
     /* 243074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpcr),
     /* 243079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243086 */     // (intrinsic_w_chain:{ *:[i64] } 552:{ *:[iPTR] })  =>  (MRS_FPCR:{ *:[i64] })
     /* 243086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPCR),
     /* 243089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243091 */     GIR_RootConstrainSelectedInstOperands,
     /* 243092 */     // GIR_Coverage, 72,
     /* 243092 */     GIR_EraseRootFromParent_Done,
     /* 243093 */   // Label 4884: @243093
     /* 243093 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(243117), // Rule ID 74 //
     /* 243098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpsr),
     /* 243103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243110 */     // (intrinsic_w_chain:{ *:[i64] } 553:{ *:[iPTR] })  =>  (MRS_FPSR:{ *:[i64] })
     /* 243110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPSR),
     /* 243113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243115 */     GIR_RootConstrainSelectedInstOperands,
     /* 243116 */     // GIR_Coverage, 74,
     /* 243116 */     GIR_EraseRootFromParent_Done,
     /* 243117 */   // Label 4885: @243117
     /* 243117 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(243148), // Rule ID 77 //
     /* 243122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 243125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_tstart),
     /* 243130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243137 */     // (intrinsic_w_chain:{ *:[i64] } 2072:{ *:[iPTR] })  =>  (TSTART:{ *:[i64] })
     /* 243137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TSTART),
     /* 243140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243146 */     GIR_RootConstrainSelectedInstOperands,
     /* 243147 */     // GIR_Coverage, 77,
     /* 243147 */     GIR_EraseRootFromParent_Done,
     /* 243148 */   // Label 4886: @243148
     /* 243148 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(243175), // Rule ID 80 //
     /* 243153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 243156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ttest),
     /* 243161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243168 */     // (intrinsic_w_chain:{ *:[i64] } 2073:{ *:[iPTR] })  =>  (TTEST:{ *:[i64] })
     /* 243168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TTEST),
     /* 243171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243173 */     GIR_RootConstrainSelectedInstOperands,
     /* 243174 */     // GIR_Coverage, 80,
     /* 243174 */     GIR_EraseRootFromParent_Done,
     /* 243175 */   // Label 4887: @243175
     /* 243175 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(243206), // Rule ID 2376 //
     /* 243180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 243183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr),
     /* 243188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 243191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 243195 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1571:{ *:[iPTR] })  =>  (RDFFR_P:{ *:[nxv16i1] })
     /* 243195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_P),
     /* 243198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 243200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243204 */     GIR_RootConstrainSelectedInstOperands,
     /* 243205 */     // GIR_Coverage, 2376,
     /* 243205 */     GIR_EraseRootFromParent_Done,
     /* 243206 */   // Label 4888: @243206
     /* 243206 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(243246), // Rule ID 12486 //
     /* 243211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 243214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sme_get_tpidr2),
     /* 243219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243226 */     // (intrinsic_w_chain:{ *:[i64] } 880:{ *:[iPTR] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 56965:{ *:[i32] })
     /* 243226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /* 243229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243231 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 243241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 243244 */     GIR_RootConstrainSelectedInstOperands,
     /* 243245 */     // GIR_Coverage, 12486,
     /* 243245 */     GIR_EraseRootFromParent_Done,
     /* 243246 */   // Label 4889: @243246
     /* 243246 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(243280), // Rule ID 2378 //
     /* 243251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 243254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_wrffr),
     /* 243259 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 243262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 243266 */     // (intrinsic_void 2051:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (WRFFR:{ *:[i64] } PPR8:{ *:[nxv16i1] }:$Pn)
     /* 243266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WRFFR),
     /* 243269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pn
     /* 243271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 243274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243278 */     GIR_RootConstrainSelectedInstOperands,
     /* 243279 */     // GIR_Coverage, 2378,
     /* 243279 */     GIR_EraseRootFromParent_Done,
     /* 243280 */   // Label 4890: @243280
     /* 243280 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(243303), // Rule ID 73 //
     /* 243285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpcr),
     /* 243290 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 243293 */     // (intrinsic_void 779:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPCR i64:{ *:[i64] }:$val)
     /* 243293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPCR),
     /* 243296 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 243298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPCR*/0,
     /* 243301 */     GIR_RootConstrainSelectedInstOperands,
     /* 243302 */     // GIR_Coverage, 73,
     /* 243302 */     GIR_EraseRootFromParent_Done,
     /* 243303 */   // Label 4891: @243303
     /* 243303 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(243326), // Rule ID 75 //
     /* 243308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpsr),
     /* 243313 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 243316 */     // (intrinsic_void 781:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPSR i64:{ *:[i64] }:$val)
     /* 243316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPSR),
     /* 243319 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 243321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPSR*/0,
     /* 243324 */     GIR_RootConstrainSelectedInstOperands,
     /* 243325 */     // GIR_Coverage, 75,
     /* 243325 */     GIR_EraseRootFromParent_Done,
     /* 243326 */   // Label 4892: @243326
     /* 243326 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(243353), // Rule ID 76 //
     /* 243331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpmr),
     /* 243336 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 243339 */     // (intrinsic_void 780:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPMR i64:{ *:[i64] }:$val)
     /* 243339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPMR),
     /* 243342 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 243344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPMR*/0,
     /* 243347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243351 */     GIR_RootConstrainSelectedInstOperands,
     /* 243352 */     // GIR_Coverage, 76,
     /* 243352 */     GIR_EraseRootFromParent_Done,
     /* 243353 */   // Label 4893: @243353
     /* 243353 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(243386), // Rule ID 12485 //
     /* 243358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 243361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_set_tpidr2),
     /* 243366 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 243369 */     // (intrinsic_void 939:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR 56965:{ *:[i32] }, GPR64:{ *:[i64] }:$val)
     /* 243369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR),
     /* 243372 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 243382 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 243384 */     GIR_RootConstrainSelectedInstOperands,
     /* 243385 */     // GIR_Coverage, 12485,
     /* 243385 */     GIR_EraseRootFromParent_Done,
     /* 243386 */   // Label 4894: @243386
     /* 243386 */   GIM_Reject,
     /* 243387 */ // Label 4875: @243387
     /* 243387 */ GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(244358),
     /* 243392 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 243395 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(243471), // Rule ID 6988 //
     /* 243400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 243405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243412 */     // MIs[0] addr
     /* 243412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243420 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /* 243424 */     // (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /* 243431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243440 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243460 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243465 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243470 */     // GIR_Coverage, 6988,
     /* 243470 */     GIR_EraseRootFromParent_Done,
     /* 243471 */   // Label 4896: @243471
     /* 243471 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(243547), // Rule ID 6989 //
     /* 243476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 243481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243488 */     // MIs[0] addr
     /* 243488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /* 243500 */     // (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /* 243507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243516 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243536 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243541 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243546 */     // GIR_Coverage, 6989,
     /* 243546 */     GIR_EraseRootFromParent_Done,
     /* 243547 */   // Label 4897: @243547
     /* 243547 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(243623), // Rule ID 6990 //
     /* 243552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 243557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243564 */     // MIs[0] addr
     /* 243564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /* 243576 */     // (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /* 243583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243592 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243612 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243617 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243622 */     // GIR_Coverage, 6990,
     /* 243622 */     GIR_EraseRootFromParent_Done,
     /* 243623 */   // Label 4898: @243623
     /* 243623 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(243665), // Rule ID 6991 //
     /* 243628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 243633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243640 */     // MIs[0] addr
     /* 243640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243648 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_8),
     /* 243652 */     // (intrinsic_w_chain:{ *:[i64] } 565:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_8>>  =>  (LDXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 243652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDXRX),
     /* 243655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243657 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 243659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243663 */     GIR_RootConstrainSelectedInstOperands,
     /* 243664 */     // GIR_Coverage, 6991,
     /* 243664 */     GIR_EraseRootFromParent_Done,
     /* 243665 */   // Label 4899: @243665
     /* 243665 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(243741), // Rule ID 6995 //
     /* 243670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 243675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243682 */     // MIs[0] addr
     /* 243682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243690 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /* 243694 */     // (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /* 243701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243710 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243730 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243740 */     // GIR_Coverage, 6995,
     /* 243740 */     GIR_EraseRootFromParent_Done,
     /* 243741 */   // Label 4900: @243741
     /* 243741 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(243817), // Rule ID 6996 //
     /* 243746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 243751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243758 */     // MIs[0] addr
     /* 243758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243766 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /* 243770 */     // (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /* 243777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243782 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243786 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243806 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243811 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243816 */     // GIR_Coverage, 6996,
     /* 243816 */     GIR_EraseRootFromParent_Done,
     /* 243817 */   // Label 4901: @243817
     /* 243817 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(243893), // Rule ID 6997 //
     /* 243822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 243827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243834 */     // MIs[0] addr
     /* 243834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /* 243846 */     // (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 243846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 243849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /* 243853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 243858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 243862 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 243868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 243871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 243876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 243879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 243882 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 243887 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 243892 */     // GIR_Coverage, 6997,
     /* 243892 */     GIR_EraseRootFromParent_Done,
     /* 243893 */   // Label 4902: @243893
     /* 243893 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(243935), // Rule ID 6998 //
     /* 243898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 243903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243910 */     // MIs[0] addr
     /* 243910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 243914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 243918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_8),
     /* 243922 */     // (intrinsic_w_chain:{ *:[i64] } 562:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_8>>  =>  (LDAXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 243922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAXRX),
     /* 243925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243927 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 243929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243933 */     GIR_RootConstrainSelectedInstOperands,
     /* 243934 */     // GIR_Coverage, 6998,
     /* 243934 */     GIR_EraseRootFromParent_Done,
     /* 243935 */   // Label 4903: @243935
     /* 243935 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(243975), // Rule ID 20 //
     /* 243940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGCS),
     /* 243943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gcspopm),
     /* 243948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 243951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 243954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 243962 */     // (intrinsic_w_chain:{ *:[i64] } 550:{ *:[iPTR] }, GPR64:{ *:[i64] }:$src)  =>  (GCSPOPM:{ *:[i64] } GPR64:{ *:[i64] }:$src)
     /* 243962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GCSPOPM),
     /* 243965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 243967 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 243969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 243973 */     GIR_RootConstrainSelectedInstOperands,
     /* 243974 */     // GIR_Coverage, 20,
     /* 243974 */     GIR_EraseRootFromParent_Done,
     /* 243975 */   // Label 4904: @243975
     /* 243975 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(244015), // Rule ID 2375 //
     /* 243980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 243983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr_z),
     /* 243988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 243991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 243994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 243998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 244002 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1572:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (RDFFR_PPz:{ *:[nxv16i1] } PPRAny:{ *:[nxv16i1] }:$Pg)
     /* 244002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_PPz),
     /* 244005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 244007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 244009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244013 */     GIR_RootConstrainSelectedInstOperands,
     /* 244014 */     // GIR_Coverage, 2375,
     /* 244014 */     GIR_EraseRootFromParent_Done,
     /* 244015 */   // Label 4905: @244015
     /* 244015 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(244055), // Rule ID 2486 //
     /* 244020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 244023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 244028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 244031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 244034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 244042 */     // (intrinsic_w_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F1CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 244042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL),
     /* 244045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 244047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 244049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244053 */     GIR_RootConstrainSelectedInstOperands,
     /* 244054 */     // GIR_Coverage, 2486,
     /* 244054 */     GIR_EraseRootFromParent_Done,
     /* 244055 */   // Label 4906: @244055
     /* 244055 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(244095), // Rule ID 2487 //
     /* 244060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 244063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 244068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 244071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 244074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244082 */     // (intrinsic_w_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F1CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 244082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL2),
     /* 244085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 244087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 244089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244093 */     GIR_RootConstrainSelectedInstOperands,
     /* 244094 */     // GIR_Coverage, 2487,
     /* 244094 */     GIR_EraseRootFromParent_Done,
     /* 244095 */   // Label 4907: @244095
     /* 244095 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(244135), // Rule ID 6881 //
     /* 244100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 244103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 244108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 244111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 244114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 244122 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F2CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 244122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL),
     /* 244125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 244127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 244129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244133 */     GIR_RootConstrainSelectedInstOperands,
     /* 244134 */     // GIR_Coverage, 6881,
     /* 244134 */     GIR_EraseRootFromParent_Done,
     /* 244135 */   // Label 4908: @244135
     /* 244135 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(244175), // Rule ID 6882 //
     /* 244140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 244143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 244148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 244151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 244154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 244162 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F2CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 244162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL2),
     /* 244165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 244167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 244169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244173 */     GIR_RootConstrainSelectedInstOperands,
     /* 244174 */     // GIR_Coverage, 6882,
     /* 244174 */     GIR_EraseRootFromParent_Done,
     /* 244175 */   // Label 4909: @244175
     /* 244175 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(244211), // Rule ID 3557 //
     /* 244180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 244183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt1),
     /* 244188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 244194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244198 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1396:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 244198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVT_ZZ_BtoH),
     /* 244201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 244203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244209 */     GIR_RootConstrainSelectedInstOperands,
     /* 244210 */     // GIR_Coverage, 3557,
     /* 244210 */     GIR_EraseRootFromParent_Done,
     /* 244211 */   // Label 4910: @244211
     /* 244211 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(244249), // Rule ID 3943 //
     /* 244216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 244219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg_sp),
     /* 244224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 244227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244234 */     // (intrinsic_w_chain:{ *:[i64] } 558:{ *:[iPTR] }, i64:{ *:[i64] }:$Rm)  =>  (IRGstack:{ *:[i64] } SP:{ *:[i64] }, i64:{ *:[i64] }:$Rm)
     /* 244234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRGstack),
     /* 244237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 244239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::SP), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 244245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 244247 */     GIR_RootConstrainSelectedInstOperands,
     /* 244248 */     // GIR_Coverage, 3943,
     /* 244248 */     GIR_EraseRootFromParent_Done,
     /* 244249 */   // Label 4911: @244249
     /* 244249 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(244285), // Rule ID 12288 //
     /* 244254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 244257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt2),
     /* 244262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 244268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244272 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1398:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 244272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVT_ZZ_BtoH),
     /* 244275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 244277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244283 */     GIR_RootConstrainSelectedInstOperands,
     /* 244284 */     // GIR_Coverage, 12288,
     /* 244284 */     GIR_EraseRootFromParent_Done,
     /* 244285 */   // Label 4912: @244285
     /* 244285 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(244321), // Rule ID 12289 //
     /* 244290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 244293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt1),
     /* 244298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 244304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244308 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1402:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 244308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTLT_ZZ_BtoH),
     /* 244311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 244313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244319 */     GIR_RootConstrainSelectedInstOperands,
     /* 244320 */     // GIR_Coverage, 12289,
     /* 244320 */     GIR_EraseRootFromParent_Done,
     /* 244321 */   // Label 4913: @244321
     /* 244321 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(244357), // Rule ID 12290 //
     /* 244326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 244329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt2),
     /* 244334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 244340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244344 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1403:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 244344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTLT_ZZ_BtoH),
     /* 244347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 244349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 244355 */     GIR_RootConstrainSelectedInstOperands,
     /* 244356 */     // GIR_Coverage, 12290,
     /* 244356 */     GIR_EraseRootFromParent_Done,
     /* 244357 */   // Label 4914: @244357
     /* 244357 */   GIM_Reject,
     /* 244358 */ // Label 4895: @244358
     /* 244358 */ GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(247266),
     /* 244363 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 244366 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(244463), // Rule ID 7006 //
     /* 244371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 244376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 244394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 244398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 244402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 244410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 244414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244419 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 244430 */     // MIs[0] addr
     /* 244430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244438 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 244442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 244444 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 244444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 244447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 244453 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 244461 */     GIR_RootConstrainSelectedInstOperands,
     /* 244462 */     // GIR_Coverage, 7006,
     /* 244462 */     GIR_EraseRootFromParent_Done,
     /* 244463 */   // Label 4916: @244463
     /* 244463 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(244560), // Rule ID 7007 //
     /* 244468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 244473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 244491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 244495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 244499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 244507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 244511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244516 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 244527 */     // MIs[0] addr
     /* 244527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 244539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 244541 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 244541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 244544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 244550 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 244558 */     GIR_RootConstrainSelectedInstOperands,
     /* 244559 */     // GIR_Coverage, 7007,
     /* 244559 */     GIR_EraseRootFromParent_Done,
     /* 244560 */   // Label 4917: @244560
     /* 244560 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(244657), // Rule ID 7016 //
     /* 244565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 244570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 244588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 244592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 244596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 244604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 244608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244613 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 244624 */     // MIs[0] addr
     /* 244624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 244636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 244638 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 244638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 244641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 244647 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 244655 */     GIR_RootConstrainSelectedInstOperands,
     /* 244656 */     // GIR_Coverage, 7016,
     /* 244656 */     GIR_EraseRootFromParent_Done,
     /* 244657 */   // Label 4918: @244657
     /* 244657 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(244754), // Rule ID 7017 //
     /* 244662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 244667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 244685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 244689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 244693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 244701 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 244705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244710 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 244721 */     // MIs[0] addr
     /* 244721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244729 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 244733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 244735 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 244735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 244738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 244744 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 244752 */     GIR_RootConstrainSelectedInstOperands,
     /* 244753 */     // GIR_Coverage, 7017,
     /* 244753 */     GIR_EraseRootFromParent_Done,
     /* 244754 */   // Label 4919: @244754
     /* 244754 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(244865), // Rule ID 7009 //
     /* 244759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 244764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 244786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 244790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 244795 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 244806 */     // MIs[0] addr
     /* 244806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244814 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 244818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 244820 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 244820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 244823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 244827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 244832 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 244838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244843 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 244848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 244851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 244856 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 244863 */     GIR_RootConstrainSelectedInstOperands,
     /* 244864 */     // GIR_Coverage, 7009,
     /* 244864 */     GIR_EraseRootFromParent_Done,
     /* 244865 */   // Label 4920: @244865
     /* 244865 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(244976), // Rule ID 7010 //
     /* 244870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 244875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 244889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 244893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 244897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 244901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 244906 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 244917 */     // MIs[0] addr
     /* 244917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 244921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 244925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 244929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 244931 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 244931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 244934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 244938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 244943 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 244949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 244959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 244962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 244964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 244967 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 244969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 244974 */     GIR_RootConstrainSelectedInstOperands,
     /* 244975 */     // GIR_Coverage, 7010,
     /* 244975 */     GIR_EraseRootFromParent_Done,
     /* 244976 */   // Label 4921: @244976
     /* 244976 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(245087), // Rule ID 7011 //
     /* 244981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 244986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 244989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 244992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 244996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 245004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 245008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 245012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245017 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 245028 */     // MIs[0] addr
     /* 245028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245036 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 245040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245042 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 245042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 245045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245054 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 245060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 245073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245078 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245085 */     GIR_RootConstrainSelectedInstOperands,
     /* 245086 */     // GIR_Coverage, 7011,
     /* 245086 */     GIR_EraseRootFromParent_Done,
     /* 245087 */   // Label 4922: @245087
     /* 245087 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(245198), // Rule ID 7019 //
     /* 245092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 245097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 245103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 245115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 245119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 245123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245128 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 245139 */     // MIs[0] addr
     /* 245139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 245151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245153 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 245153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 245156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245165 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 245171 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 245184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245189 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245196 */     GIR_RootConstrainSelectedInstOperands,
     /* 245197 */     // GIR_Coverage, 7019,
     /* 245197 */     GIR_EraseRootFromParent_Done,
     /* 245198 */   // Label 4923: @245198
     /* 245198 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(245309), // Rule ID 7020 //
     /* 245203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 245208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 245214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 245226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 245230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 245234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245239 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 245250 */     // MIs[0] addr
     /* 245250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 245262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245264 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 245264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 245267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245276 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 245282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 245295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245300 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245307 */     GIR_RootConstrainSelectedInstOperands,
     /* 245308 */     // GIR_Coverage, 7020,
     /* 245308 */     GIR_EraseRootFromParent_Done,
     /* 245309 */   // Label 4924: @245309
     /* 245309 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(245420), // Rule ID 7021 //
     /* 245314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 245319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 245325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 245337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 245341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 245345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245350 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 245361 */     // MIs[0] addr
     /* 245361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245369 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 245373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245375 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 245375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 245378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245387 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 245393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 245406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 245411 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245418 */     GIR_RootConstrainSelectedInstOperands,
     /* 245419 */     // GIR_Coverage, 7021,
     /* 245419 */     GIR_EraseRootFromParent_Done,
     /* 245420 */   // Label 4925: @245420
     /* 245420 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(245471), // Rule ID 70 //
     /* 245425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_fixedshadow),
     /* 245430 */     // MIs[0] ptr
     /* 245430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 245434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 245438 */     // MIs[0] accessinfo
     /* 245438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 245441 */     // MIs[0] fixed_shadow
     /* 245441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245444 */     // (intrinsic_void 191:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 245444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_FIXEDSHADOW),
     /* 245447 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 245449 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 245451 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 245453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 245456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 245459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 245462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 245465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245469 */     GIR_RootConstrainSelectedInstOperands,
     /* 245470 */     // GIR_Coverage, 70,
     /* 245470 */     GIR_EraseRootFromParent_Done,
     /* 245471 */   // Label 4926: @245471
     /* 245471 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(245522), // Rule ID 71 //
     /* 245476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules_fixedshadow),
     /* 245481 */     // MIs[0] ptr
     /* 245481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 245485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 245489 */     // MIs[0] accessinfo
     /* 245489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 245492 */     // MIs[0] fixed_shadow
     /* 245492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245495 */     // (intrinsic_void 193:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 245495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW),
     /* 245498 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 245500 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 245502 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 245504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 245507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 245510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 245513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 245516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245520 */     GIR_RootConstrainSelectedInstOperands,
     /* 245521 */     // GIR_Coverage, 71,
     /* 245521 */     GIR_EraseRootFromParent_Done,
     /* 245522 */   // Label 4927: @245522
     /* 245522 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(245591), // Rule ID 7008 //
     /* 245527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 245532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 245538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 245550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 245554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245559 */     // MIs[0] addr
     /* 245559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 245571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245573 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 245573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 245576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 245582 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245589 */     GIR_RootConstrainSelectedInstOperands,
     /* 245590 */     // GIR_Coverage, 7008,
     /* 245590 */     GIR_EraseRootFromParent_Done,
     /* 245591 */   // Label 4928: @245591
     /* 245591 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(245660), // Rule ID 7018 //
     /* 245596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 245601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 245604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 245607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 245619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 245623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 245628 */     // MIs[0] addr
     /* 245628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 245632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 245636 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 245640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245642 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 245642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 245645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 245647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 245651 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 245653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245658 */     GIR_RootConstrainSelectedInstOperands,
     /* 245659 */     // GIR_Coverage, 7018,
     /* 245659 */     GIR_EraseRootFromParent_Done,
     /* 245660 */   // Label 4929: @245660
     /* 245660 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(245714), // Rule ID 8681 //
     /* 245665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 245673 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 245676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 245680 */     // MIs[0] base
     /* 245680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 245684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245688 */     // MIs[0] prfop
     /* 245688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 245696 */     // (intrinsic_void 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 245696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_PRI),
     /* 245699 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 245701 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 245703 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 245705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245712 */     GIR_RootConstrainSelectedInstOperands,
     /* 245713 */     // GIR_Coverage, 8681,
     /* 245713 */     GIR_EraseRootFromParent_Done,
     /* 245714 */   // Label 4930: @245714
     /* 245714 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(245768), // Rule ID 8684 //
     /* 245719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 245727 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 245730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 245734 */     // MIs[0] base
     /* 245734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 245738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245742 */     // MIs[0] prfop
     /* 245742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 245750 */     // (intrinsic_void 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 245750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_PRI),
     /* 245753 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 245755 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 245757 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 245759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245766 */     GIR_RootConstrainSelectedInstOperands,
     /* 245767 */     // GIR_Coverage, 8684,
     /* 245767 */     GIR_EraseRootFromParent_Done,
     /* 245768 */   // Label 4931: @245768
     /* 245768 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(245822), // Rule ID 8687 //
     /* 245773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 245781 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 245784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 245788 */     // MIs[0] base
     /* 245788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 245792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245796 */     // MIs[0] prfop
     /* 245796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 245804 */     // (intrinsic_void 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 245804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_PRI),
     /* 245807 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 245809 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 245811 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 245813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245820 */     GIR_RootConstrainSelectedInstOperands,
     /* 245821 */     // GIR_Coverage, 8687,
     /* 245821 */     GIR_EraseRootFromParent_Done,
     /* 245822 */   // Label 4932: @245822
     /* 245822 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(245876), // Rule ID 8690 //
     /* 245827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 245835 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 245838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 245842 */     // MIs[0] base
     /* 245842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 245846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245850 */     // MIs[0] prfop
     /* 245850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 245858 */     // (intrinsic_void 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 245858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_PRI),
     /* 245861 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 245863 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 245865 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 245867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 245870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245874 */     GIR_RootConstrainSelectedInstOperands,
     /* 245875 */     // GIR_Coverage, 8690,
     /* 245875 */     GIR_EraseRootFromParent_Done,
     /* 245876 */   // Label 4933: @245876
     /* 245876 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(245930), // Rule ID 15 //
     /* 245881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_space),
     /* 245886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 245889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 245892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 245895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 245903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 245907 */     // MIs[1] Operand 1
     /* 245907 */     // No operand predicates
     /* 245907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 245911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 245913 */     // (intrinsic_w_chain:{ *:[i64] } 1137:{ *:[iPTR] }, (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)  =>  (SPACE:{ *:[i64] } (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)
     /* 245913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SPACE),
     /* 245916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 245918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // size
     /* 245921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 245923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 245928 */     GIR_RootConstrainSelectedInstOperands,
     /* 245929 */     // GIR_Coverage, 15,
     /* 245929 */     GIR_EraseRootFromParent_Done,
     /* 245930 */   // Label 4934: @245930
     /* 245930 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(245998), // Rule ID 68 //
     /* 245935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess),
     /* 245940 */     // MIs[0] Operand 1
     /* 245940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 245944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64_with_sub_32_in_MatrixIndexGPR32_8_11RegClassID),
     /* 245948 */     // MIs[0] ptr
     /* 245948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 245952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 245956 */     // MIs[0] accessinfo
     /* 245956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 245959 */     // (intrinsic_void 190:{ *:[iPTR] }, X9:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 245959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 245963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X9), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 245969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X9
     /* 245973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS),
     /* 245976 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 245978 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 245980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 245983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 245986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 245989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 245992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 245996 */     GIR_RootConstrainSelectedInstOperands,
     /* 245997 */     // GIR_Coverage, 68,
     /* 245997 */     GIR_EraseRootFromParent_Done,
     /* 245998 */   // Label 4935: @245998
     /* 245998 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(246066), // Rule ID 69 //
     /* 246003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 246008 */     // MIs[0] Operand 1
     /* 246008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 246012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64common_and_GPR64noipRegClassID),
     /* 246016 */     // MIs[0] ptr
     /* 246016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 246020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 246024 */     // MIs[0] accessinfo
     /* 246024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 246027 */     // (intrinsic_void 192:{ *:[iPTR] }, X20:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 246027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X20), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X20
     /* 246041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 246044 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 246046 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 246048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 246051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 246054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 246057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 246060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246064 */     GIR_RootConstrainSelectedInstOperands,
     /* 246065 */     // GIR_Coverage, 69,
     /* 246065 */     GIR_EraseRootFromParent_Done,
     /* 246066 */   // Label 4936: @246066
     /* 246066 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(246146), // Rule ID 7002 //
     /* 246071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 246076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246090 */     // MIs[0] addr
     /* 246090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 246102 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246114 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 246133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246138 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246144 */     GIR_RootConstrainSelectedInstOperands,
     /* 246145 */     // GIR_Coverage, 7002,
     /* 246145 */     GIR_EraseRootFromParent_Done,
     /* 246146 */   // Label 4937: @246146
     /* 246146 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(246226), // Rule ID 7003 //
     /* 246151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 246156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246170 */     // MIs[0] addr
     /* 246170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246178 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 246182 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246194 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 246213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246218 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246224 */     GIR_RootConstrainSelectedInstOperands,
     /* 246225 */     // GIR_Coverage, 7003,
     /* 246225 */     GIR_EraseRootFromParent_Done,
     /* 246226 */   // Label 4938: @246226
     /* 246226 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(246306), // Rule ID 7004 //
     /* 246231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 246236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246250 */     // MIs[0] addr
     /* 246250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 246262 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246274 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246280 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246285 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 246293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246298 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246304 */     GIR_RootConstrainSelectedInstOperands,
     /* 246305 */     // GIR_Coverage, 7004,
     /* 246305 */     GIR_EraseRootFromParent_Done,
     /* 246306 */   // Label 4939: @246306
     /* 246306 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(246357), // Rule ID 7005 //
     /* 246311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 246316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246330 */     // MIs[0] addr
     /* 246330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_8),
     /* 246342 */     // (intrinsic_w_chain:{ *:[i32] } 1146:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_8>>  =>  (STXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 246342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRX),
     /* 246345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246347 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 246349 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246355 */     GIR_RootConstrainSelectedInstOperands,
     /* 246356 */     // GIR_Coverage, 7005,
     /* 246356 */     GIR_EraseRootFromParent_Done,
     /* 246357 */   // Label 4940: @246357
     /* 246357 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(246437), // Rule ID 7012 //
     /* 246362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 246367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246381 */     // MIs[0] addr
     /* 246381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246389 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 246393 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246405 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246416 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 246424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246429 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246435 */     GIR_RootConstrainSelectedInstOperands,
     /* 246436 */     // GIR_Coverage, 7012,
     /* 246436 */     GIR_EraseRootFromParent_Done,
     /* 246437 */   // Label 4941: @246437
     /* 246437 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(246517), // Rule ID 7013 //
     /* 246442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 246447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246461 */     // MIs[0] addr
     /* 246461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246469 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 246473 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246485 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246491 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246496 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 246504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246509 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246515 */     GIR_RootConstrainSelectedInstOperands,
     /* 246516 */     // GIR_Coverage, 7013,
     /* 246516 */     GIR_EraseRootFromParent_Done,
     /* 246517 */   // Label 4942: @246517
     /* 246517 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(246597), // Rule ID 7014 //
     /* 246522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 246527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246541 */     // MIs[0] addr
     /* 246541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246549 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 246553 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 246553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 246556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 246560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 246565 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 246571 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246576 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 246584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 246589 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246595 */     GIR_RootConstrainSelectedInstOperands,
     /* 246596 */     // GIR_Coverage, 7014,
     /* 246596 */     GIR_EraseRootFromParent_Done,
     /* 246597 */   // Label 4943: @246597
     /* 246597 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(246648), // Rule ID 7015 //
     /* 246602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 246607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 246610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 246613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 246617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 246621 */     // MIs[0] addr
     /* 246621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_8),
     /* 246633 */     // (intrinsic_w_chain:{ *:[i32] } 1144:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_8>>  =>  (STLXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 246633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRX),
     /* 246636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 246638 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 246640 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 246642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246646 */     GIR_RootConstrainSelectedInstOperands,
     /* 246647 */     // GIR_Coverage, 7015,
     /* 246647 */     GIR_EraseRootFromParent_Done,
     /* 246648 */   // Label 4944: @246648
     /* 246648 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(246697), // Rule ID 2479 //
     /* 246653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 246656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 246661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 246664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 246667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 246670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 246674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 246678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 246682 */     // (intrinsic_w_chain:{ *:[v8i8] } 612:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCVTN_F16v8f8:{ *:[v8i8] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 246682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v8f8),
     /* 246685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 246687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 246689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 246691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246695 */     GIR_RootConstrainSelectedInstOperands,
     /* 246696 */     // GIR_Coverage, 2479,
     /* 246696 */     GIR_EraseRootFromParent_Done,
     /* 246697 */   // Label 4945: @246697
     /* 246697 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(246746), // Rule ID 2480 //
     /* 246702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 246705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 246710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 246713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 246716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 246719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 246723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 246727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 246731 */     // (intrinsic_w_chain:{ *:[v16i8] } 612:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTN_F16v16f8:{ *:[v16i8] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 246731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v16f8),
     /* 246734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 246736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 246738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 246740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246744 */     GIR_RootConstrainSelectedInstOperands,
     /* 246745 */     // GIR_Coverage, 2480,
     /* 246745 */     GIR_EraseRootFromParent_Done,
     /* 246746 */   // Label 4946: @246746
     /* 246746 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(246795), // Rule ID 2481 //
     /* 246751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 246754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 246759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 246762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 246765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 246768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 246772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 246776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 246780 */     // (intrinsic_w_chain:{ *:[v8i8] } 612:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F32v8f8:{ *:[v8i8] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 246780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F32v8f8),
     /* 246783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 246785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 246787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 246789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246793 */     GIR_RootConstrainSelectedInstOperands,
     /* 246794 */     // GIR_Coverage, 2481,
     /* 246794 */     GIR_EraseRootFromParent_Done,
     /* 246795 */   // Label 4947: @246795
     /* 246795 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(246848), // Rule ID 8567 //
     /* 246800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 246808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 246814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 246822 */     // MIs[0] base
     /* 246822 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246830 */     // (intrinsic_w_chain:{ *:[nxv4i32] } 1472:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4i32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 246830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 246833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 246835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 246837 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 246839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246846 */     GIR_RootConstrainSelectedInstOperands,
     /* 246847 */     // GIR_Coverage, 8567,
     /* 246847 */     GIR_EraseRootFromParent_Done,
     /* 246848 */   // Label 4948: @246848
     /* 246848 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(246901), // Rule ID 8570 //
     /* 246853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 246861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 246867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 246875 */     // MIs[0] base
     /* 246875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246883 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1472:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4f32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 246883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 246886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 246888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 246890 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 246892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246899 */     GIR_RootConstrainSelectedInstOperands,
     /* 246900 */     // GIR_Coverage, 8570,
     /* 246900 */     GIR_EraseRootFromParent_Done,
     /* 246901 */   // Label 4949: @246901
     /* 246901 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(246954), // Rule ID 8579 //
     /* 246906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 246914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 246920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 246928 */     // MIs[0] base
     /* 246928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246936 */     // (intrinsic_w_chain:{ *:[nxv2i64] } 1471:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2i64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 246936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 246939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 246941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 246943 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 246945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 246948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 246952 */     GIR_RootConstrainSelectedInstOperands,
     /* 246953 */     // GIR_Coverage, 8579,
     /* 246953 */     GIR_EraseRootFromParent_Done,
     /* 246954 */   // Label 4950: @246954
     /* 246954 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(247007), // Rule ID 8582 //
     /* 246959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 246967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 246973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 246981 */     // MIs[0] base
     /* 246981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 246985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 246989 */     // (intrinsic_w_chain:{ *:[nxv2f64] } 1471:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2f64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 246989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 246992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 246994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 246996 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 246998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247005 */     GIR_RootConstrainSelectedInstOperands,
     /* 247006 */     // GIR_Coverage, 8582,
     /* 247006 */     GIR_EraseRootFromParent_Done,
     /* 247007 */   // Label 4951: @247007
     /* 247007 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(247053), // Rule ID 137 //
     /* 247012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 247015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg),
     /* 247020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 247023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 247026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247030 */     // MIs[0] Rn
     /* 247030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 247042 */     // (intrinsic_w_chain:{ *:[i64] } 557:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (IRG:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 247042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRG),
     /* 247045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 247047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 247051 */     GIR_RootConstrainSelectedInstOperands,
     /* 247052 */     // GIR_Coverage, 137,
     /* 247052 */     GIR_EraseRootFromParent_Done,
     /* 247053 */   // Label 4952: @247053
     /* 247053 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(247106), // Rule ID 8573 //
     /* 247058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 247066 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 247069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 247072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247080 */     // MIs[0] base
     /* 247080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 247084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247088 */     // (intrinsic_void 1792:{ *:[iPTR] }, ZPR128:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 247088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 247091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 247093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 247095 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 247097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247104 */     GIR_RootConstrainSelectedInstOperands,
     /* 247105 */     // GIR_Coverage, 8573,
     /* 247105 */     GIR_EraseRootFromParent_Done,
     /* 247106 */   // Label 4953: @247106
     /* 247106 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(247159), // Rule ID 8576 //
     /* 247111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 247119 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 247122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 247125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247133 */     // MIs[0] base
     /* 247133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 247137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247141 */     // (intrinsic_void 1792:{ *:[iPTR] }, ZPR128:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 247141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 247144 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 247146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 247148 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 247150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247157 */     GIR_RootConstrainSelectedInstOperands,
     /* 247158 */     // GIR_Coverage, 8576,
     /* 247158 */     GIR_EraseRootFromParent_Done,
     /* 247159 */   // Label 4954: @247159
     /* 247159 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(247212), // Rule ID 8585 //
     /* 247164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 247172 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 247175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 247178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247186 */     // MIs[0] base
     /* 247186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 247190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247194 */     // (intrinsic_void 1788:{ *:[iPTR] }, ZPR128:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 247194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 247197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 247199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 247201 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 247203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247210 */     GIR_RootConstrainSelectedInstOperands,
     /* 247211 */     // GIR_Coverage, 8585,
     /* 247211 */     GIR_EraseRootFromParent_Done,
     /* 247212 */   // Label 4955: @247212
     /* 247212 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(247265), // Rule ID 8588 //
     /* 247217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 247225 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 247228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 247231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247239 */     // MIs[0] base
     /* 247239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 247243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247247 */     // (intrinsic_void 1788:{ *:[iPTR] }, ZPR128:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 247247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 247250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 247252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 247254 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 247256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 247259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247263 */     GIR_RootConstrainSelectedInstOperands,
     /* 247264 */     // GIR_Coverage, 8588,
     /* 247264 */     GIR_EraseRootFromParent_Done,
     /* 247265 */   // Label 4956: @247265
     /* 247265 */   GIM_Reject,
     /* 247266 */ // Label 4915: @247266
     /* 247266 */ GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(249971),
     /* 247271 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 247274 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(247345), // Rule ID 3393 //
     /* 247279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 247287 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 247290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 247293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 247296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 247308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 247312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 247316 */     // MIs[1] Operand 1
     /* 247316 */     // No operand predicates
     /* 247316 */     // MIs[0] prfop
     /* 247316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 247326 */     // (intrinsic_void 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 247326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_PZI),
     /* 247329 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247331 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 247335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 247338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 247343 */     GIR_RootConstrainSelectedInstOperands,
     /* 247344 */     // GIR_Coverage, 3393,
     /* 247344 */     GIR_EraseRootFromParent_Done,
     /* 247345 */   // Label 4958: @247345
     /* 247345 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(247416), // Rule ID 3406 //
     /* 247350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 247358 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 247361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 247364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 247367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 247379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 247383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 247387 */     // MIs[1] Operand 1
     /* 247387 */     // No operand predicates
     /* 247387 */     // MIs[0] prfop
     /* 247387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 247397 */     // (intrinsic_void 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 247397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_PZI),
     /* 247400 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 247406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 247409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 247414 */     GIR_RootConstrainSelectedInstOperands,
     /* 247415 */     // GIR_Coverage, 3406,
     /* 247415 */     GIR_EraseRootFromParent_Done,
     /* 247416 */   // Label 4959: @247416
     /* 247416 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(247475), // Rule ID 3581 //
     /* 247421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 247424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 247429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 247435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247438 */     // MIs[0] tile
     /* 247438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 247441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 247446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247458 */     // (intrinsic_void 796:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDHA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 247458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_S_PSEUDO_S),
     /* 247461 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 247463 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 247465 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 247467 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 247469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247473 */     GIR_RootConstrainSelectedInstOperands,
     /* 247474 */     // GIR_Coverage, 3581,
     /* 247474 */     GIR_EraseRootFromParent_Done,
     /* 247475 */   // Label 4960: @247475
     /* 247475 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(247534), // Rule ID 3582 //
     /* 247480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 247483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 247488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 247494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247497 */     // MIs[0] tile
     /* 247497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 247500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 247505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247517 */     // (intrinsic_void 796:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDHA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 247517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_D_PSEUDO_D),
     /* 247520 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 247522 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 247524 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 247526 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 247528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247532 */     GIR_RootConstrainSelectedInstOperands,
     /* 247533 */     // GIR_Coverage, 3582,
     /* 247533 */     GIR_EraseRootFromParent_Done,
     /* 247534 */   // Label 4961: @247534
     /* 247534 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(247593), // Rule ID 12348 //
     /* 247539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 247542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 247547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 247553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247556 */     // MIs[0] tile
     /* 247556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 247559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 247564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247576 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDVA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 247576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_S_PSEUDO_S),
     /* 247579 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 247581 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 247583 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 247585 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 247587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247591 */     GIR_RootConstrainSelectedInstOperands,
     /* 247592 */     // GIR_Coverage, 12348,
     /* 247592 */     GIR_EraseRootFromParent_Done,
     /* 247593 */   // Label 4962: @247593
     /* 247593 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(247652), // Rule ID 12349 //
     /* 247598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 247601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 247606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 247612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247615 */     // MIs[0] tile
     /* 247615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 247618 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 247623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247635 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDVA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 247635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_D_PSEUDO_D),
     /* 247638 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 247640 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 247642 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 247644 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 247646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247650 */     GIR_RootConstrainSelectedInstOperands,
     /* 247651 */     // GIR_Coverage, 12349,
     /* 247651 */     GIR_EraseRootFromParent_Done,
     /* 247652 */   // Label 4963: @247652
     /* 247652 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(247712), // Rule ID 3391 //
     /* 247657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 247665 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 247668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247675 */     // MIs[0] Rn
     /* 247675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247687 */     // MIs[0] prfop
     /* 247687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247695 */     // (intrinsic_void 1543:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 247695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_UXTW_SCALED),
     /* 247698 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 247706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247710 */     GIR_RootConstrainSelectedInstOperands,
     /* 247711 */     // GIR_Coverage, 3391,
     /* 247711 */     GIR_EraseRootFromParent_Done,
     /* 247712 */   // Label 4964: @247712
     /* 247712 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(247772), // Rule ID 3392 //
     /* 247717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 247725 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 247728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247735 */     // MIs[0] Rn
     /* 247735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247747 */     // MIs[0] prfop
     /* 247747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247755 */     // (intrinsic_void 1542:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 247755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_SXTW_SCALED),
     /* 247758 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 247766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247770 */     GIR_RootConstrainSelectedInstOperands,
     /* 247771 */     // GIR_Coverage, 3392,
     /* 247771 */     GIR_EraseRootFromParent_Done,
     /* 247772 */   // Label 4965: @247772
     /* 247772 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(247832), // Rule ID 3403 //
     /* 247777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 247785 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 247788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247795 */     // MIs[0] Rn
     /* 247795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247807 */     // MIs[0] prfop
     /* 247807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247815 */     // (intrinsic_void 1543:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 247815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_UXTW_SCALED),
     /* 247818 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 247826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247830 */     GIR_RootConstrainSelectedInstOperands,
     /* 247831 */     // GIR_Coverage, 3403,
     /* 247831 */     GIR_EraseRootFromParent_Done,
     /* 247832 */   // Label 4966: @247832
     /* 247832 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(247892), // Rule ID 3404 //
     /* 247837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 247845 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 247848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247855 */     // MIs[0] Rn
     /* 247855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247867 */     // MIs[0] prfop
     /* 247867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247875 */     // (intrinsic_void 1542:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 247875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SXTW_SCALED),
     /* 247878 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 247886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247890 */     GIR_RootConstrainSelectedInstOperands,
     /* 247891 */     // GIR_Coverage, 3404,
     /* 247891 */     GIR_EraseRootFromParent_Done,
     /* 247892 */   // Label 4967: @247892
     /* 247892 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(247952), // Rule ID 3405 //
     /* 247897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_index),
     /* 247905 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 247908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247915 */     // MIs[0] Rn
     /* 247915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247927 */     // MIs[0] prfop
     /* 247927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247935 */     // (intrinsic_void 1540:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm)
     /* 247935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SCALED),
     /* 247938 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 247940 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 247942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 247944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 247946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 247950 */     GIR_RootConstrainSelectedInstOperands,
     /* 247951 */     // GIR_Coverage, 3405,
     /* 247951 */     GIR_EraseRootFromParent_Done,
     /* 247952 */   // Label 4968: @247952
     /* 247952 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(248012), // Rule ID 8693 //
     /* 247957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 247960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 247965 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 247968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 247975 */     // MIs[0] Rn
     /* 247975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 247979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 247983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247987 */     // MIs[0] prfop
     /* 247987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 247990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 247995 */     // (intrinsic_void 1551:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm)
     /* 247995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_UXTW_SCALED),
     /* 247998 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248000 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248010 */     GIR_RootConstrainSelectedInstOperands,
     /* 248011 */     // GIR_Coverage, 8693,
     /* 248011 */     GIR_EraseRootFromParent_Done,
     /* 248012 */   // Label 4969: @248012
     /* 248012 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(248072), // Rule ID 8694 //
     /* 248017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 248025 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 248028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248035 */     // MIs[0] Rn
     /* 248035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248047 */     // MIs[0] prfop
     /* 248047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248055 */     // (intrinsic_void 1550:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm)
     /* 248055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_SXTW_SCALED),
     /* 248058 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248060 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248070 */     GIR_RootConstrainSelectedInstOperands,
     /* 248071 */     // GIR_Coverage, 8694,
     /* 248071 */     GIR_EraseRootFromParent_Done,
     /* 248072 */   // Label 4970: @248072
     /* 248072 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(248132), // Rule ID 8695 //
     /* 248077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 248085 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 248088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248095 */     // MIs[0] Rn
     /* 248095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248107 */     // MIs[0] prfop
     /* 248107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248115 */     // (intrinsic_void 1555:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm)
     /* 248115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_UXTW_SCALED),
     /* 248118 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248120 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248130 */     GIR_RootConstrainSelectedInstOperands,
     /* 248131 */     // GIR_Coverage, 8695,
     /* 248131 */     GIR_EraseRootFromParent_Done,
     /* 248132 */   // Label 4971: @248132
     /* 248132 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(248192), // Rule ID 8696 //
     /* 248137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 248145 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 248148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248155 */     // MIs[0] Rn
     /* 248155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248167 */     // MIs[0] prfop
     /* 248167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248175 */     // (intrinsic_void 1554:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm)
     /* 248175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_SXTW_SCALED),
     /* 248178 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248190 */     GIR_RootConstrainSelectedInstOperands,
     /* 248191 */     // GIR_Coverage, 8696,
     /* 248191 */     GIR_EraseRootFromParent_Done,
     /* 248192 */   // Label 4972: @248192
     /* 248192 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(248252), // Rule ID 8697 //
     /* 248197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 248205 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 248208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248215 */     // MIs[0] Rn
     /* 248215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248227 */     // MIs[0] prfop
     /* 248227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248235 */     // (intrinsic_void 1547:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm)
     /* 248235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_UXTW_SCALED),
     /* 248238 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248244 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248250 */     GIR_RootConstrainSelectedInstOperands,
     /* 248251 */     // GIR_Coverage, 8697,
     /* 248251 */     GIR_EraseRootFromParent_Done,
     /* 248252 */   // Label 4973: @248252
     /* 248252 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(248312), // Rule ID 8698 //
     /* 248257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 248265 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 248268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248275 */     // MIs[0] Rn
     /* 248275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248287 */     // MIs[0] prfop
     /* 248287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248295 */     // (intrinsic_void 1546:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm)
     /* 248295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_SXTW_SCALED),
     /* 248298 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248310 */     GIR_RootConstrainSelectedInstOperands,
     /* 248311 */     // GIR_Coverage, 8698,
     /* 248311 */     GIR_EraseRootFromParent_Done,
     /* 248312 */   // Label 4974: @248312
     /* 248312 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(248372), // Rule ID 8699 //
     /* 248317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 248325 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248335 */     // MIs[0] Rn
     /* 248335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248347 */     // MIs[0] prfop
     /* 248347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248355 */     // (intrinsic_void 1551:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm)
     /* 248355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_UXTW_SCALED),
     /* 248358 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248370 */     GIR_RootConstrainSelectedInstOperands,
     /* 248371 */     // GIR_Coverage, 8699,
     /* 248371 */     GIR_EraseRootFromParent_Done,
     /* 248372 */   // Label 4975: @248372
     /* 248372 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(248432), // Rule ID 8700 //
     /* 248377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 248385 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248395 */     // MIs[0] Rn
     /* 248395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248407 */     // MIs[0] prfop
     /* 248407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248415 */     // (intrinsic_void 1550:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm)
     /* 248415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SXTW_SCALED),
     /* 248418 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248420 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248430 */     GIR_RootConstrainSelectedInstOperands,
     /* 248431 */     // GIR_Coverage, 8700,
     /* 248431 */     GIR_EraseRootFromParent_Done,
     /* 248432 */   // Label 4976: @248432
     /* 248432 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(248492), // Rule ID 8701 //
     /* 248437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 248445 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248455 */     // MIs[0] Rn
     /* 248455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248467 */     // MIs[0] prfop
     /* 248467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248475 */     // (intrinsic_void 1555:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm)
     /* 248475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_UXTW_SCALED),
     /* 248478 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248480 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248490 */     GIR_RootConstrainSelectedInstOperands,
     /* 248491 */     // GIR_Coverage, 8701,
     /* 248491 */     GIR_EraseRootFromParent_Done,
     /* 248492 */   // Label 4977: @248492
     /* 248492 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(248552), // Rule ID 8702 //
     /* 248497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 248505 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248515 */     // MIs[0] Rn
     /* 248515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248527 */     // MIs[0] prfop
     /* 248527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248535 */     // (intrinsic_void 1554:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm)
     /* 248535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SXTW_SCALED),
     /* 248538 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248540 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248550 */     GIR_RootConstrainSelectedInstOperands,
     /* 248551 */     // GIR_Coverage, 8702,
     /* 248551 */     GIR_EraseRootFromParent_Done,
     /* 248552 */   // Label 4978: @248552
     /* 248552 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(248612), // Rule ID 8703 //
     /* 248557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 248565 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248575 */     // MIs[0] Rn
     /* 248575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248587 */     // MIs[0] prfop
     /* 248587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248595 */     // (intrinsic_void 1547:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm)
     /* 248595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_UXTW_SCALED),
     /* 248598 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248600 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248610 */     GIR_RootConstrainSelectedInstOperands,
     /* 248611 */     // GIR_Coverage, 8703,
     /* 248611 */     GIR_EraseRootFromParent_Done,
     /* 248612 */   // Label 4979: @248612
     /* 248612 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(248672), // Rule ID 8704 //
     /* 248617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 248625 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248635 */     // MIs[0] Rn
     /* 248635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248647 */     // MIs[0] prfop
     /* 248647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248655 */     // (intrinsic_void 1546:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm)
     /* 248655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SXTW_SCALED),
     /* 248658 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248670 */     GIR_RootConstrainSelectedInstOperands,
     /* 248671 */     // GIR_Coverage, 8704,
     /* 248671 */     GIR_EraseRootFromParent_Done,
     /* 248672 */   // Label 4980: @248672
     /* 248672 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(248732), // Rule ID 8705 //
     /* 248677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_index),
     /* 248685 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248695 */     // MIs[0] Rn
     /* 248695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248707 */     // MIs[0] prfop
     /* 248707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248715 */     // (intrinsic_void 1548:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm)
     /* 248715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SCALED),
     /* 248718 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248720 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248730 */     GIR_RootConstrainSelectedInstOperands,
     /* 248731 */     // GIR_Coverage, 8705,
     /* 248731 */     GIR_EraseRootFromParent_Done,
     /* 248732 */   // Label 4981: @248732
     /* 248732 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(248792), // Rule ID 8706 //
     /* 248737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_index),
     /* 248745 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248755 */     // MIs[0] Rn
     /* 248755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248767 */     // MIs[0] prfop
     /* 248767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248775 */     // (intrinsic_void 1552:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm)
     /* 248775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SCALED),
     /* 248778 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248790 */     GIR_RootConstrainSelectedInstOperands,
     /* 248791 */     // GIR_Coverage, 8706,
     /* 248791 */     GIR_EraseRootFromParent_Done,
     /* 248792 */   // Label 4982: @248792
     /* 248792 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(248852), // Rule ID 8707 //
     /* 248797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 248800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_index),
     /* 248805 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 248808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 248815 */     // MIs[0] Rn
     /* 248815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 248819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 248823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248827 */     // MIs[0] prfop
     /* 248827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 248830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 248835 */     // (intrinsic_void 1544:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm)
     /* 248835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SCALED),
     /* 248838 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 248840 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 248842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 248844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 248846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248850 */     GIR_RootConstrainSelectedInstOperands,
     /* 248851 */     // GIR_Coverage, 8707,
     /* 248851 */     GIR_EraseRootFromParent_Done,
     /* 248852 */   // Label 4983: @248852
     /* 248852 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(248910), // Rule ID 2365 //
     /* 248857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 248860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb),
     /* 248865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 248868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 248871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 248874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 248877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248893 */     // (intrinsic_w_chain:{ *:[v8f16] } 618:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 248893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBv8f16),
     /* 248896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 248898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 248900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 248902 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 248904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248908 */     GIR_RootConstrainSelectedInstOperands,
     /* 248909 */     // GIR_Coverage, 2365,
     /* 248909 */     GIR_EraseRootFromParent_Done,
     /* 248910 */   // Label 4984: @248910
     /* 248910 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(248968), // Rule ID 2366 //
     /* 248915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 248918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt),
     /* 248923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 248926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 248929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 248932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 248935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248951 */     // (intrinsic_w_chain:{ *:[v8f16] } 628:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 248951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTv8f16),
     /* 248954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 248956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 248958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 248960 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 248962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 248966 */     GIR_RootConstrainSelectedInstOperands,
     /* 248967 */     // GIR_Coverage, 2366,
     /* 248967 */     GIR_EraseRootFromParent_Done,
     /* 248968 */   // Label 4985: @248968
     /* 248968 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(249026), // Rule ID 2367 //
     /* 248973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 248976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb),
     /* 248981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 248984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 248987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 248990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 248993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 248997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249009 */     // (intrinsic_w_chain:{ *:[v4f32] } 620:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBv4f32),
     /* 249012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249024 */     GIR_RootConstrainSelectedInstOperands,
     /* 249025 */     // GIR_Coverage, 2367,
     /* 249025 */     GIR_EraseRootFromParent_Done,
     /* 249026 */   // Label 4986: @249026
     /* 249026 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(249084), // Rule ID 2368 //
     /* 249031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 249034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt),
     /* 249039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 249042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 249045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 249048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 249051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249067 */     // (intrinsic_w_chain:{ *:[v4f32] } 622:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTv4f32),
     /* 249070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249076 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249082 */     GIR_RootConstrainSelectedInstOperands,
     /* 249083 */     // GIR_Coverage, 2368,
     /* 249083 */     GIR_EraseRootFromParent_Done,
     /* 249084 */   // Label 4987: @249084
     /* 249084 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(249142), // Rule ID 2369 //
     /* 249089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 249092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb),
     /* 249097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 249100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 249103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 249106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 249109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249125 */     // (intrinsic_w_chain:{ *:[v4f32] } 624:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBv4f32),
     /* 249128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249140 */     GIR_RootConstrainSelectedInstOperands,
     /* 249141 */     // GIR_Coverage, 2369,
     /* 249141 */     GIR_EraseRootFromParent_Done,
     /* 249142 */   // Label 4988: @249142
     /* 249142 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(249200), // Rule ID 2370 //
     /* 249147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 249150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt),
     /* 249155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 249158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 249161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 249164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 249167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249183 */     // (intrinsic_w_chain:{ *:[v4f32] } 626:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTv4f32),
     /* 249186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249198 */     GIR_RootConstrainSelectedInstOperands,
     /* 249199 */     // GIR_Coverage, 2370,
     /* 249199 */     GIR_EraseRootFromParent_Done,
     /* 249200 */   // Label 4989: @249200
     /* 249200 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(249258), // Rule ID 2371 //
     /* 249205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 249208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 249213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 249216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 249219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 249222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 249225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249241 */     // (intrinsic_w_chain:{ *:[v4f16] } 614:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 249241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f16),
     /* 249244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249256 */     GIR_RootConstrainSelectedInstOperands,
     /* 249257 */     // GIR_Coverage, 2371,
     /* 249257 */     GIR_EraseRootFromParent_Done,
     /* 249258 */   // Label 4990: @249258
     /* 249258 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(249316), // Rule ID 2372 //
     /* 249263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 249266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 249271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 249274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 249277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 249280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 249283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249299 */     // (intrinsic_w_chain:{ *:[v8f16] } 614:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv8f16),
     /* 249302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249314 */     GIR_RootConstrainSelectedInstOperands,
     /* 249315 */     // GIR_Coverage, 2372,
     /* 249315 */     GIR_EraseRootFromParent_Done,
     /* 249316 */   // Label 4991: @249316
     /* 249316 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(249374), // Rule ID 2373 //
     /* 249321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 249324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 249329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 249332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 249335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 249338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 249341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 249357 */     // (intrinsic_w_chain:{ *:[v2f32] } 616:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 249357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv2f32),
     /* 249360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249372 */     GIR_RootConstrainSelectedInstOperands,
     /* 249373 */     // GIR_Coverage, 2373,
     /* 249373 */     GIR_EraseRootFromParent_Done,
     /* 249374 */   // Label 4992: @249374
     /* 249374 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(249432), // Rule ID 2374 //
     /* 249379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 249382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 249387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 249390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 249393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 249396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 249399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249415 */     // (intrinsic_w_chain:{ *:[v4f32] } 616:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 249415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f32),
     /* 249418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 249422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249424 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249430 */     GIR_RootConstrainSelectedInstOperands,
     /* 249431 */     // GIR_Coverage, 2374,
     /* 249431 */     GIR_EraseRootFromParent_Done,
     /* 249432 */   // Label 4993: @249432
     /* 249432 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(249490), // Rule ID 2482 //
     /* 249437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 249440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn2),
     /* 249445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 249448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 249451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 249454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 249457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 249473 */     // (intrinsic_w_chain:{ *:[v16i8] } 613:{ *:[iPTR] }, V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F322v16f8:{ *:[v16i8] } V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 249473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F322v16f8),
     /* 249476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249478 */     GIR_RootToRootCopy, /*OpIdx*/2, // _Rd
     /* 249480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 249482 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 249484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249488 */     GIR_RootConstrainSelectedInstOperands,
     /* 249489 */     // GIR_Coverage, 2482,
     /* 249489 */     GIR_EraseRootFromParent_Done,
     /* 249490 */   // Label 4994: @249490
     /* 249490 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(249546), // Rule ID 12822 //
     /* 249495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxp),
     /* 249500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 249506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 249509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 249513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249521 */     // MIs[0] addr
     /* 249521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 249525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249529 */     // (intrinsic_w_chain:{ *:[i32] } 1143:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STLXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 249529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXPX),
     /* 249532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 249534 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 249536 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 249538 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 249540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249544 */     GIR_RootConstrainSelectedInstOperands,
     /* 249545 */     // GIR_Coverage, 12822,
     /* 249545 */     GIR_EraseRootFromParent_Done,
     /* 249546 */   // Label 4995: @249546
     /* 249546 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(249602), // Rule ID 12823 //
     /* 249551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxp),
     /* 249556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 249559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 249562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 249565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 249569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249577 */     // MIs[0] addr
     /* 249577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 249581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249585 */     // (intrinsic_w_chain:{ *:[i32] } 1145:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 249585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXPX),
     /* 249588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 249590 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 249592 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 249594 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 249596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249600 */     GIR_RootConstrainSelectedInstOperands,
     /* 249601 */     // GIR_Coverage, 12823,
     /* 249601 */     GIR_EraseRootFromParent_Done,
     /* 249602 */   // Label 4996: @249602
     /* 249602 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(249648), // Rule ID 3439 //
     /* 249607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 249610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 249615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 249621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249631 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1408:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoH),
     /* 249634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249640 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249646 */     GIR_RootConstrainSelectedInstOperands,
     /* 249647 */     // GIR_Coverage, 3439,
     /* 249647 */     GIR_EraseRootFromParent_Done,
     /* 249648 */   // Label 4997: @249648
     /* 249648 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(249694), // Rule ID 3561 //
     /* 249653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb),
     /* 249661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 249667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249677 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1410:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALB_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ),
     /* 249680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249692 */     GIR_RootConstrainSelectedInstOperands,
     /* 249693 */     // GIR_Coverage, 3561,
     /* 249693 */     GIR_EraseRootFromParent_Done,
     /* 249694 */   // Label 4998: @249694
     /* 249694 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(249740), // Rule ID 12335 //
     /* 249699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt),
     /* 249707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 249713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249723 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1420:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALT_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ),
     /* 249726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249738 */     GIR_RootConstrainSelectedInstOperands,
     /* 249739 */     // GIR_Coverage, 12335,
     /* 249739 */     GIR_EraseRootFromParent_Done,
     /* 249740 */   // Label 4999: @249740
     /* 249740 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(249786), // Rule ID 12339 //
     /* 249745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb),
     /* 249753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 249759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249769 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1412:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZ),
     /* 249772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249784 */     GIR_RootConstrainSelectedInstOperands,
     /* 249785 */     // GIR_Coverage, 12339,
     /* 249785 */     GIR_EraseRootFromParent_Done,
     /* 249786 */   // Label 5000: @249786
     /* 249786 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(249832), // Rule ID 12340 //
     /* 249791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt),
     /* 249799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 249805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249815 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1414:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZ),
     /* 249818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249824 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249830 */     GIR_RootConstrainSelectedInstOperands,
     /* 249831 */     // GIR_Coverage, 12340,
     /* 249831 */     GIR_EraseRootFromParent_Done,
     /* 249832 */   // Label 5001: @249832
     /* 249832 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(249878), // Rule ID 12341 //
     /* 249837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb),
     /* 249845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 249851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249861 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1416:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZ),
     /* 249864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249876 */     GIR_RootConstrainSelectedInstOperands,
     /* 249877 */     // GIR_Coverage, 12341,
     /* 249877 */     GIR_EraseRootFromParent_Done,
     /* 249878 */   // Label 5002: @249878
     /* 249878 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(249924), // Rule ID 12342 //
     /* 249883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 249886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt),
     /* 249891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 249897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249907 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1418:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZ),
     /* 249910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249922 */     GIR_RootConstrainSelectedInstOperands,
     /* 249923 */     // GIR_Coverage, 12342,
     /* 249923 */     GIR_EraseRootFromParent_Done,
     /* 249924 */   // Label 5003: @249924
     /* 249924 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(249970), // Rule ID 12343 //
     /* 249929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 249932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 249937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 249943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 249946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 249949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249953 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1408:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 249953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoS),
     /* 249956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 249958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249968 */     GIR_RootConstrainSelectedInstOperands,
     /* 249969 */     // GIR_Coverage, 12343,
     /* 249969 */     GIR_EraseRootFromParent_Done,
     /* 249970 */   // Label 5004: @249970
     /* 249970 */   GIM_Reject,
     /* 249971 */ // Label 4957: @249971
     /* 249971 */ GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(252964),
     /* 249976 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 249979 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(250047), // Rule ID 2509 //
     /* 249984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 249987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb_lane),
     /* 249992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 249995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 249998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250020 */     // MIs[0] Idx
     /* 250020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250028 */     // (intrinsic_w_chain:{ *:[v8f16] } 619:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALBlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBlanev8f16),
     /* 250031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250039 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250045 */     GIR_RootConstrainSelectedInstOperands,
     /* 250046 */     // GIR_Coverage, 2509,
     /* 250046 */     GIR_EraseRootFromParent_Done,
     /* 250047 */   // Label 5006: @250047
     /* 250047 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(250115), // Rule ID 2510 //
     /* 250052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 250055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb_lane),
     /* 250060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 250063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 250066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250088 */     // MIs[0] Idx
     /* 250088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250096 */     // (intrinsic_w_chain:{ *:[v4f32] } 621:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBlanev4f32),
     /* 250099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250105 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250107 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250113 */     GIR_RootConstrainSelectedInstOperands,
     /* 250114 */     // GIR_Coverage, 2510,
     /* 250114 */     GIR_EraseRootFromParent_Done,
     /* 250115 */   // Label 5007: @250115
     /* 250115 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(250183), // Rule ID 2511 //
     /* 250120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 250123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 250128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 250131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 250134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 250137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250156 */     // MIs[0] Idx
     /* 250156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 250164 */     // (intrinsic_w_chain:{ *:[v2f32] } 617:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev2f32),
     /* 250167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250173 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250175 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250181 */     GIR_RootConstrainSelectedInstOperands,
     /* 250182 */     // GIR_Coverage, 2511,
     /* 250182 */     GIR_EraseRootFromParent_Done,
     /* 250183 */   // Label 5008: @250183
     /* 250183 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(250251), // Rule ID 2512 //
     /* 250188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 250191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 250196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 250199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 250202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250224 */     // MIs[0] Idx
     /* 250224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 250232 */     // (intrinsic_w_chain:{ *:[v4f32] } 617:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f32),
     /* 250235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250241 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250243 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250249 */     GIR_RootConstrainSelectedInstOperands,
     /* 250250 */     // GIR_Coverage, 2512,
     /* 250250 */     GIR_EraseRootFromParent_Done,
     /* 250251 */   // Label 5009: @250251
     /* 250251 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(250319), // Rule ID 2513 //
     /* 250256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 250259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 250264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 250267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 250270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 250273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 250292 */     // MIs[0] Idx
     /* 250292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 250300 */     // (intrinsic_w_chain:{ *:[v4f16] } 615:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f16),
     /* 250303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250309 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250311 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250317 */     GIR_RootConstrainSelectedInstOperands,
     /* 250318 */     // GIR_Coverage, 2513,
     /* 250318 */     GIR_EraseRootFromParent_Done,
     /* 250319 */   // Label 5010: @250319
     /* 250319 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(250387), // Rule ID 2514 //
     /* 250324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 250327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 250332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 250338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 250360 */     // MIs[0] Idx
     /* 250360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 250368 */     // (intrinsic_w_chain:{ *:[v8f16] } 615:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev8f16),
     /* 250371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250377 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250379 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250385 */     GIR_RootConstrainSelectedInstOperands,
     /* 250386 */     // GIR_Coverage, 2514,
     /* 250386 */     GIR_EraseRootFromParent_Done,
     /* 250387 */   // Label 5011: @250387
     /* 250387 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(250455), // Rule ID 6883 //
     /* 250392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 250395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt_lane),
     /* 250400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 250406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250428 */     // MIs[0] Idx
     /* 250428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250436 */     // (intrinsic_w_chain:{ *:[v8f16] } 629:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTlanev8f16),
     /* 250439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250445 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250447 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250453 */     GIR_RootConstrainSelectedInstOperands,
     /* 250454 */     // GIR_Coverage, 6883,
     /* 250454 */     GIR_EraseRootFromParent_Done,
     /* 250455 */   // Label 5012: @250455
     /* 250455 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(250523), // Rule ID 6884 //
     /* 250460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 250463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt_lane),
     /* 250468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 250471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 250474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250496 */     // MIs[0] Idx
     /* 250496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250504 */     // (intrinsic_w_chain:{ *:[v4f32] } 623:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTlanev4f32),
     /* 250507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250513 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250515 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250521 */     GIR_RootConstrainSelectedInstOperands,
     /* 250522 */     // GIR_Coverage, 6884,
     /* 250522 */     GIR_EraseRootFromParent_Done,
     /* 250523 */   // Label 5013: @250523
     /* 250523 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(250591), // Rule ID 6885 //
     /* 250528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 250531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb_lane),
     /* 250536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 250539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 250542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250564 */     // MIs[0] Idx
     /* 250564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250572 */     // (intrinsic_w_chain:{ *:[v4f32] } 625:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBlanev4f32),
     /* 250575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250581 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250583 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250589 */     GIR_RootConstrainSelectedInstOperands,
     /* 250590 */     // GIR_Coverage, 6885,
     /* 250590 */     GIR_EraseRootFromParent_Done,
     /* 250591 */   // Label 5014: @250591
     /* 250591 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(250659), // Rule ID 6886 //
     /* 250596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 250599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt_lane),
     /* 250604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 250607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 250610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 250613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 250616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 250632 */     // MIs[0] Idx
     /* 250632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 250635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 250640 */     // (intrinsic_w_chain:{ *:[v4f32] } 627:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 250640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTlanev4f32),
     /* 250643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 250647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 250649 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 250651 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 250653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250657 */     GIR_RootConstrainSelectedInstOperands,
     /* 250658 */     // GIR_Coverage, 6886,
     /* 250658 */     GIR_EraseRootFromParent_Done,
     /* 250659 */   // Label 5015: @250659
     /* 250659 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(250719), // Rule ID 3573 //
     /* 250664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 250667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 250672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 250675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 250678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 250681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 250684 */     // MIs[0] tile
     /* 250684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 250692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250700 */     // (intrinsic_void 901:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 250700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_S_PSEUDO),
     /* 250703 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 250705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 250707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 250709 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 250711 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 250713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250717 */     GIR_RootConstrainSelectedInstOperands,
     /* 250718 */     // GIR_Coverage, 3573,
     /* 250718 */     GIR_EraseRootFromParent_Done,
     /* 250719 */   // Label 5016: @250719
     /* 250719 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(250779), // Rule ID 3574 //
     /* 250724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32),
     /* 250727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za32),
     /* 250732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 250735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 250738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 250741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 250744 */     // MIs[0] tile
     /* 250744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 250752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250760 */     // (intrinsic_void 871:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 250760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoS_PSEUDO),
     /* 250763 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 250765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 250767 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 250769 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 250771 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 250773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250777 */     GIR_RootConstrainSelectedInstOperands,
     /* 250778 */     // GIR_Coverage, 3574,
     /* 250778 */     GIR_EraseRootFromParent_Done,
     /* 250779 */   // Label 5017: @250779
     /* 250779 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(250839), // Rule ID 3575 //
     /* 250784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 250787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 250792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 250795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 250798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 250801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 250804 */     // MIs[0] tile
     /* 250804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250807 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 250812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250820 */     // (intrinsic_void 901:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 250820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_D_PSEUDO),
     /* 250823 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 250825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 250827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 250829 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 250831 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 250833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250837 */     GIR_RootConstrainSelectedInstOperands,
     /* 250838 */     // GIR_Coverage, 3575,
     /* 250838 */     GIR_EraseRootFromParent_Done,
     /* 250839 */   // Label 5018: @250839
     /* 250839 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(250899), // Rule ID 3576 //
     /* 250844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16),
     /* 250847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za16),
     /* 250852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 250855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 250858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 250861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 250864 */     // MIs[0] tile
     /* 250864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 250872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250880 */     // (intrinsic_void 870:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 250880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoH_PSEUDO),
     /* 250883 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 250885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 250887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 250889 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 250891 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 250893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250897 */     GIR_RootConstrainSelectedInstOperands,
     /* 250898 */     // GIR_Coverage, 3576,
     /* 250898 */     GIR_EraseRootFromParent_Done,
     /* 250899 */   // Label 5019: @250899
     /* 250899 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(250959), // Rule ID 3577 //
     /* 250904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 250907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 250912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 250915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 250918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 250921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 250924 */     // MIs[0] tile
     /* 250924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 250932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250940 */     // (intrinsic_void 901:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPA_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 250940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_H_PSEUDO),
     /* 250943 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 250945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 250947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 250949 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 250951 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 250953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250957 */     GIR_RootConstrainSelectedInstOperands,
     /* 250958 */     // GIR_Coverage, 3577,
     /* 250958 */     GIR_EraseRootFromParent_Done,
     /* 250959 */   // Label 5020: @250959
     /* 250959 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(251019), // Rule ID 3578 //
     /* 250964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 250967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 250972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 250975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 250978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 250981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 250984 */     // MIs[0] tile
     /* 250984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 250992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 250996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251000 */     // (intrinsic_void 988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_S_PSEUDO),
     /* 251003 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251009 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251011 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251017 */     GIR_RootConstrainSelectedInstOperands,
     /* 251018 */     // GIR_Coverage, 3578,
     /* 251018 */     GIR_EraseRootFromParent_Done,
     /* 251019 */   // Label 5021: @251019
     /* 251019 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(251079), // Rule ID 3579 //
     /* 251024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 251027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 251032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251044 */     // MIs[0] tile
     /* 251044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 251052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251060 */     // (intrinsic_void 988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 251060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_D_PSEUDO),
     /* 251063 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251069 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251071 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251077 */     GIR_RootConstrainSelectedInstOperands,
     /* 251078 */     // GIR_Coverage, 3579,
     /* 251078 */     GIR_EraseRootFromParent_Done,
     /* 251079 */   // Label 5022: @251079
     /* 251079 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(251139), // Rule ID 3580 //
     /* 251084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa_wide),
     /* 251092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251104 */     // MIs[0] tile
     /* 251104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251120 */     // (intrinsic_void 903:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPAL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 251120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPAL_MPPZZ_PSEUDO),
     /* 251123 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251129 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251131 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251137 */     GIR_RootConstrainSelectedInstOperands,
     /* 251138 */     // GIR_Coverage, 3580,
     /* 251138 */     GIR_EraseRootFromParent_Done,
     /* 251139 */   // Label 5023: @251139
     /* 251139 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(251199), // Rule ID 3662 //
     /* 251144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 251147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_za32),
     /* 251152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251164 */     // MIs[0] tile
     /* 251164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251180 */     // (intrinsic_void 989:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 251180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_HtoS_PSEUDO),
     /* 251183 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251189 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251191 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251197 */     GIR_RootConstrainSelectedInstOperands,
     /* 251198 */     // GIR_Coverage, 3662,
     /* 251198 */     GIR_EraseRootFromParent_Done,
     /* 251199 */   // Label 5024: @251199
     /* 251199 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(251259), // Rule ID 3663 //
     /* 251204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 251207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmopa_za32),
     /* 251212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 251215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 251218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 251221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 251224 */     // MIs[0] tile
     /* 251224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251240 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 251240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPA_MPPZZ_S_PSEUDO),
     /* 251243 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251249 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251251 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251257 */     GIR_RootConstrainSelectedInstOperands,
     /* 251258 */     // GIR_Coverage, 3663,
     /* 251258 */     GIR_EraseRootFromParent_Done,
     /* 251259 */   // Label 5025: @251259
     /* 251259 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(251319), // Rule ID 12350 //
     /* 251264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 251272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 251275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 251278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 251281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 251284 */     // MIs[0] tile
     /* 251284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251300 */     // (intrinsic_void 904:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 251300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_S_PSEUDO),
     /* 251303 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251309 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251311 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251317 */     GIR_RootConstrainSelectedInstOperands,
     /* 251318 */     // GIR_Coverage, 12350,
     /* 251318 */     GIR_EraseRootFromParent_Done,
     /* 251319 */   // Label 5026: @251319
     /* 251319 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(251379), // Rule ID 12351 //
     /* 251324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 251327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 251332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 251335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 251338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 251341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 251344 */     // MIs[0] tile
     /* 251344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 251352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251360 */     // (intrinsic_void 904:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 251360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_D_PSEUDO),
     /* 251363 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251369 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251371 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251377 */     GIR_RootConstrainSelectedInstOperands,
     /* 251378 */     // GIR_Coverage, 12351,
     /* 251378 */     GIR_EraseRootFromParent_Done,
     /* 251379 */   // Label 5027: @251379
     /* 251379 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(251439), // Rule ID 12352 //
     /* 251384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops_wide),
     /* 251392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251404 */     // MIs[0] tile
     /* 251404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251420 */     // (intrinsic_void 906:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPSL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 251420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPSL_MPPZZ_PSEUDO),
     /* 251423 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251429 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251431 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251437 */     GIR_RootConstrainSelectedInstOperands,
     /* 251438 */     // GIR_Coverage, 12352,
     /* 251438 */     GIR_EraseRootFromParent_Done,
     /* 251439 */   // Label 5028: @251439
     /* 251439 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(251499), // Rule ID 12353 //
     /* 251444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 251452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251464 */     // MIs[0] tile
     /* 251464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251480 */     // (intrinsic_void 990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_S_PSEUDO),
     /* 251483 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251489 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251491 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251497 */     GIR_RootConstrainSelectedInstOperands,
     /* 251498 */     // GIR_Coverage, 12353,
     /* 251498 */     GIR_EraseRootFromParent_Done,
     /* 251499 */   // Label 5029: @251499
     /* 251499 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(251559), // Rule ID 12354 //
     /* 251504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 251512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251524 */     // MIs[0] tile
     /* 251524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251540 */     // (intrinsic_void 1089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_S_PSEUDO),
     /* 251543 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251549 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251551 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251557 */     GIR_RootConstrainSelectedInstOperands,
     /* 251558 */     // GIR_Coverage, 12354,
     /* 251558 */     GIR_EraseRootFromParent_Done,
     /* 251559 */   // Label 5030: @251559
     /* 251559 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(251619), // Rule ID 12355 //
     /* 251564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 251572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251584 */     // MIs[0] tile
     /* 251584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251600 */     // (intrinsic_void 1091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_S_PSEUDO),
     /* 251603 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251609 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251611 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251617 */     GIR_RootConstrainSelectedInstOperands,
     /* 251618 */     // GIR_Coverage, 12355,
     /* 251618 */     GIR_EraseRootFromParent_Done,
     /* 251619 */   // Label 5031: @251619
     /* 251619 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(251679), // Rule ID 12356 //
     /* 251624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 251632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251644 */     // MIs[0] tile
     /* 251644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251660 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_S_PSEUDO),
     /* 251663 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251669 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251671 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251677 */     GIR_RootConstrainSelectedInstOperands,
     /* 251678 */     // GIR_Coverage, 12356,
     /* 251678 */     GIR_EraseRootFromParent_Done,
     /* 251679 */   // Label 5032: @251679
     /* 251679 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(251739), // Rule ID 12357 //
     /* 251684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 251692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251704 */     // MIs[0] tile
     /* 251704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251720 */     // (intrinsic_void 1024:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_S_PSEUDO),
     /* 251723 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251729 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251731 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251737 */     GIR_RootConstrainSelectedInstOperands,
     /* 251738 */     // GIR_Coverage, 12357,
     /* 251738 */     GIR_EraseRootFromParent_Done,
     /* 251739 */   // Label 5033: @251739
     /* 251739 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(251799), // Rule ID 12358 //
     /* 251744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 251752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251764 */     // MIs[0] tile
     /* 251764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251780 */     // (intrinsic_void 1107:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_S_PSEUDO),
     /* 251783 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251791 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251797 */     GIR_RootConstrainSelectedInstOperands,
     /* 251798 */     // GIR_Coverage, 12358,
     /* 251798 */     GIR_EraseRootFromParent_Done,
     /* 251799 */   // Label 5034: @251799
     /* 251799 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(251859), // Rule ID 12359 //
     /* 251804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 251807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 251812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 251818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 251821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 251824 */     // MIs[0] tile
     /* 251824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 251832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251840 */     // (intrinsic_void 1108:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 251840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_S_PSEUDO),
     /* 251843 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251849 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251851 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251857 */     GIR_RootConstrainSelectedInstOperands,
     /* 251858 */     // GIR_Coverage, 12359,
     /* 251858 */     GIR_EraseRootFromParent_Done,
     /* 251859 */   // Label 5035: @251859
     /* 251859 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(251919), // Rule ID 12360 //
     /* 251864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 251867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 251872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251884 */     // MIs[0] tile
     /* 251884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 251892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251900 */     // (intrinsic_void 990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 251900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_D_PSEUDO),
     /* 251903 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251909 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251911 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251917 */     GIR_RootConstrainSelectedInstOperands,
     /* 251918 */     // GIR_Coverage, 12360,
     /* 251918 */     GIR_EraseRootFromParent_Done,
     /* 251919 */   // Label 5036: @251919
     /* 251919 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(251979), // Rule ID 12361 //
     /* 251924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 251927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 251932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 251941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 251944 */     // MIs[0] tile
     /* 251944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 251947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 251952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 251960 */     // (intrinsic_void 1089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 251960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_D_PSEUDO),
     /* 251963 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 251965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 251967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 251969 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 251971 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 251973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251977 */     GIR_RootConstrainSelectedInstOperands,
     /* 251978 */     // GIR_Coverage, 12361,
     /* 251978 */     GIR_EraseRootFromParent_Done,
     /* 251979 */   // Label 5037: @251979
     /* 251979 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(252039), // Rule ID 12362 //
     /* 251984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 251987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 251992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 251995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 251998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252004 */     // MIs[0] tile
     /* 252004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252020 */     // (intrinsic_void 1091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_D_PSEUDO),
     /* 252023 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252029 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252031 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252037 */     GIR_RootConstrainSelectedInstOperands,
     /* 252038 */     // GIR_Coverage, 12362,
     /* 252038 */     GIR_EraseRootFromParent_Done,
     /* 252039 */   // Label 5038: @252039
     /* 252039 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(252099), // Rule ID 12363 //
     /* 252044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 252047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 252052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252064 */     // MIs[0] tile
     /* 252064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252080 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_D_PSEUDO),
     /* 252083 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252089 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252091 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252097 */     GIR_RootConstrainSelectedInstOperands,
     /* 252098 */     // GIR_Coverage, 12363,
     /* 252098 */     GIR_EraseRootFromParent_Done,
     /* 252099 */   // Label 5039: @252099
     /* 252099 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(252159), // Rule ID 12364 //
     /* 252104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 252107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 252112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252124 */     // MIs[0] tile
     /* 252124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252140 */     // (intrinsic_void 1024:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_D_PSEUDO),
     /* 252143 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252149 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252151 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252157 */     GIR_RootConstrainSelectedInstOperands,
     /* 252158 */     // GIR_Coverage, 12364,
     /* 252158 */     GIR_EraseRootFromParent_Done,
     /* 252159 */   // Label 5040: @252159
     /* 252159 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(252219), // Rule ID 12365 //
     /* 252164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 252167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 252172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252184 */     // MIs[0] tile
     /* 252184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252200 */     // (intrinsic_void 1107:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_D_PSEUDO),
     /* 252203 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252209 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252211 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252217 */     GIR_RootConstrainSelectedInstOperands,
     /* 252218 */     // GIR_Coverage, 12365,
     /* 252218 */     GIR_EraseRootFromParent_Done,
     /* 252219 */   // Label 5041: @252219
     /* 252219 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(252279), // Rule ID 12366 //
     /* 252224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 252227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 252232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252244 */     // MIs[0] tile
     /* 252244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252260 */     // (intrinsic_void 1108:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_D_PSEUDO),
     /* 252263 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252269 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252271 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252277 */     GIR_RootConstrainSelectedInstOperands,
     /* 252278 */     // GIR_Coverage, 12366,
     /* 252278 */     GIR_EraseRootFromParent_Done,
     /* 252279 */   // Label 5042: @252279
     /* 252279 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(252339), // Rule ID 12663 //
     /* 252284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 252287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmops_za32),
     /* 252292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 252295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 252298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 252301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 252304 */     // MIs[0] tile
     /* 252304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252320 */     // (intrinsic_void 799:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 252320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPS_MPPZZ_S_PSEUDO),
     /* 252323 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252329 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252331 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252337 */     GIR_RootConstrainSelectedInstOperands,
     /* 252338 */     // GIR_Coverage, 12663,
     /* 252338 */     GIR_EraseRootFromParent_Done,
     /* 252339 */   // Label 5043: @252339
     /* 252339 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(252399), // Rule ID 12664 //
     /* 252344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 252347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_za32),
     /* 252352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252364 */     // MIs[0] tile
     /* 252364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252380 */     // (intrinsic_void 991:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_HtoS_PSEUDO),
     /* 252383 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252389 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252391 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252397 */     GIR_RootConstrainSelectedInstOperands,
     /* 252398 */     // GIR_Coverage, 12664,
     /* 252398 */     GIR_EraseRootFromParent_Done,
     /* 252399 */   // Label 5044: @252399
     /* 252399 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(252459), // Rule ID 12665 //
     /* 252404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 252407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_za32),
     /* 252412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252424 */     // MIs[0] tile
     /* 252424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252440 */     // (intrinsic_void 1090:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_HtoS_PSEUDO),
     /* 252443 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252449 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252451 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252457 */     GIR_RootConstrainSelectedInstOperands,
     /* 252458 */     // GIR_Coverage, 12665,
     /* 252458 */     GIR_EraseRootFromParent_Done,
     /* 252459 */   // Label 5045: @252459
     /* 252459 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(252519), // Rule ID 12666 //
     /* 252464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 252467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_za32),
     /* 252472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252484 */     // MIs[0] tile
     /* 252484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252500 */     // (intrinsic_void 1092:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_HtoS_PSEUDO),
     /* 252503 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252509 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252511 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252517 */     GIR_RootConstrainSelectedInstOperands,
     /* 252518 */     // GIR_Coverage, 12666,
     /* 252518 */     GIR_EraseRootFromParent_Done,
     /* 252519 */   // Label 5046: @252519
     /* 252519 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(252579), // Rule ID 12777 //
     /* 252524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 252527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 252532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 252535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 252538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 252541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 252544 */     // MIs[0] tile
     /* 252544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 252552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 252560 */     // (intrinsic_void 904:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPS_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 252560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_H_PSEUDO),
     /* 252563 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 252567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 252569 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 252571 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 252573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252577 */     GIR_RootConstrainSelectedInstOperands,
     /* 252578 */     // GIR_Coverage, 12777,
     /* 252578 */     GIR_EraseRootFromParent_Done,
     /* 252579 */   // Label 5047: @252579
     /* 252579 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(252627), // Rule ID 3560 //
     /* 252584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb_lane),
     /* 252592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 252595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252608 */     // MIs[0] Op4
     /* 252608 */     // No operand predicates
     /* 252608 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1411:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALB_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI),
     /* 252611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252617 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252619 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252625 */     GIR_RootConstrainSelectedInstOperands,
     /* 252626 */     // GIR_Coverage, 3560,
     /* 252626 */     GIR_EraseRootFromParent_Done,
     /* 252627 */   // Label 5048: @252627
     /* 252627 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(252675), // Rule ID 3562 //
     /* 252632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb_lane),
     /* 252640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 252643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252656 */     // MIs[0] Op4
     /* 252656 */     // No operand predicates
     /* 252656 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1413:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZI),
     /* 252659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252665 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252667 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252673 */     GIR_RootConstrainSelectedInstOperands,
     /* 252674 */     // GIR_Coverage, 3562,
     /* 252674 */     GIR_EraseRootFromParent_Done,
     /* 252675 */   // Label 5049: @252675
     /* 252675 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(252723), // Rule ID 3563 //
     /* 252680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 252683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 252688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 252691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252704 */     // MIs[0] Op4
     /* 252704 */     // No operand predicates
     /* 252704 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1409:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoH),
     /* 252707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252713 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252715 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252721 */     GIR_RootConstrainSelectedInstOperands,
     /* 252722 */     // GIR_Coverage, 3563,
     /* 252722 */     GIR_EraseRootFromParent_Done,
     /* 252723 */   // Label 5050: @252723
     /* 252723 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(252771), // Rule ID 3564 //
     /* 252728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 252731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 252736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 252739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252752 */     // MIs[0] Op4
     /* 252752 */     // No operand predicates
     /* 252752 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1409:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoS),
     /* 252755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252761 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252763 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252769 */     GIR_RootConstrainSelectedInstOperands,
     /* 252770 */     // GIR_Coverage, 3564,
     /* 252770 */     GIR_EraseRootFromParent_Done,
     /* 252771 */   // Label 5051: @252771
     /* 252771 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(252819), // Rule ID 12334 //
     /* 252776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt_lane),
     /* 252784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 252787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252800 */     // MIs[0] Op4
     /* 252800 */     // No operand predicates
     /* 252800 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1421:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALT_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI),
     /* 252803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252809 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252811 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252817 */     GIR_RootConstrainSelectedInstOperands,
     /* 252818 */     // GIR_Coverage, 12334,
     /* 252818 */     GIR_EraseRootFromParent_Done,
     /* 252819 */   // Label 5052: @252819
     /* 252819 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(252867), // Rule ID 12336 //
     /* 252824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt_lane),
     /* 252832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 252835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252848 */     // MIs[0] Op4
     /* 252848 */     // No operand predicates
     /* 252848 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1415:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZI),
     /* 252851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252857 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252859 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252865 */     GIR_RootConstrainSelectedInstOperands,
     /* 252866 */     // GIR_Coverage, 12336,
     /* 252866 */     GIR_EraseRootFromParent_Done,
     /* 252867 */   // Label 5053: @252867
     /* 252867 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(252915), // Rule ID 12337 //
     /* 252872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb_lane),
     /* 252880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 252883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252896 */     // MIs[0] Op4
     /* 252896 */     // No operand predicates
     /* 252896 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1417:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZI),
     /* 252899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252905 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252907 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252913 */     GIR_RootConstrainSelectedInstOperands,
     /* 252914 */     // GIR_Coverage, 12337,
     /* 252914 */     GIR_EraseRootFromParent_Done,
     /* 252915 */   // Label 5054: @252915
     /* 252915 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(252963), // Rule ID 12338 //
     /* 252920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 252923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt_lane),
     /* 252928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 252931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 252940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 252944 */     // MIs[0] Op4
     /* 252944 */     // No operand predicates
     /* 252944 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1419:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 252944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZI),
     /* 252947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 252949 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 252951 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 252953 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 252955 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 252957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252961 */     GIR_RootConstrainSelectedInstOperands,
     /* 252962 */     // GIR_Coverage, 12338,
     /* 252962 */     GIR_EraseRootFromParent_Done,
     /* 252963 */   // Label 5055: @252963
     /* 252963 */   GIM_Reject,
     /* 252964 */ // Label 5005: @252964
     /* 252964 */ GIM_Reject,
     /* 252965 */ // Label 34: @252965
     /* 252965 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 5060*/ GIMT_Encode4(253254),
     /* 252976 */ /*GILLT_s64*//*Label 5056*/ GIMT_Encode4(253008), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 252988 */ /*GILLT_v2s64*//*Label 5057*/ GIMT_Encode4(253068), GIMT_Encode4(0),
     /* 252996 */ /*GILLT_v4s32*//*Label 5058*/ GIMT_Encode4(253130), GIMT_Encode4(0),
     /* 253004 */ /*GILLT_v8s16*//*Label 5059*/ GIMT_Encode4(253192),
     /* 253008 */ // Label 5056: @253008
     /* 253008 */ GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(253067), // Rule ID 6395 //
     /* 253013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 253016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 253020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253024 */   // (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] })
     /* 253024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 253027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 253031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253036 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 253038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 253041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 253043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253046 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 253048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 253051 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 253056 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 253061 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253066 */   // GIR_Coverage, 6395,
     /* 253066 */   GIR_EraseRootFromParent_Done,
     /* 253067 */ // Label 5061: @253067
     /* 253067 */ GIM_Reject,
     /* 253068 */ // Label 5057: @253068
     /* 253068 */ GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(253129),
     /* 253073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 253076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253080 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(253107), // Rule ID 6267 //
     /* 253085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 253092 */     // (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 253092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 253095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 253102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253105 */     GIR_RootConstrainSelectedInstOperands,
     /* 253106 */     // GIR_Coverage, 6267,
     /* 253106 */     GIR_EraseRootFromParent_Done,
     /* 253107 */   // Label 5063: @253107
     /* 253107 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(253128), // Rule ID 6260 //
     /* 253112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253116 */     // (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 253116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 253119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253121 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 253123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253126 */     GIR_RootConstrainSelectedInstOperands,
     /* 253127 */     // GIR_Coverage, 6260,
     /* 253127 */     GIR_EraseRootFromParent_Done,
     /* 253128 */   // Label 5064: @253128
     /* 253128 */   GIM_Reject,
     /* 253129 */ // Label 5062: @253129
     /* 253129 */ GIM_Reject,
     /* 253130 */ // Label 5058: @253130
     /* 253130 */ GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(253191),
     /* 253135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 253138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253142 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(253169), // Rule ID 6264 //
     /* 253147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 253154 */     // (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 253154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 253157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 253164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253167 */     GIR_RootConstrainSelectedInstOperands,
     /* 253168 */     // GIR_Coverage, 6264,
     /* 253168 */     GIR_EraseRootFromParent_Done,
     /* 253169 */   // Label 5066: @253169
     /* 253169 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(253190), // Rule ID 6257 //
     /* 253174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253178 */     // (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 253178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 253181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253183 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 253185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253188 */     GIR_RootConstrainSelectedInstOperands,
     /* 253189 */     // GIR_Coverage, 6257,
     /* 253189 */     GIR_EraseRootFromParent_Done,
     /* 253190 */   // Label 5067: @253190
     /* 253190 */   GIM_Reject,
     /* 253191 */ // Label 5065: @253191
     /* 253191 */ GIM_Reject,
     /* 253192 */ // Label 5059: @253192
     /* 253192 */ GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(253253),
     /* 253197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 253200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253204 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(253231), // Rule ID 6261 //
     /* 253209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 253216 */     // (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 253216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 253219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 253226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253229 */     GIR_RootConstrainSelectedInstOperands,
     /* 253230 */     // GIR_Coverage, 6261,
     /* 253230 */     GIR_EraseRootFromParent_Done,
     /* 253231 */   // Label 5069: @253231
     /* 253231 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(253252), // Rule ID 6254 //
     /* 253236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253240 */     // (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 253240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 253243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 253247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253250 */     GIR_RootConstrainSelectedInstOperands,
     /* 253251 */     // GIR_Coverage, 6254,
     /* 253251 */     GIR_EraseRootFromParent_Done,
     /* 253252 */   // Label 5070: @253252
     /* 253252 */   GIM_Reject,
     /* 253253 */ // Label 5068: @253253
     /* 253253 */ GIM_Reject,
     /* 253254 */ // Label 5060: @253254
     /* 253254 */ GIM_Reject,
     /* 253255 */ // Label 35: @253255
     /* 253255 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(10), /*)*//*default:*//*Label 5075*/ GIMT_Encode4(254457),
     /* 253266 */ /*GILLT_s32*//*Label 5071*/ GIMT_Encode4(253298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 253278 */ /*GILLT_v2s32*//*Label 5072*/ GIMT_Encode4(253337), GIMT_Encode4(0),
     /* 253286 */ /*GILLT_v4s16*//*Label 5073*/ GIMT_Encode4(253615), GIMT_Encode4(0),
     /* 253294 */ /*GILLT_v8s8*//*Label 5074*/ GIMT_Encode4(254036),
     /* 253298 */ // Label 5071: @253298
     /* 253298 */ GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(253336), // Rule ID 6416 //
     /* 253303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 253306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 253310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253314 */   // (trunc:{ *:[i32] } GPR64sp:{ *:[i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i32] } GPR64sp:{ *:[i64] }:$src, sub_32:{ *:[i32] })
     /* 253314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 253319 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // src
     /* 253325 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 253330 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253335 */   // GIR_Coverage, 6416,
     /* 253335 */   GIR_EraseRootFromParent_Done,
     /* 253336 */ // Label 5076: @253336
     /* 253336 */ GIM_Reject,
     /* 253337 */ // Label 5072: @253337
     /* 253337 */ GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(253614),
     /* 253342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253349 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(253420), // Rule ID 5352 //
     /* 253354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 253370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 253374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 253382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253392 */     // MIs[1] Operand 2
     /* 253392 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 253403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253405 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 253405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 253408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 253414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 253418 */     GIR_RootConstrainSelectedInstOperands,
     /* 253419 */     // GIR_Coverage, 5352,
     /* 253419 */     GIR_EraseRootFromParent_Done,
     /* 253420 */   // Label 5078: @253420
     /* 253420 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(253491), // Rule ID 5358 //
     /* 253425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 253441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 253445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 253453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253463 */     // MIs[1] Operand 2
     /* 253463 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 253474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253476 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 253476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 253479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 253485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 253489 */     GIR_RootConstrainSelectedInstOperands,
     /* 253490 */     // GIR_Coverage, 5358,
     /* 253490 */     GIR_EraseRootFromParent_Done,
     /* 253491 */   // Label 5079: @253491
     /* 253491 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(253544), // Rule ID 2153 //
     /* 253496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 253499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 253507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253516 */     // MIs[1] imm
     /* 253516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 253520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 253524 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 253528 */     // MIs[2] Operand 1
     /* 253528 */     // No operand predicates
     /* 253528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253530 */     // (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 253530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 253533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 253539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 253542 */     GIR_RootConstrainSelectedInstOperands,
     /* 253543 */     // GIR_Coverage, 2153,
     /* 253543 */     GIR_EraseRootFromParent_Done,
     /* 253544 */   // Label 5080: @253544
     /* 253544 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(253594), // Rule ID 6242 //
     /* 253549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253566 */     // MIs[1] imm
     /* 253566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 253570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 253574 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 253578 */     // MIs[2] Operand 1
     /* 253578 */     // No operand predicates
     /* 253578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253580 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /* 253580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 253583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 253589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 253592 */     GIR_RootConstrainSelectedInstOperands,
     /* 253593 */     // GIR_Coverage, 6242,
     /* 253593 */     GIR_EraseRootFromParent_Done,
     /* 253594 */   // Label 5081: @253594
     /* 253594 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(253613), // Rule ID 1092 //
     /* 253599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 253602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253606 */     // (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)  =>  (XTNv2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)
     /* 253606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 253611 */     GIR_RootConstrainSelectedInstOperands,
     /* 253612 */     // GIR_Coverage, 1092,
     /* 253612 */     GIR_Done,
     /* 253613 */   // Label 5082: @253613
     /* 253613 */   GIM_Reject,
     /* 253614 */ // Label 5077: @253614
     /* 253614 */ GIM_Reject,
     /* 253615 */ // Label 5073: @253615
     /* 253615 */ GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(254035),
     /* 253620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253627 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(253698), // Rule ID 5351 //
     /* 253632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 253648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 253652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 253660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253670 */     // MIs[1] Operand 2
     /* 253670 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 253681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253683 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 253683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 253686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 253692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 253696 */     GIR_RootConstrainSelectedInstOperands,
     /* 253697 */     // GIR_Coverage, 5351,
     /* 253697 */     GIR_EraseRootFromParent_Done,
     /* 253698 */   // Label 5084: @253698
     /* 253698 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(253769), // Rule ID 5357 //
     /* 253703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 253719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 253723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253727 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 253731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253741 */     // MIs[1] Operand 2
     /* 253741 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 253752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253754 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 253754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 253757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 253763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 253767 */     GIR_RootConstrainSelectedInstOperands,
     /* 253768 */     // GIR_Coverage, 5357,
     /* 253768 */     GIR_EraseRootFromParent_Done,
     /* 253769 */   // Label 5085: @253769
     /* 253769 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(253861), // Rule ID 5476 //
     /* 253774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 253782 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 253785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 253789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 253793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 253797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 253801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 253814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 253818 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 253822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 253829 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm)))  =>  (XTNv4i16:{ *:[v4i16] } (UZP1v4i32:{ *:[f128] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))
     /* 253829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 253832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 253836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 253845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 253849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 253851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 253854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253859 */     GIR_RootConstrainSelectedInstOperands,
     /* 253860 */     // GIR_Coverage, 5476,
     /* 253860 */     GIR_EraseRootFromParent_Done,
     /* 253861 */   // Label 5086: @253861
     /* 253861 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(253914), // Rule ID 2152 //
     /* 253866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 253869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 253877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253886 */     // MIs[1] imm
     /* 253886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 253890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 253894 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 253898 */     // MIs[2] Operand 1
     /* 253898 */     // No operand predicates
     /* 253898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253900 */     // (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 253900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 253903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 253909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 253912 */     GIR_RootConstrainSelectedInstOperands,
     /* 253913 */     // GIR_Coverage, 2152,
     /* 253913 */     GIR_EraseRootFromParent_Done,
     /* 253914 */   // Label 5087: @253914
     /* 253914 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(253964), // Rule ID 6241 //
     /* 253919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 253927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 253931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 253936 */     // MIs[1] imm
     /* 253936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 253940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 253944 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 253948 */     // MIs[2] Operand 1
     /* 253948 */     // No operand predicates
     /* 253948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 253950 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /* 253950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 253953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 253959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 253962 */     GIR_RootConstrainSelectedInstOperands,
     /* 253963 */     // GIR_Coverage, 6241,
     /* 253963 */     GIR_EraseRootFromParent_Done,
     /* 253964 */   // Label 5088: @253964
     /* 253964 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(254015), // Rule ID 5504 //
     /* 253969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 253973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 253977 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 253980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 253984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 253988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 253998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254000 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm))  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm)
     /* 254000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 254003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 254009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 254013 */     GIR_RootConstrainSelectedInstOperands,
     /* 254014 */     // GIR_Coverage, 5504,
     /* 254014 */     GIR_EraseRootFromParent_Done,
     /* 254015 */   // Label 5089: @254015
     /* 254015 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(254034), // Rule ID 1091 //
     /* 254020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 254023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254027 */     // (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)  =>  (XTNv4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)
     /* 254027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 254032 */     GIR_RootConstrainSelectedInstOperands,
     /* 254033 */     // GIR_Coverage, 1091,
     /* 254033 */     GIR_Done,
     /* 254034 */   // Label 5090: @254034
     /* 254034 */   GIM_Reject,
     /* 254035 */ // Label 5083: @254035
     /* 254035 */ GIM_Reject,
     /* 254036 */ // Label 5074: @254036
     /* 254036 */ GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(254456),
     /* 254041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254048 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(254119), // Rule ID 5350 //
     /* 254053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 254061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 254069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 254073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254077 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 254081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254091 */     // MIs[1] Operand 2
     /* 254091 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 254102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 254104 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 254104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 254107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 254113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 254117 */     GIR_RootConstrainSelectedInstOperands,
     /* 254118 */     // GIR_Coverage, 5350,
     /* 254118 */     GIR_EraseRootFromParent_Done,
     /* 254119 */   // Label 5092: @254119
     /* 254119 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(254190), // Rule ID 5356 //
     /* 254124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 254132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 254140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 254144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 254152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254162 */     // MIs[1] Operand 2
     /* 254162 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 254173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 254175 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 254175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 254178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 254184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 254188 */     GIR_RootConstrainSelectedInstOperands,
     /* 254189 */     // GIR_Coverage, 5356,
     /* 254189 */     GIR_EraseRootFromParent_Done,
     /* 254190 */   // Label 5093: @254190
     /* 254190 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(254282), // Rule ID 5449 //
     /* 254195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 254203 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 254206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 254210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 254214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 254218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 254222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 254226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 254235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 254239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 254243 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254248 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 254250 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm)))  =>  (XTNv8i8:{ *:[v8i8] } (UZP1v8i16:{ *:[f128] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))
     /* 254250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 254253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 254257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254262 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 254266 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 254270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 254275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254280 */     GIR_RootConstrainSelectedInstOperands,
     /* 254281 */     // GIR_Coverage, 5449,
     /* 254281 */     GIR_EraseRootFromParent_Done,
     /* 254282 */   // Label 5094: @254282
     /* 254282 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(254335), // Rule ID 2151 //
     /* 254287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 254290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 254298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254307 */     // MIs[1] imm
     /* 254307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 254311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254315 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 254319 */     // MIs[2] Operand 1
     /* 254319 */     // No operand predicates
     /* 254319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 254321 */     // (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 254321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 254324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 254330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 254333 */     GIR_RootConstrainSelectedInstOperands,
     /* 254334 */     // GIR_Coverage, 2151,
     /* 254334 */     GIR_EraseRootFromParent_Done,
     /* 254335 */   // Label 5095: @254335
     /* 254335 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(254385), // Rule ID 6240 //
     /* 254340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 254348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 254352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254357 */     // MIs[1] imm
     /* 254357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 254361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254365 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 254369 */     // MIs[2] Operand 1
     /* 254369 */     // No operand predicates
     /* 254369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 254371 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /* 254371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 254374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 254380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 254383 */     GIR_RootConstrainSelectedInstOperands,
     /* 254384 */     // GIR_Coverage, 6240,
     /* 254384 */     GIR_EraseRootFromParent_Done,
     /* 254385 */   // Label 5096: @254385
     /* 254385 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(254436), // Rule ID 5503 //
     /* 254390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 254398 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 254401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 254405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 254409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254421 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm))  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm)
     /* 254421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 254424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 254430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 254434 */     GIR_RootConstrainSelectedInstOperands,
     /* 254435 */     // GIR_Coverage, 5503,
     /* 254435 */     GIR_EraseRootFromParent_Done,
     /* 254436 */   // Label 5097: @254436
     /* 254436 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(254455), // Rule ID 1090 //
     /* 254441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 254444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254448 */     // (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)  =>  (XTNv8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)
     /* 254448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 254453 */     GIR_RootConstrainSelectedInstOperands,
     /* 254454 */     // GIR_Coverage, 1090,
     /* 254454 */     GIR_Done,
     /* 254455 */   // Label 5098: @254455
     /* 254455 */   GIM_Reject,
     /* 254456 */ // Label 5091: @254456
     /* 254456 */ GIM_Reject,
     /* 254457 */ // Label 5075: @254457
     /* 254457 */ GIM_Reject,
     /* 254458 */ // Label 36: @254458
     /* 254458 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5101*/ GIMT_Encode4(254577),
     /* 254469 */ /*GILLT_s32*//*Label 5099*/ GIMT_Encode4(254477),
     /* 254473 */ /*GILLT_s64*//*Label 5100*/ GIMT_Encode4(254497),
     /* 254477 */ // Label 5099: @254477
     /* 254477 */ GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(254496), // Rule ID 81 //
     /* 254482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254486 */   // MIs[0] Operand 1
     /* 254486 */   // No operand predicates
     /* 254486 */   // (imm:{ *:[i32] }):$src  =>  (MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 254486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 254489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 254491 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 254494 */   GIR_RootConstrainSelectedInstOperands,
     /* 254495 */   // GIR_Coverage, 81,
     /* 254495 */   GIR_EraseRootFromParent_Done,
     /* 254496 */ // Label 5102: @254496
     /* 254496 */ GIM_Reject,
     /* 254497 */ // Label 5100: @254497
     /* 254497 */ GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(254557), // Rule ID 3847 //
     /* 254502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptimizedGISelOrOtherSelector),
     /* 254505 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /* 254509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 254513 */   // MIs[0] Operand 1
     /* 254513 */   // No operand predicates
     /* 254513 */   // (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$src  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$src)), sub_32:{ *:[i32] })
     /* 254513 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254516 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 254520 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254525 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // src
     /* 254530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 254535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 254537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 254546 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 254551 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254556 */   // GIR_Coverage, 3847,
     /* 254556 */   GIR_EraseRootFromParent_Done,
     /* 254557 */ // Label 5103: @254557
     /* 254557 */ GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(254576), // Rule ID 82 //
     /* 254562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254566 */   // MIs[0] Operand 1
     /* 254566 */   // No operand predicates
     /* 254566 */   // (imm:{ *:[i64] }):$src  =>  (MOVi64imm:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 254566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi64imm),
     /* 254569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 254571 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 254574 */   GIR_RootConstrainSelectedInstOperands,
     /* 254575 */   // GIR_Coverage, 82,
     /* 254575 */   GIR_EraseRootFromParent_Done,
     /* 254576 */ // Label 5104: @254576
     /* 254576 */ GIM_Reject,
     /* 254577 */ // Label 5101: @254577
     /* 254577 */ GIM_Reject,
     /* 254578 */ // Label 37: @254578
     /* 254578 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 5108*/ GIMT_Encode4(254818),
     /* 254589 */ /*GILLT_s16*//*Label 5105*/ GIMT_Encode4(254601),
     /* 254593 */ /*GILLT_s32*//*Label 5106*/ GIMT_Encode4(254653),
     /* 254597 */ /*GILLT_s64*//*Label 5107*/ GIMT_Encode4(254766),
     /* 254601 */ // Label 5105: @254601
     /* 254601 */ GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(254624), // Rule ID 506 //
     /* 254606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 254609 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 254613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 254617 */   // MIs[0] Operand 1
     /* 254617 */   // No operand predicates
     /* 254617 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>  =>  (FMOVH0:{ *:[f16] })
     /* 254617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVH0),
     /* 254620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254622 */   GIR_RootConstrainSelectedInstOperands,
     /* 254623 */   // GIR_Coverage, 506,
     /* 254623 */   GIR_EraseRootFromParent_Done,
     /* 254624 */ // Label 5109: @254624
     /* 254624 */ GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(254652), // Rule ID 688 //
     /* 254629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 254632 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 254636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 254640 */   // MIs[0] Operand 1
     /* 254640 */   // No operand predicates
     /* 254640 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm  =>  (FMOVHi:{ *:[f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] }):$imm))
     /* 254640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVHi),
     /* 254643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254645 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm
     /* 254650 */   GIR_RootConstrainSelectedInstOperands,
     /* 254651 */   // GIR_Coverage, 688,
     /* 254651 */   GIR_EraseRootFromParent_Done,
     /* 254652 */ // Label 5110: @254652
     /* 254652 */ GIM_Reject,
     /* 254653 */ // Label 5106: @254653
     /* 254653 */ GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(254676), // Rule ID 507 //
     /* 254658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 254661 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 254665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 254669 */   // MIs[0] Operand 1
     /* 254669 */   // No operand predicates
     /* 254669 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (FMOVS0:{ *:[f32] })
     /* 254669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVS0),
     /* 254672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254674 */   GIR_RootConstrainSelectedInstOperands,
     /* 254675 */   // GIR_Coverage, 507,
     /* 254675 */   GIR_EraseRootFromParent_Done,
     /* 254676 */ // Label 5111: @254676
     /* 254676 */ GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(254704), // Rule ID 689 //
     /* 254681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 254684 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 254688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 254692 */   // MIs[0] Operand 1
     /* 254692 */   // No operand predicates
     /* 254692 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm  =>  (FMOVSi:{ *:[f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] }):$imm))
     /* 254692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVSi),
     /* 254695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254697 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm
     /* 254702 */   GIR_RootConstrainSelectedInstOperands,
     /* 254703 */   // GIR_Coverage, 689,
     /* 254703 */   GIR_EraseRootFromParent_Done,
     /* 254704 */ // Label 5112: @254704
     /* 254704 */ GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(254765), // Rule ID 5921 //
     /* 254709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 254712 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4),
     /* 254716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 254720 */   // MIs[0] Operand 1
     /* 254720 */   // No operand predicates
     /* 254720 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32SIMDModImmType4>><<X:fpimm32SIMDModImmType4XForm>>:$in  =>  (EXTRACT_SUBREG:{ *:[f32] } (MOVIv2i32:{ *:[i64] } (fpimm32SIMDModImmType4XForm:{ *:[i32] } f32:{ *:[f32] }:$in), 24:{ *:[i32] }), ssub:{ *:[i32] })
     /* 254720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 254723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2i32),
     /* 254727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254732 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32SIMDModImmType4), // in
     /* 254737 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/24,
     /* 254740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 254742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 254747 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 254754 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 254759 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254764 */   // GIR_Coverage, 5921,
     /* 254764 */   GIR_EraseRootFromParent_Done,
     /* 254765 */ // Label 5113: @254765
     /* 254765 */ GIM_Reject,
     /* 254766 */ // Label 5107: @254766
     /* 254766 */ GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(254789), // Rule ID 508 //
     /* 254771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 254774 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 254778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254782 */   // MIs[0] Operand 1
     /* 254782 */   // No operand predicates
     /* 254782 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (FMOVD0:{ *:[f64] })
     /* 254782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVD0),
     /* 254785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254787 */   GIR_RootConstrainSelectedInstOperands,
     /* 254788 */   // GIR_Coverage, 508,
     /* 254788 */   GIR_EraseRootFromParent_Done,
     /* 254789 */ // Label 5114: @254789
     /* 254789 */ GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(254817), // Rule ID 690 //
     /* 254794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 254797 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 254801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254805 */   // MIs[0] Operand 1
     /* 254805 */   // No operand predicates
     /* 254805 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm  =>  (FMOVDi:{ *:[f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] }):$imm))
     /* 254805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVDi),
     /* 254808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254810 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm
     /* 254815 */   GIR_RootConstrainSelectedInstOperands,
     /* 254816 */   // GIR_Coverage, 690,
     /* 254816 */   GIR_EraseRootFromParent_Done,
     /* 254817 */ // Label 5115: @254817
     /* 254817 */ GIM_Reject,
     /* 254818 */ // Label 5108: @254818
     /* 254818 */ GIM_Reject,
     /* 254819 */ // Label 38: @254819
     /* 254819 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5121*/ GIMT_Encode4(256716),
     /* 254830 */ /*GILLT_s32*//*Label 5116*/ GIMT_Encode4(254866),
     /* 254834 */ /*GILLT_s64*//*Label 5117*/ GIMT_Encode4(256307), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 254846 */ /*GILLT_v2s64*//*Label 5118*/ GIMT_Encode4(256530), GIMT_Encode4(0),
     /* 254854 */ /*GILLT_v4s32*//*Label 5119*/ GIMT_Encode4(256592), GIMT_Encode4(0),
     /* 254862 */ /*GILLT_v8s16*//*Label 5120*/ GIMT_Encode4(256654),
     /* 254866 */ // Label 5116: @254866
     /* 254866 */ GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(254986), // Rule ID 12824 //
     /* 254871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 254874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254878 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 254882 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 254886 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 254889 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 254894 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 254898 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254905 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 661:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 254905 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 254908 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 254912 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254917 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 254921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 254923 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 254926 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 254930 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254935 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 254937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 254940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 254944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254949 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 254952 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 254955 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 254958 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254963 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254968 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 254973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 254976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254984 */   GIR_RootConstrainSelectedInstOperands,
     /* 254985 */   // GIR_Coverage, 12824,
     /* 254985 */   GIR_EraseRootFromParent_Done,
     /* 254986 */ // Label 5122: @254986
     /* 254986 */ GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(255106), // Rule ID 12826 //
     /* 254991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 254994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254998 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255002 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255006 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255009 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 255014 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 255018 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255023 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255025 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 661:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255025 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 255028 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 255032 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255037 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255041 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255043 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255046 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255050 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255069 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255072 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255075 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 255078 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255083 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255088 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 255093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 255096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255104 */   GIR_RootConstrainSelectedInstOperands,
     /* 255105 */   // GIR_Coverage, 12826,
     /* 255105 */   GIR_EraseRootFromParent_Done,
     /* 255106 */ // Label 5123: @255106
     /* 255106 */ GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(255226), // Rule ID 12828 //
     /* 255111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 255114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255118 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255126 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255129 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 255134 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 255138 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255143 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255145 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 661:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255145 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 255148 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 255152 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255157 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255163 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255166 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255170 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255189 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255192 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255195 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 255198 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 255213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 255216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255224 */   GIR_RootConstrainSelectedInstOperands,
     /* 255225 */   // GIR_Coverage, 12828,
     /* 255225 */   GIR_EraseRootFromParent_Done,
     /* 255226 */ // Label 5124: @255226
     /* 255226 */ GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(255346), // Rule ID 12830 //
     /* 255231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 255234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255238 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255242 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255246 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255249 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 255254 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 255258 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255263 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255265 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 661:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255265 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 255268 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 255272 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255277 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255283 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255286 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255290 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255309 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255312 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255315 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 255318 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255323 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255328 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 255333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 255336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255344 */   GIR_RootConstrainSelectedInstOperands,
     /* 255345 */   // GIR_Coverage, 12830,
     /* 255345 */   GIR_EraseRootFromParent_Done,
     /* 255346 */ // Label 5125: @255346
     /* 255346 */ GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(255466), // Rule ID 12846 //
     /* 255351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 255354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255358 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255362 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255366 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255369 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 255374 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 255378 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255383 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255385 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 671:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255385 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 255388 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 255392 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255397 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255403 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255406 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255410 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255429 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255432 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255435 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 255438 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255443 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255448 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 255453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 255456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255464 */   GIR_RootConstrainSelectedInstOperands,
     /* 255465 */   // GIR_Coverage, 12846,
     /* 255465 */   GIR_EraseRootFromParent_Done,
     /* 255466 */ // Label 5126: @255466
     /* 255466 */ GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(255586), // Rule ID 12848 //
     /* 255471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 255474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255478 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255482 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255486 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255489 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 255494 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 255498 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255503 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255505 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 671:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255505 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 255508 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 255512 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255517 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255523 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255526 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255530 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255537 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255540 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255544 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255549 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255552 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255555 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 255558 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255563 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255568 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 255573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 255576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255584 */   GIR_RootConstrainSelectedInstOperands,
     /* 255585 */   // GIR_Coverage, 12848,
     /* 255585 */   GIR_EraseRootFromParent_Done,
     /* 255586 */ // Label 5127: @255586
     /* 255586 */ GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(255706), // Rule ID 12850 //
     /* 255591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 255594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255598 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255602 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255606 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255609 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 255614 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 255618 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255623 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255625 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 671:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255625 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 255628 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 255632 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255637 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255643 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255646 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255650 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255669 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255672 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255675 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 255678 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255683 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255688 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 255693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 255696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255704 */   GIR_RootConstrainSelectedInstOperands,
     /* 255705 */   // GIR_Coverage, 12850,
     /* 255705 */   GIR_EraseRootFromParent_Done,
     /* 255706 */ // Label 5128: @255706
     /* 255706 */ GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(255826), // Rule ID 12852 //
     /* 255711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 255714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255718 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255726 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255729 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 255734 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 255738 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255743 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255745 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 671:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255745 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 255748 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 255752 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255757 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255763 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255766 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255770 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255789 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255792 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255795 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 255798 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255803 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255808 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 255813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 255816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255824 */   GIR_RootConstrainSelectedInstOperands,
     /* 255825 */   // GIR_Coverage, 12852,
     /* 255825 */   GIR_EraseRootFromParent_Done,
     /* 255826 */ // Label 5129: @255826
     /* 255826 */ GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(255946), // Rule ID 12856 //
     /* 255831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 255834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255838 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255842 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255846 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255849 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 255854 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 255858 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255865 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 674:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255865 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 255868 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 255872 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255877 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 255881 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 255883 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 255886 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 255890 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 255897 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 255900 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 255904 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255909 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 255912 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 255915 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 255918 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255923 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255928 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 255933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 255936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255944 */   GIR_RootConstrainSelectedInstOperands,
     /* 255945 */   // GIR_Coverage, 12856,
     /* 255945 */   GIR_EraseRootFromParent_Done,
     /* 255946 */ // Label 5130: @255946
     /* 255946 */ GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(256066), // Rule ID 12858 //
     /* 255951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 255954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255958 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 255962 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 255966 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 255969 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 255974 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 255978 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255983 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255985 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 674:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 255985 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 255988 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 255992 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255997 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 256001 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 256003 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 256006 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 256010 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 256017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 256020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 256024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256029 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 256032 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 256035 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 256038 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256043 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256048 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 256053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 256056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 256061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256064 */   GIR_RootConstrainSelectedInstOperands,
     /* 256065 */   // GIR_Coverage, 12858,
     /* 256065 */   GIR_EraseRootFromParent_Done,
     /* 256066 */ // Label 5131: @256066
     /* 256066 */ GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(256186), // Rule ID 12860 //
     /* 256071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 256074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 256078 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256082 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 256086 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 256089 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 256094 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 256098 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 256105 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 674:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 256105 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 256108 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 256112 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256117 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 256121 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 256123 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 256126 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 256130 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 256137 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 256140 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 256144 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256149 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 256152 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 256155 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 256158 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256163 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256168 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 256173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 256176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 256181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256184 */   GIR_RootConstrainSelectedInstOperands,
     /* 256185 */   // GIR_Coverage, 12860,
     /* 256185 */   GIR_EraseRootFromParent_Done,
     /* 256186 */ // Label 5132: @256186
     /* 256186 */ GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(256306), // Rule ID 12862 //
     /* 256191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 256194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 256198 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256202 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 256206 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 256209 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 256214 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 256218 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256223 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 256225 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 674:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 256225 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 256228 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 256232 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256237 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 256241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 256243 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 256246 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 256250 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 256257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 256260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 256264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256269 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 256272 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 256275 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 256278 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256283 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256288 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 256293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 256296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 256301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256304 */   GIR_RootConstrainSelectedInstOperands,
     /* 256305 */   // GIR_Coverage, 12862,
     /* 256305 */   GIR_EraseRootFromParent_Done,
     /* 256306 */ // Label 5133: @256306
     /* 256306 */ GIM_Reject,
     /* 256307 */ // Label 5117: @256307
     /* 256307 */ GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(256529),
     /* 256312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 256315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 256319 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(256373), // Rule ID 5581 //
     /* 256324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 256332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 256336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 256340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 256349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256353 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 256357 */     // MIs[2] Operand 1
     /* 256357 */     // No operand predicates
     /* 256357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 256359 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMOVvi32to64:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 256359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 256362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 256368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 256371 */     GIR_RootConstrainSelectedInstOperands,
     /* 256372 */     // GIR_Coverage, 5581,
     /* 256372 */     GIR_EraseRootFromParent_Done,
     /* 256373 */   // Label 5135: @256373
     /* 256373 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(256452), // Rule ID 11022 //
     /* 256378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 256381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 256389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 256393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 256397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 256401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256405 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 256409 */     // MIs[2] Operand 1
     /* 256409 */     // No operand predicates
     /* 256409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 256411 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index))  =>  (SMOVvi32to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 256411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 256414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 256418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256423 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 256429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256434 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 256442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 256447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 256450 */     GIR_RootConstrainSelectedInstOperands,
     /* 256451 */     // GIR_Coverage, 11022,
     /* 256451 */     GIR_EraseRootFromParent_Done,
     /* 256452 */   // Label 5136: @256452
     /* 256452 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(256528), // Rule ID 6397 //
     /* 256457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 256461 */     // (sext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] }), 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 256461 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 256464 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 256468 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 256475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 256478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 256482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 256487 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 256490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 256494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 256497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 256502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 256507 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 256512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 256515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 256520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 256526 */     GIR_RootConstrainSelectedInstOperands,
     /* 256527 */     // GIR_Coverage, 6397,
     /* 256527 */     GIR_EraseRootFromParent_Done,
     /* 256528 */   // Label 5137: @256528
     /* 256528 */   GIM_Reject,
     /* 256529 */ // Label 5134: @256529
     /* 256529 */ GIM_Reject,
     /* 256530 */ // Label 5118: @256530
     /* 256530 */ GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(256591),
     /* 256535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 256538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256542 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(256569), // Rule ID 6269 //
     /* 256547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 256554 */     // (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SSHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 256554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i32_shift),
     /* 256557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 256564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256567 */     GIR_RootConstrainSelectedInstOperands,
     /* 256568 */     // GIR_Coverage, 6269,
     /* 256568 */     GIR_EraseRootFromParent_Done,
     /* 256569 */   // Label 5139: @256569
     /* 256569 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(256590), // Rule ID 6258 //
     /* 256574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256578 */     // (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 256578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 256581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256583 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 256585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256588 */     GIR_RootConstrainSelectedInstOperands,
     /* 256589 */     // GIR_Coverage, 6258,
     /* 256589 */     GIR_EraseRootFromParent_Done,
     /* 256590 */   // Label 5140: @256590
     /* 256590 */   GIM_Reject,
     /* 256591 */ // Label 5138: @256591
     /* 256591 */ GIM_Reject,
     /* 256592 */ // Label 5119: @256592
     /* 256592 */ GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(256653),
     /* 256597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 256600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256604 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(256631), // Rule ID 6266 //
     /* 256609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 256616 */     // (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SSHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 256616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i16_shift),
     /* 256619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 256626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256629 */     GIR_RootConstrainSelectedInstOperands,
     /* 256630 */     // GIR_Coverage, 6266,
     /* 256630 */     GIR_EraseRootFromParent_Done,
     /* 256631 */   // Label 5142: @256631
     /* 256631 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(256652), // Rule ID 6255 //
     /* 256636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256640 */     // (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 256640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 256643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256645 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 256647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256650 */     GIR_RootConstrainSelectedInstOperands,
     /* 256651 */     // GIR_Coverage, 6255,
     /* 256651 */     GIR_EraseRootFromParent_Done,
     /* 256652 */   // Label 5143: @256652
     /* 256652 */   GIM_Reject,
     /* 256653 */ // Label 5141: @256653
     /* 256653 */ GIM_Reject,
     /* 256654 */ // Label 5120: @256654
     /* 256654 */ GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(256715),
     /* 256659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 256662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256666 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(256693), // Rule ID 6263 //
     /* 256671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 256678 */     // (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (SSHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 256678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv16i8_shift),
     /* 256681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 256688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256691 */     GIR_RootConstrainSelectedInstOperands,
     /* 256692 */     // GIR_Coverage, 6263,
     /* 256692 */     GIR_EraseRootFromParent_Done,
     /* 256693 */   // Label 5145: @256693
     /* 256693 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(256714), // Rule ID 6252 //
     /* 256698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256702 */     // (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 256702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 256705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256707 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 256709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 256712 */     GIR_RootConstrainSelectedInstOperands,
     /* 256713 */     // GIR_Coverage, 6252,
     /* 256713 */     GIR_EraseRootFromParent_Done,
     /* 256714 */   // Label 5146: @256714
     /* 256714 */   GIM_Reject,
     /* 256715 */ // Label 5144: @256715
     /* 256715 */ GIM_Reject,
     /* 256716 */ // Label 5121: @256716
     /* 256716 */ GIM_Reject,
     /* 256717 */ // Label 39: @256717
     /* 256717 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(22), /*)*//*default:*//*Label 5152*/ GIMT_Encode4(258370),
     /* 256728 */ /*GILLT_s32*//*Label 5147*/ GIMT_Encode4(256808),
     /* 256732 */ /*GILLT_s64*//*Label 5148*/ GIMT_Encode4(257302), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 256784 */ /*GILLT_nxv2s64*//*Label 5149*/ GIMT_Encode4(257944), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 256796 */ /*GILLT_nxv4s32*//*Label 5150*/ GIMT_Encode4(258153), GIMT_Encode4(0),
     /* 256804 */ /*GILLT_nxv8s16*//*Label 5151*/ GIMT_Encode4(258297),
     /* 256808 */ // Label 5147: @256808
     /* 256808 */ GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(257301),
     /* 256813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 256816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 256820 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(256885), // Rule ID 5576 //
     /* 256825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 256833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 256837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 256841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 256850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256854 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 256858 */     // MIs[2] Operand 1
     /* 256858 */     // No operand predicates
     /* 256858 */     // MIs[0] Operand 2
     /* 256858 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 256869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 256871 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 256871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 256874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 256880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 256883 */     GIR_RootConstrainSelectedInstOperands,
     /* 256884 */     // GIR_Coverage, 5576,
     /* 256884 */     GIR_EraseRootFromParent_Done,
     /* 256885 */   // Label 5154: @256885
     /* 256885 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(256950), // Rule ID 5578 //
     /* 256890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 256898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 256902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 256906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 256915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256919 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 256923 */     // MIs[2] Operand 1
     /* 256923 */     // No operand predicates
     /* 256923 */     // MIs[0] Operand 2
     /* 256923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 256934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 256936 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 256936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 256939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 256941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 256945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 256948 */     GIR_RootConstrainSelectedInstOperands,
     /* 256949 */     // GIR_Coverage, 5578,
     /* 256949 */     GIR_EraseRootFromParent_Done,
     /* 256950 */   // Label 5155: @256950
     /* 256950 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(257015), // Rule ID 5580 //
     /* 256955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 256959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 256963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 256967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 256971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 256980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 256984 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 256988 */     // MIs[2] Operand 1
     /* 256988 */     // No operand predicates
     /* 256988 */     // MIs[0] Operand 2
     /* 256988 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 256999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 257001 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 257001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 257004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 257010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 257013 */     GIR_RootConstrainSelectedInstOperands,
     /* 257014 */     // GIR_Coverage, 5580,
     /* 257014 */     GIR_EraseRootFromParent_Done,
     /* 257015 */   // Label 5156: @257015
     /* 257015 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(257105), // Rule ID 11018 //
     /* 257020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 257023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 257035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 257039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 257043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257047 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 257051 */     // MIs[2] Operand 1
     /* 257051 */     // No operand predicates
     /* 257051 */     // MIs[0] Operand 2
     /* 257051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 257064 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 257064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 257067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 257071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 257076 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 257082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 257095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 257100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 257103 */     GIR_RootConstrainSelectedInstOperands,
     /* 257104 */     // GIR_Coverage, 11018,
     /* 257104 */     GIR_EraseRootFromParent_Done,
     /* 257105 */   // Label 5157: @257105
     /* 257105 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(257195), // Rule ID 11020 //
     /* 257110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 257113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 257125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 257129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 257133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257137 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 257141 */     // MIs[2] Operand 1
     /* 257141 */     // No operand predicates
     /* 257141 */     // MIs[0] Operand 2
     /* 257141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 257154 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 257154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 257157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 257161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 257166 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 257172 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257177 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 257185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 257190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 257193 */     GIR_RootConstrainSelectedInstOperands,
     /* 257194 */     // GIR_Coverage, 11020,
     /* 257194 */     GIR_EraseRootFromParent_Done,
     /* 257195 */   // Label 5158: @257195
     /* 257195 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(257230), // Rule ID 6402 //
     /* 257200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 257204 */     // MIs[0] Operand 2
     /* 257204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257215 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 257215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 257218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257220 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 257228 */     GIR_RootConstrainSelectedInstOperands,
     /* 257229 */     // GIR_Coverage, 6402,
     /* 257229 */     GIR_EraseRootFromParent_Done,
     /* 257230 */   // Label 5159: @257230
     /* 257230 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(257265), // Rule ID 6403 //
     /* 257235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 257239 */     // MIs[0] Operand 2
     /* 257239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257250 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 257250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 257253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 257263 */     GIR_RootConstrainSelectedInstOperands,
     /* 257264 */     // GIR_Coverage, 6403,
     /* 257264 */     GIR_EraseRootFromParent_Done,
     /* 257265 */   // Label 5160: @257265
     /* 257265 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(257300), // Rule ID 6404 //
     /* 257270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 257274 */     // MIs[0] Operand 2
     /* 257274 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 257285 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i1:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 257285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 257288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257290 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257298 */     GIR_RootConstrainSelectedInstOperands,
     /* 257299 */     // GIR_Coverage, 6404,
     /* 257299 */     GIR_EraseRootFromParent_Done,
     /* 257300 */   // Label 5161: @257300
     /* 257300 */   GIM_Reject,
     /* 257301 */ // Label 5153: @257301
     /* 257301 */ GIM_Reject,
     /* 257302 */ // Label 5148: @257302
     /* 257302 */ GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(257943),
     /* 257307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 257310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257314 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(257391), // Rule ID 5582 //
     /* 257319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 257327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 257331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 257335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 257343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 257347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 257356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257360 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 257364 */     // MIs[3] Operand 1
     /* 257364 */     // No operand predicates
     /* 257364 */     // MIs[0] Operand 2
     /* 257364 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 257377 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 257377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 257380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 257386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 257389 */     GIR_RootConstrainSelectedInstOperands,
     /* 257390 */     // GIR_Coverage, 5582,
     /* 257390 */     GIR_EraseRootFromParent_Done,
     /* 257391 */   // Label 5163: @257391
     /* 257391 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(257468), // Rule ID 5583 //
     /* 257396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 257404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 257408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 257412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 257420 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 257424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 257433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257437 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 257441 */     // MIs[3] Operand 1
     /* 257441 */     // No operand predicates
     /* 257441 */     // MIs[0] Operand 2
     /* 257441 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257452 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 257454 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 257454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 257457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 257463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 257466 */     GIR_RootConstrainSelectedInstOperands,
     /* 257467 */     // GIR_Coverage, 5583,
     /* 257467 */     GIR_EraseRootFromParent_Done,
     /* 257468 */   // Label 5164: @257468
     /* 257468 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(257570), // Rule ID 11019 //
     /* 257473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 257476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 257484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 257488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 257492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 257500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 257504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 257508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257512 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 257516 */     // MIs[3] Operand 1
     /* 257516 */     // No operand predicates
     /* 257516 */     // MIs[0] Operand 2
     /* 257516 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 257529 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 257529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 257532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 257536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 257541 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 257547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257552 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 257560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 257565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 257568 */     GIR_RootConstrainSelectedInstOperands,
     /* 257569 */     // GIR_Coverage, 11019,
     /* 257569 */     GIR_EraseRootFromParent_Done,
     /* 257570 */   // Label 5165: @257570
     /* 257570 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(257672), // Rule ID 11021 //
     /* 257575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 257578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 257586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 257590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 257594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 257602 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 257606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 257610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257614 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 257618 */     // MIs[3] Operand 1
     /* 257618 */     // No operand predicates
     /* 257618 */     // MIs[0] Operand 2
     /* 257618 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 257631 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 257631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 257634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 257638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 257643 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 257649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257654 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 257662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 257667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 257670 */     GIR_RootConstrainSelectedInstOperands,
     /* 257671 */     // GIR_Coverage, 11021,
     /* 257671 */     GIR_EraseRootFromParent_Done,
     /* 257672 */   // Label 5166: @257672
     /* 257672 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(257737), // Rule ID 5577 //
     /* 257677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 257689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 257693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 257702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257706 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 257710 */     // MIs[2] Operand 1
     /* 257710 */     // No operand predicates
     /* 257710 */     // MIs[0] Operand 2
     /* 257710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 257723 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 257723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 257726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 257732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 257735 */     GIR_RootConstrainSelectedInstOperands,
     /* 257736 */     // GIR_Coverage, 5577,
     /* 257736 */     GIR_EraseRootFromParent_Done,
     /* 257737 */   // Label 5167: @257737
     /* 257737 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(257802), // Rule ID 5579 //
     /* 257742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 257746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 257750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 257754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 257758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 257767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 257771 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 257775 */     // MIs[2] Operand 1
     /* 257775 */     // No operand predicates
     /* 257775 */     // MIs[0] Operand 2
     /* 257775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 257788 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 257788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 257791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 257797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 257800 */     GIR_RootConstrainSelectedInstOperands,
     /* 257801 */     // GIR_Coverage, 5579,
     /* 257801 */     GIR_EraseRootFromParent_Done,
     /* 257802 */   // Label 5168: @257802
     /* 257802 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(257837), // Rule ID 6398 //
     /* 257807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257811 */     // MIs[0] Operand 2
     /* 257811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 257822 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i32:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 257822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 257825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257827 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 257835 */     GIR_RootConstrainSelectedInstOperands,
     /* 257836 */     // GIR_Coverage, 6398,
     /* 257836 */     GIR_EraseRootFromParent_Done,
     /* 257837 */   // Label 5169: @257837
     /* 257837 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(257872), // Rule ID 6399 //
     /* 257842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257846 */     // MIs[0] Operand 2
     /* 257846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 257857 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i16:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 257857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 257860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257862 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 257870 */     GIR_RootConstrainSelectedInstOperands,
     /* 257871 */     // GIR_Coverage, 6399,
     /* 257871 */     GIR_EraseRootFromParent_Done,
     /* 257872 */   // Label 5170: @257872
     /* 257872 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(257907), // Rule ID 6400 //
     /* 257877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257881 */     // MIs[0] Operand 2
     /* 257881 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 257892 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i8:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 257892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 257895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257897 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 257905 */     GIR_RootConstrainSelectedInstOperands,
     /* 257906 */     // GIR_Coverage, 6400,
     /* 257906 */     GIR_EraseRootFromParent_Done,
     /* 257907 */   // Label 5171: @257907
     /* 257907 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(257942), // Rule ID 6401 //
     /* 257912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257916 */     // MIs[0] Operand 2
     /* 257916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 257927 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i1:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 257927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 257930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 257932 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 257934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 257940 */     GIR_RootConstrainSelectedInstOperands,
     /* 257941 */     // GIR_Coverage, 6401,
     /* 257941 */     GIR_EraseRootFromParent_Done,
     /* 257942 */   // Label 5172: @257942
     /* 257942 */   GIM_Reject,
     /* 257943 */ // Label 5162: @257943
     /* 257943 */ GIM_Reject,
     /* 257944 */ // Label 5149: @257944
     /* 257944 */ GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(258152),
     /* 257949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 257952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257956 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(258021), // Rule ID 10330 //
     /* 257961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 257964 */     // MIs[0] Operand 2
     /* 257964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 257975 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i32:{ *:[Other] })  =>  (SXTW_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 257975 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 257978 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 257982 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 257987 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 257990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 257992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 257995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 257999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTW_ZPmZ_D_UNDEF),
     /* 258009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258017 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258019 */     GIR_RootConstrainSelectedInstOperands,
     /* 258020 */     // GIR_Coverage, 10330,
     /* 258020 */     GIR_EraseRootFromParent_Done,
     /* 258021 */   // Label 5174: @258021
     /* 258021 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(258086), // Rule ID 10331 //
     /* 258026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 258029 */     // MIs[0] Operand 2
     /* 258029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 258040 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i16:{ *:[Other] })  =>  (SXTH_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 258040 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 258043 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 258047 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258052 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 258055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 258057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 258060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_D_UNDEF),
     /* 258074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258084 */     GIR_RootConstrainSelectedInstOperands,
     /* 258085 */     // GIR_Coverage, 10331,
     /* 258085 */     GIR_EraseRootFromParent_Done,
     /* 258086 */   // Label 5175: @258086
     /* 258086 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(258151), // Rule ID 10332 //
     /* 258091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 258094 */     // MIs[0] Operand 2
     /* 258094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 258105 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i8:{ *:[Other] })  =>  (SXTB_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 258105 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 258108 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 258112 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258117 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 258120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 258122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 258125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_D_UNDEF),
     /* 258139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258149 */     GIR_RootConstrainSelectedInstOperands,
     /* 258150 */     // GIR_Coverage, 10332,
     /* 258150 */     GIR_EraseRootFromParent_Done,
     /* 258151 */   // Label 5176: @258151
     /* 258151 */   GIM_Reject,
     /* 258152 */ // Label 5173: @258152
     /* 258152 */ GIM_Reject,
     /* 258153 */ // Label 5150: @258153
     /* 258153 */ GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(258296),
     /* 258158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 258161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258165 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(258230), // Rule ID 10333 //
     /* 258170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 258173 */     // MIs[0] Operand 2
     /* 258173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 258184 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i16:{ *:[Other] })  =>  (SXTH_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 258184 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 258187 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 258191 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258196 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 258199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 258201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 258204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_S_UNDEF),
     /* 258218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258226 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258228 */     GIR_RootConstrainSelectedInstOperands,
     /* 258229 */     // GIR_Coverage, 10333,
     /* 258229 */     GIR_EraseRootFromParent_Done,
     /* 258230 */   // Label 5178: @258230
     /* 258230 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(258295), // Rule ID 10334 //
     /* 258235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 258238 */     // MIs[0] Operand 2
     /* 258238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 258249 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i8:{ *:[Other] })  =>  (SXTB_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 258249 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 258252 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 258256 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258261 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 258264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 258266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 258269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_S_UNDEF),
     /* 258283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258293 */     GIR_RootConstrainSelectedInstOperands,
     /* 258294 */     // GIR_Coverage, 10334,
     /* 258294 */     GIR_EraseRootFromParent_Done,
     /* 258295 */   // Label 5179: @258295
     /* 258295 */   GIM_Reject,
     /* 258296 */ // Label 5177: @258296
     /* 258296 */ GIM_Reject,
     /* 258297 */ // Label 5151: @258297
     /* 258297 */ GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(258369), // Rule ID 10335 //
     /* 258302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 258305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 258308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258312 */   // MIs[0] Operand 2
     /* 258312 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 258323 */   // (sext_inreg:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Zs, nxv8i8:{ *:[Other] })  =>  (SXTB_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv8i16] }:$Zs)
     /* 258323 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 258326 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 258330 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258335 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 258338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 258340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 258343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 258354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_H_UNDEF),
     /* 258357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 258359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 258365 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 258367 */   GIR_RootConstrainSelectedInstOperands,
     /* 258368 */   // GIR_Coverage, 10335,
     /* 258368 */   GIR_EraseRootFromParent_Done,
     /* 258369 */ // Label 5180: @258369
     /* 258369 */ GIM_Reject,
     /* 258370 */ // Label 5152: @258370
     /* 258370 */ GIM_Reject,
     /* 258371 */ // Label 40: @258371
     /* 258371 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5185*/ GIMT_Encode4(261149),
     /* 258382 */ /*GILLT_s32*//*Label 5181*/ GIMT_Encode4(258418), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 258398 */ /*GILLT_v2s64*//*Label 5182*/ GIMT_Encode4(260219), GIMT_Encode4(0),
     /* 258406 */ /*GILLT_v4s32*//*Label 5183*/ GIMT_Encode4(260529), GIMT_Encode4(0),
     /* 258414 */ /*GILLT_v8s16*//*Label 5184*/ GIMT_Encode4(260839),
     /* 258418 */ // Label 5181: @258418
     /* 258418 */ GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(258568), // Rule ID 12833 //
     /* 258423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 258426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258430 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 258434 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 258438 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 258441 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 258446 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 258450 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258455 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 258457 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 726:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 258457 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 258460 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 258464 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258469 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 258473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 258475 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 258478 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258482 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 258489 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 258492 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 258496 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258501 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 258504 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 258507 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 258510 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258515 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258520 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 258525 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 258528 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258532 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258537 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 258544 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 258549 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258562 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258567 */   // GIR_Coverage, 12833,
     /* 258567 */   GIR_EraseRootFromParent_Done,
     /* 258568 */ // Label 5186: @258568
     /* 258568 */ GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(258718), // Rule ID 12835 //
     /* 258573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 258576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258580 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 258584 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 258588 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 258591 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 258596 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 258600 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258605 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 258607 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 726:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 258607 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 258610 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 258614 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258619 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 258623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 258625 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 258628 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258632 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 258639 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 258642 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 258646 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258651 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 258654 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 258657 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 258660 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258665 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258670 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 258675 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 258678 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258682 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258687 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 258694 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 258699 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258712 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258717 */   // GIR_Coverage, 12835,
     /* 258717 */   GIR_EraseRootFromParent_Done,
     /* 258718 */ // Label 5187: @258718
     /* 258718 */ GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(258868), // Rule ID 12837 //
     /* 258723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 258726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258730 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 258734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 258738 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 258741 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 258746 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 258750 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258755 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 258757 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 726:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 258757 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 258760 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 258764 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258769 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 258773 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 258775 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 258778 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258782 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 258789 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 258792 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 258796 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258801 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 258804 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 258807 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 258810 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258815 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258820 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 258825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 258828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258837 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 258844 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 258849 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 258862 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258867 */   // GIR_Coverage, 12837,
     /* 258867 */   GIR_EraseRootFromParent_Done,
     /* 258868 */ // Label 5188: @258868
     /* 258868 */ GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(259018), // Rule ID 12839 //
     /* 258873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 258876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258880 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 258884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 258888 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 258891 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 258896 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258900 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258905 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 258907 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 726:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 258907 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 258910 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 258914 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258919 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 258923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 258925 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 258928 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 258932 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 258939 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 258942 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 258946 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258951 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 258954 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 258957 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 258960 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258965 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258970 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 258975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 258978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 258982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 258987 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 258994 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 258999 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259012 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259017 */   // GIR_Coverage, 12839,
     /* 259017 */   GIR_EraseRootFromParent_Done,
     /* 259018 */ // Label 5189: @259018
     /* 259018 */ GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(259168), // Rule ID 12866 //
     /* 259023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 259026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259030 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259034 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259038 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259041 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 259046 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 259050 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259055 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259057 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 732:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259057 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 259060 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 259064 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259069 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259075 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259078 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259082 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259089 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259092 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259096 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259101 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259104 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259107 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 259110 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259115 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259120 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 259125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259137 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259144 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259149 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259162 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259167 */   // GIR_Coverage, 12866,
     /* 259167 */   GIR_EraseRootFromParent_Done,
     /* 259168 */ // Label 5190: @259168
     /* 259168 */ GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(259318), // Rule ID 12868 //
     /* 259173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 259176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259180 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259184 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259188 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259191 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 259196 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 259200 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259205 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259207 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 732:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259207 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 259210 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 259214 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259219 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259223 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259225 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259228 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259232 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259239 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259242 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259246 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259251 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259254 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259257 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 259260 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259265 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259270 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 259275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259287 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259294 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259299 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259312 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259317 */   // GIR_Coverage, 12868,
     /* 259317 */   GIR_EraseRootFromParent_Done,
     /* 259318 */ // Label 5191: @259318
     /* 259318 */ GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(259468), // Rule ID 12870 //
     /* 259323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 259326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259330 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259334 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259338 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259341 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 259346 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 259350 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259355 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259357 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 732:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259357 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 259360 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 259364 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259369 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259375 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259378 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259382 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259387 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259389 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259392 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259396 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259401 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259404 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259407 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 259410 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259415 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259420 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 259425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259437 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259444 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259449 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259462 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259467 */   // GIR_Coverage, 12870,
     /* 259467 */   GIR_EraseRootFromParent_Done,
     /* 259468 */ // Label 5192: @259468
     /* 259468 */ GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(259618), // Rule ID 12872 //
     /* 259473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 259476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259480 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259488 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259491 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 259496 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 259500 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259505 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259507 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 732:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259507 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 259510 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 259514 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259519 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259525 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259528 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259532 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259537 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259539 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259542 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259546 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259551 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259554 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259557 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 259560 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259565 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259570 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 259575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259587 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259594 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259599 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259612 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259617 */   // GIR_Coverage, 12872,
     /* 259617 */   GIR_EraseRootFromParent_Done,
     /* 259618 */ // Label 5193: @259618
     /* 259618 */ GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(259768), // Rule ID 12876 //
     /* 259623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 259626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259630 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259634 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259638 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259641 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 259646 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 259650 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259655 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259657 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 735:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259657 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 259660 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 259664 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259669 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259675 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259678 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259682 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259689 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259692 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259696 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259701 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259704 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259707 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 259710 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259715 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259720 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 259725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259737 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259744 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259749 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259759 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259762 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259767 */   // GIR_Coverage, 12876,
     /* 259767 */   GIR_EraseRootFromParent_Done,
     /* 259768 */ // Label 5194: @259768
     /* 259768 */ GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(259918), // Rule ID 12878 //
     /* 259773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 259776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259780 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259784 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259788 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259791 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 259796 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 259800 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259805 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259807 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 735:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259807 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 259810 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 259814 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259819 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259825 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259828 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259832 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259839 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259842 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259846 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259851 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 259854 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 259857 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 259860 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259865 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259870 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 259875 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 259878 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259882 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259887 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 259894 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 259899 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 259907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 259912 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259917 */   // GIR_Coverage, 12878,
     /* 259917 */   GIR_EraseRootFromParent_Done,
     /* 259918 */ // Label 5195: @259918
     /* 259918 */ GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(260068), // Rule ID 12880 //
     /* 259923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 259926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 259930 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 259934 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 259938 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 259941 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 259946 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 259950 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 259955 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 259957 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 735:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 259957 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 259960 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 259964 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259969 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 259973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 259975 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 259978 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 259982 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 259987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 259989 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 259992 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 259996 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260001 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 260004 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 260007 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 260010 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260015 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260020 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 260025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 260028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 260032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260037 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 260044 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 260049 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 260057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 260059 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 260062 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 260067 */   // GIR_Coverage, 12880,
     /* 260067 */   GIR_EraseRootFromParent_Done,
     /* 260068 */ // Label 5196: @260068
     /* 260068 */ GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(260218), // Rule ID 12882 //
     /* 260073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 260076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 260080 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260084 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260088 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 260091 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 260096 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 260100 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260105 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260107 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 735:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 260107 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 260110 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 260114 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260119 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 260123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 260125 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 260128 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 260132 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 260139 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 260142 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 260146 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260151 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 260154 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 260157 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 260160 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260165 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260170 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 260175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 260178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 260182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260187 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 260194 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 260199 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 260207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 260209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 260212 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 260217 */   // GIR_Coverage, 12882,
     /* 260217 */   GIR_EraseRootFromParent_Done,
     /* 260218 */ // Label 5197: @260218
     /* 260218 */ GIM_Reject,
     /* 260219 */ // Label 5182: @260219
     /* 260219 */ GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(260528),
     /* 260224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 260227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260231 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(260296), // Rule ID 702 //
     /* 260236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260247 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260250 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 260255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260259 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260272 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260279 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 260279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 260282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260294 */     GIR_RootConstrainSelectedInstOperands,
     /* 260295 */     // GIR_Coverage, 702,
     /* 260295 */     GIR_EraseRootFromParent_Done,
     /* 260296 */   // Label 5199: @260296
     /* 260296 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(260361), // Rule ID 1704 //
     /* 260301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260312 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260315 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 260320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260324 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260330 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260344 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 260344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i32_v2i64),
     /* 260347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260359 */     GIR_RootConstrainSelectedInstOperands,
     /* 260360 */     // GIR_Coverage, 1704,
     /* 260360 */     GIR_EraseRootFromParent_Done,
     /* 260361 */   // Label 5200: @260361
     /* 260361 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(260420), // Rule ID 700 //
     /* 260366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260377 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260380 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 260385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260389 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260405 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 723:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 260405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 260408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 260414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 260418 */     GIR_RootConstrainSelectedInstOperands,
     /* 260419 */     // GIR_Coverage, 700,
     /* 260419 */     GIR_EraseRootFromParent_Done,
     /* 260420 */   // Label 5201: @260420
     /* 260420 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(260479), // Rule ID 1702 //
     /* 260425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260436 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260439 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 260444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 260448 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 260452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260464 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 260464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv2i32_v2i64),
     /* 260467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 260473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 260477 */     GIR_RootConstrainSelectedInstOperands,
     /* 260478 */     // GIR_Coverage, 1702,
     /* 260478 */     GIR_EraseRootFromParent_Done,
     /* 260479 */   // Label 5202: @260479
     /* 260479 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(260506), // Rule ID 6268 //
     /* 260484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260491 */     // (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 260491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 260494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260504 */     GIR_RootConstrainSelectedInstOperands,
     /* 260505 */     // GIR_Coverage, 6268,
     /* 260505 */     GIR_EraseRootFromParent_Done,
     /* 260506 */   // Label 5203: @260506
     /* 260506 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(260527), // Rule ID 6259 //
     /* 260511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260515 */     // (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 260515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 260518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 260522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260525 */     GIR_RootConstrainSelectedInstOperands,
     /* 260526 */     // GIR_Coverage, 6259,
     /* 260526 */     GIR_EraseRootFromParent_Done,
     /* 260527 */   // Label 5204: @260527
     /* 260527 */   GIM_Reject,
     /* 260528 */ // Label 5198: @260528
     /* 260528 */ GIM_Reject,
     /* 260529 */ // Label 5183: @260529
     /* 260529 */ GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(260838),
     /* 260534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 260537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260541 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(260606), // Rule ID 698 //
     /* 260546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260557 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260560 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 260565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260569 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260589 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 260589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 260592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260604 */     GIR_RootConstrainSelectedInstOperands,
     /* 260605 */     // GIR_Coverage, 698,
     /* 260605 */     GIR_EraseRootFromParent_Done,
     /* 260606 */   // Label 5206: @260606
     /* 260606 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(260671), // Rule ID 1700 //
     /* 260611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260622 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260625 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 260630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260634 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260654 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 260654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i16_v4i32),
     /* 260657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260669 */     GIR_RootConstrainSelectedInstOperands,
     /* 260670 */     // GIR_Coverage, 1700,
     /* 260670 */     GIR_EraseRootFromParent_Done,
     /* 260671 */   // Label 5207: @260671
     /* 260671 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(260730), // Rule ID 696 //
     /* 260676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260687 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260690 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 260695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260699 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260715 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 723:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 260715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 260718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 260724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 260728 */     GIR_RootConstrainSelectedInstOperands,
     /* 260729 */     // GIR_Coverage, 696,
     /* 260729 */     GIR_EraseRootFromParent_Done,
     /* 260730 */   // Label 5208: @260730
     /* 260730 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(260789), // Rule ID 1698 //
     /* 260735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260746 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260749 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 260754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 260758 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 260762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260774 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 260774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i16_v4i32),
     /* 260777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 260783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 260787 */     GIR_RootConstrainSelectedInstOperands,
     /* 260788 */     // GIR_Coverage, 1698,
     /* 260788 */     GIR_EraseRootFromParent_Done,
     /* 260789 */   // Label 5209: @260789
     /* 260789 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(260816), // Rule ID 6265 //
     /* 260794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260801 */     // (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 260801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 260804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260814 */     GIR_RootConstrainSelectedInstOperands,
     /* 260815 */     // GIR_Coverage, 6265,
     /* 260815 */     GIR_EraseRootFromParent_Done,
     /* 260816 */   // Label 5210: @260816
     /* 260816 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(260837), // Rule ID 6256 //
     /* 260821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260825 */     // (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 260825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 260828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 260832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260835 */     GIR_RootConstrainSelectedInstOperands,
     /* 260836 */     // GIR_Coverage, 6256,
     /* 260836 */     GIR_EraseRootFromParent_Done,
     /* 260837 */   // Label 5211: @260837
     /* 260837 */   GIM_Reject,
     /* 260838 */ // Label 5205: @260838
     /* 260838 */ GIM_Reject,
     /* 260839 */ // Label 5184: @260839
     /* 260839 */ GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(261148),
     /* 260844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 260847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260851 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(260916), // Rule ID 694 //
     /* 260856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260867 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260870 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 260875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 260879 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 260883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 260892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 260899 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 260899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 260902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260914 */     GIR_RootConstrainSelectedInstOperands,
     /* 260915 */     // GIR_Coverage, 694,
     /* 260915 */     GIR_EraseRootFromParent_Done,
     /* 260916 */   // Label 5213: @260916
     /* 260916 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(260981), // Rule ID 1696 //
     /* 260921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260932 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 260935 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 260940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 260944 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 260948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 260950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 260957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 260964 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 260964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv16i8_v8i16),
     /* 260967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 260979 */     GIR_RootConstrainSelectedInstOperands,
     /* 260980 */     // GIR_Coverage, 1696,
     /* 260980 */     GIR_EraseRootFromParent_Done,
     /* 260981 */   // Label 5214: @260981
     /* 260981 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(261040), // Rule ID 692 //
     /* 260986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 260989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 260997 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 261000 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 261005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 261009 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 261013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261025 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 723:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 261025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 261028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 261034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 261038 */     GIR_RootConstrainSelectedInstOperands,
     /* 261039 */     // GIR_Coverage, 692,
     /* 261039 */     GIR_EraseRootFromParent_Done,
     /* 261040 */   // Label 5215: @261040
     /* 261040 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(261099), // Rule ID 1694 //
     /* 261045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 261048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 261056 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 261059 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 261064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 261068 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 261072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261084 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 261084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i8_v8i16),
     /* 261087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 261093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 261097 */     GIR_RootConstrainSelectedInstOperands,
     /* 261098 */     // GIR_Coverage, 1694,
     /* 261098 */     GIR_EraseRootFromParent_Done,
     /* 261099 */   // Label 5216: @261099
     /* 261099 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(261126), // Rule ID 6262 //
     /* 261104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 261111 */     // (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 261111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 261114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261124 */     GIR_RootConstrainSelectedInstOperands,
     /* 261125 */     // GIR_Coverage, 6262,
     /* 261125 */     GIR_EraseRootFromParent_Done,
     /* 261126 */   // Label 5217: @261126
     /* 261126 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(261147), // Rule ID 6253 //
     /* 261131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261135 */     // (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 261135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 261138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261145 */     GIR_RootConstrainSelectedInstOperands,
     /* 261146 */     // GIR_Coverage, 6253,
     /* 261146 */     GIR_EraseRootFromParent_Done,
     /* 261147 */   // Label 5218: @261147
     /* 261147 */   GIM_Reject,
     /* 261148 */ // Label 5212: @261148
     /* 261148 */ GIM_Reject,
     /* 261149 */ // Label 5185: @261149
     /* 261149 */ GIM_Reject,
     /* 261150 */ // Label 41: @261150
     /* 261150 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5224*/ GIMT_Encode4(261929),
     /* 261161 */ /*GILLT_s32*//*Label 5219*/ GIMT_Encode4(261197),
     /* 261165 */ /*GILLT_s64*//*Label 5220*/ GIMT_Encode4(261329), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 261177 */ /*GILLT_v2s64*//*Label 5221*/ GIMT_Encode4(261502), GIMT_Encode4(0),
     /* 261185 */ /*GILLT_v4s32*//*Label 5222*/ GIMT_Encode4(261647), GIMT_Encode4(0),
     /* 261193 */ /*GILLT_v8s16*//*Label 5223*/ GIMT_Encode4(261788),
     /* 261197 */ // Label 5219: @261197
     /* 261197 */ GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(261328),
     /* 261202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 261205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 261208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261216 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(261253), // Rule ID 3877 //
     /* 261221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 261229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 261233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261240 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 261240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 261243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261251 */     GIR_RootConstrainSelectedInstOperands,
     /* 261252 */     // GIR_Coverage, 3877,
     /* 261252 */     GIR_EraseRootFromParent_Done,
     /* 261253 */   // Label 5226: @261253
     /* 261253 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(261290), // Rule ID 3878 //
     /* 261258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 261266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 261270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261277 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 261277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 261280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261288 */     GIR_RootConstrainSelectedInstOperands,
     /* 261289 */     // GIR_Coverage, 3878,
     /* 261289 */     GIR_EraseRootFromParent_Done,
     /* 261290 */   // Label 5227: @261290
     /* 261290 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(261327), // Rule ID 3876 //
     /* 261295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 261303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 261307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261314 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 261314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 261317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261319 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261325 */     GIR_RootConstrainSelectedInstOperands,
     /* 261326 */     // GIR_Coverage, 3876,
     /* 261326 */     GIR_EraseRootFromParent_Done,
     /* 261327 */   // Label 5228: @261327
     /* 261327 */   GIM_Reject,
     /* 261328 */ // Label 5225: @261328
     /* 261328 */ GIM_Reject,
     /* 261329 */ // Label 5220: @261329
     /* 261329 */ GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(261501),
     /* 261334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 261337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 261340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 261344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 261348 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(261416), // Rule ID 3879 //
     /* 261353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 261361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 261365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261372 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 261372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 261375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 261379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 261384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 261387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261391 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 261394 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261399 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 261407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261409 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 261414 */     GIR_RootConstrainSelectedInstOperands,
     /* 261415 */     // GIR_Coverage, 3879,
     /* 261415 */     GIR_EraseRootFromParent_Done,
     /* 261416 */   // Label 5230: @261416
     /* 261416 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(261484), // Rule ID 3880 //
     /* 261421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 261429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 261433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261440 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 261440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 261443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 261447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 261452 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 261455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261459 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 261462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261467 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 261475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261477 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 261482 */     GIR_RootConstrainSelectedInstOperands,
     /* 261483 */     // GIR_Coverage, 3880,
     /* 261483 */     GIR_EraseRootFromParent_Done,
     /* 261484 */   // Label 5231: @261484
     /* 261484 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(261500), // Rule ID 120 //
     /* 261489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 261493 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 261493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 261498 */     GIR_RootConstrainSelectedInstOperands,
     /* 261499 */     // GIR_Coverage, 120,
     /* 261499 */     GIR_Done,
     /* 261500 */   // Label 5232: @261500
     /* 261500 */   GIM_Reject,
     /* 261501 */ // Label 5229: @261501
     /* 261501 */ GIM_Reject,
     /* 261502 */ // Label 5221: @261502
     /* 261502 */ GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(261646),
     /* 261507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 261513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261517 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(261581), // Rule ID 6251 //
     /* 261522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 261530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 261551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261559 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 261563 */     // MIs[3] Operand 1
     /* 261563 */     // No operand predicates
     /* 261563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261565 */     // (shl:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 261565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 261568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261574 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 261579 */     GIR_RootConstrainSelectedInstOperands,
     /* 261580 */     // GIR_Coverage, 6251,
     /* 261580 */     GIR_EraseRootFromParent_Done,
     /* 261581 */   // Label 5234: @261581
     /* 261581 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(261645), // Rule ID 6248 //
     /* 261586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 261594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 261615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261623 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 261627 */     // MIs[3] Operand 1
     /* 261627 */     // No operand predicates
     /* 261627 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261629 */     // (shl:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 261629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 261632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261638 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 261643 */     GIR_RootConstrainSelectedInstOperands,
     /* 261644 */     // GIR_Coverage, 6248,
     /* 261644 */     GIR_EraseRootFromParent_Done,
     /* 261645 */   // Label 5235: @261645
     /* 261645 */   GIM_Reject,
     /* 261646 */ // Label 5233: @261646
     /* 261646 */ GIM_Reject,
     /* 261647 */ // Label 5222: @261647
     /* 261647 */ GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(261787),
     /* 261652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 261658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261662 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(261724), // Rule ID 6250 //
     /* 261667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 261675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 261679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 261696 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261700 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261704 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 261708 */     // MIs[3] Operand 1
     /* 261708 */     // No operand predicates
     /* 261708 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261710 */     // (shl:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 261710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 261713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 261722 */     GIR_RootConstrainSelectedInstOperands,
     /* 261723 */     // GIR_Coverage, 6250,
     /* 261723 */     GIR_EraseRootFromParent_Done,
     /* 261724 */   // Label 5237: @261724
     /* 261724 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(261786), // Rule ID 6247 //
     /* 261729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 261737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 261741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 261758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261766 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 261770 */     // MIs[3] Operand 1
     /* 261770 */     // No operand predicates
     /* 261770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261772 */     // (shl:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 261772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 261775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 261784 */     GIR_RootConstrainSelectedInstOperands,
     /* 261785 */     // GIR_Coverage, 6247,
     /* 261785 */     GIR_EraseRootFromParent_Done,
     /* 261786 */   // Label 5238: @261786
     /* 261786 */   GIM_Reject,
     /* 261787 */ // Label 5236: @261787
     /* 261787 */ GIM_Reject,
     /* 261788 */ // Label 5223: @261788
     /* 261788 */ GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(261928),
     /* 261793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261803 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(261865), // Rule ID 6249 //
     /* 261808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 261816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 261820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 261837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261845 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 261849 */     // MIs[3] Operand 1
     /* 261849 */     // No operand predicates
     /* 261849 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261851 */     // (shl:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 261851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 261854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 261863 */     GIR_RootConstrainSelectedInstOperands,
     /* 261864 */     // GIR_Coverage, 6249,
     /* 261864 */     GIR_EraseRootFromParent_Done,
     /* 261865 */   // Label 5240: @261865
     /* 261865 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(261927), // Rule ID 6246 //
     /* 261870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 261878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 261882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 261891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 261895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 261899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 261903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261907 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 261911 */     // MIs[3] Operand 1
     /* 261911 */     // No operand predicates
     /* 261911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261913 */     // (shl:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 261913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 261916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 261922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 261925 */     GIR_RootConstrainSelectedInstOperands,
     /* 261926 */     // GIR_Coverage, 6246,
     /* 261926 */     GIR_EraseRootFromParent_Done,
     /* 261927 */   // Label 5241: @261927
     /* 261927 */   GIM_Reject,
     /* 261928 */ // Label 5239: @261928
     /* 261928 */ GIM_Reject,
     /* 261929 */ // Label 5224: @261929
     /* 261929 */ GIM_Reject,
     /* 261930 */ // Label 42: @261930
     /* 261930 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5244*/ GIMT_Encode4(262322),
     /* 261941 */ /*GILLT_s32*//*Label 5242*/ GIMT_Encode4(261949),
     /* 261945 */ /*GILLT_s64*//*Label 5243*/ GIMT_Encode4(262115),
     /* 261949 */ // Label 5242: @261949
     /* 261949 */ GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(262114),
     /* 261954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 261957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 261960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261968 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(262002), // Rule ID 3966 //
     /* 261973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 261977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 261985 */     // MIs[1] Operand 1
     /* 261985 */     // No operand predicates
     /* 261985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261987 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (UBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 261987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMWri),
     /* 261990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261992 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 261997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 262000 */     GIR_RootConstrainSelectedInstOperands,
     /* 262001 */     // GIR_Coverage, 3966,
     /* 262001 */     GIR_EraseRootFromParent_Done,
     /* 262002 */   // Label 5246: @262002
     /* 262002 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(262039), // Rule ID 3883 //
     /* 262007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 262015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262026 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 262029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262031 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262037 */     GIR_RootConstrainSelectedInstOperands,
     /* 262038 */     // GIR_Coverage, 3883,
     /* 262038 */     GIR_EraseRootFromParent_Done,
     /* 262039 */   // Label 5247: @262039
     /* 262039 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(262076), // Rule ID 3884 //
     /* 262044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 262052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262063 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 262066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262068 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262074 */     GIR_RootConstrainSelectedInstOperands,
     /* 262075 */     // GIR_Coverage, 3884,
     /* 262075 */     GIR_EraseRootFromParent_Done,
     /* 262076 */   // Label 5248: @262076
     /* 262076 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(262113), // Rule ID 3882 //
     /* 262081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 262089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262100 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 262103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262105 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262111 */     GIR_RootConstrainSelectedInstOperands,
     /* 262112 */     // GIR_Coverage, 3882,
     /* 262112 */     GIR_EraseRootFromParent_Done,
     /* 262113 */   // Label 5249: @262113
     /* 262113 */   GIM_Reject,
     /* 262114 */ // Label 5245: @262114
     /* 262114 */ GIM_Reject,
     /* 262115 */ // Label 5243: @262115
     /* 262115 */ GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(262321),
     /* 262120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 262123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 262126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262134 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(262168), // Rule ID 3967 //
     /* 262139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 262151 */     // MIs[1] Operand 1
     /* 262151 */     // No operand predicates
     /* 262151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262153 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (UBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 262153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMXri),
     /* 262156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 262163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 262166 */     GIR_RootConstrainSelectedInstOperands,
     /* 262167 */     // GIR_Coverage, 3967,
     /* 262167 */     GIR_EraseRootFromParent_Done,
     /* 262168 */   // Label 5251: @262168
     /* 262168 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(262236), // Rule ID 3885 //
     /* 262173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 262181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262192 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 262192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 262195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 262199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262204 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 262207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262211 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 262214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 262227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262234 */     GIR_RootConstrainSelectedInstOperands,
     /* 262235 */     // GIR_Coverage, 3885,
     /* 262235 */     GIR_EraseRootFromParent_Done,
     /* 262236 */   // Label 5252: @262236
     /* 262236 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(262304), // Rule ID 3886 //
     /* 262241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 262249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262260 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 262260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 262263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 262267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262272 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 262275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262279 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 262282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 262295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262302 */     GIR_RootConstrainSelectedInstOperands,
     /* 262303 */     // GIR_Coverage, 3886,
     /* 262303 */     GIR_EraseRootFromParent_Done,
     /* 262304 */   // Label 5253: @262304
     /* 262304 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(262320), // Rule ID 121 //
     /* 262309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262313 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 262313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 262318 */     GIR_RootConstrainSelectedInstOperands,
     /* 262319 */     // GIR_Coverage, 121,
     /* 262319 */     GIR_Done,
     /* 262320 */   // Label 5254: @262320
     /* 262320 */   GIM_Reject,
     /* 262321 */ // Label 5250: @262321
     /* 262321 */ GIM_Reject,
     /* 262322 */ // Label 5244: @262322
     /* 262322 */ GIM_Reject,
     /* 262323 */ // Label 43: @262323
     /* 262323 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5257*/ GIMT_Encode4(263098),
     /* 262334 */ /*GILLT_s32*//*Label 5255*/ GIMT_Encode4(262342),
     /* 262338 */ /*GILLT_s64*//*Label 5256*/ GIMT_Encode4(262648),
     /* 262342 */ // Label 5255: @262342
     /* 262342 */ GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(262647),
     /* 262347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 262350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 262353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262357 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(262421), // Rule ID 6411 //
     /* 262362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 262370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262379 */     // MIs[1] Operand 2
     /* 262379 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 262394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262398 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 262402 */     // MIs[2] Operand 1
     /* 262402 */     // No operand predicates
     /* 262402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262404 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 262404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 262407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 262419 */     GIR_RootConstrainSelectedInstOperands,
     /* 262420 */     // GIR_Coverage, 6411,
     /* 262420 */     GIR_EraseRootFromParent_Done,
     /* 262421 */   // Label 5259: @262421
     /* 262421 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(262485), // Rule ID 6413 //
     /* 262426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 262434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262443 */     // MIs[1] Operand 2
     /* 262443 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 262458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262462 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 262466 */     // MIs[2] Operand 1
     /* 262466 */     // No operand predicates
     /* 262466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262468 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 262468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 262471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 262483 */     GIR_RootConstrainSelectedInstOperands,
     /* 262484 */     // GIR_Coverage, 6413,
     /* 262484 */     GIR_EraseRootFromParent_Done,
     /* 262485 */   // Label 5260: @262485
     /* 262485 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(262523), // Rule ID 3964 //
     /* 262490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 262506 */     // MIs[1] Operand 1
     /* 262506 */     // No operand predicates
     /* 262506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262508 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 262508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 262511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262513 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 262518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 262521 */     GIR_RootConstrainSelectedInstOperands,
     /* 262522 */     // GIR_Coverage, 3964,
     /* 262522 */     GIR_EraseRootFromParent_Done,
     /* 262523 */   // Label 5261: @262523
     /* 262523 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(262564), // Rule ID 2426 //
     /* 262528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 262540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262551 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 262554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262556 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262562 */     GIR_RootConstrainSelectedInstOperands,
     /* 262563 */     // GIR_Coverage, 2426,
     /* 262563 */     GIR_EraseRootFromParent_Done,
     /* 262564 */   // Label 5262: @262564
     /* 262564 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(262605), // Rule ID 2427 //
     /* 262569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 262581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262592 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 262595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262597 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262603 */     GIR_RootConstrainSelectedInstOperands,
     /* 262604 */     // GIR_Coverage, 2427,
     /* 262604 */     GIR_EraseRootFromParent_Done,
     /* 262605 */   // Label 5263: @262605
     /* 262605 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(262646), // Rule ID 2425 //
     /* 262610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 262622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262633 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 262633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 262636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262638 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262644 */     GIR_RootConstrainSelectedInstOperands,
     /* 262645 */     // GIR_Coverage, 2425,
     /* 262645 */     GIR_EraseRootFromParent_Done,
     /* 262646 */   // Label 5264: @262646
     /* 262646 */   GIM_Reject,
     /* 262647 */ // Label 5258: @262647
     /* 262647 */ GIM_Reject,
     /* 262648 */ // Label 5256: @262648
     /* 262648 */ GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(263097),
     /* 262653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 262656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 262659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262663 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(262727), // Rule ID 6412 //
     /* 262668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 262676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 262680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262685 */     // MIs[1] Operand 2
     /* 262685 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 262700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262704 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 262708 */     // MIs[2] Operand 1
     /* 262708 */     // No operand predicates
     /* 262708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262710 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 262710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 262713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 262725 */     GIR_RootConstrainSelectedInstOperands,
     /* 262726 */     // GIR_Coverage, 6412,
     /* 262726 */     GIR_EraseRootFromParent_Done,
     /* 262727 */   // Label 5266: @262727
     /* 262727 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(262791), // Rule ID 6414 //
     /* 262732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 262740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 262744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262749 */     // MIs[1] Operand 2
     /* 262749 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 262764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262768 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 262772 */     // MIs[2] Operand 1
     /* 262772 */     // No operand predicates
     /* 262772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262774 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 262774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 262777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 262789 */     GIR_RootConstrainSelectedInstOperands,
     /* 262790 */     // GIR_Coverage, 6414,
     /* 262790 */     GIR_EraseRootFromParent_Done,
     /* 262791 */   // Label 5267: @262791
     /* 262791 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(262894), // Rule ID 6415 //
     /* 262796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 262804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 262817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262821 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 262825 */     // MIs[2] Operand 1
     /* 262825 */     // No operand predicates
     /* 262825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262827 */     // (sra:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 262827 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 262830 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 262834 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 262841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 262844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 262848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262853 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 262856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262860 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 262863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 262881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 262892 */     GIR_RootConstrainSelectedInstOperands,
     /* 262893 */     // GIR_Coverage, 6415,
     /* 262893 */     GIR_EraseRootFromParent_Done,
     /* 262894 */   // Label 5268: @262894
     /* 262894 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(262932), // Rule ID 3965 //
     /* 262899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 262915 */     // MIs[1] Operand 1
     /* 262915 */     // No operand predicates
     /* 262915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262917 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 262917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 262920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 262927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 262930 */     GIR_RootConstrainSelectedInstOperands,
     /* 262931 */     // GIR_Coverage, 3965,
     /* 262931 */     GIR_EraseRootFromParent_Done,
     /* 262932 */   // Label 5269: @262932
     /* 262932 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(263004), // Rule ID 2428 //
     /* 262937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 262945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 262949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 262953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262960 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 262960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 262963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 262967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262972 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 262975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 262979 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 262982 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262987 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 262995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262997 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 262999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263002 */     GIR_RootConstrainSelectedInstOperands,
     /* 263003 */     // GIR_Coverage, 2428,
     /* 263003 */     GIR_EraseRootFromParent_Done,
     /* 263004 */   // Label 5270: @263004
     /* 263004 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(263076), // Rule ID 2429 //
     /* 263009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 263021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263032 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 263032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 263035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 263039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263044 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 263047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263051 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 263054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263059 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 263067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263069 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263074 */     GIR_RootConstrainSelectedInstOperands,
     /* 263075 */     // GIR_Coverage, 2429,
     /* 263075 */     GIR_EraseRootFromParent_Done,
     /* 263076 */   // Label 5271: @263076
     /* 263076 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(263096), // Rule ID 119 //
     /* 263081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263089 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 263089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 263094 */     GIR_RootConstrainSelectedInstOperands,
     /* 263095 */     // GIR_Coverage, 119,
     /* 263095 */     GIR_Done,
     /* 263096 */   // Label 5272: @263096
     /* 263096 */   GIM_Reject,
     /* 263097 */ // Label 5265: @263097
     /* 263097 */ GIM_Reject,
     /* 263098 */ // Label 5257: @263098
     /* 263098 */ GIM_Reject,
     /* 263099 */ // Label 44: @263099
     /* 263099 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5275*/ GIMT_Encode4(263228),
     /* 263110 */ /*GILLT_s32*//*Label 5273*/ GIMT_Encode4(263118),
     /* 263114 */ /*GILLT_s64*//*Label 5274*/ GIMT_Encode4(263173),
     /* 263118 */ // Label 5273: @263118
     /* 263118 */ GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(263172), // Rule ID 188 //
     /* 263123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 263126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 263129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 263132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 263148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263152 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 263156 */   // MIs[1] Operand 1
     /* 263156 */   // No operand predicates
     /* 263156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263158 */   // (fshr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 263158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 263161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263163 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263165 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 263167 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 263170 */   GIR_RootConstrainSelectedInstOperands,
     /* 263171 */   // GIR_Coverage, 188,
     /* 263171 */   GIR_EraseRootFromParent_Done,
     /* 263172 */ // Label 5276: @263172
     /* 263172 */ GIM_Reject,
     /* 263173 */ // Label 5274: @263173
     /* 263173 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(263227), // Rule ID 189 //
     /* 263178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 263181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 263184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 263187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263199 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 263203 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263207 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 263211 */   // MIs[1] Operand 1
     /* 263211 */   // No operand predicates
     /* 263211 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263213 */   // (fshr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 263213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 263216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263218 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263220 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 263222 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 263225 */   GIR_RootConstrainSelectedInstOperands,
     /* 263226 */   // GIR_Coverage, 189,
     /* 263226 */   GIR_EraseRootFromParent_Done,
     /* 263227 */ // Label 5277: @263227
     /* 263227 */ GIM_Reject,
     /* 263228 */ // Label 5275: @263228
     /* 263228 */ GIM_Reject,
     /* 263229 */ // Label 45: @263229
     /* 263229 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5280*/ GIMT_Encode4(263721),
     /* 263240 */ /*GILLT_s32*//*Label 5278*/ GIMT_Encode4(263248),
     /* 263244 */ /*GILLT_s64*//*Label 5279*/ GIMT_Encode4(263464),
     /* 263248 */ // Label 5278: @263248
     /* 263248 */ GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(263463),
     /* 263253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 263256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 263259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263263 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(263302), // Rule ID 184 //
     /* 263268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 263276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263285 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 263289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263291 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn), 16:{ *:[i64] })  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 263291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 263294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263300 */     GIR_RootConstrainSelectedInstOperands,
     /* 263301 */     // GIR_Coverage, 184,
     /* 263301 */     GIR_EraseRootFromParent_Done,
     /* 263302 */   // Label 5282: @263302
     /* 263302 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(263339), // Rule ID 3960 //
     /* 263307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 263323 */     // MIs[1] Operand 1
     /* 263323 */     // No operand predicates
     /* 263323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263325 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 263325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 263328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263330 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263332 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 263337 */     GIR_RootConstrainSelectedInstOperands,
     /* 263338 */     // GIR_Coverage, 3960,
     /* 263338 */     GIR_EraseRootFromParent_Done,
     /* 263339 */   // Label 5283: @263339
     /* 263339 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(263380), // Rule ID 3889 //
     /* 263344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 263356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263367 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 263367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 263370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263372 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263378 */     GIR_RootConstrainSelectedInstOperands,
     /* 263379 */     // GIR_Coverage, 3889,
     /* 263379 */     GIR_EraseRootFromParent_Done,
     /* 263380 */   // Label 5284: @263380
     /* 263380 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(263421), // Rule ID 3890 //
     /* 263385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 263397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263408 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 263408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 263411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263419 */     GIR_RootConstrainSelectedInstOperands,
     /* 263420 */     // GIR_Coverage, 3890,
     /* 263420 */     GIR_EraseRootFromParent_Done,
     /* 263421 */   // Label 5285: @263421
     /* 263421 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(263462), // Rule ID 3888 //
     /* 263426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 263438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263449 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 263449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 263452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263454 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263460 */     GIR_RootConstrainSelectedInstOperands,
     /* 263461 */     // GIR_Coverage, 3888,
     /* 263461 */     GIR_EraseRootFromParent_Done,
     /* 263462 */   // Label 5286: @263462
     /* 263462 */   GIM_Reject,
     /* 263463 */ // Label 5281: @263463
     /* 263463 */ GIM_Reject,
     /* 263464 */ // Label 5279: @263464
     /* 263464 */ GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(263720),
     /* 263469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 263472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 263475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263479 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(263518), // Rule ID 187 //
     /* 263484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 263492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 263496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263501 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 263505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263507 */     // (rotr:{ *:[i64] } (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn), 32:{ *:[i64] })  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 263507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 263510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263516 */     GIR_RootConstrainSelectedInstOperands,
     /* 263517 */     // GIR_Coverage, 187,
     /* 263517 */     GIR_EraseRootFromParent_Done,
     /* 263518 */   // Label 5288: @263518
     /* 263518 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(263555), // Rule ID 3961 //
     /* 263523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 263539 */     // MIs[1] Operand 1
     /* 263539 */     // No operand predicates
     /* 263539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263541 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)
     /* 263541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 263544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263548 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 263553 */     GIR_RootConstrainSelectedInstOperands,
     /* 263554 */     // GIR_Coverage, 3961,
     /* 263554 */     GIR_EraseRootFromParent_Done,
     /* 263555 */   // Label 5289: @263555
     /* 263555 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(263627), // Rule ID 3891 //
     /* 263560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 263572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263583 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 263583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 263586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 263590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263595 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 263598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263602 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 263605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263610 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 263618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263625 */     GIR_RootConstrainSelectedInstOperands,
     /* 263626 */     // GIR_Coverage, 3891,
     /* 263626 */     GIR_EraseRootFromParent_Done,
     /* 263627 */   // Label 5290: @263627
     /* 263627 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(263699), // Rule ID 3892 //
     /* 263632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 263644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 263648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263655 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 263655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 263658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 263662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263667 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 263670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 263674 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 263677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 263690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263692 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 263694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263697 */     GIR_RootConstrainSelectedInstOperands,
     /* 263698 */     // GIR_Coverage, 3892,
     /* 263698 */     GIR_EraseRootFromParent_Done,
     /* 263699 */   // Label 5291: @263699
     /* 263699 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(263719), // Rule ID 122 //
     /* 263704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263712 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 263712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 263717 */     GIR_RootConstrainSelectedInstOperands,
     /* 263718 */     // GIR_Coverage, 122,
     /* 263718 */     GIR_Done,
     /* 263719 */   // Label 5292: @263719
     /* 263719 */   GIM_Reject,
     /* 263720 */ // Label 5287: @263720
     /* 263720 */ GIM_Reject,
     /* 263721 */ // Label 5280: @263721
     /* 263721 */ GIM_Reject,
     /* 263722 */ // Label 46: @263722
     /* 263722 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(12), /*)*//*default:*//*Label 5300*/ GIMT_Encode4(268297),
     /* 263733 */ /*GILLT_v2s32*//*Label 5293*/ GIMT_Encode4(263761),
     /* 263737 */ /*GILLT_v2s64*//*Label 5294*/ GIMT_Encode4(264409),
     /* 263741 */ /*GILLT_v4s16*//*Label 5295*/ GIMT_Encode4(265057),
     /* 263745 */ /*GILLT_v4s32*//*Label 5296*/ GIMT_Encode4(265705),
     /* 263749 */ /*GILLT_v8s8*//*Label 5297*/ GIMT_Encode4(266353),
     /* 263753 */ /*GILLT_v8s16*//*Label 5298*/ GIMT_Encode4(267001),
     /* 263757 */ /*GILLT_v16s8*//*Label 5299*/ GIMT_Encode4(267649),
     /* 263761 */ // Label 5293: @263761
     /* 263761 */ GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(264408),
     /* 263766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 263769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 263772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263776 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(263813), // Rule ID 5113 //
     /* 263781 */     // MIs[0] Operand 1
     /* 263781 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 263786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263790 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263796 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263804 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 263807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 263811 */     GIR_RootConstrainSelectedInstOperands,
     /* 263812 */     // GIR_Coverage, 5113,
     /* 263812 */     GIR_EraseRootFromParent_Done,
     /* 263813 */   // Label 5302: @263813
     /* 263813 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(263850), // Rule ID 5120 //
     /* 263818 */     // MIs[0] Operand 1
     /* 263818 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 263823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263827 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263833 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263841 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 263844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 263848 */     GIR_RootConstrainSelectedInstOperands,
     /* 263849 */     // GIR_Coverage, 5120,
     /* 263849 */     GIR_EraseRootFromParent_Done,
     /* 263850 */   // Label 5303: @263850
     /* 263850 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(263887), // Rule ID 5127 //
     /* 263855 */     // MIs[0] Operand 1
     /* 263855 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 263860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263864 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263870 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263878 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 263881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 263885 */     GIR_RootConstrainSelectedInstOperands,
     /* 263886 */     // GIR_Coverage, 5127,
     /* 263886 */     GIR_EraseRootFromParent_Done,
     /* 263887 */   // Label 5304: @263887
     /* 263887 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(263924), // Rule ID 5134 //
     /* 263892 */     // MIs[0] Operand 1
     /* 263892 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 263897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263901 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263907 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263915 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 263918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 263922 */     GIR_RootConstrainSelectedInstOperands,
     /* 263923 */     // GIR_Coverage, 5134,
     /* 263923 */     GIR_EraseRootFromParent_Done,
     /* 263924 */   // Label 5305: @263924
     /* 263924 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(263961), // Rule ID 5141 //
     /* 263929 */     // MIs[0] Operand 1
     /* 263929 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 263934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 263938 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263944 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263952 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 263955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 263959 */     GIR_RootConstrainSelectedInstOperands,
     /* 263960 */     // GIR_Coverage, 5141,
     /* 263960 */     GIR_EraseRootFromParent_Done,
     /* 263961 */   // Label 5306: @263961
     /* 263961 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(263998), // Rule ID 5078 //
     /* 263966 */     // MIs[0] Operand 1
     /* 263966 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 263971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 263979 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 263985 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 263987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263989 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 263989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 263992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 263996 */     GIR_RootConstrainSelectedInstOperands,
     /* 263997 */     // GIR_Coverage, 5078,
     /* 263997 */     GIR_EraseRootFromParent_Done,
     /* 263998 */   // Label 5307: @263998
     /* 263998 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(264035), // Rule ID 5085 //
     /* 264003 */     // MIs[0] Operand 1
     /* 264003 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 264008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264016 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264022 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264026 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 264026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 264029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264033 */     GIR_RootConstrainSelectedInstOperands,
     /* 264034 */     // GIR_Coverage, 5085,
     /* 264034 */     GIR_EraseRootFromParent_Done,
     /* 264035 */   // Label 5308: @264035
     /* 264035 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(264072), // Rule ID 5092 //
     /* 264040 */     // MIs[0] Operand 1
     /* 264040 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 264045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264053 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264059 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264063 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 264063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 264066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264070 */     GIR_RootConstrainSelectedInstOperands,
     /* 264071 */     // GIR_Coverage, 5092,
     /* 264071 */     GIR_EraseRootFromParent_Done,
     /* 264072 */   // Label 5309: @264072
     /* 264072 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(264109), // Rule ID 5099 //
     /* 264077 */     // MIs[0] Operand 1
     /* 264077 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 264082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264090 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264096 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264100 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 264100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 264103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264107 */     GIR_RootConstrainSelectedInstOperands,
     /* 264108 */     // GIR_Coverage, 5099,
     /* 264108 */     GIR_EraseRootFromParent_Done,
     /* 264109 */   // Label 5310: @264109
     /* 264109 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(264146), // Rule ID 5106 //
     /* 264114 */     // MIs[0] Operand 1
     /* 264114 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 264119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264127 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264133 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264137 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 264137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 264140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264144 */     GIR_RootConstrainSelectedInstOperands,
     /* 264145 */     // GIR_Coverage, 5106,
     /* 264145 */     GIR_EraseRootFromParent_Done,
     /* 264146 */   // Label 5311: @264146
     /* 264146 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(264175), // Rule ID 5015 //
     /* 264151 */     // MIs[0] Operand 1
     /* 264151 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 264156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264164 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 264164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 264167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264173 */     GIR_RootConstrainSelectedInstOperands,
     /* 264174 */     // GIR_Coverage, 5015,
     /* 264174 */     GIR_EraseRootFromParent_Done,
     /* 264175 */   // Label 5312: @264175
     /* 264175 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(264204), // Rule ID 5022 //
     /* 264180 */     // MIs[0] Operand 1
     /* 264180 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 264185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264193 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 264193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 264196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264202 */     GIR_RootConstrainSelectedInstOperands,
     /* 264203 */     // GIR_Coverage, 5022,
     /* 264203 */     GIR_EraseRootFromParent_Done,
     /* 264204 */   // Label 5313: @264204
     /* 264204 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(264233), // Rule ID 5029 //
     /* 264209 */     // MIs[0] Operand 1
     /* 264209 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 264214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264222 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 264222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 264225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264231 */     GIR_RootConstrainSelectedInstOperands,
     /* 264232 */     // GIR_Coverage, 5029,
     /* 264232 */     GIR_EraseRootFromParent_Done,
     /* 264233 */   // Label 5314: @264233
     /* 264233 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(264262), // Rule ID 5036 //
     /* 264238 */     // MIs[0] Operand 1
     /* 264238 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 264243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264251 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 264251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 264254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264260 */     GIR_RootConstrainSelectedInstOperands,
     /* 264261 */     // GIR_Coverage, 5036,
     /* 264261 */     GIR_EraseRootFromParent_Done,
     /* 264262 */   // Label 5315: @264262
     /* 264262 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(264291), // Rule ID 5043 //
     /* 264267 */     // MIs[0] Operand 1
     /* 264267 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 264272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264280 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 264280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 264283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264289 */     GIR_RootConstrainSelectedInstOperands,
     /* 264290 */     // GIR_Coverage, 5043,
     /* 264290 */     GIR_EraseRootFromParent_Done,
     /* 264291 */   // Label 5316: @264291
     /* 264291 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(264320), // Rule ID 5050 //
     /* 264296 */     // MIs[0] Operand 1
     /* 264296 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 264301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264309 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 264309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 264312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264318 */     GIR_RootConstrainSelectedInstOperands,
     /* 264319 */     // GIR_Coverage, 5050,
     /* 264319 */     GIR_EraseRootFromParent_Done,
     /* 264320 */   // Label 5317: @264320
     /* 264320 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(264349), // Rule ID 5057 //
     /* 264325 */     // MIs[0] Operand 1
     /* 264325 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 264330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264338 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 264338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 264341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264347 */     GIR_RootConstrainSelectedInstOperands,
     /* 264348 */     // GIR_Coverage, 5057,
     /* 264348 */     GIR_EraseRootFromParent_Done,
     /* 264349 */   // Label 5318: @264349
     /* 264349 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(264378), // Rule ID 5064 //
     /* 264354 */     // MIs[0] Operand 1
     /* 264354 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 264359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264367 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 264367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 264370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264376 */     GIR_RootConstrainSelectedInstOperands,
     /* 264377 */     // GIR_Coverage, 5064,
     /* 264377 */     GIR_EraseRootFromParent_Done,
     /* 264378 */   // Label 5319: @264378
     /* 264378 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(264407), // Rule ID 5071 //
     /* 264383 */     // MIs[0] Operand 1
     /* 264383 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 264388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264396 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 264396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 264399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264405 */     GIR_RootConstrainSelectedInstOperands,
     /* 264406 */     // GIR_Coverage, 5071,
     /* 264406 */     GIR_EraseRootFromParent_Done,
     /* 264407 */   // Label 5320: @264407
     /* 264407 */   GIM_Reject,
     /* 264408 */ // Label 5301: @264408
     /* 264408 */ GIM_Reject,
     /* 264409 */ // Label 5294: @264409
     /* 264409 */ GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(265056),
     /* 264414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 264417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 264420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264424 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(264461), // Rule ID 5115 //
     /* 264429 */     // MIs[0] Operand 1
     /* 264429 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 264434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 264438 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264444 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264452 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 264455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 264459 */     GIR_RootConstrainSelectedInstOperands,
     /* 264460 */     // GIR_Coverage, 5115,
     /* 264460 */     GIR_EraseRootFromParent_Done,
     /* 264461 */   // Label 5322: @264461
     /* 264461 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(264498), // Rule ID 5122 //
     /* 264466 */     // MIs[0] Operand 1
     /* 264466 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 264471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 264475 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264481 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264489 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 264492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 264496 */     GIR_RootConstrainSelectedInstOperands,
     /* 264497 */     // GIR_Coverage, 5122,
     /* 264497 */     GIR_EraseRootFromParent_Done,
     /* 264498 */   // Label 5323: @264498
     /* 264498 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(264535), // Rule ID 5129 //
     /* 264503 */     // MIs[0] Operand 1
     /* 264503 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 264508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 264512 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264518 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264526 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 264529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 264533 */     GIR_RootConstrainSelectedInstOperands,
     /* 264534 */     // GIR_Coverage, 5129,
     /* 264534 */     GIR_EraseRootFromParent_Done,
     /* 264535 */   // Label 5324: @264535
     /* 264535 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(264572), // Rule ID 5136 //
     /* 264540 */     // MIs[0] Operand 1
     /* 264540 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 264545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 264549 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264555 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264563 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 264566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 264570 */     GIR_RootConstrainSelectedInstOperands,
     /* 264571 */     // GIR_Coverage, 5136,
     /* 264571 */     GIR_EraseRootFromParent_Done,
     /* 264572 */   // Label 5325: @264572
     /* 264572 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(264609), // Rule ID 5143 //
     /* 264577 */     // MIs[0] Operand 1
     /* 264577 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 264582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 264586 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264592 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264600 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 264603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 264607 */     GIR_RootConstrainSelectedInstOperands,
     /* 264608 */     // GIR_Coverage, 5143,
     /* 264608 */     GIR_EraseRootFromParent_Done,
     /* 264609 */   // Label 5326: @264609
     /* 264609 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(264646), // Rule ID 5080 //
     /* 264614 */     // MIs[0] Operand 1
     /* 264614 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 264619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264627 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264633 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264637 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 264640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264644 */     GIR_RootConstrainSelectedInstOperands,
     /* 264645 */     // GIR_Coverage, 5080,
     /* 264645 */     GIR_EraseRootFromParent_Done,
     /* 264646 */   // Label 5327: @264646
     /* 264646 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(264683), // Rule ID 5087 //
     /* 264651 */     // MIs[0] Operand 1
     /* 264651 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 264656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264664 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264670 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264674 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 264677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264681 */     GIR_RootConstrainSelectedInstOperands,
     /* 264682 */     // GIR_Coverage, 5087,
     /* 264682 */     GIR_EraseRootFromParent_Done,
     /* 264683 */   // Label 5328: @264683
     /* 264683 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(264720), // Rule ID 5094 //
     /* 264688 */     // MIs[0] Operand 1
     /* 264688 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 264693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264701 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264707 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264711 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 264714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264718 */     GIR_RootConstrainSelectedInstOperands,
     /* 264719 */     // GIR_Coverage, 5094,
     /* 264719 */     GIR_EraseRootFromParent_Done,
     /* 264720 */   // Label 5329: @264720
     /* 264720 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(264757), // Rule ID 5101 //
     /* 264725 */     // MIs[0] Operand 1
     /* 264725 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 264730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264738 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264744 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264748 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 264751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264755 */     GIR_RootConstrainSelectedInstOperands,
     /* 264756 */     // GIR_Coverage, 5101,
     /* 264756 */     GIR_EraseRootFromParent_Done,
     /* 264757 */   // Label 5330: @264757
     /* 264757 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(264794), // Rule ID 5108 //
     /* 264762 */     // MIs[0] Operand 1
     /* 264762 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 264767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 264775 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 264781 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 264783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264785 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 264785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 264788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264792 */     GIR_RootConstrainSelectedInstOperands,
     /* 264793 */     // GIR_Coverage, 5108,
     /* 264793 */     GIR_EraseRootFromParent_Done,
     /* 264794 */   // Label 5331: @264794
     /* 264794 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(264823), // Rule ID 5017 //
     /* 264799 */     // MIs[0] Operand 1
     /* 264799 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 264804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264812 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 264812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 264815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264821 */     GIR_RootConstrainSelectedInstOperands,
     /* 264822 */     // GIR_Coverage, 5017,
     /* 264822 */     GIR_EraseRootFromParent_Done,
     /* 264823 */   // Label 5332: @264823
     /* 264823 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(264852), // Rule ID 5024 //
     /* 264828 */     // MIs[0] Operand 1
     /* 264828 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 264833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264841 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 264841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 264844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264850 */     GIR_RootConstrainSelectedInstOperands,
     /* 264851 */     // GIR_Coverage, 5024,
     /* 264851 */     GIR_EraseRootFromParent_Done,
     /* 264852 */   // Label 5333: @264852
     /* 264852 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(264881), // Rule ID 5031 //
     /* 264857 */     // MIs[0] Operand 1
     /* 264857 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 264862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264870 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 264870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 264873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264879 */     GIR_RootConstrainSelectedInstOperands,
     /* 264880 */     // GIR_Coverage, 5031,
     /* 264880 */     GIR_EraseRootFromParent_Done,
     /* 264881 */   // Label 5334: @264881
     /* 264881 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(264910), // Rule ID 5038 //
     /* 264886 */     // MIs[0] Operand 1
     /* 264886 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 264891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264899 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 264899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 264902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264908 */     GIR_RootConstrainSelectedInstOperands,
     /* 264909 */     // GIR_Coverage, 5038,
     /* 264909 */     GIR_EraseRootFromParent_Done,
     /* 264910 */   // Label 5335: @264910
     /* 264910 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(264939), // Rule ID 5045 //
     /* 264915 */     // MIs[0] Operand 1
     /* 264915 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 264920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264928 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 264928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 264931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264937 */     GIR_RootConstrainSelectedInstOperands,
     /* 264938 */     // GIR_Coverage, 5045,
     /* 264938 */     GIR_EraseRootFromParent_Done,
     /* 264939 */   // Label 5336: @264939
     /* 264939 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(264968), // Rule ID 5052 //
     /* 264944 */     // MIs[0] Operand 1
     /* 264944 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 264949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264957 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 264957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 264960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264966 */     GIR_RootConstrainSelectedInstOperands,
     /* 264967 */     // GIR_Coverage, 5052,
     /* 264967 */     GIR_EraseRootFromParent_Done,
     /* 264968 */   // Label 5337: @264968
     /* 264968 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(264997), // Rule ID 5059 //
     /* 264973 */     // MIs[0] Operand 1
     /* 264973 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 264978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264986 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 264986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 264989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 264993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 264995 */     GIR_RootConstrainSelectedInstOperands,
     /* 264996 */     // GIR_Coverage, 5059,
     /* 264996 */     GIR_EraseRootFromParent_Done,
     /* 264997 */   // Label 5338: @264997
     /* 264997 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(265026), // Rule ID 5066 //
     /* 265002 */     // MIs[0] Operand 1
     /* 265002 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 265007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265015 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 265015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 265018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265024 */     GIR_RootConstrainSelectedInstOperands,
     /* 265025 */     // GIR_Coverage, 5066,
     /* 265025 */     GIR_EraseRootFromParent_Done,
     /* 265026 */   // Label 5339: @265026
     /* 265026 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(265055), // Rule ID 5073 //
     /* 265031 */     // MIs[0] Operand 1
     /* 265031 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 265036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265044 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 265044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 265047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265053 */     GIR_RootConstrainSelectedInstOperands,
     /* 265054 */     // GIR_Coverage, 5073,
     /* 265054 */     GIR_EraseRootFromParent_Done,
     /* 265055 */   // Label 5340: @265055
     /* 265055 */   GIM_Reject,
     /* 265056 */ // Label 5321: @265056
     /* 265056 */ GIM_Reject,
     /* 265057 */ // Label 5295: @265057
     /* 265057 */ GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(265704),
     /* 265062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 265065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 265068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265072 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(265109), // Rule ID 5111 //
     /* 265077 */     // MIs[0] Operand 1
     /* 265077 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 265082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265086 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265092 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265100 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 265103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265107 */     GIR_RootConstrainSelectedInstOperands,
     /* 265108 */     // GIR_Coverage, 5111,
     /* 265108 */     GIR_EraseRootFromParent_Done,
     /* 265109 */   // Label 5342: @265109
     /* 265109 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(265146), // Rule ID 5118 //
     /* 265114 */     // MIs[0] Operand 1
     /* 265114 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 265119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265123 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265129 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265137 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 265140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265144 */     GIR_RootConstrainSelectedInstOperands,
     /* 265145 */     // GIR_Coverage, 5118,
     /* 265145 */     GIR_EraseRootFromParent_Done,
     /* 265146 */   // Label 5343: @265146
     /* 265146 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(265183), // Rule ID 5125 //
     /* 265151 */     // MIs[0] Operand 1
     /* 265151 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 265156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265160 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265166 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265174 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 265177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265181 */     GIR_RootConstrainSelectedInstOperands,
     /* 265182 */     // GIR_Coverage, 5125,
     /* 265182 */     GIR_EraseRootFromParent_Done,
     /* 265183 */   // Label 5344: @265183
     /* 265183 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(265220), // Rule ID 5132 //
     /* 265188 */     // MIs[0] Operand 1
     /* 265188 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 265193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265197 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265203 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265211 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 265214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265218 */     GIR_RootConstrainSelectedInstOperands,
     /* 265219 */     // GIR_Coverage, 5132,
     /* 265219 */     GIR_EraseRootFromParent_Done,
     /* 265220 */   // Label 5345: @265220
     /* 265220 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(265257), // Rule ID 5139 //
     /* 265225 */     // MIs[0] Operand 1
     /* 265225 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 265230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265234 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265240 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265248 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 265251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265255 */     GIR_RootConstrainSelectedInstOperands,
     /* 265256 */     // GIR_Coverage, 5139,
     /* 265256 */     GIR_EraseRootFromParent_Done,
     /* 265257 */   // Label 5346: @265257
     /* 265257 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(265294), // Rule ID 5076 //
     /* 265262 */     // MIs[0] Operand 1
     /* 265262 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 265267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265275 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265281 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265285 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 265288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265292 */     GIR_RootConstrainSelectedInstOperands,
     /* 265293 */     // GIR_Coverage, 5076,
     /* 265293 */     GIR_EraseRootFromParent_Done,
     /* 265294 */   // Label 5347: @265294
     /* 265294 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(265331), // Rule ID 5083 //
     /* 265299 */     // MIs[0] Operand 1
     /* 265299 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 265304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265312 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265318 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265322 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 265325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265329 */     GIR_RootConstrainSelectedInstOperands,
     /* 265330 */     // GIR_Coverage, 5083,
     /* 265330 */     GIR_EraseRootFromParent_Done,
     /* 265331 */   // Label 5348: @265331
     /* 265331 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(265368), // Rule ID 5090 //
     /* 265336 */     // MIs[0] Operand 1
     /* 265336 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 265341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265349 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265355 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265359 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 265362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265366 */     GIR_RootConstrainSelectedInstOperands,
     /* 265367 */     // GIR_Coverage, 5090,
     /* 265367 */     GIR_EraseRootFromParent_Done,
     /* 265368 */   // Label 5349: @265368
     /* 265368 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(265405), // Rule ID 5097 //
     /* 265373 */     // MIs[0] Operand 1
     /* 265373 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 265378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265386 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265392 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265396 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 265399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265403 */     GIR_RootConstrainSelectedInstOperands,
     /* 265404 */     // GIR_Coverage, 5097,
     /* 265404 */     GIR_EraseRootFromParent_Done,
     /* 265405 */   // Label 5350: @265405
     /* 265405 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(265442), // Rule ID 5104 //
     /* 265410 */     // MIs[0] Operand 1
     /* 265410 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 265415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265423 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265429 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265433 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 265433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 265436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265440 */     GIR_RootConstrainSelectedInstOperands,
     /* 265441 */     // GIR_Coverage, 5104,
     /* 265441 */     GIR_EraseRootFromParent_Done,
     /* 265442 */   // Label 5351: @265442
     /* 265442 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(265471), // Rule ID 5013 //
     /* 265447 */     // MIs[0] Operand 1
     /* 265447 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 265452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265460 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 265460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 265463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265469 */     GIR_RootConstrainSelectedInstOperands,
     /* 265470 */     // GIR_Coverage, 5013,
     /* 265470 */     GIR_EraseRootFromParent_Done,
     /* 265471 */   // Label 5352: @265471
     /* 265471 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(265500), // Rule ID 5020 //
     /* 265476 */     // MIs[0] Operand 1
     /* 265476 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 265481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265489 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 265489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 265492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265498 */     GIR_RootConstrainSelectedInstOperands,
     /* 265499 */     // GIR_Coverage, 5020,
     /* 265499 */     GIR_EraseRootFromParent_Done,
     /* 265500 */   // Label 5353: @265500
     /* 265500 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(265529), // Rule ID 5027 //
     /* 265505 */     // MIs[0] Operand 1
     /* 265505 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 265510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265518 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 265518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 265521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265527 */     GIR_RootConstrainSelectedInstOperands,
     /* 265528 */     // GIR_Coverage, 5027,
     /* 265528 */     GIR_EraseRootFromParent_Done,
     /* 265529 */   // Label 5354: @265529
     /* 265529 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(265558), // Rule ID 5034 //
     /* 265534 */     // MIs[0] Operand 1
     /* 265534 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 265539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265547 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 265547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 265550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265556 */     GIR_RootConstrainSelectedInstOperands,
     /* 265557 */     // GIR_Coverage, 5034,
     /* 265557 */     GIR_EraseRootFromParent_Done,
     /* 265558 */   // Label 5355: @265558
     /* 265558 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(265587), // Rule ID 5041 //
     /* 265563 */     // MIs[0] Operand 1
     /* 265563 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 265568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265576 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 265576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 265579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265585 */     GIR_RootConstrainSelectedInstOperands,
     /* 265586 */     // GIR_Coverage, 5041,
     /* 265586 */     GIR_EraseRootFromParent_Done,
     /* 265587 */   // Label 5356: @265587
     /* 265587 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(265616), // Rule ID 5048 //
     /* 265592 */     // MIs[0] Operand 1
     /* 265592 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 265597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265605 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 265605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 265608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265614 */     GIR_RootConstrainSelectedInstOperands,
     /* 265615 */     // GIR_Coverage, 5048,
     /* 265615 */     GIR_EraseRootFromParent_Done,
     /* 265616 */   // Label 5357: @265616
     /* 265616 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(265645), // Rule ID 5055 //
     /* 265621 */     // MIs[0] Operand 1
     /* 265621 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 265626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265634 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 265634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 265637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265643 */     GIR_RootConstrainSelectedInstOperands,
     /* 265644 */     // GIR_Coverage, 5055,
     /* 265644 */     GIR_EraseRootFromParent_Done,
     /* 265645 */   // Label 5358: @265645
     /* 265645 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(265674), // Rule ID 5062 //
     /* 265650 */     // MIs[0] Operand 1
     /* 265650 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 265655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265663 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 265663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 265666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265672 */     GIR_RootConstrainSelectedInstOperands,
     /* 265673 */     // GIR_Coverage, 5062,
     /* 265673 */     GIR_EraseRootFromParent_Done,
     /* 265674 */   // Label 5359: @265674
     /* 265674 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(265703), // Rule ID 5069 //
     /* 265679 */     // MIs[0] Operand 1
     /* 265679 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 265684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265692 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 265692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 265695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 265699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265701 */     GIR_RootConstrainSelectedInstOperands,
     /* 265702 */     // GIR_Coverage, 5069,
     /* 265702 */     GIR_EraseRootFromParent_Done,
     /* 265703 */   // Label 5360: @265703
     /* 265703 */   GIM_Reject,
     /* 265704 */ // Label 5341: @265704
     /* 265704 */ GIM_Reject,
     /* 265705 */ // Label 5296: @265705
     /* 265705 */ GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(266352),
     /* 265710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 265713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 265716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265720 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(265757), // Rule ID 5114 //
     /* 265725 */     // MIs[0] Operand 1
     /* 265725 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 265730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265734 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265740 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265748 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 265751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265755 */     GIR_RootConstrainSelectedInstOperands,
     /* 265756 */     // GIR_Coverage, 5114,
     /* 265756 */     GIR_EraseRootFromParent_Done,
     /* 265757 */   // Label 5362: @265757
     /* 265757 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(265794), // Rule ID 5121 //
     /* 265762 */     // MIs[0] Operand 1
     /* 265762 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 265767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265771 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265777 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265785 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 265788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265790 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265792 */     GIR_RootConstrainSelectedInstOperands,
     /* 265793 */     // GIR_Coverage, 5121,
     /* 265793 */     GIR_EraseRootFromParent_Done,
     /* 265794 */   // Label 5363: @265794
     /* 265794 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(265831), // Rule ID 5128 //
     /* 265799 */     // MIs[0] Operand 1
     /* 265799 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 265804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265808 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265814 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265822 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 265825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265829 */     GIR_RootConstrainSelectedInstOperands,
     /* 265830 */     // GIR_Coverage, 5128,
     /* 265830 */     GIR_EraseRootFromParent_Done,
     /* 265831 */   // Label 5364: @265831
     /* 265831 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(265868), // Rule ID 5135 //
     /* 265836 */     // MIs[0] Operand 1
     /* 265836 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 265841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265845 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265851 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265859 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 265862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265866 */     GIR_RootConstrainSelectedInstOperands,
     /* 265867 */     // GIR_Coverage, 5135,
     /* 265867 */     GIR_EraseRootFromParent_Done,
     /* 265868 */   // Label 5365: @265868
     /* 265868 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(265905), // Rule ID 5142 //
     /* 265873 */     // MIs[0] Operand 1
     /* 265873 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 265878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 265882 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265888 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265896 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 265899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 265903 */     GIR_RootConstrainSelectedInstOperands,
     /* 265904 */     // GIR_Coverage, 5142,
     /* 265904 */     GIR_EraseRootFromParent_Done,
     /* 265905 */   // Label 5366: @265905
     /* 265905 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(265942), // Rule ID 5079 //
     /* 265910 */     // MIs[0] Operand 1
     /* 265910 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 265915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265923 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265929 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265933 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 265936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265940 */     GIR_RootConstrainSelectedInstOperands,
     /* 265941 */     // GIR_Coverage, 5079,
     /* 265941 */     GIR_EraseRootFromParent_Done,
     /* 265942 */   // Label 5367: @265942
     /* 265942 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(265979), // Rule ID 5086 //
     /* 265947 */     // MIs[0] Operand 1
     /* 265947 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 265952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265960 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 265966 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 265968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265970 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 265970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 265973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 265977 */     GIR_RootConstrainSelectedInstOperands,
     /* 265978 */     // GIR_Coverage, 5086,
     /* 265978 */     GIR_EraseRootFromParent_Done,
     /* 265979 */   // Label 5368: @265979
     /* 265979 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(266016), // Rule ID 5093 //
     /* 265984 */     // MIs[0] Operand 1
     /* 265984 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 265989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 265997 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266003 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266007 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 266007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 266010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266014 */     GIR_RootConstrainSelectedInstOperands,
     /* 266015 */     // GIR_Coverage, 5093,
     /* 266015 */     GIR_EraseRootFromParent_Done,
     /* 266016 */   // Label 5369: @266016
     /* 266016 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(266053), // Rule ID 5100 //
     /* 266021 */     // MIs[0] Operand 1
     /* 266021 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 266026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266034 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266040 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266044 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 266044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 266047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266051 */     GIR_RootConstrainSelectedInstOperands,
     /* 266052 */     // GIR_Coverage, 5100,
     /* 266052 */     GIR_EraseRootFromParent_Done,
     /* 266053 */   // Label 5370: @266053
     /* 266053 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(266090), // Rule ID 5107 //
     /* 266058 */     // MIs[0] Operand 1
     /* 266058 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 266063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266071 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266077 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266081 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 266081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 266084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266088 */     GIR_RootConstrainSelectedInstOperands,
     /* 266089 */     // GIR_Coverage, 5107,
     /* 266089 */     GIR_EraseRootFromParent_Done,
     /* 266090 */   // Label 5371: @266090
     /* 266090 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(266119), // Rule ID 5016 //
     /* 266095 */     // MIs[0] Operand 1
     /* 266095 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 266100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266108 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 266108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 266111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266117 */     GIR_RootConstrainSelectedInstOperands,
     /* 266118 */     // GIR_Coverage, 5016,
     /* 266118 */     GIR_EraseRootFromParent_Done,
     /* 266119 */   // Label 5372: @266119
     /* 266119 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(266148), // Rule ID 5023 //
     /* 266124 */     // MIs[0] Operand 1
     /* 266124 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 266129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266137 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 266137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 266140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266146 */     GIR_RootConstrainSelectedInstOperands,
     /* 266147 */     // GIR_Coverage, 5023,
     /* 266147 */     GIR_EraseRootFromParent_Done,
     /* 266148 */   // Label 5373: @266148
     /* 266148 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(266177), // Rule ID 5030 //
     /* 266153 */     // MIs[0] Operand 1
     /* 266153 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 266158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266166 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 266166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 266169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266175 */     GIR_RootConstrainSelectedInstOperands,
     /* 266176 */     // GIR_Coverage, 5030,
     /* 266176 */     GIR_EraseRootFromParent_Done,
     /* 266177 */   // Label 5374: @266177
     /* 266177 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(266206), // Rule ID 5037 //
     /* 266182 */     // MIs[0] Operand 1
     /* 266182 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 266187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266195 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 266195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 266198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266204 */     GIR_RootConstrainSelectedInstOperands,
     /* 266205 */     // GIR_Coverage, 5037,
     /* 266205 */     GIR_EraseRootFromParent_Done,
     /* 266206 */   // Label 5375: @266206
     /* 266206 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(266235), // Rule ID 5044 //
     /* 266211 */     // MIs[0] Operand 1
     /* 266211 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 266216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266224 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 266224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 266227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266233 */     GIR_RootConstrainSelectedInstOperands,
     /* 266234 */     // GIR_Coverage, 5044,
     /* 266234 */     GIR_EraseRootFromParent_Done,
     /* 266235 */   // Label 5376: @266235
     /* 266235 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(266264), // Rule ID 5051 //
     /* 266240 */     // MIs[0] Operand 1
     /* 266240 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 266245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266253 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 266253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 266256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266262 */     GIR_RootConstrainSelectedInstOperands,
     /* 266263 */     // GIR_Coverage, 5051,
     /* 266263 */     GIR_EraseRootFromParent_Done,
     /* 266264 */   // Label 5377: @266264
     /* 266264 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(266293), // Rule ID 5058 //
     /* 266269 */     // MIs[0] Operand 1
     /* 266269 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 266274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266282 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 266282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 266285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266291 */     GIR_RootConstrainSelectedInstOperands,
     /* 266292 */     // GIR_Coverage, 5058,
     /* 266292 */     GIR_EraseRootFromParent_Done,
     /* 266293 */   // Label 5378: @266293
     /* 266293 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(266322), // Rule ID 5065 //
     /* 266298 */     // MIs[0] Operand 1
     /* 266298 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 266303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266311 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 266311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 266314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266320 */     GIR_RootConstrainSelectedInstOperands,
     /* 266321 */     // GIR_Coverage, 5065,
     /* 266321 */     GIR_EraseRootFromParent_Done,
     /* 266322 */   // Label 5379: @266322
     /* 266322 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(266351), // Rule ID 5072 //
     /* 266327 */     // MIs[0] Operand 1
     /* 266327 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 266332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266340 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 266340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 266343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266349 */     GIR_RootConstrainSelectedInstOperands,
     /* 266350 */     // GIR_Coverage, 5072,
     /* 266350 */     GIR_EraseRootFromParent_Done,
     /* 266351 */   // Label 5380: @266351
     /* 266351 */   GIM_Reject,
     /* 266352 */ // Label 5361: @266352
     /* 266352 */ GIM_Reject,
     /* 266353 */ // Label 5297: @266353
     /* 266353 */ GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(267000),
     /* 266358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 266361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 266364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266368 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(266405), // Rule ID 5109 //
     /* 266373 */     // MIs[0] Operand 1
     /* 266373 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 266378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 266382 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266388 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266396 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 266399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 266403 */     GIR_RootConstrainSelectedInstOperands,
     /* 266404 */     // GIR_Coverage, 5109,
     /* 266404 */     GIR_EraseRootFromParent_Done,
     /* 266405 */   // Label 5382: @266405
     /* 266405 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(266442), // Rule ID 5116 //
     /* 266410 */     // MIs[0] Operand 1
     /* 266410 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 266415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 266419 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266425 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266433 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 266436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 266440 */     GIR_RootConstrainSelectedInstOperands,
     /* 266441 */     // GIR_Coverage, 5116,
     /* 266441 */     GIR_EraseRootFromParent_Done,
     /* 266442 */   // Label 5383: @266442
     /* 266442 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(266479), // Rule ID 5123 //
     /* 266447 */     // MIs[0] Operand 1
     /* 266447 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 266452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 266456 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266462 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266470 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 266473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 266477 */     GIR_RootConstrainSelectedInstOperands,
     /* 266478 */     // GIR_Coverage, 5123,
     /* 266478 */     GIR_EraseRootFromParent_Done,
     /* 266479 */   // Label 5384: @266479
     /* 266479 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(266516), // Rule ID 5130 //
     /* 266484 */     // MIs[0] Operand 1
     /* 266484 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 266489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 266493 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266499 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266507 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 266510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 266514 */     GIR_RootConstrainSelectedInstOperands,
     /* 266515 */     // GIR_Coverage, 5130,
     /* 266515 */     GIR_EraseRootFromParent_Done,
     /* 266516 */   // Label 5385: @266516
     /* 266516 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(266553), // Rule ID 5137 //
     /* 266521 */     // MIs[0] Operand 1
     /* 266521 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 266526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 266530 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266536 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266544 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 266547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 266551 */     GIR_RootConstrainSelectedInstOperands,
     /* 266552 */     // GIR_Coverage, 5137,
     /* 266552 */     GIR_EraseRootFromParent_Done,
     /* 266553 */   // Label 5386: @266553
     /* 266553 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(266590), // Rule ID 5074 //
     /* 266558 */     // MIs[0] Operand 1
     /* 266558 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 266563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266571 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266577 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266581 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 266584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266588 */     GIR_RootConstrainSelectedInstOperands,
     /* 266589 */     // GIR_Coverage, 5074,
     /* 266589 */     GIR_EraseRootFromParent_Done,
     /* 266590 */   // Label 5387: @266590
     /* 266590 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(266627), // Rule ID 5081 //
     /* 266595 */     // MIs[0] Operand 1
     /* 266595 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 266600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266608 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266614 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266618 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 266621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266625 */     GIR_RootConstrainSelectedInstOperands,
     /* 266626 */     // GIR_Coverage, 5081,
     /* 266626 */     GIR_EraseRootFromParent_Done,
     /* 266627 */   // Label 5388: @266627
     /* 266627 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(266664), // Rule ID 5088 //
     /* 266632 */     // MIs[0] Operand 1
     /* 266632 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 266637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266645 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266651 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266655 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 266658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266662 */     GIR_RootConstrainSelectedInstOperands,
     /* 266663 */     // GIR_Coverage, 5088,
     /* 266663 */     GIR_EraseRootFromParent_Done,
     /* 266664 */   // Label 5389: @266664
     /* 266664 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(266701), // Rule ID 5095 //
     /* 266669 */     // MIs[0] Operand 1
     /* 266669 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 266674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266682 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266688 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266692 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 266695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266699 */     GIR_RootConstrainSelectedInstOperands,
     /* 266700 */     // GIR_Coverage, 5095,
     /* 266700 */     GIR_EraseRootFromParent_Done,
     /* 266701 */   // Label 5390: @266701
     /* 266701 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(266738), // Rule ID 5102 //
     /* 266706 */     // MIs[0] Operand 1
     /* 266706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 266711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 266719 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 266725 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 266727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266729 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 266729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 266732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266736 */     GIR_RootConstrainSelectedInstOperands,
     /* 266737 */     // GIR_Coverage, 5102,
     /* 266737 */     GIR_EraseRootFromParent_Done,
     /* 266738 */   // Label 5391: @266738
     /* 266738 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(266767), // Rule ID 5011 //
     /* 266743 */     // MIs[0] Operand 1
     /* 266743 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 266748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266756 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 266756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 266759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266765 */     GIR_RootConstrainSelectedInstOperands,
     /* 266766 */     // GIR_Coverage, 5011,
     /* 266766 */     GIR_EraseRootFromParent_Done,
     /* 266767 */   // Label 5392: @266767
     /* 266767 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(266796), // Rule ID 5018 //
     /* 266772 */     // MIs[0] Operand 1
     /* 266772 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 266777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266785 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 266785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 266788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266794 */     GIR_RootConstrainSelectedInstOperands,
     /* 266795 */     // GIR_Coverage, 5018,
     /* 266795 */     GIR_EraseRootFromParent_Done,
     /* 266796 */   // Label 5393: @266796
     /* 266796 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(266825), // Rule ID 5025 //
     /* 266801 */     // MIs[0] Operand 1
     /* 266801 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 266806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266814 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 266814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 266817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266823 */     GIR_RootConstrainSelectedInstOperands,
     /* 266824 */     // GIR_Coverage, 5025,
     /* 266824 */     GIR_EraseRootFromParent_Done,
     /* 266825 */   // Label 5394: @266825
     /* 266825 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(266854), // Rule ID 5032 //
     /* 266830 */     // MIs[0] Operand 1
     /* 266830 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 266835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266843 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 266843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 266846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266852 */     GIR_RootConstrainSelectedInstOperands,
     /* 266853 */     // GIR_Coverage, 5032,
     /* 266853 */     GIR_EraseRootFromParent_Done,
     /* 266854 */   // Label 5395: @266854
     /* 266854 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(266883), // Rule ID 5039 //
     /* 266859 */     // MIs[0] Operand 1
     /* 266859 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 266864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266872 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 266872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 266875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266881 */     GIR_RootConstrainSelectedInstOperands,
     /* 266882 */     // GIR_Coverage, 5039,
     /* 266882 */     GIR_EraseRootFromParent_Done,
     /* 266883 */   // Label 5396: @266883
     /* 266883 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(266912), // Rule ID 5046 //
     /* 266888 */     // MIs[0] Operand 1
     /* 266888 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 266893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266901 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 266901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 266904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266910 */     GIR_RootConstrainSelectedInstOperands,
     /* 266911 */     // GIR_Coverage, 5046,
     /* 266911 */     GIR_EraseRootFromParent_Done,
     /* 266912 */   // Label 5397: @266912
     /* 266912 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(266941), // Rule ID 5053 //
     /* 266917 */     // MIs[0] Operand 1
     /* 266917 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 266922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266930 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 266930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 266933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266939 */     GIR_RootConstrainSelectedInstOperands,
     /* 266940 */     // GIR_Coverage, 5053,
     /* 266940 */     GIR_EraseRootFromParent_Done,
     /* 266941 */   // Label 5398: @266941
     /* 266941 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(266970), // Rule ID 5060 //
     /* 266946 */     // MIs[0] Operand 1
     /* 266946 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 266951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266959 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 266959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 266962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266968 */     GIR_RootConstrainSelectedInstOperands,
     /* 266969 */     // GIR_Coverage, 5060,
     /* 266969 */     GIR_EraseRootFromParent_Done,
     /* 266970 */   // Label 5399: @266970
     /* 266970 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(266999), // Rule ID 5067 //
     /* 266975 */     // MIs[0] Operand 1
     /* 266975 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 266980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266988 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 266988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 266991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 266995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 266997 */     GIR_RootConstrainSelectedInstOperands,
     /* 266998 */     // GIR_Coverage, 5067,
     /* 266998 */     GIR_EraseRootFromParent_Done,
     /* 266999 */   // Label 5400: @266999
     /* 266999 */   GIM_Reject,
     /* 267000 */ // Label 5381: @267000
     /* 267000 */ GIM_Reject,
     /* 267001 */ // Label 5298: @267001
     /* 267001 */ GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(267648),
     /* 267006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 267009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 267012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267016 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(267053), // Rule ID 5112 //
     /* 267021 */     // MIs[0] Operand 1
     /* 267021 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 267026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267030 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267036 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267044 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 267047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267051 */     GIR_RootConstrainSelectedInstOperands,
     /* 267052 */     // GIR_Coverage, 5112,
     /* 267052 */     GIR_EraseRootFromParent_Done,
     /* 267053 */   // Label 5402: @267053
     /* 267053 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(267090), // Rule ID 5119 //
     /* 267058 */     // MIs[0] Operand 1
     /* 267058 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 267063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267067 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267073 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267081 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 267084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267088 */     GIR_RootConstrainSelectedInstOperands,
     /* 267089 */     // GIR_Coverage, 5119,
     /* 267089 */     GIR_EraseRootFromParent_Done,
     /* 267090 */   // Label 5403: @267090
     /* 267090 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(267127), // Rule ID 5126 //
     /* 267095 */     // MIs[0] Operand 1
     /* 267095 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 267100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267104 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267110 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267118 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 267121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267125 */     GIR_RootConstrainSelectedInstOperands,
     /* 267126 */     // GIR_Coverage, 5126,
     /* 267126 */     GIR_EraseRootFromParent_Done,
     /* 267127 */   // Label 5404: @267127
     /* 267127 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(267164), // Rule ID 5133 //
     /* 267132 */     // MIs[0] Operand 1
     /* 267132 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 267137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267141 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267147 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267155 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 267158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267162 */     GIR_RootConstrainSelectedInstOperands,
     /* 267163 */     // GIR_Coverage, 5133,
     /* 267163 */     GIR_EraseRootFromParent_Done,
     /* 267164 */   // Label 5405: @267164
     /* 267164 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(267201), // Rule ID 5140 //
     /* 267169 */     // MIs[0] Operand 1
     /* 267169 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 267174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267178 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267184 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267192 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 267195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267199 */     GIR_RootConstrainSelectedInstOperands,
     /* 267200 */     // GIR_Coverage, 5140,
     /* 267200 */     GIR_EraseRootFromParent_Done,
     /* 267201 */   // Label 5406: @267201
     /* 267201 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(267238), // Rule ID 5077 //
     /* 267206 */     // MIs[0] Operand 1
     /* 267206 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 267211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267219 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267225 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267229 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 267232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267236 */     GIR_RootConstrainSelectedInstOperands,
     /* 267237 */     // GIR_Coverage, 5077,
     /* 267237 */     GIR_EraseRootFromParent_Done,
     /* 267238 */   // Label 5407: @267238
     /* 267238 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(267275), // Rule ID 5084 //
     /* 267243 */     // MIs[0] Operand 1
     /* 267243 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 267248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267256 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267262 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267266 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 267269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267273 */     GIR_RootConstrainSelectedInstOperands,
     /* 267274 */     // GIR_Coverage, 5084,
     /* 267274 */     GIR_EraseRootFromParent_Done,
     /* 267275 */   // Label 5408: @267275
     /* 267275 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(267312), // Rule ID 5091 //
     /* 267280 */     // MIs[0] Operand 1
     /* 267280 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 267285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267293 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267299 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267303 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 267306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267310 */     GIR_RootConstrainSelectedInstOperands,
     /* 267311 */     // GIR_Coverage, 5091,
     /* 267311 */     GIR_EraseRootFromParent_Done,
     /* 267312 */   // Label 5409: @267312
     /* 267312 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(267349), // Rule ID 5098 //
     /* 267317 */     // MIs[0] Operand 1
     /* 267317 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 267322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267330 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267336 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267340 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 267343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267347 */     GIR_RootConstrainSelectedInstOperands,
     /* 267348 */     // GIR_Coverage, 5098,
     /* 267348 */     GIR_EraseRootFromParent_Done,
     /* 267349 */   // Label 5410: @267349
     /* 267349 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(267386), // Rule ID 5105 //
     /* 267354 */     // MIs[0] Operand 1
     /* 267354 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 267359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267367 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267373 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267377 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 267377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 267380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267384 */     GIR_RootConstrainSelectedInstOperands,
     /* 267385 */     // GIR_Coverage, 5105,
     /* 267385 */     GIR_EraseRootFromParent_Done,
     /* 267386 */   // Label 5411: @267386
     /* 267386 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(267415), // Rule ID 5014 //
     /* 267391 */     // MIs[0] Operand 1
     /* 267391 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 267396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267404 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 267404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 267407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267413 */     GIR_RootConstrainSelectedInstOperands,
     /* 267414 */     // GIR_Coverage, 5014,
     /* 267414 */     GIR_EraseRootFromParent_Done,
     /* 267415 */   // Label 5412: @267415
     /* 267415 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(267444), // Rule ID 5021 //
     /* 267420 */     // MIs[0] Operand 1
     /* 267420 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 267425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267433 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 267433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 267436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267442 */     GIR_RootConstrainSelectedInstOperands,
     /* 267443 */     // GIR_Coverage, 5021,
     /* 267443 */     GIR_EraseRootFromParent_Done,
     /* 267444 */   // Label 5413: @267444
     /* 267444 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(267473), // Rule ID 5028 //
     /* 267449 */     // MIs[0] Operand 1
     /* 267449 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 267454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267462 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 267462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 267465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267471 */     GIR_RootConstrainSelectedInstOperands,
     /* 267472 */     // GIR_Coverage, 5028,
     /* 267472 */     GIR_EraseRootFromParent_Done,
     /* 267473 */   // Label 5414: @267473
     /* 267473 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(267502), // Rule ID 5035 //
     /* 267478 */     // MIs[0] Operand 1
     /* 267478 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 267483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267491 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 267491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 267494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267500 */     GIR_RootConstrainSelectedInstOperands,
     /* 267501 */     // GIR_Coverage, 5035,
     /* 267501 */     GIR_EraseRootFromParent_Done,
     /* 267502 */   // Label 5415: @267502
     /* 267502 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(267531), // Rule ID 5042 //
     /* 267507 */     // MIs[0] Operand 1
     /* 267507 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 267512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267520 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 267520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 267523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267529 */     GIR_RootConstrainSelectedInstOperands,
     /* 267530 */     // GIR_Coverage, 5042,
     /* 267530 */     GIR_EraseRootFromParent_Done,
     /* 267531 */   // Label 5416: @267531
     /* 267531 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(267560), // Rule ID 5049 //
     /* 267536 */     // MIs[0] Operand 1
     /* 267536 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 267541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267549 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 267549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 267552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267558 */     GIR_RootConstrainSelectedInstOperands,
     /* 267559 */     // GIR_Coverage, 5049,
     /* 267559 */     GIR_EraseRootFromParent_Done,
     /* 267560 */   // Label 5417: @267560
     /* 267560 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(267589), // Rule ID 5056 //
     /* 267565 */     // MIs[0] Operand 1
     /* 267565 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 267570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267578 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 267578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 267581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267587 */     GIR_RootConstrainSelectedInstOperands,
     /* 267588 */     // GIR_Coverage, 5056,
     /* 267588 */     GIR_EraseRootFromParent_Done,
     /* 267589 */   // Label 5418: @267589
     /* 267589 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(267618), // Rule ID 5063 //
     /* 267594 */     // MIs[0] Operand 1
     /* 267594 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 267599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267607 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 267607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 267610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267616 */     GIR_RootConstrainSelectedInstOperands,
     /* 267617 */     // GIR_Coverage, 5063,
     /* 267617 */     GIR_EraseRootFromParent_Done,
     /* 267618 */   // Label 5419: @267618
     /* 267618 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(267647), // Rule ID 5070 //
     /* 267623 */     // MIs[0] Operand 1
     /* 267623 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 267628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267636 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 267636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 267639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267641 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 267643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267645 */     GIR_RootConstrainSelectedInstOperands,
     /* 267646 */     // GIR_Coverage, 5070,
     /* 267646 */     GIR_EraseRootFromParent_Done,
     /* 267647 */   // Label 5420: @267647
     /* 267647 */   GIM_Reject,
     /* 267648 */ // Label 5401: @267648
     /* 267648 */ GIM_Reject,
     /* 267649 */ // Label 5299: @267649
     /* 267649 */ GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(268296),
     /* 267654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 267657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 267660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267664 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(267701), // Rule ID 5110 //
     /* 267669 */     // MIs[0] Operand 1
     /* 267669 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 267674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267678 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267684 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267692 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 267695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267699 */     GIR_RootConstrainSelectedInstOperands,
     /* 267700 */     // GIR_Coverage, 5110,
     /* 267700 */     GIR_EraseRootFromParent_Done,
     /* 267701 */   // Label 5422: @267701
     /* 267701 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(267738), // Rule ID 5117 //
     /* 267706 */     // MIs[0] Operand 1
     /* 267706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 267711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267715 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267729 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 267732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267736 */     GIR_RootConstrainSelectedInstOperands,
     /* 267737 */     // GIR_Coverage, 5117,
     /* 267737 */     GIR_EraseRootFromParent_Done,
     /* 267738 */   // Label 5423: @267738
     /* 267738 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(267775), // Rule ID 5124 //
     /* 267743 */     // MIs[0] Operand 1
     /* 267743 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 267748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267752 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267758 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267766 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 267769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267773 */     GIR_RootConstrainSelectedInstOperands,
     /* 267774 */     // GIR_Coverage, 5124,
     /* 267774 */     GIR_EraseRootFromParent_Done,
     /* 267775 */   // Label 5424: @267775
     /* 267775 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(267812), // Rule ID 5131 //
     /* 267780 */     // MIs[0] Operand 1
     /* 267780 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 267785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267789 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267795 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267803 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 267806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267810 */     GIR_RootConstrainSelectedInstOperands,
     /* 267811 */     // GIR_Coverage, 5131,
     /* 267811 */     GIR_EraseRootFromParent_Done,
     /* 267812 */   // Label 5425: @267812
     /* 267812 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(267849), // Rule ID 5138 //
     /* 267817 */     // MIs[0] Operand 1
     /* 267817 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 267822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 267826 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267832 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267840 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 267843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 267847 */     GIR_RootConstrainSelectedInstOperands,
     /* 267848 */     // GIR_Coverage, 5138,
     /* 267848 */     GIR_EraseRootFromParent_Done,
     /* 267849 */   // Label 5426: @267849
     /* 267849 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(267886), // Rule ID 5075 //
     /* 267854 */     // MIs[0] Operand 1
     /* 267854 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 267859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267867 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267873 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267877 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 267880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267884 */     GIR_RootConstrainSelectedInstOperands,
     /* 267885 */     // GIR_Coverage, 5075,
     /* 267885 */     GIR_EraseRootFromParent_Done,
     /* 267886 */   // Label 5427: @267886
     /* 267886 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(267923), // Rule ID 5082 //
     /* 267891 */     // MIs[0] Operand 1
     /* 267891 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 267896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267904 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267910 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267914 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 267917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267921 */     GIR_RootConstrainSelectedInstOperands,
     /* 267922 */     // GIR_Coverage, 5082,
     /* 267922 */     GIR_EraseRootFromParent_Done,
     /* 267923 */   // Label 5428: @267923
     /* 267923 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(267960), // Rule ID 5089 //
     /* 267928 */     // MIs[0] Operand 1
     /* 267928 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 267933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267941 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267947 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267951 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 267954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267958 */     GIR_RootConstrainSelectedInstOperands,
     /* 267959 */     // GIR_Coverage, 5089,
     /* 267959 */     GIR_EraseRootFromParent_Done,
     /* 267960 */   // Label 5429: @267960
     /* 267960 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(267997), // Rule ID 5096 //
     /* 267965 */     // MIs[0] Operand 1
     /* 267965 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 267970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 267978 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 267984 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 267986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267988 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 267988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 267991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 267993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 267995 */     GIR_RootConstrainSelectedInstOperands,
     /* 267996 */     // GIR_Coverage, 5096,
     /* 267996 */     GIR_EraseRootFromParent_Done,
     /* 267997 */   // Label 5430: @267997
     /* 267997 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(268034), // Rule ID 5103 //
     /* 268002 */     // MIs[0] Operand 1
     /* 268002 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 268007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 268015 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 268021 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 268023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268025 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 268025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 268028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268032 */     GIR_RootConstrainSelectedInstOperands,
     /* 268033 */     // GIR_Coverage, 5103,
     /* 268033 */     GIR_EraseRootFromParent_Done,
     /* 268034 */   // Label 5431: @268034
     /* 268034 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(268063), // Rule ID 5012 //
     /* 268039 */     // MIs[0] Operand 1
     /* 268039 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 268044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268052 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 268055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268061 */     GIR_RootConstrainSelectedInstOperands,
     /* 268062 */     // GIR_Coverage, 5012,
     /* 268062 */     GIR_EraseRootFromParent_Done,
     /* 268063 */   // Label 5432: @268063
     /* 268063 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(268092), // Rule ID 5019 //
     /* 268068 */     // MIs[0] Operand 1
     /* 268068 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 268073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268081 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 268084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268090 */     GIR_RootConstrainSelectedInstOperands,
     /* 268091 */     // GIR_Coverage, 5019,
     /* 268091 */     GIR_EraseRootFromParent_Done,
     /* 268092 */   // Label 5433: @268092
     /* 268092 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(268121), // Rule ID 5026 //
     /* 268097 */     // MIs[0] Operand 1
     /* 268097 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 268102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268110 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 268113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268119 */     GIR_RootConstrainSelectedInstOperands,
     /* 268120 */     // GIR_Coverage, 5026,
     /* 268120 */     GIR_EraseRootFromParent_Done,
     /* 268121 */   // Label 5434: @268121
     /* 268121 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(268150), // Rule ID 5033 //
     /* 268126 */     // MIs[0] Operand 1
     /* 268126 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 268131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268139 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 268142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268148 */     GIR_RootConstrainSelectedInstOperands,
     /* 268149 */     // GIR_Coverage, 5033,
     /* 268149 */     GIR_EraseRootFromParent_Done,
     /* 268150 */   // Label 5435: @268150
     /* 268150 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(268179), // Rule ID 5040 //
     /* 268155 */     // MIs[0] Operand 1
     /* 268155 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 268160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268168 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 268171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268177 */     GIR_RootConstrainSelectedInstOperands,
     /* 268178 */     // GIR_Coverage, 5040,
     /* 268178 */     GIR_EraseRootFromParent_Done,
     /* 268179 */   // Label 5436: @268179
     /* 268179 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(268208), // Rule ID 5047 //
     /* 268184 */     // MIs[0] Operand 1
     /* 268184 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 268189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268197 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 268197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 268200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268202 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268206 */     GIR_RootConstrainSelectedInstOperands,
     /* 268207 */     // GIR_Coverage, 5047,
     /* 268207 */     GIR_EraseRootFromParent_Done,
     /* 268208 */   // Label 5437: @268208
     /* 268208 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(268237), // Rule ID 5054 //
     /* 268213 */     // MIs[0] Operand 1
     /* 268213 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 268218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268226 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 268226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 268229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268235 */     GIR_RootConstrainSelectedInstOperands,
     /* 268236 */     // GIR_Coverage, 5054,
     /* 268236 */     GIR_EraseRootFromParent_Done,
     /* 268237 */   // Label 5438: @268237
     /* 268237 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(268266), // Rule ID 5061 //
     /* 268242 */     // MIs[0] Operand 1
     /* 268242 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 268247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268255 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 268255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 268258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268264 */     GIR_RootConstrainSelectedInstOperands,
     /* 268265 */     // GIR_Coverage, 5061,
     /* 268265 */     GIR_EraseRootFromParent_Done,
     /* 268266 */   // Label 5439: @268266
     /* 268266 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(268295), // Rule ID 5068 //
     /* 268271 */     // MIs[0] Operand 1
     /* 268271 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 268276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268284 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 268284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 268287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 268291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 268293 */     GIR_RootConstrainSelectedInstOperands,
     /* 268294 */     // GIR_Coverage, 5068,
     /* 268294 */     GIR_EraseRootFromParent_Done,
     /* 268295 */   // Label 5440: @268295
     /* 268295 */   GIM_Reject,
     /* 268296 */ // Label 5421: @268296
     /* 268296 */ GIM_Reject,
     /* 268297 */ // Label 5300: @268297
     /* 268297 */ GIM_Reject,
     /* 268298 */ // Label 47: @268298
     /* 268298 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(24), /*)*//*default:*//*Label 5453*/ GIMT_Encode4(269003),
     /* 268309 */ /*GILLT_nxv1s1*//*Label 5441*/ GIMT_Encode4(268357),
     /* 268313 */ /*GILLT_nxv2s1*//*Label 5442*/ GIMT_Encode4(268386),
     /* 268317 */ /*GILLT_nxv2s16*//*Label 5443*/ GIMT_Encode4(268415),
     /* 268321 */ /*GILLT_nxv2s32*//*Label 5444*/ GIMT_Encode4(268444),
     /* 268325 */ /*GILLT_nxv2s64*//*Label 5445*/ GIMT_Encode4(268473),
     /* 268329 */ /*GILLT_nxv4s1*//*Label 5446*/ GIMT_Encode4(268582),
     /* 268333 */ /*GILLT_nxv4s16*//*Label 5447*/ GIMT_Encode4(268611),
     /* 268337 */ /*GILLT_nxv4s32*//*Label 5448*/ GIMT_Encode4(268640),
     /* 268341 */ /*GILLT_nxv8s1*//*Label 5449*/ GIMT_Encode4(268749),
     /* 268345 */ /*GILLT_nxv8s16*//*Label 5450*/ GIMT_Encode4(268778),
     /* 268349 */ /*GILLT_nxv16s1*//*Label 5451*/ GIMT_Encode4(268887),
     /* 268353 */ /*GILLT_nxv16s8*//*Label 5452*/ GIMT_Encode4(268916),
     /* 268357 */ // Label 5441: @268357
     /* 268357 */ GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(268385), // Rule ID 8279 //
     /* 268362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 268368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 268371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 268374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 268378 */   // (vselect:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 268378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 268383 */   GIR_RootConstrainSelectedInstOperands,
     /* 268384 */   // GIR_Coverage, 8279,
     /* 268384 */   GIR_Done,
     /* 268385 */ // Label 5454: @268385
     /* 268385 */ GIM_Reject,
     /* 268386 */ // Label 5442: @268386
     /* 268386 */ GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(268414), // Rule ID 8278 //
     /* 268391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 268397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 268400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 268403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 268407 */   // (vselect:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 268407 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 268412 */   GIR_RootConstrainSelectedInstOperands,
     /* 268413 */   // GIR_Coverage, 8278,
     /* 268413 */   GIR_Done,
     /* 268414 */ // Label 5455: @268414
     /* 268414 */ GIM_Reject,
     /* 268415 */ // Label 5443: @268415
     /* 268415 */ GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(268443), // Rule ID 2727 //
     /* 268420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 268426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 268429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 268432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268436 */   // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 268436 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 268441 */   GIR_RootConstrainSelectedInstOperands,
     /* 268442 */   // GIR_Coverage, 2727,
     /* 268442 */   GIR_Done,
     /* 268443 */ // Label 5456: @268443
     /* 268443 */ GIM_Reject,
     /* 268444 */ // Label 5444: @268444
     /* 268444 */ GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(268472), // Rule ID 2728 //
     /* 268449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 268455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 268458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 268461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268465 */   // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 268465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 268470 */   GIR_RootConstrainSelectedInstOperands,
     /* 268471 */   // GIR_Coverage, 2728,
     /* 268471 */   GIR_Done,
     /* 268472 */ // Label 5457: @268472
     /* 268472 */ GIM_Reject,
     /* 268473 */ // Label 5445: @268473
     /* 268473 */ GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(268581),
     /* 268478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 268481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 268484 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(268536), // Rule ID 7329 //
     /* 268489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 268500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 268504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 268508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 268512 */     // MIs[0] Op2
     /* 268512 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 268517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268519 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 268519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 268522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 268524 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 268526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 268530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 268534 */     GIR_RootConstrainSelectedInstOperands,
     /* 268535 */     // GIR_Coverage, 7329,
     /* 268535 */     GIR_EraseRootFromParent_Done,
     /* 268536 */   // Label 5459: @268536
     /* 268536 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(268558), // Rule ID 2723 //
     /* 268541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 268547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268551 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 268551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 268556 */     GIR_RootConstrainSelectedInstOperands,
     /* 268557 */     // GIR_Coverage, 2723,
     /* 268557 */     GIR_Done,
     /* 268558 */   // Label 5460: @268558
     /* 268558 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(268580), // Rule ID 2729 //
     /* 268563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 268569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268573 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 268573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 268578 */     GIR_RootConstrainSelectedInstOperands,
     /* 268579 */     // GIR_Coverage, 2729,
     /* 268579 */     GIR_Done,
     /* 268580 */   // Label 5461: @268580
     /* 268580 */   GIM_Reject,
     /* 268581 */ // Label 5458: @268581
     /* 268581 */ GIM_Reject,
     /* 268582 */ // Label 5446: @268582
     /* 268582 */ GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(268610), // Rule ID 8277 //
     /* 268587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 268593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 268596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 268599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 268603 */   // (vselect:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 268603 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 268608 */   GIR_RootConstrainSelectedInstOperands,
     /* 268609 */   // GIR_Coverage, 8277,
     /* 268609 */   GIR_Done,
     /* 268610 */ // Label 5462: @268610
     /* 268610 */ GIM_Reject,
     /* 268611 */ // Label 5447: @268611
     /* 268611 */ GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(268639), // Rule ID 2725 //
     /* 268616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 268622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 268625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 268628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268632 */   // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 268632 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 268637 */   GIR_RootConstrainSelectedInstOperands,
     /* 268638 */   // GIR_Coverage, 2725,
     /* 268638 */   GIR_Done,
     /* 268639 */ // Label 5463: @268639
     /* 268639 */ GIM_Reject,
     /* 268640 */ // Label 5448: @268640
     /* 268640 */ GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(268748),
     /* 268645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 268648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 268651 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(268703), // Rule ID 7327 //
     /* 268656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 268667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 268671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 268675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 268679 */     // MIs[0] Op2
     /* 268679 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 268684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268686 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 268686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 268689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 268691 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 268693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 268697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 268701 */     GIR_RootConstrainSelectedInstOperands,
     /* 268702 */     // GIR_Coverage, 7327,
     /* 268702 */     GIR_EraseRootFromParent_Done,
     /* 268703 */   // Label 5465: @268703
     /* 268703 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(268725), // Rule ID 2722 //
     /* 268708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 268714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268718 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 268718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 268723 */     GIR_RootConstrainSelectedInstOperands,
     /* 268724 */     // GIR_Coverage, 2722,
     /* 268724 */     GIR_Done,
     /* 268725 */   // Label 5466: @268725
     /* 268725 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(268747), // Rule ID 2726 //
     /* 268730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 268736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268740 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 268740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 268745 */     GIR_RootConstrainSelectedInstOperands,
     /* 268746 */     // GIR_Coverage, 2726,
     /* 268746 */     GIR_Done,
     /* 268747 */   // Label 5467: @268747
     /* 268747 */   GIM_Reject,
     /* 268748 */ // Label 5464: @268748
     /* 268748 */ GIM_Reject,
     /* 268749 */ // Label 5449: @268749
     /* 268749 */ GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(268777), // Rule ID 8276 //
     /* 268754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 268760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 268763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 268766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 268770 */   // (vselect:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 268770 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 268775 */   GIR_RootConstrainSelectedInstOperands,
     /* 268776 */   // GIR_Coverage, 8276,
     /* 268776 */   GIR_Done,
     /* 268777 */ // Label 5468: @268777
     /* 268777 */ GIM_Reject,
     /* 268778 */ // Label 5450: @268778
     /* 268778 */ GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(268886),
     /* 268783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 268786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 268789 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(268841), // Rule ID 7325 //
     /* 268794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 268805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 268809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 268813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 268817 */     // MIs[0] Op2
     /* 268817 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 268822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268824 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 268824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 268827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 268829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 268831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 268835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 268839 */     GIR_RootConstrainSelectedInstOperands,
     /* 268840 */     // GIR_Coverage, 7325,
     /* 268840 */     GIR_EraseRootFromParent_Done,
     /* 268841 */   // Label 5470: @268841
     /* 268841 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(268863), // Rule ID 2721 //
     /* 268846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 268852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268856 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 268856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 268861 */     GIR_RootConstrainSelectedInstOperands,
     /* 268862 */     // GIR_Coverage, 2721,
     /* 268862 */     GIR_Done,
     /* 268863 */   // Label 5471: @268863
     /* 268863 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(268885), // Rule ID 2724 //
     /* 268868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 268874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268878 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 268878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 268883 */     GIR_RootConstrainSelectedInstOperands,
     /* 268884 */     // GIR_Coverage, 2724,
     /* 268884 */     GIR_Done,
     /* 268885 */   // Label 5472: @268885
     /* 268885 */   GIM_Reject,
     /* 268886 */ // Label 5469: @268886
     /* 268886 */ GIM_Reject,
     /* 268887 */ // Label 5451: @268887
     /* 268887 */ GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(268915), // Rule ID 8275 //
     /* 268892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 268898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 268901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 268904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 268908 */   // (vselect:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 268908 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 268913 */   GIR_RootConstrainSelectedInstOperands,
     /* 268914 */   // GIR_Coverage, 8275,
     /* 268914 */   GIR_Done,
     /* 268915 */ // Label 5473: @268915
     /* 268915 */ GIM_Reject,
     /* 268916 */ // Label 5452: @268916
     /* 268916 */ GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(269002),
     /* 268921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 268924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 268927 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(268979), // Rule ID 7323 //
     /* 268932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 268943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 268947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 268951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 268955 */     // MIs[0] Op2
     /* 268955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 268960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268962 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 268962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 268965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 268967 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 268969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 268973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 268977 */     GIR_RootConstrainSelectedInstOperands,
     /* 268978 */     // GIR_Coverage, 7323,
     /* 268978 */     GIR_EraseRootFromParent_Done,
     /* 268979 */   // Label 5475: @268979
     /* 268979 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(269001), // Rule ID 2720 //
     /* 268984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 268987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 268990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 268994 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SEL_ZPZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 268994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_B),
     /* 268999 */     GIR_RootConstrainSelectedInstOperands,
     /* 269000 */     // GIR_Coverage, 2720,
     /* 269000 */     GIR_Done,
     /* 269001 */   // Label 5476: @269001
     /* 269001 */   GIM_Reject,
     /* 269002 */ // Label 5474: @269002
     /* 269002 */ GIM_Reject,
     /* 269003 */ // Label 5453: @269003
     /* 269003 */ GIM_Reject,
     /* 269004 */ // Label 48: @269004
     /* 269004 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5481*/ GIMT_Encode4(269487),
     /* 269015 */ /*GILLT_s64*//*Label 5477*/ GIMT_Encode4(269051), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 269035 */ /*GILLT_v4s32*//*Label 5478*/ GIMT_Encode4(269082), GIMT_Encode4(0),
     /* 269043 */ /*GILLT_v8s16*//*Label 5479*/ GIMT_Encode4(269217),
     /* 269047 */ /*GILLT_v16s8*//*Label 5480*/ GIMT_Encode4(269352),
     /* 269051 */ // Label 5477: @269051
     /* 269051 */ GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(269081), // Rule ID 128 //
     /* 269056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 269059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269074 */   // (mulhu:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 269074 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULHrr),
     /* 269079 */   GIR_RootConstrainSelectedInstOperands,
     /* 269080 */   // GIR_Coverage, 128,
     /* 269080 */   GIR_Done,
     /* 269081 */ // Label 5482: @269081
     /* 269081 */ GIM_Reject,
     /* 269082 */ // Label 5478: @269082
     /* 269082 */ GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(269216), // Rule ID 6425 //
     /* 269087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 269090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 269093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269105 */   // (mulhu:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (UMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (UMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 269105 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269108 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 269112 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269117 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269121 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269127 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269130 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269134 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269139 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269145 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269150 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269155 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269158 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269162 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269167 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269173 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269178 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 269190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269195 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269198 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 269206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269214 */   GIR_RootConstrainSelectedInstOperands,
     /* 269215 */   // GIR_Coverage, 6425,
     /* 269215 */   GIR_EraseRootFromParent_Done,
     /* 269216 */ // Label 5483: @269216
     /* 269216 */ GIM_Reject,
     /* 269217 */ // Label 5479: @269217
     /* 269217 */ GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(269351), // Rule ID 6424 //
     /* 269222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 269225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 269228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269240 */   // (mulhu:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (UMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (UMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 269240 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269243 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 269247 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269252 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269256 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269262 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269265 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269269 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269274 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269280 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269285 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269290 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269293 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269297 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269302 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269308 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269313 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269318 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269321 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 269325 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269330 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269333 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 269341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269349 */   GIR_RootConstrainSelectedInstOperands,
     /* 269350 */   // GIR_Coverage, 6424,
     /* 269350 */   GIR_EraseRootFromParent_Done,
     /* 269351 */ // Label 5484: @269351
     /* 269351 */ GIM_Reject,
     /* 269352 */ // Label 5480: @269352
     /* 269352 */ GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(269486), // Rule ID 6423 //
     /* 269357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 269360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 269363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269375 */   // (mulhu:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (UMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (UMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 269375 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269378 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 269382 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269387 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269391 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269395 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269397 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269400 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269404 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269409 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269415 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269420 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269425 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269428 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269432 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269437 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269443 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269448 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 269460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269465 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269468 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 269476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269484 */   GIR_RootConstrainSelectedInstOperands,
     /* 269485 */   // GIR_Coverage, 6423,
     /* 269485 */   GIR_EraseRootFromParent_Done,
     /* 269486 */ // Label 5485: @269486
     /* 269486 */ GIM_Reject,
     /* 269487 */ // Label 5481: @269487
     /* 269487 */ GIM_Reject,
     /* 269488 */ // Label 49: @269488
     /* 269488 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5490*/ GIMT_Encode4(269971),
     /* 269499 */ /*GILLT_s64*//*Label 5486*/ GIMT_Encode4(269535), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 269519 */ /*GILLT_v4s32*//*Label 5487*/ GIMT_Encode4(269566), GIMT_Encode4(0),
     /* 269527 */ /*GILLT_v8s16*//*Label 5488*/ GIMT_Encode4(269701),
     /* 269531 */ /*GILLT_v16s8*//*Label 5489*/ GIMT_Encode4(269836),
     /* 269535 */ // Label 5486: @269535
     /* 269535 */ GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(269565), // Rule ID 127 //
     /* 269540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 269543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269558 */   // (mulhs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 269558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULHrr),
     /* 269563 */   GIR_RootConstrainSelectedInstOperands,
     /* 269564 */   // GIR_Coverage, 127,
     /* 269564 */   GIR_Done,
     /* 269565 */ // Label 5491: @269565
     /* 269565 */ GIM_Reject,
     /* 269566 */ // Label 5487: @269566
     /* 269566 */ GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(269700), // Rule ID 6422 //
     /* 269571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 269574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 269577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269589 */   // (mulhs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (SMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (SMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 269589 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269592 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 269596 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269601 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269605 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269611 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269614 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269618 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269623 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269629 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269634 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269639 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269642 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269646 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269651 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269657 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269662 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 269674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269679 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269682 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269685 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 269690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269692 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269698 */   GIR_RootConstrainSelectedInstOperands,
     /* 269699 */   // GIR_Coverage, 6422,
     /* 269699 */   GIR_EraseRootFromParent_Done,
     /* 269700 */ // Label 5492: @269700
     /* 269700 */ GIM_Reject,
     /* 269701 */ // Label 5488: @269701
     /* 269701 */ GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(269835), // Rule ID 6421 //
     /* 269706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 269709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 269712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269724 */   // (mulhs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (SMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (SMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 269724 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269727 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 269731 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269736 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269740 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269744 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269746 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269749 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269753 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269758 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269764 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269769 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269774 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269777 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269781 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269786 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269792 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269797 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 269809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269814 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269817 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 269825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269833 */   GIR_RootConstrainSelectedInstOperands,
     /* 269834 */   // GIR_Coverage, 6421,
     /* 269834 */   GIR_EraseRootFromParent_Done,
     /* 269835 */ // Label 5493: @269835
     /* 269835 */ GIM_Reject,
     /* 269836 */ // Label 5489: @269836
     /* 269836 */ GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(269970), // Rule ID 6420 //
     /* 269841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 269844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 269847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269859 */   // (mulhs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (SMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (SMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 269859 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 269862 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 269866 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269871 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 269875 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 269879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 269881 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 269884 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269888 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269893 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 269899 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269904 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269909 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 269912 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 269916 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269921 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 269927 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269932 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 269940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 269944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269949 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 269952 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 269955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 269957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 269960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 269968 */   GIR_RootConstrainSelectedInstOperands,
     /* 269969 */   // GIR_Coverage, 6420,
     /* 269969 */   GIR_EraseRootFromParent_Done,
     /* 269970 */ // Label 5494: @269970
     /* 269970 */ GIM_Reject,
     /* 269971 */ // Label 5490: @269971
     /* 269971 */ GIM_Reject,
     /* 269972 */ // Label 50: @269972
     /* 269972 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5506*/ GIMT_Encode4(270401),
     /* 269983 */ /*GILLT_v2s32*//*Label 5495*/ GIMT_Encode4(270059),
     /* 269987 */ /*GILLT_v2s64*//*Label 5496*/ GIMT_Encode4(270093),
     /* 269991 */ /*GILLT_v4s16*//*Label 5497*/ GIMT_Encode4(270127),
     /* 269995 */ /*GILLT_v4s32*//*Label 5498*/ GIMT_Encode4(270161),
     /* 269999 */ /*GILLT_v8s8*//*Label 5499*/ GIMT_Encode4(270195),
     /* 270003 */ /*GILLT_v8s16*//*Label 5500*/ GIMT_Encode4(270229),
     /* 270007 */ /*GILLT_v16s8*//*Label 5501*/ GIMT_Encode4(270263), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270027 */ /*GILLT_nxv2s64*//*Label 5502*/ GIMT_Encode4(270297), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270039 */ /*GILLT_nxv4s32*//*Label 5503*/ GIMT_Encode4(270323), GIMT_Encode4(0),
     /* 270047 */ /*GILLT_nxv8s16*//*Label 5504*/ GIMT_Encode4(270349), GIMT_Encode4(0),
     /* 270055 */ /*GILLT_nxv16s8*//*Label 5505*/ GIMT_Encode4(270375),
     /* 270059 */ // Label 5495: @270059
     /* 270059 */ GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(270092), // Rule ID 4960 //
     /* 270064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 270073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270085 */   // (uaddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 270085 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 270090 */   GIR_RootConstrainSelectedInstOperands,
     /* 270091 */   // GIR_Coverage, 4960,
     /* 270091 */   GIR_Done,
     /* 270092 */ // Label 5507: @270092
     /* 270092 */ GIM_Reject,
     /* 270093 */ // Label 5496: @270093
     /* 270093 */ GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(270126), // Rule ID 4964 //
     /* 270098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 270104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 270107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270119 */   // (uaddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 270119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 270124 */   GIR_RootConstrainSelectedInstOperands,
     /* 270125 */   // GIR_Coverage, 4964,
     /* 270125 */   GIR_Done,
     /* 270126 */ // Label 5508: @270126
     /* 270126 */ GIM_Reject,
     /* 270127 */ // Label 5497: @270127
     /* 270127 */ GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(270160), // Rule ID 4959 //
     /* 270132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270153 */   // (uaddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 270153 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 270158 */   GIR_RootConstrainSelectedInstOperands,
     /* 270159 */   // GIR_Coverage, 4959,
     /* 270159 */   GIR_Done,
     /* 270160 */ // Label 5509: @270160
     /* 270160 */ GIM_Reject,
     /* 270161 */ // Label 5498: @270161
     /* 270161 */ GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(270194), // Rule ID 4963 //
     /* 270166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 270172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270187 */   // (uaddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 270187 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 270192 */   GIR_RootConstrainSelectedInstOperands,
     /* 270193 */   // GIR_Coverage, 4963,
     /* 270193 */   GIR_Done,
     /* 270194 */ // Label 5510: @270194
     /* 270194 */ GIM_Reject,
     /* 270195 */ // Label 5499: @270195
     /* 270195 */ GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(270228), // Rule ID 4958 //
     /* 270200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 270209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270221 */   // (uaddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 270221 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 270226 */   GIR_RootConstrainSelectedInstOperands,
     /* 270227 */   // GIR_Coverage, 4958,
     /* 270227 */   GIR_Done,
     /* 270228 */ // Label 5511: @270228
     /* 270228 */ GIM_Reject,
     /* 270229 */ // Label 5500: @270229
     /* 270229 */ GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(270262), // Rule ID 4962 //
     /* 270234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 270240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270255 */   // (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 270255 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 270260 */   GIR_RootConstrainSelectedInstOperands,
     /* 270261 */   // GIR_Coverage, 4962,
     /* 270261 */   GIR_Done,
     /* 270262 */ // Label 5512: @270262
     /* 270262 */ GIM_Reject,
     /* 270263 */ // Label 5501: @270263
     /* 270263 */ GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(270296), // Rule ID 4961 //
     /* 270268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 270274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 270277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270289 */   // (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 270289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 270294 */   GIR_RootConstrainSelectedInstOperands,
     /* 270295 */   // GIR_Coverage, 4961,
     /* 270295 */   GIR_Done,
     /* 270296 */ // Label 5513: @270296
     /* 270296 */ GIM_Reject,
     /* 270297 */ // Label 5502: @270297
     /* 270297 */ GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(270322), // Rule ID 7281 //
     /* 270302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 270308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 270311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270315 */   // (uaddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 270315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_D),
     /* 270320 */   GIR_RootConstrainSelectedInstOperands,
     /* 270321 */   // GIR_Coverage, 7281,
     /* 270321 */   GIR_Done,
     /* 270322 */ // Label 5514: @270322
     /* 270322 */ GIM_Reject,
     /* 270323 */ // Label 5503: @270323
     /* 270323 */ GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(270348), // Rule ID 7280 //
     /* 270328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 270334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 270337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270341 */   // (uaddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 270341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_S),
     /* 270346 */   GIR_RootConstrainSelectedInstOperands,
     /* 270347 */   // GIR_Coverage, 7280,
     /* 270347 */   GIR_Done,
     /* 270348 */ // Label 5515: @270348
     /* 270348 */ GIM_Reject,
     /* 270349 */ // Label 5504: @270349
     /* 270349 */ GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(270374), // Rule ID 7279 //
     /* 270354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 270360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 270363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270367 */   // (uaddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 270367 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_H),
     /* 270372 */   GIR_RootConstrainSelectedInstOperands,
     /* 270373 */   // GIR_Coverage, 7279,
     /* 270373 */   GIR_Done,
     /* 270374 */ // Label 5516: @270374
     /* 270374 */ GIM_Reject,
     /* 270375 */ // Label 5505: @270375
     /* 270375 */ GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(270400), // Rule ID 7278 //
     /* 270380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 270386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 270389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270393 */   // (uaddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 270393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_B),
     /* 270398 */   GIR_RootConstrainSelectedInstOperands,
     /* 270399 */   // GIR_Coverage, 7278,
     /* 270399 */   GIR_Done,
     /* 270400 */ // Label 5517: @270400
     /* 270400 */ GIM_Reject,
     /* 270401 */ // Label 5506: @270401
     /* 270401 */ GIM_Reject,
     /* 270402 */ // Label 51: @270402
     /* 270402 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5529*/ GIMT_Encode4(270831),
     /* 270413 */ /*GILLT_v2s32*//*Label 5518*/ GIMT_Encode4(270489),
     /* 270417 */ /*GILLT_v2s64*//*Label 5519*/ GIMT_Encode4(270523),
     /* 270421 */ /*GILLT_v4s16*//*Label 5520*/ GIMT_Encode4(270557),
     /* 270425 */ /*GILLT_v4s32*//*Label 5521*/ GIMT_Encode4(270591),
     /* 270429 */ /*GILLT_v8s8*//*Label 5522*/ GIMT_Encode4(270625),
     /* 270433 */ /*GILLT_v8s16*//*Label 5523*/ GIMT_Encode4(270659),
     /* 270437 */ /*GILLT_v16s8*//*Label 5524*/ GIMT_Encode4(270693), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270457 */ /*GILLT_nxv2s64*//*Label 5525*/ GIMT_Encode4(270727), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270469 */ /*GILLT_nxv4s32*//*Label 5526*/ GIMT_Encode4(270753), GIMT_Encode4(0),
     /* 270477 */ /*GILLT_nxv8s16*//*Label 5527*/ GIMT_Encode4(270779), GIMT_Encode4(0),
     /* 270485 */ /*GILLT_nxv16s8*//*Label 5528*/ GIMT_Encode4(270805),
     /* 270489 */ // Label 5518: @270489
     /* 270489 */ GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(270522), // Rule ID 2468 //
     /* 270494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 270503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270515 */   // (saddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 270515 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 270520 */   GIR_RootConstrainSelectedInstOperands,
     /* 270521 */   // GIR_Coverage, 2468,
     /* 270521 */   GIR_Done,
     /* 270522 */ // Label 5530: @270522
     /* 270522 */ GIM_Reject,
     /* 270523 */ // Label 5519: @270523
     /* 270523 */ GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(270556), // Rule ID 2472 //
     /* 270528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 270534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 270537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270549 */   // (saddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 270549 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 270554 */   GIR_RootConstrainSelectedInstOperands,
     /* 270555 */   // GIR_Coverage, 2472,
     /* 270555 */   GIR_Done,
     /* 270556 */ // Label 5531: @270556
     /* 270556 */ GIM_Reject,
     /* 270557 */ // Label 5520: @270557
     /* 270557 */ GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(270590), // Rule ID 2467 //
     /* 270562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 270571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270583 */   // (saddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 270583 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 270588 */   GIR_RootConstrainSelectedInstOperands,
     /* 270589 */   // GIR_Coverage, 2467,
     /* 270589 */   GIR_Done,
     /* 270590 */ // Label 5532: @270590
     /* 270590 */ GIM_Reject,
     /* 270591 */ // Label 5521: @270591
     /* 270591 */ GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(270624), // Rule ID 2471 //
     /* 270596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 270602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270617 */   // (saddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 270617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 270622 */   GIR_RootConstrainSelectedInstOperands,
     /* 270623 */   // GIR_Coverage, 2471,
     /* 270623 */   GIR_Done,
     /* 270624 */ // Label 5533: @270624
     /* 270624 */ GIM_Reject,
     /* 270625 */ // Label 5522: @270625
     /* 270625 */ GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(270658), // Rule ID 2466 //
     /* 270630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 270639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270651 */   // (saddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 270651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 270656 */   GIR_RootConstrainSelectedInstOperands,
     /* 270657 */   // GIR_Coverage, 2466,
     /* 270657 */   GIR_Done,
     /* 270658 */ // Label 5534: @270658
     /* 270658 */ GIM_Reject,
     /* 270659 */ // Label 5523: @270659
     /* 270659 */ GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(270692), // Rule ID 2470 //
     /* 270664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 270670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270685 */   // (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 270685 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 270690 */   GIR_RootConstrainSelectedInstOperands,
     /* 270691 */   // GIR_Coverage, 2470,
     /* 270691 */   GIR_Done,
     /* 270692 */ // Label 5535: @270692
     /* 270692 */ GIM_Reject,
     /* 270693 */ // Label 5524: @270693
     /* 270693 */ GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(270726), // Rule ID 2469 //
     /* 270698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 270704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 270707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270719 */   // (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 270719 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 270724 */   GIR_RootConstrainSelectedInstOperands,
     /* 270725 */   // GIR_Coverage, 2469,
     /* 270725 */   GIR_Done,
     /* 270726 */ // Label 5536: @270726
     /* 270726 */ GIM_Reject,
     /* 270727 */ // Label 5525: @270727
     /* 270727 */ GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(270752), // Rule ID 7277 //
     /* 270732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 270738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 270741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270745 */   // (saddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 270745 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_D),
     /* 270750 */   GIR_RootConstrainSelectedInstOperands,
     /* 270751 */   // GIR_Coverage, 7277,
     /* 270751 */   GIR_Done,
     /* 270752 */ // Label 5537: @270752
     /* 270752 */ GIM_Reject,
     /* 270753 */ // Label 5526: @270753
     /* 270753 */ GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(270778), // Rule ID 7276 //
     /* 270758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 270764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 270767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270771 */   // (saddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 270771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_S),
     /* 270776 */   GIR_RootConstrainSelectedInstOperands,
     /* 270777 */   // GIR_Coverage, 7276,
     /* 270777 */   GIR_Done,
     /* 270778 */ // Label 5538: @270778
     /* 270778 */ GIM_Reject,
     /* 270779 */ // Label 5527: @270779
     /* 270779 */ GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(270804), // Rule ID 7275 //
     /* 270784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 270790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 270793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270797 */   // (saddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 270797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_H),
     /* 270802 */   GIR_RootConstrainSelectedInstOperands,
     /* 270803 */   // GIR_Coverage, 7275,
     /* 270803 */   GIR_Done,
     /* 270804 */ // Label 5539: @270804
     /* 270804 */ GIM_Reject,
     /* 270805 */ // Label 5528: @270805
     /* 270805 */ GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(270830), // Rule ID 7274 //
     /* 270810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 270813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 270816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 270819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 270823 */   // (saddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 270823 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_B),
     /* 270828 */   GIR_RootConstrainSelectedInstOperands,
     /* 270829 */   // GIR_Coverage, 7274,
     /* 270829 */   GIR_Done,
     /* 270830 */ // Label 5540: @270830
     /* 270830 */ GIM_Reject,
     /* 270831 */ // Label 5529: @270831
     /* 270831 */ GIM_Reject,
     /* 270832 */ // Label 52: @270832
     /* 270832 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5552*/ GIMT_Encode4(271261),
     /* 270843 */ /*GILLT_v2s32*//*Label 5541*/ GIMT_Encode4(270919),
     /* 270847 */ /*GILLT_v2s64*//*Label 5542*/ GIMT_Encode4(270953),
     /* 270851 */ /*GILLT_v4s16*//*Label 5543*/ GIMT_Encode4(270987),
     /* 270855 */ /*GILLT_v4s32*//*Label 5544*/ GIMT_Encode4(271021),
     /* 270859 */ /*GILLT_v8s8*//*Label 5545*/ GIMT_Encode4(271055),
     /* 270863 */ /*GILLT_v8s16*//*Label 5546*/ GIMT_Encode4(271089),
     /* 270867 */ /*GILLT_v16s8*//*Label 5547*/ GIMT_Encode4(271123), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270887 */ /*GILLT_nxv2s64*//*Label 5548*/ GIMT_Encode4(271157), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 270899 */ /*GILLT_nxv4s32*//*Label 5549*/ GIMT_Encode4(271183), GIMT_Encode4(0),
     /* 270907 */ /*GILLT_nxv8s16*//*Label 5550*/ GIMT_Encode4(271209), GIMT_Encode4(0),
     /* 270915 */ /*GILLT_nxv16s8*//*Label 5551*/ GIMT_Encode4(271235),
     /* 270919 */ // Label 5541: @270919
     /* 270919 */ GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(270952), // Rule ID 4974 //
     /* 270924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 270933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270945 */   // (usubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 270945 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 270950 */   GIR_RootConstrainSelectedInstOperands,
     /* 270951 */   // GIR_Coverage, 4974,
     /* 270951 */   GIR_Done,
     /* 270952 */ // Label 5553: @270952
     /* 270952 */ GIM_Reject,
     /* 270953 */ // Label 5542: @270953
     /* 270953 */ GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(270986), // Rule ID 4978 //
     /* 270958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 270964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 270967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270979 */   // (usubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 270979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 270984 */   GIR_RootConstrainSelectedInstOperands,
     /* 270985 */   // GIR_Coverage, 4978,
     /* 270985 */   GIR_Done,
     /* 270986 */ // Label 5554: @270986
     /* 270986 */ GIM_Reject,
     /* 270987 */ // Label 5543: @270987
     /* 270987 */ GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(271020), // Rule ID 4973 //
     /* 270992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 270995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 271001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271013 */   // (usubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 271013 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 271018 */   GIR_RootConstrainSelectedInstOperands,
     /* 271019 */   // GIR_Coverage, 4973,
     /* 271019 */   GIR_Done,
     /* 271020 */ // Label 5555: @271020
     /* 271020 */ GIM_Reject,
     /* 271021 */ // Label 5544: @271021
     /* 271021 */ GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(271054), // Rule ID 4977 //
     /* 271026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 271032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 271035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271047 */   // (usubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 271047 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 271052 */   GIR_RootConstrainSelectedInstOperands,
     /* 271053 */   // GIR_Coverage, 4977,
     /* 271053 */   GIR_Done,
     /* 271054 */ // Label 5556: @271054
     /* 271054 */ GIM_Reject,
     /* 271055 */ // Label 5545: @271055
     /* 271055 */ GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(271088), // Rule ID 4972 //
     /* 271060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 271066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 271069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271081 */   // (usubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 271081 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 271086 */   GIR_RootConstrainSelectedInstOperands,
     /* 271087 */   // GIR_Coverage, 4972,
     /* 271087 */   GIR_Done,
     /* 271088 */ // Label 5557: @271088
     /* 271088 */ GIM_Reject,
     /* 271089 */ // Label 5546: @271089
     /* 271089 */ GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(271122), // Rule ID 4976 //
     /* 271094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 271100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 271103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271115 */   // (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 271115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 271120 */   GIR_RootConstrainSelectedInstOperands,
     /* 271121 */   // GIR_Coverage, 4976,
     /* 271121 */   GIR_Done,
     /* 271122 */ // Label 5558: @271122
     /* 271122 */ GIM_Reject,
     /* 271123 */ // Label 5547: @271123
     /* 271123 */ GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(271156), // Rule ID 4975 //
     /* 271128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 271134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 271137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271149 */   // (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 271149 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 271154 */   GIR_RootConstrainSelectedInstOperands,
     /* 271155 */   // GIR_Coverage, 4975,
     /* 271155 */   GIR_Done,
     /* 271156 */ // Label 5559: @271156
     /* 271156 */ GIM_Reject,
     /* 271157 */ // Label 5548: @271157
     /* 271157 */ GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(271182), // Rule ID 7289 //
     /* 271162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 271168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 271171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271175 */   // (usubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 271175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_D),
     /* 271180 */   GIR_RootConstrainSelectedInstOperands,
     /* 271181 */   // GIR_Coverage, 7289,
     /* 271181 */   GIR_Done,
     /* 271182 */ // Label 5560: @271182
     /* 271182 */ GIM_Reject,
     /* 271183 */ // Label 5549: @271183
     /* 271183 */ GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(271208), // Rule ID 7288 //
     /* 271188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 271194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 271197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271201 */   // (usubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 271201 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_S),
     /* 271206 */   GIR_RootConstrainSelectedInstOperands,
     /* 271207 */   // GIR_Coverage, 7288,
     /* 271207 */   GIR_Done,
     /* 271208 */ // Label 5561: @271208
     /* 271208 */ GIM_Reject,
     /* 271209 */ // Label 5550: @271209
     /* 271209 */ GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(271234), // Rule ID 7287 //
     /* 271214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 271220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 271223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271227 */   // (usubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 271227 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_H),
     /* 271232 */   GIR_RootConstrainSelectedInstOperands,
     /* 271233 */   // GIR_Coverage, 7287,
     /* 271233 */   GIR_Done,
     /* 271234 */ // Label 5562: @271234
     /* 271234 */ GIM_Reject,
     /* 271235 */ // Label 5551: @271235
     /* 271235 */ GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(271260), // Rule ID 7286 //
     /* 271240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 271246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 271249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271253 */   // (usubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 271253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_B),
     /* 271258 */   GIR_RootConstrainSelectedInstOperands,
     /* 271259 */   // GIR_Coverage, 7286,
     /* 271259 */   GIR_Done,
     /* 271260 */ // Label 5563: @271260
     /* 271260 */ GIM_Reject,
     /* 271261 */ // Label 5552: @271261
     /* 271261 */ GIM_Reject,
     /* 271262 */ // Label 53: @271262
     /* 271262 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5575*/ GIMT_Encode4(271691),
     /* 271273 */ /*GILLT_v2s32*//*Label 5564*/ GIMT_Encode4(271349),
     /* 271277 */ /*GILLT_v2s64*//*Label 5565*/ GIMT_Encode4(271383),
     /* 271281 */ /*GILLT_v4s16*//*Label 5566*/ GIMT_Encode4(271417),
     /* 271285 */ /*GILLT_v4s32*//*Label 5567*/ GIMT_Encode4(271451),
     /* 271289 */ /*GILLT_v8s8*//*Label 5568*/ GIMT_Encode4(271485),
     /* 271293 */ /*GILLT_v8s16*//*Label 5569*/ GIMT_Encode4(271519),
     /* 271297 */ /*GILLT_v16s8*//*Label 5570*/ GIMT_Encode4(271553), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 271317 */ /*GILLT_nxv2s64*//*Label 5571*/ GIMT_Encode4(271587), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 271329 */ /*GILLT_nxv4s32*//*Label 5572*/ GIMT_Encode4(271613), GIMT_Encode4(0),
     /* 271337 */ /*GILLT_nxv8s16*//*Label 5573*/ GIMT_Encode4(271639), GIMT_Encode4(0),
     /* 271345 */ /*GILLT_nxv16s8*//*Label 5574*/ GIMT_Encode4(271665),
     /* 271349 */ // Label 5564: @271349
     /* 271349 */ GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(271382), // Rule ID 4967 //
     /* 271354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 271360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271375 */   // (ssubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 271375 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 271380 */   GIR_RootConstrainSelectedInstOperands,
     /* 271381 */   // GIR_Coverage, 4967,
     /* 271381 */   GIR_Done,
     /* 271382 */ // Label 5576: @271382
     /* 271382 */ GIM_Reject,
     /* 271383 */ // Label 5565: @271383
     /* 271383 */ GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(271416), // Rule ID 4971 //
     /* 271388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 271394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 271397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271409 */   // (ssubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 271409 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 271414 */   GIR_RootConstrainSelectedInstOperands,
     /* 271415 */   // GIR_Coverage, 4971,
     /* 271415 */   GIR_Done,
     /* 271416 */ // Label 5577: @271416
     /* 271416 */ GIM_Reject,
     /* 271417 */ // Label 5566: @271417
     /* 271417 */ GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(271450), // Rule ID 4966 //
     /* 271422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 271428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 271431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271443 */   // (ssubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 271443 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 271448 */   GIR_RootConstrainSelectedInstOperands,
     /* 271449 */   // GIR_Coverage, 4966,
     /* 271449 */   GIR_Done,
     /* 271450 */ // Label 5578: @271450
     /* 271450 */ GIM_Reject,
     /* 271451 */ // Label 5567: @271451
     /* 271451 */ GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(271484), // Rule ID 4970 //
     /* 271456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 271462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 271465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271477 */   // (ssubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 271477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 271482 */   GIR_RootConstrainSelectedInstOperands,
     /* 271483 */   // GIR_Coverage, 4970,
     /* 271483 */   GIR_Done,
     /* 271484 */ // Label 5579: @271484
     /* 271484 */ GIM_Reject,
     /* 271485 */ // Label 5568: @271485
     /* 271485 */ GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(271518), // Rule ID 4965 //
     /* 271490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 271496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 271499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271511 */   // (ssubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 271511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 271516 */   GIR_RootConstrainSelectedInstOperands,
     /* 271517 */   // GIR_Coverage, 4965,
     /* 271517 */   GIR_Done,
     /* 271518 */ // Label 5580: @271518
     /* 271518 */ GIM_Reject,
     /* 271519 */ // Label 5569: @271519
     /* 271519 */ GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(271552), // Rule ID 4969 //
     /* 271524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 271530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 271533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271545 */   // (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 271545 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 271550 */   GIR_RootConstrainSelectedInstOperands,
     /* 271551 */   // GIR_Coverage, 4969,
     /* 271551 */   GIR_Done,
     /* 271552 */ // Label 5581: @271552
     /* 271552 */ GIM_Reject,
     /* 271553 */ // Label 5570: @271553
     /* 271553 */ GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(271586), // Rule ID 4968 //
     /* 271558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 271564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 271567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271579 */   // (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 271579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 271584 */   GIR_RootConstrainSelectedInstOperands,
     /* 271585 */   // GIR_Coverage, 4968,
     /* 271585 */   GIR_Done,
     /* 271586 */ // Label 5582: @271586
     /* 271586 */ GIM_Reject,
     /* 271587 */ // Label 5571: @271587
     /* 271587 */ GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(271612), // Rule ID 7285 //
     /* 271592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 271598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 271601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271605 */   // (ssubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 271605 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_D),
     /* 271610 */   GIR_RootConstrainSelectedInstOperands,
     /* 271611 */   // GIR_Coverage, 7285,
     /* 271611 */   GIR_Done,
     /* 271612 */ // Label 5583: @271612
     /* 271612 */ GIM_Reject,
     /* 271613 */ // Label 5572: @271613
     /* 271613 */ GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(271638), // Rule ID 7284 //
     /* 271618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 271624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 271627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271631 */   // (ssubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 271631 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_S),
     /* 271636 */   GIR_RootConstrainSelectedInstOperands,
     /* 271637 */   // GIR_Coverage, 7284,
     /* 271637 */   GIR_Done,
     /* 271638 */ // Label 5584: @271638
     /* 271638 */ GIM_Reject,
     /* 271639 */ // Label 5573: @271639
     /* 271639 */ GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(271664), // Rule ID 7283 //
     /* 271644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 271650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 271653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271657 */   // (ssubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 271657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_H),
     /* 271662 */   GIR_RootConstrainSelectedInstOperands,
     /* 271663 */   // GIR_Coverage, 7283,
     /* 271663 */   GIR_Done,
     /* 271664 */ // Label 5585: @271664
     /* 271664 */ GIM_Reject,
     /* 271665 */ // Label 5574: @271665
     /* 271665 */ GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(271690), // Rule ID 7282 //
     /* 271670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 271673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 271676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 271679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 271683 */   // (ssubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 271683 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_B),
     /* 271688 */   GIR_RootConstrainSelectedInstOperands,
     /* 271689 */   // GIR_Coverage, 7282,
     /* 271689 */   GIR_Done,
     /* 271690 */ // Label 5586: @271690
     /* 271690 */ GIM_Reject,
     /* 271691 */ // Label 5575: @271691
     /* 271691 */ GIM_Reject,
     /* 271692 */ // Label 54: @271692
     /* 271692 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5598*/ GIMT_Encode4(273489),
     /* 271703 */ /*GILLT_s16*//*Label 5587*/ GIMT_Encode4(271787),
     /* 271707 */ /*GILLT_s32*//*Label 5588*/ GIMT_Encode4(272013),
     /* 271711 */ /*GILLT_s64*//*Label 5589*/ GIMT_Encode4(272367), GIMT_Encode4(0),
     /* 271719 */ /*GILLT_v2s32*//*Label 5590*/ GIMT_Encode4(272539),
     /* 271723 */ /*GILLT_v2s64*//*Label 5591*/ GIMT_Encode4(272577),
     /* 271727 */ /*GILLT_v4s16*//*Label 5592*/ GIMT_Encode4(272753),
     /* 271731 */ /*GILLT_v4s32*//*Label 5593*/ GIMT_Encode4(272791), GIMT_Encode4(0),
     /* 271739 */ /*GILLT_v8s16*//*Label 5594*/ GIMT_Encode4(272967), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 271763 */ /*GILLT_nxv2s64*//*Label 5595*/ GIMT_Encode4(273411), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 271775 */ /*GILLT_nxv4s32*//*Label 5596*/ GIMT_Encode4(273437), GIMT_Encode4(0),
     /* 271783 */ /*GILLT_nxv8s16*//*Label 5597*/ GIMT_Encode4(273463),
     /* 271787 */ // Label 5587: @271787
     /* 271787 */ GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(272012),
     /* 271792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 271795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 271798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 271802 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(271893), // Rule ID 6813 //
     /* 271807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 271815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 271819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 271823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271828 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 271832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 271840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 271844 */     // MIs[2] Rn
     /* 271844 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 271849 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 271853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271855 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 271855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 271862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271867 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 271873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 271886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271891 */     GIR_RootConstrainSelectedInstOperands,
     /* 271892 */     // GIR_Coverage, 6813,
     /* 271892 */     GIR_EraseRootFromParent_Done,
     /* 271893 */   // Label 5600: @271893
     /* 271893 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(271984), // Rule ID 13638 //
     /* 271898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 271906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 271910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 271914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271919 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 271923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 271931 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 271935 */     // MIs[2] Rn
     /* 271935 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 271940 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 271944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271946 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 271946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 271953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271958 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 271964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 271974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 271977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271982 */     GIR_RootConstrainSelectedInstOperands,
     /* 271983 */     // GIR_Coverage, 13638,
     /* 271983 */     GIR_EraseRootFromParent_Done,
     /* 271984 */   // Label 5601: @271984
     /* 271984 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(272011), // Rule ID 584 //
     /* 271989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 271992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 271996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 272000 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 272000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 272005 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272009 */     GIR_RootConstrainSelectedInstOperands,
     /* 272010 */     // GIR_Coverage, 584,
     /* 272010 */     GIR_Done,
     /* 272011 */   // Label 5602: @272011
     /* 272011 */   GIM_Reject,
     /* 272012 */ // Label 5599: @272012
     /* 272012 */ GIM_Reject,
     /* 272013 */ // Label 5588: @272013
     /* 272013 */ GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(272366),
     /* 272018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 272021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 272024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 272028 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(272119), // Rule ID 6811 //
     /* 272033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 272045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272054 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 272058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272070 */     // MIs[2] Rn
     /* 272070 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272075 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 272079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272081 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 272081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 272088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272093 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 272099 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272104 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 272112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272117 */     GIR_RootConstrainSelectedInstOperands,
     /* 272118 */     // GIR_Coverage, 6811,
     /* 272118 */     GIR_EraseRootFromParent_Done,
     /* 272119 */   // Label 5604: @272119
     /* 272119 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(272183), // Rule ID 12809 //
     /* 272124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 272136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272145 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 272149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272157 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272161 */     // MIs[2] Rn
     /* 272161 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272166 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 272170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272172 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 272172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 272175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272181 */     GIR_RootConstrainSelectedInstOperands,
     /* 272182 */     // GIR_Coverage, 12809,
     /* 272182 */     GIR_EraseRootFromParent_Done,
     /* 272183 */   // Label 5605: @272183
     /* 272183 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(272274), // Rule ID 13636 //
     /* 272188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 272200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272209 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 272213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272225 */     // MIs[2] Rn
     /* 272225 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272230 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 272234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272236 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 272236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 272243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272248 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 272254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272259 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 272267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272272 */     GIR_RootConstrainSelectedInstOperands,
     /* 272273 */     // GIR_Coverage, 13636,
     /* 272273 */     GIR_EraseRootFromParent_Done,
     /* 272274 */   // Label 5606: @272274
     /* 272274 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(272338), // Rule ID 15311 //
     /* 272279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 272291 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272300 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 272304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272312 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272316 */     // MIs[2] Rn
     /* 272316 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272321 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 272325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272327 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 272327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 272330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272336 */     GIR_RootConstrainSelectedInstOperands,
     /* 272337 */     // GIR_Coverage, 15311,
     /* 272337 */     GIR_EraseRootFromParent_Done,
     /* 272338 */   // Label 5607: @272338
     /* 272338 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(272365), // Rule ID 586 //
     /* 272343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 272346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 272350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 272354 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 272354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 272359 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272363 */     GIR_RootConstrainSelectedInstOperands,
     /* 272364 */     // GIR_Coverage, 586,
     /* 272364 */     GIR_Done,
     /* 272365 */   // Label 5608: @272365
     /* 272365 */   GIM_Reject,
     /* 272366 */ // Label 5603: @272366
     /* 272366 */ GIM_Reject,
     /* 272367 */ // Label 5589: @272367
     /* 272367 */ GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(272538),
     /* 272372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 272375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272382 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(272446), // Rule ID 6809 //
     /* 272387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 272399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272408 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 272412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272420 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272424 */     // MIs[2] Rn
     /* 272424 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272429 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 272433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272435 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 272435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 272438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272444 */     GIR_RootConstrainSelectedInstOperands,
     /* 272445 */     // GIR_Coverage, 6809,
     /* 272445 */     GIR_EraseRootFromParent_Done,
     /* 272446 */   // Label 5610: @272446
     /* 272446 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(272510), // Rule ID 13634 //
     /* 272451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 272463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 272467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272472 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 272476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 272484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 272488 */     // MIs[2] Rn
     /* 272488 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272493 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 272497 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272499 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 272499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 272502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272508 */     GIR_RootConstrainSelectedInstOperands,
     /* 272509 */     // GIR_Coverage, 13634,
     /* 272509 */     GIR_EraseRootFromParent_Done,
     /* 272510 */   // Label 5611: @272510
     /* 272510 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(272537), // Rule ID 588 //
     /* 272515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 272518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272526 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 272526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 272531 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272535 */     GIR_RootConstrainSelectedInstOperands,
     /* 272536 */     // GIR_Coverage, 588,
     /* 272536 */     GIR_Done,
     /* 272537 */   // Label 5612: @272537
     /* 272537 */   GIM_Reject,
     /* 272538 */ // Label 5609: @272538
     /* 272538 */ GIM_Reject,
     /* 272539 */ // Label 5590: @272539
     /* 272539 */ GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(272576), // Rule ID 1196 //
     /* 272544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 272550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 272553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272565 */   // (fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 272565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 272570 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272574 */   GIR_RootConstrainSelectedInstOperands,
     /* 272575 */   // GIR_Coverage, 1196,
     /* 272575 */   GIR_Done,
     /* 272576 */ // Label 5613: @272576
     /* 272576 */ GIM_Reject,
     /* 272577 */ // Label 5591: @272577
     /* 272577 */ GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(272752),
     /* 272582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 272585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 272588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272592 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(272658), // Rule ID 6831 //
     /* 272597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /* 272605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 272609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 272613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /* 272631 */     // MIs[2] Rn
     /* 272631 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272636 */     // MIs[2] Rm
     /* 272636 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 272641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272643 */     // (fadd:{ *:[v2f64] } (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 272643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 272646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 272656 */     GIR_RootConstrainSelectedInstOperands,
     /* 272657 */     // GIR_Coverage, 6831,
     /* 272657 */     GIR_EraseRootFromParent_Done,
     /* 272658 */   // Label 5615: @272658
     /* 272658 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(272724), // Rule ID 13646 //
     /* 272663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /* 272671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 272675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 272679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /* 272697 */     // MIs[2] Rn
     /* 272697 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272702 */     // MIs[2] Rm
     /* 272702 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 272707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272709 */     // (fadd:{ *:[v2f64] } (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 272709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 272712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 272722 */     GIR_RootConstrainSelectedInstOperands,
     /* 272723 */     // GIR_Coverage, 13646,
     /* 272723 */     GIR_EraseRootFromParent_Done,
     /* 272724 */   // Label 5616: @272724
     /* 272724 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(272751), // Rule ID 1200 //
     /* 272729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272740 */     // (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 272740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 272745 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272749 */     GIR_RootConstrainSelectedInstOperands,
     /* 272750 */     // GIR_Coverage, 1200,
     /* 272750 */     GIR_Done,
     /* 272751 */   // Label 5617: @272751
     /* 272751 */   GIM_Reject,
     /* 272752 */ // Label 5614: @272752
     /* 272752 */ GIM_Reject,
     /* 272753 */ // Label 5592: @272753
     /* 272753 */ GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(272790), // Rule ID 1192 //
     /* 272758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 272761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 272764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 272767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272779 */   // (fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 272779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 272784 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272788 */   GIR_RootConstrainSelectedInstOperands,
     /* 272789 */   // GIR_Coverage, 1192,
     /* 272789 */   GIR_Done,
     /* 272790 */ // Label 5618: @272790
     /* 272790 */ GIM_Reject,
     /* 272791 */ // Label 5593: @272791
     /* 272791 */ GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(272966),
     /* 272796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 272799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 272802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272806 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(272872), // Rule ID 6832 //
     /* 272811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 272819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 272823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 272827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 272845 */     // MIs[2] Rn
     /* 272845 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272850 */     // MIs[2] Rm
     /* 272850 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 272855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272857 */     // (fadd:{ *:[v4f32] } (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 272857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 272860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 272870 */     GIR_RootConstrainSelectedInstOperands,
     /* 272871 */     // GIR_Coverage, 6832,
     /* 272871 */     GIR_EraseRootFromParent_Done,
     /* 272872 */   // Label 5620: @272872
     /* 272872 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(272938), // Rule ID 13647 //
     /* 272877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 272885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 272889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 272893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 272907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 272911 */     // MIs[2] Rn
     /* 272911 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 272916 */     // MIs[2] Rm
     /* 272916 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 272921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 272923 */     // (fadd:{ *:[v4f32] } (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 272923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 272926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 272936 */     GIR_RootConstrainSelectedInstOperands,
     /* 272937 */     // GIR_Coverage, 13647,
     /* 272937 */     GIR_EraseRootFromParent_Done,
     /* 272938 */   // Label 5621: @272938
     /* 272938 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(272965), // Rule ID 1198 //
     /* 272943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272954 */     // (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 272954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 272959 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 272963 */     GIR_RootConstrainSelectedInstOperands,
     /* 272964 */     // GIR_Coverage, 1198,
     /* 272964 */     GIR_Done,
     /* 272965 */   // Label 5622: @272965
     /* 272965 */   GIM_Reject,
     /* 272966 */ // Label 5619: @272966
     /* 272966 */ GIM_Reject,
     /* 272967 */ // Label 5594: @272967
     /* 272967 */ GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(273410),
     /* 272972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 272975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 272978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 272982 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(273051), // Rule ID 6833 //
     /* 272987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 272990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 272998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 273002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 273006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 273020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 273024 */     // MIs[2] Rn
     /* 273024 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 273029 */     // MIs[2] Rm
     /* 273029 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 273034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 273036 */     // (fadd:{ *:[v8f16] } (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 273036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 273039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 273045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 273049 */     GIR_RootConstrainSelectedInstOperands,
     /* 273050 */     // GIR_Coverage, 6833,
     /* 273050 */     GIR_EraseRootFromParent_Done,
     /* 273051 */   // Label 5624: @273051
     /* 273051 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(273120), // Rule ID 13648 //
     /* 273056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 273059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 273063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 273067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 273071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 273075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 273089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 273093 */     // MIs[2] Rn
     /* 273093 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 273098 */     // MIs[2] Rm
     /* 273098 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 273103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 273105 */     // (fadd:{ *:[v8f16] } (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 273105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 273108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 273114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 273118 */     GIR_RootConstrainSelectedInstOperands,
     /* 273119 */     // GIR_Coverage, 13648,
     /* 273119 */     GIR_EraseRootFromParent_Done,
     /* 273120 */   // Label 5625: @273120
     /* 273120 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(273147), // Rule ID 1194 //
     /* 273125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 273128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273136 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 273136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 273141 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273145 */     GIR_RootConstrainSelectedInstOperands,
     /* 273146 */     // GIR_Coverage, 1194,
     /* 273146 */     GIR_Done,
     /* 273147 */   // Label 5626: @273147
     /* 273147 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(273409), // Rule ID 6902 //
     /* 273152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 273155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273163 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 273163 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 273166 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 273170 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273175 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 273179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 273181 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 273184 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 273188 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273193 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 273197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 273199 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 273202 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 273206 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273211 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 273214 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 273217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 273219 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 273222 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 273226 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273231 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 273237 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273242 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273247 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 273250 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 273254 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273259 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 273262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 273264 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 273267 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 273271 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273276 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 273282 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273287 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273292 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 273295 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 273299 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273304 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 273307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 273309 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 273312 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 273316 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273321 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 273324 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 273327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 273329 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 273332 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 273336 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273341 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 273344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 273346 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 273349 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 273353 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 273360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 273363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 273367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273372 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 273375 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 273378 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 273381 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273386 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273391 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 273399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 273401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 273404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 273407 */     GIR_RootConstrainSelectedInstOperands,
     /* 273408 */     // GIR_Coverage, 6902,
     /* 273408 */     GIR_EraseRootFromParent_Done,
     /* 273409 */   // Label 5627: @273409
     /* 273409 */   GIM_Reject,
     /* 273410 */ // Label 5623: @273410
     /* 273410 */ GIM_Reject,
     /* 273411 */ // Label 5595: @273411
     /* 273411 */ GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(273436), // Rule ID 2810 //
     /* 273416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 273419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 273422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 273425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 273429 */   // (fadd:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADD_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 273429 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_D),
     /* 273434 */   GIR_RootConstrainSelectedInstOperands,
     /* 273435 */   // GIR_Coverage, 2810,
     /* 273435 */   GIR_Done,
     /* 273436 */ // Label 5628: @273436
     /* 273436 */ GIM_Reject,
     /* 273437 */ // Label 5596: @273437
     /* 273437 */ GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(273462), // Rule ID 2808 //
     /* 273442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 273445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 273448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 273451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 273455 */   // (fadd:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADD_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 273455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_S),
     /* 273460 */   GIR_RootConstrainSelectedInstOperands,
     /* 273461 */   // GIR_Coverage, 2808,
     /* 273461 */   GIR_Done,
     /* 273462 */ // Label 5629: @273462
     /* 273462 */ GIM_Reject,
     /* 273463 */ // Label 5597: @273463
     /* 273463 */ GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(273488), // Rule ID 2806 //
     /* 273468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 273471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 273474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 273477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 273481 */   // (fadd:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADD_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 273481 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_H),
     /* 273486 */   GIR_RootConstrainSelectedInstOperands,
     /* 273487 */   // GIR_Coverage, 2806,
     /* 273487 */   GIR_Done,
     /* 273488 */ // Label 5630: @273488
     /* 273488 */ GIM_Reject,
     /* 273489 */ // Label 5598: @273489
     /* 273489 */ GIM_Reject,
     /* 273490 */ // Label 55: @273490
     /* 273490 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5642*/ GIMT_Encode4(274227),
     /* 273501 */ /*GILLT_s16*//*Label 5631*/ GIMT_Encode4(273585),
     /* 273505 */ /*GILLT_s32*//*Label 5632*/ GIMT_Encode4(273623),
     /* 273509 */ /*GILLT_s64*//*Label 5633*/ GIMT_Encode4(273661), GIMT_Encode4(0),
     /* 273517 */ /*GILLT_v2s32*//*Label 5634*/ GIMT_Encode4(273699),
     /* 273521 */ /*GILLT_v2s64*//*Label 5635*/ GIMT_Encode4(273737),
     /* 273525 */ /*GILLT_v4s16*//*Label 5636*/ GIMT_Encode4(273775),
     /* 273529 */ /*GILLT_v4s32*//*Label 5637*/ GIMT_Encode4(273813), GIMT_Encode4(0),
     /* 273537 */ /*GILLT_v8s16*//*Label 5638*/ GIMT_Encode4(273851), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 273561 */ /*GILLT_nxv2s64*//*Label 5639*/ GIMT_Encode4(274149), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 273573 */ /*GILLT_nxv4s32*//*Label 5640*/ GIMT_Encode4(274175), GIMT_Encode4(0),
     /* 273581 */ /*GILLT_nxv8s16*//*Label 5641*/ GIMT_Encode4(274201),
     /* 273585 */ // Label 5631: @273585
     /* 273585 */ GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(273622), // Rule ID 632 //
     /* 273590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 273593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 273596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 273599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 273603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 273607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 273611 */   // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 273611 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 273616 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273620 */   GIR_RootConstrainSelectedInstOperands,
     /* 273621 */   // GIR_Coverage, 632,
     /* 273621 */   GIR_Done,
     /* 273622 */ // Label 5643: @273622
     /* 273622 */ GIM_Reject,
     /* 273623 */ // Label 5632: @273623
     /* 273623 */ GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(273660), // Rule ID 634 //
     /* 273628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 273631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 273634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 273637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 273641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 273645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 273649 */   // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 273649 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 273654 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273658 */   GIR_RootConstrainSelectedInstOperands,
     /* 273659 */   // GIR_Coverage, 634,
     /* 273659 */   GIR_Done,
     /* 273660 */ // Label 5644: @273660
     /* 273660 */ GIM_Reject,
     /* 273661 */ // Label 5633: @273661
     /* 273661 */ GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(273698), // Rule ID 636 //
     /* 273666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 273669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 273672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 273675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273687 */   // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 273687 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 273692 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273696 */   GIR_RootConstrainSelectedInstOperands,
     /* 273697 */   // GIR_Coverage, 636,
     /* 273697 */   GIR_Done,
     /* 273698 */ // Label 5645: @273698
     /* 273698 */ GIM_Reject,
     /* 273699 */ // Label 5634: @273699
     /* 273699 */ GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(273736), // Rule ID 1336 //
     /* 273704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 273710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273725 */   // (fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 273725 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 273730 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273734 */   GIR_RootConstrainSelectedInstOperands,
     /* 273735 */   // GIR_Coverage, 1336,
     /* 273735 */   GIR_Done,
     /* 273736 */ // Label 5646: @273736
     /* 273736 */ GIM_Reject,
     /* 273737 */ // Label 5635: @273737
     /* 273737 */ GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(273774), // Rule ID 1340 //
     /* 273742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 273748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 273751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273763 */   // (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 273763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 273768 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273772 */   GIR_RootConstrainSelectedInstOperands,
     /* 273773 */   // GIR_Coverage, 1340,
     /* 273773 */   GIR_Done,
     /* 273774 */ // Label 5647: @273774
     /* 273774 */ GIM_Reject,
     /* 273775 */ // Label 5636: @273775
     /* 273775 */ GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(273812), // Rule ID 1332 //
     /* 273780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 273783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 273786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 273789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273801 */   // (fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 273801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 273806 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273810 */   GIR_RootConstrainSelectedInstOperands,
     /* 273811 */   // GIR_Coverage, 1332,
     /* 273811 */   GIR_Done,
     /* 273812 */ // Label 5648: @273812
     /* 273812 */ GIM_Reject,
     /* 273813 */ // Label 5637: @273813
     /* 273813 */ GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(273850), // Rule ID 1338 //
     /* 273818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 273824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 273827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273839 */   // (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 273839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 273844 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273848 */   GIR_RootConstrainSelectedInstOperands,
     /* 273849 */   // GIR_Coverage, 1338,
     /* 273849 */   GIR_Done,
     /* 273850 */ // Label 5649: @273850
     /* 273850 */ GIM_Reject,
     /* 273851 */ // Label 5638: @273851
     /* 273851 */ GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(274148),
     /* 273856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 273859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 273862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273874 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(273893), // Rule ID 1334 //
     /* 273879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 273882 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 273882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 273887 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 273891 */     GIR_RootConstrainSelectedInstOperands,
     /* 273892 */     // GIR_Coverage, 1334,
     /* 273892 */     GIR_Done,
     /* 273893 */   // Label 5651: @273893
     /* 273893 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(274147), // Rule ID 6908 //
     /* 273898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 273901 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 273901 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 273904 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 273908 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273913 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 273917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 273919 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 273922 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 273926 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273931 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 273935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 273937 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 273940 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 273944 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273949 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 273952 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 273955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 273957 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 273960 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 273964 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273969 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 273975 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273980 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273985 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 273988 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 273992 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 273997 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 274000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 274002 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 274005 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 274009 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274014 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 274020 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274025 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274030 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 274033 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 274037 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274042 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 274045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 274047 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 274050 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 274054 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274059 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 274062 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 274065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 274067 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 274070 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 274074 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274079 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 274082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 274084 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 274087 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 274091 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 274098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 274101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 274105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274110 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 274113 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 274116 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 274119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 274137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 274139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 274142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 274145 */     GIR_RootConstrainSelectedInstOperands,
     /* 274146 */     // GIR_Coverage, 6908,
     /* 274146 */     GIR_EraseRootFromParent_Done,
     /* 274147 */   // Label 5652: @274147
     /* 274147 */   GIM_Reject,
     /* 274148 */ // Label 5650: @274148
     /* 274148 */ GIM_Reject,
     /* 274149 */ // Label 5639: @274149
     /* 274149 */ GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(274174), // Rule ID 8028 //
     /* 274154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 274157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 274160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 274163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 274167 */   // (fsub:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FSUB_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 274167 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_D),
     /* 274172 */   GIR_RootConstrainSelectedInstOperands,
     /* 274173 */   // GIR_Coverage, 8028,
     /* 274173 */   GIR_Done,
     /* 274174 */ // Label 5653: @274174
     /* 274174 */ GIM_Reject,
     /* 274175 */ // Label 5640: @274175
     /* 274175 */ GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(274200), // Rule ID 8026 //
     /* 274180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 274183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 274186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 274189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 274193 */   // (fsub:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FSUB_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 274193 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_S),
     /* 274198 */   GIR_RootConstrainSelectedInstOperands,
     /* 274199 */   // GIR_Coverage, 8026,
     /* 274199 */   GIR_Done,
     /* 274200 */ // Label 5654: @274200
     /* 274200 */ GIM_Reject,
     /* 274201 */ // Label 5641: @274201
     /* 274201 */ GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(274226), // Rule ID 8024 //
     /* 274206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 274209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 274212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 274215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 274219 */   // (fsub:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FSUB_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 274219 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_H),
     /* 274224 */   GIR_RootConstrainSelectedInstOperands,
     /* 274225 */   // GIR_Coverage, 8024,
     /* 274225 */   GIR_Done,
     /* 274226 */ // Label 5655: @274226
     /* 274226 */ GIM_Reject,
     /* 274227 */ // Label 5642: @274227
     /* 274227 */ GIM_Reject,
     /* 274228 */ // Label 56: @274228
     /* 274228 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5667*/ GIMT_Encode4(278323),
     /* 274239 */ /*GILLT_s16*//*Label 5656*/ GIMT_Encode4(274323),
     /* 274243 */ /*GILLT_s32*//*Label 5657*/ GIMT_Encode4(274965),
     /* 274247 */ /*GILLT_s64*//*Label 5658*/ GIMT_Encode4(275595), GIMT_Encode4(0),
     /* 274255 */ /*GILLT_v2s32*//*Label 5659*/ GIMT_Encode4(276225),
     /* 274259 */ /*GILLT_v2s64*//*Label 5660*/ GIMT_Encode4(276755),
     /* 274263 */ /*GILLT_v4s16*//*Label 5661*/ GIMT_Encode4(277113),
     /* 274267 */ /*GILLT_v4s32*//*Label 5662*/ GIMT_Encode4(277455), GIMT_Encode4(0),
     /* 274275 */ /*GILLT_v8s16*//*Label 5663*/ GIMT_Encode4(277813), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 274299 */ /*GILLT_nxv2s64*//*Label 5664*/ GIMT_Encode4(278245), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 274311 */ /*GILLT_nxv4s32*//*Label 5665*/ GIMT_Encode4(278271), GIMT_Encode4(0),
     /* 274319 */ /*GILLT_nxv8s16*//*Label 5666*/ GIMT_Encode4(278297),
     /* 274323 */ // Label 5656: @274323
     /* 274323 */ GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(274964),
     /* 274328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 274331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 274334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274338 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(274451), // Rule ID 6135 //
     /* 274343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 274346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274367 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 274371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 274375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 274387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274392 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 274396 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 274400 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 274404 */     // MIs[3] Operand 1
     /* 274404 */     // No operand predicates
     /* 274404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 274406 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 274406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 274409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 274413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274418 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 274424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 274437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 274442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 274446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 274449 */     GIR_RootConstrainSelectedInstOperands,
     /* 274450 */     // GIR_Coverage, 6135,
     /* 274450 */     GIR_EraseRootFromParent_Done,
     /* 274451 */   // Label 5669: @274451
     /* 274451 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(274564), // Rule ID 13609 //
     /* 274456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 274459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 274484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 274488 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 274492 */     // MIs[2] Operand 1
     /* 274492 */     // No operand predicates
     /* 274492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 274496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274500 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274504 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 274508 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274513 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 274517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 274519 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 274519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 274522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 274526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274531 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 274537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 274550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 274555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 274559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 274562 */     GIR_RootConstrainSelectedInstOperands,
     /* 274563 */     // GIR_Coverage, 13609,
     /* 274563 */     GIR_EraseRootFromParent_Done,
     /* 274564 */   // Label 5670: @274564
     /* 274564 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(274643), // Rule ID 13546 //
     /* 274569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 274572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274593 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 274597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274603 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 274603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 274606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 274610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274615 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 274621 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274626 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 274634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 274641 */     GIR_RootConstrainSelectedInstOperands,
     /* 274642 */     // GIR_Coverage, 13546,
     /* 274642 */     GIR_EraseRootFromParent_Done,
     /* 274643 */   // Label 5671: @274643
     /* 274643 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(274722), // Rule ID 4743 //
     /* 274648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 274651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274676 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 274680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274682 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 274682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 274685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 274689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 274694 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 274700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 274713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274715 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 274717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 274720 */     GIR_RootConstrainSelectedInstOperands,
     /* 274721 */     // GIR_Coverage, 4743,
     /* 274721 */     GIR_EraseRootFromParent_Done,
     /* 274722 */   // Label 5672: @274722
     /* 274722 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(274785), // Rule ID 13161 //
     /* 274727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 274730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 274751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 274755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 274759 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 274763 */     // MIs[2] Operand 1
     /* 274763 */     // No operand predicates
     /* 274763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 274769 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 274769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 274772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 274780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 274783 */     GIR_RootConstrainSelectedInstOperands,
     /* 274784 */     // GIR_Coverage, 13161,
     /* 274784 */     GIR_EraseRootFromParent_Done,
     /* 274785 */   // Label 5673: @274785
     /* 274785 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(274848), // Rule ID 2005 //
     /* 274790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 274793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 274809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 274813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 274818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 274822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 274826 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 274830 */     // MIs[2] Operand 1
     /* 274830 */     // No operand predicates
     /* 274830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 274832 */     // (fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 274832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 274835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274837 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 274839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 274843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 274846 */     GIR_RootConstrainSelectedInstOperands,
     /* 274847 */     // GIR_Coverage, 2005,
     /* 274847 */     GIR_EraseRootFromParent_Done,
     /* 274848 */   // Label 5674: @274848
     /* 274848 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(274892), // Rule ID 4748 //
     /* 274853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 274856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 274864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 274868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274879 */     // (fmul:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a), FPR16:{ *:[f16] }:$b)  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 274879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 274882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 274888 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 274890 */     GIR_RootConstrainSelectedInstOperands,
     /* 274891 */     // GIR_Coverage, 4748,
     /* 274891 */     GIR_EraseRootFromParent_Done,
     /* 274892 */   // Label 5675: @274892
     /* 274892 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(274936), // Rule ID 13551 //
     /* 274897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 274900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 274912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 274916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274923 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$b, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 274923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 274926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 274932 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 274934 */     GIR_RootConstrainSelectedInstOperands,
     /* 274935 */     // GIR_Coverage, 13551,
     /* 274935 */     GIR_EraseRootFromParent_Done,
     /* 274936 */   // Label 5676: @274936
     /* 274936 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(274963), // Rule ID 620 //
     /* 274941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 274944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 274952 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 274952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 274957 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 274961 */     GIR_RootConstrainSelectedInstOperands,
     /* 274962 */     // GIR_Coverage, 620,
     /* 274962 */     GIR_Done,
     /* 274963 */   // Label 5677: @274963
     /* 274963 */   GIM_Reject,
     /* 274964 */ // Label 5668: @274964
     /* 274964 */ GIM_Reject,
     /* 274965 */ // Label 5657: @274965
     /* 274965 */ GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(275594),
     /* 274970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 274973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 274976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 274980 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(275093), // Rule ID 6137 //
     /* 274985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 274992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 274996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275009 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 275017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 275029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 275038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275042 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 275046 */     // MIs[3] Operand 1
     /* 275046 */     // No operand predicates
     /* 275046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 275048 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 275048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 275051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275060 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 275066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 275079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 275088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 275091 */     GIR_RootConstrainSelectedInstOperands,
     /* 275092 */     // GIR_Coverage, 6137,
     /* 275092 */     GIR_EraseRootFromParent_Done,
     /* 275093 */   // Label 5679: @275093
     /* 275093 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(275206), // Rule ID 13611 //
     /* 275098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 275126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275130 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 275134 */     // MIs[2] Operand 1
     /* 275134 */     // No operand predicates
     /* 275134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 275138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275146 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 275150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275155 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 275159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 275161 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 275161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 275164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275173 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 275179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 275192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 275201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 275204 */     GIR_RootConstrainSelectedInstOperands,
     /* 275205 */     // GIR_Coverage, 13611,
     /* 275205 */     GIR_EraseRootFromParent_Done,
     /* 275206 */   // Label 5680: @275206
     /* 275206 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(275282), // Rule ID 13548 //
     /* 275211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275232 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275242 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 275242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 275245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275254 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 275260 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275265 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 275273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275280 */     GIR_RootConstrainSelectedInstOperands,
     /* 275281 */     // GIR_Coverage, 13548,
     /* 275281 */     GIR_EraseRootFromParent_Done,
     /* 275282 */   // Label 5681: @275282
     /* 275282 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(275358), // Rule ID 4745 //
     /* 275287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275312 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275318 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 275318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 275321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275330 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 275336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 275349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275351 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 275353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275356 */     GIR_RootConstrainSelectedInstOperands,
     /* 275357 */     // GIR_Coverage, 4745,
     /* 275357 */     GIR_EraseRootFromParent_Done,
     /* 275358 */   // Label 5682: @275358
     /* 275358 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(275421), // Rule ID 13163 //
     /* 275363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 275391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275395 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 275399 */     // MIs[2] Operand 1
     /* 275399 */     // No operand predicates
     /* 275399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 275405 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 275405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 275408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 275416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 275419 */     GIR_RootConstrainSelectedInstOperands,
     /* 275420 */     // GIR_Coverage, 13163,
     /* 275420 */     GIR_EraseRootFromParent_Done,
     /* 275421 */   // Label 5683: @275421
     /* 275421 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(275484), // Rule ID 2007 //
     /* 275426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 275445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 275458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275462 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 275466 */     // MIs[2] Operand 1
     /* 275466 */     // No operand predicates
     /* 275466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 275468 */     // (fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 275468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 275471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 275475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 275479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 275482 */     GIR_RootConstrainSelectedInstOperands,
     /* 275483 */     // GIR_Coverage, 2007,
     /* 275483 */     GIR_EraseRootFromParent_Done,
     /* 275484 */   // Label 5684: @275484
     /* 275484 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(275525), // Rule ID 4749 //
     /* 275489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 275497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 275501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275512 */     // (fmul:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a), FPR32:{ *:[f32] }:$b)  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 275512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 275515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 275521 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 275523 */     GIR_RootConstrainSelectedInstOperands,
     /* 275524 */     // GIR_Coverage, 4749,
     /* 275524 */     GIR_EraseRootFromParent_Done,
     /* 275525 */   // Label 5685: @275525
     /* 275525 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(275566), // Rule ID 13552 //
     /* 275530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 275542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 275546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275553 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$b, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 275553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 275556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 275562 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 275564 */     GIR_RootConstrainSelectedInstOperands,
     /* 275565 */     // GIR_Coverage, 13552,
     /* 275565 */     GIR_EraseRootFromParent_Done,
     /* 275566 */   // Label 5686: @275566
     /* 275566 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(275593), // Rule ID 622 //
     /* 275571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 275574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 275582 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 275582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 275587 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 275591 */     GIR_RootConstrainSelectedInstOperands,
     /* 275592 */     // GIR_Coverage, 622,
     /* 275592 */     GIR_Done,
     /* 275593 */   // Label 5687: @275593
     /* 275593 */   GIM_Reject,
     /* 275594 */ // Label 5678: @275594
     /* 275594 */ GIM_Reject,
     /* 275595 */ // Label 5658: @275595
     /* 275595 */ GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(276224),
     /* 275600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 275603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 275606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275610 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(275723), // Rule ID 6139 //
     /* 275615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275639 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 275647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 275659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 275668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275672 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 275676 */     // MIs[3] Operand 1
     /* 275676 */     // No operand predicates
     /* 275676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 275678 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 275678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 275681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275690 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 275696 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 275709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 275718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 275721 */     GIR_RootConstrainSelectedInstOperands,
     /* 275722 */     // GIR_Coverage, 6139,
     /* 275722 */     GIR_EraseRootFromParent_Done,
     /* 275723 */   // Label 5689: @275723
     /* 275723 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(275836), // Rule ID 13613 //
     /* 275728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 275756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 275760 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 275764 */     // MIs[2] Operand 1
     /* 275764 */     // No operand predicates
     /* 275764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 275768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275772 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275776 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 275780 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275785 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 275789 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 275791 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 275791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 275794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275803 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 275809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275814 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 275822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 275831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 275834 */     GIR_RootConstrainSelectedInstOperands,
     /* 275835 */     // GIR_Coverage, 13613,
     /* 275835 */     GIR_EraseRootFromParent_Done,
     /* 275836 */   // Label 5690: @275836
     /* 275836 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(275912), // Rule ID 13550 //
     /* 275841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 275845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275862 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275872 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 275872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 275875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275884 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 275890 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 275903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275910 */     GIR_RootConstrainSelectedInstOperands,
     /* 275911 */     // GIR_Coverage, 13550,
     /* 275911 */     GIR_EraseRootFromParent_Done,
     /* 275912 */   // Label 5691: @275912
     /* 275912 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(275988), // Rule ID 4747 //
     /* 275917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 275929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 275933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 275937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275942 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 275946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275948 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 275948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 275951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 275955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 275960 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 275966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 275979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 275983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 275986 */     GIR_RootConstrainSelectedInstOperands,
     /* 275987 */     // GIR_Coverage, 4747,
     /* 275987 */     GIR_EraseRootFromParent_Done,
     /* 275988 */   // Label 5692: @275988
     /* 275988 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(276051), // Rule ID 13165 //
     /* 275993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 276004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 276008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276025 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 276029 */     // MIs[2] Operand 1
     /* 276029 */     // No operand predicates
     /* 276029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276035 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 276038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276049 */     GIR_RootConstrainSelectedInstOperands,
     /* 276050 */     // GIR_Coverage, 13165,
     /* 276050 */     GIR_EraseRootFromParent_Done,
     /* 276051 */   // Label 5693: @276051
     /* 276051 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(276114), // Rule ID 2009 //
     /* 276056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 276071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 276075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276092 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 276096 */     // MIs[2] Operand 1
     /* 276096 */     // No operand predicates
     /* 276096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276098 */     // (fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 276101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276103 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 276105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276112 */     GIR_RootConstrainSelectedInstOperands,
     /* 276113 */     // GIR_Coverage, 2009,
     /* 276113 */     GIR_EraseRootFromParent_Done,
     /* 276114 */   // Label 5694: @276114
     /* 276114 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(276155), // Rule ID 4750 //
     /* 276119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 276127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 276131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276142 */     // (fmul:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a), FPR64:{ *:[f64] }:$b)  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 276142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 276145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 276151 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 276153 */     GIR_RootConstrainSelectedInstOperands,
     /* 276154 */     // GIR_Coverage, 4750,
     /* 276154 */     GIR_EraseRootFromParent_Done,
     /* 276155 */   // Label 5695: @276155
     /* 276155 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(276196), // Rule ID 13553 //
     /* 276160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 276172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 276176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276183 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$b, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 276183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 276186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 276192 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 276194 */     GIR_RootConstrainSelectedInstOperands,
     /* 276195 */     // GIR_Coverage, 13553,
     /* 276195 */     GIR_EraseRootFromParent_Done,
     /* 276196 */   // Label 5696: @276196
     /* 276196 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(276223), // Rule ID 624 //
     /* 276201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 276204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276212 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 276212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 276217 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 276221 */     GIR_RootConstrainSelectedInstOperands,
     /* 276222 */     // GIR_Coverage, 624,
     /* 276222 */     GIR_Done,
     /* 276223 */   // Label 5697: @276223
     /* 276223 */   GIM_Reject,
     /* 276224 */ // Label 5688: @276224
     /* 276224 */ GIM_Reject,
     /* 276225 */ // Label 5659: @276225
     /* 276225 */ GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(276754),
     /* 276230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 276233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 276236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276240 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(276326), // Rule ID 13154 //
     /* 276245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 276256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 276264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 276268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276272 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 276276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276281 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 276285 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276289 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 276293 */     // MIs[3] Operand 1
     /* 276293 */     // No operand predicates
     /* 276293 */     // MIs[1] Operand 2
     /* 276293 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 276304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 276310 */     // (fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 276321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 276324 */     GIR_RootConstrainSelectedInstOperands,
     /* 276325 */     // GIR_Coverage, 13154,
     /* 276325 */     GIR_EraseRootFromParent_Done,
     /* 276326 */   // Label 5699: @276326
     /* 276326 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(276412), // Rule ID 1998 //
     /* 276331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 276346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 276354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 276358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276362 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 276366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 276375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276379 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 276383 */     // MIs[3] Operand 1
     /* 276383 */     // No operand predicates
     /* 276383 */     // MIs[1] Operand 2
     /* 276383 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 276394 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 276396 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 276403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 276407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 276410 */     GIR_RootConstrainSelectedInstOperands,
     /* 276411 */     // GIR_Coverage, 1998,
     /* 276411 */     GIR_EraseRootFromParent_Done,
     /* 276412 */   // Label 5700: @276412
     /* 276412 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(276475), // Rule ID 13155 //
     /* 276417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 276428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276449 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 276453 */     // MIs[2] Operand 1
     /* 276453 */     // No operand predicates
     /* 276453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276459 */     // (fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276473 */     GIR_RootConstrainSelectedInstOperands,
     /* 276474 */     // GIR_Coverage, 13155,
     /* 276474 */     GIR_EraseRootFromParent_Done,
     /* 276475 */   // Label 5701: @276475
     /* 276475 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(276538), // Rule ID 1999 //
     /* 276480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 276495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 276499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 276520 */     // MIs[2] Operand 1
     /* 276520 */     // No operand predicates
     /* 276520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276522 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 276529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276536 */     GIR_RootConstrainSelectedInstOperands,
     /* 276537 */     // GIR_Coverage, 1999,
     /* 276537 */     GIR_EraseRootFromParent_Done,
     /* 276538 */   // Label 5702: @276538
     /* 276538 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(276632), // Rule ID 13615 //
     /* 276543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 276551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 276555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 276560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276566 */     // (fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 276566 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 276569 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 276573 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 276580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 276583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 276587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276592 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 276595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 276602 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 276617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 276627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 276630 */     GIR_RootConstrainSelectedInstOperands,
     /* 276631 */     // GIR_Coverage, 13615,
     /* 276631 */     GIR_EraseRootFromParent_Done,
     /* 276632 */   // Label 5703: @276632
     /* 276632 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(276726), // Rule ID 6141 //
     /* 276637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 276649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 276653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 276658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276660 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 276660 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 276663 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 276667 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 276674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 276677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 276681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 276689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276693 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 276696 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 276711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 276714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 276718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 276721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 276724 */     GIR_RootConstrainSelectedInstOperands,
     /* 276725 */     // GIR_Coverage, 6141,
     /* 276725 */     GIR_EraseRootFromParent_Done,
     /* 276726 */   // Label 5704: @276726
     /* 276726 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(276753), // Rule ID 1316 //
     /* 276731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276742 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 276742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 276747 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 276751 */     GIR_RootConstrainSelectedInstOperands,
     /* 276752 */     // GIR_Coverage, 1316,
     /* 276752 */     GIR_Done,
     /* 276753 */   // Label 5705: @276753
     /* 276753 */   GIM_Reject,
     /* 276754 */ // Label 5698: @276754
     /* 276754 */ GIM_Reject,
     /* 276755 */ // Label 5660: @276755
     /* 276755 */ GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(277112),
     /* 276760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 276763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 276766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276770 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(276833), // Rule ID 13159 //
     /* 276775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 276786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 276790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276807 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 276811 */     // MIs[2] Operand 1
     /* 276811 */     // No operand predicates
     /* 276811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276817 */     // (fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 276820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276831 */     GIR_RootConstrainSelectedInstOperands,
     /* 276832 */     // GIR_Coverage, 13159,
     /* 276832 */     GIR_EraseRootFromParent_Done,
     /* 276833 */   // Label 5707: @276833
     /* 276833 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(276896), // Rule ID 2003 //
     /* 276838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 276853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 276857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 276861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 276870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 276874 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 276878 */     // MIs[2] Operand 1
     /* 276878 */     // No operand predicates
     /* 276878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 276880 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 276880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 276883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276885 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 276887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 276894 */     GIR_RootConstrainSelectedInstOperands,
     /* 276895 */     // GIR_Coverage, 2003,
     /* 276895 */     GIR_EraseRootFromParent_Done,
     /* 276896 */   // Label 5708: @276896
     /* 276896 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(276990), // Rule ID 13619 //
     /* 276901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 276905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 276909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 276913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276924 */     // (fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 276924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 276927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 276931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 276938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 276941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 276945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 276950 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 276953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 276957 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 276960 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276965 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276970 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 276978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 276985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 276988 */     GIR_RootConstrainSelectedInstOperands,
     /* 276989 */     // GIR_Coverage, 13619,
     /* 276989 */     GIR_EraseRootFromParent_Done,
     /* 276990 */   // Label 5709: @276990
     /* 276990 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(277084), // Rule ID 6145 //
     /* 276995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 277007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 277011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277018 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 277018 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 277021 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 277025 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 277032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 277035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 277039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277044 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 277047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277051 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 277054 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277059 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277064 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 277072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 277082 */     GIR_RootConstrainSelectedInstOperands,
     /* 277083 */     // GIR_Coverage, 6145,
     /* 277083 */     GIR_EraseRootFromParent_Done,
     /* 277084 */   // Label 5710: @277084
     /* 277084 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(277111), // Rule ID 1320 //
     /* 277089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277100 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 277100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 277105 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 277109 */     GIR_RootConstrainSelectedInstOperands,
     /* 277110 */     // GIR_Coverage, 1320,
     /* 277110 */     GIR_Done,
     /* 277111 */   // Label 5711: @277111
     /* 277111 */   GIM_Reject,
     /* 277112 */ // Label 5706: @277112
     /* 277112 */ GIM_Reject,
     /* 277113 */ // Label 5661: @277113
     /* 277113 */ GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(277454),
     /* 277118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 277121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 277124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277128 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(277214), // Rule ID 13148 //
     /* 277133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 277140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 277144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 277152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 277164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277169 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 277173 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277177 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277181 */     // MIs[3] Operand 1
     /* 277181 */     // No operand predicates
     /* 277181 */     // MIs[1] Operand 2
     /* 277181 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 277192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 277198 */     // (fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 277201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 277209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 277212 */     GIR_RootConstrainSelectedInstOperands,
     /* 277213 */     // GIR_Coverage, 13148,
     /* 277213 */     GIR_EraseRootFromParent_Done,
     /* 277214 */   // Label 5713: @277214
     /* 277214 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(277300), // Rule ID 1992 //
     /* 277219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 277234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 277242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 277254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 277263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277267 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277271 */     // MIs[3] Operand 1
     /* 277271 */     // No operand predicates
     /* 277271 */     // MIs[1] Operand 2
     /* 277271 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 277282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 277284 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 277287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277289 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 277295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 277298 */     GIR_RootConstrainSelectedInstOperands,
     /* 277299 */     // GIR_Coverage, 1992,
     /* 277299 */     GIR_EraseRootFromParent_Done,
     /* 277300 */   // Label 5714: @277300
     /* 277300 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(277363), // Rule ID 13149 //
     /* 277305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 277312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277337 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277341 */     // MIs[2] Operand 1
     /* 277341 */     // No operand predicates
     /* 277341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277347 */     // (fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 277350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277361 */     GIR_RootConstrainSelectedInstOperands,
     /* 277362 */     // GIR_Coverage, 13149,
     /* 277362 */     GIR_EraseRootFromParent_Done,
     /* 277363 */   // Label 5715: @277363
     /* 277363 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(277426), // Rule ID 1993 //
     /* 277368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277404 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277408 */     // MIs[2] Operand 1
     /* 277408 */     // No operand predicates
     /* 277408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277410 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 277413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277415 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277424 */     GIR_RootConstrainSelectedInstOperands,
     /* 277425 */     // GIR_Coverage, 1993,
     /* 277425 */     GIR_EraseRootFromParent_Done,
     /* 277426 */   // Label 5716: @277426
     /* 277426 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(277453), // Rule ID 1312 //
     /* 277431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277442 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 277442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 277447 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 277451 */     GIR_RootConstrainSelectedInstOperands,
     /* 277452 */     // GIR_Coverage, 1312,
     /* 277452 */     GIR_Done,
     /* 277453 */   // Label 5717: @277453
     /* 277453 */   GIM_Reject,
     /* 277454 */ // Label 5712: @277454
     /* 277454 */ GIM_Reject,
     /* 277455 */ // Label 5662: @277455
     /* 277455 */ GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(277812),
     /* 277460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 277463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 277466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277470 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(277533), // Rule ID 13157 //
     /* 277475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 277482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 277486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 277490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277507 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 277511 */     // MIs[2] Operand 1
     /* 277511 */     // No operand predicates
     /* 277511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277517 */     // (fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 277520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277531 */     GIR_RootConstrainSelectedInstOperands,
     /* 277532 */     // GIR_Coverage, 13157,
     /* 277532 */     GIR_EraseRootFromParent_Done,
     /* 277533 */   // Label 5719: @277533
     /* 277533 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(277596), // Rule ID 2001 //
     /* 277538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 277553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 277557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277574 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 277578 */     // MIs[2] Operand 1
     /* 277578 */     // No operand predicates
     /* 277578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277580 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 277583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277585 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277594 */     GIR_RootConstrainSelectedInstOperands,
     /* 277595 */     // GIR_Coverage, 2001,
     /* 277595 */     GIR_EraseRootFromParent_Done,
     /* 277596 */   // Label 5720: @277596
     /* 277596 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(277690), // Rule ID 13617 //
     /* 277601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 277605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 277609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 277613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 277618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277624 */     // (fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 277624 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 277627 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 277631 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 277638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 277641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 277645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277650 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 277653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277657 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 277660 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277665 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 277675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 277678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 277685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 277688 */     GIR_RootConstrainSelectedInstOperands,
     /* 277689 */     // GIR_Coverage, 13617,
     /* 277689 */     GIR_EraseRootFromParent_Done,
     /* 277690 */   // Label 5721: @277690
     /* 277690 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(277784), // Rule ID 6143 //
     /* 277695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 277707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 277711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 277716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277718 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 277718 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 277721 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 277725 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 277732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 277735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 277739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 277744 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 277747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277751 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 277754 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277759 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277764 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 277769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 277772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277774 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 277779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 277782 */     GIR_RootConstrainSelectedInstOperands,
     /* 277783 */     // GIR_Coverage, 6143,
     /* 277783 */     GIR_EraseRootFromParent_Done,
     /* 277784 */   // Label 5722: @277784
     /* 277784 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(277811), // Rule ID 1318 //
     /* 277789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277800 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 277800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 277805 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 277809 */     GIR_RootConstrainSelectedInstOperands,
     /* 277810 */     // GIR_Coverage, 1318,
     /* 277810 */     GIR_Done,
     /* 277811 */   // Label 5723: @277811
     /* 277811 */   GIM_Reject,
     /* 277812 */ // Label 5718: @277812
     /* 277812 */ GIM_Reject,
     /* 277813 */ // Label 5663: @277813
     /* 277813 */ GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(278244),
     /* 277818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 277824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277828 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(277891), // Rule ID 13151 //
     /* 277833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 277840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277865 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277869 */     // MIs[2] Operand 1
     /* 277869 */     // No operand predicates
     /* 277869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277875 */     // (fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 277878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277889 */     GIR_RootConstrainSelectedInstOperands,
     /* 277890 */     // GIR_Coverage, 13151,
     /* 277890 */     GIR_EraseRootFromParent_Done,
     /* 277891 */   // Label 5725: @277891
     /* 277891 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(277954), // Rule ID 1995 //
     /* 277896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 277911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 277915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 277919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 277924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 277928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 277932 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 277936 */     // MIs[2] Operand 1
     /* 277936 */     // No operand predicates
     /* 277936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 277938 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 277938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 277941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277943 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 277945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 277949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 277952 */     GIR_RootConstrainSelectedInstOperands,
     /* 277953 */     // GIR_Coverage, 1995,
     /* 277953 */     GIR_EraseRootFromParent_Done,
     /* 277954 */   // Label 5726: @277954
     /* 277954 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(277981), // Rule ID 1314 //
     /* 277959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 277962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277970 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 277970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 277975 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 277979 */     GIR_RootConstrainSelectedInstOperands,
     /* 277980 */     // GIR_Coverage, 1314,
     /* 277980 */     GIR_Done,
     /* 277981 */   // Label 5727: @277981
     /* 277981 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(278243), // Rule ID 6906 //
     /* 277986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 277989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277997 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 277997 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 278000 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 278004 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278009 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 278013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 278015 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 278018 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 278022 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278027 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 278031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 278033 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 278036 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 278040 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278045 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 278048 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 278051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 278053 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 278056 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278060 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278065 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 278071 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278076 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278081 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 278084 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 278088 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278093 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 278096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 278098 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 278101 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278105 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278110 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 278116 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278121 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278126 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 278129 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 278133 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278138 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 278141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 278143 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 278146 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 278150 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278155 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 278158 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 278161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 278163 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 278166 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 278170 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278175 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 278178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 278180 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 278183 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 278187 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 278194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 278197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 278201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278206 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 278209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 278212 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 278215 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278220 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 278233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 278235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 278238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 278241 */     GIR_RootConstrainSelectedInstOperands,
     /* 278242 */     // GIR_Coverage, 6906,
     /* 278242 */     GIR_EraseRootFromParent_Done,
     /* 278243 */   // Label 5728: @278243
     /* 278243 */   GIM_Reject,
     /* 278244 */ // Label 5724: @278244
     /* 278244 */ GIM_Reject,
     /* 278245 */ // Label 5664: @278245
     /* 278245 */ GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(278270), // Rule ID 8034 //
     /* 278250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 278253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 278256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 278259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 278263 */   // (fmul:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 278263 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_D),
     /* 278268 */   GIR_RootConstrainSelectedInstOperands,
     /* 278269 */   // GIR_Coverage, 8034,
     /* 278269 */   GIR_Done,
     /* 278270 */ // Label 5729: @278270
     /* 278270 */ GIM_Reject,
     /* 278271 */ // Label 5665: @278271
     /* 278271 */ GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(278296), // Rule ID 8032 //
     /* 278276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 278279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 278282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 278285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 278289 */   // (fmul:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 278289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_S),
     /* 278294 */   GIR_RootConstrainSelectedInstOperands,
     /* 278295 */   // GIR_Coverage, 8032,
     /* 278295 */   GIR_Done,
     /* 278296 */ // Label 5730: @278296
     /* 278296 */ GIM_Reject,
     /* 278297 */ // Label 5666: @278297
     /* 278297 */ GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(278322), // Rule ID 8030 //
     /* 278302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 278305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 278308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 278311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 278315 */   // (fmul:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 278315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_H),
     /* 278320 */   GIR_RootConstrainSelectedInstOperands,
     /* 278321 */   // GIR_Coverage, 8030,
     /* 278321 */   GIR_Done,
     /* 278322 */ // Label 5731: @278322
     /* 278322 */ GIM_Reject,
     /* 278323 */ // Label 5667: @278323
     /* 278323 */ GIM_Reject,
     /* 278324 */ // Label 57: @278324
     /* 278324 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5740*/ GIMT_Encode4(294596),
     /* 278335 */ /*GILLT_s16*//*Label 5732*/ GIMT_Encode4(278375),
     /* 278339 */ /*GILLT_s32*//*Label 5733*/ GIMT_Encode4(281379),
     /* 278343 */ /*GILLT_s64*//*Label 5734*/ GIMT_Encode4(284527), GIMT_Encode4(0),
     /* 278351 */ /*GILLT_v2s32*//*Label 5735*/ GIMT_Encode4(287675),
     /* 278355 */ /*GILLT_v2s64*//*Label 5736*/ GIMT_Encode4(289196),
     /* 278359 */ /*GILLT_v4s16*//*Label 5737*/ GIMT_Encode4(290717),
     /* 278363 */ /*GILLT_v4s32*//*Label 5738*/ GIMT_Encode4(291896), GIMT_Encode4(0),
     /* 278371 */ /*GILLT_v8s16*//*Label 5739*/ GIMT_Encode4(293417),
     /* 278375 */ // Label 5732: @278375
     /* 278375 */ GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(281378),
     /* 278380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 278383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 278386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 278389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278393 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(278543), // Rule ID 4805 //
     /* 278398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 278401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 278405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 278417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278422 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 278426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 278430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 278442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278447 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 278451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 278455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 278459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 278463 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 278470 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 278470 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 278473 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278477 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278482 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 278488 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278493 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 278501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278510 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 278516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 278529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 278534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 278537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 278541 */     GIR_RootConstrainSelectedInstOperands,
     /* 278542 */     // GIR_Coverage, 4805,
     /* 278542 */     GIR_EraseRootFromParent_Done,
     /* 278543 */   // Label 5742: @278543
     /* 278543 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(278690), // Rule ID 4769 //
     /* 278548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 278551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 278555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 278567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278572 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 278576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 278580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 278584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 278588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 278592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278596 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278600 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 278604 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278609 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 278613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 278619 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 278619 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 278622 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278626 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278631 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 278637 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278642 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 278650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278659 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 278665 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 278678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 278683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 278686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 278688 */     GIR_RootConstrainSelectedInstOperands,
     /* 278689 */     // GIR_Coverage, 4769,
     /* 278689 */     GIR_EraseRootFromParent_Done,
     /* 278690 */   // Label 5743: @278690
     /* 278690 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(278837), // Rule ID 13559 //
     /* 278695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 278698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 278702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 278706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 278710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 278714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278722 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 278726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278731 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 278735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 278739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278747 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 278751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278756 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 278760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 278766 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 278766 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 278769 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278773 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278778 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 278784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 278797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278806 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 278812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278817 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 278825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 278830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 278833 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 278835 */     GIR_RootConstrainSelectedInstOperands,
     /* 278836 */     // GIR_Coverage, 13559,
     /* 278836 */     GIR_EraseRootFromParent_Done,
     /* 278837 */   // Label 5744: @278837
     /* 278837 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(278968), // Rule ID 5973 //
     /* 278842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 278845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 278849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 278861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278866 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 278870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 278874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 278878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 278882 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 278886 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278890 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278894 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 278898 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 278903 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 278907 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 278911 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 278915 */     // MIs[4] Operand 1
     /* 278915 */     // No operand predicates
     /* 278915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278919 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 278921 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 278921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 278924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 278928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 278933 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 278939 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 278944 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 278952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 278954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 278956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 278959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 278963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 278966 */     GIR_RootConstrainSelectedInstOperands,
     /* 278967 */     // GIR_Coverage, 5973,
     /* 278967 */     GIR_EraseRootFromParent_Done,
     /* 278968 */   // Label 5745: @278968
     /* 278968 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(279099), // Rule ID 6005 //
     /* 278973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 278976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 278980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 278984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 278988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 278992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 278997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 279001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 279005 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 279009 */     // MIs[2] Operand 1
     /* 279009 */     // No operand predicates
     /* 279009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 279013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 279021 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 279025 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279029 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279033 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 279037 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279042 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 279046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279050 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 279052 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 279052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279064 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279070 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279075 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 279083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 279085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 279087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 279094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 279097 */     GIR_RootConstrainSelectedInstOperands,
     /* 279098 */     // GIR_Coverage, 6005,
     /* 279098 */     GIR_EraseRootFromParent_Done,
     /* 279099 */   // Label 5746: @279099
     /* 279099 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(279230), // Rule ID 6069 //
     /* 279104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 279107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 279119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279131 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 279135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279140 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 279144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 279148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279152 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279156 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 279160 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 279165 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 279169 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 279173 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 279177 */     // MIs[4] Operand 1
     /* 279177 */     // No operand predicates
     /* 279177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279181 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 279183 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 279183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279195 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279201 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279206 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 279214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 279216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 279218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 279225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 279228 */     GIR_RootConstrainSelectedInstOperands,
     /* 279229 */     // GIR_Coverage, 6069,
     /* 279229 */     GIR_EraseRootFromParent_Done,
     /* 279230 */   // Label 5747: @279230
     /* 279230 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(279361), // Rule ID 6037 //
     /* 279235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 279238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 279250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279262 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 279266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 279271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 279275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 279279 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 279283 */     // MIs[3] Operand 1
     /* 279283 */     // No operand predicates
     /* 279283 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 279287 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279291 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279295 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 279299 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279304 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 279308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279312 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 279314 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 279314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279326 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279337 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 279345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 279347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 279349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 279356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 279359 */     GIR_RootConstrainSelectedInstOperands,
     /* 279360 */     // GIR_Coverage, 6037,
     /* 279360 */     GIR_EraseRootFromParent_Done,
     /* 279361 */   // Label 5748: @279361
     /* 279361 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(279496), // Rule ID 2447 //
     /* 279366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 279369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 279385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 279394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 279398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 279410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279415 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 279419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279425 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 279425 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 279428 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279432 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279437 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 279443 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279448 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279465 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279471 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 279484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 279492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 279494 */     GIR_RootConstrainSelectedInstOperands,
     /* 279495 */     // GIR_Coverage, 2447,
     /* 279495 */     GIR_EraseRootFromParent_Done,
     /* 279496 */   // Label 5749: @279496
     /* 279496 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(279615), // Rule ID 5941 //
     /* 279501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 279504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 279520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279525 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 279529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 279533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 279545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 279550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 279554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 279558 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 279562 */     // MIs[3] Operand 1
     /* 279562 */     // No operand predicates
     /* 279562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 279568 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 279568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279580 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279586 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 279599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 279601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 279603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 279610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 279613 */     GIR_RootConstrainSelectedInstOperands,
     /* 279614 */     // GIR_Coverage, 5941,
     /* 279614 */     GIR_EraseRootFromParent_Done,
     /* 279615 */   // Label 5750: @279615
     /* 279615 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(279734), // Rule ID 2529 //
     /* 279620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 279623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 279639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 279644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 279648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 279652 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 279656 */     // MIs[2] Operand 1
     /* 279656 */     // No operand predicates
     /* 279656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 279660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279668 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 279672 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279677 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 279681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 279687 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 279687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279699 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279710 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 279718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 279720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 279722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 279729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 279732 */     GIR_RootConstrainSelectedInstOperands,
     /* 279733 */     // GIR_Coverage, 2529,
     /* 279733 */     GIR_EraseRootFromParent_Done,
     /* 279734 */   // Label 5751: @279734
     /* 279734 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(279834), // Rule ID 4767 //
     /* 279739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 279742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 279758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 279767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 279771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 279779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279790 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 279790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279802 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279808 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279813 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 279821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 279830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 279832 */     GIR_RootConstrainSelectedInstOperands,
     /* 279833 */     // GIR_Coverage, 4767,
     /* 279833 */     GIR_EraseRootFromParent_Done,
     /* 279834 */   // Label 5752: @279834
     /* 279834 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(279934), // Rule ID 4803 //
     /* 279839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 279842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 279858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279863 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 279867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 279875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 279883 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279890 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 279890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 279902 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 279908 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279913 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 279921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 279926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 279928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 279932 */     GIR_RootConstrainSelectedInstOperands,
     /* 279933 */     // GIR_Coverage, 4803,
     /* 279933 */     GIR_EraseRootFromParent_Done,
     /* 279934 */   // Label 5753: @279934
     /* 279934 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(280031), // Rule ID 13555 //
     /* 279939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 279942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 279946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 279950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 279954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 279962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 279966 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 279970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279975 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 279979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 279987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279989 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 279989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 279992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 279996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280001 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 280007 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280012 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 280020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 280029 */     GIR_RootConstrainSelectedInstOperands,
     /* 280030 */     // GIR_Coverage, 13555,
     /* 280030 */     GIR_EraseRootFromParent_Done,
     /* 280031 */   // Label 5754: @280031
     /* 280031 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(280131), // Rule ID 13557 //
     /* 280036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 280039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 280060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 280072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280077 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 280081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280087 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 280087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 280090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280099 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 280105 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280110 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 280118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 280127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 280129 */     GIR_RootConstrainSelectedInstOperands,
     /* 280130 */     // GIR_Coverage, 13557,
     /* 280130 */     GIR_EraseRootFromParent_Done,
     /* 280131 */   // Label 5755: @280131
     /* 280131 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(280231), // Rule ID 4801 //
     /* 280136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 280139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280164 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 280168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 280172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 280180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280187 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 280187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 280190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280199 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 280205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280210 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 280218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280220 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 280222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 280229 */     GIR_RootConstrainSelectedInstOperands,
     /* 280230 */     // GIR_Coverage, 4801,
     /* 280230 */     GIR_EraseRootFromParent_Done,
     /* 280231 */   // Label 5756: @280231
     /* 280231 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(280328), // Rule ID 4765 //
     /* 280236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 280239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280267 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 280271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280276 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 280280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280286 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 280286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 280289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280298 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 280304 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 280317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280319 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 280321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 280326 */     GIR_RootConstrainSelectedInstOperands,
     /* 280327 */     // GIR_Coverage, 4765,
     /* 280327 */     GIR_EraseRootFromParent_Done,
     /* 280328 */   // Label 5757: @280328
     /* 280328 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(280412), // Rule ID 6003 //
     /* 280333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 280361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280365 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280369 */     // MIs[2] Operand 1
     /* 280369 */     // No operand predicates
     /* 280369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 280373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280377 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 280381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 280392 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 280395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 280403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 280407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 280410 */     GIR_RootConstrainSelectedInstOperands,
     /* 280411 */     // GIR_Coverage, 6003,
     /* 280411 */     GIR_EraseRootFromParent_Done,
     /* 280412 */   // Label 5758: @280412
     /* 280412 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(280493), // Rule ID 6035 //
     /* 280417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 280448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 280457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280461 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280465 */     // MIs[3] Operand 1
     /* 280465 */     // No operand predicates
     /* 280465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 280475 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 280478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 280488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 280491 */     GIR_RootConstrainSelectedInstOperands,
     /* 280492 */     // GIR_Coverage, 6035,
     /* 280492 */     GIR_EraseRootFromParent_Done,
     /* 280493 */   // Label 5759: @280493
     /* 280493 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(280577), // Rule ID 6067 //
     /* 280498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 280522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 280534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 280543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280547 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280551 */     // MIs[3] Operand 1
     /* 280551 */     // No operand predicates
     /* 280551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 280557 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 280560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 280568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 280572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 280575 */     GIR_RootConstrainSelectedInstOperands,
     /* 280576 */     // GIR_Coverage, 6067,
     /* 280576 */     GIR_EraseRootFromParent_Done,
     /* 280577 */   // Label 5760: @280577
     /* 280577 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(280658), // Rule ID 5971 //
     /* 280582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 280617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280622 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 280626 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280630 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280634 */     // MIs[3] Operand 1
     /* 280634 */     // No operand predicates
     /* 280634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 280640 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 280643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 280649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 280653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 280656 */     GIR_RootConstrainSelectedInstOperands,
     /* 280657 */     // GIR_Coverage, 5971,
     /* 280657 */     GIR_EraseRootFromParent_Done,
     /* 280658 */   // Label 5761: @280658
     /* 280658 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(280743), // Rule ID 2445 //
     /* 280663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 280666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280687 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 280691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280701 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 280701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 280704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280713 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 280719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 280732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 280739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 280741 */     GIR_RootConstrainSelectedInstOperands,
     /* 280742 */     // GIR_Coverage, 2445,
     /* 280742 */     GIR_EraseRootFromParent_Done,
     /* 280743 */   // Label 5762: @280743
     /* 280743 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(280828), // Rule ID 2443 //
     /* 280748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 280751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280776 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 280780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280786 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 280786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 280789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280798 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 280804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 280817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 280821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 280826 */     GIR_RootConstrainSelectedInstOperands,
     /* 280827 */     // GIR_Coverage, 2443,
     /* 280827 */     GIR_EraseRootFromParent_Done,
     /* 280828 */   // Label 5763: @280828
     /* 280828 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(280897), // Rule ID 2527 //
     /* 280833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 280861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280865 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280869 */     // MIs[2] Operand 1
     /* 280869 */     // No operand predicates
     /* 280869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280879 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 280882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 280892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 280895 */     GIR_RootConstrainSelectedInstOperands,
     /* 280896 */     // GIR_Coverage, 2527,
     /* 280896 */     GIR_EraseRootFromParent_Done,
     /* 280897 */   // Label 5764: @280897
     /* 280897 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(280966), // Rule ID 5939 //
     /* 280902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 280917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 280925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 280930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 280934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 280938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 280942 */     // MIs[2] Operand 1
     /* 280942 */     // No operand predicates
     /* 280942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280948 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 280948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 280951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 280953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 280955 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 280957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 280961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 280964 */     GIR_RootConstrainSelectedInstOperands,
     /* 280965 */     // GIR_Coverage, 5939,
     /* 280965 */     GIR_EraseRootFromParent_Done,
     /* 280966 */   // Label 5765: @280966
     /* 280966 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(281031), // Rule ID 4821 //
     /* 280971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 280974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 280978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 280982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 280995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 280999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 281007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281014 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 281017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 281023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 281025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 281029 */     GIR_RootConstrainSelectedInstOperands,
     /* 281030 */     // GIR_Coverage, 4821,
     /* 281030 */     GIR_EraseRootFromParent_Done,
     /* 281031 */   // Label 5766: @281031
     /* 281031 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(281096), // Rule ID 13575 //
     /* 281036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 281039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 281064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 281072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281079 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 281082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 281088 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 281090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 281094 */     GIR_RootConstrainSelectedInstOperands,
     /* 281095 */     // GIR_Coverage, 13575,
     /* 281095 */     GIR_EraseRootFromParent_Done,
     /* 281096 */   // Label 5767: @281096
     /* 281096 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(281146), // Rule ID 4818 //
     /* 281101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 281104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281131 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 281134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 281140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 281142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281144 */     GIR_RootConstrainSelectedInstOperands,
     /* 281145 */     // GIR_Coverage, 4818,
     /* 281145 */     GIR_EraseRootFromParent_Done,
     /* 281146 */   // Label 5768: @281146
     /* 281146 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(281196), // Rule ID 13001 //
     /* 281151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 281154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281181 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 281184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 281188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 281192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281194 */     GIR_RootConstrainSelectedInstOperands,
     /* 281195 */     // GIR_Coverage, 13001,
     /* 281195 */     GIR_EraseRootFromParent_Done,
     /* 281196 */   // Label 5769: @281196
     /* 281196 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(281246), // Rule ID 644 //
     /* 281201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 281204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281231 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 281234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281236 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 281238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 281242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281244 */     GIR_RootConstrainSelectedInstOperands,
     /* 281245 */     // GIR_Coverage, 644,
     /* 281245 */     GIR_EraseRootFromParent_Done,
     /* 281246 */   // Label 5770: @281246
     /* 281246 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(281296), // Rule ID 13572 //
     /* 281251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 281254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281281 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 281284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 281290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 281292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281294 */     GIR_RootConstrainSelectedInstOperands,
     /* 281295 */     // GIR_Coverage, 13572,
     /* 281295 */     GIR_EraseRootFromParent_Done,
     /* 281296 */   // Label 5771: @281296
     /* 281296 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(281346), // Rule ID 656 //
     /* 281301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 281304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 281316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281331 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 281334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 281338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 281340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 281344 */     GIR_RootConstrainSelectedInstOperands,
     /* 281345 */     // GIR_Coverage, 656,
     /* 281345 */     GIR_EraseRootFromParent_Done,
     /* 281346 */   // Label 5772: @281346
     /* 281346 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(281377), // Rule ID 638 //
     /* 281351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 281354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 281366 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 281366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 281371 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 281375 */     GIR_RootConstrainSelectedInstOperands,
     /* 281376 */     // GIR_Coverage, 638,
     /* 281376 */     GIR_Done,
     /* 281377 */   // Label 5773: @281377
     /* 281377 */   GIM_Reject,
     /* 281378 */ // Label 5741: @281378
     /* 281378 */ GIM_Reject,
     /* 281379 */ // Label 5733: @281379
     /* 281379 */ GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(284526),
     /* 281384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 281387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 281390 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 281393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281397 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(281547), // Rule ID 4811 //
     /* 281402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 281405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 281421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281426 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 281430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 281434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281442 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 281446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281451 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 281455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 281459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 281467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 281474 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 281474 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 281477 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281481 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281486 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 281492 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281497 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 281505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281514 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 281520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281525 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 281533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 281541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 281545 */     GIR_RootConstrainSelectedInstOperands,
     /* 281546 */     // GIR_Coverage, 4811,
     /* 281546 */     GIR_EraseRootFromParent_Done,
     /* 281547 */   // Label 5775: @281547
     /* 281547 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(281694), // Rule ID 4775 //
     /* 281552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 281555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 281571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281576 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 281580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 281584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 281592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 281596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281600 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281604 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 281608 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281613 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 281617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281621 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 281623 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 281623 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 281626 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281630 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281635 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 281641 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281646 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 281654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281663 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 281669 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 281682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 281690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281692 */     GIR_RootConstrainSelectedInstOperands,
     /* 281693 */     // GIR_Coverage, 4775,
     /* 281693 */     GIR_EraseRootFromParent_Done,
     /* 281694 */   // Label 5776: @281694
     /* 281694 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(281841), // Rule ID 13565 //
     /* 281699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 281702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 281714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 281730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281735 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 281739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 281743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281747 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281751 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 281755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281760 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 281764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281768 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 281770 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 281770 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 281773 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281777 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281782 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 281788 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281793 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 281801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281810 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 281816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 281829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 281837 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 281839 */     GIR_RootConstrainSelectedInstOperands,
     /* 281840 */     // GIR_Coverage, 13565,
     /* 281840 */     GIR_EraseRootFromParent_Done,
     /* 281841 */   // Label 5777: @281841
     /* 281841 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(281972), // Rule ID 5989 //
     /* 281846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 281865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281870 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 281874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 281878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 281882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 281886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 281890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281894 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281898 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 281902 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281907 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 281911 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 281915 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 281919 */     // MIs[4] Operand 1
     /* 281919 */     // No operand predicates
     /* 281919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281923 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 281925 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 281925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 281928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281937 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 281943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 281948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 281956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 281958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 281960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 281967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 281970 */     GIR_RootConstrainSelectedInstOperands,
     /* 281971 */     // GIR_Coverage, 5989,
     /* 281971 */     GIR_EraseRootFromParent_Done,
     /* 281972 */   // Label 5778: @281972
     /* 281972 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(282103), // Rule ID 6021 //
     /* 281977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 281984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 281988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 281996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 282005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 282009 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 282013 */     // MIs[2] Operand 1
     /* 282013 */     // No operand predicates
     /* 282013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 282017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282021 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 282025 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 282029 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282033 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282037 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 282041 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282046 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 282050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282054 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 282056 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 282056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282068 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 282087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 282091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 282098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 282101 */     GIR_RootConstrainSelectedInstOperands,
     /* 282102 */     // GIR_Coverage, 6021,
     /* 282102 */     GIR_EraseRootFromParent_Done,
     /* 282103 */   // Label 5779: @282103
     /* 282103 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(282234), // Rule ID 6085 //
     /* 282108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 282123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 282127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 282139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282144 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 282148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 282152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282156 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282160 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 282164 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282169 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 282173 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 282177 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 282181 */     // MIs[4] Operand 1
     /* 282181 */     // No operand predicates
     /* 282181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282185 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 282187 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 282187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282199 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282210 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 282218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 282222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 282229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 282232 */     GIR_RootConstrainSelectedInstOperands,
     /* 282233 */     // GIR_Coverage, 6085,
     /* 282233 */     GIR_EraseRootFromParent_Done,
     /* 282234 */   // Label 5780: @282234
     /* 282234 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(282365), // Rule ID 6053 //
     /* 282239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 282254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 282258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 282270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 282279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 282283 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 282287 */     // MIs[3] Operand 1
     /* 282287 */     // No operand predicates
     /* 282287 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 282291 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282295 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282299 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 282303 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282308 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 282312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282316 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 282318 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 282318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282330 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 282349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 282353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 282360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 282363 */     GIR_RootConstrainSelectedInstOperands,
     /* 282364 */     // GIR_Coverage, 6053,
     /* 282364 */     GIR_EraseRootFromParent_Done,
     /* 282365 */   // Label 5781: @282365
     /* 282365 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(282500), // Rule ID 2453 //
     /* 282370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 282373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 282389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282394 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 282398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 282402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282410 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 282414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282419 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 282423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 282429 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 282429 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 282432 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282436 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282441 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 282447 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282452 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282469 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 282488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 282496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 282498 */     GIR_RootConstrainSelectedInstOperands,
     /* 282499 */     // GIR_Coverage, 2453,
     /* 282499 */     GIR_EraseRootFromParent_Done,
     /* 282500 */   // Label 5782: @282500
     /* 282500 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(282619), // Rule ID 5957 //
     /* 282505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 282524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282529 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 282533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 282537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 282549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 282558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 282562 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 282566 */     // MIs[3] Operand 1
     /* 282566 */     // No operand predicates
     /* 282566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 282572 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 282572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282584 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282590 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282595 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 282603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 282607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 282614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 282617 */     GIR_RootConstrainSelectedInstOperands,
     /* 282618 */     // GIR_Coverage, 5957,
     /* 282618 */     GIR_EraseRootFromParent_Done,
     /* 282619 */   // Label 5783: @282619
     /* 282619 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(282738), // Rule ID 2545 //
     /* 282624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 282643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 282652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 282656 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 282660 */     // MIs[2] Operand 1
     /* 282660 */     // No operand predicates
     /* 282660 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 282664 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282668 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282672 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 282676 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282681 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 282685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 282691 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 282691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282703 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282709 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282714 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 282722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 282724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 282726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 282733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 282736 */     GIR_RootConstrainSelectedInstOperands,
     /* 282737 */     // GIR_Coverage, 2545,
     /* 282737 */     GIR_EraseRootFromParent_Done,
     /* 282738 */   // Label 5784: @282738
     /* 282738 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(282838), // Rule ID 4773 //
     /* 282743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 282746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 282762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282767 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 282771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 282775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 282783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 282794 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 282794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282806 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282817 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 282825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 282834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 282836 */     GIR_RootConstrainSelectedInstOperands,
     /* 282837 */     // GIR_Coverage, 4773,
     /* 282837 */     GIR_EraseRootFromParent_Done,
     /* 282838 */   // Label 5785: @282838
     /* 282838 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(282938), // Rule ID 4809 //
     /* 282843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 282846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 282862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282867 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 282871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 282879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 282887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 282894 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 282894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282906 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 282912 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282917 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 282925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 282932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 282936 */     GIR_RootConstrainSelectedInstOperands,
     /* 282937 */     // GIR_Coverage, 4809,
     /* 282937 */     GIR_EraseRootFromParent_Done,
     /* 282938 */   // Label 5786: @282938
     /* 282938 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(283035), // Rule ID 13561 //
     /* 282943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 282946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 282950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 282954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 282958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 282962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 282966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282970 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 282974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282979 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 282983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 282991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 282993 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 282993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 282996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283005 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 283011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283016 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 283024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 283028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 283033 */     GIR_RootConstrainSelectedInstOperands,
     /* 283034 */     // GIR_Coverage, 13561,
     /* 283034 */     GIR_EraseRootFromParent_Done,
     /* 283035 */   // Label 5787: @283035
     /* 283035 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(283135), // Rule ID 13563 //
     /* 283040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 283055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283072 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283081 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283091 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 283091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 283094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283103 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 283109 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 283122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 283131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 283133 */     GIR_RootConstrainSelectedInstOperands,
     /* 283134 */     // GIR_Coverage, 13563,
     /* 283134 */     GIR_EraseRootFromParent_Done,
     /* 283135 */   // Label 5788: @283135
     /* 283135 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(283235), // Rule ID 4807 //
     /* 283140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 283151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283168 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 283176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 283184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283191 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 283191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 283194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283203 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 283209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 283222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283224 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 283226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 283233 */     GIR_RootConstrainSelectedInstOperands,
     /* 283234 */     // GIR_Coverage, 4807,
     /* 283234 */     GIR_EraseRootFromParent_Done,
     /* 283235 */   // Label 5789: @283235
     /* 283235 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(283332), // Rule ID 4771 //
     /* 283240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 283251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 283259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 283263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283280 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283290 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 283290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 283293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283302 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 283308 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 283321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283323 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 283325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 283330 */     GIR_RootConstrainSelectedInstOperands,
     /* 283331 */     // GIR_Coverage, 4771,
     /* 283331 */     GIR_EraseRootFromParent_Done,
     /* 283332 */   // Label 5790: @283332
     /* 283332 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(283410), // Rule ID 6107 //
     /* 283337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 283357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 283374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283378 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283382 */     // MIs[3] Operand 1
     /* 283382 */     // No operand predicates
     /* 283382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283392 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 283401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 283405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 283408 */     GIR_RootConstrainSelectedInstOperands,
     /* 283409 */     // GIR_Coverage, 6107,
     /* 283409 */     GIR_EraseRootFromParent_Done,
     /* 283410 */   // Label 5791: @283410
     /* 283410 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(283494), // Rule ID 6019 //
     /* 283415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 283443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283447 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283451 */     // MIs[2] Operand 1
     /* 283451 */     // No operand predicates
     /* 283451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 283455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 283463 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283474 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283479 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 283485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 283489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 283492 */     GIR_RootConstrainSelectedInstOperands,
     /* 283493 */     // GIR_Coverage, 6019,
     /* 283493 */     GIR_EraseRootFromParent_Done,
     /* 283494 */   // Label 5792: @283494
     /* 283494 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(283575), // Rule ID 6051 //
     /* 283499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 283514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 283518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283526 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283535 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 283539 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283543 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283547 */     // MIs[3] Operand 1
     /* 283547 */     // No operand predicates
     /* 283547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283557 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 283566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 283570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 283573 */     GIR_RootConstrainSelectedInstOperands,
     /* 283574 */     // GIR_Coverage, 6051,
     /* 283574 */     GIR_EraseRootFromParent_Done,
     /* 283575 */   // Label 5793: @283575
     /* 283575 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(283659), // Rule ID 6083 //
     /* 283580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 283595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283621 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 283625 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283629 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283633 */     // MIs[3] Operand 1
     /* 283633 */     // No operand predicates
     /* 283633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283639 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 283654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 283657 */     GIR_RootConstrainSelectedInstOperands,
     /* 283658 */     // GIR_Coverage, 6083,
     /* 283658 */     GIR_EraseRootFromParent_Done,
     /* 283659 */   // Label 5794: @283659
     /* 283659 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(283737), // Rule ID 6129 //
     /* 283664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 283672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 283688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 283705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283709 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283713 */     // MIs[3] Operand 1
     /* 283713 */     // No operand predicates
     /* 283713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283719 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283726 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 283728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 283732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 283735 */     GIR_RootConstrainSelectedInstOperands,
     /* 283736 */     // GIR_Coverage, 6129,
     /* 283736 */     GIR_EraseRootFromParent_Done,
     /* 283737 */   // Label 5795: @283737
     /* 283737 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(283818), // Rule ID 5987 //
     /* 283742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 283753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 283757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 283761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 283765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283773 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 283786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 283790 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 283794 */     // MIs[3] Operand 1
     /* 283794 */     // No operand predicates
     /* 283794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283798 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 283800 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 283800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 283803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 283805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 283807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 283809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 283813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 283816 */     GIR_RootConstrainSelectedInstOperands,
     /* 283817 */     // GIR_Coverage, 5987,
     /* 283817 */     GIR_EraseRootFromParent_Done,
     /* 283818 */   // Label 5796: @283818
     /* 283818 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(283903), // Rule ID 2451 //
     /* 283823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283847 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 283861 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 283861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 283864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283873 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 283879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283884 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 283892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 283899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 283901 */     GIR_RootConstrainSelectedInstOperands,
     /* 283902 */     // GIR_Coverage, 2451,
     /* 283902 */     GIR_EraseRootFromParent_Done,
     /* 283903 */   // Label 5797: @283903
     /* 283903 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(283988), // Rule ID 2449 //
     /* 283908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 283919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283936 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 283946 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 283946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 283949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283958 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 283964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 283977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283979 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 283981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 283986 */     GIR_RootConstrainSelectedInstOperands,
     /* 283987 */     // GIR_Coverage, 2449,
     /* 283987 */     GIR_EraseRootFromParent_Done,
     /* 283988 */   // Label 5798: @283988
     /* 283988 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(284057), // Rule ID 2543 //
     /* 283993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 284021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 284025 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 284029 */     // MIs[2] Operand 1
     /* 284029 */     // No operand predicates
     /* 284029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284039 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 284039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 284042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 284046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 284048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 284052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 284055 */     GIR_RootConstrainSelectedInstOperands,
     /* 284056 */     // GIR_Coverage, 2543,
     /* 284056 */     GIR_EraseRootFromParent_Done,
     /* 284057 */   // Label 5799: @284057
     /* 284057 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(284126), // Rule ID 5955 //
     /* 284062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 284073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 284094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 284098 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 284102 */     // MIs[2] Operand 1
     /* 284102 */     // No operand predicates
     /* 284102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284108 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 284108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 284111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 284115 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 284117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 284121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 284124 */     GIR_RootConstrainSelectedInstOperands,
     /* 284125 */     // GIR_Coverage, 5955,
     /* 284125 */     GIR_EraseRootFromParent_Done,
     /* 284126 */   // Label 5800: @284126
     /* 284126 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(284188), // Rule ID 4822 //
     /* 284131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 284156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 284164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284171 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 284174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 284182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 284186 */     GIR_RootConstrainSelectedInstOperands,
     /* 284187 */     // GIR_Coverage, 4822,
     /* 284187 */     GIR_EraseRootFromParent_Done,
     /* 284188 */   // Label 5801: @284188
     /* 284188 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(284250), // Rule ID 13576 //
     /* 284193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 284201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 284218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 284226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284231 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284233 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 284236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 284244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 284248 */     GIR_RootConstrainSelectedInstOperands,
     /* 284249 */     // GIR_Coverage, 13576,
     /* 284249 */     GIR_EraseRootFromParent_Done,
     /* 284250 */   // Label 5802: @284250
     /* 284250 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(284297), // Rule ID 4819 //
     /* 284255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 284282 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 284285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 284293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284295 */     GIR_RootConstrainSelectedInstOperands,
     /* 284296 */     // GIR_Coverage, 4819,
     /* 284296 */     GIR_EraseRootFromParent_Done,
     /* 284297 */   // Label 5803: @284297
     /* 284297 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(284347), // Rule ID 13003 //
     /* 284302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 284332 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 284335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 284339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 284343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284345 */     GIR_RootConstrainSelectedInstOperands,
     /* 284346 */     // GIR_Coverage, 13003,
     /* 284346 */     GIR_EraseRootFromParent_Done,
     /* 284347 */   // Label 5804: @284347
     /* 284347 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(284397), // Rule ID 646 //
     /* 284352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 284363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 284382 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 284385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284387 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 284389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 284393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284395 */     GIR_RootConstrainSelectedInstOperands,
     /* 284396 */     // GIR_Coverage, 646,
     /* 284396 */     GIR_EraseRootFromParent_Done,
     /* 284397 */   // Label 5805: @284397
     /* 284397 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(284444), // Rule ID 13573 //
     /* 284402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 284410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 284429 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 284432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 284440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284442 */     GIR_RootConstrainSelectedInstOperands,
     /* 284443 */     // GIR_Coverage, 13573,
     /* 284443 */     GIR_EraseRootFromParent_Done,
     /* 284444 */   // Label 5806: @284444
     /* 284444 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(284494), // Rule ID 658 //
     /* 284449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 284464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 284472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 284479 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 284482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284484 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 284486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 284488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 284492 */     GIR_RootConstrainSelectedInstOperands,
     /* 284493 */     // GIR_Coverage, 658,
     /* 284493 */     GIR_EraseRootFromParent_Done,
     /* 284494 */   // Label 5807: @284494
     /* 284494 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(284525), // Rule ID 640 //
     /* 284499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284514 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 284514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 284519 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284523 */     GIR_RootConstrainSelectedInstOperands,
     /* 284524 */     // GIR_Coverage, 640,
     /* 284524 */     GIR_Done,
     /* 284525 */   // Label 5808: @284525
     /* 284525 */   GIM_Reject,
     /* 284526 */ // Label 5774: @284526
     /* 284526 */ GIM_Reject,
     /* 284527 */ // Label 5734: @284527
     /* 284527 */ GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(287674),
     /* 284532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 284535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 284538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 284541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284545 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(284695), // Rule ID 4817 //
     /* 284550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284574 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284590 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284599 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 284607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284611 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 284615 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 284622 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 284622 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 284625 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284629 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284634 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 284640 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284645 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284662 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 284681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 284689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 284693 */     GIR_RootConstrainSelectedInstOperands,
     /* 284694 */     // GIR_Coverage, 4817,
     /* 284694 */     GIR_EraseRootFromParent_Done,
     /* 284695 */   // Label 5810: @284695
     /* 284695 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(284842), // Rule ID 4781 //
     /* 284700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284724 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 284740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 284744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284748 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284752 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 284756 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284761 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 284765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 284771 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 284771 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 284774 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284778 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284783 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 284789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284794 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284811 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284817 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284822 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 284830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 284838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284840 */     GIR_RootConstrainSelectedInstOperands,
     /* 284841 */     // GIR_Coverage, 4781,
     /* 284841 */     GIR_EraseRootFromParent_Done,
     /* 284842 */   // Label 5811: @284842
     /* 284842 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(284989), // Rule ID 13571 //
     /* 284847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 284858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 284862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 284866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284883 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 284891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284895 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284899 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 284903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284908 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 284912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 284918 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 284918 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 284921 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284925 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284930 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 284936 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284941 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284958 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 284977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 284985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 284987 */     GIR_RootConstrainSelectedInstOperands,
     /* 284988 */     // GIR_Coverage, 13571,
     /* 284988 */     GIR_EraseRootFromParent_Done,
     /* 284989 */   // Label 5812: @284989
     /* 284989 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(285120), // Rule ID 5993 //
     /* 284994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 285030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 285034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 285038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285042 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285046 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 285050 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285055 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 285059 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285063 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285067 */     // MIs[4] Operand 1
     /* 285067 */     // No operand predicates
     /* 285067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285071 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 285073 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285085 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285096 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 285104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 285115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 285118 */     GIR_RootConstrainSelectedInstOperands,
     /* 285119 */     // GIR_Coverage, 5993,
     /* 285119 */     GIR_EraseRootFromParent_Done,
     /* 285120 */   // Label 5813: @285120
     /* 285120 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(285251), // Rule ID 6025 //
     /* 285125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285157 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285161 */     // MIs[2] Operand 1
     /* 285161 */     // No operand predicates
     /* 285161 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 285165 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 285169 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 285173 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 285177 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285181 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285185 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 285189 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285194 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 285198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285202 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 285204 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285216 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285222 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285227 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 285235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 285246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 285249 */     GIR_RootConstrainSelectedInstOperands,
     /* 285250 */     // GIR_Coverage, 6025,
     /* 285250 */     GIR_EraseRootFromParent_Done,
     /* 285251 */   // Label 5814: @285251
     /* 285251 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(285382), // Rule ID 6089 //
     /* 285256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 285267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 285271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 285275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285283 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285292 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 285296 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 285300 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285304 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285308 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 285312 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285317 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 285321 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285325 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285329 */     // MIs[4] Operand 1
     /* 285329 */     // No operand predicates
     /* 285329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285333 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 285335 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285347 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285353 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285358 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 285366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 285377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 285380 */     GIR_RootConstrainSelectedInstOperands,
     /* 285381 */     // GIR_Coverage, 6089,
     /* 285381 */     GIR_EraseRootFromParent_Done,
     /* 285382 */   // Label 5815: @285382
     /* 285382 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(285513), // Rule ID 6057 //
     /* 285387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 285398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 285402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 285406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285431 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285435 */     // MIs[3] Operand 1
     /* 285435 */     // No operand predicates
     /* 285435 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 285439 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285443 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285447 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 285451 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285456 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 285460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285464 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 285466 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285478 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285484 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285489 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 285497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 285508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 285511 */     GIR_RootConstrainSelectedInstOperands,
     /* 285512 */     // GIR_Coverage, 6057,
     /* 285512 */     GIR_EraseRootFromParent_Done,
     /* 285513 */   // Label 5816: @285513
     /* 285513 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(285648), // Rule ID 2459 //
     /* 285518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285542 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285558 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285567 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 285571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285577 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 285577 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 285580 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285584 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285589 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 285595 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285600 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285617 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285623 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285628 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 285636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 285644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 285646 */     GIR_RootConstrainSelectedInstOperands,
     /* 285647 */     // GIR_Coverage, 2459,
     /* 285647 */     GIR_EraseRootFromParent_Done,
     /* 285648 */   // Label 5817: @285648
     /* 285648 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(285767), // Rule ID 5961 //
     /* 285653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285677 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285702 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285706 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285710 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285714 */     // MIs[3] Operand 1
     /* 285714 */     // No operand predicates
     /* 285714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285718 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285720 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285732 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 285751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 285762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 285765 */     GIR_RootConstrainSelectedInstOperands,
     /* 285766 */     // GIR_Coverage, 5961,
     /* 285766 */     GIR_EraseRootFromParent_Done,
     /* 285767 */   // Label 5818: @285767
     /* 285767 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(285886), // Rule ID 2549 //
     /* 285772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285804 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 285808 */     // MIs[2] Operand 1
     /* 285808 */     // No operand predicates
     /* 285808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 285812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285816 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285820 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 285824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285829 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 285833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285837 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285839 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 285839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285851 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 285870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 285874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 285881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 285884 */     GIR_RootConstrainSelectedInstOperands,
     /* 285885 */     // GIR_Coverage, 2549,
     /* 285885 */     GIR_EraseRootFromParent_Done,
     /* 285886 */   // Label 5819: @285886
     /* 285886 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(285986), // Rule ID 4779 //
     /* 285891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 285927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 285931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285942 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 285942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 285945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285954 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285960 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285965 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 285973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 285982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 285984 */     GIR_RootConstrainSelectedInstOperands,
     /* 285985 */     // GIR_Coverage, 4779,
     /* 285985 */     GIR_EraseRootFromParent_Done,
     /* 285986 */   // Label 5820: @285986
     /* 285986 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(286086), // Rule ID 4815 //
     /* 285991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 286027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 286035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286042 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 286042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 286045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286054 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 286060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 286073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 286080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 286084 */     GIR_RootConstrainSelectedInstOperands,
     /* 286085 */     // GIR_Coverage, 4815,
     /* 286085 */     GIR_EraseRootFromParent_Done,
     /* 286086 */   // Label 5821: @286086
     /* 286086 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(286183), // Rule ID 13567 //
     /* 286091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286118 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286127 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 286131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286141 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 286141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 286144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286153 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 286159 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286164 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 286172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 286181 */     GIR_RootConstrainSelectedInstOperands,
     /* 286182 */     // GIR_Coverage, 13567,
     /* 286182 */     GIR_EraseRootFromParent_Done,
     /* 286183 */   // Label 5822: @286183
     /* 286183 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(286283), // Rule ID 13569 //
     /* 286188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 286212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286229 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 286233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286239 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 286239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 286242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286251 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 286257 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286262 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 286270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 286281 */     GIR_RootConstrainSelectedInstOperands,
     /* 286282 */     // GIR_Coverage, 13569,
     /* 286282 */     GIR_EraseRootFromParent_Done,
     /* 286283 */   // Label 5823: @286283
     /* 286283 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(286383), // Rule ID 4813 //
     /* 286288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286316 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 286324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 286332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286339 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 286339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 286342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286351 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 286357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286362 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 286370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286372 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 286381 */     GIR_RootConstrainSelectedInstOperands,
     /* 286382 */     // GIR_Coverage, 4813,
     /* 286382 */     GIR_EraseRootFromParent_Done,
     /* 286383 */   // Label 5824: @286383
     /* 286383 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(286480), // Rule ID 4777 //
     /* 286388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286419 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286423 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286428 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 286432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286438 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 286438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 286441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286450 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 286456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286461 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 286469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286471 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 286478 */     GIR_RootConstrainSelectedInstOperands,
     /* 286479 */     // GIR_Coverage, 4777,
     /* 286479 */     GIR_EraseRootFromParent_Done,
     /* 286480 */   // Label 5825: @286480
     /* 286480 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(286558), // Rule ID 6111 //
     /* 286485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286513 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286518 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 286522 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286526 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286530 */     // MIs[3] Operand 1
     /* 286530 */     // No operand predicates
     /* 286530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286538 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286540 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 286540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286556 */     GIR_RootConstrainSelectedInstOperands,
     /* 286557 */     // GIR_Coverage, 6111,
     /* 286557 */     GIR_EraseRootFromParent_Done,
     /* 286558 */   // Label 5826: @286558
     /* 286558 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(286642), // Rule ID 6023 //
     /* 286563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286595 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 286599 */     // MIs[2] Operand 1
     /* 286599 */     // No operand predicates
     /* 286599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 286603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286607 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 286611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286622 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 286622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 286633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286640 */     GIR_RootConstrainSelectedInstOperands,
     /* 286641 */     // GIR_Coverage, 6023,
     /* 286641 */     GIR_EraseRootFromParent_Done,
     /* 286642 */   // Label 5827: @286642
     /* 286642 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(286723), // Rule ID 6055 //
     /* 286647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286674 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286691 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 286695 */     // MIs[3] Operand 1
     /* 286695 */     // No operand predicates
     /* 286695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286705 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 286705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286721 */     GIR_RootConstrainSelectedInstOperands,
     /* 286722 */     // GIR_Coverage, 6055,
     /* 286722 */     GIR_EraseRootFromParent_Done,
     /* 286723 */   // Label 5828: @286723
     /* 286723 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(286807), // Rule ID 6087 //
     /* 286728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 286752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286760 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286777 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 286781 */     // MIs[3] Operand 1
     /* 286781 */     // No operand predicates
     /* 286781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286787 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 286787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 286798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286805 */     GIR_RootConstrainSelectedInstOperands,
     /* 286806 */     // GIR_Coverage, 6087,
     /* 286806 */     GIR_EraseRootFromParent_Done,
     /* 286807 */   // Label 5829: @286807
     /* 286807 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(286885), // Rule ID 6133 //
     /* 286812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 286853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286857 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286861 */     // MIs[3] Operand 1
     /* 286861 */     // No operand predicates
     /* 286861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286865 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286867 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 286867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286874 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286883 */     GIR_RootConstrainSelectedInstOperands,
     /* 286884 */     // GIR_Coverage, 6133,
     /* 286884 */     GIR_EraseRootFromParent_Done,
     /* 286885 */   // Label 5830: @286885
     /* 286885 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(286966), // Rule ID 5991 //
     /* 286890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 286909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 286913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286938 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 286942 */     // MIs[3] Operand 1
     /* 286942 */     // No operand predicates
     /* 286942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286948 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 286948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 286951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 286955 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286964 */     GIR_RootConstrainSelectedInstOperands,
     /* 286965 */     // GIR_Coverage, 5991,
     /* 286965 */     GIR_EraseRootFromParent_Done,
     /* 286966 */   // Label 5831: @286966
     /* 286966 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(287051), // Rule ID 2457 //
     /* 286971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286995 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287009 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287021 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 287027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 287040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 287047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287049 */     GIR_RootConstrainSelectedInstOperands,
     /* 287050 */     // GIR_Coverage, 2457,
     /* 287050 */     GIR_EraseRootFromParent_Done,
     /* 287051 */   // Label 5832: @287051
     /* 287051 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(287136), // Rule ID 2455 //
     /* 287056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287084 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287094 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 287094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287106 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 287112 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 287125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287127 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287134 */     GIR_RootConstrainSelectedInstOperands,
     /* 287135 */     // GIR_Coverage, 2455,
     /* 287135 */     GIR_EraseRootFromParent_Done,
     /* 287136 */   // Label 5833: @287136
     /* 287136 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(287205), // Rule ID 2547 //
     /* 287141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287173 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287177 */     // MIs[2] Operand 1
     /* 287177 */     // No operand predicates
     /* 287177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287187 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 287187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 287190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 287194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287203 */     GIR_RootConstrainSelectedInstOperands,
     /* 287204 */     // GIR_Coverage, 2547,
     /* 287204 */     GIR_EraseRootFromParent_Done,
     /* 287205 */   // Label 5834: @287205
     /* 287205 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(287274), // Rule ID 5959 //
     /* 287210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287246 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287250 */     // MIs[2] Operand 1
     /* 287250 */     // No operand predicates
     /* 287250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287256 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 287256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 287259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 287263 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287272 */     GIR_RootConstrainSelectedInstOperands,
     /* 287273 */     // GIR_Coverage, 5959,
     /* 287273 */     GIR_EraseRootFromParent_Done,
     /* 287274 */   // Label 5835: @287274
     /* 287274 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(287336), // Rule ID 4823 //
     /* 287279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 287304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 287312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287319 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 287322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 287328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 287330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 287334 */     GIR_RootConstrainSelectedInstOperands,
     /* 287335 */     // GIR_Coverage, 4823,
     /* 287335 */     GIR_EraseRootFromParent_Done,
     /* 287336 */   // Label 5836: @287336
     /* 287336 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(287398), // Rule ID 13577 //
     /* 287341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 287366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 287374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287381 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 287384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 287390 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 287392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 287396 */     GIR_RootConstrainSelectedInstOperands,
     /* 287397 */     // GIR_Coverage, 13577,
     /* 287397 */     GIR_EraseRootFromParent_Done,
     /* 287398 */   // Label 5837: @287398
     /* 287398 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(287445), // Rule ID 4820 //
     /* 287403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287430 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 287433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 287439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 287441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287443 */     GIR_RootConstrainSelectedInstOperands,
     /* 287444 */     // GIR_Coverage, 4820,
     /* 287444 */     GIR_EraseRootFromParent_Done,
     /* 287445 */   // Label 5838: @287445
     /* 287445 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(287495), // Rule ID 13005 //
     /* 287450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287480 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 287483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287493 */     GIR_RootConstrainSelectedInstOperands,
     /* 287494 */     // GIR_Coverage, 13005,
     /* 287494 */     GIR_EraseRootFromParent_Done,
     /* 287495 */   // Label 5839: @287495
     /* 287495 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(287545), // Rule ID 648 //
     /* 287500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287530 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 287533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287535 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287541 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287543 */     GIR_RootConstrainSelectedInstOperands,
     /* 287544 */     // GIR_Coverage, 648,
     /* 287544 */     GIR_EraseRootFromParent_Done,
     /* 287545 */   // Label 5840: @287545
     /* 287545 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(287592), // Rule ID 13574 //
     /* 287550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287577 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 287580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 287586 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 287588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 287590 */     GIR_RootConstrainSelectedInstOperands,
     /* 287591 */     // GIR_Coverage, 13574,
     /* 287591 */     GIR_EraseRootFromParent_Done,
     /* 287592 */   // Label 5841: @287592
     /* 287592 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(287642), // Rule ID 660 //
     /* 287597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 287612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287627 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 287630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287632 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 287636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 287640 */     GIR_RootConstrainSelectedInstOperands,
     /* 287641 */     // GIR_Coverage, 660,
     /* 287641 */     GIR_EraseRootFromParent_Done,
     /* 287642 */   // Label 5842: @287642
     /* 287642 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(287673), // Rule ID 642 //
     /* 287647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287662 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 287662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 287667 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 287671 */     GIR_RootConstrainSelectedInstOperands,
     /* 287672 */     // GIR_Coverage, 642,
     /* 287672 */     GIR_Done,
     /* 287673 */   // Label 5843: @287673
     /* 287673 */   GIM_Reject,
     /* 287674 */ // Label 5809: @287674
     /* 287674 */ GIM_Reject,
     /* 287675 */ // Label 5735: @287675
     /* 287675 */ GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(289195),
     /* 287680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 287683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 287686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 287689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287693 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(287771), // Rule ID 6091 //
     /* 287698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 287718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 287735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287739 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287743 */     // MIs[3] Operand 1
     /* 287743 */     // No operand predicates
     /* 287743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287751 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287753 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 287756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 287760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287769 */     GIR_RootConstrainSelectedInstOperands,
     /* 287770 */     // GIR_Coverage, 6091,
     /* 287770 */     GIR_EraseRootFromParent_Done,
     /* 287771 */   // Label 5845: @287771
     /* 287771 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(287855), // Rule ID 6007 //
     /* 287776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287808 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287812 */     // MIs[2] Operand 1
     /* 287812 */     // No operand predicates
     /* 287812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287820 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 287824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287835 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 287838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 287842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 287846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287853 */     GIR_RootConstrainSelectedInstOperands,
     /* 287854 */     // GIR_Coverage, 6007,
     /* 287854 */     GIR_EraseRootFromParent_Done,
     /* 287855 */   // Label 5846: @287855
     /* 287855 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(287936), // Rule ID 6039 //
     /* 287860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 287875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 287879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287904 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287908 */     // MIs[3] Operand 1
     /* 287908 */     // No operand predicates
     /* 287908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287918 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 287921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 287923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 287925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287934 */     GIR_RootConstrainSelectedInstOperands,
     /* 287935 */     // GIR_Coverage, 6039,
     /* 287935 */     GIR_EraseRootFromParent_Done,
     /* 287936 */   // Label 5847: @287936
     /* 287936 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(288020), // Rule ID 6071 //
     /* 287941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 287956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 287965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287973 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287982 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287986 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287990 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287994 */     // MIs[3] Operand 1
     /* 287994 */     // No operand predicates
     /* 287994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287998 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288000 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 288000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 288011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288018 */     GIR_RootConstrainSelectedInstOperands,
     /* 288019 */     // GIR_Coverage, 6071,
     /* 288019 */     GIR_EraseRootFromParent_Done,
     /* 288020 */   // Label 5848: @288020
     /* 288020 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(288098), // Rule ID 6113 //
     /* 288025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 288066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288070 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288074 */     // MIs[3] Operand 1
     /* 288074 */     // No operand predicates
     /* 288074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288080 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 288080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288087 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288096 */     GIR_RootConstrainSelectedInstOperands,
     /* 288097 */     // GIR_Coverage, 6113,
     /* 288097 */     GIR_EraseRootFromParent_Done,
     /* 288098 */   // Label 5849: @288098
     /* 288098 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(288179), // Rule ID 5975 //
     /* 288103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288134 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288151 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288155 */     // MIs[3] Operand 1
     /* 288155 */     // No operand predicates
     /* 288155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288161 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 288161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288168 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288177 */     GIR_RootConstrainSelectedInstOperands,
     /* 288178 */     // GIR_Coverage, 5975,
     /* 288178 */     GIR_EraseRootFromParent_Done,
     /* 288179 */   // Label 5850: @288179
     /* 288179 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(288248), // Rule ID 2531 //
     /* 288184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288216 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288220 */     // MIs[2] Operand 1
     /* 288220 */     // No operand predicates
     /* 288220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288230 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 288230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 288233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288246 */     GIR_RootConstrainSelectedInstOperands,
     /* 288247 */     // GIR_Coverage, 2531,
     /* 288247 */     GIR_EraseRootFromParent_Done,
     /* 288248 */   // Label 5851: @288248
     /* 288248 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(288317), // Rule ID 5943 //
     /* 288253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288289 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288293 */     // MIs[2] Operand 1
     /* 288293 */     // No operand predicates
     /* 288293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288299 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 288299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 288302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288306 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288315 */     GIR_RootConstrainSelectedInstOperands,
     /* 288316 */     // GIR_Coverage, 5943,
     /* 288316 */     GIR_EraseRootFromParent_Done,
     /* 288317 */   // Label 5852: @288317
     /* 288317 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(288410), // Rule ID 6095 //
     /* 288322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288361 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288373 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288380 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288408 */     GIR_RootConstrainSelectedInstOperands,
     /* 288409 */     // GIR_Coverage, 6095,
     /* 288409 */     GIR_EraseRootFromParent_Done,
     /* 288410 */   // Label 5853: @288410
     /* 288410 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(288509), // Rule ID 6009 //
     /* 288415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 288439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288458 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288470 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288477 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288485 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 288501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288507 */     GIR_RootConstrainSelectedInstOperands,
     /* 288508 */     // GIR_Coverage, 6009,
     /* 288508 */     GIR_EraseRootFromParent_Done,
     /* 288509 */   // Label 5854: @288509
     /* 288509 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(288605), // Rule ID 6041 //
     /* 288514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 288537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288556 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288568 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288575 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288583 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288603 */     GIR_RootConstrainSelectedInstOperands,
     /* 288604 */     // GIR_Coverage, 6041,
     /* 288604 */     GIR_EraseRootFromParent_Done,
     /* 288605 */   // Label 5855: @288605
     /* 288605 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(288704), // Rule ID 6073 //
     /* 288610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 288634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 288638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288653 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288665 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288668 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288672 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 288696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288702 */     GIR_RootConstrainSelectedInstOperands,
     /* 288703 */     // GIR_Coverage, 6073,
     /* 288703 */     GIR_EraseRootFromParent_Done,
     /* 288704 */   // Label 5856: @288704
     /* 288704 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(288797), // Rule ID 6117 //
     /* 288709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288748 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288760 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288767 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288795 */     GIR_RootConstrainSelectedInstOperands,
     /* 288796 */     // GIR_Coverage, 6117,
     /* 288796 */     GIR_EraseRootFromParent_Done,
     /* 288797 */   // Label 5857: @288797
     /* 288797 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(288893), // Rule ID 5977 //
     /* 288802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 288829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 288833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288844 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288856 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288863 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288866 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288871 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 288879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288883 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288891 */     GIR_RootConstrainSelectedInstOperands,
     /* 288892 */     // GIR_Coverage, 5977,
     /* 288892 */     GIR_EraseRootFromParent_Done,
     /* 288893 */   // Label 5858: @288893
     /* 288893 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(288977), // Rule ID 2533 //
     /* 288898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288928 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 288931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 288935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288940 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 288943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288947 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288950 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288955 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 288963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 288965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 288967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288975 */     GIR_RootConstrainSelectedInstOperands,
     /* 288976 */     // GIR_Coverage, 2533,
     /* 288976 */     GIR_EraseRootFromParent_Done,
     /* 288977 */   // Label 5859: @288977
     /* 288977 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(289027), // Rule ID 13035 //
     /* 288982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289012 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 289012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 289015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289025 */     GIR_RootConstrainSelectedInstOperands,
     /* 289026 */     // GIR_Coverage, 13035,
     /* 289026 */     GIR_EraseRootFromParent_Done,
     /* 289027 */   // Label 5860: @289027
     /* 289027 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(289111), // Rule ID 5945 //
     /* 289032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289062 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 289065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 289069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289074 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 289077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289081 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289089 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 289097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289101 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289109 */     GIR_RootConstrainSelectedInstOperands,
     /* 289110 */     // GIR_Coverage, 5945,
     /* 289110 */     GIR_EraseRootFromParent_Done,
     /* 289111 */   // Label 5861: @289111
     /* 289111 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(289161), // Rule ID 1301 //
     /* 289116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 289135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289146 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 289146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 289149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289153 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289159 */     GIR_RootConstrainSelectedInstOperands,
     /* 289160 */     // GIR_Coverage, 1301,
     /* 289160 */     GIR_EraseRootFromParent_Done,
     /* 289161 */   // Label 5862: @289161
     /* 289161 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(289194), // Rule ID 1291 //
     /* 289166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289181 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 289181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 289184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 289192 */     GIR_RootConstrainSelectedInstOperands,
     /* 289193 */     // GIR_Coverage, 1291,
     /* 289193 */     GIR_EraseRootFromParent_Done,
     /* 289194 */   // Label 5863: @289194
     /* 289194 */   GIM_Reject,
     /* 289195 */ // Label 5844: @289195
     /* 289195 */ GIM_Reject,
     /* 289196 */ // Label 5736: @289196
     /* 289196 */ GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(290716),
     /* 289201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 289207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 289210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289214 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(289292), // Rule ID 6103 //
     /* 289219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 289256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289260 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289264 */     // MIs[3] Operand 1
     /* 289264 */     // No operand predicates
     /* 289264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289274 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289290 */     GIR_RootConstrainSelectedInstOperands,
     /* 289291 */     // GIR_Coverage, 6103,
     /* 289291 */     GIR_EraseRootFromParent_Done,
     /* 289292 */   // Label 5865: @289292
     /* 289292 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(289376), // Rule ID 6015 //
     /* 289297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289329 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289333 */     // MIs[2] Operand 1
     /* 289333 */     // No operand predicates
     /* 289333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 289337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289341 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289345 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289356 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 289367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289374 */     GIR_RootConstrainSelectedInstOperands,
     /* 289375 */     // GIR_Coverage, 6015,
     /* 289375 */     GIR_EraseRootFromParent_Done,
     /* 289376 */   // Label 5866: @289376
     /* 289376 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(289457), // Rule ID 6047 //
     /* 289381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289425 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289429 */     // MIs[3] Operand 1
     /* 289429 */     // No operand predicates
     /* 289429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289439 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289455 */     GIR_RootConstrainSelectedInstOperands,
     /* 289456 */     // GIR_Coverage, 6047,
     /* 289456 */     GIR_EraseRootFromParent_Done,
     /* 289457 */   // Label 5867: @289457
     /* 289457 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(289541), // Rule ID 6079 //
     /* 289462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 289486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289511 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289515 */     // MIs[3] Operand 1
     /* 289515 */     // No operand predicates
     /* 289515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289521 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 289532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289539 */     GIR_RootConstrainSelectedInstOperands,
     /* 289540 */     // GIR_Coverage, 6079,
     /* 289540 */     GIR_EraseRootFromParent_Done,
     /* 289541 */   // Label 5868: @289541
     /* 289541 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(289619), // Rule ID 6125 //
     /* 289546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 289587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289591 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289595 */     // MIs[3] Operand 1
     /* 289595 */     // No operand predicates
     /* 289595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289601 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289608 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289617 */     GIR_RootConstrainSelectedInstOperands,
     /* 289618 */     // GIR_Coverage, 6125,
     /* 289618 */     GIR_EraseRootFromParent_Done,
     /* 289619 */   // Label 5869: @289619
     /* 289619 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(289700), // Rule ID 5983 //
     /* 289624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289672 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289676 */     // MIs[3] Operand 1
     /* 289676 */     // No operand predicates
     /* 289676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289682 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289698 */     GIR_RootConstrainSelectedInstOperands,
     /* 289699 */     // GIR_Coverage, 5983,
     /* 289699 */     GIR_EraseRootFromParent_Done,
     /* 289700 */   // Label 5870: @289700
     /* 289700 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(289769), // Rule ID 2539 //
     /* 289705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289737 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289741 */     // MIs[2] Operand 1
     /* 289741 */     // No operand predicates
     /* 289741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289751 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 289754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289767 */     GIR_RootConstrainSelectedInstOperands,
     /* 289768 */     // GIR_Coverage, 2539,
     /* 289768 */     GIR_EraseRootFromParent_Done,
     /* 289769 */   // Label 5871: @289769
     /* 289769 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(289838), // Rule ID 5951 //
     /* 289774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289810 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289814 */     // MIs[2] Operand 1
     /* 289814 */     // No operand predicates
     /* 289814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289820 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 289820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 289823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289836 */     GIR_RootConstrainSelectedInstOperands,
     /* 289837 */     // GIR_Coverage, 5951,
     /* 289837 */     GIR_EraseRootFromParent_Done,
     /* 289838 */   // Label 5872: @289838
     /* 289838 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(289931), // Rule ID 6105 //
     /* 289843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 289867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289882 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 289885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 289889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289894 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 289897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289901 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 289917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 289921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289929 */     GIR_RootConstrainSelectedInstOperands,
     /* 289930 */     // GIR_Coverage, 6105,
     /* 289930 */     GIR_EraseRootFromParent_Done,
     /* 289931 */   // Label 5873: @289931
     /* 289931 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(290030), // Rule ID 6017 //
     /* 289936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 289960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289979 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 289982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 289986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289991 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 289994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289998 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 290014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 290022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290028 */     GIR_RootConstrainSelectedInstOperands,
     /* 290029 */     // GIR_Coverage, 6017,
     /* 290029 */     GIR_EraseRootFromParent_Done,
     /* 290030 */   // Label 5874: @290030
     /* 290030 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(290126), // Rule ID 6049 //
     /* 290035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 290050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 290058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 290062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290077 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290089 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290096 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290099 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290104 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 290112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290124 */     GIR_RootConstrainSelectedInstOperands,
     /* 290125 */     // GIR_Coverage, 6049,
     /* 290125 */     GIR_EraseRootFromParent_Done,
     /* 290126 */   // Label 5875: @290126
     /* 290126 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(290225), // Rule ID 6081 //
     /* 290131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 290146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 290159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 290163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290174 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290186 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290193 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290196 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290201 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 290209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290211 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 290217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290223 */     GIR_RootConstrainSelectedInstOperands,
     /* 290224 */     // GIR_Coverage, 6081,
     /* 290224 */     GIR_EraseRootFromParent_Done,
     /* 290225 */   // Label 5876: @290225
     /* 290225 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(290318), // Rule ID 6127 //
     /* 290230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 290246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 290258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290269 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290281 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290288 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290291 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 290304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290316 */     GIR_RootConstrainSelectedInstOperands,
     /* 290317 */     // GIR_Coverage, 6127,
     /* 290317 */     GIR_EraseRootFromParent_Done,
     /* 290318 */   // Label 5877: @290318
     /* 290318 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(290414), // Rule ID 5985 //
     /* 290323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 290342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 290350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 290354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290365 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290377 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290387 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 290400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290404 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290412 */     GIR_RootConstrainSelectedInstOperands,
     /* 290413 */     // GIR_Coverage, 5985,
     /* 290413 */     GIR_EraseRootFromParent_Done,
     /* 290414 */   // Label 5878: @290414
     /* 290414 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(290498), // Rule ID 2541 //
     /* 290419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 290434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290449 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290461 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290468 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290471 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290476 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 290484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290496 */     GIR_RootConstrainSelectedInstOperands,
     /* 290497 */     // GIR_Coverage, 2541,
     /* 290497 */     GIR_EraseRootFromParent_Done,
     /* 290498 */   // Label 5879: @290498
     /* 290498 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(290548), // Rule ID 13039 //
     /* 290503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 290518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290533 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 290533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 290536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290546 */     GIR_RootConstrainSelectedInstOperands,
     /* 290547 */     // GIR_Coverage, 13039,
     /* 290547 */     GIR_EraseRootFromParent_Done,
     /* 290548 */   // Label 5880: @290548
     /* 290548 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(290632), // Rule ID 5953 //
     /* 290553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 290572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290583 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 290590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290595 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 290598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290602 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290610 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 290618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290622 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290630 */     GIR_RootConstrainSelectedInstOperands,
     /* 290631 */     // GIR_Coverage, 5953,
     /* 290631 */     GIR_EraseRootFromParent_Done,
     /* 290632 */   // Label 5881: @290632
     /* 290632 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(290682), // Rule ID 1305 //
     /* 290637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 290656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290667 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 290667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 290670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290674 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290680 */     GIR_RootConstrainSelectedInstOperands,
     /* 290681 */     // GIR_Coverage, 1305,
     /* 290681 */     GIR_EraseRootFromParent_Done,
     /* 290682 */   // Label 5882: @290682
     /* 290682 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(290715), // Rule ID 1295 //
     /* 290687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290702 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 290702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 290705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 290713 */     GIR_RootConstrainSelectedInstOperands,
     /* 290714 */     // GIR_Coverage, 1295,
     /* 290714 */     GIR_EraseRootFromParent_Done,
     /* 290715 */   // Label 5883: @290715
     /* 290715 */   GIM_Reject,
     /* 290716 */ // Label 5864: @290716
     /* 290716 */ GIM_Reject,
     /* 290717 */ // Label 5737: @290717
     /* 290717 */ GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(291895),
     /* 290722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 290725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 290728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 290731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290735 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(290819), // Rule ID 5999 //
     /* 290740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290772 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290776 */     // MIs[2] Operand 1
     /* 290776 */     // No operand predicates
     /* 290776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 290780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290784 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 290788 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290797 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290799 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 290802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 290810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290817 */     GIR_RootConstrainSelectedInstOperands,
     /* 290818 */     // GIR_Coverage, 5999,
     /* 290818 */     GIR_EraseRootFromParent_Done,
     /* 290819 */   // Label 5885: @290819
     /* 290819 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(290900), // Rule ID 6031 //
     /* 290824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 290839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 290864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290868 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290872 */     // MIs[3] Operand 1
     /* 290872 */     // No operand predicates
     /* 290872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290880 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290882 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 290885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 290898 */     GIR_RootConstrainSelectedInstOperands,
     /* 290899 */     // GIR_Coverage, 6031,
     /* 290899 */     GIR_EraseRootFromParent_Done,
     /* 290900 */   // Label 5886: @290900
     /* 290900 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(290984), // Rule ID 6063 //
     /* 290905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 290920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 290950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290954 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290958 */     // MIs[3] Operand 1
     /* 290958 */     // No operand predicates
     /* 290958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290964 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 290967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 290975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 290982 */     GIR_RootConstrainSelectedInstOperands,
     /* 290983 */     // GIR_Coverage, 6063,
     /* 290983 */     GIR_EraseRootFromParent_Done,
     /* 290984 */   // Label 5887: @290984
     /* 290984 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(291065), // Rule ID 5967 //
     /* 290989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 291016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291020 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291037 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291041 */     // MIs[3] Operand 1
     /* 291041 */     // No operand predicates
     /* 291041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291047 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 291050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291054 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291063 */     GIR_RootConstrainSelectedInstOperands,
     /* 291064 */     // GIR_Coverage, 5967,
     /* 291064 */     GIR_EraseRootFromParent_Done,
     /* 291065 */   // Label 5888: @291065
     /* 291065 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(291134), // Rule ID 2523 //
     /* 291070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 291081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291102 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291106 */     // MIs[2] Operand 1
     /* 291106 */     // No operand predicates
     /* 291106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291116 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 291119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291132 */     GIR_RootConstrainSelectedInstOperands,
     /* 291133 */     // GIR_Coverage, 2523,
     /* 291133 */     GIR_EraseRootFromParent_Done,
     /* 291134 */   // Label 5889: @291134
     /* 291134 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(291203), // Rule ID 5935 //
     /* 291139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 291154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291175 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291179 */     // MIs[2] Operand 1
     /* 291179 */     // No operand predicates
     /* 291179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291185 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 291188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291192 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291201 */     GIR_RootConstrainSelectedInstOperands,
     /* 291202 */     // GIR_Coverage, 5935,
     /* 291202 */     GIR_EraseRootFromParent_Done,
     /* 291203 */   // Label 5890: @291203
     /* 291203 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(291302), // Rule ID 6001 //
     /* 291208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 291219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291251 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291266 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291270 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291273 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291278 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 291286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 291294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291300 */     GIR_RootConstrainSelectedInstOperands,
     /* 291301 */     // GIR_Coverage, 6001,
     /* 291301 */     GIR_EraseRootFromParent_Done,
     /* 291302 */   // Label 5891: @291302
     /* 291302 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(291398), // Rule ID 6033 //
     /* 291307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 291330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291349 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291361 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291368 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291371 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291376 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 291384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291396 */     GIR_RootConstrainSelectedInstOperands,
     /* 291397 */     // GIR_Coverage, 6033,
     /* 291397 */     GIR_EraseRootFromParent_Done,
     /* 291398 */   // Label 5892: @291398
     /* 291398 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(291497), // Rule ID 6065 //
     /* 291403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 291431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291446 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291458 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291465 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291468 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291473 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 291481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 291489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291495 */     GIR_RootConstrainSelectedInstOperands,
     /* 291496 */     // GIR_Coverage, 6065,
     /* 291496 */     GIR_EraseRootFromParent_Done,
     /* 291497 */   // Label 5893: @291497
     /* 291497 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(291593), // Rule ID 5969 //
     /* 291502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 291529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291544 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291556 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291563 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291566 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291571 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 291579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291581 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291583 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291591 */     GIR_RootConstrainSelectedInstOperands,
     /* 291592 */     // GIR_Coverage, 5969,
     /* 291592 */     GIR_EraseRootFromParent_Done,
     /* 291593 */   // Label 5894: @291593
     /* 291593 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(291677), // Rule ID 2525 //
     /* 291598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 291609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 291628 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291640 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291647 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291650 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291655 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 291663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291675 */     GIR_RootConstrainSelectedInstOperands,
     /* 291676 */     // GIR_Coverage, 2525,
     /* 291676 */     GIR_EraseRootFromParent_Done,
     /* 291677 */   // Label 5895: @291677
     /* 291677 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(291727), // Rule ID 13031 //
     /* 291682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 291712 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 291712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 291715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291725 */     GIR_RootConstrainSelectedInstOperands,
     /* 291726 */     // GIR_Coverage, 13031,
     /* 291726 */     GIR_EraseRootFromParent_Done,
     /* 291727 */   // Label 5896: @291727
     /* 291727 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(291811), // Rule ID 5937 //
     /* 291732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 291747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 291762 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 291762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 291765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 291769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291774 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 291777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291781 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 291784 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291789 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 291794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 291797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291799 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 291809 */     GIR_RootConstrainSelectedInstOperands,
     /* 291810 */     // GIR_Coverage, 5937,
     /* 291810 */     GIR_EraseRootFromParent_Done,
     /* 291811 */   // Label 5897: @291811
     /* 291811 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(291861), // Rule ID 1297 //
     /* 291816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 291835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 291846 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 291846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 291849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291853 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291859 */     GIR_RootConstrainSelectedInstOperands,
     /* 291860 */     // GIR_Coverage, 1297,
     /* 291860 */     GIR_EraseRootFromParent_Done,
     /* 291861 */   // Label 5898: @291861
     /* 291861 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(291894), // Rule ID 1287 //
     /* 291866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 291881 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 291881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 291884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291890 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 291892 */     GIR_RootConstrainSelectedInstOperands,
     /* 291893 */     // GIR_Coverage, 1287,
     /* 291893 */     GIR_EraseRootFromParent_Done,
     /* 291894 */   // Label 5899: @291894
     /* 291894 */   GIM_Reject,
     /* 291895 */ // Label 5884: @291895
     /* 291895 */ GIM_Reject,
     /* 291896 */ // Label 5738: @291896
     /* 291896 */ GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(293416),
     /* 291901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 291904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 291907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 291910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291914 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(291992), // Rule ID 6097 //
     /* 291919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 291927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 291931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 291947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 291956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291960 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 291964 */     // MIs[3] Operand 1
     /* 291964 */     // No operand predicates
     /* 291964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291972 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291974 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 291974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 291977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291990 */     GIR_RootConstrainSelectedInstOperands,
     /* 291991 */     // GIR_Coverage, 6097,
     /* 291991 */     GIR_EraseRootFromParent_Done,
     /* 291992 */   // Label 5901: @291992
     /* 291992 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(292076), // Rule ID 6011 //
     /* 291997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292029 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292033 */     // MIs[2] Operand 1
     /* 292033 */     // No operand predicates
     /* 292033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 292037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292056 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292061 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 292067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292074 */     GIR_RootConstrainSelectedInstOperands,
     /* 292075 */     // GIR_Coverage, 6011,
     /* 292075 */     GIR_EraseRootFromParent_Done,
     /* 292076 */   // Label 5902: @292076
     /* 292076 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(292157), // Rule ID 6043 //
     /* 292081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292125 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292129 */     // MIs[3] Operand 1
     /* 292129 */     // No operand predicates
     /* 292129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292137 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292139 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292155 */     GIR_RootConstrainSelectedInstOperands,
     /* 292156 */     // GIR_Coverage, 6043,
     /* 292156 */     GIR_EraseRootFromParent_Done,
     /* 292157 */   // Label 5903: @292157
     /* 292157 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(292241), // Rule ID 6075 //
     /* 292162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292211 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292215 */     // MIs[3] Operand 1
     /* 292215 */     // No operand predicates
     /* 292215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292219 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292221 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292239 */     GIR_RootConstrainSelectedInstOperands,
     /* 292240 */     // GIR_Coverage, 6075,
     /* 292240 */     GIR_EraseRootFromParent_Done,
     /* 292241 */   // Label 5904: @292241
     /* 292241 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(292319), // Rule ID 6119 //
     /* 292246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 292287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292291 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292295 */     // MIs[3] Operand 1
     /* 292295 */     // No operand predicates
     /* 292295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292301 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292317 */     GIR_RootConstrainSelectedInstOperands,
     /* 292318 */     // GIR_Coverage, 6119,
     /* 292318 */     GIR_EraseRootFromParent_Done,
     /* 292319 */   // Label 5905: @292319
     /* 292319 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(292400), // Rule ID 5979 //
     /* 292324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292372 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292376 */     // MIs[3] Operand 1
     /* 292376 */     // No operand predicates
     /* 292376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292382 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292398 */     GIR_RootConstrainSelectedInstOperands,
     /* 292399 */     // GIR_Coverage, 5979,
     /* 292399 */     GIR_EraseRootFromParent_Done,
     /* 292400 */   // Label 5906: @292400
     /* 292400 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(292469), // Rule ID 2535 //
     /* 292405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292437 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292441 */     // MIs[2] Operand 1
     /* 292441 */     // No operand predicates
     /* 292441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292451 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 292454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292467 */     GIR_RootConstrainSelectedInstOperands,
     /* 292468 */     // GIR_Coverage, 2535,
     /* 292468 */     GIR_EraseRootFromParent_Done,
     /* 292469 */   // Label 5907: @292469
     /* 292469 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(292538), // Rule ID 5947 //
     /* 292474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 292489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292510 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 292514 */     // MIs[2] Operand 1
     /* 292514 */     // No operand predicates
     /* 292514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292520 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 292520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 292523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292536 */     GIR_RootConstrainSelectedInstOperands,
     /* 292537 */     // GIR_Coverage, 5947,
     /* 292537 */     GIR_EraseRootFromParent_Done,
     /* 292538 */   // Label 5908: @292538
     /* 292538 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(292631), // Rule ID 6101 //
     /* 292543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 292551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 292555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 292567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292582 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 292582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 292585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 292589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292594 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 292597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292601 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 292604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292629 */     GIR_RootConstrainSelectedInstOperands,
     /* 292630 */     // GIR_Coverage, 6101,
     /* 292630 */     GIR_EraseRootFromParent_Done,
     /* 292631 */   // Label 5909: @292631
     /* 292631 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(292730), // Rule ID 6013 //
     /* 292636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 292647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 292651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292679 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 292679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 292682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 292686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 292694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292698 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 292701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 292722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292728 */     GIR_RootConstrainSelectedInstOperands,
     /* 292729 */     // GIR_Coverage, 6013,
     /* 292729 */     GIR_EraseRootFromParent_Done,
     /* 292730 */   // Label 5910: @292730
     /* 292730 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(292826), // Rule ID 6045 //
     /* 292735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 292758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 292762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292777 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 292777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 292780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 292784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292789 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 292792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292796 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 292799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292824 */     GIR_RootConstrainSelectedInstOperands,
     /* 292825 */     // GIR_Coverage, 6045,
     /* 292825 */     GIR_EraseRootFromParent_Done,
     /* 292826 */   // Label 5911: @292826
     /* 292826 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(292925), // Rule ID 6077 //
     /* 292831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 292834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 292859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 292863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292874 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 292874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 292877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 292881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292886 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 292889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292893 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 292896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 292909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 292923 */     GIR_RootConstrainSelectedInstOperands,
     /* 292924 */     // GIR_Coverage, 6077,
     /* 292924 */     GIR_EraseRootFromParent_Done,
     /* 292925 */   // Label 5912: @292925
     /* 292925 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(293018), // Rule ID 6123 //
     /* 292930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 292942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 292946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 292958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292969 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 292969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 292972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 292976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292981 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 292984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292988 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 292991 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 293004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293008 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293016 */     GIR_RootConstrainSelectedInstOperands,
     /* 293017 */     // GIR_Coverage, 6123,
     /* 293017 */     GIR_EraseRootFromParent_Done,
     /* 293018 */   // Label 5913: @293018
     /* 293018 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(293114), // Rule ID 5981 //
     /* 293023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 293050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 293054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293065 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 293065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 293068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 293072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 293080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293084 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 293087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 293100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293104 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293112 */     GIR_RootConstrainSelectedInstOperands,
     /* 293113 */     // GIR_Coverage, 5981,
     /* 293113 */     GIR_EraseRootFromParent_Done,
     /* 293114 */   // Label 5914: @293114
     /* 293114 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(293198), // Rule ID 2537 //
     /* 293119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 293130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 293134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293149 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 293149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 293152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 293156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293161 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 293164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293168 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 293171 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 293184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293196 */     GIR_RootConstrainSelectedInstOperands,
     /* 293197 */     // GIR_Coverage, 2537,
     /* 293197 */     GIR_EraseRootFromParent_Done,
     /* 293198 */   // Label 5915: @293198
     /* 293198 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(293248), // Rule ID 13037 //
     /* 293203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293233 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 293233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 293236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293246 */     GIR_RootConstrainSelectedInstOperands,
     /* 293247 */     // GIR_Coverage, 13037,
     /* 293247 */     GIR_EraseRootFromParent_Done,
     /* 293248 */   // Label 5916: @293248
     /* 293248 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(293332), // Rule ID 5949 //
     /* 293253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 293268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 293272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293283 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 293283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 293286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 293290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293295 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 293298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293302 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 293305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 293318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 293330 */     GIR_RootConstrainSelectedInstOperands,
     /* 293331 */     // GIR_Coverage, 5949,
     /* 293331 */     GIR_EraseRootFromParent_Done,
     /* 293332 */   // Label 5917: @293332
     /* 293332 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(293382), // Rule ID 1303 //
     /* 293337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293367 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 293367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 293370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293374 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293380 */     GIR_RootConstrainSelectedInstOperands,
     /* 293381 */     // GIR_Coverage, 1303,
     /* 293381 */     GIR_EraseRootFromParent_Done,
     /* 293382 */   // Label 5918: @293382
     /* 293382 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(293415), // Rule ID 1293 //
     /* 293387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293402 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 293402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 293405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293411 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 293413 */     GIR_RootConstrainSelectedInstOperands,
     /* 293414 */     // GIR_Coverage, 1293,
     /* 293414 */     GIR_EraseRootFromParent_Done,
     /* 293415 */   // Label 5919: @293415
     /* 293415 */   GIM_Reject,
     /* 293416 */ // Label 5900: @293416
     /* 293416 */ GIM_Reject,
     /* 293417 */ // Label 5739: @293417
     /* 293417 */ GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(294595),
     /* 293422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 293428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 293431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293435 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(293519), // Rule ID 5995 //
     /* 293440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293472 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293476 */     // MIs[2] Operand 1
     /* 293476 */     // No operand predicates
     /* 293476 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 293480 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293484 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293488 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293499 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 293502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 293510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293517 */     GIR_RootConstrainSelectedInstOperands,
     /* 293518 */     // GIR_Coverage, 5995,
     /* 293518 */     GIR_EraseRootFromParent_Done,
     /* 293519 */   // Label 5921: @293519
     /* 293519 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(293600), // Rule ID 6027 //
     /* 293524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293551 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293568 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293572 */     // MIs[3] Operand 1
     /* 293572 */     // No operand predicates
     /* 293572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293582 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 293585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293598 */     GIR_RootConstrainSelectedInstOperands,
     /* 293599 */     // GIR_Coverage, 6027,
     /* 293599 */     GIR_EraseRootFromParent_Done,
     /* 293600 */   // Label 5922: @293600
     /* 293600 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(293684), // Rule ID 6059 //
     /* 293605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293637 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293654 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293658 */     // MIs[3] Operand 1
     /* 293658 */     // No operand predicates
     /* 293658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293662 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293664 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 293667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293682 */     GIR_RootConstrainSelectedInstOperands,
     /* 293683 */     // GIR_Coverage, 6059,
     /* 293683 */     GIR_EraseRootFromParent_Done,
     /* 293684 */   // Label 5923: @293684
     /* 293684 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(293765), // Rule ID 5963 //
     /* 293689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293737 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293741 */     // MIs[3] Operand 1
     /* 293741 */     // No operand predicates
     /* 293741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293747 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 293750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293754 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293763 */     GIR_RootConstrainSelectedInstOperands,
     /* 293764 */     // GIR_Coverage, 5963,
     /* 293764 */     GIR_EraseRootFromParent_Done,
     /* 293765 */   // Label 5924: @293765
     /* 293765 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(293834), // Rule ID 2519 //
     /* 293770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293802 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293806 */     // MIs[2] Operand 1
     /* 293806 */     // No operand predicates
     /* 293806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293816 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 293819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293832 */     GIR_RootConstrainSelectedInstOperands,
     /* 293833 */     // GIR_Coverage, 2519,
     /* 293833 */     GIR_EraseRootFromParent_Done,
     /* 293834 */   // Label 5925: @293834
     /* 293834 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(293903), // Rule ID 5931 //
     /* 293839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 293854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293875 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293879 */     // MIs[2] Operand 1
     /* 293879 */     // No operand predicates
     /* 293879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293885 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 293888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293892 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293901 */     GIR_RootConstrainSelectedInstOperands,
     /* 293902 */     // GIR_Coverage, 5931,
     /* 293902 */     GIR_EraseRootFromParent_Done,
     /* 293903 */   // Label 5926: @293903
     /* 293903 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(294002), // Rule ID 5997 //
     /* 293908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 293919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 293928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293951 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 293951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 293954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 293958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293963 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 293966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293970 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 293973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 293983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 293986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 293994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294000 */     GIR_RootConstrainSelectedInstOperands,
     /* 294001 */     // GIR_Coverage, 5997,
     /* 294001 */     GIR_EraseRootFromParent_Done,
     /* 294002 */   // Label 5927: @294002
     /* 294002 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(294098), // Rule ID 6029 //
     /* 294007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 294030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 294034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294049 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 294049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 294052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 294056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294061 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 294064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294068 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 294071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294076 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 294084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294096 */     GIR_RootConstrainSelectedInstOperands,
     /* 294097 */     // GIR_Coverage, 6029,
     /* 294097 */     GIR_EraseRootFromParent_Done,
     /* 294098 */   // Label 5928: @294098
     /* 294098 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(294197), // Rule ID 6061 //
     /* 294103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 294131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 294135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294146 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 294146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 294149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 294153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294158 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 294161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 294168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 294181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294183 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 294189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294195 */     GIR_RootConstrainSelectedInstOperands,
     /* 294196 */     // GIR_Coverage, 6061,
     /* 294196 */     GIR_EraseRootFromParent_Done,
     /* 294197 */   // Label 5929: @294197
     /* 294197 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(294293), // Rule ID 5965 //
     /* 294202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 294213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 294229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 294233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294244 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 294244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 294247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 294251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294256 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 294259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 294266 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 294279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294281 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294291 */     GIR_RootConstrainSelectedInstOperands,
     /* 294292 */     // GIR_Coverage, 5965,
     /* 294292 */     GIR_EraseRootFromParent_Done,
     /* 294293 */   // Label 5930: @294293
     /* 294293 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(294377), // Rule ID 2521 //
     /* 294298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 294309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 294313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 294328 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 294328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 294331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 294335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294340 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 294343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294347 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 294350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 294363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294375 */     GIR_RootConstrainSelectedInstOperands,
     /* 294376 */     // GIR_Coverage, 2521,
     /* 294376 */     GIR_EraseRootFromParent_Done,
     /* 294377 */   // Label 5931: @294377
     /* 294377 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(294427), // Rule ID 13033 //
     /* 294382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 294412 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 294412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 294415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294425 */     GIR_RootConstrainSelectedInstOperands,
     /* 294426 */     // GIR_Coverage, 13033,
     /* 294426 */     GIR_EraseRootFromParent_Done,
     /* 294427 */   // Label 5932: @294427
     /* 294427 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(294511), // Rule ID 5933 //
     /* 294432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 294443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 294447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 294451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 294462 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 294462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 294465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 294469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294474 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 294477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294481 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 294484 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294489 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 294494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 294497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294501 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 294509 */     GIR_RootConstrainSelectedInstOperands,
     /* 294510 */     // GIR_Coverage, 5933,
     /* 294510 */     GIR_EraseRootFromParent_Done,
     /* 294511 */   // Label 5933: @294511
     /* 294511 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(294561), // Rule ID 1299 //
     /* 294516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 294527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 294546 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 294546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 294549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294551 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294553 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294559 */     GIR_RootConstrainSelectedInstOperands,
     /* 294560 */     // GIR_Coverage, 1299,
     /* 294560 */     GIR_EraseRootFromParent_Done,
     /* 294561 */   // Label 5934: @294561
     /* 294561 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(294594), // Rule ID 1289 //
     /* 294566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294581 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 294581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 294584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294590 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 294592 */     GIR_RootConstrainSelectedInstOperands,
     /* 294593 */     // GIR_Coverage, 1289,
     /* 294593 */     GIR_EraseRootFromParent_Done,
     /* 294594 */   // Label 5935: @294594
     /* 294594 */   GIM_Reject,
     /* 294595 */ // Label 5920: @294595
     /* 294595 */ GIM_Reject,
     /* 294596 */ // Label 5740: @294596
     /* 294596 */ GIM_Reject,
     /* 294597 */ // Label 58: @294597
     /* 294597 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5944*/ GIMT_Encode4(295212),
     /* 294608 */ /*GILLT_s16*//*Label 5936*/ GIMT_Encode4(294648),
     /* 294612 */ /*GILLT_s32*//*Label 5937*/ GIMT_Encode4(294686),
     /* 294616 */ /*GILLT_s64*//*Label 5938*/ GIMT_Encode4(294724), GIMT_Encode4(0),
     /* 294624 */ /*GILLT_v2s32*//*Label 5939*/ GIMT_Encode4(294762),
     /* 294628 */ /*GILLT_v2s64*//*Label 5940*/ GIMT_Encode4(294800),
     /* 294632 */ /*GILLT_v4s16*//*Label 5941*/ GIMT_Encode4(294838),
     /* 294636 */ /*GILLT_v4s32*//*Label 5942*/ GIMT_Encode4(294876), GIMT_Encode4(0),
     /* 294644 */ /*GILLT_v8s16*//*Label 5943*/ GIMT_Encode4(294914),
     /* 294648 */ // Label 5936: @294648
     /* 294648 */ GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(294685), // Rule ID 590 //
     /* 294653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 294656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 294659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 294662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 294674 */   // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 294674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 294679 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294683 */   GIR_RootConstrainSelectedInstOperands,
     /* 294684 */   // GIR_Coverage, 590,
     /* 294684 */   GIR_Done,
     /* 294685 */ // Label 5945: @294685
     /* 294685 */ GIM_Reject,
     /* 294686 */ // Label 5937: @294686
     /* 294686 */ GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(294723), // Rule ID 592 //
     /* 294691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 294697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 294700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294712 */   // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 294712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 294717 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294721 */   GIR_RootConstrainSelectedInstOperands,
     /* 294722 */   // GIR_Coverage, 592,
     /* 294722 */   GIR_Done,
     /* 294723 */ // Label 5946: @294723
     /* 294723 */ GIM_Reject,
     /* 294724 */ // Label 5938: @294724
     /* 294724 */ GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(294761), // Rule ID 594 //
     /* 294729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 294735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 294738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294750 */   // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 294750 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 294755 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294759 */   GIR_RootConstrainSelectedInstOperands,
     /* 294760 */   // GIR_Coverage, 594,
     /* 294760 */   GIR_Done,
     /* 294761 */ // Label 5947: @294761
     /* 294761 */ GIM_Reject,
     /* 294762 */ // Label 5939: @294762
     /* 294762 */ GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(294799), // Rule ID 1221 //
     /* 294767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 294773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 294776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294788 */   // (fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 294788 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 294793 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294797 */   GIR_RootConstrainSelectedInstOperands,
     /* 294798 */   // GIR_Coverage, 1221,
     /* 294798 */   GIR_Done,
     /* 294799 */ // Label 5948: @294799
     /* 294799 */ GIM_Reject,
     /* 294800 */ // Label 5940: @294800
     /* 294800 */ GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(294837), // Rule ID 1225 //
     /* 294805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 294811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 294814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294826 */   // (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 294826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 294831 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294835 */   GIR_RootConstrainSelectedInstOperands,
     /* 294836 */   // GIR_Coverage, 1225,
     /* 294836 */   GIR_Done,
     /* 294837 */ // Label 5949: @294837
     /* 294837 */ GIM_Reject,
     /* 294838 */ // Label 5941: @294838
     /* 294838 */ GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(294875), // Rule ID 1217 //
     /* 294843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 294849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 294852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 294864 */   // (fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 294864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 294869 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294873 */   GIR_RootConstrainSelectedInstOperands,
     /* 294874 */   // GIR_Coverage, 1217,
     /* 294874 */   GIR_Done,
     /* 294875 */ // Label 5950: @294875
     /* 294875 */ GIM_Reject,
     /* 294876 */ // Label 5942: @294876
     /* 294876 */ GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(294913), // Rule ID 1223 //
     /* 294881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 294890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294902 */   // (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 294902 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 294907 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294911 */   GIR_RootConstrainSelectedInstOperands,
     /* 294912 */   // GIR_Coverage, 1223,
     /* 294912 */   GIR_Done,
     /* 294913 */ // Label 5951: @294913
     /* 294913 */ GIM_Reject,
     /* 294914 */ // Label 5943: @294914
     /* 294914 */ GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(295211),
     /* 294919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 294922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 294925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294937 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(294956), // Rule ID 1219 //
     /* 294942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 294945 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 294945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 294950 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 294954 */     GIR_RootConstrainSelectedInstOperands,
     /* 294955 */     // GIR_Coverage, 1219,
     /* 294955 */     GIR_Done,
     /* 294956 */   // Label 5953: @294956
     /* 294956 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(295210), // Rule ID 6904 //
     /* 294961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 294964 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 294964 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 294967 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 294971 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294976 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 294980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 294982 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 294985 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 294989 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294994 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 294998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 295000 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 295003 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 295007 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295012 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 295015 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 295018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 295020 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 295023 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295027 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295032 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 295038 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295043 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295048 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 295051 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 295055 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295060 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 295063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 295065 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 295068 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295072 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295077 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 295083 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295088 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295093 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 295096 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 295100 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295105 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 295108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 295110 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 295113 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 295117 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295122 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 295125 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 295128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 295130 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 295133 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 295137 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295142 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 295145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 295147 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 295150 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 295154 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 295161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 295164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 295168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295173 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 295176 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 295179 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 295182 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295187 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295192 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 295200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 295208 */     GIR_RootConstrainSelectedInstOperands,
     /* 295209 */     // GIR_Coverage, 6904,
     /* 295209 */     GIR_EraseRootFromParent_Done,
     /* 295210 */   // Label 5954: @295210
     /* 295210 */   GIM_Reject,
     /* 295211 */ // Label 5952: @295211
     /* 295211 */ GIM_Reject,
     /* 295212 */ // Label 5944: @295212
     /* 295212 */ GIM_Reject,
     /* 295213 */ // Label 59: @295213
     /* 295213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5963*/ GIMT_Encode4(298719),
     /* 295224 */ /*GILLT_s16*//*Label 5955*/ GIMT_Encode4(295264),
     /* 295228 */ /*GILLT_s32*//*Label 5956*/ GIMT_Encode4(296432),
     /* 295232 */ /*GILLT_s64*//*Label 5957*/ GIMT_Encode4(297455), GIMT_Encode4(0),
     /* 295240 */ /*GILLT_v2s32*//*Label 5958*/ GIMT_Encode4(298478),
     /* 295244 */ /*GILLT_v2s64*//*Label 5959*/ GIMT_Encode4(298505),
     /* 295248 */ /*GILLT_v4s16*//*Label 5960*/ GIMT_Encode4(298532),
     /* 295252 */ /*GILLT_v4s32*//*Label 5961*/ GIMT_Encode4(298612), GIMT_Encode4(0),
     /* 295260 */ /*GILLT_v8s16*//*Label 5962*/ GIMT_Encode4(298639),
     /* 295264 */ // Label 5955: @295264
     /* 295264 */ GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(296431),
     /* 295269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 295272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295276 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(295434), // Rule ID 4787 //
     /* 295281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 295292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295300 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295316 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295325 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 295333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295341 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 295345 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295350 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 295354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295361 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 295361 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 295364 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295368 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295373 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 295379 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295401 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 295407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 295420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 295428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 295432 */     GIR_RootConstrainSelectedInstOperands,
     /* 295433 */     // GIR_Coverage, 4787,
     /* 295433 */     GIR_EraseRootFromParent_Done,
     /* 295434 */   // Label 5965: @295434
     /* 295434 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(295592), // Rule ID 4786 //
     /* 295439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 295450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295458 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295483 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 295491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295495 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295499 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 295503 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295508 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 295512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295519 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 295519 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 295522 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295526 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295531 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 295537 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295542 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295559 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 295565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295570 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 295578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 295586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 295590 */     GIR_RootConstrainSelectedInstOperands,
     /* 295591 */     // GIR_Coverage, 4786,
     /* 295591 */     GIR_EraseRootFromParent_Done,
     /* 295592 */   // Label 5966: @295592
     /* 295592 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(295703), // Rule ID 4785 //
     /* 295597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 295608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295616 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295632 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295641 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295657 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 295657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295669 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 295675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295680 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 295688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 295697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 295701 */     GIR_RootConstrainSelectedInstOperands,
     /* 295702 */     // GIR_Coverage, 4785,
     /* 295702 */     GIR_EraseRootFromParent_Done,
     /* 295703 */   // Label 5967: @295703
     /* 295703 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(295814), // Rule ID 4783 //
     /* 295708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 295719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295727 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295757 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295768 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 295768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295780 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 295786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 295799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 295805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 295812 */     GIR_RootConstrainSelectedInstOperands,
     /* 295813 */     // GIR_Coverage, 4783,
     /* 295813 */     GIR_EraseRootFromParent_Done,
     /* 295814 */   // Label 5968: @295814
     /* 295814 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(295925), // Rule ID 4784 //
     /* 295819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 295830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295838 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295854 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295863 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295879 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 295879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295891 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 295897 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 295910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 295919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 295923 */     GIR_RootConstrainSelectedInstOperands,
     /* 295924 */     // GIR_Coverage, 4784,
     /* 295924 */     GIR_EraseRootFromParent_Done,
     /* 295925 */   // Label 5969: @295925
     /* 295925 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(296036), // Rule ID 4782 //
     /* 295930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 295933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 295941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 295945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 295949 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 295953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 295970 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295979 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 295988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295990 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 295990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 295993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296002 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 296008 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296013 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 296021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296034 */     GIR_RootConstrainSelectedInstOperands,
     /* 296035 */     // GIR_Coverage, 4782,
     /* 296035 */     GIR_EraseRootFromParent_Done,
     /* 296036 */   // Label 5970: @296036
     /* 296036 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(296100), // Rule ID 650 //
     /* 296041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 296044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 296052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 296056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 296060 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 296064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296081 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 296081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 296084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 296094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296098 */     GIR_RootConstrainSelectedInstOperands,
     /* 296099 */     // GIR_Coverage, 650,
     /* 296099 */     GIR_EraseRootFromParent_Done,
     /* 296100 */   // Label 5971: @296100
     /* 296100 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(296164), // Rule ID 649 //
     /* 296105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 296108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 296116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 296120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 296124 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 296128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296145 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 296145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 296148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 296158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296162 */     GIR_RootConstrainSelectedInstOperands,
     /* 296163 */     // GIR_Coverage, 649,
     /* 296163 */     GIR_EraseRootFromParent_Done,
     /* 296164 */   // Label 5972: @296164
     /* 296164 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(296215), // Rule ID 626 //
     /* 296169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 296172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 296180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 296184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 296188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296200 */     // (fneg:{ *:[f16] } (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 296200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 296203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 296213 */     GIR_RootConstrainSelectedInstOperands,
     /* 296214 */     // GIR_Coverage, 626,
     /* 296214 */     GIR_EraseRootFromParent_Done,
     /* 296215 */   // Label 5973: @296215
     /* 296215 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(296266), // Rule ID 625 //
     /* 296220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 296223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 296231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 296235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 296239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296251 */     // (fneg:{ *:[f16] } (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 296251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 296254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 296264 */     GIR_RootConstrainSelectedInstOperands,
     /* 296265 */     // GIR_Coverage, 625,
     /* 296265 */     GIR_EraseRootFromParent_Done,
     /* 296266 */   // Label 5974: @296266
     /* 296266 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(296285), // Rule ID 524 //
     /* 296271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 296274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296278 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FNEGHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 296278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGHr),
     /* 296283 */     GIR_RootConstrainSelectedInstOperands,
     /* 296284 */     // GIR_Coverage, 524,
     /* 296284 */     GIR_Done,
     /* 296285 */   // Label 5975: @296285
     /* 296285 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(296430), // Rule ID 6271 //
     /* 296290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296294 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (EORWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32768:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 296294 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 296297 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 296301 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 296308 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 296311 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 296315 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296320 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 296323 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 296327 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 296330 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296335 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296340 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296345 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 296348 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296352 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296357 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 296360 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 296365 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 296368 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /* 296372 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296377 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 296380 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 296385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 296387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296399 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 296402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296412 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 296419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 296424 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296429 */     // GIR_Coverage, 6271,
     /* 296429 */     GIR_EraseRootFromParent_Done,
     /* 296430 */   // Label 5976: @296430
     /* 296430 */   GIM_Reject,
     /* 296431 */ // Label 5964: @296431
     /* 296431 */ GIM_Reject,
     /* 296432 */ // Label 5956: @296432
     /* 296432 */ GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(297454),
     /* 296437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 296440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296444 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(296602), // Rule ID 4793 //
     /* 296449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 296460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 296468 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 296472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296493 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 296501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296505 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296509 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296513 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296518 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 296522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296529 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 296529 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 296532 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296536 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296541 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296547 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296552 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296569 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 296575 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296580 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296600 */     GIR_RootConstrainSelectedInstOperands,
     /* 296601 */     // GIR_Coverage, 4793,
     /* 296601 */     GIR_EraseRootFromParent_Done,
     /* 296602 */   // Label 5978: @296602
     /* 296602 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(296760), // Rule ID 4792 //
     /* 296607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 296618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 296626 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 296630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296642 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296651 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 296659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296667 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296676 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 296680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296687 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 296687 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 296690 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296694 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296699 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296705 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296710 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296727 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 296733 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296758 */     GIR_RootConstrainSelectedInstOperands,
     /* 296759 */     // GIR_Coverage, 4792,
     /* 296759 */     GIR_EraseRootFromParent_Done,
     /* 296760 */   // Label 5979: @296760
     /* 296760 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(296871), // Rule ID 4791 //
     /* 296765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 296776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 296784 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 296788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296809 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296825 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296837 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 296843 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296848 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 296865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296869 */     GIR_RootConstrainSelectedInstOperands,
     /* 296870 */     // GIR_Coverage, 4791,
     /* 296870 */     GIR_EraseRootFromParent_Done,
     /* 296871 */   // Label 5980: @296871
     /* 296871 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(296982), // Rule ID 4789 //
     /* 296876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 296887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 296895 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 296899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296916 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296925 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296936 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 296936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296948 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 296980 */     GIR_RootConstrainSelectedInstOperands,
     /* 296981 */     // GIR_Coverage, 4789,
     /* 296981 */     GIR_EraseRootFromParent_Done,
     /* 296982 */   // Label 5981: @296982
     /* 296982 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(297093), // Rule ID 4790 //
     /* 296987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 296998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297006 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 297010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 297022 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297031 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297047 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 297050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297059 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 297065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297070 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 297078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297091 */     GIR_RootConstrainSelectedInstOperands,
     /* 297092 */     // GIR_Coverage, 4790,
     /* 297092 */     GIR_EraseRootFromParent_Done,
     /* 297093 */   // Label 5982: @297093
     /* 297093 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(297204), // Rule ID 4788 //
     /* 297098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 297109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297117 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 297121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 297138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297147 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297158 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 297158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 297161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297170 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 297176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297181 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 297189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297202 */     GIR_RootConstrainSelectedInstOperands,
     /* 297203 */     // GIR_Coverage, 4788,
     /* 297203 */     GIR_EraseRootFromParent_Done,
     /* 297204 */   // Label 5983: @297204
     /* 297204 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(297268), // Rule ID 652 //
     /* 297209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 297220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297228 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 297232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297249 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 297252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297266 */     GIR_RootConstrainSelectedInstOperands,
     /* 297267 */     // GIR_Coverage, 652,
     /* 297267 */     GIR_EraseRootFromParent_Done,
     /* 297268 */   // Label 5984: @297268
     /* 297268 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(297332), // Rule ID 651 //
     /* 297273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 297284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297292 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 297296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297313 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 297316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297330 */     GIR_RootConstrainSelectedInstOperands,
     /* 297331 */     // GIR_Coverage, 651,
     /* 297331 */     GIR_EraseRootFromParent_Done,
     /* 297332 */   // Label 5985: @297332
     /* 297332 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(297383), // Rule ID 628 //
     /* 297337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 297348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297368 */     // (fneg:{ *:[f32] } (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 297368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 297371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297381 */     GIR_RootConstrainSelectedInstOperands,
     /* 297382 */     // GIR_Coverage, 628,
     /* 297382 */     GIR_EraseRootFromParent_Done,
     /* 297383 */   // Label 5986: @297383
     /* 297383 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(297434), // Rule ID 627 //
     /* 297388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 297399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 297403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 297407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 297419 */     // (fneg:{ *:[f32] } (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 297419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 297422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297432 */     GIR_RootConstrainSelectedInstOperands,
     /* 297433 */     // GIR_Coverage, 627,
     /* 297433 */     GIR_EraseRootFromParent_Done,
     /* 297434 */   // Label 5987: @297434
     /* 297434 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(297453), // Rule ID 525 //
     /* 297439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297446 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FNEGSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 297446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGSr),
     /* 297451 */     GIR_RootConstrainSelectedInstOperands,
     /* 297452 */     // GIR_Coverage, 525,
     /* 297452 */     GIR_Done,
     /* 297453 */   // Label 5988: @297453
     /* 297453 */   GIM_Reject,
     /* 297454 */ // Label 5977: @297454
     /* 297454 */ GIM_Reject,
     /* 297455 */ // Label 5957: @297455
     /* 297455 */ GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(298477),
     /* 297460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 297463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297467 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(297625), // Rule ID 4799 //
     /* 297472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 297483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297491 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 297495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 297524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297532 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297541 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297552 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297552 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297555 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297559 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297564 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297575 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297592 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297603 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 297611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297623 */     GIR_RootConstrainSelectedInstOperands,
     /* 297624 */     // GIR_Coverage, 4799,
     /* 297624 */     GIR_EraseRootFromParent_Done,
     /* 297625 */   // Label 5990: @297625
     /* 297625 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(297783), // Rule ID 4798 //
     /* 297630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 297641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297649 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 297653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297674 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 297682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297686 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297690 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297694 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297699 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297708 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297710 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297710 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297713 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297717 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297722 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297728 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297733 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297750 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297756 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297761 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 297769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297781 */     GIR_RootConstrainSelectedInstOperands,
     /* 297782 */     // GIR_Coverage, 4798,
     /* 297782 */     GIR_EraseRootFromParent_Done,
     /* 297783 */   // Label 5991: @297783
     /* 297783 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(297894), // Rule ID 4797 //
     /* 297788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 297799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297807 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 297811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297832 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297848 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 297848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297860 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297866 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297871 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 297879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 297888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 297892 */     GIR_RootConstrainSelectedInstOperands,
     /* 297893 */     // GIR_Coverage, 4797,
     /* 297893 */     GIR_EraseRootFromParent_Done,
     /* 297894 */   // Label 5992: @297894
     /* 297894 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(298005), // Rule ID 4795 //
     /* 297899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 297910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297918 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 297922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297939 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297948 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297959 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297971 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297977 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297982 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 297990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 297996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 298003 */     GIR_RootConstrainSelectedInstOperands,
     /* 298004 */     // GIR_Coverage, 4795,
     /* 298004 */     GIR_EraseRootFromParent_Done,
     /* 298005 */   // Label 5993: @298005
     /* 298005 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(298116), // Rule ID 4796 //
     /* 298010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 298021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298029 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 298033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298045 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298054 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298070 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298082 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 298110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 298114 */     GIR_RootConstrainSelectedInstOperands,
     /* 298115 */     // GIR_Coverage, 4796,
     /* 298115 */     GIR_EraseRootFromParent_Done,
     /* 298116 */   // Label 5994: @298116
     /* 298116 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(298227), // Rule ID 4794 //
     /* 298121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 298132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298140 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 298144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 298153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298161 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298170 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298181 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298193 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298199 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298204 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 298225 */     GIR_RootConstrainSelectedInstOperands,
     /* 298226 */     // GIR_Coverage, 4794,
     /* 298226 */     GIR_EraseRootFromParent_Done,
     /* 298227 */   // Label 5995: @298227
     /* 298227 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(298291), // Rule ID 654 //
     /* 298232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 298243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298251 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 298255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298272 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 298285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 298289 */     GIR_RootConstrainSelectedInstOperands,
     /* 298290 */     // GIR_Coverage, 654,
     /* 298290 */     GIR_EraseRootFromParent_Done,
     /* 298291 */   // Label 5996: @298291
     /* 298291 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(298355), // Rule ID 653 //
     /* 298296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 298307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298315 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 298319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298336 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 298349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 298353 */     GIR_RootConstrainSelectedInstOperands,
     /* 298354 */     // GIR_Coverage, 653,
     /* 298354 */     GIR_EraseRootFromParent_Done,
     /* 298355 */   // Label 5997: @298355
     /* 298355 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(298406), // Rule ID 630 //
     /* 298360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 298371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298391 */     // (fneg:{ *:[f64] } (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 298391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 298394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 298404 */     GIR_RootConstrainSelectedInstOperands,
     /* 298405 */     // GIR_Coverage, 630,
     /* 298405 */     GIR_EraseRootFromParent_Done,
     /* 298406 */   // Label 5998: @298406
     /* 298406 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(298457), // Rule ID 629 //
     /* 298411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 298422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298442 */     // (fneg:{ *:[f64] } (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 298442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 298445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 298455 */     GIR_RootConstrainSelectedInstOperands,
     /* 298456 */     // GIR_Coverage, 629,
     /* 298456 */     GIR_EraseRootFromParent_Done,
     /* 298457 */   // Label 5999: @298457
     /* 298457 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(298476), // Rule ID 526 //
     /* 298462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298469 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FNEGDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 298469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGDr),
     /* 298474 */     GIR_RootConstrainSelectedInstOperands,
     /* 298475 */     // GIR_Coverage, 526,
     /* 298475 */     GIR_Done,
     /* 298476 */   // Label 6000: @298476
     /* 298476 */   GIM_Reject,
     /* 298477 */ // Label 5989: @298477
     /* 298477 */ GIM_Reject,
     /* 298478 */ // Label 5958: @298478
     /* 298478 */ GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(298504), // Rule ID 853 //
     /* 298483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 298489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298497 */   // (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FNEGv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 298497 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f32),
     /* 298502 */   GIR_RootConstrainSelectedInstOperands,
     /* 298503 */   // GIR_Coverage, 853,
     /* 298503 */   GIR_Done,
     /* 298504 */ // Label 6001: @298504
     /* 298504 */ GIM_Reject,
     /* 298505 */ // Label 5959: @298505
     /* 298505 */ GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(298531), // Rule ID 855 //
     /* 298510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298524 */   // (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FNEGv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 298524 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f64),
     /* 298529 */   GIR_RootConstrainSelectedInstOperands,
     /* 298530 */   // GIR_Coverage, 855,
     /* 298530 */   GIR_Done,
     /* 298531 */ // Label 6002: @298531
     /* 298531 */ GIM_Reject,
     /* 298532 */ // Label 5960: @298532
     /* 298532 */ GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(298611),
     /* 298537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 298540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298548 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(298563), // Rule ID 851 //
     /* 298553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 298556 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FNEGv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 298556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f16),
     /* 298561 */     GIR_RootConstrainSelectedInstOperands,
     /* 298562 */     // GIR_Coverage, 851,
     /* 298562 */     GIR_Done,
     /* 298563 */   // Label 6004: @298563
     /* 298563 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(298610), // Rule ID 6274 //
     /* 298568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298571 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (EORv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (MOVIv4i16:{ *:[i64] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 298571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv4i16),
     /* 298578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298583 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 298593 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 298596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 298598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /* 298601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298603 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298608 */     GIR_RootConstrainSelectedInstOperands,
     /* 298609 */     // GIR_Coverage, 6274,
     /* 298609 */     GIR_EraseRootFromParent_Done,
     /* 298610 */   // Label 6005: @298610
     /* 298610 */   GIM_Reject,
     /* 298611 */ // Label 6003: @298611
     /* 298611 */ GIM_Reject,
     /* 298612 */ // Label 5961: @298612
     /* 298612 */ GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(298638), // Rule ID 854 //
     /* 298617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 298623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298631 */   // (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FNEGv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 298631 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f32),
     /* 298636 */   GIR_RootConstrainSelectedInstOperands,
     /* 298637 */   // GIR_Coverage, 854,
     /* 298637 */   GIR_Done,
     /* 298638 */ // Label 6006: @298638
     /* 298638 */ GIM_Reject,
     /* 298639 */ // Label 5962: @298639
     /* 298639 */ GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(298718),
     /* 298644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 298647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298655 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(298670), // Rule ID 852 //
     /* 298660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 298663 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FNEGv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 298663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv8f16),
     /* 298668 */     GIR_RootConstrainSelectedInstOperands,
     /* 298669 */     // GIR_Coverage, 852,
     /* 298669 */     GIR_Done,
     /* 298670 */   // Label 6008: @298670
     /* 298670 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(298717), // Rule ID 6275 //
     /* 298675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298678 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (EORv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (MOVIv8i16:{ *:[f128] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 298678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 298681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv8i16),
     /* 298685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298690 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 298700 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 298703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 298705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /* 298708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298710 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298715 */     GIR_RootConstrainSelectedInstOperands,
     /* 298716 */     // GIR_Coverage, 6275,
     /* 298716 */     GIR_EraseRootFromParent_Done,
     /* 298717 */   // Label 6009: @298717
     /* 298717 */   GIM_Reject,
     /* 298718 */ // Label 6007: @298718
     /* 298718 */ GIM_Reject,
     /* 298719 */ // Label 5963: @298719
     /* 298719 */ GIM_Reject,
     /* 298720 */ // Label 60: @298720
     /* 298720 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(9), /*)*//*default:*//*Label 6014*/ GIMT_Encode4(298967),
     /* 298731 */ /*GILLT_s32*//*Label 6010*/ GIMT_Encode4(298759),
     /* 298735 */ /*GILLT_s64*//*Label 6011*/ GIMT_Encode4(298790), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 298747 */ /*GILLT_v2s64*//*Label 6012*/ GIMT_Encode4(298851), GIMT_Encode4(0),
     /* 298755 */ /*GILLT_v4s32*//*Label 6013*/ GIMT_Encode4(298909),
     /* 298759 */ // Label 6010: @298759
     /* 298759 */ GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(298789), // Rule ID 516 //
     /* 298764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 298770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 298774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 298778 */   // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTSHr:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)
     /* 298778 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSHr),
     /* 298783 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 298787 */   GIR_RootConstrainSelectedInstOperands,
     /* 298788 */   // GIR_Coverage, 516,
     /* 298788 */   GIR_Done,
     /* 298789 */ // Label 6015: @298789
     /* 298789 */ GIM_Reject,
     /* 298790 */ // Label 6011: @298790
     /* 298790 */ GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(298820), // Rule ID 514 //
     /* 298795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 298801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 298809 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTDHr:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)
     /* 298809 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDHr),
     /* 298814 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 298818 */   GIR_RootConstrainSelectedInstOperands,
     /* 298819 */   // GIR_Coverage, 514,
     /* 298819 */   GIR_Done,
     /* 298820 */ // Label 6016: @298820
     /* 298820 */ GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(298850), // Rule ID 518 //
     /* 298825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 298831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 298839 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTDSr:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)
     /* 298839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDSr),
     /* 298844 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 298848 */   GIR_RootConstrainSelectedInstOperands,
     /* 298849 */   // GIR_Coverage, 518,
     /* 298849 */   GIR_Done,
     /* 298850 */ // Label 6017: @298850
     /* 298850 */ GIM_Reject,
     /* 298851 */ // Label 6012: @298851
     /* 298851 */ GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(298908),
     /* 298856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 298859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298863 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(298887), // Rule ID 4842 //
     /* 298868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /* 298875 */     // (fpextend:{ *:[v2f64] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTLv4i32:{ *:[v2f64] } V128:{ *:[v4f32] }:$Rn)
     /* 298875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i32),
     /* 298878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 298885 */     GIR_RootConstrainSelectedInstOperands,
     /* 298886 */     // GIR_Coverage, 4842,
     /* 298886 */     GIR_EraseRootFromParent_Done,
     /* 298887 */   // Label 6019: @298887
     /* 298887 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(298907), // Rule ID 4840 //
     /* 298892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298896 */     // (fpextend:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTLv2i32:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)
     /* 298896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 298901 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 298905 */     GIR_RootConstrainSelectedInstOperands,
     /* 298906 */     // GIR_Coverage, 4840,
     /* 298906 */     GIR_Done,
     /* 298907 */   // Label 6020: @298907
     /* 298907 */   GIM_Reject,
     /* 298908 */ // Label 6018: @298908
     /* 298908 */ GIM_Reject,
     /* 298909 */ // Label 6013: @298909
     /* 298909 */ GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(298966),
     /* 298914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 298917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298921 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(298945), // Rule ID 4846 //
     /* 298926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /* 298933 */     // (fpextend:{ *:[v4f32] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)
     /* 298933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 298936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 298943 */     GIR_RootConstrainSelectedInstOperands,
     /* 298944 */     // GIR_Coverage, 4846,
     /* 298944 */     GIR_EraseRootFromParent_Done,
     /* 298945 */   // Label 6022: @298945
     /* 298945 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(298965), // Rule ID 4844 //
     /* 298950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298954 */     // (fpextend:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)
     /* 298954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 298959 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 298963 */     GIR_RootConstrainSelectedInstOperands,
     /* 298964 */     // GIR_Coverage, 4844,
     /* 298964 */     GIR_Done,
     /* 298965 */   // Label 6023: @298965
     /* 298965 */   GIM_Reject,
     /* 298966 */ // Label 6021: @298966
     /* 298966 */ GIM_Reject,
     /* 298967 */ // Label 6014: @298967
     /* 298967 */ GIM_Reject,
     /* 298968 */ // Label 61: @298968
     /* 298968 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(8), /*)*//*default:*//*Label 6028*/ GIMT_Encode4(299155),
     /* 298979 */ /*GILLT_s16*//*Label 6024*/ GIMT_Encode4(299007),
     /* 298983 */ /*GILLT_s32*//*Label 6025*/ GIMT_Encode4(299068), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 298995 */ /*GILLT_v2s32*//*Label 6026*/ GIMT_Encode4(299099), GIMT_Encode4(0),
     /* 299003 */ /*GILLT_v4s16*//*Label 6027*/ GIMT_Encode4(299127),
     /* 299007 */ // Label 6024: @299007
     /* 299007 */ GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(299037), // Rule ID 510 //
     /* 299012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 299022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299026 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTHDr:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)
     /* 299026 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHDr),
     /* 299031 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299035 */   GIR_RootConstrainSelectedInstOperands,
     /* 299036 */   // GIR_Coverage, 510,
     /* 299036 */   GIR_Done,
     /* 299037 */ // Label 6029: @299037
     /* 299037 */ GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(299067), // Rule ID 520 //
     /* 299042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 299052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299056 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTHSr:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)
     /* 299056 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHSr),
     /* 299061 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299065 */   GIR_RootConstrainSelectedInstOperands,
     /* 299066 */   // GIR_Coverage, 520,
     /* 299066 */   GIR_Done,
     /* 299067 */ // Label 6030: @299067
     /* 299067 */ GIM_Reject,
     /* 299068 */ // Label 6025: @299068
     /* 299068 */ GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(299098), // Rule ID 512 //
     /* 299073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299087 */   // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTSDr:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 299087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSDr),
     /* 299092 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299096 */   GIR_RootConstrainSelectedInstOperands,
     /* 299097 */   // GIR_Coverage, 512,
     /* 299097 */   GIR_Done,
     /* 299098 */ // Label 6031: @299098
     /* 299098 */ GIM_Reject,
     /* 299099 */ // Label 6026: @299099
     /* 299099 */ GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(299126), // Rule ID 4850 //
     /* 299104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299115 */   // (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNv2i32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 299115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 299120 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299124 */   GIR_RootConstrainSelectedInstOperands,
     /* 299125 */   // GIR_Coverage, 4850,
     /* 299125 */   GIR_Done,
     /* 299126 */ // Label 6032: @299126
     /* 299126 */ GIM_Reject,
     /* 299127 */ // Label 6027: @299127
     /* 299127 */ GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(299154), // Rule ID 4852 //
     /* 299132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299143 */   // (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)
     /* 299143 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 299148 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299152 */   GIR_RootConstrainSelectedInstOperands,
     /* 299153 */   // GIR_Coverage, 4852,
     /* 299153 */   GIR_Done,
     /* 299154 */ // Label 6033: @299154
     /* 299154 */ GIM_Reject,
     /* 299155 */ // Label 6028: @299155
     /* 299155 */ GIM_Reject,
     /* 299156 */ // Label 62: @299156
     /* 299156 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6041*/ GIMT_Encode4(300218),
     /* 299167 */ /*GILLT_s32*//*Label 6034*/ GIMT_Encode4(299203),
     /* 299171 */ /*GILLT_s64*//*Label 6035*/ GIMT_Encode4(299590), GIMT_Encode4(0),
     /* 299179 */ /*GILLT_v2s32*//*Label 6036*/ GIMT_Encode4(299977),
     /* 299183 */ /*GILLT_v2s64*//*Label 6037*/ GIMT_Encode4(300051),
     /* 299187 */ /*GILLT_v4s16*//*Label 6038*/ GIMT_Encode4(300125),
     /* 299191 */ /*GILLT_v4s32*//*Label 6039*/ GIMT_Encode4(300156), GIMT_Encode4(0),
     /* 299199 */ /*GILLT_v8s16*//*Label 6040*/ GIMT_Encode4(300187),
     /* 299203 */ // Label 6034: @299203
     /* 299203 */ GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(299240), // Rule ID 4589 //
     /* 299208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299215 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299219 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 299223 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299227 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299229 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 299229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 299232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299234 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299238 */   GIR_RootConstrainSelectedInstOperands,
     /* 299239 */   // GIR_Coverage, 4589,
     /* 299239 */   GIR_EraseRootFromParent_Done,
     /* 299240 */ // Label 6042: @299240
     /* 299240 */ GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(299277), // Rule ID 4591 //
     /* 299245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299252 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299256 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 299260 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299264 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299266 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 299266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 299269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299271 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299275 */   GIR_RootConstrainSelectedInstOperands,
     /* 299276 */   // GIR_Coverage, 4591,
     /* 299276 */   GIR_EraseRootFromParent_Done,
     /* 299277 */ // Label 6043: @299277
     /* 299277 */ GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(299314), // Rule ID 4609 //
     /* 299282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299289 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299293 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 299297 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299301 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299303 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 299303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 299306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299308 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299312 */   GIR_RootConstrainSelectedInstOperands,
     /* 299313 */   // GIR_Coverage, 4609,
     /* 299313 */   GIR_EraseRootFromParent_Done,
     /* 299314 */ // Label 6044: @299314
     /* 299314 */ GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(299351), // Rule ID 4611 //
     /* 299319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299326 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299330 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 299334 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299338 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299340 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 299340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 299343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299345 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299349 */   GIR_RootConstrainSelectedInstOperands,
     /* 299350 */   // GIR_Coverage, 4611,
     /* 299350 */   GIR_EraseRootFromParent_Done,
     /* 299351 */ // Label 6045: @299351
     /* 299351 */ GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(299388), // Rule ID 4649 //
     /* 299356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299363 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299367 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 299371 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299375 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299377 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 299377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 299380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299382 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299386 */   GIR_RootConstrainSelectedInstOperands,
     /* 299387 */   // GIR_Coverage, 4649,
     /* 299387 */   GIR_EraseRootFromParent_Done,
     /* 299388 */ // Label 6046: @299388
     /* 299388 */ GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(299425), // Rule ID 4651 //
     /* 299393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299400 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299404 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 299408 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299412 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299414 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 299414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 299417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299419 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299423 */   GIR_RootConstrainSelectedInstOperands,
     /* 299424 */   // GIR_Coverage, 4651,
     /* 299424 */   GIR_EraseRootFromParent_Done,
     /* 299425 */ // Label 6047: @299425
     /* 299425 */ GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(299462), // Rule ID 4629 //
     /* 299430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299437 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299441 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 299445 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299449 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299451 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 299451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 299454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299456 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299460 */   GIR_RootConstrainSelectedInstOperands,
     /* 299461 */   // GIR_Coverage, 4629,
     /* 299461 */   GIR_EraseRootFromParent_Done,
     /* 299462 */ // Label 6048: @299462
     /* 299462 */ GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(299499), // Rule ID 4631 //
     /* 299467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299474 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299478 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 299482 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299486 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299488 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 299488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 299491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299493 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299497 */   GIR_RootConstrainSelectedInstOperands,
     /* 299498 */   // GIR_Coverage, 4631,
     /* 299498 */   GIR_EraseRootFromParent_Done,
     /* 299499 */ // Label 6049: @299499
     /* 299499 */ GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(299529), // Rule ID 395 //
     /* 299504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 299507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 299510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 299518 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 299518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 299523 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299527 */   GIR_RootConstrainSelectedInstOperands,
     /* 299528 */   // GIR_Coverage, 395,
     /* 299528 */   GIR_Done,
     /* 299529 */ // Label 6050: @299529
     /* 299529 */ GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(299559), // Rule ID 399 //
     /* 299534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299548 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 299548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 299553 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299557 */   GIR_RootConstrainSelectedInstOperands,
     /* 299558 */   // GIR_Coverage, 399,
     /* 299558 */   GIR_Done,
     /* 299559 */ // Label 6051: @299559
     /* 299559 */ GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(299589), // Rule ID 403 //
     /* 299564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 299574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299578 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 299578 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 299583 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299587 */   GIR_RootConstrainSelectedInstOperands,
     /* 299588 */   // GIR_Coverage, 403,
     /* 299588 */   GIR_Done,
     /* 299589 */ // Label 6052: @299589
     /* 299589 */ GIM_Reject,
     /* 299590 */ // Label 6035: @299590
     /* 299590 */ GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(299627), // Rule ID 4590 //
     /* 299595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 299610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299614 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299616 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 299616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 299619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299621 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299625 */   GIR_RootConstrainSelectedInstOperands,
     /* 299626 */   // GIR_Coverage, 4590,
     /* 299626 */   GIR_EraseRootFromParent_Done,
     /* 299627 */ // Label 6053: @299627
     /* 299627 */ GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(299664), // Rule ID 4592 //
     /* 299632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299639 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299643 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 299647 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299653 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 299653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 299656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299658 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299662 */   GIR_RootConstrainSelectedInstOperands,
     /* 299663 */   // GIR_Coverage, 4592,
     /* 299663 */   GIR_EraseRootFromParent_Done,
     /* 299664 */ // Label 6054: @299664
     /* 299664 */ GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(299701), // Rule ID 4610 //
     /* 299669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 299684 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299690 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 299690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 299693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299695 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299699 */   GIR_RootConstrainSelectedInstOperands,
     /* 299700 */   // GIR_Coverage, 4610,
     /* 299700 */   GIR_EraseRootFromParent_Done,
     /* 299701 */ // Label 6055: @299701
     /* 299701 */ GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(299738), // Rule ID 4612 //
     /* 299706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299713 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299717 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 299721 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299725 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299727 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 299727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 299730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299732 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299736 */   GIR_RootConstrainSelectedInstOperands,
     /* 299737 */   // GIR_Coverage, 4612,
     /* 299737 */   GIR_EraseRootFromParent_Done,
     /* 299738 */ // Label 6056: @299738
     /* 299738 */ GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(299775), // Rule ID 4650 //
     /* 299743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299750 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299754 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 299758 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299762 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299764 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 299764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 299767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299769 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299773 */   GIR_RootConstrainSelectedInstOperands,
     /* 299774 */   // GIR_Coverage, 4650,
     /* 299774 */   GIR_EraseRootFromParent_Done,
     /* 299775 */ // Label 6057: @299775
     /* 299775 */ GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(299812), // Rule ID 4652 //
     /* 299780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 299795 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299799 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299801 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 299801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 299804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299806 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299810 */   GIR_RootConstrainSelectedInstOperands,
     /* 299811 */   // GIR_Coverage, 4652,
     /* 299811 */   GIR_EraseRootFromParent_Done,
     /* 299812 */ // Label 6058: @299812
     /* 299812 */ GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(299849), // Rule ID 4630 //
     /* 299817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299824 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299828 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 299832 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299836 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299838 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 299838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 299841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299843 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299847 */   GIR_RootConstrainSelectedInstOperands,
     /* 299848 */   // GIR_Coverage, 4630,
     /* 299848 */   GIR_EraseRootFromParent_Done,
     /* 299849 */ // Label 6059: @299849
     /* 299849 */ GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(299886), // Rule ID 4632 //
     /* 299854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299861 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 299869 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299873 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299875 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 299875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 299878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299880 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299884 */   GIR_RootConstrainSelectedInstOperands,
     /* 299885 */   // GIR_Coverage, 4632,
     /* 299885 */   GIR_EraseRootFromParent_Done,
     /* 299886 */ // Label 6060: @299886
     /* 299886 */ GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(299916), // Rule ID 397 //
     /* 299891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 299894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 299897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 299905 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 299905 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 299910 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299914 */   GIR_RootConstrainSelectedInstOperands,
     /* 299915 */   // GIR_Coverage, 397,
     /* 299915 */   GIR_Done,
     /* 299916 */ // Label 6061: @299916
     /* 299916 */ GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(299946), // Rule ID 401 //
     /* 299921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 299927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299935 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 299935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 299940 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299944 */   GIR_RootConstrainSelectedInstOperands,
     /* 299945 */   // GIR_Coverage, 401,
     /* 299945 */   GIR_Done,
     /* 299946 */ // Label 6062: @299946
     /* 299946 */ GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(299976), // Rule ID 405 //
     /* 299951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 299957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 299961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299965 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 299965 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 299970 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299974 */   GIR_RootConstrainSelectedInstOperands,
     /* 299975 */   // GIR_Coverage, 405,
     /* 299975 */   GIR_Done,
     /* 299976 */ // Label 6063: @299976
     /* 299976 */ GIM_Reject,
     /* 299977 */ // Label 6036: @299977
     /* 299977 */ GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(300007), // Rule ID 836 //
     /* 299982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299996 */   // (fp_to_sint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 299996 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 300001 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300005 */   GIR_RootConstrainSelectedInstOperands,
     /* 300006 */   // GIR_Coverage, 836,
     /* 300006 */   GIR_Done,
     /* 300007 */ // Label 6064: @300007
     /* 300007 */ GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(300050), // Rule ID 12816 //
     /* 300012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300022 */   // (fp_to_sint:{ *:[v2i32] } v2f64:{ *:[v2f64] }:$src)  =>  (XTNv2i32:{ *:[v2i32] } (FCVTZSv2f64:{ *:[f128] } V128:{ *:[v2f64] }:$src))
     /* 300022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 300029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300034 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 300038 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 300040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 300043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300045 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300048 */   GIR_RootConstrainSelectedInstOperands,
     /* 300049 */   // GIR_Coverage, 12816,
     /* 300049 */   GIR_EraseRootFromParent_Done,
     /* 300050 */ // Label 6065: @300050
     /* 300050 */ GIM_Reject,
     /* 300051 */ // Label 6037: @300051
     /* 300051 */ GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(300081), // Rule ID 840 //
     /* 300056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300070 */   // (fp_to_sint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 300070 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 300075 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300079 */   GIR_RootConstrainSelectedInstOperands,
     /* 300080 */   // GIR_Coverage, 840,
     /* 300080 */   GIR_Done,
     /* 300081 */ // Label 6066: @300081
     /* 300081 */ GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(300124), // Rule ID 12814 //
     /* 300086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300096 */   // (fp_to_sint:{ *:[v2i64] } v2f32:{ *:[v2f32] }:$src)  =>  (FCVTZSv2f64:{ *:[v2i64] } (FCVTLv2i32:{ *:[f128] } V64:{ *:[v2f32] }:$src))
     /* 300096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 300103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300108 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 300112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 300114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 300117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300122 */   GIR_RootConstrainSelectedInstOperands,
     /* 300123 */   // GIR_Coverage, 12814,
     /* 300123 */   GIR_EraseRootFromParent_Done,
     /* 300124 */ // Label 6067: @300124
     /* 300124 */ GIM_Reject,
     /* 300125 */ // Label 6038: @300125
     /* 300125 */ GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(300155), // Rule ID 832 //
     /* 300130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 300133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 300136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300144 */   // (fp_to_sint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 300144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 300149 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300153 */   GIR_RootConstrainSelectedInstOperands,
     /* 300154 */   // GIR_Coverage, 832,
     /* 300154 */   GIR_Done,
     /* 300155 */ // Label 6068: @300155
     /* 300155 */ GIM_Reject,
     /* 300156 */ // Label 6039: @300156
     /* 300156 */ GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(300186), // Rule ID 838 //
     /* 300161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300175 */   // (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 300175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 300180 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300184 */   GIR_RootConstrainSelectedInstOperands,
     /* 300185 */   // GIR_Coverage, 838,
     /* 300185 */   GIR_Done,
     /* 300186 */ // Label 6069: @300186
     /* 300186 */ GIM_Reject,
     /* 300187 */ // Label 6040: @300187
     /* 300187 */ GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(300217), // Rule ID 834 //
     /* 300192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 300195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 300198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300206 */   // (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 300206 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 300211 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300215 */   GIR_RootConstrainSelectedInstOperands,
     /* 300216 */   // GIR_Coverage, 834,
     /* 300216 */   GIR_Done,
     /* 300217 */ // Label 6070: @300217
     /* 300217 */ GIM_Reject,
     /* 300218 */ // Label 6041: @300218
     /* 300218 */ GIM_Reject,
     /* 300219 */ // Label 63: @300219
     /* 300219 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6078*/ GIMT_Encode4(301281),
     /* 300230 */ /*GILLT_s32*//*Label 6071*/ GIMT_Encode4(300266),
     /* 300234 */ /*GILLT_s64*//*Label 6072*/ GIMT_Encode4(300653), GIMT_Encode4(0),
     /* 300242 */ /*GILLT_v2s32*//*Label 6073*/ GIMT_Encode4(301040),
     /* 300246 */ /*GILLT_v2s64*//*Label 6074*/ GIMT_Encode4(301114),
     /* 300250 */ /*GILLT_v4s16*//*Label 6075*/ GIMT_Encode4(301188),
     /* 300254 */ /*GILLT_v4s32*//*Label 6076*/ GIMT_Encode4(301219), GIMT_Encode4(0),
     /* 300262 */ /*GILLT_v8s16*//*Label 6077*/ GIMT_Encode4(301250),
     /* 300266 */ // Label 6071: @300266
     /* 300266 */ GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(300303), // Rule ID 4599 //
     /* 300271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300278 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300282 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 300286 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300290 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300292 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 300292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 300295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300297 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300301 */   GIR_RootConstrainSelectedInstOperands,
     /* 300302 */   // GIR_Coverage, 4599,
     /* 300302 */   GIR_EraseRootFromParent_Done,
     /* 300303 */ // Label 6079: @300303
     /* 300303 */ GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(300340), // Rule ID 4601 //
     /* 300308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300315 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300319 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 300323 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300327 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300329 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 300329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 300332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300334 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300338 */   GIR_RootConstrainSelectedInstOperands,
     /* 300339 */   // GIR_Coverage, 4601,
     /* 300339 */   GIR_EraseRootFromParent_Done,
     /* 300340 */ // Label 6080: @300340
     /* 300340 */ GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(300377), // Rule ID 4619 //
     /* 300345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300352 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300356 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 300360 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300364 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300366 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 300366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 300369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300371 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300375 */   GIR_RootConstrainSelectedInstOperands,
     /* 300376 */   // GIR_Coverage, 4619,
     /* 300376 */   GIR_EraseRootFromParent_Done,
     /* 300377 */ // Label 6081: @300377
     /* 300377 */ GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(300414), // Rule ID 4621 //
     /* 300382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300389 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300393 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 300397 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300403 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 300403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 300406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300408 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300412 */   GIR_RootConstrainSelectedInstOperands,
     /* 300413 */   // GIR_Coverage, 4621,
     /* 300413 */   GIR_EraseRootFromParent_Done,
     /* 300414 */ // Label 6082: @300414
     /* 300414 */ GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(300451), // Rule ID 4659 //
     /* 300419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300426 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 300434 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300438 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300440 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 300440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 300443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300445 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300449 */   GIR_RootConstrainSelectedInstOperands,
     /* 300450 */   // GIR_Coverage, 4659,
     /* 300450 */   GIR_EraseRootFromParent_Done,
     /* 300451 */ // Label 6083: @300451
     /* 300451 */ GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(300488), // Rule ID 4661 //
     /* 300456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300463 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300467 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 300471 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300475 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300477 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 300477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 300480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300482 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300486 */   GIR_RootConstrainSelectedInstOperands,
     /* 300487 */   // GIR_Coverage, 4661,
     /* 300487 */   GIR_EraseRootFromParent_Done,
     /* 300488 */ // Label 6084: @300488
     /* 300488 */ GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(300525), // Rule ID 4639 //
     /* 300493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300500 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 300508 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300512 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300514 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 300514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 300517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300519 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300523 */   GIR_RootConstrainSelectedInstOperands,
     /* 300524 */   // GIR_Coverage, 4639,
     /* 300524 */   GIR_EraseRootFromParent_Done,
     /* 300525 */ // Label 6085: @300525
     /* 300525 */ GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(300562), // Rule ID 4641 //
     /* 300530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300537 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300541 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 300545 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300549 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300551 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 300551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 300554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300556 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300560 */   GIR_RootConstrainSelectedInstOperands,
     /* 300561 */   // GIR_Coverage, 4641,
     /* 300561 */   GIR_EraseRootFromParent_Done,
     /* 300562 */ // Label 6086: @300562
     /* 300562 */ GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(300592), // Rule ID 407 //
     /* 300567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 300570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 300573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 300581 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 300581 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 300586 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300590 */   GIR_RootConstrainSelectedInstOperands,
     /* 300591 */   // GIR_Coverage, 407,
     /* 300591 */   GIR_Done,
     /* 300592 */ // Label 6087: @300592
     /* 300592 */ GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(300622), // Rule ID 411 //
     /* 300597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300611 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 300611 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 300616 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300620 */   GIR_RootConstrainSelectedInstOperands,
     /* 300621 */   // GIR_Coverage, 411,
     /* 300621 */   GIR_Done,
     /* 300622 */ // Label 6088: @300622
     /* 300622 */ GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(300652), // Rule ID 415 //
     /* 300627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 300637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300641 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 300641 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 300646 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300650 */   GIR_RootConstrainSelectedInstOperands,
     /* 300651 */   // GIR_Coverage, 415,
     /* 300651 */   GIR_Done,
     /* 300652 */ // Label 6089: @300652
     /* 300652 */ GIM_Reject,
     /* 300653 */ // Label 6072: @300653
     /* 300653 */ GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(300690), // Rule ID 4600 //
     /* 300658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300665 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300669 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 300673 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300677 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300679 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 300679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 300682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300684 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300688 */   GIR_RootConstrainSelectedInstOperands,
     /* 300689 */   // GIR_Coverage, 4600,
     /* 300689 */   GIR_EraseRootFromParent_Done,
     /* 300690 */ // Label 6090: @300690
     /* 300690 */ GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(300727), // Rule ID 4602 //
     /* 300695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300702 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300706 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 300710 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300714 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300716 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 300716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 300719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300721 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300725 */   GIR_RootConstrainSelectedInstOperands,
     /* 300726 */   // GIR_Coverage, 4602,
     /* 300726 */   GIR_EraseRootFromParent_Done,
     /* 300727 */ // Label 6091: @300727
     /* 300727 */ GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(300764), // Rule ID 4620 //
     /* 300732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 300747 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300751 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300753 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 300753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 300756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300758 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300762 */   GIR_RootConstrainSelectedInstOperands,
     /* 300763 */   // GIR_Coverage, 4620,
     /* 300763 */   GIR_EraseRootFromParent_Done,
     /* 300764 */ // Label 6092: @300764
     /* 300764 */ GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(300801), // Rule ID 4622 //
     /* 300769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300776 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300780 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 300784 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300788 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300790 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 300790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 300793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300795 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300799 */   GIR_RootConstrainSelectedInstOperands,
     /* 300800 */   // GIR_Coverage, 4622,
     /* 300800 */   GIR_EraseRootFromParent_Done,
     /* 300801 */ // Label 6093: @300801
     /* 300801 */ GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(300838), // Rule ID 4660 //
     /* 300806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 300821 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300825 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300827 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 300827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 300830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300832 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300836 */   GIR_RootConstrainSelectedInstOperands,
     /* 300837 */   // GIR_Coverage, 4660,
     /* 300837 */   GIR_EraseRootFromParent_Done,
     /* 300838 */ // Label 6094: @300838
     /* 300838 */ GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(300875), // Rule ID 4662 //
     /* 300843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300850 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300854 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 300858 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300862 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300864 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 300864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 300867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300869 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300873 */   GIR_RootConstrainSelectedInstOperands,
     /* 300874 */   // GIR_Coverage, 4662,
     /* 300874 */   GIR_EraseRootFromParent_Done,
     /* 300875 */ // Label 6095: @300875
     /* 300875 */ GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(300912), // Rule ID 4640 //
     /* 300880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300887 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300891 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 300895 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300899 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300901 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 300901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 300904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300906 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300910 */   GIR_RootConstrainSelectedInstOperands,
     /* 300911 */   // GIR_Coverage, 4640,
     /* 300911 */   GIR_EraseRootFromParent_Done,
     /* 300912 */ // Label 6096: @300912
     /* 300912 */ GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(300949), // Rule ID 4642 //
     /* 300917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 300920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300924 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300928 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 300932 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300936 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300938 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 300938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 300941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300943 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300947 */   GIR_RootConstrainSelectedInstOperands,
     /* 300948 */   // GIR_Coverage, 4642,
     /* 300948 */   GIR_EraseRootFromParent_Done,
     /* 300949 */ // Label 6097: @300949
     /* 300949 */ GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(300979), // Rule ID 409 //
     /* 300954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 300957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 300960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 300968 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 300968 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 300973 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300977 */   GIR_RootConstrainSelectedInstOperands,
     /* 300978 */   // GIR_Coverage, 409,
     /* 300978 */   GIR_Done,
     /* 300979 */ // Label 6098: @300979
     /* 300979 */ GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(301009), // Rule ID 413 //
     /* 300984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 300990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 300994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300998 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 300998 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 301003 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301007 */   GIR_RootConstrainSelectedInstOperands,
     /* 301008 */   // GIR_Coverage, 413,
     /* 301008 */   GIR_Done,
     /* 301009 */ // Label 6099: @301009
     /* 301009 */ GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(301039), // Rule ID 417 //
     /* 301014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 301017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 301020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 301024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301028 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 301028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 301033 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301037 */   GIR_RootConstrainSelectedInstOperands,
     /* 301038 */   // GIR_Coverage, 417,
     /* 301038 */   GIR_Done,
     /* 301039 */ // Label 6100: @301039
     /* 301039 */ GIM_Reject,
     /* 301040 */ // Label 6073: @301040
     /* 301040 */ GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(301070), // Rule ID 846 //
     /* 301045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301059 */   // (fp_to_uint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 301059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 301064 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301068 */   GIR_RootConstrainSelectedInstOperands,
     /* 301069 */   // GIR_Coverage, 846,
     /* 301069 */   GIR_Done,
     /* 301070 */ // Label 6101: @301070
     /* 301070 */ GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(301113), // Rule ID 12817 //
     /* 301075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301085 */   // (fp_to_uint:{ *:[v2i32] } v2f64:{ *:[v2f64] }:$src)  =>  (XTNv2i32:{ *:[v2i32] } (FCVTZUv2f64:{ *:[f128] } V128:{ *:[v2f64] }:$src))
     /* 301085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 301092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301097 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 301101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 301103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 301106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 301108 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301111 */   GIR_RootConstrainSelectedInstOperands,
     /* 301112 */   // GIR_Coverage, 12817,
     /* 301112 */   GIR_EraseRootFromParent_Done,
     /* 301113 */ // Label 6102: @301113
     /* 301113 */ GIM_Reject,
     /* 301114 */ // Label 6074: @301114
     /* 301114 */ GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(301144), // Rule ID 850 //
     /* 301119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301133 */   // (fp_to_uint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 301133 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 301138 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301142 */   GIR_RootConstrainSelectedInstOperands,
     /* 301143 */   // GIR_Coverage, 850,
     /* 301143 */   GIR_Done,
     /* 301144 */ // Label 6103: @301144
     /* 301144 */ GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(301187), // Rule ID 12815 //
     /* 301149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301159 */   // (fp_to_uint:{ *:[v2i64] } v2f32:{ *:[v2f32] }:$src)  =>  (FCVTZUv2f64:{ *:[v2i64] } (FCVTLv2i32:{ *:[f128] } V64:{ *:[v2f32] }:$src))
     /* 301159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 301166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301171 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 301175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 301177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 301180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 301182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301185 */   GIR_RootConstrainSelectedInstOperands,
     /* 301186 */   // GIR_Coverage, 12815,
     /* 301186 */   GIR_EraseRootFromParent_Done,
     /* 301187 */ // Label 6104: @301187
     /* 301187 */ GIM_Reject,
     /* 301188 */ // Label 6075: @301188
     /* 301188 */ GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(301218), // Rule ID 842 //
     /* 301193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 301196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 301199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301207 */   // (fp_to_uint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 301207 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 301212 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301216 */   GIR_RootConstrainSelectedInstOperands,
     /* 301217 */   // GIR_Coverage, 842,
     /* 301217 */   GIR_Done,
     /* 301218 */ // Label 6105: @301218
     /* 301218 */ GIM_Reject,
     /* 301219 */ // Label 6076: @301219
     /* 301219 */ GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(301249), // Rule ID 848 //
     /* 301224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 301230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301238 */   // (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 301238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 301243 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301247 */   GIR_RootConstrainSelectedInstOperands,
     /* 301248 */   // GIR_Coverage, 848,
     /* 301248 */   GIR_Done,
     /* 301249 */ // Label 6106: @301249
     /* 301249 */ GIM_Reject,
     /* 301250 */ // Label 6077: @301250
     /* 301250 */ GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(301280), // Rule ID 844 //
     /* 301255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 301258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 301261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301269 */   // (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 301269 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 301274 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301278 */   GIR_RootConstrainSelectedInstOperands,
     /* 301279 */   // GIR_Coverage, 844,
     /* 301279 */   GIR_Done,
     /* 301280 */ // Label 6107: @301280
     /* 301280 */ GIM_Reject,
     /* 301281 */ // Label 6078: @301281
     /* 301281 */ GIM_Reject,
     /* 301282 */ // Label 64: @301282
     /* 301282 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6116*/ GIMT_Encode4(305678),
     /* 301293 */ /*GILLT_s16*//*Label 6108*/ GIMT_Encode4(301333),
     /* 301297 */ /*GILLT_s32*//*Label 6109*/ GIMT_Encode4(301614),
     /* 301301 */ /*GILLT_s64*//*Label 6110*/ GIMT_Encode4(303530), GIMT_Encode4(0),
     /* 301309 */ /*GILLT_v2s32*//*Label 6111*/ GIMT_Encode4(305434),
     /* 301313 */ /*GILLT_v2s64*//*Label 6112*/ GIMT_Encode4(305508),
     /* 301317 */ /*GILLT_v4s16*//*Label 6113*/ GIMT_Encode4(305585),
     /* 301321 */ /*GILLT_v4s32*//*Label 6114*/ GIMT_Encode4(305616), GIMT_Encode4(0),
     /* 301329 */ /*GILLT_v8s16*//*Label 6115*/ GIMT_Encode4(305647),
     /* 301333 */ // Label 6108: @301333
     /* 301333 */ GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(301436), // Rule ID 5259 //
     /* 301338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 301341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301348 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301352 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 301356 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301360 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301364 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 301368 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 301372 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 301376 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301381 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 301385 */   // MIs[1] Operand 2
     /* 301385 */   GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 301396 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301398 */   // (sint_to_fp:{ *:[f16] } (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), i16:{ *:[Other] }))  =>  (SCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 301398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 301401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 301405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301410 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 301416 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301421 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 301429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 301431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301434 */   GIR_RootConstrainSelectedInstOperands,
     /* 301435 */   // GIR_Coverage, 5259,
     /* 301435 */   GIR_EraseRootFromParent_Done,
     /* 301436 */ // Label 6117: @301436
     /* 301436 */ GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(301493), // Rule ID 5250 //
     /* 301441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 301444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301451 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301455 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 301459 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 301463 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301465 */   // (sint_to_fp:{ *:[f16] } (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (SCVTFv1i16:{ *:[f16] } (FCVTZSv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 301465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 301468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1f16),
     /* 301472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301477 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 301481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 301483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 301486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 301488 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301491 */   GIR_RootConstrainSelectedInstOperands,
     /* 301492 */   // GIR_Coverage, 5250,
     /* 301492 */   GIR_EraseRootFromParent_Done,
     /* 301493 */ // Label 6118: @301493
     /* 301493 */ GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(301523), // Rule ID 443 //
     /* 301498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 301501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 301512 */   // (sint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 301512 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWHri),
     /* 301517 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301521 */   GIR_RootConstrainSelectedInstOperands,
     /* 301522 */   // GIR_Coverage, 443,
     /* 301522 */   GIR_Done,
     /* 301523 */ // Label 6119: @301523
     /* 301523 */ GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(301553), // Rule ID 449 //
     /* 301528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 301531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 301534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 301542 */   // (sint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 301542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXHri),
     /* 301547 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301551 */   GIR_RootConstrainSelectedInstOperands,
     /* 301552 */   // GIR_Coverage, 449,
     /* 301552 */   GIR_Done,
     /* 301553 */ // Label 6120: @301553
     /* 301553 */ GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(301583), // Rule ID 491 //
     /* 301558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 301561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301572 */   // (sint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 301572 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 301577 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301581 */   GIR_RootConstrainSelectedInstOperands,
     /* 301582 */   // GIR_Coverage, 491,
     /* 301582 */   GIR_Done,
     /* 301583 */ // Label 6121: @301583
     /* 301583 */ GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(301613), // Rule ID 495 //
     /* 301588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 301591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 301594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 301598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301602 */   // (sint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 301602 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 301607 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 301611 */   GIR_RootConstrainSelectedInstOperands,
     /* 301612 */   // GIR_Coverage, 495,
     /* 301612 */   GIR_Done,
     /* 301613 */ // Label 6122: @301613
     /* 301613 */ GIM_Reject,
     /* 301614 */ // Label 6109: @301614
     /* 301614 */ GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(301852), // Rule ID 6276 //
     /* 301619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 301622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301629 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301633 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 301637 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 301640 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 301647 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 301651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301653 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 301660 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 301660 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 301663 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 301667 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 301677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 301682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 301687 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 301692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 301694 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 301697 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 301701 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301706 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 301708 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 301711 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 301715 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301720 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 301723 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 301726 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 301729 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301734 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301739 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 301744 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 301747 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 301751 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301756 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 301759 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 301762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 301764 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 301767 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 301771 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301776 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 301783 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301788 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301793 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 301796 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 301800 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301805 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 301808 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 301811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 301813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 301816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 301820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301825 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 301832 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301837 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 301845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 301847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301850 */   GIR_RootConstrainSelectedInstOperands,
     /* 301851 */   // GIR_Coverage, 6276,
     /* 301851 */   GIR_EraseRootFromParent_Done,
     /* 301852 */ // Label 6123: @301852
     /* 301852 */ GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(302090), // Rule ID 6277 //
     /* 301857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 301860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 301863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301867 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301871 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 301875 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 301878 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 301885 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 301889 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301891 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 301898 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 301898 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 301901 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 301905 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 301915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 301920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 301925 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 301930 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 301932 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 301935 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 301939 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301944 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 301946 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 301949 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 301953 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301958 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 301961 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 301964 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 301967 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301972 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301977 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 301982 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 301985 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 301989 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301994 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 301997 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 302000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 302002 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 302005 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302009 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302014 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 302021 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302026 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302031 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 302034 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 302038 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302043 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 302046 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 302049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 302051 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 302054 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302058 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302063 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 302070 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302075 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 302083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 302085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302088 */   GIR_RootConstrainSelectedInstOperands,
     /* 302089 */   // GIR_Coverage, 6277,
     /* 302089 */   GIR_EraseRootFromParent_Done,
     /* 302090 */ // Label 6124: @302090
     /* 302090 */ GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(302279), // Rule ID 6280 //
     /* 302095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 302098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 302113 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 302116 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 302123 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 302127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302129 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 302136 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 302136 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 302139 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 302143 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 302153 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 302158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 302163 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 302168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 302170 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 302173 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 302177 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 302184 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 302187 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 302191 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302196 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 302199 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 302202 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 302205 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302210 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302215 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 302220 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 302223 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 302227 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302232 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 302235 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 302238 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 302240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 302243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302252 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 302259 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302264 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 302272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 302274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302277 */   GIR_RootConstrainSelectedInstOperands,
     /* 302278 */   // GIR_Coverage, 6280,
     /* 302278 */   GIR_EraseRootFromParent_Done,
     /* 302279 */ // Label 6125: @302279
     /* 302279 */ GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(302468), // Rule ID 6281 //
     /* 302284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 302287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302294 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302298 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 302302 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 302305 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 302312 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 302316 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302318 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 302325 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 302325 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 302328 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 302332 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302337 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 302342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 302347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 302352 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 302357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 302359 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 302362 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 302366 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302371 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 302373 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 302376 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 302380 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302385 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 302388 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 302391 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 302394 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302399 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302404 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 302409 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 302412 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 302416 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302421 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 302424 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 302427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 302429 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 302432 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302436 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302441 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 302448 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302453 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 302461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 302463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302466 */   GIR_RootConstrainSelectedInstOperands,
     /* 302467 */   // GIR_Coverage, 6281,
     /* 302467 */   GIR_EraseRootFromParent_Done,
     /* 302468 */ // Label 6126: @302468
     /* 302468 */ GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(302701), // Rule ID 6278 //
     /* 302473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 302476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302483 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302487 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 302491 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 302494 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 302501 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 302505 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302507 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 302514 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 302514 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 302517 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 302521 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 302531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 302536 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 302541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 302543 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 302546 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 302550 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 302557 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 302560 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 302564 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302569 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 302572 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 302575 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 302578 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302583 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302588 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 302593 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 302596 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 302600 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302605 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 302608 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 302611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 302613 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 302616 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302620 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302625 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 302632 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302637 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302642 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 302645 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 302649 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302654 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 302657 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 302660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 302662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 302665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302674 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 302681 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302686 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 302694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 302696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302699 */   GIR_RootConstrainSelectedInstOperands,
     /* 302700 */   // GIR_Coverage, 6278,
     /* 302700 */   GIR_EraseRootFromParent_Done,
     /* 302701 */ // Label 6127: @302701
     /* 302701 */ GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(302934), // Rule ID 6279 //
     /* 302706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 302709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302716 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302720 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 302724 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 302727 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 302734 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 302738 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302740 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 302747 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 302747 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 302750 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 302754 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 302764 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 302769 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 302774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 302776 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 302779 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 302783 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302788 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 302790 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 302793 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 302797 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302802 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 302805 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 302808 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 302811 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302816 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302821 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 302826 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 302829 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 302833 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302838 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 302841 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 302844 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 302846 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 302849 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302853 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302858 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 302865 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302870 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302875 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 302878 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 302882 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302887 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 302890 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 302893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 302895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 302898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 302902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302907 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 302914 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302919 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 302927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 302929 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302932 */   GIR_RootConstrainSelectedInstOperands,
     /* 302933 */   // GIR_Coverage, 6279,
     /* 302933 */   GIR_EraseRootFromParent_Done,
     /* 302934 */ // Label 6128: @302934
     /* 302934 */ GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(303118), // Rule ID 6282 //
     /* 302939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 302942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 302945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 302949 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302953 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 302957 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 302960 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 302967 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 302971 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302973 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 302980 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 302980 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 302983 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 302987 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302992 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 302997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 303002 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 303007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 303009 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 303012 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 303016 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 303023 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 303026 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 303030 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303035 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 303038 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 303041 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 303044 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303049 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303054 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 303059 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 303062 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 303066 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303071 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 303074 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 303077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 303079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 303082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 303086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303091 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 303098 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303103 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 303111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303116 */   GIR_RootConstrainSelectedInstOperands,
     /* 303117 */   // GIR_Coverage, 6282,
     /* 303117 */   GIR_EraseRootFromParent_Done,
     /* 303118 */ // Label 6129: @303118
     /* 303118 */ GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(303302), // Rule ID 6283 //
     /* 303123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 303126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303133 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303137 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 303141 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 303144 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 303151 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 303155 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303157 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 303164 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 303164 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 303167 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 303171 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 303181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 303186 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 303191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 303193 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 303196 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 303200 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 303207 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 303210 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 303214 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303219 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 303222 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 303225 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 303228 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303233 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303238 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 303243 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 303246 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 303250 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303255 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 303258 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 303261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 303263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 303266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 303270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303275 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 303282 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303287 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 303295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303300 */   GIR_RootConstrainSelectedInstOperands,
     /* 303301 */   // GIR_Coverage, 6283,
     /* 303301 */   GIR_EraseRootFromParent_Done,
     /* 303302 */ // Label 6130: @303302
     /* 303302 */ GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(303382), // Rule ID 5255 //
     /* 303307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 303310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303317 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303321 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 303325 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303329 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303333 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303338 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 303342 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303344 */   // (sint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 303344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 303347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 303351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303356 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 303362 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303367 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 303375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303380 */   GIR_RootConstrainSelectedInstOperands,
     /* 303381 */   // GIR_Coverage, 5255,
     /* 303381 */   GIR_EraseRootFromParent_Done,
     /* 303382 */ // Label 6131: @303382
     /* 303382 */ GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(303439), // Rule ID 5238 //
     /* 303387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 303390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303397 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303401 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 303405 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 303409 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303411 */   // (sint_to_fp:{ *:[f32] } (fp_to_sint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (SCVTFv1i32:{ *:[f32] } (FCVTZSv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 303411 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 303414 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i32),
     /* 303418 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303423 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 303427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 303429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 303432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303437 */   GIR_RootConstrainSelectedInstOperands,
     /* 303438 */   // GIR_Coverage, 5238,
     /* 303438 */   GIR_EraseRootFromParent_Done,
     /* 303439 */ // Label 6132: @303439
     /* 303439 */ GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(303469), // Rule ID 445 //
     /* 303444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 303447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 303458 */   // (sint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 303458 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWSri),
     /* 303463 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 303467 */   GIR_RootConstrainSelectedInstOperands,
     /* 303468 */   // GIR_Coverage, 445,
     /* 303468 */   GIR_Done,
     /* 303469 */ // Label 6133: @303469
     /* 303469 */ GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(303499), // Rule ID 451 //
     /* 303474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 303477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 303480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 303488 */   // (sint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 303488 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXSri),
     /* 303493 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 303497 */   GIR_RootConstrainSelectedInstOperands,
     /* 303498 */   // GIR_Coverage, 451,
     /* 303498 */   GIR_Done,
     /* 303499 */ // Label 6134: @303499
     /* 303499 */ GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(303529), // Rule ID 497 //
     /* 303504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 303507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 303510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303518 */   // (sint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 303518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 303523 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 303527 */   GIR_RootConstrainSelectedInstOperands,
     /* 303528 */   // GIR_Coverage, 497,
     /* 303528 */   GIR_Done,
     /* 303529 */ // Label 6135: @303529
     /* 303529 */ GIM_Reject,
     /* 303530 */ // Label 6110: @303530
     /* 303530 */ GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(303716), // Rule ID 6288 //
     /* 303535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 303538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303545 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303549 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 303553 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 303556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 303560 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 303564 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303566 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 303573 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 303573 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 303576 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 303580 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303585 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 303590 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 303595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 303600 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 303605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 303607 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 303610 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 303614 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 303621 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 303624 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 303628 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303633 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 303636 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 303639 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 303642 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303647 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303652 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303657 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 303660 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 303664 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303669 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 303672 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 303675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 303677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 303680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 303684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303689 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 303696 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303701 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 303709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303714 */   GIR_RootConstrainSelectedInstOperands,
     /* 303715 */   // GIR_Coverage, 6288,
     /* 303715 */   GIR_EraseRootFromParent_Done,
     /* 303716 */ // Label 6136: @303716
     /* 303716 */ GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(303902), // Rule ID 6289 //
     /* 303721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 303724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303731 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 303739 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 303742 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 303746 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 303750 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303752 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 303759 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 303759 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 303762 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 303766 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 303776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 303781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 303786 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 303791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 303793 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 303796 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 303800 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 303807 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 303810 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 303814 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303819 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 303822 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 303825 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 303828 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303833 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303838 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303843 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 303846 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 303850 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303855 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 303858 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 303861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 303863 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 303866 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 303870 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303875 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 303882 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303887 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 303895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 303897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303900 */   GIR_RootConstrainSelectedInstOperands,
     /* 303901 */   // GIR_Coverage, 6289,
     /* 303901 */   GIR_EraseRootFromParent_Done,
     /* 303902 */ // Label 6137: @303902
     /* 303902 */ GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(304140), // Rule ID 6284 //
     /* 303907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 303910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 303913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303917 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303921 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 303925 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 303928 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 303935 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 303939 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303941 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 303948 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 303948 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 303951 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 303955 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 303965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 303970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 303975 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 303980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 303982 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 303985 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 303989 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 303996 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 303999 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 304003 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304008 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 304011 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 304014 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 304017 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304022 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304027 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 304032 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 304035 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 304039 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304044 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 304047 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 304050 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 304052 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 304055 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304059 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304064 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304071 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304076 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304081 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 304084 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 304088 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304093 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 304096 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 304099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 304101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 304104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304113 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304120 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304125 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 304133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 304135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304138 */   GIR_RootConstrainSelectedInstOperands,
     /* 304139 */   // GIR_Coverage, 6284,
     /* 304139 */   GIR_EraseRootFromParent_Done,
     /* 304140 */ // Label 6138: @304140
     /* 304140 */ GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(304378), // Rule ID 6285 //
     /* 304145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 304148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304155 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304159 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 304163 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 304166 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 304173 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 304177 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304179 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 304186 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 304186 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 304189 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 304193 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 304203 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 304208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 304213 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 304218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 304220 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 304223 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 304227 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 304234 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 304237 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 304241 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304246 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 304249 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 304252 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 304255 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304260 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304265 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 304270 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 304273 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 304277 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304282 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 304285 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 304288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 304290 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 304293 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304297 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304302 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304309 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304314 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304319 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 304322 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 304326 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304331 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 304334 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 304337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 304339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 304342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304351 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304358 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304363 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 304371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 304373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304376 */   GIR_RootConstrainSelectedInstOperands,
     /* 304377 */   // GIR_Coverage, 6285,
     /* 304377 */   GIR_EraseRootFromParent_Done,
     /* 304378 */ // Label 6139: @304378
     /* 304378 */ GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(304559), // Rule ID 6290 //
     /* 304383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 304386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304393 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304397 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 304401 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 304404 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 304408 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 304412 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304414 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 304421 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 304421 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 304424 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 304428 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 304438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 304443 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 304448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 304450 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 304453 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 304457 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 304464 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 304467 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 304471 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304476 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 304479 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 304482 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 304485 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304490 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304495 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304500 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 304503 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 304507 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304512 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 304515 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 304518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 304520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 304523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304532 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304539 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304544 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 304552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 304554 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304557 */   GIR_RootConstrainSelectedInstOperands,
     /* 304558 */   // GIR_Coverage, 6290,
     /* 304558 */   GIR_EraseRootFromParent_Done,
     /* 304559 */ // Label 6140: @304559
     /* 304559 */ GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(304740), // Rule ID 6291 //
     /* 304564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 304567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304574 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304578 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 304582 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 304585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 304589 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 304593 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304595 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 304602 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 304602 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 304605 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 304609 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 304619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 304624 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 304629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 304631 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 304634 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 304638 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 304645 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 304648 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 304652 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304657 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 304660 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 304663 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 304666 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304671 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304676 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304681 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 304684 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 304688 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304693 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 304696 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 304699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 304701 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 304704 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304708 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304713 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304720 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304725 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 304733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 304735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304738 */   GIR_RootConstrainSelectedInstOperands,
     /* 304739 */   // GIR_Coverage, 6291,
     /* 304739 */   GIR_EraseRootFromParent_Done,
     /* 304740 */ // Label 6141: @304740
     /* 304740 */ GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(304973), // Rule ID 6286 //
     /* 304745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 304748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304755 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304759 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 304763 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 304766 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 304773 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 304777 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304779 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 304786 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 304786 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 304789 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 304793 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 304803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 304808 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 304813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 304815 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 304818 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 304822 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 304829 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 304832 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 304836 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304841 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 304844 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 304847 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 304850 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304855 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304860 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 304865 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 304868 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 304872 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304877 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 304880 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 304883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 304885 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 304888 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304892 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304897 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304904 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304909 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304914 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 304917 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 304921 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304926 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 304929 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 304932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 304934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 304937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 304941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304946 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 304953 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304958 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 304966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 304968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304971 */   GIR_RootConstrainSelectedInstOperands,
     /* 304972 */   // GIR_Coverage, 6286,
     /* 304972 */   GIR_EraseRootFromParent_Done,
     /* 304973 */ // Label 6142: @304973
     /* 304973 */ GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(305206), // Rule ID 6287 //
     /* 304978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 304981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 304984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304988 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304992 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 304996 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 304999 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 305006 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 305010 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305012 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 305019 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 305019 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 305022 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 305026 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 305036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 305041 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 305046 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 305048 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 305051 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 305055 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 305062 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 305065 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 305069 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305074 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 305077 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 305080 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 305083 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305088 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305093 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305098 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 305101 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 305105 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305110 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 305113 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 305116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 305118 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 305121 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 305125 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305130 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 305137 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305142 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305147 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 305150 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 305154 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305159 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 305162 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 305165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 305167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 305170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 305174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305179 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 305186 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305191 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 305199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305204 */   GIR_RootConstrainSelectedInstOperands,
     /* 305205 */   // GIR_Coverage, 6287,
     /* 305205 */   GIR_EraseRootFromParent_Done,
     /* 305206 */ // Label 6143: @305206
     /* 305206 */ GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(305286), // Rule ID 5257 //
     /* 305211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 305214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 305217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 305229 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 305233 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305237 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305242 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 305246 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305248 */   // (sint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 305248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 305251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 305255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305260 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 305266 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305271 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 305279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305284 */   GIR_RootConstrainSelectedInstOperands,
     /* 305285 */   // GIR_Coverage, 5257,
     /* 305285 */   GIR_EraseRootFromParent_Done,
     /* 305286 */ // Label 6144: @305286
     /* 305286 */ GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(305343), // Rule ID 5234 //
     /* 305291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 305294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 305297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305301 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305305 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 305309 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 305313 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305315 */   // (sint_to_fp:{ *:[f64] } (fp_to_sint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (SCVTFv1i64:{ *:[f64] } (FCVTZSv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 305315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 305318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 305322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305327 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 305333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 305336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305341 */   GIR_RootConstrainSelectedInstOperands,
     /* 305342 */   // GIR_Coverage, 5234,
     /* 305342 */   GIR_EraseRootFromParent_Done,
     /* 305343 */ // Label 6145: @305343
     /* 305343 */ GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(305373), // Rule ID 447 //
     /* 305348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 305351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 305362 */   // (sint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 305362 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWDri),
     /* 305367 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305371 */   GIR_RootConstrainSelectedInstOperands,
     /* 305372 */   // GIR_Coverage, 447,
     /* 305372 */   GIR_Done,
     /* 305373 */ // Label 6146: @305373
     /* 305373 */ GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(305403), // Rule ID 453 //
     /* 305378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 305381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 305384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 305392 */   // (sint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 305392 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXDri),
     /* 305397 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305401 */   GIR_RootConstrainSelectedInstOperands,
     /* 305402 */   // GIR_Coverage, 453,
     /* 305402 */   GIR_Done,
     /* 305403 */ // Label 6147: @305403
     /* 305403 */ GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(305433), // Rule ID 493 //
     /* 305408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 305411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305422 */   // (sint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 305422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 305427 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305431 */   GIR_RootConstrainSelectedInstOperands,
     /* 305432 */   // GIR_Coverage, 493,
     /* 305432 */   GIR_Done,
     /* 305433 */ // Label 6148: @305433
     /* 305433 */ GIM_Reject,
     /* 305434 */ // Label 6111: @305434
     /* 305434 */ GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(305464), // Rule ID 1010 //
     /* 305439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 305445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305453 */   // (sint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (SCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 305453 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f32),
     /* 305458 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305462 */   GIR_RootConstrainSelectedInstOperands,
     /* 305463 */   // GIR_Coverage, 1010,
     /* 305463 */   GIR_Done,
     /* 305464 */ // Label 6149: @305464
     /* 305464 */ GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(305507), // Rule ID 12812 //
     /* 305469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 305475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305479 */   // (sint_to_fp:{ *:[v2f32] } v2i64:{ *:[v2i64] }:$src)  =>  (FCVTNv2i32:{ *:[v2f32] } (SCVTFv2f64:{ *:[f128] } V128:{ *:[v2i64] }:$src))
     /* 305479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 305486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305491 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 305495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 305497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 305500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305502 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305505 */   GIR_RootConstrainSelectedInstOperands,
     /* 305506 */   // GIR_Coverage, 12812,
     /* 305506 */   GIR_EraseRootFromParent_Done,
     /* 305507 */ // Label 6150: @305507
     /* 305507 */ GIM_Reject,
     /* 305508 */ // Label 6112: @305508
     /* 305508 */ GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(305538), // Rule ID 1014 //
     /* 305513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 305519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305527 */   // (sint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (SCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 305527 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 305532 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305536 */   GIR_RootConstrainSelectedInstOperands,
     /* 305537 */   // GIR_Coverage, 1014,
     /* 305537 */   GIR_Done,
     /* 305538 */ // Label 6151: @305538
     /* 305538 */ GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(305584), // Rule ID 12810 //
     /* 305543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 305549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305553 */   // (sint_to_fp:{ *:[v2f64] } v2i32:{ *:[v2i32] }:$src)  =>  (SCVTFv2f64:{ *:[v2f64] } (SSHLLv2i32_shift:{ *:[f128] } V64:{ *:[v2i32] }:$src, 0:{ *:[i32] }))
     /* 305553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 305560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305565 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 305569 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 305574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 305577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305582 */   GIR_RootConstrainSelectedInstOperands,
     /* 305583 */   // GIR_Coverage, 12810,
     /* 305583 */   GIR_EraseRootFromParent_Done,
     /* 305584 */ // Label 6152: @305584
     /* 305584 */ GIM_Reject,
     /* 305585 */ // Label 6113: @305585
     /* 305585 */ GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(305615), // Rule ID 1006 //
     /* 305590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 305596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 305604 */   // (sint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (SCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 305604 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f16),
     /* 305609 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305613 */   GIR_RootConstrainSelectedInstOperands,
     /* 305614 */   // GIR_Coverage, 1006,
     /* 305614 */   GIR_Done,
     /* 305615 */ // Label 6153: @305615
     /* 305615 */ GIM_Reject,
     /* 305616 */ // Label 6114: @305616
     /* 305616 */ GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(305646), // Rule ID 1012 //
     /* 305621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305635 */   // (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (SCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 305635 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f32),
     /* 305640 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305644 */   GIR_RootConstrainSelectedInstOperands,
     /* 305645 */   // GIR_Coverage, 1012,
     /* 305645 */   GIR_Done,
     /* 305646 */ // Label 6154: @305646
     /* 305646 */ GIM_Reject,
     /* 305647 */ // Label 6115: @305647
     /* 305647 */ GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(305677), // Rule ID 1008 //
     /* 305652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305666 */   // (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (SCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 305666 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8f16),
     /* 305671 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305675 */   GIR_RootConstrainSelectedInstOperands,
     /* 305676 */   // GIR_Coverage, 1008,
     /* 305676 */   GIR_Done,
     /* 305677 */ // Label 6155: @305677
     /* 305677 */ GIM_Reject,
     /* 305678 */ // Label 6116: @305678
     /* 305678 */ GIM_Reject,
     /* 305679 */ // Label 65: @305679
     /* 305679 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6164*/ GIMT_Encode4(309453),
     /* 305690 */ /*GILLT_s16*//*Label 6156*/ GIMT_Encode4(305730),
     /* 305694 */ /*GILLT_s32*//*Label 6157*/ GIMT_Encode4(306015),
     /* 305698 */ /*GILLT_s64*//*Label 6158*/ GIMT_Encode4(307343), GIMT_Encode4(0),
     /* 305706 */ /*GILLT_v2s32*//*Label 6159*/ GIMT_Encode4(309209),
     /* 305710 */ /*GILLT_v2s64*//*Label 6160*/ GIMT_Encode4(309283),
     /* 305714 */ /*GILLT_v4s16*//*Label 6161*/ GIMT_Encode4(309360),
     /* 305718 */ /*GILLT_v4s32*//*Label 6162*/ GIMT_Encode4(309391), GIMT_Encode4(0),
     /* 305726 */ /*GILLT_v8s16*//*Label 6163*/ GIMT_Encode4(309422),
     /* 305730 */ // Label 6156: @305730
     /* 305730 */ GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(305837), // Rule ID 5260 //
     /* 305735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 305738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305745 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305749 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 305753 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305757 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 305761 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305765 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 305769 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305773 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 305777 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305782 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 305786 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 305797 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305799 */   // (uint_to_fp:{ *:[f16] } (and:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), 65535:{ *:[i32] }))  =>  (UCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 305799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 305802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 305806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305811 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 305817 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305822 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 305830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305835 */   GIR_RootConstrainSelectedInstOperands,
     /* 305836 */   // GIR_Coverage, 5260,
     /* 305836 */   GIR_EraseRootFromParent_Done,
     /* 305837 */ // Label 6165: @305837
     /* 305837 */ GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(305894), // Rule ID 5254 //
     /* 305842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 305845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305852 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305856 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 305860 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 305864 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305866 */   // (uint_to_fp:{ *:[f16] } (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (UCVTFv1i16:{ *:[f16] } (FCVTZUv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 305866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 305869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1f16),
     /* 305873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305878 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 305884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 305887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 305889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305892 */   GIR_RootConstrainSelectedInstOperands,
     /* 305893 */   // GIR_Coverage, 5254,
     /* 305893 */   GIR_EraseRootFromParent_Done,
     /* 305894 */ // Label 6166: @305894
     /* 305894 */ GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(305924), // Rule ID 467 //
     /* 305899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 305902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 305913 */   // (uint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 305913 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWHri),
     /* 305918 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305922 */   GIR_RootConstrainSelectedInstOperands,
     /* 305923 */   // GIR_Coverage, 467,
     /* 305923 */   GIR_Done,
     /* 305924 */ // Label 6167: @305924
     /* 305924 */ GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(305954), // Rule ID 473 //
     /* 305929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 305932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 305935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 305943 */   // (uint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 305943 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXHri),
     /* 305948 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305952 */   GIR_RootConstrainSelectedInstOperands,
     /* 305953 */   // GIR_Coverage, 473,
     /* 305953 */   GIR_Done,
     /* 305954 */ // Label 6168: @305954
     /* 305954 */ GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(305984), // Rule ID 499 //
     /* 305959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 305962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 305965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305973 */   // (uint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 305973 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 305978 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 305982 */   GIR_RootConstrainSelectedInstOperands,
     /* 305983 */   // GIR_Coverage, 499,
     /* 305983 */   GIR_Done,
     /* 305984 */ // Label 6169: @305984
     /* 305984 */ GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(306014), // Rule ID 503 //
     /* 305989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 305992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 305995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 305999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306003 */   // (uint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 306003 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 306008 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306012 */   GIR_RootConstrainSelectedInstOperands,
     /* 306013 */   // GIR_Coverage, 503,
     /* 306013 */   GIR_Done,
     /* 306014 */ // Label 6170: @306014
     /* 306014 */ GIM_Reject,
     /* 306015 */ // Label 6157: @306015
     /* 306015 */ GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(306155), // Rule ID 5261 //
     /* 306020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306030 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306034 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306038 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306041 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 306048 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306052 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306054 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 306061 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 306061 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 306064 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 306068 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 306083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 306088 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306095 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306098 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306102 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306121 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306124 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306127 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 306130 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306135 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306140 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 306145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306153 */   GIR_RootConstrainSelectedInstOperands,
     /* 306154 */   // GIR_Coverage, 5261,
     /* 306154 */   GIR_EraseRootFromParent_Done,
     /* 306155 */ // Label 6171: @306155
     /* 306155 */ GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(306295), // Rule ID 5262 //
     /* 306160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306170 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306174 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306178 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306181 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 306188 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306192 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306194 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 306201 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 306201 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 306204 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 306208 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 306223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 306228 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306235 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306238 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306242 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306261 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306264 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306267 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 306270 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306275 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306280 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 306285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306293 */   GIR_RootConstrainSelectedInstOperands,
     /* 306294 */   // GIR_Coverage, 5262,
     /* 306294 */   GIR_EraseRootFromParent_Done,
     /* 306295 */ // Label 6172: @306295
     /* 306295 */ GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(306435), // Rule ID 5265 //
     /* 306300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306310 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306314 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306318 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306321 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 306328 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306332 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306334 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 306341 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 306341 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 306344 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 306348 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306358 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 306363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 306368 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306375 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306378 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306382 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306387 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306401 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306404 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306407 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306410 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306415 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306420 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306430 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306433 */   GIR_RootConstrainSelectedInstOperands,
     /* 306434 */   // GIR_Coverage, 5265,
     /* 306434 */   GIR_EraseRootFromParent_Done,
     /* 306435 */ // Label 6173: @306435
     /* 306435 */ GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(306575), // Rule ID 5266 //
     /* 306440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306450 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306454 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306458 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306461 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 306468 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306472 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306474 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 306481 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 306481 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 306484 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 306488 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 306503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 306508 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306515 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306518 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306522 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306541 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306544 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306547 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306550 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306555 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306560 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306573 */   GIR_RootConstrainSelectedInstOperands,
     /* 306574 */   // GIR_Coverage, 5266,
     /* 306574 */   GIR_EraseRootFromParent_Done,
     /* 306575 */ // Label 6174: @306575
     /* 306575 */ GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(306710), // Rule ID 5263 //
     /* 306580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306590 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306594 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306598 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306601 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 306608 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306612 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306614 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 306621 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 306621 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 306624 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 306628 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 306643 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306650 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306653 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306657 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306662 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306664 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306667 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306671 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306676 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306679 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306682 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 306685 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306690 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306695 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 306700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306708 */   GIR_RootConstrainSelectedInstOperands,
     /* 306709 */   // GIR_Coverage, 5263,
     /* 306709 */   GIR_EraseRootFromParent_Done,
     /* 306710 */ // Label 6175: @306710
     /* 306710 */ GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(306845), // Rule ID 5264 //
     /* 306715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306725 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306729 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306733 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306736 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 306743 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306747 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306749 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 306756 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 306756 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 306759 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 306763 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 306778 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306785 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306788 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306792 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306811 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306814 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306817 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 306820 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306825 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306830 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 306835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306840 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306843 */   GIR_RootConstrainSelectedInstOperands,
     /* 306844 */   // GIR_Coverage, 5264,
     /* 306844 */   GIR_EraseRootFromParent_Done,
     /* 306845 */ // Label 6176: @306845
     /* 306845 */ GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(306980), // Rule ID 5267 //
     /* 306850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306860 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306864 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 306868 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 306871 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 306878 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 306882 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306884 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 306891 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 306891 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 306894 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 306898 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 306908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 306913 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 306918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306920 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 306923 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306927 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 306937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306946 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306949 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306952 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306955 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306960 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306965 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 306973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306978 */   GIR_RootConstrainSelectedInstOperands,
     /* 306979 */   // GIR_Coverage, 5267,
     /* 306979 */   GIR_EraseRootFromParent_Done,
     /* 306980 */ // Label 6177: @306980
     /* 306980 */ GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(307115), // Rule ID 5268 //
     /* 306985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 306988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 307003 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307006 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 307013 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307017 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307019 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 307026 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 307026 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 307029 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 307033 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307038 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 307048 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307055 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 307058 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307062 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 307072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307081 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307084 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307087 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 307090 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307095 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307100 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 307108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307113 */   GIR_RootConstrainSelectedInstOperands,
     /* 307114 */   // GIR_Coverage, 5268,
     /* 307114 */   GIR_EraseRootFromParent_Done,
     /* 307115 */ // Label 6178: @307115
     /* 307115 */ GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(307195), // Rule ID 5256 //
     /* 307120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307130 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307134 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307138 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307142 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 307146 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307151 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 307155 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307157 */   // (uint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 307157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 307160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307169 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 307175 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307180 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 307188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307190 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307193 */   GIR_RootConstrainSelectedInstOperands,
     /* 307194 */   // GIR_Coverage, 5256,
     /* 307194 */   GIR_EraseRootFromParent_Done,
     /* 307195 */ // Label 6179: @307195
     /* 307195 */ GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(307252), // Rule ID 5246 //
     /* 307200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307210 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307214 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 307218 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 307222 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307224 */   // (uint_to_fp:{ *:[f32] } (fp_to_uint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (UCVTFv1i32:{ *:[f32] } (FCVTZUv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 307224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 307227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i32),
     /* 307231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307236 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 307242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 307245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307250 */   GIR_RootConstrainSelectedInstOperands,
     /* 307251 */   // GIR_Coverage, 5246,
     /* 307251 */   GIR_EraseRootFromParent_Done,
     /* 307252 */ // Label 6180: @307252
     /* 307252 */ GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(307282), // Rule ID 469 //
     /* 307257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 307271 */   // (uint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 307271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWSri),
     /* 307276 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307280 */   GIR_RootConstrainSelectedInstOperands,
     /* 307281 */   // GIR_Coverage, 469,
     /* 307281 */   GIR_Done,
     /* 307282 */ // Label 6181: @307282
     /* 307282 */ GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(307312), // Rule ID 475 //
     /* 307287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 307293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 307301 */   // (uint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 307301 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXSri),
     /* 307306 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307310 */   GIR_RootConstrainSelectedInstOperands,
     /* 307311 */   // GIR_Coverage, 475,
     /* 307311 */   GIR_Done,
     /* 307312 */ // Label 6182: @307312
     /* 307312 */ GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(307342), // Rule ID 505 //
     /* 307317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 307320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 307323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307331 */   // (uint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 307331 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 307336 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307340 */   GIR_RootConstrainSelectedInstOperands,
     /* 307341 */   // GIR_Coverage, 505,
     /* 307341 */   GIR_Done,
     /* 307342 */ // Label 6183: @307342
     /* 307342 */ GIM_Reject,
     /* 307343 */ // Label 6158: @307343
     /* 307343 */ GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(307480), // Rule ID 5277 //
     /* 307348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307358 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307362 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 307366 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307369 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 307373 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307377 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307379 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 307386 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 307386 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 307389 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 307393 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 307408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 307413 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307420 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 307423 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307427 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 307437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307446 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307449 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307452 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 307455 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307460 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307465 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 307473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307478 */   GIR_RootConstrainSelectedInstOperands,
     /* 307479 */   // GIR_Coverage, 5277,
     /* 307479 */   GIR_EraseRootFromParent_Done,
     /* 307480 */ // Label 6184: @307480
     /* 307480 */ GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(307617), // Rule ID 5278 //
     /* 307485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307495 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307499 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 307503 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307506 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 307510 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307514 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307516 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 307523 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 307523 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 307526 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 307530 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307535 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307540 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 307545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 307550 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307557 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 307560 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307564 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 307574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307583 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307586 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307589 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 307592 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307597 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307602 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 307610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307615 */   GIR_RootConstrainSelectedInstOperands,
     /* 307616 */   // GIR_Coverage, 5278,
     /* 307616 */   GIR_EraseRootFromParent_Done,
     /* 307617 */ // Label 6185: @307617
     /* 307617 */ GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(307757), // Rule ID 5269 //
     /* 307622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307632 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307636 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 307640 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307643 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 307650 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307654 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307656 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 307663 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 307663 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 307666 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 307670 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 307685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 307690 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307697 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 307700 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307704 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 307714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307723 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307726 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307729 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 307732 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307737 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307742 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 307747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 307750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307755 */   GIR_RootConstrainSelectedInstOperands,
     /* 307756 */   // GIR_Coverage, 5269,
     /* 307756 */   GIR_EraseRootFromParent_Done,
     /* 307757 */ // Label 6186: @307757
     /* 307757 */ GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(307897), // Rule ID 5270 //
     /* 307762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 307780 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307783 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 307790 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307794 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307796 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 307803 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 307803 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 307806 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 307810 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307820 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 307825 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 307830 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307837 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 307840 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307844 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 307854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307863 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307866 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307869 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 307872 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307877 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307882 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 307887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 307890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307895 */   GIR_RootConstrainSelectedInstOperands,
     /* 307896 */   // GIR_Coverage, 5270,
     /* 307896 */   GIR_EraseRootFromParent_Done,
     /* 307897 */ // Label 6187: @307897
     /* 307897 */ GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(308037), // Rule ID 5273 //
     /* 307902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 307905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307912 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307916 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 307920 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 307923 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 307930 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 307934 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307936 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 307943 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 307943 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 307946 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 307950 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307955 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 307960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 307965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 307970 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 307975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307977 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 307980 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307984 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307989 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 307994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308003 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308006 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308009 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 308012 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308017 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308022 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308035 */   GIR_RootConstrainSelectedInstOperands,
     /* 308036 */   // GIR_Coverage, 5273,
     /* 308036 */   GIR_EraseRootFromParent_Done,
     /* 308037 */ // Label 6188: @308037
     /* 308037 */ GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(308177), // Rule ID 5274 //
     /* 308042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308052 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308056 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 308060 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308063 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 308070 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308074 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308076 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 308083 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 308083 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 308086 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 308090 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 308105 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 308110 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308117 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308120 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308124 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308143 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308146 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308149 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 308152 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308157 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308162 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308175 */   GIR_RootConstrainSelectedInstOperands,
     /* 308176 */   // GIR_Coverage, 5274,
     /* 308176 */   GIR_EraseRootFromParent_Done,
     /* 308177 */ // Label 6189: @308177
     /* 308177 */ GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(308309), // Rule ID 5279 //
     /* 308182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308192 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308196 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 308200 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308203 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 308207 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308211 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308213 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 308220 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }))
     /* 308220 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 308223 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 308227 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308242 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308249 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308252 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308256 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308275 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308278 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308281 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 308284 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308289 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308294 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308307 */   GIR_RootConstrainSelectedInstOperands,
     /* 308308 */   // GIR_Coverage, 5279,
     /* 308308 */   GIR_EraseRootFromParent_Done,
     /* 308309 */ // Label 6190: @308309
     /* 308309 */ GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(308441), // Rule ID 5280 //
     /* 308314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308324 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308328 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 308332 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308335 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 308339 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308343 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308345 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 308352 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }))
     /* 308352 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 308355 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 308359 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308374 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308381 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308384 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308388 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308407 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308410 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308413 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 308416 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308421 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308426 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308439 */   GIR_RootConstrainSelectedInstOperands,
     /* 308440 */   // GIR_Coverage, 5280,
     /* 308440 */   GIR_EraseRootFromParent_Done,
     /* 308441 */ // Label 6191: @308441
     /* 308441 */ GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(308576), // Rule ID 5271 //
     /* 308446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308456 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308460 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 308464 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308467 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 308474 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308478 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308480 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 308487 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 308487 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 308490 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 308494 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308509 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308516 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308519 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308523 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308542 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308545 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308548 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 308551 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308556 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308561 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 308566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308574 */   GIR_RootConstrainSelectedInstOperands,
     /* 308575 */   // GIR_Coverage, 5271,
     /* 308575 */   GIR_EraseRootFromParent_Done,
     /* 308576 */ // Label 6192: @308576
     /* 308576 */ GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(308711), // Rule ID 5272 //
     /* 308581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308591 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308595 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 308599 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308602 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 308609 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308613 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308615 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 308622 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 308622 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 308625 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 308629 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308644 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308651 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308654 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308658 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308677 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308680 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308683 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 308686 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308691 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308696 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 308701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308709 */   GIR_RootConstrainSelectedInstOperands,
     /* 308710 */   // GIR_Coverage, 5272,
     /* 308710 */   GIR_EraseRootFromParent_Done,
     /* 308711 */ // Label 6193: @308711
     /* 308711 */ GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(308846), // Rule ID 5275 //
     /* 308716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308726 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308730 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 308734 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308737 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 308744 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308748 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308750 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 308757 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 308757 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 308760 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 308764 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308779 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308784 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308786 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308789 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308793 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308798 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308812 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308815 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308818 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 308821 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308826 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308831 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308844 */   GIR_RootConstrainSelectedInstOperands,
     /* 308845 */   // GIR_Coverage, 5275,
     /* 308845 */   GIR_EraseRootFromParent_Done,
     /* 308846 */ // Label 6194: @308846
     /* 308846 */ GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(308981), // Rule ID 5276 //
     /* 308851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308861 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 308869 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 308872 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 308879 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 308883 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308885 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 308892 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 308892 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 308895 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 308899 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308904 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 308909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 308914 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 308919 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 308921 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308924 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308928 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308947 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308950 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 308953 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 308956 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308961 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308966 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 308974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308979 */   GIR_RootConstrainSelectedInstOperands,
     /* 308980 */   // GIR_Coverage, 5276,
     /* 308980 */   GIR_EraseRootFromParent_Done,
     /* 308981 */ // Label 6195: @308981
     /* 308981 */ GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(309061), // Rule ID 5258 //
     /* 308986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 308989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 308992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308996 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309000 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309004 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309008 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309012 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309017 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 309021 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309023 */   // (uint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 309023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309035 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 309041 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309046 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 309054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309059 */   GIR_RootConstrainSelectedInstOperands,
     /* 309060 */   // GIR_Coverage, 5258,
     /* 309060 */   GIR_EraseRootFromParent_Done,
     /* 309061 */ // Label 6196: @309061
     /* 309061 */ GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(309118), // Rule ID 5242 //
     /* 309066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 309069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309076 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309080 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 309084 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309088 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309090 */   // (uint_to_fp:{ *:[f64] } (fp_to_uint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (UCVTFv1i64:{ *:[f64] } (FCVTZUv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 309090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 309097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309102 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 309111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309116 */   GIR_RootConstrainSelectedInstOperands,
     /* 309117 */   // GIR_Coverage, 5242,
     /* 309117 */   GIR_EraseRootFromParent_Done,
     /* 309118 */ // Label 6197: @309118
     /* 309118 */ GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(309148), // Rule ID 471 //
     /* 309123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309137 */   // (uint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 309137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWDri),
     /* 309142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309146 */   GIR_RootConstrainSelectedInstOperands,
     /* 309147 */   // GIR_Coverage, 471,
     /* 309147 */   GIR_Done,
     /* 309148 */ // Label 6198: @309148
     /* 309148 */ GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(309178), // Rule ID 477 //
     /* 309153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309167 */   // (uint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 309167 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXDri),
     /* 309172 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309176 */   GIR_RootConstrainSelectedInstOperands,
     /* 309177 */   // GIR_Coverage, 477,
     /* 309177 */   GIR_Done,
     /* 309178 */ // Label 6199: @309178
     /* 309178 */ GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(309208), // Rule ID 501 //
     /* 309183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 309186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309197 */   // (uint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 309197 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 309202 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309206 */   GIR_RootConstrainSelectedInstOperands,
     /* 309207 */   // GIR_Coverage, 501,
     /* 309207 */   GIR_Done,
     /* 309208 */ // Label 6200: @309208
     /* 309208 */ GIM_Reject,
     /* 309209 */ // Label 6159: @309209
     /* 309209 */ GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(309239), // Rule ID 1071 //
     /* 309214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309228 */   // (uint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (UCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 309228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f32),
     /* 309233 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309237 */   GIR_RootConstrainSelectedInstOperands,
     /* 309238 */   // GIR_Coverage, 1071,
     /* 309238 */   GIR_Done,
     /* 309239 */ // Label 6201: @309239
     /* 309239 */ GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(309282), // Rule ID 12813 //
     /* 309244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309254 */   // (uint_to_fp:{ *:[v2f32] } v2i64:{ *:[v2i64] }:$src)  =>  (FCVTNv2i32:{ *:[v2f32] } (UCVTFv2f64:{ *:[f128] } V128:{ *:[v2i64] }:$src))
     /* 309254 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 309257 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 309261 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309266 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 309270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 309275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309280 */   GIR_RootConstrainSelectedInstOperands,
     /* 309281 */   // GIR_Coverage, 12813,
     /* 309281 */   GIR_EraseRootFromParent_Done,
     /* 309282 */ // Label 6202: @309282
     /* 309282 */ GIM_Reject,
     /* 309283 */ // Label 6160: @309283
     /* 309283 */ GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(309313), // Rule ID 1075 //
     /* 309288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309302 */   // (uint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (UCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 309302 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 309307 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309311 */   GIR_RootConstrainSelectedInstOperands,
     /* 309312 */   // GIR_Coverage, 1075,
     /* 309312 */   GIR_Done,
     /* 309313 */ // Label 6203: @309313
     /* 309313 */ GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(309359), // Rule ID 12811 //
     /* 309318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309328 */   // (uint_to_fp:{ *:[v2f64] } v2i32:{ *:[v2i32] }:$src)  =>  (UCVTFv2f64:{ *:[v2f64] } (USHLLv2i32_shift:{ *:[f128] } V64:{ *:[v2i32] }:$src, 0:{ *:[i32] }))
     /* 309328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 309331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 309335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309340 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 309344 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 309347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 309352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309357 */   GIR_RootConstrainSelectedInstOperands,
     /* 309358 */   // GIR_Coverage, 12811,
     /* 309358 */   GIR_EraseRootFromParent_Done,
     /* 309359 */ // Label 6204: @309359
     /* 309359 */ GIM_Reject,
     /* 309360 */ // Label 6161: @309360
     /* 309360 */ GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(309390), // Rule ID 1067 //
     /* 309365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 309368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 309371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309379 */   // (uint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (UCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 309379 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f16),
     /* 309384 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309388 */   GIR_RootConstrainSelectedInstOperands,
     /* 309389 */   // GIR_Coverage, 1067,
     /* 309389 */   GIR_Done,
     /* 309390 */ // Label 6205: @309390
     /* 309390 */ GIM_Reject,
     /* 309391 */ // Label 6162: @309391
     /* 309391 */ GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(309421), // Rule ID 1073 //
     /* 309396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309410 */   // (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (UCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 309410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f32),
     /* 309415 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309419 */   GIR_RootConstrainSelectedInstOperands,
     /* 309420 */   // GIR_Coverage, 1073,
     /* 309420 */   GIR_Done,
     /* 309421 */ // Label 6206: @309421
     /* 309421 */ GIM_Reject,
     /* 309422 */ // Label 6163: @309422
     /* 309422 */ GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(309452), // Rule ID 1069 //
     /* 309427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 309430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 309433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309441 */   // (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (UCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 309441 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8f16),
     /* 309446 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309450 */   GIR_RootConstrainSelectedInstOperands,
     /* 309451 */   // GIR_Coverage, 1069,
     /* 309451 */   GIR_Done,
     /* 309452 */ // Label 6207: @309452
     /* 309452 */ GIM_Reject,
     /* 309453 */ // Label 6164: @309453
     /* 309453 */ GIM_Reject,
     /* 309454 */ // Label 66: @309454
     /* 309454 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6215*/ GIMT_Encode4(309773),
     /* 309465 */ /*GILLT_s32*//*Label 6208*/ GIMT_Encode4(309501),
     /* 309469 */ /*GILLT_s64*//*Label 6209*/ GIMT_Encode4(309574), GIMT_Encode4(0),
     /* 309477 */ /*GILLT_v2s32*//*Label 6210*/ GIMT_Encode4(309647),
     /* 309481 */ /*GILLT_v2s64*//*Label 6211*/ GIMT_Encode4(309671),
     /* 309485 */ /*GILLT_v4s16*//*Label 6212*/ GIMT_Encode4(309695),
     /* 309489 */ /*GILLT_v4s32*//*Label 6213*/ GIMT_Encode4(309722), GIMT_Encode4(0),
     /* 309497 */ /*GILLT_v8s16*//*Label 6214*/ GIMT_Encode4(309746),
     /* 309501 */ // Label 6208: @309501
     /* 309501 */ GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(309527), // Rule ID 4523 //
     /* 309506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309516 */   // (fp_to_sint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 309516 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 309521 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309525 */   GIR_RootConstrainSelectedInstOperands,
     /* 309526 */   // GIR_Coverage, 4523,
     /* 309526 */   GIR_Done,
     /* 309527 */ // Label 6216: @309527
     /* 309527 */ GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(309550), // Rule ID 4525 //
     /* 309532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309539 */   // (fp_to_sint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 309539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 309544 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309548 */   GIR_RootConstrainSelectedInstOperands,
     /* 309549 */   // GIR_Coverage, 4525,
     /* 309549 */   GIR_Done,
     /* 309550 */ // Label 6217: @309550
     /* 309550 */ GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(309573), // Rule ID 4527 //
     /* 309555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309562 */   // (fp_to_sint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 309562 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 309567 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309571 */   GIR_RootConstrainSelectedInstOperands,
     /* 309572 */   // GIR_Coverage, 4527,
     /* 309572 */   GIR_Done,
     /* 309573 */ // Label 6218: @309573
     /* 309573 */ GIM_Reject,
     /* 309574 */ // Label 6209: @309574
     /* 309574 */ GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(309600), // Rule ID 4524 //
     /* 309579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309589 */   // (fp_to_sint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 309589 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 309594 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309598 */   GIR_RootConstrainSelectedInstOperands,
     /* 309599 */   // GIR_Coverage, 4524,
     /* 309599 */   GIR_Done,
     /* 309600 */ // Label 6219: @309600
     /* 309600 */ GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(309623), // Rule ID 4526 //
     /* 309605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309612 */   // (fp_to_sint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 309612 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 309617 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309621 */   GIR_RootConstrainSelectedInstOperands,
     /* 309622 */   // GIR_Coverage, 4526,
     /* 309622 */   GIR_Done,
     /* 309623 */ // Label 6220: @309623
     /* 309623 */ GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(309646), // Rule ID 4528 //
     /* 309628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309635 */   // (fp_to_sint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 309635 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 309640 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309644 */   GIR_RootConstrainSelectedInstOperands,
     /* 309645 */   // GIR_Coverage, 4528,
     /* 309645 */   GIR_Done,
     /* 309646 */ // Label 6221: @309646
     /* 309646 */ GIM_Reject,
     /* 309647 */ // Label 6210: @309647
     /* 309647 */ GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(309670), // Rule ID 4864 //
     /* 309652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309659 */   // (fp_to_sint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 309659 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 309664 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309668 */   GIR_RootConstrainSelectedInstOperands,
     /* 309669 */   // GIR_Coverage, 4864,
     /* 309669 */   GIR_Done,
     /* 309670 */ // Label 6222: @309670
     /* 309670 */ GIM_Reject,
     /* 309671 */ // Label 6211: @309671
     /* 309671 */ GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(309694), // Rule ID 4866 //
     /* 309676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309683 */   // (fp_to_sint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 309683 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 309688 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309692 */   GIR_RootConstrainSelectedInstOperands,
     /* 309693 */   // GIR_Coverage, 4866,
     /* 309693 */   GIR_Done,
     /* 309694 */ // Label 6223: @309694
     /* 309694 */ GIM_Reject,
     /* 309695 */ // Label 6212: @309695
     /* 309695 */ GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(309721), // Rule ID 4859 //
     /* 309700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 309706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309710 */   // (fp_to_sint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 309710 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 309715 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309719 */   GIR_RootConstrainSelectedInstOperands,
     /* 309720 */   // GIR_Coverage, 4859,
     /* 309720 */   GIR_Done,
     /* 309721 */ // Label 6224: @309721
     /* 309721 */ GIM_Reject,
     /* 309722 */ // Label 6213: @309722
     /* 309722 */ GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(309745), // Rule ID 4865 //
     /* 309727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309734 */   // (fp_to_sint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 309734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 309739 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309743 */   GIR_RootConstrainSelectedInstOperands,
     /* 309744 */   // GIR_Coverage, 4865,
     /* 309744 */   GIR_Done,
     /* 309745 */ // Label 6225: @309745
     /* 309745 */ GIM_Reject,
     /* 309746 */ // Label 6214: @309746
     /* 309746 */ GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(309772), // Rule ID 4860 //
     /* 309751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 309757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309761 */   // (fp_to_sint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 309761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 309766 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309770 */   GIR_RootConstrainSelectedInstOperands,
     /* 309771 */   // GIR_Coverage, 4860,
     /* 309771 */   GIR_Done,
     /* 309772 */ // Label 6226: @309772
     /* 309772 */ GIM_Reject,
     /* 309773 */ // Label 6215: @309773
     /* 309773 */ GIM_Reject,
     /* 309774 */ // Label 67: @309774
     /* 309774 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6234*/ GIMT_Encode4(310093),
     /* 309785 */ /*GILLT_s32*//*Label 6227*/ GIMT_Encode4(309821),
     /* 309789 */ /*GILLT_s64*//*Label 6228*/ GIMT_Encode4(309894), GIMT_Encode4(0),
     /* 309797 */ /*GILLT_v2s32*//*Label 6229*/ GIMT_Encode4(309967),
     /* 309801 */ /*GILLT_v2s64*//*Label 6230*/ GIMT_Encode4(309991),
     /* 309805 */ /*GILLT_v4s16*//*Label 6231*/ GIMT_Encode4(310015),
     /* 309809 */ /*GILLT_v4s32*//*Label 6232*/ GIMT_Encode4(310042), GIMT_Encode4(0),
     /* 309817 */ /*GILLT_v8s16*//*Label 6233*/ GIMT_Encode4(310066),
     /* 309821 */ // Label 6227: @309821
     /* 309821 */ GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(309847), // Rule ID 4547 //
     /* 309826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309836 */   // (fp_to_uint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 309836 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 309841 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309845 */   GIR_RootConstrainSelectedInstOperands,
     /* 309846 */   // GIR_Coverage, 4547,
     /* 309846 */   GIR_Done,
     /* 309847 */ // Label 6235: @309847
     /* 309847 */ GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(309870), // Rule ID 4549 //
     /* 309852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309859 */   // (fp_to_uint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 309859 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 309864 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309868 */   GIR_RootConstrainSelectedInstOperands,
     /* 309869 */   // GIR_Coverage, 4549,
     /* 309869 */   GIR_Done,
     /* 309870 */ // Label 6236: @309870
     /* 309870 */ GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(309893), // Rule ID 4551 //
     /* 309875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 309882 */   // (fp_to_uint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 309882 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 309887 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309891 */   GIR_RootConstrainSelectedInstOperands,
     /* 309892 */   // GIR_Coverage, 4551,
     /* 309892 */   GIR_Done,
     /* 309893 */ // Label 6237: @309893
     /* 309893 */ GIM_Reject,
     /* 309894 */ // Label 6228: @309894
     /* 309894 */ GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(309920), // Rule ID 4548 //
     /* 309899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 309902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 309905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309909 */   // (fp_to_uint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 309909 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 309914 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309918 */   GIR_RootConstrainSelectedInstOperands,
     /* 309919 */   // GIR_Coverage, 4548,
     /* 309919 */   GIR_Done,
     /* 309920 */ // Label 6238: @309920
     /* 309920 */ GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(309943), // Rule ID 4550 //
     /* 309925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 309928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309932 */   // (fp_to_uint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 309932 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 309937 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309941 */   GIR_RootConstrainSelectedInstOperands,
     /* 309942 */   // GIR_Coverage, 4550,
     /* 309942 */   GIR_Done,
     /* 309943 */ // Label 6239: @309943
     /* 309943 */ GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(309966), // Rule ID 4552 //
     /* 309948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 309955 */   // (fp_to_uint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 309955 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 309960 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309964 */   GIR_RootConstrainSelectedInstOperands,
     /* 309965 */   // GIR_Coverage, 4552,
     /* 309965 */   GIR_Done,
     /* 309966 */ // Label 6240: @309966
     /* 309966 */ GIM_Reject,
     /* 309967 */ // Label 6229: @309967
     /* 309967 */ GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(309990), // Rule ID 4874 //
     /* 309972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309979 */   // (fp_to_uint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 309979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 309984 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 309988 */   GIR_RootConstrainSelectedInstOperands,
     /* 309989 */   // GIR_Coverage, 4874,
     /* 309989 */   GIR_Done,
     /* 309990 */ // Label 6241: @309990
     /* 309990 */ GIM_Reject,
     /* 309991 */ // Label 6230: @309991
     /* 309991 */ GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(310014), // Rule ID 4876 //
     /* 309996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310003 */   // (fp_to_uint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 310003 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 310008 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310012 */   GIR_RootConstrainSelectedInstOperands,
     /* 310013 */   // GIR_Coverage, 4876,
     /* 310013 */   GIR_Done,
     /* 310014 */ // Label 6242: @310014
     /* 310014 */ GIM_Reject,
     /* 310015 */ // Label 6231: @310015
     /* 310015 */ GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(310041), // Rule ID 4869 //
     /* 310020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 310023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 310026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310030 */   // (fp_to_uint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 310030 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 310035 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310039 */   GIR_RootConstrainSelectedInstOperands,
     /* 310040 */   // GIR_Coverage, 4869,
     /* 310040 */   GIR_Done,
     /* 310041 */ // Label 6243: @310041
     /* 310041 */ GIM_Reject,
     /* 310042 */ // Label 6232: @310042
     /* 310042 */ GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(310065), // Rule ID 4875 //
     /* 310047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 310050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310054 */   // (fp_to_uint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 310054 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 310059 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310063 */   GIR_RootConstrainSelectedInstOperands,
     /* 310064 */   // GIR_Coverage, 4875,
     /* 310064 */   GIR_Done,
     /* 310065 */ // Label 6244: @310065
     /* 310065 */ GIM_Reject,
     /* 310066 */ // Label 6233: @310066
     /* 310066 */ GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(310092), // Rule ID 4870 //
     /* 310071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 310074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 310077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310081 */   // (fp_to_uint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 310081 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 310086 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310090 */   GIR_RootConstrainSelectedInstOperands,
     /* 310091 */   // GIR_Coverage, 4870,
     /* 310091 */   GIR_Done,
     /* 310092 */ // Label 6245: @310092
     /* 310092 */ GIM_Reject,
     /* 310093 */ // Label 6234: @310093
     /* 310093 */ GIM_Reject,
     /* 310094 */ // Label 68: @310094
     /* 310094 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6254*/ GIMT_Encode4(310950),
     /* 310105 */ /*GILLT_s16*//*Label 6246*/ GIMT_Encode4(310145),
     /* 310109 */ /*GILLT_s32*//*Label 6247*/ GIMT_Encode4(310364),
     /* 310113 */ /*GILLT_s64*//*Label 6248*/ GIMT_Encode4(310438), GIMT_Encode4(0),
     /* 310121 */ /*GILLT_v2s32*//*Label 6249*/ GIMT_Encode4(310512),
     /* 310125 */ /*GILLT_v2s64*//*Label 6250*/ GIMT_Encode4(310586),
     /* 310129 */ /*GILLT_v4s16*//*Label 6251*/ GIMT_Encode4(310660),
     /* 310133 */ /*GILLT_v4s32*//*Label 6252*/ GIMT_Encode4(310768), GIMT_Encode4(0),
     /* 310141 */ /*GILLT_v8s16*//*Label 6253*/ GIMT_Encode4(310842),
     /* 310145 */ // Label 6246: @310145
     /* 310145 */ GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(310363),
     /* 310150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310157 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(310198), // Rule ID 5145 //
     /* 310162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 310165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 310177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 310181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310183 */     // (fabs:{ *:[f16] } (fsub:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm))  =>  (FABD16:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm)
     /* 310183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 310186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310196 */     GIR_RootConstrainSelectedInstOperands,
     /* 310197 */     // GIR_Coverage, 5145,
     /* 310197 */     GIR_EraseRootFromParent_Done,
     /* 310198 */   // Label 6256: @310198
     /* 310198 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(310217), // Rule ID 521 //
     /* 310203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 310206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310210 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FABSHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 310210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSHr),
     /* 310215 */     GIR_RootConstrainSelectedInstOperands,
     /* 310216 */     // GIR_Coverage, 521,
     /* 310216 */     GIR_Done,
     /* 310217 */   // Label 6257: @310217
     /* 310217 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(310362), // Rule ID 6270 //
     /* 310222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310226 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (ANDWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32767:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 310226 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 310229 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 310233 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 310240 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 310243 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 310247 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310252 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 310255 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 310259 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 310262 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310267 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310272 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310277 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 310280 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310284 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310289 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 310292 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310297 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 310300 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /* 310304 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310309 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 310312 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 310317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 310319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 310322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310331 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 310334 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 310344 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 310351 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310356 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310361 */     // GIR_Coverage, 6270,
     /* 310361 */     GIR_EraseRootFromParent_Done,
     /* 310362 */   // Label 6258: @310362
     /* 310362 */   GIM_Reject,
     /* 310363 */ // Label 6255: @310363
     /* 310363 */ GIM_Reject,
     /* 310364 */ // Label 6247: @310364
     /* 310364 */ GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(310437),
     /* 310369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310376 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(310417), // Rule ID 5146 //
     /* 310381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 310400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310402 */     // (fabs:{ *:[f32] } (fsub:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm))  =>  (FABD32:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm)
     /* 310402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 310405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310415 */     GIR_RootConstrainSelectedInstOperands,
     /* 310416 */     // GIR_Coverage, 5146,
     /* 310416 */     GIR_EraseRootFromParent_Done,
     /* 310417 */   // Label 6260: @310417
     /* 310417 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(310436), // Rule ID 522 //
     /* 310422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310429 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FABSSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 310429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSSr),
     /* 310434 */     GIR_RootConstrainSelectedInstOperands,
     /* 310435 */     // GIR_Coverage, 522,
     /* 310435 */     GIR_Done,
     /* 310436 */   // Label 6261: @310436
     /* 310436 */   GIM_Reject,
     /* 310437 */ // Label 6259: @310437
     /* 310437 */ GIM_Reject,
     /* 310438 */ // Label 6248: @310438
     /* 310438 */ GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(310511),
     /* 310443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310450 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(310491), // Rule ID 5147 //
     /* 310455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310476 */     // (fabs:{ *:[f64] } (fsub:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm))  =>  (FABD64:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm)
     /* 310476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 310479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310489 */     GIR_RootConstrainSelectedInstOperands,
     /* 310490 */     // GIR_Coverage, 5147,
     /* 310490 */     GIR_EraseRootFromParent_Done,
     /* 310491 */   // Label 6263: @310491
     /* 310491 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(310510), // Rule ID 523 //
     /* 310496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310503 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FABSDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 310503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSDr),
     /* 310508 */     GIR_RootConstrainSelectedInstOperands,
     /* 310509 */     // GIR_Coverage, 523,
     /* 310509 */     GIR_Done,
     /* 310510 */   // Label 6264: @310510
     /* 310510 */   GIM_Reject,
     /* 310511 */ // Label 6262: @310511
     /* 310511 */ GIM_Reject,
     /* 310512 */ // Label 6249: @310512
     /* 310512 */ GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(310585),
     /* 310517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 310520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310524 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(310565), // Rule ID 4938 //
     /* 310529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 310544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 310548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310550 */     // (fabs:{ *:[v2f32] } (fsub:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm))  =>  (FABDv2f32:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm)
     /* 310550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 310553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310563 */     GIR_RootConstrainSelectedInstOperands,
     /* 310564 */     // GIR_Coverage, 4938,
     /* 310564 */     GIR_EraseRootFromParent_Done,
     /* 310565 */   // Label 6266: @310565
     /* 310565 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(310584), // Rule ID 761 //
     /* 310570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310577 */     // (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FABSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 310577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f32),
     /* 310582 */     GIR_RootConstrainSelectedInstOperands,
     /* 310583 */     // GIR_Coverage, 761,
     /* 310583 */     GIR_Done,
     /* 310584 */   // Label 6267: @310584
     /* 310584 */   GIM_Reject,
     /* 310585 */ // Label 6265: @310585
     /* 310585 */ GIM_Reject,
     /* 310586 */ // Label 6250: @310586
     /* 310586 */ GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(310659),
     /* 310591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310598 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(310639), // Rule ID 4940 //
     /* 310603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 310622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310624 */     // (fabs:{ *:[v2f64] } (fsub:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm))  =>  (FABDv2f64:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm)
     /* 310624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 310627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310637 */     GIR_RootConstrainSelectedInstOperands,
     /* 310638 */     // GIR_Coverage, 4940,
     /* 310638 */     GIR_EraseRootFromParent_Done,
     /* 310639 */   // Label 6269: @310639
     /* 310639 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(310658), // Rule ID 763 //
     /* 310644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310651 */     // (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FABSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 310651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f64),
     /* 310656 */     GIR_RootConstrainSelectedInstOperands,
     /* 310657 */     // GIR_Coverage, 763,
     /* 310657 */     GIR_Done,
     /* 310658 */   // Label 6270: @310658
     /* 310658 */   GIM_Reject,
     /* 310659 */ // Label 6268: @310659
     /* 310659 */ GIM_Reject,
     /* 310660 */ // Label 6251: @310660
     /* 310660 */ GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(310767),
     /* 310665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 310668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310672 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(310713), // Rule ID 4941 //
     /* 310677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 310680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 310692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 310696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310698 */     // (fabs:{ *:[v4f16] } (fsub:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm))  =>  (FABDv4f16:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm)
     /* 310698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 310701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310711 */     GIR_RootConstrainSelectedInstOperands,
     /* 310712 */     // GIR_Coverage, 4941,
     /* 310712 */     GIR_EraseRootFromParent_Done,
     /* 310713 */   // Label 6272: @310713
     /* 310713 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(310732), // Rule ID 759 //
     /* 310718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 310721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310725 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FABSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 310725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f16),
     /* 310730 */     GIR_RootConstrainSelectedInstOperands,
     /* 310731 */     // GIR_Coverage, 759,
     /* 310731 */     GIR_Done,
     /* 310732 */   // Label 6273: @310732
     /* 310732 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(310766), // Rule ID 6272 //
     /* 310737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310744 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (BICv4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 310744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv4i16),
     /* 310747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 310749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 310751 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 310761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 310764 */     GIR_RootConstrainSelectedInstOperands,
     /* 310765 */     // GIR_Coverage, 6272,
     /* 310765 */     GIR_EraseRootFromParent_Done,
     /* 310766 */   // Label 6274: @310766
     /* 310766 */   GIM_Reject,
     /* 310767 */ // Label 6271: @310767
     /* 310767 */ GIM_Reject,
     /* 310768 */ // Label 6252: @310768
     /* 310768 */ GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(310841),
     /* 310773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 310776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310780 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(310821), // Rule ID 4939 //
     /* 310785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 310800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 310804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310806 */     // (fabs:{ *:[v4f32] } (fsub:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm))  =>  (FABDv4f32:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm)
     /* 310806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 310809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310819 */     GIR_RootConstrainSelectedInstOperands,
     /* 310820 */     // GIR_Coverage, 4939,
     /* 310820 */     GIR_EraseRootFromParent_Done,
     /* 310821 */   // Label 6276: @310821
     /* 310821 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(310840), // Rule ID 762 //
     /* 310826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310833 */     // (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FABSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 310833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f32),
     /* 310838 */     GIR_RootConstrainSelectedInstOperands,
     /* 310839 */     // GIR_Coverage, 762,
     /* 310839 */     GIR_Done,
     /* 310840 */   // Label 6277: @310840
     /* 310840 */   GIM_Reject,
     /* 310841 */ // Label 6275: @310841
     /* 310841 */ GIM_Reject,
     /* 310842 */ // Label 6253: @310842
     /* 310842 */ GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(310949),
     /* 310847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 310850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310854 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(310895), // Rule ID 4942 //
     /* 310859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 310862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 310870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 310874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 310878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310880 */     // (fabs:{ *:[v8f16] } (fsub:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm))  =>  (FABDv8f16:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm)
     /* 310880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 310883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310893 */     GIR_RootConstrainSelectedInstOperands,
     /* 310894 */     // GIR_Coverage, 4942,
     /* 310894 */     GIR_EraseRootFromParent_Done,
     /* 310895 */   // Label 6279: @310895
     /* 310895 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(310914), // Rule ID 760 //
     /* 310900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 310903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310907 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FABSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 310907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv8f16),
     /* 310912 */     GIR_RootConstrainSelectedInstOperands,
     /* 310913 */     // GIR_Coverage, 760,
     /* 310913 */     GIR_Done,
     /* 310914 */   // Label 6280: @310914
     /* 310914 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(310948), // Rule ID 6273 //
     /* 310919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310926 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (BICv8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 310926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i16),
     /* 310929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 310931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 310933 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 310943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 310946 */     GIR_RootConstrainSelectedInstOperands,
     /* 310947 */     // GIR_Coverage, 6273,
     /* 310947 */     GIR_EraseRootFromParent_Done,
     /* 310948 */   // Label 6281: @310948
     /* 310948 */   GIM_Reject,
     /* 310949 */ // Label 6278: @310949
     /* 310949 */ GIM_Reject,
     /* 310950 */ // Label 6254: @310950
     /* 310950 */ GIM_Reject,
     /* 310951 */ // Label 69: @310951
     /* 310951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6290*/ GIMT_Encode4(311232),
     /* 310962 */ /*GILLT_s16*//*Label 6282*/ GIMT_Encode4(311002),
     /* 310966 */ /*GILLT_s32*//*Label 6283*/ GIMT_Encode4(311029),
     /* 310970 */ /*GILLT_s64*//*Label 6284*/ GIMT_Encode4(311053), GIMT_Encode4(0),
     /* 310978 */ /*GILLT_v2s32*//*Label 6285*/ GIMT_Encode4(311077),
     /* 310982 */ /*GILLT_v2s64*//*Label 6286*/ GIMT_Encode4(311108),
     /* 310986 */ /*GILLT_v4s16*//*Label 6287*/ GIMT_Encode4(311139),
     /* 310990 */ /*GILLT_v4s32*//*Label 6288*/ GIMT_Encode4(311170), GIMT_Encode4(0),
     /* 310998 */ /*GILLT_v8s16*//*Label 6289*/ GIMT_Encode4(311201),
     /* 311002 */ // Label 6282: @311002
     /* 311002 */ GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(311028), // Rule ID 4763 //
     /* 311007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 311010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311017 */   // (fcanonicalize:{ *:[f16] } f16:{ *:[f16] }:$a)  =>  (FMINNMHrr:{ *:[f16] } f16:{ *:[f16] }:$a, f16:{ *:[f16] }:$a)
     /* 311017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 311020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311022 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311024 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311026 */   GIR_RootConstrainSelectedInstOperands,
     /* 311027 */   // GIR_Coverage, 4763,
     /* 311027 */   GIR_EraseRootFromParent_Done,
     /* 311028 */ // Label 6291: @311028
     /* 311028 */ GIM_Reject,
     /* 311029 */ // Label 6283: @311029
     /* 311029 */ GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(311052), // Rule ID 4760 //
     /* 311034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311041 */   // (fcanonicalize:{ *:[f32] } f32:{ *:[f32] }:$a)  =>  (FMINNMSrr:{ *:[f32] } f32:{ *:[f32] }:$a, f32:{ *:[f32] }:$a)
     /* 311041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 311044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311046 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311048 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311050 */   GIR_RootConstrainSelectedInstOperands,
     /* 311051 */   // GIR_Coverage, 4760,
     /* 311051 */   GIR_EraseRootFromParent_Done,
     /* 311052 */ // Label 6292: @311052
     /* 311052 */ GIM_Reject,
     /* 311053 */ // Label 6284: @311053
     /* 311053 */ GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(311076), // Rule ID 4757 //
     /* 311058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311065 */   // (fcanonicalize:{ *:[f64] } f64:{ *:[f64] }:$a)  =>  (FMINNMDrr:{ *:[f64] } f64:{ *:[f64] }:$a, f64:{ *:[f64] }:$a)
     /* 311065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 311068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311070 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311072 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 311074 */   GIR_RootConstrainSelectedInstOperands,
     /* 311075 */   // GIR_Coverage, 4757,
     /* 311075 */   GIR_EraseRootFromParent_Done,
     /* 311076 */ // Label 6293: @311076
     /* 311076 */ GIM_Reject,
     /* 311077 */ // Label 6285: @311077
     /* 311077 */ GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(311107), // Rule ID 4951 //
     /* 311082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311096 */   // (fcanonicalize:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rn)
     /* 311096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 311099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311101 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311103 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311105 */   GIR_RootConstrainSelectedInstOperands,
     /* 311106 */   // GIR_Coverage, 4951,
     /* 311106 */   GIR_EraseRootFromParent_Done,
     /* 311107 */ // Label 6294: @311107
     /* 311107 */ GIM_Reject,
     /* 311108 */ // Label 6286: @311108
     /* 311108 */ GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(311138), // Rule ID 4945 //
     /* 311113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311127 */   // (fcanonicalize:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn)
     /* 311127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 311130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311132 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311134 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311136 */   GIR_RootConstrainSelectedInstOperands,
     /* 311137 */   // GIR_Coverage, 4945,
     /* 311137 */   GIR_EraseRootFromParent_Done,
     /* 311138 */ // Label 6295: @311138
     /* 311138 */ GIM_Reject,
     /* 311139 */ // Label 6287: @311139
     /* 311139 */ GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(311169), // Rule ID 4957 //
     /* 311144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311158 */   // (fcanonicalize:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn)
     /* 311158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 311161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311163 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311165 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311167 */   GIR_RootConstrainSelectedInstOperands,
     /* 311168 */   // GIR_Coverage, 4957,
     /* 311168 */   GIR_EraseRootFromParent_Done,
     /* 311169 */ // Label 6296: @311169
     /* 311169 */ GIM_Reject,
     /* 311170 */ // Label 6288: @311170
     /* 311170 */ GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(311200), // Rule ID 4948 //
     /* 311175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311189 */   // (fcanonicalize:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn)
     /* 311189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 311192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311194 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311196 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311198 */   GIR_RootConstrainSelectedInstOperands,
     /* 311199 */   // GIR_Coverage, 4948,
     /* 311199 */   GIR_EraseRootFromParent_Done,
     /* 311200 */ // Label 6297: @311200
     /* 311200 */ GIM_Reject,
     /* 311201 */ // Label 6289: @311201
     /* 311201 */ GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(311231), // Rule ID 4954 //
     /* 311206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311220 */   // (fcanonicalize:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn)
     /* 311220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 311223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311225 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311227 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311229 */   GIR_RootConstrainSelectedInstOperands,
     /* 311230 */   // GIR_Coverage, 4954,
     /* 311230 */   GIR_EraseRootFromParent_Done,
     /* 311231 */ // Label 6298: @311231
     /* 311231 */ GIM_Reject,
     /* 311232 */ // Label 6290: @311232
     /* 311232 */ GIM_Reject,
     /* 311233 */ // Label 70: @311233
     /* 311233 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6307*/ GIMT_Encode4(311610),
     /* 311244 */ /*GILLT_s16*//*Label 6299*/ GIMT_Encode4(311284),
     /* 311248 */ /*GILLT_s32*//*Label 6300*/ GIMT_Encode4(311322),
     /* 311252 */ /*GILLT_s64*//*Label 6301*/ GIMT_Encode4(311360), GIMT_Encode4(0),
     /* 311260 */ /*GILLT_v2s32*//*Label 6302*/ GIMT_Encode4(311420),
     /* 311264 */ /*GILLT_v2s64*//*Label 6303*/ GIMT_Encode4(311458),
     /* 311268 */ /*GILLT_v4s16*//*Label 6304*/ GIMT_Encode4(311496),
     /* 311272 */ /*GILLT_v4s32*//*Label 6305*/ GIMT_Encode4(311534), GIMT_Encode4(0),
     /* 311280 */ /*GILLT_v8s16*//*Label 6306*/ GIMT_Encode4(311572),
     /* 311284 */ // Label 6299: @311284
     /* 311284 */ GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(311321), // Rule ID 608 //
     /* 311289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 311292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 311298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311310 */   // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 311310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 311315 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311319 */   GIR_RootConstrainSelectedInstOperands,
     /* 311320 */   // GIR_Coverage, 608,
     /* 311320 */   GIR_Done,
     /* 311321 */ // Label 6308: @311321
     /* 311321 */ GIM_Reject,
     /* 311322 */ // Label 6300: @311322
     /* 311322 */ GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(311359), // Rule ID 610 //
     /* 311327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 311336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311348 */   // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 311348 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 311353 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311357 */   GIR_RootConstrainSelectedInstOperands,
     /* 311358 */   // GIR_Coverage, 610,
     /* 311358 */   GIR_Done,
     /* 311359 */ // Label 6309: @311359
     /* 311359 */ GIM_Reject,
     /* 311360 */ // Label 6301: @311360
     /* 311360 */ GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(311419),
     /* 311365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 311371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311383 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(311402), // Rule ID 612 //
     /* 311388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311391 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 311391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 311396 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311400 */     GIR_RootConstrainSelectedInstOperands,
     /* 311401 */     // GIR_Coverage, 612,
     /* 311401 */     GIR_Done,
     /* 311402 */   // Label 6311: @311402
     /* 311402 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(311418), // Rule ID 4754 //
     /* 311407 */     // (fminnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 311407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 311412 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311416 */     GIR_RootConstrainSelectedInstOperands,
     /* 311417 */     // GIR_Coverage, 4754,
     /* 311417 */     GIR_Done,
     /* 311418 */   // Label 6312: @311418
     /* 311418 */   GIM_Reject,
     /* 311419 */ // Label 6310: @311419
     /* 311419 */ GIM_Reject,
     /* 311420 */ // Label 6302: @311420
     /* 311420 */ GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(311457), // Rule ID 1266 //
     /* 311425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 311434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311446 */   // (fminnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 311446 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 311451 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311455 */   GIR_RootConstrainSelectedInstOperands,
     /* 311456 */   // GIR_Coverage, 1266,
     /* 311456 */   GIR_Done,
     /* 311457 */ // Label 6313: @311457
     /* 311457 */ GIM_Reject,
     /* 311458 */ // Label 6303: @311458
     /* 311458 */ GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(311495), // Rule ID 1270 //
     /* 311463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 311472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311484 */   // (fminnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 311484 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 311489 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311493 */   GIR_RootConstrainSelectedInstOperands,
     /* 311494 */   // GIR_Coverage, 1270,
     /* 311494 */   GIR_Done,
     /* 311495 */ // Label 6314: @311495
     /* 311495 */ GIM_Reject,
     /* 311496 */ // Label 6304: @311496
     /* 311496 */ GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(311533), // Rule ID 1262 //
     /* 311501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 311510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311522 */   // (fminnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 311522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 311527 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311531 */   GIR_RootConstrainSelectedInstOperands,
     /* 311532 */   // GIR_Coverage, 1262,
     /* 311532 */   GIR_Done,
     /* 311533 */ // Label 6315: @311533
     /* 311533 */ GIM_Reject,
     /* 311534 */ // Label 6305: @311534
     /* 311534 */ GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(311571), // Rule ID 1268 //
     /* 311539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 311548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311560 */   // (fminnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 311560 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 311565 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311569 */   GIR_RootConstrainSelectedInstOperands,
     /* 311570 */   // GIR_Coverage, 1268,
     /* 311570 */   GIR_Done,
     /* 311571 */ // Label 6316: @311571
     /* 311571 */ GIM_Reject,
     /* 311572 */ // Label 6306: @311572
     /* 311572 */ GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(311609), // Rule ID 1264 //
     /* 311577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 311586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311598 */   // (fminnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 311598 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 311603 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311607 */   GIR_RootConstrainSelectedInstOperands,
     /* 311608 */   // GIR_Coverage, 1264,
     /* 311608 */   GIR_Done,
     /* 311609 */ // Label 6317: @311609
     /* 311609 */ GIM_Reject,
     /* 311610 */ // Label 6307: @311610
     /* 311610 */ GIM_Reject,
     /* 311611 */ // Label 71: @311611
     /* 311611 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6326*/ GIMT_Encode4(311988),
     /* 311622 */ /*GILLT_s16*//*Label 6318*/ GIMT_Encode4(311662),
     /* 311626 */ /*GILLT_s32*//*Label 6319*/ GIMT_Encode4(311700),
     /* 311630 */ /*GILLT_s64*//*Label 6320*/ GIMT_Encode4(311738), GIMT_Encode4(0),
     /* 311638 */ /*GILLT_v2s32*//*Label 6321*/ GIMT_Encode4(311798),
     /* 311642 */ /*GILLT_v2s64*//*Label 6322*/ GIMT_Encode4(311836),
     /* 311646 */ /*GILLT_v4s16*//*Label 6323*/ GIMT_Encode4(311874),
     /* 311650 */ /*GILLT_v4s32*//*Label 6324*/ GIMT_Encode4(311912), GIMT_Encode4(0),
     /* 311658 */ /*GILLT_v8s16*//*Label 6325*/ GIMT_Encode4(311950),
     /* 311662 */ // Label 6318: @311662
     /* 311662 */ GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(311699), // Rule ID 596 //
     /* 311667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 311670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 311676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311688 */   // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 311688 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 311693 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311697 */   GIR_RootConstrainSelectedInstOperands,
     /* 311698 */   // GIR_Coverage, 596,
     /* 311698 */   GIR_Done,
     /* 311699 */ // Label 6327: @311699
     /* 311699 */ GIM_Reject,
     /* 311700 */ // Label 6319: @311700
     /* 311700 */ GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(311737), // Rule ID 598 //
     /* 311705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 311714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311726 */   // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 311726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 311731 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311735 */   GIR_RootConstrainSelectedInstOperands,
     /* 311736 */   // GIR_Coverage, 598,
     /* 311736 */   GIR_Done,
     /* 311737 */ // Label 6328: @311737
     /* 311737 */ GIM_Reject,
     /* 311738 */ // Label 6320: @311738
     /* 311738 */ GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(311797),
     /* 311743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 311749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311761 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(311780), // Rule ID 600 //
     /* 311766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311769 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 311769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 311774 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311778 */     GIR_RootConstrainSelectedInstOperands,
     /* 311779 */     // GIR_Coverage, 600,
     /* 311779 */     GIR_Done,
     /* 311780 */   // Label 6330: @311780
     /* 311780 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(311796), // Rule ID 4753 //
     /* 311785 */     // (fmaxnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 311785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 311790 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311794 */     GIR_RootConstrainSelectedInstOperands,
     /* 311795 */     // GIR_Coverage, 4753,
     /* 311795 */     GIR_Done,
     /* 311796 */   // Label 6331: @311796
     /* 311796 */   GIM_Reject,
     /* 311797 */ // Label 6329: @311797
     /* 311797 */ GIM_Reject,
     /* 311798 */ // Label 6321: @311798
     /* 311798 */ GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(311835), // Rule ID 1236 //
     /* 311803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 311812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311824 */   // (fmaxnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 311824 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 311829 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311833 */   GIR_RootConstrainSelectedInstOperands,
     /* 311834 */   // GIR_Coverage, 1236,
     /* 311834 */   GIR_Done,
     /* 311835 */ // Label 6332: @311835
     /* 311835 */ GIM_Reject,
     /* 311836 */ // Label 6322: @311836
     /* 311836 */ GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(311873), // Rule ID 1240 //
     /* 311841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 311850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311862 */   // (fmaxnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 311862 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 311867 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311871 */   GIR_RootConstrainSelectedInstOperands,
     /* 311872 */   // GIR_Coverage, 1240,
     /* 311872 */   GIR_Done,
     /* 311873 */ // Label 6333: @311873
     /* 311873 */ GIM_Reject,
     /* 311874 */ // Label 6323: @311874
     /* 311874 */ GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(311911), // Rule ID 1232 //
     /* 311879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 311888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311900 */   // (fmaxnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 311900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 311905 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311909 */   GIR_RootConstrainSelectedInstOperands,
     /* 311910 */   // GIR_Coverage, 1232,
     /* 311910 */   GIR_Done,
     /* 311911 */ // Label 6334: @311911
     /* 311911 */ GIM_Reject,
     /* 311912 */ // Label 6324: @311912
     /* 311912 */ GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(311949), // Rule ID 1238 //
     /* 311917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 311926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311938 */   // (fmaxnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 311938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 311943 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311947 */   GIR_RootConstrainSelectedInstOperands,
     /* 311948 */   // GIR_Coverage, 1238,
     /* 311948 */   GIR_Done,
     /* 311949 */ // Label 6335: @311949
     /* 311949 */ GIM_Reject,
     /* 311950 */ // Label 6325: @311950
     /* 311950 */ GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(311987), // Rule ID 1234 //
     /* 311955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 311964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311976 */   // (fmaxnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 311976 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 311981 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311985 */   GIR_RootConstrainSelectedInstOperands,
     /* 311986 */   // GIR_Coverage, 1234,
     /* 311986 */   GIR_Done,
     /* 311987 */ // Label 6336: @311987
     /* 311987 */ GIM_Reject,
     /* 311988 */ // Label 6326: @311988
     /* 311988 */ GIM_Reject,
     /* 311989 */ // Label 72: @311989
     /* 311989 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6345*/ GIMT_Encode4(312338),
     /* 312000 */ /*GILLT_s16*//*Label 6337*/ GIMT_Encode4(312040),
     /* 312004 */ /*GILLT_s32*//*Label 6338*/ GIMT_Encode4(312078),
     /* 312008 */ /*GILLT_s64*//*Label 6339*/ GIMT_Encode4(312113), GIMT_Encode4(0),
     /* 312016 */ /*GILLT_v2s32*//*Label 6340*/ GIMT_Encode4(312148),
     /* 312020 */ /*GILLT_v2s64*//*Label 6341*/ GIMT_Encode4(312186),
     /* 312024 */ /*GILLT_v4s16*//*Label 6342*/ GIMT_Encode4(312224),
     /* 312028 */ /*GILLT_v4s32*//*Label 6343*/ GIMT_Encode4(312262), GIMT_Encode4(0),
     /* 312036 */ /*GILLT_v8s16*//*Label 6344*/ GIMT_Encode4(312300),
     /* 312040 */ // Label 6337: @312040
     /* 312040 */ GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(312077), // Rule ID 4761 //
     /* 312045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 312054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312066 */   // (fminnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 312066 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 312071 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312075 */   GIR_RootConstrainSelectedInstOperands,
     /* 312076 */   // GIR_Coverage, 4761,
     /* 312076 */   GIR_Done,
     /* 312077 */ // Label 6346: @312077
     /* 312077 */ GIM_Reject,
     /* 312078 */ // Label 6338: @312078
     /* 312078 */ GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(312112), // Rule ID 4758 //
     /* 312083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 312089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312101 */   // (fminnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 312101 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 312106 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312110 */   GIR_RootConstrainSelectedInstOperands,
     /* 312111 */   // GIR_Coverage, 4758,
     /* 312111 */   GIR_Done,
     /* 312112 */ // Label 6347: @312112
     /* 312112 */ GIM_Reject,
     /* 312113 */ // Label 6339: @312113
     /* 312113 */ GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(312147), // Rule ID 4755 //
     /* 312118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 312124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312136 */   // (fminnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 312136 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 312141 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312145 */   GIR_RootConstrainSelectedInstOperands,
     /* 312146 */   // GIR_Coverage, 4755,
     /* 312146 */   GIR_Done,
     /* 312147 */ // Label 6348: @312147
     /* 312147 */ GIM_Reject,
     /* 312148 */ // Label 6340: @312148
     /* 312148 */ GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(312185), // Rule ID 4949 //
     /* 312153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 312162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312174 */   // (fminnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 312174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 312179 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312183 */   GIR_RootConstrainSelectedInstOperands,
     /* 312184 */   // GIR_Coverage, 4949,
     /* 312184 */   GIR_Done,
     /* 312185 */ // Label 6349: @312185
     /* 312185 */ GIM_Reject,
     /* 312186 */ // Label 6341: @312186
     /* 312186 */ GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(312223), // Rule ID 4943 //
     /* 312191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 312200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312212 */   // (fminnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 312212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 312217 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312221 */   GIR_RootConstrainSelectedInstOperands,
     /* 312222 */   // GIR_Coverage, 4943,
     /* 312222 */   GIR_Done,
     /* 312223 */ // Label 6350: @312223
     /* 312223 */ GIM_Reject,
     /* 312224 */ // Label 6342: @312224
     /* 312224 */ GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(312261), // Rule ID 4955 //
     /* 312229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 312235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 312238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312250 */   // (fminnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 312250 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 312255 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312259 */   GIR_RootConstrainSelectedInstOperands,
     /* 312260 */   // GIR_Coverage, 4955,
     /* 312260 */   GIR_Done,
     /* 312261 */ // Label 6351: @312261
     /* 312261 */ GIM_Reject,
     /* 312262 */ // Label 6343: @312262
     /* 312262 */ GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(312299), // Rule ID 4946 //
     /* 312267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 312273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 312276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312288 */   // (fminnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 312288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 312293 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312297 */   GIR_RootConstrainSelectedInstOperands,
     /* 312298 */   // GIR_Coverage, 4946,
     /* 312298 */   GIR_Done,
     /* 312299 */ // Label 6352: @312299
     /* 312299 */ GIM_Reject,
     /* 312300 */ // Label 6344: @312300
     /* 312300 */ GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(312337), // Rule ID 4952 //
     /* 312305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 312314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312326 */   // (fminnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 312326 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 312331 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312335 */   GIR_RootConstrainSelectedInstOperands,
     /* 312336 */   // GIR_Coverage, 4952,
     /* 312336 */   GIR_Done,
     /* 312337 */ // Label 6353: @312337
     /* 312337 */ GIM_Reject,
     /* 312338 */ // Label 6345: @312338
     /* 312338 */ GIM_Reject,
     /* 312339 */ // Label 73: @312339
     /* 312339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6362*/ GIMT_Encode4(312688),
     /* 312350 */ /*GILLT_s16*//*Label 6354*/ GIMT_Encode4(312390),
     /* 312354 */ /*GILLT_s32*//*Label 6355*/ GIMT_Encode4(312428),
     /* 312358 */ /*GILLT_s64*//*Label 6356*/ GIMT_Encode4(312463), GIMT_Encode4(0),
     /* 312366 */ /*GILLT_v2s32*//*Label 6357*/ GIMT_Encode4(312498),
     /* 312370 */ /*GILLT_v2s64*//*Label 6358*/ GIMT_Encode4(312536),
     /* 312374 */ /*GILLT_v4s16*//*Label 6359*/ GIMT_Encode4(312574),
     /* 312378 */ /*GILLT_v4s32*//*Label 6360*/ GIMT_Encode4(312612), GIMT_Encode4(0),
     /* 312386 */ /*GILLT_v8s16*//*Label 6361*/ GIMT_Encode4(312650),
     /* 312390 */ // Label 6354: @312390
     /* 312390 */ GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(312427), // Rule ID 4762 //
     /* 312395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 312404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312416 */   // (fmaxnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 312416 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 312421 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312425 */   GIR_RootConstrainSelectedInstOperands,
     /* 312426 */   // GIR_Coverage, 4762,
     /* 312426 */   GIR_Done,
     /* 312427 */ // Label 6363: @312427
     /* 312427 */ GIM_Reject,
     /* 312428 */ // Label 6355: @312428
     /* 312428 */ GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(312462), // Rule ID 4759 //
     /* 312433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 312439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312451 */   // (fmaxnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 312451 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 312456 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312460 */   GIR_RootConstrainSelectedInstOperands,
     /* 312461 */   // GIR_Coverage, 4759,
     /* 312461 */   GIR_Done,
     /* 312462 */ // Label 6364: @312462
     /* 312462 */ GIM_Reject,
     /* 312463 */ // Label 6356: @312463
     /* 312463 */ GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(312497), // Rule ID 4756 //
     /* 312468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 312474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312486 */   // (fmaxnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 312486 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 312491 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312495 */   GIR_RootConstrainSelectedInstOperands,
     /* 312496 */   // GIR_Coverage, 4756,
     /* 312496 */   GIR_Done,
     /* 312497 */ // Label 6365: @312497
     /* 312497 */ GIM_Reject,
     /* 312498 */ // Label 6357: @312498
     /* 312498 */ GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(312535), // Rule ID 4950 //
     /* 312503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 312512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312524 */   // (fmaxnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 312524 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 312529 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312533 */   GIR_RootConstrainSelectedInstOperands,
     /* 312534 */   // GIR_Coverage, 4950,
     /* 312534 */   GIR_Done,
     /* 312535 */ // Label 6366: @312535
     /* 312535 */ GIM_Reject,
     /* 312536 */ // Label 6358: @312536
     /* 312536 */ GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(312573), // Rule ID 4944 //
     /* 312541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 312550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312562 */   // (fmaxnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 312562 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 312567 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312571 */   GIR_RootConstrainSelectedInstOperands,
     /* 312572 */   // GIR_Coverage, 4944,
     /* 312572 */   GIR_Done,
     /* 312573 */ // Label 6367: @312573
     /* 312573 */ GIM_Reject,
     /* 312574 */ // Label 6359: @312574
     /* 312574 */ GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(312611), // Rule ID 4956 //
     /* 312579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 312585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 312588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312600 */   // (fmaxnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 312600 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 312605 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312609 */   GIR_RootConstrainSelectedInstOperands,
     /* 312610 */   // GIR_Coverage, 4956,
     /* 312610 */   GIR_Done,
     /* 312611 */ // Label 6368: @312611
     /* 312611 */ GIM_Reject,
     /* 312612 */ // Label 6360: @312612
     /* 312612 */ GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(312649), // Rule ID 4947 //
     /* 312617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 312623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 312626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312638 */   // (fmaxnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 312638 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 312643 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312647 */   GIR_RootConstrainSelectedInstOperands,
     /* 312648 */   // GIR_Coverage, 4947,
     /* 312648 */   GIR_Done,
     /* 312649 */ // Label 6369: @312649
     /* 312649 */ GIM_Reject,
     /* 312650 */ // Label 6361: @312650
     /* 312650 */ GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(312687), // Rule ID 4953 //
     /* 312655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 312664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312676 */   // (fmaxnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 312676 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 312681 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312685 */   GIR_RootConstrainSelectedInstOperands,
     /* 312686 */   // GIR_Coverage, 4953,
     /* 312686 */   GIR_Done,
     /* 312687 */ // Label 6370: @312687
     /* 312687 */ GIM_Reject,
     /* 312688 */ // Label 6362: @312688
     /* 312688 */ GIM_Reject,
     /* 312689 */ // Label 74: @312689
     /* 312689 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6379*/ GIMT_Encode4(313391),
     /* 312700 */ /*GILLT_s16*//*Label 6371*/ GIMT_Encode4(312740),
     /* 312704 */ /*GILLT_s32*//*Label 6372*/ GIMT_Encode4(312778),
     /* 312708 */ /*GILLT_s64*//*Label 6373*/ GIMT_Encode4(312816), GIMT_Encode4(0),
     /* 312716 */ /*GILLT_v2s32*//*Label 6374*/ GIMT_Encode4(312876),
     /* 312720 */ /*GILLT_v2s64*//*Label 6375*/ GIMT_Encode4(312979),
     /* 312724 */ /*GILLT_v4s16*//*Label 6376*/ GIMT_Encode4(313082),
     /* 312728 */ /*GILLT_v4s32*//*Label 6377*/ GIMT_Encode4(313185), GIMT_Encode4(0),
     /* 312736 */ /*GILLT_v8s16*//*Label 6378*/ GIMT_Encode4(313288),
     /* 312740 */ // Label 6371: @312740
     /* 312740 */ GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(312777), // Rule ID 614 //
     /* 312745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 312754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312766 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 312766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINHrr),
     /* 312771 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312775 */   GIR_RootConstrainSelectedInstOperands,
     /* 312776 */   // GIR_Coverage, 614,
     /* 312776 */   GIR_Done,
     /* 312777 */ // Label 6380: @312777
     /* 312777 */ GIM_Reject,
     /* 312778 */ // Label 6372: @312778
     /* 312778 */ GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(312815), // Rule ID 616 //
     /* 312783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 312792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312804 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 312804 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINSrr),
     /* 312809 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312813 */   GIR_RootConstrainSelectedInstOperands,
     /* 312814 */   // GIR_Coverage, 616,
     /* 312814 */   GIR_Done,
     /* 312815 */ // Label 6381: @312815
     /* 312815 */ GIM_Reject,
     /* 312816 */ // Label 6373: @312816
     /* 312816 */ GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(312875),
     /* 312821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 312827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312839 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(312858), // Rule ID 618 //
     /* 312844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312847 */     // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 312847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 312852 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312856 */     GIR_RootConstrainSelectedInstOperands,
     /* 312857 */     // GIR_Coverage, 618,
     /* 312857 */     GIR_Done,
     /* 312858 */   // Label 6383: @312858
     /* 312858 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(312874), // Rule ID 4752 //
     /* 312863 */     // (fminimum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 312863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 312868 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312872 */     GIR_RootConstrainSelectedInstOperands,
     /* 312873 */     // GIR_Coverage, 4752,
     /* 312873 */     GIR_Done,
     /* 312874 */   // Label 6384: @312874
     /* 312874 */   GIM_Reject,
     /* 312875 */ // Label 6382: @312875
     /* 312875 */ GIM_Reject,
     /* 312876 */ // Label 6374: @312876
     /* 312876 */ GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(312978),
     /* 312881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 312887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312891 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(312950), // Rule ID 2357 //
     /* 312896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 312899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 312907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 312920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 312924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 312935 */     // (fminimum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 312935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 312938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 312948 */     GIR_RootConstrainSelectedInstOperands,
     /* 312949 */     // GIR_Coverage, 2357,
     /* 312949 */     GIR_EraseRootFromParent_Done,
     /* 312950 */   // Label 6386: @312950
     /* 312950 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(312977), // Rule ID 1281 //
     /* 312955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312966 */     // (fminimum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 312966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f32),
     /* 312971 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312975 */     GIR_RootConstrainSelectedInstOperands,
     /* 312976 */     // GIR_Coverage, 1281,
     /* 312976 */     GIR_Done,
     /* 312977 */   // Label 6387: @312977
     /* 312977 */   GIM_Reject,
     /* 312978 */ // Label 6385: @312978
     /* 312978 */ GIM_Reject,
     /* 312979 */ // Label 6375: @312979
     /* 312979 */ GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(313081),
     /* 312984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 312990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312994 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(313053), // Rule ID 2363 //
     /* 312999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313038 */     // (fminimum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 313038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 313041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313051 */     GIR_RootConstrainSelectedInstOperands,
     /* 313052 */     // GIR_Coverage, 2363,
     /* 313052 */     GIR_EraseRootFromParent_Done,
     /* 313053 */   // Label 6389: @313053
     /* 313053 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(313080), // Rule ID 1285 //
     /* 313058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313069 */     // (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 313069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f64),
     /* 313074 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313078 */     GIR_RootConstrainSelectedInstOperands,
     /* 313079 */     // GIR_Coverage, 1285,
     /* 313079 */     GIR_Done,
     /* 313080 */   // Label 6390: @313080
     /* 313080 */   GIM_Reject,
     /* 313081 */ // Label 6388: @313081
     /* 313081 */ GIM_Reject,
     /* 313082 */ // Label 6376: @313082
     /* 313082 */ GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(313184),
     /* 313087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 313093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313097 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(313156), // Rule ID 2351 //
     /* 313102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313141 */     // (fminimum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 313141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 313144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313154 */     GIR_RootConstrainSelectedInstOperands,
     /* 313155 */     // GIR_Coverage, 2351,
     /* 313155 */     GIR_EraseRootFromParent_Done,
     /* 313156 */   // Label 6392: @313156
     /* 313156 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(313183), // Rule ID 1277 //
     /* 313161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313172 */     // (fminimum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 313172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f16),
     /* 313177 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313181 */     GIR_RootConstrainSelectedInstOperands,
     /* 313182 */     // GIR_Coverage, 1277,
     /* 313182 */     GIR_Done,
     /* 313183 */   // Label 6393: @313183
     /* 313183 */   GIM_Reject,
     /* 313184 */ // Label 6391: @313184
     /* 313184 */ GIM_Reject,
     /* 313185 */ // Label 6377: @313185
     /* 313185 */ GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(313287),
     /* 313190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 313196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313200 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(313259), // Rule ID 2360 //
     /* 313205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313244 */     // (fminimum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 313244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 313247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313257 */     GIR_RootConstrainSelectedInstOperands,
     /* 313258 */     // GIR_Coverage, 2360,
     /* 313258 */     GIR_EraseRootFromParent_Done,
     /* 313259 */   // Label 6395: @313259
     /* 313259 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(313286), // Rule ID 1283 //
     /* 313264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313275 */     // (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 313275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f32),
     /* 313280 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313284 */     GIR_RootConstrainSelectedInstOperands,
     /* 313285 */     // GIR_Coverage, 1283,
     /* 313285 */     GIR_Done,
     /* 313286 */   // Label 6396: @313286
     /* 313286 */   GIM_Reject,
     /* 313287 */ // Label 6394: @313287
     /* 313287 */ GIM_Reject,
     /* 313288 */ // Label 6378: @313288
     /* 313288 */ GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(313390),
     /* 313293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 313299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313303 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(313362), // Rule ID 2354 //
     /* 313308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313347 */     // (fminimum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 313347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 313350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313360 */     GIR_RootConstrainSelectedInstOperands,
     /* 313361 */     // GIR_Coverage, 2354,
     /* 313361 */     GIR_EraseRootFromParent_Done,
     /* 313362 */   // Label 6398: @313362
     /* 313362 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(313389), // Rule ID 1279 //
     /* 313367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313378 */     // (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 313378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv8f16),
     /* 313383 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313387 */     GIR_RootConstrainSelectedInstOperands,
     /* 313388 */     // GIR_Coverage, 1279,
     /* 313388 */     GIR_Done,
     /* 313389 */   // Label 6399: @313389
     /* 313389 */   GIM_Reject,
     /* 313390 */ // Label 6397: @313390
     /* 313390 */ GIM_Reject,
     /* 313391 */ // Label 6379: @313391
     /* 313391 */ GIM_Reject,
     /* 313392 */ // Label 75: @313392
     /* 313392 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6408*/ GIMT_Encode4(314094),
     /* 313403 */ /*GILLT_s16*//*Label 6400*/ GIMT_Encode4(313443),
     /* 313407 */ /*GILLT_s32*//*Label 6401*/ GIMT_Encode4(313481),
     /* 313411 */ /*GILLT_s64*//*Label 6402*/ GIMT_Encode4(313519), GIMT_Encode4(0),
     /* 313419 */ /*GILLT_v2s32*//*Label 6403*/ GIMT_Encode4(313579),
     /* 313423 */ /*GILLT_v2s64*//*Label 6404*/ GIMT_Encode4(313682),
     /* 313427 */ /*GILLT_v4s16*//*Label 6405*/ GIMT_Encode4(313785),
     /* 313431 */ /*GILLT_v4s32*//*Label 6406*/ GIMT_Encode4(313888), GIMT_Encode4(0),
     /* 313439 */ /*GILLT_v8s16*//*Label 6407*/ GIMT_Encode4(313991),
     /* 313443 */ // Label 6400: @313443
     /* 313443 */ GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(313480), // Rule ID 602 //
     /* 313448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 313451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 313457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313469 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 313469 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXHrr),
     /* 313474 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313478 */   GIR_RootConstrainSelectedInstOperands,
     /* 313479 */   // GIR_Coverage, 602,
     /* 313479 */   GIR_Done,
     /* 313480 */ // Label 6409: @313480
     /* 313480 */ GIM_Reject,
     /* 313481 */ // Label 6401: @313481
     /* 313481 */ GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(313518), // Rule ID 604 //
     /* 313486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 313495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313507 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 313507 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXSrr),
     /* 313512 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313516 */   GIR_RootConstrainSelectedInstOperands,
     /* 313517 */   // GIR_Coverage, 604,
     /* 313517 */   GIR_Done,
     /* 313518 */ // Label 6410: @313518
     /* 313518 */ GIM_Reject,
     /* 313519 */ // Label 6402: @313519
     /* 313519 */ GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(313578),
     /* 313524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 313530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313542 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(313561), // Rule ID 606 //
     /* 313547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313550 */     // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 313550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 313555 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313559 */     GIR_RootConstrainSelectedInstOperands,
     /* 313560 */     // GIR_Coverage, 606,
     /* 313560 */     GIR_Done,
     /* 313561 */   // Label 6412: @313561
     /* 313561 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(313577), // Rule ID 4751 //
     /* 313566 */     // (fmaximum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 313566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 313571 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313575 */     GIR_RootConstrainSelectedInstOperands,
     /* 313576 */     // GIR_Coverage, 4751,
     /* 313576 */     GIR_Done,
     /* 313577 */   // Label 6413: @313577
     /* 313577 */   GIM_Reject,
     /* 313578 */ // Label 6411: @313578
     /* 313578 */ GIM_Reject,
     /* 313579 */ // Label 6403: @313579
     /* 313579 */ GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(313681),
     /* 313584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 313587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 313590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313594 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(313653), // Rule ID 2342 //
     /* 313599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 313614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 313631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313638 */     // (fmaximum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 313638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 313641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313651 */     GIR_RootConstrainSelectedInstOperands,
     /* 313652 */     // GIR_Coverage, 2342,
     /* 313652 */     GIR_EraseRootFromParent_Done,
     /* 313653 */   // Label 6415: @313653
     /* 313653 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(313680), // Rule ID 1251 //
     /* 313658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313669 */     // (fmaximum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 313669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f32),
     /* 313674 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313678 */     GIR_RootConstrainSelectedInstOperands,
     /* 313679 */     // GIR_Coverage, 1251,
     /* 313679 */     GIR_Done,
     /* 313680 */   // Label 6416: @313680
     /* 313680 */   GIM_Reject,
     /* 313681 */ // Label 6414: @313681
     /* 313681 */ GIM_Reject,
     /* 313682 */ // Label 6404: @313682
     /* 313682 */ GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(313784),
     /* 313687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 313693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313697 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(313756), // Rule ID 2348 //
     /* 313702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313741 */     // (fmaximum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 313741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 313744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313754 */     GIR_RootConstrainSelectedInstOperands,
     /* 313755 */     // GIR_Coverage, 2348,
     /* 313755 */     GIR_EraseRootFromParent_Done,
     /* 313756 */   // Label 6418: @313756
     /* 313756 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(313783), // Rule ID 1255 //
     /* 313761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313772 */     // (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 313772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f64),
     /* 313777 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313781 */     GIR_RootConstrainSelectedInstOperands,
     /* 313782 */     // GIR_Coverage, 1255,
     /* 313782 */     GIR_Done,
     /* 313783 */   // Label 6419: @313783
     /* 313783 */   GIM_Reject,
     /* 313784 */ // Label 6417: @313784
     /* 313784 */ GIM_Reject,
     /* 313785 */ // Label 6405: @313785
     /* 313785 */ GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(313887),
     /* 313790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 313796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313800 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(313859), // Rule ID 2336 //
     /* 313805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313844 */     // (fmaximum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 313844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 313847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313857 */     GIR_RootConstrainSelectedInstOperands,
     /* 313858 */     // GIR_Coverage, 2336,
     /* 313858 */     GIR_EraseRootFromParent_Done,
     /* 313859 */   // Label 6421: @313859
     /* 313859 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(313886), // Rule ID 1247 //
     /* 313864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313875 */     // (fmaximum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 313875 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f16),
     /* 313880 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313884 */     GIR_RootConstrainSelectedInstOperands,
     /* 313885 */     // GIR_Coverage, 1247,
     /* 313885 */     GIR_Done,
     /* 313886 */   // Label 6422: @313886
     /* 313886 */   GIM_Reject,
     /* 313887 */ // Label 6420: @313887
     /* 313887 */ GIM_Reject,
     /* 313888 */ // Label 6406: @313888
     /* 313888 */ GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(313990),
     /* 313893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 313899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313903 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(313962), // Rule ID 2345 //
     /* 313908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 313911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 313932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 313936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313947 */     // (fmaximum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 313947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 313950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 313960 */     GIR_RootConstrainSelectedInstOperands,
     /* 313961 */     // GIR_Coverage, 2345,
     /* 313961 */     GIR_EraseRootFromParent_Done,
     /* 313962 */   // Label 6424: @313962
     /* 313962 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(313989), // Rule ID 1253 //
     /* 313967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313978 */     // (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 313978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f32),
     /* 313983 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313987 */     GIR_RootConstrainSelectedInstOperands,
     /* 313988 */     // GIR_Coverage, 1253,
     /* 313988 */     GIR_Done,
     /* 313989 */   // Label 6425: @313989
     /* 313989 */   GIM_Reject,
     /* 313990 */ // Label 6423: @313990
     /* 313990 */ GIM_Reject,
     /* 313991 */ // Label 6407: @313991
     /* 313991 */ GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(314093),
     /* 313996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 314002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314006 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(314065), // Rule ID 2339 //
     /* 314011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 314014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 314022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 314026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 314035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 314039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 314043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 314050 */     // (fmaximum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 314050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 314053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 314059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 314063 */     GIR_RootConstrainSelectedInstOperands,
     /* 314064 */     // GIR_Coverage, 2339,
     /* 314064 */     GIR_EraseRootFromParent_Done,
     /* 314065 */   // Label 6427: @314065
     /* 314065 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(314092), // Rule ID 1249 //
     /* 314070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 314073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314081 */     // (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 314081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv8f16),
     /* 314086 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314090 */     GIR_RootConstrainSelectedInstOperands,
     /* 314091 */     // GIR_Coverage, 1249,
     /* 314091 */     GIR_Done,
     /* 314092 */   // Label 6428: @314092
     /* 314092 */   GIM_Reject,
     /* 314093 */ // Label 6426: @314093
     /* 314093 */ GIM_Reject,
     /* 314094 */ // Label 6408: @314094
     /* 314094 */ GIM_Reject,
     /* 314095 */ // Label 76: @314095
     /* 314095 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6437*/ GIMT_Encode4(314498),
     /* 314106 */ /*GILLT_s32*//*Label 6429*/ GIMT_Encode4(314146),
     /* 314110 */ /*GILLT_s64*//*Label 6430*/ GIMT_Encode4(314220), GIMT_Encode4(0),
     /* 314118 */ /*GILLT_v2s32*//*Label 6431*/ GIMT_Encode4(314294), GIMT_Encode4(0),
     /* 314126 */ /*GILLT_v4s16*//*Label 6432*/ GIMT_Encode4(314328),
     /* 314130 */ /*GILLT_v4s32*//*Label 6433*/ GIMT_Encode4(314362),
     /* 314134 */ /*GILLT_v8s8*//*Label 6434*/ GIMT_Encode4(314396),
     /* 314138 */ /*GILLT_v8s16*//*Label 6435*/ GIMT_Encode4(314430),
     /* 314142 */ /*GILLT_v16s8*//*Label 6436*/ GIMT_Encode4(314464),
     /* 314146 */ // Label 6429: @314146
     /* 314146 */ GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(314219),
     /* 314151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 314157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314165 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(314199), // Rule ID 2319 //
     /* 314170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 314177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 314181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 314185 */     // MIs[1] Operand 1
     /* 314185 */     // No operand predicates
     /* 314185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314187 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 314187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINWri),
     /* 314190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314192 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 314194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 314197 */     GIR_RootConstrainSelectedInstOperands,
     /* 314198 */     // GIR_Coverage, 2319,
     /* 314198 */     GIR_EraseRootFromParent_Done,
     /* 314199 */   // Label 6439: @314199
     /* 314199 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(314218), // Rule ID 2318 //
     /* 314204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314211 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 314211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINWrr),
     /* 314216 */     GIR_RootConstrainSelectedInstOperands,
     /* 314217 */     // GIR_Coverage, 2318,
     /* 314217 */     GIR_Done,
     /* 314218 */   // Label 6440: @314218
     /* 314218 */   GIM_Reject,
     /* 314219 */ // Label 6438: @314219
     /* 314219 */ GIM_Reject,
     /* 314220 */ // Label 6430: @314220
     /* 314220 */ GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(314293),
     /* 314225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 314231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314239 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(314273), // Rule ID 2321 //
     /* 314244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 314251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 314255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 314259 */     // MIs[1] Operand 1
     /* 314259 */     // No operand predicates
     /* 314259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314261 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 314261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINXri),
     /* 314264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314266 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 314268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 314271 */     GIR_RootConstrainSelectedInstOperands,
     /* 314272 */     // GIR_Coverage, 2321,
     /* 314272 */     GIR_EraseRootFromParent_Done,
     /* 314273 */   // Label 6442: @314273
     /* 314273 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(314292), // Rule ID 2320 //
     /* 314278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314285 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 314285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINXrr),
     /* 314290 */     GIR_RootConstrainSelectedInstOperands,
     /* 314291 */     // GIR_Coverage, 2320,
     /* 314291 */     GIR_Done,
     /* 314292 */   // Label 6443: @314292
     /* 314292 */   GIM_Reject,
     /* 314293 */ // Label 6441: @314293
     /* 314293 */ GIM_Reject,
     /* 314294 */ // Label 6431: @314294
     /* 314294 */ GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(314327), // Rule ID 1407 //
     /* 314299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 314305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 314308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314320 */   // (smin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 314320 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv2i32),
     /* 314325 */   GIR_RootConstrainSelectedInstOperands,
     /* 314326 */   // GIR_Coverage, 1407,
     /* 314326 */   GIR_Done,
     /* 314327 */ // Label 6444: @314327
     /* 314327 */ GIM_Reject,
     /* 314328 */ // Label 6432: @314328
     /* 314328 */ GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(314361), // Rule ID 1405 //
     /* 314333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 314339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 314342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314354 */   // (smin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 314354 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i16),
     /* 314359 */   GIR_RootConstrainSelectedInstOperands,
     /* 314360 */   // GIR_Coverage, 1405,
     /* 314360 */   GIR_Done,
     /* 314361 */ // Label 6445: @314361
     /* 314361 */ GIM_Reject,
     /* 314362 */ // Label 6433: @314362
     /* 314362 */ GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(314395), // Rule ID 1408 //
     /* 314367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 314373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 314376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314388 */   // (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 314388 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i32),
     /* 314393 */   GIR_RootConstrainSelectedInstOperands,
     /* 314394 */   // GIR_Coverage, 1408,
     /* 314394 */   GIR_Done,
     /* 314395 */ // Label 6446: @314395
     /* 314395 */ GIM_Reject,
     /* 314396 */ // Label 6434: @314396
     /* 314396 */ GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(314429), // Rule ID 1403 //
     /* 314401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 314407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 314410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314422 */   // (smin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 314422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i8),
     /* 314427 */   GIR_RootConstrainSelectedInstOperands,
     /* 314428 */   // GIR_Coverage, 1403,
     /* 314428 */   GIR_Done,
     /* 314429 */ // Label 6447: @314429
     /* 314429 */ GIM_Reject,
     /* 314430 */ // Label 6435: @314430
     /* 314430 */ GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(314463), // Rule ID 1406 //
     /* 314435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 314441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 314444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314456 */   // (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 314456 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i16),
     /* 314461 */   GIR_RootConstrainSelectedInstOperands,
     /* 314462 */   // GIR_Coverage, 1406,
     /* 314462 */   GIR_Done,
     /* 314463 */ // Label 6448: @314463
     /* 314463 */ GIM_Reject,
     /* 314464 */ // Label 6436: @314464
     /* 314464 */ GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(314497), // Rule ID 1404 //
     /* 314469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 314475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 314478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314490 */   // (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 314490 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv16i8),
     /* 314495 */   GIR_RootConstrainSelectedInstOperands,
     /* 314496 */   // GIR_Coverage, 1404,
     /* 314496 */   GIR_Done,
     /* 314497 */ // Label 6449: @314497
     /* 314497 */ GIM_Reject,
     /* 314498 */ // Label 6437: @314498
     /* 314498 */ GIM_Reject,
     /* 314499 */ // Label 77: @314499
     /* 314499 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6458*/ GIMT_Encode4(314902),
     /* 314510 */ /*GILLT_s32*//*Label 6450*/ GIMT_Encode4(314550),
     /* 314514 */ /*GILLT_s64*//*Label 6451*/ GIMT_Encode4(314624), GIMT_Encode4(0),
     /* 314522 */ /*GILLT_v2s32*//*Label 6452*/ GIMT_Encode4(314698), GIMT_Encode4(0),
     /* 314530 */ /*GILLT_v4s16*//*Label 6453*/ GIMT_Encode4(314732),
     /* 314534 */ /*GILLT_v4s32*//*Label 6454*/ GIMT_Encode4(314766),
     /* 314538 */ /*GILLT_v8s8*//*Label 6455*/ GIMT_Encode4(314800),
     /* 314542 */ /*GILLT_v8s16*//*Label 6456*/ GIMT_Encode4(314834),
     /* 314546 */ /*GILLT_v16s8*//*Label 6457*/ GIMT_Encode4(314868),
     /* 314550 */ // Label 6450: @314550
     /* 314550 */ GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(314623),
     /* 314555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 314561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314569 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(314603), // Rule ID 2315 //
     /* 314574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 314581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 314585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 314589 */     // MIs[1] Operand 1
     /* 314589 */     // No operand predicates
     /* 314589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314591 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 314591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXWri),
     /* 314594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314596 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 314598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 314601 */     GIR_RootConstrainSelectedInstOperands,
     /* 314602 */     // GIR_Coverage, 2315,
     /* 314602 */     GIR_EraseRootFromParent_Done,
     /* 314603 */   // Label 6460: @314603
     /* 314603 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(314622), // Rule ID 2314 //
     /* 314608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314615 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 314615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXWrr),
     /* 314620 */     GIR_RootConstrainSelectedInstOperands,
     /* 314621 */     // GIR_Coverage, 2314,
     /* 314621 */     GIR_Done,
     /* 314622 */   // Label 6461: @314622
     /* 314622 */   GIM_Reject,
     /* 314623 */ // Label 6459: @314623
     /* 314623 */ GIM_Reject,
     /* 314624 */ // Label 6451: @314624
     /* 314624 */ GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(314697),
     /* 314629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 314635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314643 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(314677), // Rule ID 2317 //
     /* 314648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 314655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 314659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 314663 */     // MIs[1] Operand 1
     /* 314663 */     // No operand predicates
     /* 314663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314665 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 314665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXXri),
     /* 314668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 314672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 314675 */     GIR_RootConstrainSelectedInstOperands,
     /* 314676 */     // GIR_Coverage, 2317,
     /* 314676 */     GIR_EraseRootFromParent_Done,
     /* 314677 */   // Label 6463: @314677
     /* 314677 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(314696), // Rule ID 2316 //
     /* 314682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314689 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 314689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXXrr),
     /* 314694 */     GIR_RootConstrainSelectedInstOperands,
     /* 314695 */     // GIR_Coverage, 2316,
     /* 314695 */     GIR_Done,
     /* 314696 */   // Label 6464: @314696
     /* 314696 */   GIM_Reject,
     /* 314697 */ // Label 6462: @314697
     /* 314697 */ GIM_Reject,
     /* 314698 */ // Label 6452: @314698
     /* 314698 */ GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(314731), // Rule ID 1395 //
     /* 314703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 314709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 314712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314724 */   // (smax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 314724 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv2i32),
     /* 314729 */   GIR_RootConstrainSelectedInstOperands,
     /* 314730 */   // GIR_Coverage, 1395,
     /* 314730 */   GIR_Done,
     /* 314731 */ // Label 6465: @314731
     /* 314731 */ GIM_Reject,
     /* 314732 */ // Label 6453: @314732
     /* 314732 */ GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(314765), // Rule ID 1393 //
     /* 314737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 314743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 314746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314758 */   // (smax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 314758 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i16),
     /* 314763 */   GIR_RootConstrainSelectedInstOperands,
     /* 314764 */   // GIR_Coverage, 1393,
     /* 314764 */   GIR_Done,
     /* 314765 */ // Label 6466: @314765
     /* 314765 */ GIM_Reject,
     /* 314766 */ // Label 6454: @314766
     /* 314766 */ GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(314799), // Rule ID 1396 //
     /* 314771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 314777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 314780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314792 */   // (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 314792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i32),
     /* 314797 */   GIR_RootConstrainSelectedInstOperands,
     /* 314798 */   // GIR_Coverage, 1396,
     /* 314798 */   GIR_Done,
     /* 314799 */ // Label 6467: @314799
     /* 314799 */ GIM_Reject,
     /* 314800 */ // Label 6455: @314800
     /* 314800 */ GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(314833), // Rule ID 1391 //
     /* 314805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 314811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 314814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314826 */   // (smax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 314826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i8),
     /* 314831 */   GIR_RootConstrainSelectedInstOperands,
     /* 314832 */   // GIR_Coverage, 1391,
     /* 314832 */   GIR_Done,
     /* 314833 */ // Label 6468: @314833
     /* 314833 */ GIM_Reject,
     /* 314834 */ // Label 6456: @314834
     /* 314834 */ GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(314867), // Rule ID 1394 //
     /* 314839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 314845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 314848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314860 */   // (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 314860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i16),
     /* 314865 */   GIR_RootConstrainSelectedInstOperands,
     /* 314866 */   // GIR_Coverage, 1394,
     /* 314866 */   GIR_Done,
     /* 314867 */ // Label 6469: @314867
     /* 314867 */ GIM_Reject,
     /* 314868 */ // Label 6457: @314868
     /* 314868 */ GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(314901), // Rule ID 1392 //
     /* 314873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 314876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 314879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 314882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314894 */   // (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 314894 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv16i8),
     /* 314899 */   GIR_RootConstrainSelectedInstOperands,
     /* 314900 */   // GIR_Coverage, 1392,
     /* 314900 */   GIR_Done,
     /* 314901 */ // Label 6470: @314901
     /* 314901 */ GIM_Reject,
     /* 314902 */ // Label 6458: @314902
     /* 314902 */ GIM_Reject,
     /* 314903 */ // Label 78: @314903
     /* 314903 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6479*/ GIMT_Encode4(315306),
     /* 314914 */ /*GILLT_s32*//*Label 6471*/ GIMT_Encode4(314954),
     /* 314918 */ /*GILLT_s64*//*Label 6472*/ GIMT_Encode4(315028), GIMT_Encode4(0),
     /* 314926 */ /*GILLT_v2s32*//*Label 6473*/ GIMT_Encode4(315102), GIMT_Encode4(0),
     /* 314934 */ /*GILLT_v4s16*//*Label 6474*/ GIMT_Encode4(315136),
     /* 314938 */ /*GILLT_v4s32*//*Label 6475*/ GIMT_Encode4(315170),
     /* 314942 */ /*GILLT_v8s8*//*Label 6476*/ GIMT_Encode4(315204),
     /* 314946 */ /*GILLT_v8s16*//*Label 6477*/ GIMT_Encode4(315238),
     /* 314950 */ /*GILLT_v16s8*//*Label 6478*/ GIMT_Encode4(315272),
     /* 314954 */ // Label 6471: @314954
     /* 314954 */ GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(315027),
     /* 314959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 314965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314973 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(315007), // Rule ID 2327 //
     /* 314978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 314981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 314985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 314989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 314993 */     // MIs[1] Operand 1
     /* 314993 */     // No operand predicates
     /* 314993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314995 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 314995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINWri),
     /* 314998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315000 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 315002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 315005 */     GIR_RootConstrainSelectedInstOperands,
     /* 315006 */     // GIR_Coverage, 2327,
     /* 315006 */     GIR_EraseRootFromParent_Done,
     /* 315007 */   // Label 6481: @315007
     /* 315007 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(315026), // Rule ID 2326 //
     /* 315012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315019 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 315019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINWrr),
     /* 315024 */     GIR_RootConstrainSelectedInstOperands,
     /* 315025 */     // GIR_Coverage, 2326,
     /* 315025 */     GIR_Done,
     /* 315026 */   // Label 6482: @315026
     /* 315026 */   GIM_Reject,
     /* 315027 */ // Label 6480: @315027
     /* 315027 */ GIM_Reject,
     /* 315028 */ // Label 6472: @315028
     /* 315028 */ GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(315101),
     /* 315033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 315039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315047 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(315081), // Rule ID 2329 //
     /* 315052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 315059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 315063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 315067 */     // MIs[1] Operand 1
     /* 315067 */     // No operand predicates
     /* 315067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315069 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 315069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINXri),
     /* 315072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 315076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 315079 */     GIR_RootConstrainSelectedInstOperands,
     /* 315080 */     // GIR_Coverage, 2329,
     /* 315080 */     GIR_EraseRootFromParent_Done,
     /* 315081 */   // Label 6484: @315081
     /* 315081 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(315100), // Rule ID 2328 //
     /* 315086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315093 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 315093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINXrr),
     /* 315098 */     GIR_RootConstrainSelectedInstOperands,
     /* 315099 */     // GIR_Coverage, 2328,
     /* 315099 */     GIR_Done,
     /* 315100 */   // Label 6485: @315100
     /* 315100 */   GIM_Reject,
     /* 315101 */ // Label 6483: @315101
     /* 315101 */ GIM_Reject,
     /* 315102 */ // Label 6473: @315102
     /* 315102 */ GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(315135), // Rule ID 1530 //
     /* 315107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 315113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 315116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315128 */   // (umin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 315128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv2i32),
     /* 315133 */   GIR_RootConstrainSelectedInstOperands,
     /* 315134 */   // GIR_Coverage, 1530,
     /* 315134 */   GIR_Done,
     /* 315135 */ // Label 6486: @315135
     /* 315135 */ GIM_Reject,
     /* 315136 */ // Label 6474: @315136
     /* 315136 */ GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(315169), // Rule ID 1528 //
     /* 315141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 315147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 315150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315162 */   // (umin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 315162 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i16),
     /* 315167 */   GIR_RootConstrainSelectedInstOperands,
     /* 315168 */   // GIR_Coverage, 1528,
     /* 315168 */   GIR_Done,
     /* 315169 */ // Label 6487: @315169
     /* 315169 */ GIM_Reject,
     /* 315170 */ // Label 6475: @315170
     /* 315170 */ GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(315203), // Rule ID 1531 //
     /* 315175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 315181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 315184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315196 */   // (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 315196 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i32),
     /* 315201 */   GIR_RootConstrainSelectedInstOperands,
     /* 315202 */   // GIR_Coverage, 1531,
     /* 315202 */   GIR_Done,
     /* 315203 */ // Label 6488: @315203
     /* 315203 */ GIM_Reject,
     /* 315204 */ // Label 6476: @315204
     /* 315204 */ GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(315237), // Rule ID 1526 //
     /* 315209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 315215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 315218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315230 */   // (umin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 315230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i8),
     /* 315235 */   GIR_RootConstrainSelectedInstOperands,
     /* 315236 */   // GIR_Coverage, 1526,
     /* 315236 */   GIR_Done,
     /* 315237 */ // Label 6489: @315237
     /* 315237 */ GIM_Reject,
     /* 315238 */ // Label 6477: @315238
     /* 315238 */ GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(315271), // Rule ID 1529 //
     /* 315243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 315249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 315252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315264 */   // (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 315264 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i16),
     /* 315269 */   GIR_RootConstrainSelectedInstOperands,
     /* 315270 */   // GIR_Coverage, 1529,
     /* 315270 */   GIR_Done,
     /* 315271 */ // Label 6490: @315271
     /* 315271 */ GIM_Reject,
     /* 315272 */ // Label 6478: @315272
     /* 315272 */ GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(315305), // Rule ID 1527 //
     /* 315277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 315283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 315286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315298 */   // (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 315298 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv16i8),
     /* 315303 */   GIR_RootConstrainSelectedInstOperands,
     /* 315304 */   // GIR_Coverage, 1527,
     /* 315304 */   GIR_Done,
     /* 315305 */ // Label 6491: @315305
     /* 315305 */ GIM_Reject,
     /* 315306 */ // Label 6479: @315306
     /* 315306 */ GIM_Reject,
     /* 315307 */ // Label 79: @315307
     /* 315307 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6500*/ GIMT_Encode4(315710),
     /* 315318 */ /*GILLT_s32*//*Label 6492*/ GIMT_Encode4(315358),
     /* 315322 */ /*GILLT_s64*//*Label 6493*/ GIMT_Encode4(315432), GIMT_Encode4(0),
     /* 315330 */ /*GILLT_v2s32*//*Label 6494*/ GIMT_Encode4(315506), GIMT_Encode4(0),
     /* 315338 */ /*GILLT_v4s16*//*Label 6495*/ GIMT_Encode4(315540),
     /* 315342 */ /*GILLT_v4s32*//*Label 6496*/ GIMT_Encode4(315574),
     /* 315346 */ /*GILLT_v8s8*//*Label 6497*/ GIMT_Encode4(315608),
     /* 315350 */ /*GILLT_v8s16*//*Label 6498*/ GIMT_Encode4(315642),
     /* 315354 */ /*GILLT_v16s8*//*Label 6499*/ GIMT_Encode4(315676),
     /* 315358 */ // Label 6492: @315358
     /* 315358 */ GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(315431),
     /* 315363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 315369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315377 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(315411), // Rule ID 2323 //
     /* 315382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 315389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 315393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 315397 */     // MIs[1] Operand 1
     /* 315397 */     // No operand predicates
     /* 315397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315399 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 315399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXWri),
     /* 315402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315404 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 315406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 315409 */     GIR_RootConstrainSelectedInstOperands,
     /* 315410 */     // GIR_Coverage, 2323,
     /* 315410 */     GIR_EraseRootFromParent_Done,
     /* 315411 */   // Label 6502: @315411
     /* 315411 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(315430), // Rule ID 2322 //
     /* 315416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315423 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 315423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXWrr),
     /* 315428 */     GIR_RootConstrainSelectedInstOperands,
     /* 315429 */     // GIR_Coverage, 2322,
     /* 315429 */     GIR_Done,
     /* 315430 */   // Label 6503: @315430
     /* 315430 */   GIM_Reject,
     /* 315431 */ // Label 6501: @315431
     /* 315431 */ GIM_Reject,
     /* 315432 */ // Label 6493: @315432
     /* 315432 */ GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(315505),
     /* 315437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 315443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315451 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(315485), // Rule ID 2325 //
     /* 315456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 315463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 315467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 315471 */     // MIs[1] Operand 1
     /* 315471 */     // No operand predicates
     /* 315471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315473 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 315473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXXri),
     /* 315476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315478 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 315480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 315483 */     GIR_RootConstrainSelectedInstOperands,
     /* 315484 */     // GIR_Coverage, 2325,
     /* 315484 */     GIR_EraseRootFromParent_Done,
     /* 315485 */   // Label 6505: @315485
     /* 315485 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(315504), // Rule ID 2324 //
     /* 315490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315497 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 315497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXXrr),
     /* 315502 */     GIR_RootConstrainSelectedInstOperands,
     /* 315503 */     // GIR_Coverage, 2324,
     /* 315503 */     GIR_Done,
     /* 315504 */   // Label 6506: @315504
     /* 315504 */   GIM_Reject,
     /* 315505 */ // Label 6504: @315505
     /* 315505 */ GIM_Reject,
     /* 315506 */ // Label 6494: @315506
     /* 315506 */ GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(315539), // Rule ID 1518 //
     /* 315511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 315517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 315520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315532 */   // (umax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 315532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv2i32),
     /* 315537 */   GIR_RootConstrainSelectedInstOperands,
     /* 315538 */   // GIR_Coverage, 1518,
     /* 315538 */   GIR_Done,
     /* 315539 */ // Label 6507: @315539
     /* 315539 */ GIM_Reject,
     /* 315540 */ // Label 6495: @315540
     /* 315540 */ GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(315573), // Rule ID 1516 //
     /* 315545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 315551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 315554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315566 */   // (umax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 315566 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i16),
     /* 315571 */   GIR_RootConstrainSelectedInstOperands,
     /* 315572 */   // GIR_Coverage, 1516,
     /* 315572 */   GIR_Done,
     /* 315573 */ // Label 6508: @315573
     /* 315573 */ GIM_Reject,
     /* 315574 */ // Label 6496: @315574
     /* 315574 */ GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(315607), // Rule ID 1519 //
     /* 315579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 315585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 315588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315600 */   // (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 315600 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i32),
     /* 315605 */   GIR_RootConstrainSelectedInstOperands,
     /* 315606 */   // GIR_Coverage, 1519,
     /* 315606 */   GIR_Done,
     /* 315607 */ // Label 6509: @315607
     /* 315607 */ GIM_Reject,
     /* 315608 */ // Label 6497: @315608
     /* 315608 */ GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(315641), // Rule ID 1514 //
     /* 315613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 315619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 315622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315634 */   // (umax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 315634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i8),
     /* 315639 */   GIR_RootConstrainSelectedInstOperands,
     /* 315640 */   // GIR_Coverage, 1514,
     /* 315640 */   GIR_Done,
     /* 315641 */ // Label 6510: @315641
     /* 315641 */ GIM_Reject,
     /* 315642 */ // Label 6498: @315642
     /* 315642 */ GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(315675), // Rule ID 1517 //
     /* 315647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 315653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 315656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315668 */   // (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 315668 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i16),
     /* 315673 */   GIR_RootConstrainSelectedInstOperands,
     /* 315674 */   // GIR_Coverage, 1517,
     /* 315674 */   GIR_Done,
     /* 315675 */ // Label 6511: @315675
     /* 315675 */ GIM_Reject,
     /* 315676 */ // Label 6499: @315676
     /* 315676 */ GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(315709), // Rule ID 1515 //
     /* 315681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 315687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 315690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315702 */   // (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 315702 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv16i8),
     /* 315707 */   GIR_RootConstrainSelectedInstOperands,
     /* 315708 */   // GIR_Coverage, 1515,
     /* 315708 */   GIR_Done,
     /* 315709 */ // Label 6512: @315709
     /* 315709 */ GIM_Reject,
     /* 315710 */ // Label 6500: @315710
     /* 315710 */ GIM_Reject,
     /* 315711 */ // Label 80: @315711
     /* 315711 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6522*/ GIMT_Encode4(316525),
     /* 315722 */ /*GILLT_s32*//*Label 6513*/ GIMT_Encode4(315762),
     /* 315726 */ /*GILLT_s64*//*Label 6514*/ GIMT_Encode4(315789), GIMT_Encode4(0),
     /* 315734 */ /*GILLT_v2s32*//*Label 6515*/ GIMT_Encode4(315868),
     /* 315738 */ /*GILLT_v2s64*//*Label 6516*/ GIMT_Encode4(315895),
     /* 315742 */ /*GILLT_v4s16*//*Label 6517*/ GIMT_Encode4(316078),
     /* 315746 */ /*GILLT_v4s32*//*Label 6518*/ GIMT_Encode4(316105),
     /* 315750 */ /*GILLT_v8s8*//*Label 6519*/ GIMT_Encode4(316288),
     /* 315754 */ /*GILLT_v8s16*//*Label 6520*/ GIMT_Encode4(316315),
     /* 315758 */ /*GILLT_v16s8*//*Label 6521*/ GIMT_Encode4(316498),
     /* 315762 */ // Label 6513: @315762
     /* 315762 */ GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(315788), // Rule ID 2308 //
     /* 315767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 315781 */   // (abs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (ABSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 315781 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSWr),
     /* 315786 */   GIR_RootConstrainSelectedInstOperands,
     /* 315787 */   // GIR_Coverage, 2308,
     /* 315787 */   GIR_Done,
     /* 315788 */ // Label 6523: @315788
     /* 315788 */ GIM_Reject,
     /* 315789 */ // Label 6514: @315789
     /* 315789 */ GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(315867),
     /* 315794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315797 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(315820), // Rule ID 1645 //
     /* 315802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315813 */     // (abs:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)  =>  (ABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 315813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 315818 */     GIR_RootConstrainSelectedInstOperands,
     /* 315819 */     // GIR_Coverage, 1645,
     /* 315819 */     GIR_Done,
     /* 315820 */   // Label 6525: @315820
     /* 315820 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(315843), // Rule ID 2309 //
     /* 315825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 315828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 315836 */     // (abs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (ABSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 315836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSXr),
     /* 315841 */     GIR_RootConstrainSelectedInstOperands,
     /* 315842 */     // GIR_Coverage, 2309,
     /* 315842 */     GIR_Done,
     /* 315843 */   // Label 6526: @315843
     /* 315843 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(315866), // Rule ID 2505 //
     /* 315848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoCSSC),
     /* 315851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315859 */     // (abs:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)  =>  (ABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 315859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 315864 */     GIR_RootConstrainSelectedInstOperands,
     /* 315865 */     // GIR_Coverage, 2505,
     /* 315865 */     GIR_Done,
     /* 315866 */   // Label 6527: @315866
     /* 315866 */   GIM_Reject,
     /* 315867 */ // Label 6524: @315867
     /* 315867 */ GIM_Reject,
     /* 315868 */ // Label 6515: @315868
     /* 315868 */ GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(315894), // Rule ID 707 //
     /* 315873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 315876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 315879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315887 */   // (abs:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (ABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 315887 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i32),
     /* 315892 */   GIR_RootConstrainSelectedInstOperands,
     /* 315893 */   // GIR_Coverage, 707,
     /* 315893 */   GIR_Done,
     /* 315894 */ // Label 6528: @315894
     /* 315894 */ GIM_Reject,
     /* 315895 */ // Label 6516: @315895
     /* 315895 */ GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(316077),
     /* 315900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 315903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315907 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(315985), // Rule ID 4829 //
     /* 315912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 315920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 315924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 315928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 315932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 315936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 315940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 315944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 315948 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 315952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 315954 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 315961 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 315968 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opA)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opB))))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$opA, V128:{ *:[v4i32] }:$opB)
     /* 315968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 315971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 315978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 315983 */     GIR_RootConstrainSelectedInstOperands,
     /* 315984 */     // GIR_Coverage, 4829,
     /* 315984 */     GIR_EraseRootFromParent_Done,
     /* 315985 */   // Label 6530: @315985
     /* 315985 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(316057), // Rule ID 4828 //
     /* 315990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 315998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 316002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 316006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 316018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 316027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316031 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 316035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316042 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opB)))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA, V64:{ *:[v2i32] }:$opB)
     /* 316042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 316045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 316051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 316055 */     GIR_RootConstrainSelectedInstOperands,
     /* 316056 */     // GIR_Coverage, 4828,
     /* 316056 */     GIR_EraseRootFromParent_Done,
     /* 316057 */   // Label 6531: @316057
     /* 316057 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(316076), // Rule ID 709 //
     /* 316062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316069 */     // (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 316069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i64),
     /* 316074 */     GIR_RootConstrainSelectedInstOperands,
     /* 316075 */     // GIR_Coverage, 709,
     /* 316075 */     GIR_Done,
     /* 316076 */   // Label 6532: @316076
     /* 316076 */   GIM_Reject,
     /* 316077 */ // Label 6529: @316077
     /* 316077 */ GIM_Reject,
     /* 316078 */ // Label 6517: @316078
     /* 316078 */ GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(316104), // Rule ID 705 //
     /* 316083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316097 */   // (abs:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 316097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i16),
     /* 316102 */   GIR_RootConstrainSelectedInstOperands,
     /* 316103 */   // GIR_Coverage, 705,
     /* 316103 */   GIR_Done,
     /* 316104 */ // Label 6533: @316104
     /* 316104 */ GIM_Reject,
     /* 316105 */ // Label 6518: @316105
     /* 316105 */ GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(316287),
     /* 316110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 316113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316117 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(316195), // Rule ID 4827 //
     /* 316122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 316130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 316134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 316138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 316154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316158 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316164 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 316171 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 316178 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opA)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opB))))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$opA, V128:{ *:[v8i16] }:$opB)
     /* 316178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 316181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 316188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 316193 */     GIR_RootConstrainSelectedInstOperands,
     /* 316194 */     // GIR_Coverage, 4827,
     /* 316194 */     GIR_EraseRootFromParent_Done,
     /* 316195 */   // Label 6535: @316195
     /* 316195 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(316267), // Rule ID 4826 //
     /* 316200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 316208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 316212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 316216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 316237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316241 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316252 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opB)))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA, V64:{ *:[v4i16] }:$opB)
     /* 316252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 316255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 316261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 316265 */     GIR_RootConstrainSelectedInstOperands,
     /* 316266 */     // GIR_Coverage, 4826,
     /* 316266 */     GIR_EraseRootFromParent_Done,
     /* 316267 */   // Label 6536: @316267
     /* 316267 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(316286), // Rule ID 708 //
     /* 316272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316279 */     // (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 316279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i32),
     /* 316284 */     GIR_RootConstrainSelectedInstOperands,
     /* 316285 */     // GIR_Coverage, 708,
     /* 316285 */     GIR_Done,
     /* 316286 */   // Label 6537: @316286
     /* 316286 */   GIM_Reject,
     /* 316287 */ // Label 6534: @316287
     /* 316287 */ GIM_Reject,
     /* 316288 */ // Label 6519: @316288
     /* 316288 */ GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(316314), // Rule ID 703 //
     /* 316293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 316299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316307 */   // (abs:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 316307 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i8),
     /* 316312 */   GIR_RootConstrainSelectedInstOperands,
     /* 316313 */   // GIR_Coverage, 703,
     /* 316313 */   GIR_Done,
     /* 316314 */ // Label 6538: @316314
     /* 316314 */ GIM_Reject,
     /* 316315 */ // Label 6520: @316315
     /* 316315 */ GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(316497),
     /* 316320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 316323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316327 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(316405), // Rule ID 4825 //
     /* 316332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 316340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 316344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 316348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 316360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 316364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316368 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 316372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316374 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 316381 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 316388 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opA)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opB))))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$opA, V128:{ *:[v16i8] }:$opB)
     /* 316388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 316391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 316398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 316403 */     GIR_RootConstrainSelectedInstOperands,
     /* 316404 */     // GIR_Coverage, 4825,
     /* 316404 */     GIR_EraseRootFromParent_Done,
     /* 316405 */   // Label 6540: @316405
     /* 316405 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(316477), // Rule ID 4824 //
     /* 316410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 316418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 316422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 316426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 316438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 316447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 316451 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 316455 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316460 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 316462 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opB)))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA, V64:{ *:[v8i8] }:$opB)
     /* 316462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 316465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 316471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 316475 */     GIR_RootConstrainSelectedInstOperands,
     /* 316476 */     // GIR_Coverage, 4824,
     /* 316476 */     GIR_EraseRootFromParent_Done,
     /* 316477 */   // Label 6541: @316477
     /* 316477 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(316496), // Rule ID 706 //
     /* 316482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316489 */     // (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 316489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i16),
     /* 316494 */     GIR_RootConstrainSelectedInstOperands,
     /* 316495 */     // GIR_Coverage, 706,
     /* 316495 */     GIR_Done,
     /* 316496 */   // Label 6542: @316496
     /* 316496 */   GIM_Reject,
     /* 316497 */ // Label 6539: @316497
     /* 316497 */ GIM_Reject,
     /* 316498 */ // Label 6521: @316498
     /* 316498 */ GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(316524), // Rule ID 704 //
     /* 316503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 316509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316517 */   // (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 316517 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv16i8),
     /* 316522 */   GIR_RootConstrainSelectedInstOperands,
     /* 316523 */   // GIR_Coverage, 704,
     /* 316523 */   GIR_Done,
     /* 316524 */ // Label 6543: @316524
     /* 316524 */ GIM_Reject,
     /* 316525 */ // Label 6522: @316525
     /* 316525 */ GIM_Reject,
     /* 316526 */ // Label 81: @316526
     /* 316526 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 6546*/ GIMT_Encode4(316691),
     /* 316537 */ /*GILLT_s32*//*Label 6544*/ GIMT_Encode4(316545),
     /* 316541 */ /*GILLT_s64*//*Label 6545*/ GIMT_Encode4(316618),
     /* 316545 */ // Label 6544: @316545
     /* 316545 */ GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(316571), // Rule ID 4670 //
     /* 316550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 316553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 316556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316560 */   // (lround:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 316560 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 316565 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316569 */   GIR_RootConstrainSelectedInstOperands,
     /* 316570 */   // GIR_Coverage, 4670,
     /* 316570 */   GIR_Done,
     /* 316571 */ // Label 6547: @316571
     /* 316571 */ GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(316594), // Rule ID 4676 //
     /* 316576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316583 */   // (lround:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 316583 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 316588 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316592 */   GIR_RootConstrainSelectedInstOperands,
     /* 316593 */   // GIR_Coverage, 4676,
     /* 316593 */   GIR_Done,
     /* 316594 */ // Label 6548: @316594
     /* 316594 */ GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(316617), // Rule ID 4678 //
     /* 316599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316606 */   // (lround:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 316606 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 316611 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316615 */   GIR_RootConstrainSelectedInstOperands,
     /* 316616 */   // GIR_Coverage, 4678,
     /* 316616 */   GIR_Done,
     /* 316617 */ // Label 6549: @316617
     /* 316617 */ GIM_Reject,
     /* 316618 */ // Label 6545: @316618
     /* 316618 */ GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(316644), // Rule ID 4672 //
     /* 316623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 316626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 316629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316633 */   // (lround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 316633 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 316638 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316642 */   GIR_RootConstrainSelectedInstOperands,
     /* 316643 */   // GIR_Coverage, 4672,
     /* 316643 */   GIR_Done,
     /* 316644 */ // Label 6550: @316644
     /* 316644 */ GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(316667), // Rule ID 4680 //
     /* 316649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316656 */   // (lround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 316656 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 316661 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316665 */   GIR_RootConstrainSelectedInstOperands,
     /* 316666 */   // GIR_Coverage, 4680,
     /* 316666 */   GIR_Done,
     /* 316667 */ // Label 6551: @316667
     /* 316667 */ GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(316690), // Rule ID 4682 //
     /* 316672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316679 */   // (lround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 316679 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 316684 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316688 */   GIR_RootConstrainSelectedInstOperands,
     /* 316689 */   // GIR_Coverage, 4682,
     /* 316689 */   GIR_Done,
     /* 316690 */ // Label 6552: @316690
     /* 316690 */ GIM_Reject,
     /* 316691 */ // Label 6546: @316691
     /* 316691 */ GIM_Reject,
     /* 316692 */ // Label 82: @316692
     /* 316692 */ GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(316790),
     /* 316697 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 316700 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 6557*/ GIMT_Encode4(316789),
     /* 316711 */   /*GILLT_s16*//*Label 6554*/ GIMT_Encode4(316723),
     /* 316715 */   /*GILLT_s32*//*Label 6555*/ GIMT_Encode4(316747),
     /* 316719 */   /*GILLT_s64*//*Label 6556*/ GIMT_Encode4(316768),
     /* 316723 */   // Label 6554: @316723
     /* 316723 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(316746), // Rule ID 4674 //
     /* 316728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 316731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316735 */     // (llround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 316735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 316740 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316744 */     GIR_RootConstrainSelectedInstOperands,
     /* 316745 */     // GIR_Coverage, 4674,
     /* 316745 */     GIR_Done,
     /* 316746 */   // Label 6558: @316746
     /* 316746 */   GIM_Reject,
     /* 316747 */   // Label 6555: @316747
     /* 316747 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(316767), // Rule ID 4684 //
     /* 316752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316756 */     // (llround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 316756 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 316761 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316765 */     GIR_RootConstrainSelectedInstOperands,
     /* 316766 */     // GIR_Coverage, 4684,
     /* 316766 */     GIR_Done,
     /* 316767 */   // Label 6559: @316767
     /* 316767 */   GIM_Reject,
     /* 316768 */   // Label 6556: @316768
     /* 316768 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(316788), // Rule ID 4686 //
     /* 316773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316777 */     // (llround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 316777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 316782 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316786 */     GIR_RootConstrainSelectedInstOperands,
     /* 316787 */     // GIR_Coverage, 4686,
     /* 316787 */     GIR_Done,
     /* 316788 */   // Label 6560: @316788
     /* 316788 */   GIM_Reject,
     /* 316789 */   // Label 6557: @316789
     /* 316789 */   GIM_Reject,
     /* 316790 */ // Label 6553: @316790
     /* 316790 */ GIM_Reject,
     /* 316791 */ // Label 83: @316791
     /* 316791 */ GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(316806), // Rule ID 225 //
     /* 316796 */   // MIs[0] addr
     /* 316796 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 316799 */   // (br (bb:{ *:[Other] }):$addr)  =>  (B (bb:{ *:[Other] }):$addr)
     /* 316799 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::B),
     /* 316804 */   GIR_RootConstrainSelectedInstOperands,
     /* 316805 */   // GIR_Coverage, 225,
     /* 316805 */   GIR_Done,
     /* 316806 */ // Label 6561: @316806
     /* 316806 */ GIM_Reject,
     /* 316807 */ // Label 84: @316807
     /* 316807 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(21), /*)*//*default:*//*Label 6573*/ GIMT_Encode4(321818),
     /* 316818 */ /*GILLT_s64*//*Label 6562*/ GIMT_Encode4(316890), GIMT_Encode4(0),
     /* 316826 */ /*GILLT_v2s32*//*Label 6563*/ GIMT_Encode4(317172), GIMT_Encode4(0),
     /* 316834 */ /*GILLT_v4s16*//*Label 6564*/ GIMT_Encode4(317454), GIMT_Encode4(0),
     /* 316842 */ /*GILLT_v8s8*//*Label 6565*/ GIMT_Encode4(317736), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 316854 */ /*GILLT_nxv1s1*//*Label 6566*/ GIMT_Encode4(317916),
     /* 316858 */ /*GILLT_nxv2s1*//*Label 6567*/ GIMT_Encode4(320179),
     /* 316862 */ /*GILLT_nxv2s16*//*Label 6568*/ GIMT_Encode4(321034),
     /* 316866 */ /*GILLT_nxv2s32*//*Label 6569*/ GIMT_Encode4(321321), GIMT_Encode4(0),
     /* 316874 */ /*GILLT_nxv4s1*//*Label 6570*/ GIMT_Encode4(321391),
     /* 316878 */ /*GILLT_nxv4s16*//*Label 6571*/ GIMT_Encode4(321678), GIMT_Encode4(0),
     /* 316886 */ /*GILLT_nxv8s1*//*Label 6572*/ GIMT_Encode4(321748),
     /* 316890 */ // Label 6562: @316890
     /* 316890 */ GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(317171),
     /* 316895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 316898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316906 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(316970), // Rule ID 5389 //
     /* 316911 */     // MIs[0] Operand 2
     /* 316911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 316922 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 316922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 316925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 316929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 316938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 316942 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 316945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 316947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 316952 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316969 */     // GIR_Coverage, 5389,
     /* 316969 */     GIR_EraseRootFromParent_Done,
     /* 316970 */   // Label 6575: @316970
     /* 316970 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(317034), // Rule ID 5394 //
     /* 316975 */     // MIs[0] Operand 2
     /* 316975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 316986 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 316986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 316989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 316993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317006 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317016 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317028 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317033 */     // GIR_Coverage, 5394,
     /* 317033 */     GIR_EraseRootFromParent_Done,
     /* 317034 */   // Label 6576: @317034
     /* 317034 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(317072), // Rule ID 6787 //
     /* 317039 */     // MIs[0] Operand 2
     /* 317039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317050 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] })
     /* 317050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317055 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317071 */     // GIR_Coverage, 6787,
     /* 317071 */     GIR_EraseRootFromParent_Done,
     /* 317072 */   // Label 6577: @317072
     /* 317072 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(317110), // Rule ID 6788 //
     /* 317077 */     // MIs[0] Operand 2
     /* 317077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317088 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 317088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317093 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317104 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317109 */     // GIR_Coverage, 6788,
     /* 317109 */     GIR_EraseRootFromParent_Done,
     /* 317110 */   // Label 6578: @317110
     /* 317110 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(317170), // Rule ID 6792 //
     /* 317115 */     // MIs[0] Operand 2
     /* 317115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 317126 */     // (extract_subvector:{ *:[v1i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 317126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 317133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317142 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317152 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317159 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317164 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317169 */     // GIR_Coverage, 6792,
     /* 317169 */     GIR_EraseRootFromParent_Done,
     /* 317170 */   // Label 6579: @317170
     /* 317170 */   GIM_Reject,
     /* 317171 */ // Label 6574: @317171
     /* 317171 */ GIM_Reject,
     /* 317172 */ // Label 6563: @317172
     /* 317172 */ GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(317453),
     /* 317177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 317180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317188 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(317252), // Rule ID 5379 //
     /* 317193 */     // MIs[0] Operand 2
     /* 317193 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 317204 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 317204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 317211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317224 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317234 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317241 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317251 */     // GIR_Coverage, 5379,
     /* 317251 */     GIR_EraseRootFromParent_Done,
     /* 317252 */   // Label 6581: @317252
     /* 317252 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(317316), // Rule ID 5384 //
     /* 317257 */     // MIs[0] Operand 2
     /* 317257 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 317268 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 317268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 317275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317288 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317298 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317305 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317310 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317315 */     // GIR_Coverage, 5384,
     /* 317315 */     GIR_EraseRootFromParent_Done,
     /* 317316 */   // Label 6582: @317316
     /* 317316 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(317354), // Rule ID 6784 //
     /* 317321 */     // MIs[0] Operand 2
     /* 317321 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317332 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] })
     /* 317332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317337 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317343 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317348 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317353 */     // GIR_Coverage, 6784,
     /* 317353 */     GIR_EraseRootFromParent_Done,
     /* 317354 */   // Label 6583: @317354
     /* 317354 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(317392), // Rule ID 6786 //
     /* 317359 */     // MIs[0] Operand 2
     /* 317359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317370 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] })
     /* 317370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317375 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317381 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317386 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317391 */     // GIR_Coverage, 6786,
     /* 317391 */     GIR_EraseRootFromParent_Done,
     /* 317392 */   // Label 6584: @317392
     /* 317392 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(317452), // Rule ID 6791 //
     /* 317397 */     // MIs[0] Operand 2
     /* 317397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 317408 */     // (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 317408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 317415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317424 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317434 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317441 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317446 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317451 */     // GIR_Coverage, 6791,
     /* 317451 */     GIR_EraseRootFromParent_Done,
     /* 317452 */   // Label 6585: @317452
     /* 317452 */   GIM_Reject,
     /* 317453 */ // Label 6580: @317453
     /* 317453 */ GIM_Reject,
     /* 317454 */ // Label 6564: @317454
     /* 317454 */ GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(317735),
     /* 317459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 317462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317470 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(317534), // Rule ID 5369 //
     /* 317475 */     // MIs[0] Operand 2
     /* 317475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 317486 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 317486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 317493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317506 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317516 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317528 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317533 */     // GIR_Coverage, 5369,
     /* 317533 */     GIR_EraseRootFromParent_Done,
     /* 317534 */   // Label 6587: @317534
     /* 317534 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(317598), // Rule ID 5374 //
     /* 317539 */     // MIs[0] Operand 2
     /* 317539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 317550 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 317550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 317557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317570 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317580 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317592 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317597 */     // GIR_Coverage, 5374,
     /* 317597 */     GIR_EraseRootFromParent_Done,
     /* 317598 */   // Label 6588: @317598
     /* 317598 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(317636), // Rule ID 6782 //
     /* 317603 */     // MIs[0] Operand 2
     /* 317603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317614 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] })
     /* 317614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317619 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317630 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317635 */     // GIR_Coverage, 6782,
     /* 317635 */     GIR_EraseRootFromParent_Done,
     /* 317636 */   // Label 6589: @317636
     /* 317636 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(317674), // Rule ID 6785 //
     /* 317641 */     // MIs[0] Operand 2
     /* 317641 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317652 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })
     /* 317652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317657 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317663 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317668 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317673 */     // GIR_Coverage, 6785,
     /* 317673 */     GIR_EraseRootFromParent_Done,
     /* 317674 */   // Label 6590: @317674
     /* 317674 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(317734), // Rule ID 6790 //
     /* 317679 */     // MIs[0] Operand 2
     /* 317679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 317690 */     // (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 317690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 317697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317706 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317716 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317723 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317733 */     // GIR_Coverage, 6790,
     /* 317733 */     GIR_EraseRootFromParent_Done,
     /* 317734 */   // Label 6591: @317734
     /* 317734 */   GIM_Reject,
     /* 317735 */ // Label 6586: @317735
     /* 317735 */ GIM_Reject,
     /* 317736 */ // Label 6565: @317736
     /* 317736 */ GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(317915),
     /* 317741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 317744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317752 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(317816), // Rule ID 5364 //
     /* 317757 */     // MIs[0] Operand 2
     /* 317757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 317768 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 317768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 317775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317788 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 317791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317798 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317810 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317815 */     // GIR_Coverage, 5364,
     /* 317815 */     GIR_EraseRootFromParent_Done,
     /* 317816 */   // Label 6593: @317816
     /* 317816 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(317854), // Rule ID 6783 //
     /* 317821 */     // MIs[0] Operand 2
     /* 317821 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317832 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] })
     /* 317832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317837 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317843 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317848 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317853 */     // GIR_Coverage, 6783,
     /* 317853 */     GIR_EraseRootFromParent_Done,
     /* 317854 */   // Label 6594: @317854
     /* 317854 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(317914), // Rule ID 6789 //
     /* 317859 */     // MIs[0] Operand 2
     /* 317859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 317870 */     // (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 317870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 317873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 317877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 317886 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 317896 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317913 */     // GIR_Coverage, 6789,
     /* 317913 */     GIR_EraseRootFromParent_Done,
     /* 317914 */   // Label 6595: @317914
     /* 317914 */   GIM_Reject,
     /* 317915 */ // Label 6592: @317915
     /* 317915 */ GIM_Reject,
     /* 317916 */ // Label 6566: @317916
     /* 317916 */ GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(317951), // Rule ID 8801 //
     /* 317921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 317924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 317927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 317931 */   // MIs[0] Operand 2
     /* 317931 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 317942 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 317942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 317945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 317947 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 317949 */   GIR_RootConstrainSelectedInstOperands,
     /* 317950 */   // GIR_Coverage, 8801,
     /* 317950 */   GIR_EraseRootFromParent_Done,
     /* 317951 */ // Label 6596: @317951
     /* 317951 */ GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(317986), // Rule ID 8802 //
     /* 317956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 317959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 317962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 317966 */   // MIs[0] Operand 2
     /* 317966 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 317977 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 317977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 317980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 317982 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 317984 */   GIR_RootConstrainSelectedInstOperands,
     /* 317985 */   // GIR_Coverage, 8802,
     /* 317985 */   GIR_EraseRootFromParent_Done,
     /* 317986 */ // Label 6597: @317986
     /* 317986 */ GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(318040), // Rule ID 8809 //
     /* 317991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 317994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 317997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318001 */   // MIs[0] Operand 2
     /* 318001 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 318012 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 318012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318024 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318038 */   GIR_RootConstrainSelectedInstOperands,
     /* 318039 */   // GIR_Coverage, 8809,
     /* 318039 */   GIR_EraseRootFromParent_Done,
     /* 318040 */ // Label 6598: @318040
     /* 318040 */ GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(318094), // Rule ID 8810 //
     /* 318045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 318051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318055 */   // MIs[0] Operand 2
     /* 318055 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 318066 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 318066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318078 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318092 */   GIR_RootConstrainSelectedInstOperands,
     /* 318093 */   // GIR_Coverage, 8810,
     /* 318093 */   GIR_EraseRootFromParent_Done,
     /* 318094 */ // Label 6599: @318094
     /* 318094 */ GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(318148), // Rule ID 8811 //
     /* 318099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 318105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318109 */   // MIs[0] Operand 2
     /* 318109 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 318120 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 318120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318132 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318146 */   GIR_RootConstrainSelectedInstOperands,
     /* 318147 */   // GIR_Coverage, 8811,
     /* 318147 */   GIR_EraseRootFromParent_Done,
     /* 318148 */ // Label 6600: @318148
     /* 318148 */ GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(318202), // Rule ID 8812 //
     /* 318153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 318159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318163 */   // MIs[0] Operand 2
     /* 318163 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 318174 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 318174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318186 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318200 */   GIR_RootConstrainSelectedInstOperands,
     /* 318201 */   // GIR_Coverage, 8812,
     /* 318201 */   GIR_EraseRootFromParent_Done,
     /* 318202 */ // Label 6601: @318202
     /* 318202 */ GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(318273), // Rule ID 8821 //
     /* 318207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318217 */   // MIs[0] Operand 2
     /* 318217 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 318228 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318228 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318231 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318235 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318240 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318246 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318249 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318253 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318258 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318271 */   GIR_RootConstrainSelectedInstOperands,
     /* 318272 */   // GIR_Coverage, 8821,
     /* 318272 */   GIR_EraseRootFromParent_Done,
     /* 318273 */ // Label 6602: @318273
     /* 318273 */ GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(318344), // Rule ID 8822 //
     /* 318278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318288 */   // MIs[0] Operand 2
     /* 318288 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 318299 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318299 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318302 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318306 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318311 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318329 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318342 */   GIR_RootConstrainSelectedInstOperands,
     /* 318343 */   // GIR_Coverage, 8822,
     /* 318343 */   GIR_EraseRootFromParent_Done,
     /* 318344 */ // Label 6603: @318344
     /* 318344 */ GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(318415), // Rule ID 8823 //
     /* 318349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318359 */   // MIs[0] Operand 2
     /* 318359 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 318370 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318370 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318373 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318377 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318382 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318400 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318413 */   GIR_RootConstrainSelectedInstOperands,
     /* 318414 */   // GIR_Coverage, 8823,
     /* 318414 */   GIR_EraseRootFromParent_Done,
     /* 318415 */ // Label 6604: @318415
     /* 318415 */ GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(318486), // Rule ID 8824 //
     /* 318420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318430 */   // MIs[0] Operand 2
     /* 318430 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 318441 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318441 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318444 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318448 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318453 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318471 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318484 */   GIR_RootConstrainSelectedInstOperands,
     /* 318485 */   // GIR_Coverage, 8824,
     /* 318485 */   GIR_EraseRootFromParent_Done,
     /* 318486 */ // Label 6605: @318486
     /* 318486 */ GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(318557), // Rule ID 8825 //
     /* 318491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318501 */   // MIs[0] Operand 2
     /* 318501 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 318512 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318512 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318515 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318519 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318524 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318542 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318555 */   GIR_RootConstrainSelectedInstOperands,
     /* 318556 */   // GIR_Coverage, 8825,
     /* 318556 */   GIR_EraseRootFromParent_Done,
     /* 318557 */ // Label 6606: @318557
     /* 318557 */ GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(318628), // Rule ID 8826 //
     /* 318562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318572 */   // MIs[0] Operand 2
     /* 318572 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 318583 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318583 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318586 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318590 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318595 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318613 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318626 */   GIR_RootConstrainSelectedInstOperands,
     /* 318627 */   // GIR_Coverage, 8826,
     /* 318627 */   GIR_EraseRootFromParent_Done,
     /* 318628 */ // Label 6607: @318628
     /* 318628 */ GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(318699), // Rule ID 8827 //
     /* 318633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318643 */   // MIs[0] Operand 2
     /* 318643 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 318654 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318654 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318657 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318661 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318666 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318672 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318675 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318679 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318684 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318694 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318697 */   GIR_RootConstrainSelectedInstOperands,
     /* 318698 */   // GIR_Coverage, 8827,
     /* 318698 */   GIR_EraseRootFromParent_Done,
     /* 318699 */ // Label 6608: @318699
     /* 318699 */ GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(318770), // Rule ID 8828 //
     /* 318704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 318710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318714 */   // MIs[0] Operand 2
     /* 318714 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 318725 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 318725 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318728 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318732 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318737 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318741 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318755 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318768 */   GIR_RootConstrainSelectedInstOperands,
     /* 318769 */   // GIR_Coverage, 8828,
     /* 318769 */   GIR_EraseRootFromParent_Done,
     /* 318770 */ // Label 6609: @318770
     /* 318770 */ GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(318858), // Rule ID 8837 //
     /* 318775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 318781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318785 */   // MIs[0] Operand 2
     /* 318785 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 318796 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 318796 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 318799 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318803 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318808 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318814 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318817 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318821 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318826 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 318829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318843 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318846 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318856 */   GIR_RootConstrainSelectedInstOperands,
     /* 318857 */   // GIR_Coverage, 8837,
     /* 318857 */   GIR_EraseRootFromParent_Done,
     /* 318858 */ // Label 6610: @318858
     /* 318858 */ GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(318946), // Rule ID 8838 //
     /* 318863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 318869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318873 */   // MIs[0] Operand 2
     /* 318873 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 318884 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 318884 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 318887 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318891 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318896 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318902 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318905 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318909 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318914 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 318917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 318922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318931 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 318939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 318941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318944 */   GIR_RootConstrainSelectedInstOperands,
     /* 318945 */   // GIR_Coverage, 8838,
     /* 318945 */   GIR_EraseRootFromParent_Done,
     /* 318946 */ // Label 6611: @318946
     /* 318946 */ GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(319034), // Rule ID 8839 //
     /* 318951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 318954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 318957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 318961 */   // MIs[0] Operand 2
     /* 318961 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 318972 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 318972 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 318975 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318979 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318984 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 318988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318990 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 318993 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 318997 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319002 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319005 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319019 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319032 */   GIR_RootConstrainSelectedInstOperands,
     /* 319033 */   // GIR_Coverage, 8839,
     /* 319033 */   GIR_EraseRootFromParent_Done,
     /* 319034 */ // Label 6612: @319034
     /* 319034 */ GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(319122), // Rule ID 8840 //
     /* 319039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319049 */   // MIs[0] Operand 2
     /* 319049 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 319060 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319060 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319063 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319067 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319072 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319078 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319081 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319085 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319090 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319107 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319120 */   GIR_RootConstrainSelectedInstOperands,
     /* 319121 */   // GIR_Coverage, 8840,
     /* 319121 */   GIR_EraseRootFromParent_Done,
     /* 319122 */ // Label 6613: @319122
     /* 319122 */ GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(319210), // Rule ID 8841 //
     /* 319127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319137 */   // MIs[0] Operand 2
     /* 319137 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 319148 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319148 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319151 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319155 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319160 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319166 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319169 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319173 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319178 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319195 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319208 */   GIR_RootConstrainSelectedInstOperands,
     /* 319209 */   // GIR_Coverage, 8841,
     /* 319209 */   GIR_EraseRootFromParent_Done,
     /* 319210 */ // Label 6614: @319210
     /* 319210 */ GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(319298), // Rule ID 8842 //
     /* 319215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319225 */   // MIs[0] Operand 2
     /* 319225 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 319236 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319236 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319239 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319243 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319248 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319254 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319257 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319261 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319266 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319283 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319296 */   GIR_RootConstrainSelectedInstOperands,
     /* 319297 */   // GIR_Coverage, 8842,
     /* 319297 */   GIR_EraseRootFromParent_Done,
     /* 319298 */ // Label 6615: @319298
     /* 319298 */ GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(319386), // Rule ID 8843 //
     /* 319303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319313 */   // MIs[0] Operand 2
     /* 319313 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 319324 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319324 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319327 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319331 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319336 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319342 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319345 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319349 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319354 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319359 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319362 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319366 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319371 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319384 */   GIR_RootConstrainSelectedInstOperands,
     /* 319385 */   // GIR_Coverage, 8843,
     /* 319385 */   GIR_EraseRootFromParent_Done,
     /* 319386 */ // Label 6616: @319386
     /* 319386 */ GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(319474), // Rule ID 8844 //
     /* 319391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319401 */   // MIs[0] Operand 2
     /* 319401 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 319412 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319412 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319415 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319419 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319424 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319430 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319433 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319437 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319442 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319459 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319472 */   GIR_RootConstrainSelectedInstOperands,
     /* 319473 */   // GIR_Coverage, 8844,
     /* 319473 */   GIR_EraseRootFromParent_Done,
     /* 319474 */ // Label 6617: @319474
     /* 319474 */ GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(319562), // Rule ID 8845 //
     /* 319479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319489 */   // MIs[0] Operand 2
     /* 319489 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 319500 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319500 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319503 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319507 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319512 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319518 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319521 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319525 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319530 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319535 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319538 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319542 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319547 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319550 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319557 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319560 */   GIR_RootConstrainSelectedInstOperands,
     /* 319561 */   // GIR_Coverage, 8845,
     /* 319561 */   GIR_EraseRootFromParent_Done,
     /* 319562 */ // Label 6618: @319562
     /* 319562 */ GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(319650), // Rule ID 8846 //
     /* 319567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319577 */   // MIs[0] Operand 2
     /* 319577 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(9),
     /* 319588 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 9:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319588 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319591 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319595 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319600 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319606 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319609 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319613 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319618 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319635 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319648 */   GIR_RootConstrainSelectedInstOperands,
     /* 319649 */   // GIR_Coverage, 8846,
     /* 319649 */   GIR_EraseRootFromParent_Done,
     /* 319650 */ // Label 6619: @319650
     /* 319650 */ GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(319738), // Rule ID 8847 //
     /* 319655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319665 */   // MIs[0] Operand 2
     /* 319665 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 319676 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319676 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319679 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319683 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319688 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319694 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319697 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319701 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319706 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319723 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319736 */   GIR_RootConstrainSelectedInstOperands,
     /* 319737 */   // GIR_Coverage, 8847,
     /* 319737 */   GIR_EraseRootFromParent_Done,
     /* 319738 */ // Label 6620: @319738
     /* 319738 */ GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(319826), // Rule ID 8848 //
     /* 319743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319753 */   // MIs[0] Operand 2
     /* 319753 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(11),
     /* 319764 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 11:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319764 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319767 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319771 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319776 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319782 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319785 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319789 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319794 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319811 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319824 */   GIR_RootConstrainSelectedInstOperands,
     /* 319825 */   // GIR_Coverage, 8848,
     /* 319825 */   GIR_EraseRootFromParent_Done,
     /* 319826 */ // Label 6621: @319826
     /* 319826 */ GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(319914), // Rule ID 8849 //
     /* 319831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319841 */   // MIs[0] Operand 2
     /* 319841 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 319852 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319852 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319855 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319859 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319864 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319868 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319870 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319873 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319877 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319882 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319899 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319912 */   GIR_RootConstrainSelectedInstOperands,
     /* 319913 */   // GIR_Coverage, 8849,
     /* 319913 */   GIR_EraseRootFromParent_Done,
     /* 319914 */ // Label 6622: @319914
     /* 319914 */ GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(320002), // Rule ID 8850 //
     /* 319919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 319922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 319925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 319929 */   // MIs[0] Operand 2
     /* 319929 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(13),
     /* 319940 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 13:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 319940 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 319943 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319947 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319952 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 319956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319958 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 319961 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319965 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319970 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 319973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 319978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 319982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319987 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319990 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 319992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 319995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 319997 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320000 */   GIR_RootConstrainSelectedInstOperands,
     /* 320001 */   // GIR_Coverage, 8850,
     /* 320001 */   GIR_EraseRootFromParent_Done,
     /* 320002 */ // Label 6623: @320002
     /* 320002 */ GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(320090), // Rule ID 8851 //
     /* 320007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320017 */   // MIs[0] Operand 2
     /* 320017 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 320028 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 320028 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 320031 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320035 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320040 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320046 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320049 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320053 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320058 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 320061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320063 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320066 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320070 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320075 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320088 */   GIR_RootConstrainSelectedInstOperands,
     /* 320089 */   // GIR_Coverage, 8851,
     /* 320089 */   GIR_EraseRootFromParent_Done,
     /* 320090 */ // Label 6624: @320090
     /* 320090 */ GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(320178), // Rule ID 8852 //
     /* 320095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320105 */   // MIs[0] Operand 2
     /* 320105 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 320116 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 15:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 320116 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 320119 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320123 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320128 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320134 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320137 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320141 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320146 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 320149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320163 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320176 */   GIR_RootConstrainSelectedInstOperands,
     /* 320177 */   // GIR_Coverage, 8852,
     /* 320177 */   GIR_EraseRootFromParent_Done,
     /* 320178 */ // Label 6625: @320178
     /* 320178 */ GIM_Reject,
     /* 320179 */ // Label 6567: @320179
     /* 320179 */ GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(320214), // Rule ID 8803 //
     /* 320184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 320190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320194 */   // MIs[0] Operand 2
     /* 320194 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 320205 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 320205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320210 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 320212 */   GIR_RootConstrainSelectedInstOperands,
     /* 320213 */   // GIR_Coverage, 8803,
     /* 320213 */   GIR_EraseRootFromParent_Done,
     /* 320214 */ // Label 6626: @320214
     /* 320214 */ GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(320249), // Rule ID 8804 //
     /* 320219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 320225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320229 */   // MIs[0] Operand 2
     /* 320229 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 320240 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 320240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320245 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 320247 */   GIR_RootConstrainSelectedInstOperands,
     /* 320248 */   // GIR_Coverage, 8804,
     /* 320248 */   GIR_EraseRootFromParent_Done,
     /* 320249 */ // Label 6627: @320249
     /* 320249 */ GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(320303), // Rule ID 8813 //
     /* 320254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 320260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320264 */   // MIs[0] Operand 2
     /* 320264 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 320275 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 320275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320287 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320301 */   GIR_RootConstrainSelectedInstOperands,
     /* 320302 */   // GIR_Coverage, 8813,
     /* 320302 */   GIR_EraseRootFromParent_Done,
     /* 320303 */ // Label 6628: @320303
     /* 320303 */ GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(320357), // Rule ID 8814 //
     /* 320308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 320314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320318 */   // MIs[0] Operand 2
     /* 320318 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 320329 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 320329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320341 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320355 */   GIR_RootConstrainSelectedInstOperands,
     /* 320356 */   // GIR_Coverage, 8814,
     /* 320356 */   GIR_EraseRootFromParent_Done,
     /* 320357 */ // Label 6629: @320357
     /* 320357 */ GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(320411), // Rule ID 8815 //
     /* 320362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 320368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320372 */   // MIs[0] Operand 2
     /* 320372 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 320383 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 320383 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320386 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320390 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320395 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320409 */   GIR_RootConstrainSelectedInstOperands,
     /* 320410 */   // GIR_Coverage, 8815,
     /* 320410 */   GIR_EraseRootFromParent_Done,
     /* 320411 */ // Label 6630: @320411
     /* 320411 */ GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(320465), // Rule ID 8816 //
     /* 320416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 320422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320426 */   // MIs[0] Operand 2
     /* 320426 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 320437 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 320437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320449 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320463 */   GIR_RootConstrainSelectedInstOperands,
     /* 320464 */   // GIR_Coverage, 8816,
     /* 320464 */   GIR_EraseRootFromParent_Done,
     /* 320465 */ // Label 6631: @320465
     /* 320465 */ GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(320536), // Rule ID 8829 //
     /* 320470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320480 */   // MIs[0] Operand 2
     /* 320480 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 320491 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320491 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320494 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320498 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320503 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320521 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320534 */   GIR_RootConstrainSelectedInstOperands,
     /* 320535 */   // GIR_Coverage, 8829,
     /* 320535 */   GIR_EraseRootFromParent_Done,
     /* 320536 */ // Label 6632: @320536
     /* 320536 */ GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(320607), // Rule ID 8830 //
     /* 320541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320551 */   // MIs[0] Operand 2
     /* 320551 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 320562 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320562 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320565 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320569 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320574 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320592 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320605 */   GIR_RootConstrainSelectedInstOperands,
     /* 320606 */   // GIR_Coverage, 8830,
     /* 320606 */   GIR_EraseRootFromParent_Done,
     /* 320607 */ // Label 6633: @320607
     /* 320607 */ GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(320678), // Rule ID 8831 //
     /* 320612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320622 */   // MIs[0] Operand 2
     /* 320622 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 320633 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320633 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320636 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320640 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320645 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320663 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320676 */   GIR_RootConstrainSelectedInstOperands,
     /* 320677 */   // GIR_Coverage, 8831,
     /* 320677 */   GIR_EraseRootFromParent_Done,
     /* 320678 */ // Label 6634: @320678
     /* 320678 */ GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(320749), // Rule ID 8832 //
     /* 320683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320693 */   // MIs[0] Operand 2
     /* 320693 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 320704 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320704 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320707 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320711 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320716 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320734 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320747 */   GIR_RootConstrainSelectedInstOperands,
     /* 320748 */   // GIR_Coverage, 8832,
     /* 320748 */   GIR_EraseRootFromParent_Done,
     /* 320749 */ // Label 6635: @320749
     /* 320749 */ GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(320820), // Rule ID 8833 //
     /* 320754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320764 */   // MIs[0] Operand 2
     /* 320764 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 320775 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320775 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320778 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320782 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320787 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320805 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320818 */   GIR_RootConstrainSelectedInstOperands,
     /* 320819 */   // GIR_Coverage, 8833,
     /* 320819 */   GIR_EraseRootFromParent_Done,
     /* 320820 */ // Label 6636: @320820
     /* 320820 */ GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(320891), // Rule ID 8834 //
     /* 320825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320835 */   // MIs[0] Operand 2
     /* 320835 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 320846 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320846 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320849 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320853 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320858 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320864 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320867 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320871 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320876 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320889 */   GIR_RootConstrainSelectedInstOperands,
     /* 320890 */   // GIR_Coverage, 8834,
     /* 320890 */   GIR_EraseRootFromParent_Done,
     /* 320891 */ // Label 6637: @320891
     /* 320891 */ GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(320962), // Rule ID 8835 //
     /* 320896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320906 */   // MIs[0] Operand 2
     /* 320906 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 320917 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320917 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320920 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320924 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320929 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 320933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 320938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320947 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320950 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 320955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 320957 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320960 */   GIR_RootConstrainSelectedInstOperands,
     /* 320961 */   // GIR_Coverage, 8835,
     /* 320961 */   GIR_EraseRootFromParent_Done,
     /* 320962 */ // Label 6638: @320962
     /* 320962 */ GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(321033), // Rule ID 8836 //
     /* 320967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 320970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 320973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 320977 */   // MIs[0] Operand 2
     /* 320977 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 320988 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 320988 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 320991 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 320995 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321000 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 321004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 321009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321018 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321031 */   GIR_RootConstrainSelectedInstOperands,
     /* 321032 */   // GIR_Coverage, 8836,
     /* 321032 */   GIR_EraseRootFromParent_Done,
     /* 321033 */ // Label 6639: @321033
     /* 321033 */ GIM_Reject,
     /* 321034 */ // Label 6568: @321034
     /* 321034 */ GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(321069), // Rule ID 8853 //
     /* 321039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 321045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321049 */   // MIs[0] Operand 2
     /* 321049 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321060 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 321060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 321063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321065 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321067 */   GIR_RootConstrainSelectedInstOperands,
     /* 321068 */   // GIR_Coverage, 8853,
     /* 321068 */   GIR_EraseRootFromParent_Done,
     /* 321069 */ // Label 6640: @321069
     /* 321069 */ GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(321104), // Rule ID 8854 //
     /* 321074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 321080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321084 */   // MIs[0] Operand 2
     /* 321084 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 321095 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 321095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 321098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321100 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321102 */   GIR_RootConstrainSelectedInstOperands,
     /* 321103 */   // GIR_Coverage, 8854,
     /* 321103 */   GIR_EraseRootFromParent_Done,
     /* 321104 */ // Label 6641: @321104
     /* 321104 */ GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(321158), // Rule ID 8859 //
     /* 321109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 321115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321119 */   // MIs[0] Operand 2
     /* 321119 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321130 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 321130 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 321133 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 321137 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321142 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 321146 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 321151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321153 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321156 */   GIR_RootConstrainSelectedInstOperands,
     /* 321157 */   // GIR_Coverage, 8859,
     /* 321157 */   GIR_EraseRootFromParent_Done,
     /* 321158 */ // Label 6642: @321158
     /* 321158 */ GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(321212), // Rule ID 8860 //
     /* 321163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 321169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321173 */   // MIs[0] Operand 2
     /* 321173 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 321184 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 321184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 321187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 321191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321196 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 321200 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 321205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321207 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321210 */   GIR_RootConstrainSelectedInstOperands,
     /* 321211 */   // GIR_Coverage, 8860,
     /* 321211 */   GIR_EraseRootFromParent_Done,
     /* 321212 */ // Label 6643: @321212
     /* 321212 */ GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(321266), // Rule ID 8861 //
     /* 321217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 321223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321227 */   // MIs[0] Operand 2
     /* 321227 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 321238 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 321238 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 321241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 321245 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321250 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 321254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 321259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321264 */   GIR_RootConstrainSelectedInstOperands,
     /* 321265 */   // GIR_Coverage, 8861,
     /* 321265 */   GIR_EraseRootFromParent_Done,
     /* 321266 */ // Label 6644: @321266
     /* 321266 */ GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(321320), // Rule ID 8862 //
     /* 321271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 321277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321281 */   // MIs[0] Operand 2
     /* 321281 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 321292 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 6:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 321292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 321295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 321299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321304 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 321308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 321313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321318 */   GIR_RootConstrainSelectedInstOperands,
     /* 321319 */   // GIR_Coverage, 8862,
     /* 321319 */   GIR_EraseRootFromParent_Done,
     /* 321320 */ // Label 6645: @321320
     /* 321320 */ GIM_Reject,
     /* 321321 */ // Label 6569: @321321
     /* 321321 */ GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(321390),
     /* 321326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 321329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321333 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(321361), // Rule ID 8857 //
     /* 321338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321341 */     // MIs[0] Operand 2
     /* 321341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321352 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 321352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 321355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321359 */     GIR_RootConstrainSelectedInstOperands,
     /* 321360 */     // GIR_Coverage, 8857,
     /* 321360 */     GIR_EraseRootFromParent_Done,
     /* 321361 */   // Label 6647: @321361
     /* 321361 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(321389), // Rule ID 8858 //
     /* 321366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321369 */     // MIs[0] Operand 2
     /* 321369 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 321380 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 321380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 321383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321385 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321387 */     GIR_RootConstrainSelectedInstOperands,
     /* 321388 */     // GIR_Coverage, 8858,
     /* 321388 */     GIR_EraseRootFromParent_Done,
     /* 321389 */   // Label 6648: @321389
     /* 321389 */   GIM_Reject,
     /* 321390 */ // Label 6646: @321390
     /* 321390 */ GIM_Reject,
     /* 321391 */ // Label 6570: @321391
     /* 321391 */ GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(321426), // Rule ID 8805 //
     /* 321396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 321402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321406 */   // MIs[0] Operand 2
     /* 321406 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321417 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 321417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321422 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 321424 */   GIR_RootConstrainSelectedInstOperands,
     /* 321425 */   // GIR_Coverage, 8805,
     /* 321425 */   GIR_EraseRootFromParent_Done,
     /* 321426 */ // Label 6649: @321426
     /* 321426 */ GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(321461), // Rule ID 8806 //
     /* 321431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 321437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321441 */   // MIs[0] Operand 2
     /* 321441 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 321452 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 321452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321457 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 321459 */   GIR_RootConstrainSelectedInstOperands,
     /* 321460 */   // GIR_Coverage, 8806,
     /* 321460 */   GIR_EraseRootFromParent_Done,
     /* 321461 */ // Label 6650: @321461
     /* 321461 */ GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(321515), // Rule ID 8817 //
     /* 321466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 321472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321476 */   // MIs[0] Operand 2
     /* 321476 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321487 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 321487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 321490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321499 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 321503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321513 */   GIR_RootConstrainSelectedInstOperands,
     /* 321514 */   // GIR_Coverage, 8817,
     /* 321514 */   GIR_EraseRootFromParent_Done,
     /* 321515 */ // Label 6651: @321515
     /* 321515 */ GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(321569), // Rule ID 8818 //
     /* 321520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 321526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321530 */   // MIs[0] Operand 2
     /* 321530 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 321541 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 321541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 321544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321553 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 321557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321567 */   GIR_RootConstrainSelectedInstOperands,
     /* 321568 */   // GIR_Coverage, 8818,
     /* 321568 */   GIR_EraseRootFromParent_Done,
     /* 321569 */ // Label 6652: @321569
     /* 321569 */ GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(321623), // Rule ID 8819 //
     /* 321574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 321580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321584 */   // MIs[0] Operand 2
     /* 321584 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 321595 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 321595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 321598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 321611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321621 */   GIR_RootConstrainSelectedInstOperands,
     /* 321622 */   // GIR_Coverage, 8819,
     /* 321622 */   GIR_EraseRootFromParent_Done,
     /* 321623 */ // Label 6653: @321623
     /* 321623 */ GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(321677), // Rule ID 8820 //
     /* 321628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 321634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321638 */   // MIs[0] Operand 2
     /* 321638 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 321649 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 321649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 321652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321661 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 321665 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321672 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321675 */   GIR_RootConstrainSelectedInstOperands,
     /* 321676 */   // GIR_Coverage, 8820,
     /* 321676 */   GIR_EraseRootFromParent_Done,
     /* 321677 */ // Label 6654: @321677
     /* 321677 */ GIM_Reject,
     /* 321678 */ // Label 6571: @321678
     /* 321678 */ GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(321747),
     /* 321683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 321686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 321690 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(321718), // Rule ID 8855 //
     /* 321695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321698 */     // MIs[0] Operand 2
     /* 321698 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321709 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 321709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 321712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321714 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321716 */     GIR_RootConstrainSelectedInstOperands,
     /* 321717 */     // GIR_Coverage, 8855,
     /* 321717 */     GIR_EraseRootFromParent_Done,
     /* 321718 */   // Label 6656: @321718
     /* 321718 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(321746), // Rule ID 8856 //
     /* 321723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321726 */     // MIs[0] Operand 2
     /* 321726 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 321737 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKHI_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 321737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 321740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 321742 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 321744 */     GIR_RootConstrainSelectedInstOperands,
     /* 321745 */     // GIR_Coverage, 8856,
     /* 321745 */     GIR_EraseRootFromParent_Done,
     /* 321746 */   // Label 6657: @321746
     /* 321746 */   GIM_Reject,
     /* 321747 */ // Label 6655: @321747
     /* 321747 */ GIM_Reject,
     /* 321748 */ // Label 6572: @321748
     /* 321748 */ GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(321817),
     /* 321753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 321756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 321760 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(321788), // Rule ID 8807 //
     /* 321765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321768 */     // MIs[0] Operand 2
     /* 321768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 321779 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 321779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 321782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 321786 */     GIR_RootConstrainSelectedInstOperands,
     /* 321787 */     // GIR_Coverage, 8807,
     /* 321787 */     GIR_EraseRootFromParent_Done,
     /* 321788 */   // Label 6659: @321788
     /* 321788 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(321816), // Rule ID 8808 //
     /* 321793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 321796 */     // MIs[0] Operand 2
     /* 321796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 321807 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 321807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 321810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 321812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 321814 */     GIR_RootConstrainSelectedInstOperands,
     /* 321815 */     // GIR_Coverage, 8808,
     /* 321815 */     GIR_EraseRootFromParent_Done,
     /* 321816 */   // Label 6660: @321816
     /* 321816 */   GIM_Reject,
     /* 321817 */ // Label 6658: @321817
     /* 321817 */ GIM_Reject,
     /* 321818 */ // Label 6573: @321818
     /* 321818 */ GIM_Reject,
     /* 321819 */ // Label 85: @321819
     /* 321819 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 6676*/ GIMT_Encode4(349215),
     /* 321830 */ /*GILLT_s64*//*Label 6661*/ GIMT_Encode4(321914), GIMT_Encode4(0),
     /* 321838 */ /*GILLT_v2s32*//*Label 6662*/ GIMT_Encode4(322624),
     /* 321842 */ /*GILLT_v2s64*//*Label 6663*/ GIMT_Encode4(326155),
     /* 321846 */ /*GILLT_v4s16*//*Label 6664*/ GIMT_Encode4(328984),
     /* 321850 */ /*GILLT_v4s32*//*Label 6665*/ GIMT_Encode4(332624),
     /* 321854 */ /*GILLT_v8s8*//*Label 6666*/ GIMT_Encode4(335288),
     /* 321858 */ /*GILLT_v8s16*//*Label 6667*/ GIMT_Encode4(337132),
     /* 321862 */ /*GILLT_v16s8*//*Label 6668*/ GIMT_Encode4(340107), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 321874 */ /*GILLT_nxv2s16*//*Label 6669*/ GIMT_Encode4(341687),
     /* 321878 */ /*GILLT_nxv2s32*//*Label 6670*/ GIMT_Encode4(341812),
     /* 321882 */ /*GILLT_nxv2s64*//*Label 6671*/ GIMT_Encode4(341937), GIMT_Encode4(0),
     /* 321890 */ /*GILLT_nxv4s16*//*Label 6672*/ GIMT_Encode4(343851),
     /* 321894 */ /*GILLT_nxv4s32*//*Label 6673*/ GIMT_Encode4(344003), GIMT_Encode4(0),
     /* 321902 */ /*GILLT_nxv8s16*//*Label 6674*/ GIMT_Encode4(345971), GIMT_Encode4(0),
     /* 321910 */ /*GILLT_nxv16s8*//*Label 6675*/ GIMT_Encode4(348165),
     /* 321914 */ // Label 6661: @321914
     /* 321914 */ GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(322623),
     /* 321919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 321922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 321925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 321928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321932 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(322062), // Rule ID 5652 //
     /* 321937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 321945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 321949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 321953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 321957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 321966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 321970 */     // MIs[2] Operand 1
     /* 321970 */     // No operand predicates
     /* 321970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 321974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 321978 */     // MIs[3] Operand 1
     /* 321978 */     // No operand predicates
     /* 321978 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 321980 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 321980 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 321983 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 321987 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321992 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 321995 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 321999 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 322002 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322007 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 322015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 322019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322024 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 322027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 322030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 322037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322044 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 322051 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322056 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322061 */     // GIR_Coverage, 5652,
     /* 322061 */     GIR_EraseRootFromParent_Done,
     /* 322062 */   // Label 6678: @322062
     /* 322062 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(322223), // Rule ID 5653 //
     /* 322067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 322075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 322079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 322083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 322087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 322096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322100 */     // MIs[2] Operand 1
     /* 322100 */     // No operand predicates
     /* 322100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 322104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322108 */     // MIs[3] Operand 1
     /* 322108 */     // No operand predicates
     /* 322108 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322110 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 322110 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 322113 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322117 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322122 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 322125 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322129 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 322132 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322137 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322142 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 322145 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322149 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322154 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 322157 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 322161 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 322164 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322169 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 322177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 322181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322186 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 322189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 322192 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 322195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 322198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322205 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 322212 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322217 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322222 */     // GIR_Coverage, 5653,
     /* 322222 */     GIR_EraseRootFromParent_Done,
     /* 322223 */   // Label 6679: @322223
     /* 322223 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(322353), // Rule ID 5676 //
     /* 322228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 322236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 322240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 322248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 322257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322261 */     // MIs[2] Operand 1
     /* 322261 */     // No operand predicates
     /* 322261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 322265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322269 */     // MIs[3] Operand 1
     /* 322269 */     // No operand predicates
     /* 322269 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322271 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 322271 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 322274 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322278 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322283 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 322286 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 322290 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 322293 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322298 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 322306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 322310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322315 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 322318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 322321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 322328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322335 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 322342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322352 */     // GIR_Coverage, 5676,
     /* 322352 */     GIR_EraseRootFromParent_Done,
     /* 322353 */   // Label 6680: @322353
     /* 322353 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(322514), // Rule ID 5677 //
     /* 322358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 322366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 322370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 322374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 322378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 322387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322391 */     // MIs[2] Operand 1
     /* 322391 */     // No operand predicates
     /* 322391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 322395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 322399 */     // MIs[3] Operand 1
     /* 322399 */     // No operand predicates
     /* 322399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 322401 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 322401 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 322404 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322408 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322413 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 322416 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322420 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 322423 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322428 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322433 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 322436 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322440 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322445 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 322448 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 322452 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 322455 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322460 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 322468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 322472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322477 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 322480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 322483 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 322486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 322489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322496 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 322503 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322508 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322513 */     // GIR_Coverage, 5677,
     /* 322513 */     GIR_EraseRootFromParent_Done,
     /* 322514 */   // Label 6681: @322514
     /* 322514 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(322550), // Rule ID 6563 //
     /* 322519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 322527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322537 */     // (vector_insert:{ *:[v1i64] } (undef:{ *:[v1i64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 322537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 322544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322549 */     // GIR_Coverage, 6563,
     /* 322549 */     GIR_EraseRootFromParent_Done,
     /* 322550 */   // Label 6682: @322550
     /* 322550 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(322586), // Rule ID 6565 //
     /* 322555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 322563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322567 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322573 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 322573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 322580 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322585 */     // GIR_Coverage, 6565,
     /* 322585 */     GIR_EraseRootFromParent_Done,
     /* 322586 */   // Label 6683: @322586
     /* 322586 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(322622), // Rule ID 6567 //
     /* 322591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 322599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322603 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322609 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), FPR64:{ *:[f64] }:$Xn, 0:{ *:[i64] })  =>  FPR64:{ *:[v1f64] }:$Xn
     /* 322609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 322612 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 322614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 322616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322621 */     // GIR_Coverage, 6567,
     /* 322621 */     GIR_EraseRootFromParent_Done,
     /* 322622 */   // Label 6684: @322622
     /* 322622 */   GIM_Reject,
     /* 322623 */ // Label 6677: @322623
     /* 322623 */ GIM_Reject,
     /* 322624 */ // Label 6662: @322624
     /* 322624 */ GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(326154),
     /* 322629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 322635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 322638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322642 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(322751), // Rule ID 4214 //
     /* 322647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322651 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 322657 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 322659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 322667 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 322670 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 322674 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 322678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 322684 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 322691 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 322691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 322694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 322698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 322708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 322713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 322718 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 322724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 322740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322745 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322750 */     // GIR_Coverage, 4214,
     /* 322750 */     GIR_EraseRootFromParent_Done,
     /* 322751 */   // Label 6686: @322751
     /* 322751 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(322860), // Rule ID 4215 //
     /* 322756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322760 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 322766 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 322768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 322776 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 322779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 322783 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 322787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 322793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 322800 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 322800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 322803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 322807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 322817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 322822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 322827 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 322833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 322849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322859 */     // GIR_Coverage, 4215,
     /* 322859 */     GIR_EraseRootFromParent_Done,
     /* 322860 */   // Label 6687: @322860
     /* 322860 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(322969), // Rule ID 4322 //
     /* 322865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322869 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 322875 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 322877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 322885 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 322888 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 322892 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 322896 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 322900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 322902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 322909 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 322909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 322912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 322916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 322921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 322926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 322931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 322936 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 322942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 322944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 322947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 322949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 322952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 322958 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322968 */     // GIR_Coverage, 4322,
     /* 322968 */     GIR_EraseRootFromParent_Done,
     /* 322969 */   // Label 6688: @322969
     /* 322969 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(323078), // Rule ID 4323 //
     /* 322974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322978 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 322984 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 322986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 322990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 322994 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 322997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323001 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323011 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 323018 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 323018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 323025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 323040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 323045 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323067 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323072 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323077 */     // GIR_Coverage, 4323,
     /* 323077 */     GIR_EraseRootFromParent_Done,
     /* 323078 */   // Label 6689: @323078
     /* 323078 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(323183), // Rule ID 4220 //
     /* 323083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 323091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323099 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323102 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323106 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 323123 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 323123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 323130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 323145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 323150 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323172 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323177 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323182 */     // GIR_Coverage, 4220,
     /* 323182 */     GIR_EraseRootFromParent_Done,
     /* 323183 */   // Label 6690: @323183
     /* 323183 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(323288), // Rule ID 4222 //
     /* 323188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 323196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323204 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323207 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323211 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323215 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 323228 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 323228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 323235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 323250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 323255 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323277 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323287 */     // GIR_Coverage, 4222,
     /* 323287 */     GIR_EraseRootFromParent_Done,
     /* 323288 */   // Label 6691: @323288
     /* 323288 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(323393), // Rule ID 4328 //
     /* 323293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 323301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323309 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323312 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323316 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 323333 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 323333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 323340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 323355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 323360 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323392 */     // GIR_Coverage, 4328,
     /* 323392 */     GIR_EraseRootFromParent_Done,
     /* 323393 */   // Label 6692: @323393
     /* 323393 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(323498), // Rule ID 4330 //
     /* 323398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 323406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323414 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323421 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 323438 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 323438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 323445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 323460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 323465 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323487 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323492 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323497 */     // GIR_Coverage, 4330,
     /* 323497 */     GIR_EraseRootFromParent_Done,
     /* 323498 */   // Label 6693: @323498
     /* 323498 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(323602), // Rule ID 4212 //
     /* 323503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323507 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 323513 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 323515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323523 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323530 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 323547 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 323547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 323554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 323569 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323591 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323596 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323601 */     // GIR_Coverage, 4212,
     /* 323601 */     GIR_EraseRootFromParent_Done,
     /* 323602 */   // Label 6694: @323602
     /* 323602 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(323706), // Rule ID 4213 //
     /* 323607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323611 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 323617 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 323619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323627 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323630 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323634 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 323651 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 323651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 323658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 323673 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323705 */     // GIR_Coverage, 4213,
     /* 323705 */     GIR_EraseRootFromParent_Done,
     /* 323706 */   // Label 6695: @323706
     /* 323706 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(323810), // Rule ID 4320 //
     /* 323711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323715 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 323721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 323723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323731 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323734 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323738 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 323755 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 323755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 323762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 323777 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323799 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323809 */     // GIR_Coverage, 4320,
     /* 323809 */     GIR_EraseRootFromParent_Done,
     /* 323810 */   // Label 6696: @323810
     /* 323810 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(323914), // Rule ID 4321 //
     /* 323815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323819 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 323825 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 323827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323835 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323838 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323842 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323852 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 323859 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 323859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 323866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 323881 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 323900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 323903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323913 */     // GIR_Coverage, 4321,
     /* 323913 */     GIR_EraseRootFromParent_Done,
     /* 323914 */   // Label 6697: @323914
     /* 323914 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(324014), // Rule ID 4216 //
     /* 323919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 323927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 323935 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 323938 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 323942 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 323946 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 323950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323952 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 323959 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 323959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 323966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 323976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 323981 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 323987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 323989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 323992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 323997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 324000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 324003 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324008 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324013 */     // GIR_Coverage, 4216,
     /* 324013 */     GIR_EraseRootFromParent_Done,
     /* 324014 */   // Label 6698: @324014
     /* 324014 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(324114), // Rule ID 4218 //
     /* 324019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 324027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 324035 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 324038 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 324042 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 324046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 324050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324052 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 324059 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 324059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 324062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 324066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 324076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 324081 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 324087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 324100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 324103 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324108 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324113 */     // GIR_Coverage, 4218,
     /* 324113 */     GIR_EraseRootFromParent_Done,
     /* 324114 */   // Label 6699: @324114
     /* 324114 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(324214), // Rule ID 4324 //
     /* 324119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 324127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 324135 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 324138 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 324142 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 324146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 324150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324152 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 324159 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 324159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 324162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 324166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 324176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 324181 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 324187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 324200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 324203 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324208 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324213 */     // GIR_Coverage, 4324,
     /* 324213 */     GIR_EraseRootFromParent_Done,
     /* 324214 */   // Label 6700: @324214
     /* 324214 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(324314), // Rule ID 4326 //
     /* 324219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 324227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 324235 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 324238 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 324242 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 324246 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 324250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 324259 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 324259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 324262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 324266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 324276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 324281 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 324287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 324297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 324300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 324303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324313 */     // GIR_Coverage, 4326,
     /* 324313 */     GIR_EraseRootFromParent_Done,
     /* 324314 */   // Label 6701: @324314
     /* 324314 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(324434), // Rule ID 6342 //
     /* 324319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 324330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 324338 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 324341 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 324345 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 324352 */     // MIs[2] Rn
     /* 324352 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 324356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 324361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 324365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324367 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i16:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 324367 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 324370 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 324374 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 324381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 324384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 324388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324393 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 324396 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 324399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 324403 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 324409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 324414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324416 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 324423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324428 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324433 */     // GIR_Coverage, 6342,
     /* 324433 */     GIR_EraseRootFromParent_Done,
     /* 324434 */   // Label 6702: @324434
     /* 324434 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(324554), // Rule ID 6344 //
     /* 324439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 324450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 324458 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 324461 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 324465 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 324472 */     // MIs[2] Rn
     /* 324472 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 324476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 324481 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 324485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324487 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 324487 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 324490 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 324494 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 324501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 324504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 324508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324513 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 324516 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 324519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 324523 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 324529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 324534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324536 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 324543 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324548 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324553 */     // GIR_Coverage, 6344,
     /* 324553 */     GIR_EraseRootFromParent_Done,
     /* 324554 */   // Label 6703: @324554
     /* 324554 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(324684), // Rule ID 5646 //
     /* 324559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 324567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 324571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 324579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 324588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324592 */     // MIs[2] Operand 1
     /* 324592 */     // No operand predicates
     /* 324592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 324596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324600 */     // MIs[3] Operand 1
     /* 324600 */     // No operand predicates
     /* 324600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324602 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 324602 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 324605 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324609 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324614 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 324617 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 324621 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 324624 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324629 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 324637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 324641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324646 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 324649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 324652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 324659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 324664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324666 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 324673 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324678 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324683 */     // GIR_Coverage, 5646,
     /* 324683 */     GIR_EraseRootFromParent_Done,
     /* 324684 */   // Label 6704: @324684
     /* 324684 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(324845), // Rule ID 5647 //
     /* 324689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 324697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 324701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 324709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 324718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324722 */     // MIs[2] Operand 1
     /* 324722 */     // No operand predicates
     /* 324722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 324726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324730 */     // MIs[3] Operand 1
     /* 324730 */     // No operand predicates
     /* 324730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324732 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 324732 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 324735 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324739 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324744 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 324747 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324751 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 324754 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324759 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324764 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 324767 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324771 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324776 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 324779 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 324783 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 324786 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 324799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 324803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324808 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 324811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 324814 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 324817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 324820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 324825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324827 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 324834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324839 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324844 */     // GIR_Coverage, 5647,
     /* 324844 */     GIR_EraseRootFromParent_Done,
     /* 324845 */   // Label 6705: @324845
     /* 324845 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(324975), // Rule ID 5670 //
     /* 324850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 324858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 324862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 324870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 324879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324883 */     // MIs[2] Operand 1
     /* 324883 */     // No operand predicates
     /* 324883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 324887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 324891 */     // MIs[3] Operand 1
     /* 324891 */     // No operand predicates
     /* 324891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 324893 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 324893 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 324896 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 324900 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324905 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 324908 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 324912 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 324915 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324920 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 324928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 324932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 324937 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 324940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 324943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 324950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 324952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 324955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 324957 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 324964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324969 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324974 */     // GIR_Coverage, 5670,
     /* 324974 */     GIR_EraseRootFromParent_Done,
     /* 324975 */   // Label 6706: @324975
     /* 324975 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(325136), // Rule ID 5671 //
     /* 324980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 324988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 324992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 325000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 325009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325013 */     // MIs[2] Operand 1
     /* 325013 */     // No operand predicates
     /* 325013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 325017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325021 */     // MIs[3] Operand 1
     /* 325021 */     // No operand predicates
     /* 325021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 325023 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 325023 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 325026 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 325030 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325035 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 325038 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325042 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 325045 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325050 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325055 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 325058 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 325062 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325067 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 325070 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 325074 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325077 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325082 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 325094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325099 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 325105 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 325108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 325111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 325116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325118 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 325125 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325130 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325135 */     // GIR_Coverage, 5671,
     /* 325135 */     GIR_EraseRootFromParent_Done,
     /* 325136 */   // Label 6707: @325136
     /* 325136 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(325202), // Rule ID 5601 //
     /* 325141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 325149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 325157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325159 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i32] } (IMPLICIT_DEF:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 325159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 325162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 325181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 325183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 325186 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325191 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325196 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325201 */     // GIR_Coverage, 5601,
     /* 325201 */     GIR_EraseRootFromParent_Done,
     /* 325202 */   // Label 6708: @325202
     /* 325202 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(325268), // Rule ID 5613 //
     /* 325207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 325215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325219 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 325223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325225 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 325225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 325228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 325247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 325249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 325252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325262 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325267 */     // GIR_Coverage, 5613,
     /* 325267 */     GIR_EraseRootFromParent_Done,
     /* 325268 */   // Label 6709: @325268
     /* 325268 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(325403), // Rule ID 5621 //
     /* 325273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 325285 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 325289 */     // MIs[1] Operand 1
     /* 325289 */     // No operand predicates
     /* 325289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 325293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325297 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 325301 */     // MIs[2] Operand 1
     /* 325301 */     // No operand predicates
     /* 325301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325303 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 325303 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 325306 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325310 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 325317 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 325320 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325324 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325329 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 325332 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 325336 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325339 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325344 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325349 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 325361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325366 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 325372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 325378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 325383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325385 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 325392 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325402 */     // GIR_Coverage, 5621,
     /* 325402 */     GIR_EraseRootFromParent_Done,
     /* 325403 */   // Label 6710: @325403
     /* 325403 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(325535), // Rule ID 6350 //
     /* 325408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 325420 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 325423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 325427 */     // MIs[1] Rn
     /* 325427 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 325431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 325436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 325440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325444 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 325448 */     // MIs[2] Operand 1
     /* 325448 */     // No operand predicates
     /* 325448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325450 */     // (vector_insert:{ *:[v2i32] } VecListOne64:{ *:[v2i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 325450 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 325453 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 325457 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325462 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 325465 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 325469 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325472 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325477 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 325489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325494 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 325500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325504 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 325510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 325515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325517 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 325524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325529 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325534 */     // GIR_Coverage, 6350,
     /* 325534 */     GIR_EraseRootFromParent_Done,
     /* 325535 */   // Label 6711: @325535
     /* 325535 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(325667), // Rule ID 6351 //
     /* 325540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 325552 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 325555 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 325559 */     // MIs[1] Rn
     /* 325559 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 325563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 325568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 325572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325576 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 325580 */     // MIs[2] Operand 1
     /* 325580 */     // No operand predicates
     /* 325580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325582 */     // (vector_insert:{ *:[v2f32] } VecListOne64:{ *:[v2f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 325582 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 325585 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 325589 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325594 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 325597 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 325601 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325604 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325609 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 325621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325626 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 325632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325636 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 325642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 325647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325649 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 325656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325666 */     // GIR_Coverage, 6351,
     /* 325666 */     GIR_EraseRootFromParent_Done,
     /* 325667 */   // Label 6712: @325667
     /* 325667 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(325850), // Rule ID 5679 //
     /* 325672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 325680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 325684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 325693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325697 */     // MIs[2] Operand 1
     /* 325697 */     // No operand predicates
     /* 325697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325699 */     // (vector_insert:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 325699 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s128,
     /* 325702 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325706 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 325713 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 325716 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325720 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325725 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 325728 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 325732 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 325735 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325740 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325745 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325750 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 325753 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325757 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 325764 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 325767 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325771 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325776 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 325779 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 325783 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325786 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325796 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 325808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325813 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immd
     /* 325819 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 325822 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 325825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 325827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 325830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 325832 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 325839 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325844 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325849 */     // GIR_Coverage, 5679,
     /* 325849 */     GIR_EraseRootFromParent_Done,
     /* 325850 */   // Label 6713: @325850
     /* 325850 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(326028), // Rule ID 5624 //
     /* 325855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 325867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 325875 */     // MIs[1] Operand 1
     /* 325875 */     // No operand predicates
     /* 325875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325877 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 325877 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 325880 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325884 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 325891 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 325894 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325898 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325903 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 325906 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 325910 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 325913 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325918 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325923 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325928 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 325931 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 325935 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 325942 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 325945 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 325949 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325954 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 325957 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 325961 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 325964 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325969 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325974 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 325982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 325986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 325991 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 325994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 325997 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 326000 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 326003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 326008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326010 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 326017 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326027 */     // GIR_Coverage, 5624,
     /* 326027 */     GIR_EraseRootFromParent_Done,
     /* 326028 */   // Label 6714: @326028
     /* 326028 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(326153), // Rule ID 5627 //
     /* 326033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 326045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 326049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 326053 */     // MIs[1] Operand 1
     /* 326053 */     // No operand predicates
     /* 326053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 326055 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 326055 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 326058 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 326062 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 326069 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 326072 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 326076 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326081 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 326084 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 326088 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 326091 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326096 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326101 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 326109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 326113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326118 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 326121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 326124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 326128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 326133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326135 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 326142 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326152 */     // GIR_Coverage, 5627,
     /* 326152 */     GIR_EraseRootFromParent_Done,
     /* 326153 */   // Label 6715: @326153
     /* 326153 */   GIM_Reject,
     /* 326154 */ // Label 6685: @326154
     /* 326154 */ GIM_Reject,
     /* 326155 */ // Label 6663: @326155
     /* 326155 */ GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(328983),
     /* 326160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 326166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 326169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326173 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(326282), // Rule ID 4238 //
     /* 326178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326182 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 326188 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 326190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326198 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326201 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326205 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 326222 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 326229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326249 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326281 */     // GIR_Coverage, 4238,
     /* 326281 */     GIR_EraseRootFromParent_Done,
     /* 326282 */   // Label 6717: @326282
     /* 326282 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(326391), // Rule ID 4239 //
     /* 326287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326291 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 326297 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 326299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326307 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326310 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326314 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326324 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 326331 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 326338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326358 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326390 */     // GIR_Coverage, 4239,
     /* 326390 */     GIR_EraseRootFromParent_Done,
     /* 326391 */   // Label 6718: @326391
     /* 326391 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(326500), // Rule ID 4346 //
     /* 326396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326400 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 326406 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 326408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326416 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326419 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326423 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326433 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 326440 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 326447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326467 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326489 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326494 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326499 */     // GIR_Coverage, 4346,
     /* 326499 */     GIR_EraseRootFromParent_Done,
     /* 326500 */   // Label 6719: @326500
     /* 326500 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(326609), // Rule ID 4347 //
     /* 326505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326509 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 326515 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 326517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326525 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326528 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326532 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326536 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 326549 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 326556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326576 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326598 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326608 */     // GIR_Coverage, 4347,
     /* 326608 */     GIR_EraseRootFromParent_Done,
     /* 326609 */   // Label 6720: @326609
     /* 326609 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(326714), // Rule ID 4244 //
     /* 326614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 326622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326630 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326633 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326637 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326641 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326647 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 326654 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 326661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326681 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326703 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326708 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326713 */     // GIR_Coverage, 4244,
     /* 326713 */     GIR_EraseRootFromParent_Done,
     /* 326714 */   // Label 6721: @326714
     /* 326714 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(326819), // Rule ID 4246 //
     /* 326719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 326727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326735 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326738 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326742 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326752 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 326759 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 326766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326786 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326808 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326813 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326818 */     // GIR_Coverage, 4246,
     /* 326818 */     GIR_EraseRootFromParent_Done,
     /* 326819 */   // Label 6722: @326819
     /* 326819 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(326924), // Rule ID 4352 //
     /* 326824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 326832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326840 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326847 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326851 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326857 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 326864 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 326871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326891 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 326897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 326899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 326902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 326904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 326907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 326910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 326913 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326918 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326923 */     // GIR_Coverage, 4352,
     /* 326923 */     GIR_EraseRootFromParent_Done,
     /* 326924 */   // Label 6723: @326924
     /* 326924 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(327029), // Rule ID 4354 //
     /* 326929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 326937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 326945 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 326948 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 326952 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 326956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 326960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 326969 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 326969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 326972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 326976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 326981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 326986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 326991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 326996 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327018 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327028 */     // GIR_Coverage, 4354,
     /* 327028 */     GIR_EraseRootFromParent_Done,
     /* 327029 */   // Label 6724: @327029
     /* 327029 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(327133), // Rule ID 4236 //
     /* 327034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327038 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 327044 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 327046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327054 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327057 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327061 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327071 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 327078 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 327078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 327085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327100 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327132 */     // GIR_Coverage, 4236,
     /* 327132 */     GIR_EraseRootFromParent_Done,
     /* 327133 */   // Label 6725: @327133
     /* 327133 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(327237), // Rule ID 4237 //
     /* 327138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327142 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 327148 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 327150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327158 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327161 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327165 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327169 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327175 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 327182 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 327182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 327189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327204 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327231 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327236 */     // GIR_Coverage, 4237,
     /* 327236 */     GIR_EraseRootFromParent_Done,
     /* 327237 */   // Label 6726: @327237
     /* 327237 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(327341), // Rule ID 4344 //
     /* 327242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327246 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 327252 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 327254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327262 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327265 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327269 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327279 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 327286 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 327286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 327293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327308 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327330 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327335 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327340 */     // GIR_Coverage, 4344,
     /* 327340 */     GIR_EraseRootFromParent_Done,
     /* 327341 */   // Label 6727: @327341
     /* 327341 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(327445), // Rule ID 4345 //
     /* 327346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327350 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 327356 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 327358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327366 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327369 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327373 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 327390 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 327390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 327397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327412 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327434 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327444 */     // GIR_Coverage, 4345,
     /* 327444 */     GIR_EraseRootFromParent_Done,
     /* 327445 */   // Label 6728: @327445
     /* 327445 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(327545), // Rule ID 4240 //
     /* 327450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 327458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327466 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327473 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327483 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 327490 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 327490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 327497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327512 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327534 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327539 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327544 */     // GIR_Coverage, 4240,
     /* 327544 */     GIR_EraseRootFromParent_Done,
     /* 327545 */   // Label 6729: @327545
     /* 327545 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(327645), // Rule ID 4242 //
     /* 327550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 327558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327566 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327569 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327573 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327577 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 327590 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 327590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 327597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327612 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327644 */     // GIR_Coverage, 4242,
     /* 327644 */     GIR_EraseRootFromParent_Done,
     /* 327645 */   // Label 6730: @327645
     /* 327645 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(327745), // Rule ID 4348 //
     /* 327650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 327658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327666 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327669 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327673 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327677 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327683 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 327690 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 327690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 327697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327712 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327744 */     // GIR_Coverage, 4348,
     /* 327744 */     GIR_EraseRootFromParent_Done,
     /* 327745 */   // Label 6731: @327745
     /* 327745 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(327845), // Rule ID 4350 //
     /* 327750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 327758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 327762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327766 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 327769 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 327773 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 327777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 327781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 327783 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 327790 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 327790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 327793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 327797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 327802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 327807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 327812 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 327818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 327820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 327823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 327828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 327831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 327834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327839 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327844 */     // GIR_Coverage, 4350,
     /* 327844 */     GIR_EraseRootFromParent_Done,
     /* 327845 */   // Label 6732: @327845
     /* 327845 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(327923), // Rule ID 1934 //
     /* 327850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 327865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 327869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 327873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 327882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327886 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 327890 */     // MIs[2] Operand 1
     /* 327890 */     // No operand predicates
     /* 327890 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 327894 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327898 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 327902 */     // MIs[3] Operand 1
     /* 327902 */     // No operand predicates
     /* 327902 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327904 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 327904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 327907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 327911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 327914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 327918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 327921 */     GIR_RootConstrainSelectedInstOperands,
     /* 327922 */     // GIR_Coverage, 1934,
     /* 327922 */     GIR_EraseRootFromParent_Done,
     /* 327923 */   // Label 6733: @327923
     /* 327923 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(328014), // Rule ID 7254 //
     /* 327928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 327931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 327943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 327947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 327951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 327955 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 327958 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 327965 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 327968 */     // MIs[2] Rn
     /* 327968 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 327972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 327977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 327981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327985 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 327989 */     // MIs[3] Operand 1
     /* 327989 */     // No operand predicates
     /* 327989 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327991 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15427>>), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 327991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 327994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 327996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 327998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 328001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 328005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 328012 */     GIR_RootConstrainSelectedInstOperands,
     /* 328013 */     // GIR_Coverage, 7254,
     /* 328013 */     GIR_EraseRootFromParent_Done,
     /* 328014 */   // Label 6734: @328014
     /* 328014 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(328081), // Rule ID 5650 //
     /* 328019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 328031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 328039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 328048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328052 */     // MIs[2] Operand 1
     /* 328052 */     // No operand predicates
     /* 328052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 328056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328060 */     // MIs[3] Operand 1
     /* 328060 */     // No operand predicates
     /* 328060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328062 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 328062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 328069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 328072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 328079 */     GIR_RootConstrainSelectedInstOperands,
     /* 328080 */     // GIR_Coverage, 5650,
     /* 328080 */     GIR_EraseRootFromParent_Done,
     /* 328081 */   // Label 6735: @328081
     /* 328081 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(328179), // Rule ID 5651 //
     /* 328086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 328098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 328102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 328106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 328115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328119 */     // MIs[2] Operand 1
     /* 328119 */     // No operand predicates
     /* 328119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 328123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328127 */     // MIs[3] Operand 1
     /* 328127 */     // No operand predicates
     /* 328127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328129 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 328129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 328136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328141 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 328144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328148 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 328151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 328168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 328171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 328177 */     GIR_RootConstrainSelectedInstOperands,
     /* 328178 */     // GIR_Coverage, 5651,
     /* 328178 */     GIR_EraseRootFromParent_Done,
     /* 328179 */   // Label 6736: @328179
     /* 328179 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(328246), // Rule ID 5674 //
     /* 328184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 328196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 328204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 328213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328217 */     // MIs[2] Operand 1
     /* 328217 */     // No operand predicates
     /* 328217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 328221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328225 */     // MIs[3] Operand 1
     /* 328225 */     // No operand predicates
     /* 328225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328227 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 328227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328232 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 328234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 328237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 328244 */     GIR_RootConstrainSelectedInstOperands,
     /* 328245 */     // GIR_Coverage, 5674,
     /* 328245 */     GIR_EraseRootFromParent_Done,
     /* 328246 */   // Label 6737: @328246
     /* 328246 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(328344), // Rule ID 5675 //
     /* 328251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 328263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 328267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 328271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 328280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328284 */     // MIs[2] Operand 1
     /* 328284 */     // No operand predicates
     /* 328284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 328288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328292 */     // MIs[3] Operand 1
     /* 328292 */     // No operand predicates
     /* 328292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328294 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 328294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 328301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328306 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 328309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328313 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 328316 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328321 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328331 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 328333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 328336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 328342 */     GIR_RootConstrainSelectedInstOperands,
     /* 328343 */     // GIR_Coverage, 5675,
     /* 328343 */     GIR_EraseRootFromParent_Done,
     /* 328344 */   // Label 6738: @328344
     /* 328344 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(328410), // Rule ID 5605 //
     /* 328349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 328357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 328365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328367 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, dsub:{ *:[i32] })
     /* 328367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 328370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 328374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 328384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 328391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 328394 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328399 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328404 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328409 */     // GIR_Coverage, 5605,
     /* 328409 */     GIR_EraseRootFromParent_Done,
     /* 328410 */   // Label 6739: @328410
     /* 328410 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(328476), // Rule ID 5615 //
     /* 328415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 328423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 328431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328433 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] })
     /* 328433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 328436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 328440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 328450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 328457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 328460 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328465 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328470 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328475 */     // GIR_Coverage, 5615,
     /* 328475 */     GIR_EraseRootFromParent_Done,
     /* 328476 */   // Label 6740: @328476
     /* 328476 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(328554), // Rule ID 7253 //
     /* 328481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 328484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 328496 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 328499 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 328506 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 328509 */     // MIs[1] Rn
     /* 328509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 328513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 328518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 328522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328526 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328530 */     // MIs[2] Operand 1
     /* 328530 */     // No operand predicates
     /* 328530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 328532 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15427>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 328532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 328535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328537 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 328539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 328542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 328552 */     GIR_RootConstrainSelectedInstOperands,
     /* 328553 */     // GIR_Coverage, 7253,
     /* 328553 */     GIR_EraseRootFromParent_Done,
     /* 328554 */   // Label 6741: @328554
     /* 328554 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(328623), // Rule ID 6333 //
     /* 328559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 328571 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 328574 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 328578 */     // MIs[1] Rn
     /* 328578 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 328582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 328587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 328591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328595 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328599 */     // MIs[2] Operand 1
     /* 328599 */     // No operand predicates
     /* 328599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 328601 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 328601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 328604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 328608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 328611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 328621 */     GIR_RootConstrainSelectedInstOperands,
     /* 328622 */     // GIR_Coverage, 6333,
     /* 328622 */     GIR_EraseRootFromParent_Done,
     /* 328623 */   // Label 6742: @328623
     /* 328623 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(328692), // Rule ID 6334 //
     /* 328628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 328640 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 328643 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 328647 */     // MIs[1] Rn
     /* 328647 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 328651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 328656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 328660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328664 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328668 */     // MIs[2] Operand 1
     /* 328668 */     // No operand predicates
     /* 328668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 328670 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 328670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 328673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 328677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 328680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 328684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 328690 */     GIR_RootConstrainSelectedInstOperands,
     /* 328691 */     // GIR_Coverage, 6334,
     /* 328691 */     GIR_EraseRootFromParent_Done,
     /* 328692 */   // Label 6743: @328692
     /* 328692 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(328741), // Rule ID 5622 //
     /* 328697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 328705 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 328709 */     // MIs[1] Operand 1
     /* 328709 */     // No operand predicates
     /* 328709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 328713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328717 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328721 */     // MIs[2] Operand 1
     /* 328721 */     // No operand predicates
     /* 328721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 328723 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64gpr:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, XZR:{ *:[i64] })
     /* 328723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 328726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328728 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 328733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 328739 */     GIR_RootConstrainSelectedInstOperands,
     /* 328740 */     // GIR_Coverage, 5622,
     /* 328740 */     GIR_EraseRootFromParent_Done,
     /* 328741 */   // Label 6744: @328741
     /* 328741 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(328842), // Rule ID 5680 //
     /* 328746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 328754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 328758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 328767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328771 */     // MIs[2] Operand 1
     /* 328771 */     // No operand predicates
     /* 328771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 328773 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$src, (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR64:{ *:[f64] }:$Sn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 328773 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 328776 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 328780 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 328787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 328794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328799 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 328802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 328806 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 328809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328814 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328819 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328829 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 328831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 328834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328840 */     GIR_RootConstrainSelectedInstOperands,
     /* 328841 */     // GIR_Coverage, 5680,
     /* 328841 */     GIR_EraseRootFromParent_Done,
     /* 328842 */   // Label 6745: @328842
     /* 328842 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(328886), // Rule ID 1930 //
     /* 328847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 328862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328870 */     // MIs[1] Operand 1
     /* 328870 */     // No operand predicates
     /* 328870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328872 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64gpr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, GPR64:{ *:[i64] }:$Rn)
     /* 328872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 328875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328877 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 328879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 328882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 328884 */     GIR_RootConstrainSelectedInstOperands,
     /* 328885 */     // GIR_Coverage, 1930,
     /* 328885 */     GIR_EraseRootFromParent_Done,
     /* 328886 */   // Label 6746: @328886
     /* 328886 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(328982), // Rule ID 5626 //
     /* 328891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 328903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 328911 */     // MIs[1] Operand 1
     /* 328911 */     // No operand predicates
     /* 328911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328913 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm, (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 328913 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 328916 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 328920 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 328927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 328930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 328934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328939 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 328942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 328946 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 328949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 328967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328969 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 328977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 328980 */     GIR_RootConstrainSelectedInstOperands,
     /* 328981 */     // GIR_Coverage, 5626,
     /* 328981 */     GIR_EraseRootFromParent_Done,
     /* 328982 */   // Label 6747: @328982
     /* 328982 */   GIM_Reject,
     /* 328983 */ // Label 6716: @328983
     /* 328983 */ GIM_Reject,
     /* 328984 */ // Label 6664: @328984
     /* 328984 */ GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(332623),
     /* 328989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328992 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(329118), // Rule ID 4178 //
     /* 328997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 329000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329011 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 329017 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 329019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329027 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329030 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329034 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 329041 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 329058 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 329065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329085 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329107 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329112 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329117 */     // GIR_Coverage, 4178,
     /* 329117 */     GIR_EraseRootFromParent_Done,
     /* 329118 */   // Label 6749: @329118
     /* 329118 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(329244), // Rule ID 4179 //
     /* 329123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 329126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329137 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 329143 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 329145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329153 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329156 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329160 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 329167 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329177 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 329184 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 329191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329211 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329233 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329238 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329243 */     // GIR_Coverage, 4179,
     /* 329243 */     GIR_EraseRootFromParent_Done,
     /* 329244 */   // Label 6750: @329244
     /* 329244 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(329363), // Rule ID 4286 //
     /* 329249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 329252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329263 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 329269 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 329271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329279 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329282 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329286 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 329303 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 329310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329330 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329352 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329357 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329362 */     // GIR_Coverage, 4286,
     /* 329362 */     GIR_EraseRootFromParent_Done,
     /* 329363 */   // Label 6751: @329363
     /* 329363 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(329482), // Rule ID 4287 //
     /* 329368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 329371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329382 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 329388 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 329390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329398 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329405 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329409 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 329422 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 329429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329449 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329481 */     // GIR_Coverage, 4287,
     /* 329481 */     GIR_EraseRootFromParent_Done,
     /* 329482 */   // Label 6752: @329482
     /* 329482 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(329604), // Rule ID 4184 //
     /* 329487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 329490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 329505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329513 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329516 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329520 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 329527 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329537 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 329544 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 329551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329571 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329593 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329598 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329603 */     // GIR_Coverage, 4184,
     /* 329603 */     GIR_EraseRootFromParent_Done,
     /* 329604 */   // Label 6753: @329604
     /* 329604 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(329726), // Rule ID 4186 //
     /* 329609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 329612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 329627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329635 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329638 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329642 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 329649 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329659 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 329666 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 329673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329693 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329715 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329720 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329725 */     // GIR_Coverage, 4186,
     /* 329725 */     GIR_EraseRootFromParent_Done,
     /* 329726 */   // Label 6754: @329726
     /* 329726 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(329841), // Rule ID 4292 //
     /* 329731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 329734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 329749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329757 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329760 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329764 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329774 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 329781 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 329788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329808 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329830 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329835 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329840 */     // GIR_Coverage, 4292,
     /* 329840 */     GIR_EraseRootFromParent_Done,
     /* 329841 */   // Label 6755: @329841
     /* 329841 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(329956), // Rule ID 4294 //
     /* 329846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 329849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 329864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329872 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329875 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329879 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 329883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 329887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 329889 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 329896 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 329896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 329899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 329903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 329913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 329918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 329923 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 329929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 329934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 329939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 329945 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329950 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 329955 */     // GIR_Coverage, 4294,
     /* 329955 */     GIR_EraseRootFromParent_Done,
     /* 329956 */   // Label 6756: @329956
     /* 329956 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(330077), // Rule ID 4176 //
     /* 329961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 329964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 329967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329975 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 329981 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 329983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 329987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 329991 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 329994 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 329998 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 330005 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 330022 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 330022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 330029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330044 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330076 */     // GIR_Coverage, 4176,
     /* 330076 */     GIR_EraseRootFromParent_Done,
     /* 330077 */   // Label 6757: @330077
     /* 330077 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(330198), // Rule ID 4177 //
     /* 330082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 330085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330096 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 330102 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 330104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330112 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330115 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330119 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 330126 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330130 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330136 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 330143 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 330143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 330150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330165 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330187 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330192 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330197 */     // GIR_Coverage, 4177,
     /* 330197 */     GIR_EraseRootFromParent_Done,
     /* 330198 */   // Label 6758: @330198
     /* 330198 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(330312), // Rule ID 4284 //
     /* 330203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 330206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330217 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 330223 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 330225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330233 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330236 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330240 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330250 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 330257 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 330257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 330264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330279 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330301 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330311 */     // GIR_Coverage, 4284,
     /* 330311 */     GIR_EraseRootFromParent_Done,
     /* 330312 */   // Label 6759: @330312
     /* 330312 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(330426), // Rule ID 4285 //
     /* 330317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 330320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330331 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 330337 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 330339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330347 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330350 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330354 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 330371 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 330371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 330378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330393 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330425 */     // GIR_Coverage, 4285,
     /* 330425 */     GIR_EraseRootFromParent_Done,
     /* 330426 */   // Label 6760: @330426
     /* 330426 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(330543), // Rule ID 4180 //
     /* 330431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 330434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 330449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330457 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330460 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330464 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 330471 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330475 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 330488 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 330488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 330495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330510 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330542 */     // GIR_Coverage, 4180,
     /* 330542 */     GIR_EraseRootFromParent_Done,
     /* 330543 */   // Label 6761: @330543
     /* 330543 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(330660), // Rule ID 4182 //
     /* 330548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 330551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 330566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330574 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330577 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330581 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 330588 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 330605 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 330605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 330612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330627 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330659 */     // GIR_Coverage, 4182,
     /* 330659 */     GIR_EraseRootFromParent_Done,
     /* 330660 */   // Label 6762: @330660
     /* 330660 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(330770), // Rule ID 4288 //
     /* 330665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 330668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 330683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330691 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330694 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330698 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 330715 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 330715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 330722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330737 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330759 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330764 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330769 */     // GIR_Coverage, 4288,
     /* 330769 */     GIR_EraseRootFromParent_Done,
     /* 330770 */   // Label 6763: @330770
     /* 330770 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(330880), // Rule ID 4290 //
     /* 330775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 330778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 330793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330801 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330804 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330808 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 330812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330818 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 330825 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 330825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 330828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 330832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 330842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 330847 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 330858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 330863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 330869 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 330879 */     // GIR_Coverage, 4290,
     /* 330879 */     GIR_EraseRootFromParent_Done,
     /* 330880 */   // Label 6764: @330880
     /* 330880 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(331010), // Rule ID 6346 //
     /* 330885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 330888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 330891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 330894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 330906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 330910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 330914 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 330917 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 330921 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 330928 */     // MIs[2] Rn
     /* 330928 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 330932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 330937 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 330941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 330943 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 330943 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 330946 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 330950 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 330964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330969 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330972 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 330975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 330979 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 330985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330992 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330999 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331004 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331009 */     // GIR_Coverage, 6346,
     /* 331009 */     GIR_EraseRootFromParent_Done,
     /* 331010 */   // Label 6765: @331010
     /* 331010 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(331150), // Rule ID 5640 //
     /* 331015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 331018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 331033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 331037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 331041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 331045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331058 */     // MIs[2] Operand 1
     /* 331058 */     // No operand predicates
     /* 331058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 331062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331066 */     // MIs[3] Operand 1
     /* 331066 */     // No operand predicates
     /* 331066 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331068 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 331068 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 331071 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331075 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331080 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 331083 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 331087 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 331090 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331095 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 331107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331112 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 331118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 331122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 331125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331132 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331139 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331149 */     // GIR_Coverage, 5640,
     /* 331149 */     GIR_EraseRootFromParent_Done,
     /* 331150 */   // Label 6766: @331150
     /* 331150 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(331321), // Rule ID 5641 //
     /* 331155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 331158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 331173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 331177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 331181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 331185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331198 */     // MIs[2] Operand 1
     /* 331198 */     // No operand predicates
     /* 331198 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 331202 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331206 */     // MIs[3] Operand 1
     /* 331206 */     // No operand predicates
     /* 331206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331208 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 331208 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 331211 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331215 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331220 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 331223 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 331227 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 331230 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331235 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331240 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 331243 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331247 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331252 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 331255 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 331259 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 331262 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 331279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331284 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 331290 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 331293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 331296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331303 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331310 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331315 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331320 */     // GIR_Coverage, 5641,
     /* 331320 */     GIR_EraseRootFromParent_Done,
     /* 331321 */   // Label 6767: @331321
     /* 331321 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(331461), // Rule ID 5664 //
     /* 331326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 331329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 331344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 331348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 331352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 331356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331369 */     // MIs[2] Operand 1
     /* 331369 */     // No operand predicates
     /* 331369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 331373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331377 */     // MIs[3] Operand 1
     /* 331377 */     // No operand predicates
     /* 331377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331379 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 331379 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 331382 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331386 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331391 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 331394 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 331398 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 331401 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331406 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 331418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331423 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 331429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 331433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 331436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331443 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331450 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331455 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331460 */     // GIR_Coverage, 5664,
     /* 331460 */     GIR_EraseRootFromParent_Done,
     /* 331461 */   // Label 6768: @331461
     /* 331461 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(331632), // Rule ID 5665 //
     /* 331466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 331469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 331484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 331488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 331492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 331496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 331505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331509 */     // MIs[2] Operand 1
     /* 331509 */     // No operand predicates
     /* 331509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 331513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331517 */     // MIs[3] Operand 1
     /* 331517 */     // No operand predicates
     /* 331517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 331519 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 331519 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 331522 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331526 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331531 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 331534 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 331538 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 331541 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331546 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331551 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 331554 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331558 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331563 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 331566 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 331570 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 331573 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331578 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 331590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331595 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 331601 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 331604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 331607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331614 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331626 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331631 */     // GIR_Coverage, 5665,
     /* 331631 */     GIR_EraseRootFromParent_Done,
     /* 331632 */   // Label 6769: @331632
     /* 331632 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(331711), // Rule ID 5595 //
     /* 331637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 331640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 331655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 331659 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 331663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 331665 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 331665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 331668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 331681 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 331686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 331689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 331694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 331700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331705 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 331710 */     // GIR_Coverage, 5595,
     /* 331710 */     GIR_EraseRootFromParent_Done,
     /* 331711 */   // Label 6770: @331711
     /* 331711 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(331787), // Rule ID 5597 //
     /* 331716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 331719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 331734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 331738 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 331742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 331744 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 331744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 331747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 331751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 331761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 331768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 331771 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331776 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331781 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 331786 */     // GIR_Coverage, 5597,
     /* 331786 */     GIR_EraseRootFromParent_Done,
     /* 331787 */   // Label 6771: @331787
     /* 331787 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(331863), // Rule ID 5607 //
     /* 331792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 331795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 331806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 331810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 331814 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 331818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 331820 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 331820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 331823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 331827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 331837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 331844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 331847 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331852 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331857 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 331862 */     // GIR_Coverage, 5607,
     /* 331862 */     GIR_EraseRootFromParent_Done,
     /* 331863 */   // Label 6772: @331863
     /* 331863 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(332008), // Rule ID 5619 //
     /* 331868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 331871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 331874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 331886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 331890 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 331894 */     // MIs[1] Operand 1
     /* 331894 */     // No operand predicates
     /* 331894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 331898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 331902 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 331906 */     // MIs[2] Operand 1
     /* 331906 */     // No operand predicates
     /* 331906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 331908 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 331908 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 331911 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 331915 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331922 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 331925 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 331929 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331934 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331937 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331941 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 331944 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331949 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331954 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 331966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331971 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 331977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 331983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331990 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331997 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332002 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332007 */     // GIR_Coverage, 5619,
     /* 332007 */     GIR_EraseRootFromParent_Done,
     /* 332008 */   // Label 6773: @332008
     /* 332008 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(332157), // Rule ID 6349 //
     /* 332013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 332016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 332019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 332031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332035 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332038 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 332042 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 332049 */     // MIs[1] Rn
     /* 332049 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 332053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 332058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 332062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 332066 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 332070 */     // MIs[2] Operand 1
     /* 332070 */     // No operand predicates
     /* 332070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 332072 */     // (vector_insert:{ *:[v4i16] } VecListOne64:{ *:[v4i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 332072 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 332075 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 332079 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332084 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 332087 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 332091 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 332094 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332099 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 332107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 332111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332116 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 332122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 332126 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 332132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 332137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332139 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 332146 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332151 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332156 */     // GIR_Coverage, 6349,
     /* 332156 */     GIR_EraseRootFromParent_Done,
     /* 332157 */   // Label 6774: @332157
     /* 332157 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(332299), // Rule ID 6352 //
     /* 332162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 332165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 332168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 332180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332184 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332187 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 332191 */     // MIs[1] Rn
     /* 332191 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 332195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 332200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 332204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 332208 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 332212 */     // MIs[2] Operand 1
     /* 332212 */     // No operand predicates
     /* 332212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 332214 */     // (vector_insert:{ *:[v4f16] } VecListOne64:{ *:[v4f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 332214 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 332217 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 332221 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332226 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 332229 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 332233 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 332236 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332241 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 332249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 332253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332258 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 332264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 332268 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 332274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 332279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332281 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 332288 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332293 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332298 */     // GIR_Coverage, 6352,
     /* 332298 */     GIR_EraseRootFromParent_Done,
     /* 332299 */   // Label 6775: @332299
     /* 332299 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(332487), // Rule ID 5617 //
     /* 332304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 332307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 332310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 332322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 332326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 332330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 332334 */     // MIs[1] Operand 1
     /* 332334 */     // No operand predicates
     /* 332334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 332336 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 332336 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s16,
     /* 332339 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 332343 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 332350 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s16,
     /* 332353 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 332357 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332362 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 332365 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 332369 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 332372 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332377 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332382 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 332387 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 332390 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 332394 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332401 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 332404 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 332408 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332413 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332416 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 332420 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 332423 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332428 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332433 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 332441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 332445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332450 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 332456 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 332459 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 332462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 332467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332469 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 332476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332481 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332486 */     // GIR_Coverage, 5617,
     /* 332486 */     GIR_EraseRootFromParent_Done,
     /* 332487 */   // Label 6776: @332487
     /* 332487 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(332622), // Rule ID 5628 //
     /* 332492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 332495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 332498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 332510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 332514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 332518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 332522 */     // MIs[1] Operand 1
     /* 332522 */     // No operand predicates
     /* 332522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 332524 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 332524 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 332527 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 332531 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332538 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 332541 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 332545 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332550 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332553 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 332557 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 332560 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332565 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 332578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 332582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332587 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 332593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 332597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 332602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332604 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 332611 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 332616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332621 */     // GIR_Coverage, 5628,
     /* 332621 */     GIR_EraseRootFromParent_Done,
     /* 332622 */   // Label 6777: @332622
     /* 332622 */   GIM_Reject,
     /* 332623 */ // Label 6748: @332623
     /* 332623 */ GIM_Reject,
     /* 332624 */ // Label 6665: @332624
     /* 332624 */ GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(335287),
     /* 332629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 332632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 332635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 332638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332642 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(332751), // Rule ID 4202 //
     /* 332647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332651 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 332657 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 332659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 332663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332667 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332670 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 332674 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 332678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 332682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 332684 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 332691 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 332691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 332694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 332698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 332708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 332713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 332718 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 332724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 332729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 332740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332745 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 332750 */     // GIR_Coverage, 4202,
     /* 332750 */     GIR_EraseRootFromParent_Done,
     /* 332751 */   // Label 6779: @332751
     /* 332751 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(332860), // Rule ID 4203 //
     /* 332756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332760 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 332766 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 332768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 332772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332776 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 332783 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 332787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 332791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 332793 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 332800 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 332800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 332803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 332807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 332817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 332822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 332827 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 332833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 332838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 332849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 332859 */     // GIR_Coverage, 4203,
     /* 332859 */     GIR_EraseRootFromParent_Done,
     /* 332860 */   // Label 6780: @332860
     /* 332860 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(332969), // Rule ID 4310 //
     /* 332865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332869 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 332875 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 332877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 332881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332885 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332888 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 332892 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 332896 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 332900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 332902 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 332909 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 332909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 332912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 332916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 332926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 332931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 332936 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 332942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 332947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 332949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 332952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 332958 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 332963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 332968 */     // GIR_Coverage, 4310,
     /* 332968 */     GIR_EraseRootFromParent_Done,
     /* 332969 */   // Label 6781: @332969
     /* 332969 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(333078), // Rule ID 4311 //
     /* 332974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 332978 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 332984 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 332986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 332990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 332994 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 332997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333001 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333011 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 333018 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 333018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 333025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 333040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 333045 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333067 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333072 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333077 */     // GIR_Coverage, 4311,
     /* 333077 */     GIR_EraseRootFromParent_Done,
     /* 333078 */   // Label 6782: @333078
     /* 333078 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(333183), // Rule ID 4208 //
     /* 333083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333099 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333102 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333106 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 333123 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 333123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 333130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 333145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 333150 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333172 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333177 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333182 */     // GIR_Coverage, 4208,
     /* 333182 */     GIR_EraseRootFromParent_Done,
     /* 333183 */   // Label 6783: @333183
     /* 333183 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(333288), // Rule ID 4210 //
     /* 333188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333204 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333207 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333211 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333215 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 333228 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 333228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 333235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 333250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 333255 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333277 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333287 */     // GIR_Coverage, 4210,
     /* 333287 */     GIR_EraseRootFromParent_Done,
     /* 333288 */   // Label 6784: @333288
     /* 333288 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(333393), // Rule ID 4316 //
     /* 333293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333309 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333312 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333316 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333320 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333326 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 333333 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 333333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 333340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 333355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 333360 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333392 */     // GIR_Coverage, 4316,
     /* 333392 */     GIR_EraseRootFromParent_Done,
     /* 333393 */   // Label 6785: @333393
     /* 333393 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(333498), // Rule ID 4318 //
     /* 333398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333414 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333421 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 333438 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 333438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 333445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 333460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 333465 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333487 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333492 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333497 */     // GIR_Coverage, 4318,
     /* 333497 */     GIR_EraseRootFromParent_Done,
     /* 333498 */   // Label 6786: @333498
     /* 333498 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(333602), // Rule ID 4200 //
     /* 333503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333507 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 333513 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 333515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333523 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333530 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333540 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 333547 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 333547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 333554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 333569 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333591 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333596 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333601 */     // GIR_Coverage, 4200,
     /* 333601 */     GIR_EraseRootFromParent_Done,
     /* 333602 */   // Label 6787: @333602
     /* 333602 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(333706), // Rule ID 4201 //
     /* 333607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333611 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 333617 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 333619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333627 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333630 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333634 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 333651 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 333651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 333658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 333673 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333705 */     // GIR_Coverage, 4201,
     /* 333705 */     GIR_EraseRootFromParent_Done,
     /* 333706 */   // Label 6788: @333706
     /* 333706 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(333810), // Rule ID 4308 //
     /* 333711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333715 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 333721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 333723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333731 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333734 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333738 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 333755 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 333755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 333762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 333777 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333799 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333809 */     // GIR_Coverage, 4308,
     /* 333809 */     GIR_EraseRootFromParent_Done,
     /* 333810 */   // Label 6789: @333810
     /* 333810 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(333914), // Rule ID 4309 //
     /* 333815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333819 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 333825 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 333827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333835 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333838 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333842 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333846 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333852 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 333859 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 333859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 333866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 333881 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 333903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 333913 */     // GIR_Coverage, 4309,
     /* 333913 */     GIR_EraseRootFromParent_Done,
     /* 333914 */   // Label 6790: @333914
     /* 333914 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(334014), // Rule ID 4204 //
     /* 333919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 333931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 333935 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 333938 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 333942 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 333946 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 333952 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 333959 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 333959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 333962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 333966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 333976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 333981 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 333987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 333997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334003 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334008 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334013 */     // GIR_Coverage, 4204,
     /* 334013 */     GIR_EraseRootFromParent_Done,
     /* 334014 */   // Label 6791: @334014
     /* 334014 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(334114), // Rule ID 4206 //
     /* 334019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334035 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334038 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334042 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334052 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 334059 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 334059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 334066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 334081 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334103 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334108 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334113 */     // GIR_Coverage, 4206,
     /* 334113 */     GIR_EraseRootFromParent_Done,
     /* 334114 */   // Label 6792: @334114
     /* 334114 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(334214), // Rule ID 4312 //
     /* 334119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334135 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334138 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334142 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334152 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 334159 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 334159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 334166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 334181 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334203 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334208 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334213 */     // GIR_Coverage, 4312,
     /* 334213 */     GIR_EraseRootFromParent_Done,
     /* 334214 */   // Label 6793: @334214
     /* 334214 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(334314), // Rule ID 4314 //
     /* 334219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334235 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334238 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334242 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334246 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 334259 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 334259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 334266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 334281 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334313 */     // GIR_Coverage, 4314,
     /* 334313 */     GIR_EraseRootFromParent_Done,
     /* 334314 */   // Label 6794: @334314
     /* 334314 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(334392), // Rule ID 1933 //
     /* 334319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 334322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 334334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 334338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 334342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334355 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 334359 */     // MIs[2] Operand 1
     /* 334359 */     // No operand predicates
     /* 334359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 334363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334367 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 334371 */     // MIs[3] Operand 1
     /* 334371 */     // No operand predicates
     /* 334371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334373 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 334373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 334376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 334380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 334383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 334390 */     GIR_RootConstrainSelectedInstOperands,
     /* 334391 */     // GIR_Coverage, 1933,
     /* 334391 */     GIR_EraseRootFromParent_Done,
     /* 334392 */   // Label 6795: @334392
     /* 334392 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(334459), // Rule ID 5644 //
     /* 334397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 334409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 334413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 334417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334430 */     // MIs[2] Operand 1
     /* 334430 */     // No operand predicates
     /* 334430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 334434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334438 */     // MIs[3] Operand 1
     /* 334438 */     // No operand predicates
     /* 334438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334440 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 334440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 334443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334445 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 334447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 334450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 334457 */     GIR_RootConstrainSelectedInstOperands,
     /* 334458 */     // GIR_Coverage, 5644,
     /* 334458 */     GIR_EraseRootFromParent_Done,
     /* 334459 */   // Label 6796: @334459
     /* 334459 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(334557), // Rule ID 5645 //
     /* 334464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 334476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 334480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 334484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334497 */     // MIs[2] Operand 1
     /* 334497 */     // No operand predicates
     /* 334497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 334501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334505 */     // MIs[3] Operand 1
     /* 334505 */     // No operand predicates
     /* 334505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334507 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 334507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 334510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334519 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 334522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334526 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 334529 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 334542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334544 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 334546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 334549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 334555 */     GIR_RootConstrainSelectedInstOperands,
     /* 334556 */     // GIR_Coverage, 5645,
     /* 334556 */     GIR_EraseRootFromParent_Done,
     /* 334557 */   // Label 6797: @334557
     /* 334557 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(334624), // Rule ID 5668 //
     /* 334562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 334574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 334578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 334582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334595 */     // MIs[2] Operand 1
     /* 334595 */     // No operand predicates
     /* 334595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 334599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334603 */     // MIs[3] Operand 1
     /* 334603 */     // No operand predicates
     /* 334603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334605 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 334605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 334608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334610 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 334612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 334615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 334622 */     GIR_RootConstrainSelectedInstOperands,
     /* 334623 */     // GIR_Coverage, 5668,
     /* 334623 */     GIR_EraseRootFromParent_Done,
     /* 334624 */   // Label 6798: @334624
     /* 334624 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(334722), // Rule ID 5669 //
     /* 334629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 334641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 334645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 334649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 334658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334662 */     // MIs[2] Operand 1
     /* 334662 */     // No operand predicates
     /* 334662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 334666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334670 */     // MIs[3] Operand 1
     /* 334670 */     // No operand predicates
     /* 334670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 334672 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 334672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 334675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334684 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 334687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 334694 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334699 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 334707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334709 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 334711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 334714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 334720 */     GIR_RootConstrainSelectedInstOperands,
     /* 334721 */     // GIR_Coverage, 5669,
     /* 334721 */     GIR_EraseRootFromParent_Done,
     /* 334722 */   // Label 6799: @334722
     /* 334722 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(334788), // Rule ID 5603 //
     /* 334727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334739 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 334745 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 334745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 334748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 334752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 334762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 334769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334772 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334777 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334782 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334787 */     // GIR_Coverage, 5603,
     /* 334787 */     GIR_EraseRootFromParent_Done,
     /* 334788 */   // Label 6800: @334788
     /* 334788 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(334854), // Rule ID 5611 //
     /* 334793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 334811 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 334811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 334814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 334818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 334828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 334835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334838 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334843 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334848 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334853 */     // GIR_Coverage, 5611,
     /* 334853 */     GIR_EraseRootFromParent_Done,
     /* 334854 */   // Label 6801: @334854
     /* 334854 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(334907), // Rule ID 5620 //
     /* 334859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 334871 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 334875 */     // MIs[1] Operand 1
     /* 334875 */     // No operand predicates
     /* 334875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 334879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334883 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 334887 */     // MIs[2] Operand 1
     /* 334887 */     // No operand predicates
     /* 334887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334889 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32gpr:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] })
     /* 334889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 334892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334894 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 334896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 334899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 334905 */     GIR_RootConstrainSelectedInstOperands,
     /* 334906 */     // GIR_Coverage, 5620,
     /* 334906 */     GIR_EraseRootFromParent_Done,
     /* 334907 */   // Label 6802: @334907
     /* 334907 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(334976), // Rule ID 6331 //
     /* 334912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334924 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334927 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 334931 */     // MIs[1] Rn
     /* 334931 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 334935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 334940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 334944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 334948 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 334952 */     // MIs[2] Operand 1
     /* 334952 */     // No operand predicates
     /* 334952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334954 */     // (vector_insert:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 334954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 334957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334959 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 334961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 334964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 334968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334974 */     GIR_RootConstrainSelectedInstOperands,
     /* 334975 */     // GIR_Coverage, 6331,
     /* 334975 */     GIR_EraseRootFromParent_Done,
     /* 334976 */   // Label 6803: @334976
     /* 334976 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(335045), // Rule ID 6332 //
     /* 334981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 334985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 334989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334993 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 335000 */     // MIs[1] Rn
     /* 335000 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 335004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 335009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 335013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335017 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 335021 */     // MIs[2] Operand 1
     /* 335021 */     // No operand predicates
     /* 335021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335023 */     // (vector_insert:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 335023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 335026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 335030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 335033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335043 */     GIR_RootConstrainSelectedInstOperands,
     /* 335044 */     // GIR_Coverage, 6332,
     /* 335044 */     GIR_EraseRootFromParent_Done,
     /* 335045 */   // Label 6804: @335045
     /* 335045 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(335146), // Rule ID 5678 //
     /* 335050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 335058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 335062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 335071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335075 */     // MIs[2] Operand 1
     /* 335075 */     // No operand predicates
     /* 335075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335077 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 335077 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335080 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 335084 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 335091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 335098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335103 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 335110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 335113 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 335131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335133 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 335135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 335138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335144 */     GIR_RootConstrainSelectedInstOperands,
     /* 335145 */     // GIR_Coverage, 5678,
     /* 335145 */     GIR_EraseRootFromParent_Done,
     /* 335146 */   // Label 6805: @335146
     /* 335146 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(335190), // Rule ID 1929 //
     /* 335151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 335154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 335162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 335166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 335174 */     // MIs[1] Operand 1
     /* 335174 */     // No operand predicates
     /* 335174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335176 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32gpr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 335176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 335179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335181 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 335183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 335186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 335188 */     GIR_RootConstrainSelectedInstOperands,
     /* 335189 */     // GIR_Coverage, 1929,
     /* 335189 */     GIR_EraseRootFromParent_Done,
     /* 335190 */   // Label 6806: @335190
     /* 335190 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(335286), // Rule ID 5625 //
     /* 335195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 335207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 335215 */     // MIs[1] Operand 1
     /* 335215 */     // No operand predicates
     /* 335215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335217 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 335217 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 335220 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 335224 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 335231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 335234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 335238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335243 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 335250 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 335253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 335271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335273 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 335275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 335278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335284 */     GIR_RootConstrainSelectedInstOperands,
     /* 335285 */     // GIR_Coverage, 5625,
     /* 335285 */     GIR_EraseRootFromParent_Done,
     /* 335286 */   // Label 6807: @335286
     /* 335286 */   GIM_Reject,
     /* 335287 */ // Label 6778: @335287
     /* 335287 */ GIM_Reject,
     /* 335288 */ // Label 6666: @335288
     /* 335288 */ GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(337131),
     /* 335293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 335296 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(335422), // Rule ID 4142 //
     /* 335301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335315 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335321 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335331 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335334 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335338 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335345 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335349 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335355 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 335362 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 335362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 335369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335389 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 335411 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 335421 */     // GIR_Coverage, 4142,
     /* 335421 */     GIR_EraseRootFromParent_Done,
     /* 335422 */   // Label 6809: @335422
     /* 335422 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(335548), // Rule ID 4143 //
     /* 335427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335441 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335447 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335457 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335460 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335464 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335471 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335475 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 335488 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 335488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 335495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335515 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 335537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 335547 */     // GIR_Coverage, 4143,
     /* 335547 */     GIR_EraseRootFromParent_Done,
     /* 335548 */   // Label 6810: @335548
     /* 335548 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(335670), // Rule ID 4148 //
     /* 335553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335579 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335582 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335586 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335593 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335597 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335603 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 335610 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 335610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 335617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335637 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 335659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335664 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 335669 */     // GIR_Coverage, 4148,
     /* 335669 */     GIR_EraseRootFromParent_Done,
     /* 335670 */   // Label 6811: @335670
     /* 335670 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(335792), // Rule ID 4150 //
     /* 335675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335701 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335704 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335708 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335715 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335725 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 335732 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 335732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 335739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335759 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 335781 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335786 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 335791 */     // GIR_Coverage, 4150,
     /* 335791 */     GIR_EraseRootFromParent_Done,
     /* 335792 */   // Label 6812: @335792
     /* 335792 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(335913), // Rule ID 4140 //
     /* 335797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335811 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335817 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335827 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335830 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335834 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335841 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335845 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335851 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 335858 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 335858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 335865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335880 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 335902 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 335912 */     // GIR_Coverage, 4140,
     /* 335912 */     GIR_EraseRootFromParent_Done,
     /* 335913 */   // Label 6813: @335913
     /* 335913 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(336034), // Rule ID 4141 //
     /* 335918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335932 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335938 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335948 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335951 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335955 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335962 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335966 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335972 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 335979 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 335979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 335982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 335986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336001 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 336023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336028 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 336033 */     // GIR_Coverage, 4141,
     /* 336033 */     GIR_EraseRootFromParent_Done,
     /* 336034 */   // Label 6814: @336034
     /* 336034 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(336151), // Rule ID 4144 //
     /* 336039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336065 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336068 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336072 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 336079 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336083 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336089 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 336096 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 336096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 336099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 336103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336118 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 336140 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 336150 */     // GIR_Coverage, 4144,
     /* 336150 */     GIR_EraseRootFromParent_Done,
     /* 336151 */   // Label 6815: @336151
     /* 336151 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(336268), // Rule ID 4146 //
     /* 336156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336182 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336185 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336189 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 336196 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 336213 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 336213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 336216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 336220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336235 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 336257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336262 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 336267 */     // GIR_Coverage, 4146,
     /* 336267 */     GIR_EraseRootFromParent_Done,
     /* 336268 */   // Label 6816: @336268
     /* 336268 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(336408), // Rule ID 5658 //
     /* 336273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 336295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 336299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 336303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 336312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336316 */     // MIs[2] Operand 1
     /* 336316 */     // No operand predicates
     /* 336316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 336320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336324 */     // MIs[3] Operand 1
     /* 336324 */     // No operand predicates
     /* 336324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336326 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 336326 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336329 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336333 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336338 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336341 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 336345 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336348 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336353 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 336365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336370 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 336376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336390 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336402 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336407 */     // GIR_Coverage, 5658,
     /* 336407 */     GIR_EraseRootFromParent_Done,
     /* 336408 */   // Label 6817: @336408
     /* 336408 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(336579), // Rule ID 5659 //
     /* 336413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 336435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 336439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 336443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 336452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336456 */     // MIs[2] Operand 1
     /* 336456 */     // No operand predicates
     /* 336456 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 336460 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336464 */     // MIs[3] Operand 1
     /* 336464 */     // No operand predicates
     /* 336464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336466 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 336466 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 336469 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336473 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336478 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 336481 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336485 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 336488 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336493 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336498 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336501 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336505 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336510 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336513 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 336517 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336520 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336525 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 336537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336542 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 336548 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 336551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336561 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336578 */     // GIR_Coverage, 5659,
     /* 336578 */     GIR_EraseRootFromParent_Done,
     /* 336579 */   // Label 6818: @336579
     /* 336579 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(336658), // Rule ID 5590 //
     /* 336584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 336606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 336612 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 336612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 336628 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336657 */     // GIR_Coverage, 5590,
     /* 336657 */     GIR_EraseRootFromParent_Done,
     /* 336658 */   // Label 6819: @336658
     /* 336658 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(336807), // Rule ID 6348 //
     /* 336663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336685 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336688 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 336692 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 336699 */     // MIs[1] Rn
     /* 336699 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 336703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 336708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 336712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336716 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 336720 */     // MIs[2] Operand 1
     /* 336720 */     // No operand predicates
     /* 336720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336722 */     // (vector_insert:{ *:[v8i8] } VecListOne64:{ *:[v8i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (LD1i8:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 336722 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336725 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336729 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336734 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336737 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 336741 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336744 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336749 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 336761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336766 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 336772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336776 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336789 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336806 */     // GIR_Coverage, 6348,
     /* 336806 */     GIR_EraseRootFromParent_Done,
     /* 336807 */   // Label 6820: @336807
     /* 336807 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(336942), // Rule ID 5629 //
     /* 336812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 336815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 336830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 336834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 336842 */     // MIs[1] Operand 1
     /* 336842 */     // No operand predicates
     /* 336842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 336844 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 336844 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 336847 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 336851 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 336858 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 336861 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 336865 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336870 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 336873 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 336877 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336880 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336885 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336890 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 336902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336907 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 336913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 336917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336924 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336931 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336936 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336941 */     // GIR_Coverage, 5629,
     /* 336941 */     GIR_EraseRootFromParent_Done,
     /* 336942 */   // Label 6821: @336942
     /* 336942 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(337130), // Rule ID 5630 //
     /* 336947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 336950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 336953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 336965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 336969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 336977 */     // MIs[1] Operand 1
     /* 336977 */     // No operand predicates
     /* 336977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 336979 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 336979 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s8,
     /* 336982 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 336986 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 336993 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 336996 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337000 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337005 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 337008 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 337012 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/1,
     /* 337015 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337020 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337025 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 337030 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 337033 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337037 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 337044 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 337047 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337051 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337056 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 337059 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 337063 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337066 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337071 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337076 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 337088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337093 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 337099 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 337102 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337112 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337119 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337124 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337129 */     // GIR_Coverage, 5630,
     /* 337129 */     GIR_EraseRootFromParent_Done,
     /* 337130 */   // Label 6822: @337130
     /* 337130 */   GIM_Reject,
     /* 337131 */ // Label 6808: @337131
     /* 337131 */ GIM_Reject,
     /* 337132 */ // Label 6667: @337132
     /* 337132 */ GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(340106),
     /* 337137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 337140 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(337266), // Rule ID 4166 //
     /* 337145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 337148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337159 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337165 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337175 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337178 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337182 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337189 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337199 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 337206 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 337213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337233 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337255 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337260 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337265 */     // GIR_Coverage, 4166,
     /* 337265 */     GIR_EraseRootFromParent_Done,
     /* 337266 */   // Label 6824: @337266
     /* 337266 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(337392), // Rule ID 4167 //
     /* 337271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 337274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337285 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337291 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337301 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337304 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337308 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337315 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337325 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 337332 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 337339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337359 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337381 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337386 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337391 */     // GIR_Coverage, 4167,
     /* 337391 */     GIR_EraseRootFromParent_Done,
     /* 337392 */   // Label 6825: @337392
     /* 337392 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(337511), // Rule ID 4274 //
     /* 337397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 337400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337411 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337417 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337427 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337430 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337434 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337438 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337444 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 337451 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 337458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337478 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337500 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337505 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337510 */     // GIR_Coverage, 4274,
     /* 337510 */     GIR_EraseRootFromParent_Done,
     /* 337511 */   // Label 6826: @337511
     /* 337511 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(337630), // Rule ID 4275 //
     /* 337516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 337519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337530 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337536 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337546 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337549 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337553 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337563 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 337570 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 337577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337597 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337619 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337624 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337629 */     // GIR_Coverage, 4275,
     /* 337629 */     GIR_EraseRootFromParent_Done,
     /* 337630 */   // Label 6827: @337630
     /* 337630 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(337752), // Rule ID 4172 //
     /* 337635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 337638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337661 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337664 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337668 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337675 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337679 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337685 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 337692 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 337699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337719 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337741 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337751 */     // GIR_Coverage, 4172,
     /* 337751 */     GIR_EraseRootFromParent_Done,
     /* 337752 */   // Label 6828: @337752
     /* 337752 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(337874), // Rule ID 4174 //
     /* 337757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 337760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337783 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337786 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337790 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337797 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337807 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 337814 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 337821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337841 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337863 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337873 */     // GIR_Coverage, 4174,
     /* 337873 */     GIR_EraseRootFromParent_Done,
     /* 337874 */   // Label 6829: @337874
     /* 337874 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(337989), // Rule ID 4280 //
     /* 337879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 337882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337905 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337908 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337912 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337922 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 337929 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 337929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 337932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 337936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337956 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 337978 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 337988 */     // GIR_Coverage, 4280,
     /* 337988 */     GIR_EraseRootFromParent_Done,
     /* 337989 */   // Label 6830: @337989
     /* 337989 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(338104), // Rule ID 4282 //
     /* 337994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 337997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338020 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338027 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338037 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 338044 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 338044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 338051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 338066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 338071 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338093 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338098 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338103 */     // GIR_Coverage, 4282,
     /* 338103 */     GIR_EraseRootFromParent_Done,
     /* 338104 */   // Label 6831: @338104
     /* 338104 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(338225), // Rule ID 4164 //
     /* 338109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 338112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338123 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338129 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338139 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338142 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338146 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 338153 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338157 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338163 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 338170 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 338170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 338177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338192 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338219 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338224 */     // GIR_Coverage, 4164,
     /* 338224 */     GIR_EraseRootFromParent_Done,
     /* 338225 */   // Label 6832: @338225
     /* 338225 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(338346), // Rule ID 4165 //
     /* 338230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 338233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338244 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338250 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338260 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338263 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338267 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 338274 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 338291 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 338291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 338298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338313 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338335 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338345 */     // GIR_Coverage, 4165,
     /* 338345 */     GIR_EraseRootFromParent_Done,
     /* 338346 */   // Label 6833: @338346
     /* 338346 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(338460), // Rule ID 4272 //
     /* 338351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 338354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338365 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338371 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338381 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338384 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338388 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 338405 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 338405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 338412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338427 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338459 */     // GIR_Coverage, 4272,
     /* 338459 */     GIR_EraseRootFromParent_Done,
     /* 338460 */   // Label 6834: @338460
     /* 338460 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(338574), // Rule ID 4273 //
     /* 338465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 338468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338479 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338485 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338495 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338498 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338502 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338512 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 338519 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 338519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 338526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338541 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338563 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338573 */     // GIR_Coverage, 4273,
     /* 338573 */     GIR_EraseRootFromParent_Done,
     /* 338574 */   // Label 6835: @338574
     /* 338574 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(338691), // Rule ID 4168 //
     /* 338579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 338582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338605 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338608 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338612 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 338619 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338629 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 338636 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 338636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 338643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338658 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338680 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338685 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338690 */     // GIR_Coverage, 4168,
     /* 338690 */     GIR_EraseRootFromParent_Done,
     /* 338691 */   // Label 6836: @338691
     /* 338691 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(338808), // Rule ID 4170 //
     /* 338696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 338699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338722 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338725 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338729 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 338736 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338746 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 338753 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 338753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 338760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338775 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338802 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338807 */     // GIR_Coverage, 4170,
     /* 338807 */     GIR_EraseRootFromParent_Done,
     /* 338808 */   // Label 6837: @338808
     /* 338808 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(338918), // Rule ID 4276 //
     /* 338813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 338816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338839 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338842 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338846 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338856 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 338863 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 338863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 338870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338885 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 338907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338912 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 338917 */     // GIR_Coverage, 4276,
     /* 338917 */     GIR_EraseRootFromParent_Done,
     /* 338918 */   // Label 6838: @338918
     /* 338918 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(339028), // Rule ID 4278 //
     /* 338923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 338926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 338929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338949 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338952 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338956 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338960 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 338973 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 338973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 338976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 338980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338995 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 339017 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 339027 */     // GIR_Coverage, 4278,
     /* 339027 */     GIR_EraseRootFromParent_Done,
     /* 339028 */   // Label 6839: @339028
     /* 339028 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(339116), // Rule ID 1932 //
     /* 339033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 339036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 339062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339079 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339083 */     // MIs[2] Operand 1
     /* 339083 */     // No operand predicates
     /* 339083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339091 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339095 */     // MIs[3] Operand 1
     /* 339095 */     // No operand predicates
     /* 339095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339097 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 339097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 339100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339102 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 339107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 339114 */     GIR_RootConstrainSelectedInstOperands,
     /* 339115 */     // GIR_Coverage, 1932,
     /* 339115 */     GIR_EraseRootFromParent_Done,
     /* 339116 */   // Label 6840: @339116
     /* 339116 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(339193), // Rule ID 5638 //
     /* 339121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 339147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339164 */     // MIs[2] Operand 1
     /* 339164 */     // No operand predicates
     /* 339164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339172 */     // MIs[3] Operand 1
     /* 339172 */     // No operand predicates
     /* 339172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339174 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 339174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 339177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339179 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339191 */     GIR_RootConstrainSelectedInstOperands,
     /* 339192 */     // GIR_Coverage, 5638,
     /* 339192 */     GIR_EraseRootFromParent_Done,
     /* 339193 */   // Label 6841: @339193
     /* 339193 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(339301), // Rule ID 5639 //
     /* 339198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 339224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339241 */     // MIs[2] Operand 1
     /* 339241 */     // No operand predicates
     /* 339241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339249 */     // MIs[3] Operand 1
     /* 339249 */     // No operand predicates
     /* 339249 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339251 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 339251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339266 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339270 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 339273 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339278 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 339286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339288 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339299 */     GIR_RootConstrainSelectedInstOperands,
     /* 339300 */     // GIR_Coverage, 5639,
     /* 339300 */     GIR_EraseRootFromParent_Done,
     /* 339301 */   // Label 6842: @339301
     /* 339301 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(339378), // Rule ID 5662 //
     /* 339306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 339332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339349 */     // MIs[2] Operand 1
     /* 339349 */     // No operand predicates
     /* 339349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339357 */     // MIs[3] Operand 1
     /* 339357 */     // No operand predicates
     /* 339357 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339359 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 339359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 339362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339364 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339376 */     GIR_RootConstrainSelectedInstOperands,
     /* 339377 */     // GIR_Coverage, 5662,
     /* 339377 */     GIR_EraseRootFromParent_Done,
     /* 339378 */   // Label 6843: @339378
     /* 339378 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(339486), // Rule ID 5663 //
     /* 339383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 339409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339426 */     // MIs[2] Operand 1
     /* 339426 */     // No operand predicates
     /* 339426 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339430 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339434 */     // MIs[3] Operand 1
     /* 339434 */     // No operand predicates
     /* 339434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339436 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 339436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339455 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 339458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339463 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 339471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339484 */     GIR_RootConstrainSelectedInstOperands,
     /* 339485 */     // GIR_Coverage, 5663,
     /* 339485 */     GIR_EraseRootFromParent_Done,
     /* 339486 */   // Label 6844: @339486
     /* 339486 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(339565), // Rule ID 5593 //
     /* 339491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 339513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339519 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 339519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 339522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 339535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 339554 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339559 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339564 */     // GIR_Coverage, 5593,
     /* 339564 */     GIR_EraseRootFromParent_Done,
     /* 339565 */   // Label 6845: @339565
     /* 339565 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(339641), // Rule ID 5599 //
     /* 339570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 339592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339598 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 339598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 339601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 339622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 339625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339630 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339635 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 339640 */     // GIR_Coverage, 5599,
     /* 339640 */     GIR_EraseRootFromParent_Done,
     /* 339641 */   // Label 6846: @339641
     /* 339641 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(339717), // Rule ID 5609 //
     /* 339646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 339668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339674 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 339674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 339677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 339698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 339701 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339711 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 339716 */     // GIR_Coverage, 5609,
     /* 339716 */     GIR_EraseRootFromParent_Done,
     /* 339717 */   // Label 6847: @339717
     /* 339717 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(339780), // Rule ID 5618 //
     /* 339722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 339744 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 339748 */     // MIs[1] Operand 1
     /* 339748 */     // No operand predicates
     /* 339748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339756 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339760 */     // MIs[2] Operand 1
     /* 339760 */     // No operand predicates
     /* 339760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339762 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16gpr:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] })
     /* 339762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 339765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 339769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 339772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 339778 */     GIR_RootConstrainSelectedInstOperands,
     /* 339779 */     // GIR_Coverage, 5618,
     /* 339779 */     GIR_EraseRootFromParent_Done,
     /* 339780 */   // Label 6848: @339780
     /* 339780 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(339866), // Rule ID 6330 //
     /* 339785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339810 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 339814 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 339821 */     // MIs[1] Rn
     /* 339821 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 339825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 339830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339838 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339842 */     // MIs[2] Operand 1
     /* 339842 */     // No operand predicates
     /* 339842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339844 */     // (vector_insert:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 339844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 339847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339849 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 339854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339864 */     GIR_RootConstrainSelectedInstOperands,
     /* 339865 */     // GIR_Coverage, 6330,
     /* 339865 */     GIR_EraseRootFromParent_Done,
     /* 339866 */   // Label 6849: @339866
     /* 339866 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(339945), // Rule ID 6335 //
     /* 339871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 339874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339893 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339896 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 339900 */     // MIs[1] Rn
     /* 339900 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 339904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 339909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339917 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339921 */     // MIs[2] Operand 1
     /* 339921 */     // No operand predicates
     /* 339921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339923 */     // (vector_insert:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 339923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 339926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 339933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339943 */     GIR_RootConstrainSelectedInstOperands,
     /* 339944 */     // GIR_Coverage, 6335,
     /* 339944 */     GIR_EraseRootFromParent_Done,
     /* 339945 */   // Label 6850: @339945
     /* 339945 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(339999), // Rule ID 1928 //
     /* 339950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 339953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 339956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 339971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 339975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 339983 */     // MIs[1] Operand 1
     /* 339983 */     // No operand predicates
     /* 339983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339985 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16gpr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 339985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 339988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 339995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 339997 */     GIR_RootConstrainSelectedInstOperands,
     /* 339998 */     // GIR_Coverage, 1928,
     /* 339998 */     GIR_EraseRootFromParent_Done,
     /* 339999 */   // Label 6851: @339999
     /* 339999 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(340105), // Rule ID 5623 //
     /* 340004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 340007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 340026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 340034 */     // MIs[1] Operand 1
     /* 340034 */     // No operand predicates
     /* 340034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 340036 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 340036 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 340039 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 340043 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 340050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 340053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 340057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340062 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 340065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 340069 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 340072 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340077 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 340090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340092 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 340094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 340097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340103 */     GIR_RootConstrainSelectedInstOperands,
     /* 340104 */     // GIR_Coverage, 5623,
     /* 340104 */     GIR_EraseRootFromParent_Done,
     /* 340105 */   // Label 6852: @340105
     /* 340105 */   GIM_Reject,
     /* 340106 */ // Label 6823: @340106
     /* 340106 */ GIM_Reject,
     /* 340107 */ // Label 6668: @340107
     /* 340107 */ GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(341686),
     /* 340112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 340115 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(340241), // Rule ID 4130 //
     /* 340120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340134 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340140 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340150 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340153 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340157 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340164 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340174 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 340181 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 340181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 340188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340208 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340240 */     // GIR_Coverage, 4130,
     /* 340240 */     GIR_EraseRootFromParent_Done,
     /* 340241 */   // Label 6854: @340241
     /* 340241 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(340367), // Rule ID 4131 //
     /* 340246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340260 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340266 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340276 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340279 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340283 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340290 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340294 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340300 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 340307 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 340307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 340314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340334 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340356 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340361 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340366 */     // GIR_Coverage, 4131,
     /* 340366 */     GIR_EraseRootFromParent_Done,
     /* 340367 */   // Label 6855: @340367
     /* 340367 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(340489), // Rule ID 4136 //
     /* 340372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340398 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340401 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340405 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340412 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340416 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340422 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 340429 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 340429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 340436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340456 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340478 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340483 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340488 */     // GIR_Coverage, 4136,
     /* 340488 */     GIR_EraseRootFromParent_Done,
     /* 340489 */   // Label 6856: @340489
     /* 340489 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(340611), // Rule ID 4138 //
     /* 340494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340520 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340523 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340527 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340534 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340544 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 340551 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 340551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 340558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340578 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340600 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340605 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340610 */     // GIR_Coverage, 4138,
     /* 340610 */     GIR_EraseRootFromParent_Done,
     /* 340611 */   // Label 6857: @340611
     /* 340611 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(340732), // Rule ID 4128 //
     /* 340616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340630 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340636 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340646 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340649 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340653 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340660 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 340677 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 340677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 340684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340699 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340721 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340731 */     // GIR_Coverage, 4128,
     /* 340731 */     GIR_EraseRootFromParent_Done,
     /* 340732 */   // Label 6858: @340732
     /* 340732 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(340853), // Rule ID 4129 //
     /* 340737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340751 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340757 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340767 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340770 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340774 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340781 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340785 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340791 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 340798 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 340798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 340805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340820 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340842 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340847 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340852 */     // GIR_Coverage, 4129,
     /* 340852 */     GIR_EraseRootFromParent_Done,
     /* 340853 */   // Label 6859: @340853
     /* 340853 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(340970), // Rule ID 4132 //
     /* 340858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340884 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340887 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340891 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 340898 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340902 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 340915 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 340915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 340918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 340922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340937 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 340959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 340969 */     // GIR_Coverage, 4132,
     /* 340969 */     GIR_EraseRootFromParent_Done,
     /* 340970 */   // Label 6860: @340970
     /* 340970 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(341087), // Rule ID 4134 //
     /* 340975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341001 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341004 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341008 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 341015 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341025 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 341032 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 341032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 341035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 341039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341054 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 341076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341081 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 341086 */     // GIR_Coverage, 4134,
     /* 341086 */     GIR_EraseRootFromParent_Done,
     /* 341087 */   // Label 6861: @341087
     /* 341087 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(341175), // Rule ID 1931 //
     /* 341092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 341095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 341121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341138 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 341142 */     // MIs[2] Operand 1
     /* 341142 */     // No operand predicates
     /* 341142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341150 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 341154 */     // MIs[3] Operand 1
     /* 341154 */     // No operand predicates
     /* 341154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341156 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 341156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 341159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 341166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 341173 */     GIR_RootConstrainSelectedInstOperands,
     /* 341174 */     // GIR_Coverage, 1931,
     /* 341174 */     GIR_EraseRootFromParent_Done,
     /* 341175 */   // Label 6862: @341175
     /* 341175 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(341252), // Rule ID 5656 //
     /* 341180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 341206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341223 */     // MIs[2] Operand 1
     /* 341223 */     // No operand predicates
     /* 341223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341231 */     // MIs[3] Operand 1
     /* 341231 */     // No operand predicates
     /* 341231 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341233 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 341233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 341236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341238 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341250 */     GIR_RootConstrainSelectedInstOperands,
     /* 341251 */     // GIR_Coverage, 5656,
     /* 341251 */     GIR_EraseRootFromParent_Done,
     /* 341252 */   // Label 6863: @341252
     /* 341252 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(341360), // Rule ID 5657 //
     /* 341257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 341283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341300 */     // MIs[2] Operand 1
     /* 341300 */     // No operand predicates
     /* 341300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341308 */     // MIs[3] Operand 1
     /* 341308 */     // No operand predicates
     /* 341308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341310 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 341310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 341313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341322 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 341325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341329 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 341332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341337 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 341345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341347 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341358 */     GIR_RootConstrainSelectedInstOperands,
     /* 341359 */     // GIR_Coverage, 5657,
     /* 341359 */     GIR_EraseRootFromParent_Done,
     /* 341360 */   // Label 6864: @341360
     /* 341360 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(341439), // Rule ID 5588 //
     /* 341365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 341387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 341393 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 341393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 341396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 341400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 341409 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 341414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 341428 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341433 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 341438 */     // GIR_Coverage, 5588,
     /* 341438 */     GIR_EraseRootFromParent_Done,
     /* 341439 */   // Label 6865: @341439
     /* 341439 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(341525), // Rule ID 6329 //
     /* 341444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341469 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 341473 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 341480 */     // MIs[1] Rn
     /* 341480 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 341484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 341489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 341493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341497 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 341501 */     // MIs[2] Operand 1
     /* 341501 */     // No operand predicates
     /* 341501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341503 */     // (vector_insert:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (LD1i8:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 341503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 341506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 341513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341523 */     GIR_RootConstrainSelectedInstOperands,
     /* 341524 */     // GIR_Coverage, 6329,
     /* 341524 */     GIR_EraseRootFromParent_Done,
     /* 341525 */   // Label 6866: @341525
     /* 341525 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(341579), // Rule ID 1927 //
     /* 341530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 341533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 341551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 341555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 341563 */     // MIs[1] Operand 1
     /* 341563 */     // No operand predicates
     /* 341563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 341565 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8gpr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 341565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 341568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341570 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 341575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 341577 */     GIR_RootConstrainSelectedInstOperands,
     /* 341578 */     // GIR_Coverage, 1927,
     /* 341578 */     GIR_EraseRootFromParent_Done,
     /* 341579 */   // Label 6867: @341579
     /* 341579 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(341685), // Rule ID 5631 //
     /* 341584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 341587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 341602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 341606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 341614 */     // MIs[1] Operand 1
     /* 341614 */     // No operand predicates
     /* 341614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 341616 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 341616 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 341619 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341623 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 341633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341642 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 341645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 341649 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 341652 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341657 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 341667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 341670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341672 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 341674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 341677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341683 */     GIR_RootConstrainSelectedInstOperands,
     /* 341684 */     // GIR_Coverage, 5631,
     /* 341684 */     GIR_EraseRootFromParent_Done,
     /* 341685 */   // Label 6868: @341685
     /* 341685 */   GIM_Reject,
     /* 341686 */ // Label 6853: @341686
     /* 341686 */ GIM_Reject,
     /* 341687 */ // Label 6669: @341687
     /* 341687 */ GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(341811), // Rule ID 10982 //
     /* 341692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 341695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 341698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 341701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 341716 */   // (vector_insert:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f16] }:$src)
     /* 341716 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 341719 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 341723 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341728 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 341732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 341734 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 341737 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 341741 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341746 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 341749 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 341752 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 341754 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 341757 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 341761 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341766 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 341769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 341774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 341778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341783 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 341786 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 341789 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 341792 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 341795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 341800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 341802 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 341804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341807 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 341809 */   GIR_RootConstrainSelectedInstOperands,
     /* 341810 */   // GIR_Coverage, 10982,
     /* 341810 */   GIR_EraseRootFromParent_Done,
     /* 341811 */ // Label 6869: @341811
     /* 341811 */ GIM_Reject,
     /* 341812 */ // Label 6670: @341812
     /* 341812 */ GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(341936), // Rule ID 10985 //
     /* 341817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 341820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 341823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 341837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 341841 */   // (vector_insert:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f32] }:$src)
     /* 341841 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 341844 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 341848 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341853 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 341857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 341859 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 341862 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 341866 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341871 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 341874 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 341877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 341879 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 341882 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 341886 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341891 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 341894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 341899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 341903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341908 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 341911 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 341914 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 341917 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 341920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 341925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 341927 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 341929 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341932 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 341934 */   GIR_RootConstrainSelectedInstOperands,
     /* 341935 */   // GIR_Coverage, 10985,
     /* 341935 */   GIR_EraseRootFromParent_Done,
     /* 341936 */ // Label 6870: @341936
     /* 341936 */ GIM_Reject,
     /* 341937 */ // Label 6671: @341937
     /* 341937 */ GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(343850),
     /* 341942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 341945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 341948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341955 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(342064), // Rule ID 4262 //
     /* 341960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341964 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 341970 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 341972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341980 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341987 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341991 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 342004 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 342011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342031 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342058 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342063 */     // GIR_Coverage, 4262,
     /* 342063 */     GIR_EraseRootFromParent_Done,
     /* 342064 */   // Label 6872: @342064
     /* 342064 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(342173), // Rule ID 4263 //
     /* 342069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342073 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342079 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342089 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342092 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342096 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342106 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 342113 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 342120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342140 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342162 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342167 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342172 */     // GIR_Coverage, 4263,
     /* 342172 */     GIR_EraseRootFromParent_Done,
     /* 342173 */   // Label 6873: @342173
     /* 342173 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(342282), // Rule ID 4370 //
     /* 342178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342182 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342188 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342198 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342201 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342205 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 342222 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 342229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342249 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342281 */     // GIR_Coverage, 4370,
     /* 342281 */     GIR_EraseRootFromParent_Done,
     /* 342282 */   // Label 6874: @342282
     /* 342282 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(342391), // Rule ID 4371 //
     /* 342287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342291 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342297 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342307 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342310 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342314 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342324 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 342331 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 342338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342358 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342390 */     // GIR_Coverage, 4371,
     /* 342390 */     GIR_EraseRootFromParent_Done,
     /* 342391 */   // Label 6875: @342391
     /* 342391 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(342496), // Rule ID 4268 //
     /* 342396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342412 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342415 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342419 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342423 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342429 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 342436 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 342443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342463 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342485 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342490 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342495 */     // GIR_Coverage, 4268,
     /* 342495 */     GIR_EraseRootFromParent_Done,
     /* 342496 */   // Label 6876: @342496
     /* 342496 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(342601), // Rule ID 4270 //
     /* 342501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342517 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342520 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342524 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342528 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342534 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 342541 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 342548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342568 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342590 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342595 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342600 */     // GIR_Coverage, 4270,
     /* 342600 */     GIR_EraseRootFromParent_Done,
     /* 342601 */   // Label 6877: @342601
     /* 342601 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(342706), // Rule ID 4376 //
     /* 342606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342622 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342625 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342629 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342633 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342639 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 342646 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 342653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342673 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342705 */     // GIR_Coverage, 4376,
     /* 342705 */     GIR_EraseRootFromParent_Done,
     /* 342706 */   // Label 6878: @342706
     /* 342706 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(342811), // Rule ID 4378 //
     /* 342711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342727 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342730 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342734 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342738 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342744 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 342751 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 342751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 342758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342778 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342810 */     // GIR_Coverage, 4378,
     /* 342810 */     GIR_EraseRootFromParent_Done,
     /* 342811 */   // Label 6879: @342811
     /* 342811 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(342915), // Rule ID 4260 //
     /* 342816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342820 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342826 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342836 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342839 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342843 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342847 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 342860 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 342860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 342867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 342882 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 342909 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342914 */     // GIR_Coverage, 4260,
     /* 342914 */     GIR_EraseRootFromParent_Done,
     /* 342915 */   // Label 6880: @342915
     /* 342915 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(343019), // Rule ID 4261 //
     /* 342920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342924 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342930 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342940 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342947 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342951 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342957 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 342964 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 342964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 342967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 342971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 342986 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343008 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343013 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343018 */     // GIR_Coverage, 4261,
     /* 343018 */     GIR_EraseRootFromParent_Done,
     /* 343019 */   // Label 6881: @343019
     /* 343019 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(343123), // Rule ID 4368 //
     /* 343024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343028 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343034 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343044 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343047 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343051 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 343068 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 343068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 343075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343090 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343112 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343122 */     // GIR_Coverage, 4368,
     /* 343122 */     GIR_EraseRootFromParent_Done,
     /* 343123 */   // Label 6882: @343123
     /* 343123 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(343227), // Rule ID 4369 //
     /* 343128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343132 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343138 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343148 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343151 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343155 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 343172 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 343172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 343179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343194 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343216 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343221 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343226 */     // GIR_Coverage, 4369,
     /* 343226 */     GIR_EraseRootFromParent_Done,
     /* 343227 */   // Label 6883: @343227
     /* 343227 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(343327), // Rule ID 4264 //
     /* 343232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343248 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343255 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343259 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 343272 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 343272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 343279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343294 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343321 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343326 */     // GIR_Coverage, 4264,
     /* 343326 */     GIR_EraseRootFromParent_Done,
     /* 343327 */   // Label 6884: @343327
     /* 343327 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(343427), // Rule ID 4266 //
     /* 343332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343348 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343351 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343355 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343359 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343365 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 343372 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 343372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 343379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343394 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343421 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343426 */     // GIR_Coverage, 4266,
     /* 343426 */     GIR_EraseRootFromParent_Done,
     /* 343427 */   // Label 6885: @343427
     /* 343427 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(343527), // Rule ID 4372 //
     /* 343432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343448 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343451 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343455 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343465 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 343472 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 343472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 343479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343494 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343516 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343521 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343526 */     // GIR_Coverage, 4372,
     /* 343526 */     GIR_EraseRootFromParent_Done,
     /* 343527 */   // Label 6886: @343527
     /* 343527 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(343627), // Rule ID 4374 //
     /* 343532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343548 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343551 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343555 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 343572 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 343572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 343575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 343579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343594 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 343616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343626 */     // GIR_Coverage, 4374,
     /* 343626 */     GIR_EraseRootFromParent_Done,
     /* 343627 */   // Label 6887: @343627
     /* 343627 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(343738), // Rule ID 10981 //
     /* 343632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 343635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 343639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 343643 */     // (vector_insert:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), GPR64:{ *:[i64] }:$src)
     /* 343643 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 343646 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 343650 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343655 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 343659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 343661 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 343664 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 343668 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343673 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 343676 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 343679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343681 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 343684 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 343688 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343693 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 343696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 343698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 343701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 343705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343710 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343713 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 343716 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 343719 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 343722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_D),
     /* 343727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 343729 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 343731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343734 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 343736 */     GIR_RootConstrainSelectedInstOperands,
     /* 343737 */     // GIR_Coverage, 10981,
     /* 343737 */     GIR_EraseRootFromParent_Done,
     /* 343738 */   // Label 6888: @343738
     /* 343738 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(343849), // Rule ID 10987 //
     /* 343743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 343746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 343754 */     // (vector_insert:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$vec, FPR64:{ *:[f64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } ?:{ *:[i64] }:$index)), ?:{ *:[f64] }:$src)
     /* 343754 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 343757 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 343761 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343766 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 343770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 343772 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 343775 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 343779 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343784 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 343787 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 343790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343792 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 343795 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 343799 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343804 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 343807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 343809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 343812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 343816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343821 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343824 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 343827 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 343830 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 343833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_D),
     /* 343838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 343840 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 343842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343845 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 343847 */     GIR_RootConstrainSelectedInstOperands,
     /* 343848 */     // GIR_Coverage, 10987,
     /* 343848 */     GIR_EraseRootFromParent_Done,
     /* 343849 */   // Label 6889: @343849
     /* 343849 */   GIM_Reject,
     /* 343850 */ // Label 6871: @343850
     /* 343850 */ GIM_Reject,
     /* 343851 */ // Label 6672: @343851
     /* 343851 */ GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(344002), // Rule ID 10983 //
     /* 343856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 343859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 343862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 343872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 343880 */   // (vector_insert:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 343880 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 343883 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343887 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343892 */   GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 343898 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 343903 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 343908 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 343911 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 343915 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343920 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 343923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 343925 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 343928 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 343932 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343937 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 343940 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 343943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343945 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 343948 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 343952 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343957 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 343960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 343962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 343965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 343969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343974 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343977 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 343980 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 343983 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 343986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 343991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 343993 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 343995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343998 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 344000 */   GIR_RootConstrainSelectedInstOperands,
     /* 344001 */   // GIR_Coverage, 10983,
     /* 344001 */   GIR_EraseRootFromParent_Done,
     /* 344002 */ // Label 6890: @344002
     /* 344002 */ GIM_Reject,
     /* 344003 */ // Label 6673: @344003
     /* 344003 */ GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(345970),
     /* 344008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 344011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344021 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(344130), // Rule ID 4226 //
     /* 344026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344030 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344036 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344046 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344049 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344053 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344057 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344063 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344070 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344097 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344119 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344124 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344129 */     // GIR_Coverage, 4226,
     /* 344129 */     GIR_EraseRootFromParent_Done,
     /* 344130 */   // Label 6892: @344130
     /* 344130 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(344239), // Rule ID 4227 //
     /* 344135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344139 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344145 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344155 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344158 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344162 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344166 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344179 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344206 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344233 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344238 */     // GIR_Coverage, 4227,
     /* 344238 */     GIR_EraseRootFromParent_Done,
     /* 344239 */   // Label 6893: @344239
     /* 344239 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(344348), // Rule ID 4334 //
     /* 344244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344248 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344254 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344264 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344267 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344271 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344275 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344281 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344288 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344315 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344337 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344347 */     // GIR_Coverage, 4334,
     /* 344347 */     GIR_EraseRootFromParent_Done,
     /* 344348 */   // Label 6894: @344348
     /* 344348 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(344457), // Rule ID 4335 //
     /* 344353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344357 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344363 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344373 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344376 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344380 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344384 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344390 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344397 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344424 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344446 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344451 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344456 */     // GIR_Coverage, 4335,
     /* 344456 */     GIR_EraseRootFromParent_Done,
     /* 344457 */   // Label 6895: @344457
     /* 344457 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(344562), // Rule ID 4232 //
     /* 344462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344478 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344481 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344485 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344489 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344495 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344502 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344529 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344551 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344556 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344561 */     // GIR_Coverage, 4232,
     /* 344561 */     GIR_EraseRootFromParent_Done,
     /* 344562 */   // Label 6896: @344562
     /* 344562 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(344667), // Rule ID 4234 //
     /* 344567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344583 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344586 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344590 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344594 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344600 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344607 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344634 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344666 */     // GIR_Coverage, 4234,
     /* 344666 */     GIR_EraseRootFromParent_Done,
     /* 344667 */   // Label 6897: @344667
     /* 344667 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(344772), // Rule ID 4340 //
     /* 344672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344688 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344691 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344695 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344699 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344705 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344712 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344739 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344766 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344771 */     // GIR_Coverage, 4340,
     /* 344771 */     GIR_EraseRootFromParent_Done,
     /* 344772 */   // Label 6898: @344772
     /* 344772 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(344877), // Rule ID 4342 //
     /* 344777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344793 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344796 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344800 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344804 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344817 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344844 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344871 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344876 */     // GIR_Coverage, 4342,
     /* 344876 */     GIR_EraseRootFromParent_Done,
     /* 344877 */   // Label 6899: @344877
     /* 344877 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(344981), // Rule ID 4224 //
     /* 344882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344886 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344892 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344902 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344909 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344919 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 344926 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 344926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 344933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344948 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344970 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 344975 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344980 */     // GIR_Coverage, 4224,
     /* 344980 */     GIR_EraseRootFromParent_Done,
     /* 344981 */   // Label 6900: @344981
     /* 344981 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(345085), // Rule ID 4225 //
     /* 344986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344990 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344996 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345006 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345009 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345013 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345017 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345023 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345030 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345052 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345074 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345079 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345084 */     // GIR_Coverage, 4225,
     /* 345084 */     GIR_EraseRootFromParent_Done,
     /* 345085 */   // Label 6901: @345085
     /* 345085 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(345189), // Rule ID 4332 //
     /* 345090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345094 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 345100 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 345102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345110 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345117 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345127 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345134 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345156 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345183 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345188 */     // GIR_Coverage, 4332,
     /* 345188 */     GIR_EraseRootFromParent_Done,
     /* 345189 */   // Label 6902: @345189
     /* 345189 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(345293), // Rule ID 4333 //
     /* 345194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345198 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 345204 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 345206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345214 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345217 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345221 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345225 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345238 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345260 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345292 */     // GIR_Coverage, 4333,
     /* 345292 */     GIR_EraseRootFromParent_Done,
     /* 345293 */   // Label 6903: @345293
     /* 345293 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(345393), // Rule ID 4228 //
     /* 345298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345314 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345321 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345325 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345331 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345338 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345360 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345392 */     // GIR_Coverage, 4228,
     /* 345392 */     GIR_EraseRootFromParent_Done,
     /* 345393 */   // Label 6904: @345393
     /* 345393 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(345493), // Rule ID 4230 //
     /* 345398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345414 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345421 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345431 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345438 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345460 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345482 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345487 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345492 */     // GIR_Coverage, 4230,
     /* 345492 */     GIR_EraseRootFromParent_Done,
     /* 345493 */   // Label 6905: @345493
     /* 345493 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(345593), // Rule ID 4336 //
     /* 345498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345514 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345517 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345521 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345525 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345531 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345538 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345560 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345592 */     // GIR_Coverage, 4336,
     /* 345592 */     GIR_EraseRootFromParent_Done,
     /* 345593 */   // Label 6906: @345593
     /* 345593 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(345693), // Rule ID 4338 //
     /* 345598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345614 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345617 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345621 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345625 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345631 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345638 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345660 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345687 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345692 */     // GIR_Coverage, 4338,
     /* 345692 */     GIR_EraseRootFromParent_Done,
     /* 345693 */   // Label 6907: @345693
     /* 345693 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(345831), // Rule ID 10980 //
     /* 345698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 345701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 345705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 345709 */     // (vector_insert:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 345709 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 345712 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345716 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345721 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 345727 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 345732 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 345737 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 345740 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 345744 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345749 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 345752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 345754 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 345757 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 345761 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345766 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 345769 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 345772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 345774 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 345777 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 345781 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345786 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 345789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 345791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 345794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 345798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345803 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345806 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 345809 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 345812 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 345815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_S),
     /* 345820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 345822 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 345824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345827 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 345829 */     GIR_RootConstrainSelectedInstOperands,
     /* 345830 */     // GIR_Coverage, 10980,
     /* 345830 */     GIR_EraseRootFromParent_Done,
     /* 345831 */   // Label 6908: @345831
     /* 345831 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(345969), // Rule ID 10986 //
     /* 345836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 345839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 345847 */     // (vector_insert:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f32] }:$src)
     /* 345847 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 345850 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345854 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345859 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 345865 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 345870 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 345875 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 345878 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 345882 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345887 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 345890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 345892 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 345895 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 345899 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345904 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 345907 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 345910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 345912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 345915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 345919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345924 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 345927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 345929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 345932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 345936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345941 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345944 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 345947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 345950 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 345953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 345958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 345960 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 345962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345965 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 345967 */     GIR_RootConstrainSelectedInstOperands,
     /* 345968 */     // GIR_Coverage, 10986,
     /* 345968 */     GIR_EraseRootFromParent_Done,
     /* 345969 */   // Label 6909: @345969
     /* 345969 */   GIM_Reject,
     /* 345970 */ // Label 6891: @345970
     /* 345970 */ GIM_Reject,
     /* 345971 */ // Label 6674: @345971
     /* 345971 */ GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(348164),
     /* 345976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 345979 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(346105), // Rule ID 4190 //
     /* 345984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 345994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345998 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346004 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346014 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346017 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346021 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 346028 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 346045 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 346052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346072 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346104 */     // GIR_Coverage, 4190,
     /* 346104 */     GIR_EraseRootFromParent_Done,
     /* 346105 */   // Label 6911: @346105
     /* 346105 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(346231), // Rule ID 4191 //
     /* 346110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346124 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346130 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346140 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346143 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346147 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 346154 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346164 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 346171 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 346178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346198 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346220 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346225 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346230 */     // GIR_Coverage, 4191,
     /* 346230 */     GIR_EraseRootFromParent_Done,
     /* 346231 */   // Label 6912: @346231
     /* 346231 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(346350), // Rule ID 4298 //
     /* 346236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 346239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346250 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346256 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346266 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346269 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346273 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346277 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346283 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 346290 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 346297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346317 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346349 */     // GIR_Coverage, 4298,
     /* 346349 */     GIR_EraseRootFromParent_Done,
     /* 346350 */   // Label 6913: @346350
     /* 346350 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(346469), // Rule ID 4299 //
     /* 346355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 346358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346369 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346375 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346385 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346388 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346392 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346396 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346402 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 346409 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 346416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346436 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346463 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346468 */     // GIR_Coverage, 4299,
     /* 346468 */     GIR_EraseRootFromParent_Done,
     /* 346469 */   // Label 6914: @346469
     /* 346469 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(346591), // Rule ID 4196 //
     /* 346474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346500 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346503 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346507 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 346514 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346524 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 346531 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 346538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346558 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346580 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346585 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346590 */     // GIR_Coverage, 4196,
     /* 346590 */     GIR_EraseRootFromParent_Done,
     /* 346591 */   // Label 6915: @346591
     /* 346591 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(346713), // Rule ID 4198 //
     /* 346596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346622 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346625 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346629 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 346636 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 346653 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 346660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346680 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346702 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346712 */     // GIR_Coverage, 4198,
     /* 346712 */     GIR_EraseRootFromParent_Done,
     /* 346713 */   // Label 6916: @346713
     /* 346713 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(346828), // Rule ID 4304 //
     /* 346718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 346721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346744 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346751 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 346768 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 346775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346795 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346817 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346827 */     // GIR_Coverage, 4304,
     /* 346827 */     GIR_EraseRootFromParent_Done,
     /* 346828 */   // Label 6917: @346828
     /* 346828 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(346943), // Rule ID 4306 //
     /* 346833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 346836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346859 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346862 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346866 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346870 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346876 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 346883 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 346883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 346886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 346890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346910 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 346932 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 346942 */     // GIR_Coverage, 4306,
     /* 346942 */     GIR_EraseRootFromParent_Done,
     /* 346943 */   // Label 6918: @346943
     /* 346943 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(347064), // Rule ID 4188 //
     /* 346948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 346958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346962 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346968 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346978 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346981 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346985 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 346992 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347002 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 347009 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 347009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 347016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347031 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347058 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347063 */     // GIR_Coverage, 4188,
     /* 347063 */     GIR_EraseRootFromParent_Done,
     /* 347064 */   // Label 6919: @347064
     /* 347064 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(347185), // Rule ID 4189 //
     /* 347069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347083 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347089 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347099 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347102 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347106 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 347113 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347117 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347123 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 347130 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 347130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 347137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347152 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347174 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347179 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347184 */     // GIR_Coverage, 4189,
     /* 347184 */     GIR_EraseRootFromParent_Done,
     /* 347185 */   // Label 6920: @347185
     /* 347185 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(347299), // Rule ID 4296 //
     /* 347190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 347193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347204 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347210 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347220 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347223 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347227 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347237 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 347244 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 347244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 347251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347266 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347288 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347293 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347298 */     // GIR_Coverage, 4296,
     /* 347298 */     GIR_EraseRootFromParent_Done,
     /* 347299 */   // Label 6921: @347299
     /* 347299 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(347413), // Rule ID 4297 //
     /* 347304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 347307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347318 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347324 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347334 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347337 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347341 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347345 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 347358 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 347358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 347365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347380 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347402 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347407 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347412 */     // GIR_Coverage, 4297,
     /* 347412 */     GIR_EraseRootFromParent_Done,
     /* 347413 */   // Label 6922: @347413
     /* 347413 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(347530), // Rule ID 4192 //
     /* 347418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347444 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347447 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347451 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 347458 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347468 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 347475 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 347475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 347482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347497 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347529 */     // GIR_Coverage, 4192,
     /* 347529 */     GIR_EraseRootFromParent_Done,
     /* 347530 */   // Label 6923: @347530
     /* 347530 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(347647), // Rule ID 4194 //
     /* 347535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347561 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347564 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347568 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 347575 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347579 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347585 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 347592 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 347592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 347599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347614 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347646 */     // GIR_Coverage, 4194,
     /* 347646 */     GIR_EraseRootFromParent_Done,
     /* 347647 */   // Label 6924: @347647
     /* 347647 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(347757), // Rule ID 4300 //
     /* 347652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 347655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347678 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347681 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347685 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347695 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 347702 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 347702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 347709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347724 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347756 */     // GIR_Coverage, 4300,
     /* 347756 */     GIR_EraseRootFromParent_Done,
     /* 347757 */   // Label 6925: @347757
     /* 347757 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(347867), // Rule ID 4302 //
     /* 347762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 347765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347788 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347795 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 347812 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 347812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 347815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 347819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347834 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 347856 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347861 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 347866 */     // GIR_Coverage, 4302,
     /* 347866 */     GIR_EraseRootFromParent_Done,
     /* 347867 */   // Label 6926: @347867
     /* 347867 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(348015), // Rule ID 10979 //
     /* 347872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 347875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 347885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 347889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 347893 */     // (vector_insert:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 347893 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 347896 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 347900 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347905 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 347911 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 347916 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 347921 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 347924 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 347928 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347933 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 347936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 347938 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 347941 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 347945 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347950 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 347953 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 347956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 347958 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 347961 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 347965 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347970 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 347973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 347975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 347978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 347982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347987 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 347990 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 347993 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 347996 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 347999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_H),
     /* 348004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 348006 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 348008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348011 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 348013 */     GIR_RootConstrainSelectedInstOperands,
     /* 348014 */     // GIR_Coverage, 10979,
     /* 348014 */     GIR_EraseRootFromParent_Done,
     /* 348015 */   // Label 6927: @348015
     /* 348015 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(348163), // Rule ID 10984 //
     /* 348020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 348023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 348026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 348037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 348041 */     // (vector_insert:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 348041 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 348044 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348048 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348053 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 348059 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 348064 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 348069 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 348072 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 348076 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348081 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 348084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 348086 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 348089 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 348093 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348098 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 348101 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 348104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 348106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 348109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 348113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348118 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 348121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 348123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 348126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 348130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 348138 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 348141 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 348144 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 348147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 348152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 348154 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 348156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348159 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 348161 */     GIR_RootConstrainSelectedInstOperands,
     /* 348162 */     // GIR_Coverage, 10984,
     /* 348162 */     GIR_EraseRootFromParent_Done,
     /* 348163 */   // Label 6928: @348163
     /* 348163 */   GIM_Reject,
     /* 348164 */ // Label 6910: @348164
     /* 348164 */ GIM_Reject,
     /* 348165 */ // Label 6675: @348165
     /* 348165 */ GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(349214),
     /* 348170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 348173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348183 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(348299), // Rule ID 4154 //
     /* 348188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348192 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348198 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348208 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348211 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348215 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348222 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348226 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348232 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 348239 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 348239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 348246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348266 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348288 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348293 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348298 */     // GIR_Coverage, 4154,
     /* 348298 */     GIR_EraseRootFromParent_Done,
     /* 348299 */   // Label 6930: @348299
     /* 348299 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(348415), // Rule ID 4155 //
     /* 348304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348308 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348314 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348324 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348327 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348331 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348338 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348342 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348348 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 348355 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 348355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 348362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348382 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348404 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348409 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348414 */     // GIR_Coverage, 4155,
     /* 348414 */     GIR_EraseRootFromParent_Done,
     /* 348415 */   // Label 6931: @348415
     /* 348415 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(348527), // Rule ID 4160 //
     /* 348420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348436 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348439 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348443 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348450 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348460 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 348467 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 348467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 348474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348494 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348516 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348521 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348526 */     // GIR_Coverage, 4160,
     /* 348526 */     GIR_EraseRootFromParent_Done,
     /* 348527 */   // Label 6932: @348527
     /* 348527 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(348639), // Rule ID 4162 //
     /* 348532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348548 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348551 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348555 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348562 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348572 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 348579 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 348579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 348586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348606 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348633 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348638 */     // GIR_Coverage, 4162,
     /* 348638 */     GIR_EraseRootFromParent_Done,
     /* 348639 */   // Label 6933: @348639
     /* 348639 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(348750), // Rule ID 4152 //
     /* 348644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348648 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348654 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348664 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348667 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348671 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348678 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348688 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 348695 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 348695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 348702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 348717 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348749 */     // GIR_Coverage, 4152,
     /* 348749 */     GIR_EraseRootFromParent_Done,
     /* 348750 */   // Label 6934: @348750
     /* 348750 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(348861), // Rule ID 4153 //
     /* 348755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348759 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348765 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348775 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348778 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348782 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348789 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348793 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348799 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 348806 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 348806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 348813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 348828 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348850 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348860 */     // GIR_Coverage, 4153,
     /* 348860 */     GIR_EraseRootFromParent_Done,
     /* 348861 */   // Label 6935: @348861
     /* 348861 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(348968), // Rule ID 4156 //
     /* 348866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348882 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348885 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348889 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348896 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348900 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 348913 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 348913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 348916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 348920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 348935 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 348957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348967 */     // GIR_Coverage, 4156,
     /* 348967 */     GIR_EraseRootFromParent_Done,
     /* 348968 */   // Label 6936: @348968
     /* 348968 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(349075), // Rule ID 4158 //
     /* 348973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348989 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348992 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348996 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349003 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349007 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349013 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 349020 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 349020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 349027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349042 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349064 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349069 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349074 */     // GIR_Coverage, 4158,
     /* 349074 */     GIR_EraseRootFromParent_Done,
     /* 349075 */   // Label 6937: @349075
     /* 349075 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(349213), // Rule ID 10978 //
     /* 349080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 349087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 349091 */     // (vector_insert:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (CMPEQ_PPzZZ_B:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_B:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_B:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 349091 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 349094 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349098 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349103 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 349109 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 349114 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 349119 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 349122 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 349126 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349131 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 349134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 349136 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 349139 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_B),
     /* 349143 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349148 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 349151 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 349154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 349156 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 349159 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 349163 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349168 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 349171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 349173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 349176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_B),
     /* 349180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349185 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 349188 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 349191 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 349194 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 349197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_B),
     /* 349202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 349204 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 349206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349209 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 349211 */     GIR_RootConstrainSelectedInstOperands,
     /* 349212 */     // GIR_Coverage, 10978,
     /* 349212 */     GIR_EraseRootFromParent_Done,
     /* 349213 */   // Label 6938: @349213
     /* 349213 */   GIM_Reject,
     /* 349214 */ // Label 6929: @349214
     /* 349214 */ GIM_Reject,
     /* 349215 */ // Label 6676: @349215
     /* 349215 */ GIM_Reject,
     /* 349216 */ // Label 86: @349216
     /* 349216 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 6942*/ GIMT_Encode4(352133),
     /* 349227 */ /*GILLT_s16*//*Label 6939*/ GIMT_Encode4(349239),
     /* 349231 */ /*GILLT_s32*//*Label 6940*/ GIMT_Encode4(349873),
     /* 349235 */ /*GILLT_s64*//*Label 6941*/ GIMT_Encode4(351466),
     /* 349239 */ // Label 6939: @349239
     /* 349239 */ GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(349283), // Rule ID 11027 //
     /* 349244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 349250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349257 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349261 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$Zs, hsub:{ *:[i32] })
     /* 349261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349266 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 349272 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349277 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349282 */   // GIR_Coverage, 11027,
     /* 349282 */   GIR_EraseRootFromParent_Done,
     /* 349283 */ // Label 6943: @349283
     /* 349283 */ GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(349327), // Rule ID 11028 //
     /* 349288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 349294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349301 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349305 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$Zs, hsub:{ *:[i32] })
     /* 349305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349310 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 349316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349321 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349326 */   // GIR_Coverage, 11028,
     /* 349326 */   GIR_EraseRootFromParent_Done,
     /* 349327 */ // Label 6944: @349327
     /* 349327 */ GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(349371), // Rule ID 11029 //
     /* 349332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 349338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349345 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349349 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$Zs, hsub:{ *:[i32] })
     /* 349349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349354 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 349360 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349370 */   // GIR_Coverage, 11029,
     /* 349370 */   GIR_EraseRootFromParent_Done,
     /* 349371 */ // Label 6945: @349371
     /* 349371 */ GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(349416), // Rule ID 5687 //
     /* 349376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 349379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349390 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349394 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] })
     /* 349394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349399 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 349405 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349410 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349415 */   // GIR_Coverage, 5687,
     /* 349415 */   GIR_EraseRootFromParent_Done,
     /* 349416 */ // Label 6946: @349416
     /* 349416 */ GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(349461), // Rule ID 5690 //
     /* 349421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 349424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349435 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349439 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349443 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 349447 */   // MIs[1] Operand 1
     /* 349447 */   // No operand predicates
     /* 349447 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349449 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPi16:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 349449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 349452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349454 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 349456 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 349459 */   GIR_RootConstrainSelectedInstOperands,
     /* 349460 */   // GIR_Coverage, 5690,
     /* 349460 */   GIR_EraseRootFromParent_Done,
     /* 349461 */ // Label 6947: @349461
     /* 349461 */ GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(349537), // Rule ID 11002 //
     /* 349466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 349472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349479 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349483 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349487 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 349491 */   // MIs[1] Operand 1
     /* 349491 */   // No operand predicates
     /* 349491 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349493 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), hsub:{ *:[i32] })
     /* 349493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 349496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 349500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349505 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 349509 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 349512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349519 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 349526 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349536 */   // GIR_Coverage, 11002,
     /* 349536 */   GIR_EraseRootFromParent_Done,
     /* 349537 */ // Label 6948: @349537
     /* 349537 */ GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(349613), // Rule ID 11003 //
     /* 349542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 349548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349555 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349559 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349563 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 349567 */   // MIs[1] Operand 1
     /* 349567 */   // No operand predicates
     /* 349567 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349569 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), hsub:{ *:[i32] })
     /* 349569 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 349572 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 349576 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349581 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 349585 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 349588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349595 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 349602 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349607 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349612 */   // GIR_Coverage, 11003,
     /* 349612 */   GIR_EraseRootFromParent_Done,
     /* 349613 */ // Label 6949: @349613
     /* 349613 */ GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(349689), // Rule ID 11004 //
     /* 349618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 349624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349631 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349635 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349639 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 349643 */   // MIs[1] Operand 1
     /* 349643 */   // No operand predicates
     /* 349643 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349645 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), hsub:{ *:[i32] })
     /* 349645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 349648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 349652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349657 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 349661 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 349664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349671 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 349678 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349683 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 349688 */   // GIR_Coverage, 11004,
     /* 349688 */   GIR_EraseRootFromParent_Done,
     /* 349689 */ // Label 6950: @349689
     /* 349689 */ GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(349750), // Rule ID 10992 //
     /* 349694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 349700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 349711 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8f16] }:$vec)
     /* 349711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 349714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 349718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349723 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 349729 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 349733 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 349736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 349741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 349743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349746 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 349748 */   GIR_RootConstrainSelectedInstOperands,
     /* 349749 */   // GIR_Coverage, 10992,
     /* 349749 */   GIR_EraseRootFromParent_Done,
     /* 349750 */ // Label 6951: @349750
     /* 349750 */ GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(349811), // Rule ID 10993 //
     /* 349755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 349761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 349772 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f16] }:$vec)
     /* 349772 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 349775 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 349779 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349784 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 349790 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 349794 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 349797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 349802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 349804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349807 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 349809 */   GIR_RootConstrainSelectedInstOperands,
     /* 349810 */   // GIR_Coverage, 10993,
     /* 349810 */   GIR_EraseRootFromParent_Done,
     /* 349811 */ // Label 6952: @349811
     /* 349811 */ GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(349872), // Rule ID 10994 //
     /* 349816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 349822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 349833 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f16] }:$vec)
     /* 349833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 349836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 349840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349845 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 349851 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 349855 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 349858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 349863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 349865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349868 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 349870 */   GIR_RootConstrainSelectedInstOperands,
     /* 349871 */   // GIR_Coverage, 10994,
     /* 349871 */   GIR_EraseRootFromParent_Done,
     /* 349872 */ // Label 6953: @349872
     /* 349872 */ GIM_Reject,
     /* 349873 */ // Label 6940: @349873
     /* 349873 */ GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(349918), // Rule ID 6856 //
     /* 349878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 349881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349892 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349896 */   // (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$V, ssub:{ *:[i32] })
     /* 349896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349901 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 349907 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349912 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349917 */   // GIR_Coverage, 6856,
     /* 349917 */   GIR_EraseRootFromParent_Done,
     /* 349918 */ // Label 6954: @349918
     /* 349918 */ GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(349963), // Rule ID 6857 //
     /* 349923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 349926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349937 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349941 */   // (extractelt:{ *:[i32] } V64:{ *:[v2i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V64:{ *:[v2i32] }:$V, ssub:{ *:[i32] })
     /* 349941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349946 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 349952 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349957 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349962 */   // GIR_Coverage, 6857,
     /* 349962 */   GIR_EraseRootFromParent_Done,
     /* 349963 */ // Label 6955: @349963
     /* 349963 */ GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(350007), // Rule ID 11023 //
     /* 349968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 349971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 349974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 349977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349981 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 349985 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$Zs, ssub:{ *:[i32] })
     /* 349985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 349988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349990 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 349996 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350001 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350006 */   // GIR_Coverage, 11023,
     /* 350006 */   GIR_EraseRootFromParent_Done,
     /* 350007 */ // Label 6956: @350007
     /* 350007 */ GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(350051), // Rule ID 11024 //
     /* 350012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 350018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350025 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 350029 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$Zs, ssub:{ *:[i32] })
     /* 350029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350034 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 350040 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350045 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350050 */   // GIR_Coverage, 11024,
     /* 350050 */   GIR_EraseRootFromParent_Done,
     /* 350051 */ // Label 6957: @350051
     /* 350051 */ GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(350095), // Rule ID 11025 //
     /* 350056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 350062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350069 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 350073 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$Zs, ssub:{ *:[i32] })
     /* 350073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350078 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 350084 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350089 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350094 */   // GIR_Coverage, 11025,
     /* 350094 */   GIR_EraseRootFromParent_Done,
     /* 350095 */ // Label 6958: @350095
     /* 350095 */ GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(350139), // Rule ID 11030 //
     /* 350100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 350106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350113 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 350117 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$Zs, ssub:{ *:[i32] })
     /* 350117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350122 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 350128 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350133 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350138 */   // GIR_Coverage, 11030,
     /* 350138 */   GIR_EraseRootFromParent_Done,
     /* 350139 */ // Label 6959: @350139
     /* 350139 */ GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(350183), // Rule ID 11031 //
     /* 350144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 350150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350157 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 350161 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$Zs, ssub:{ *:[i32] })
     /* 350161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350166 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 350172 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350177 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350182 */   // GIR_Coverage, 11031,
     /* 350182 */   GIR_EraseRootFromParent_Done,
     /* 350183 */ // Label 6960: @350183
     /* 350183 */ GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(350228), // Rule ID 5686 //
     /* 350188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 350191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350202 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 350206 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] })
     /* 350206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350211 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 350217 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350222 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350227 */   // GIR_Coverage, 5686,
     /* 350227 */   GIR_EraseRootFromParent_Done,
     /* 350228 */ // Label 6961: @350228
     /* 350228 */ GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(350301), // Rule ID 11008 //
     /* 350233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 350239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350246 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350250 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350254 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350258 */   // MIs[1] Operand 1
     /* 350258 */   // No operand predicates
     /* 350258 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350260 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)  =>  (UMOVvi8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 350260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 350263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350272 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 350278 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350283 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 350291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350296 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 350299 */   GIR_RootConstrainSelectedInstOperands,
     /* 350300 */   // GIR_Coverage, 11008,
     /* 350300 */   GIR_EraseRootFromParent_Done,
     /* 350301 */ // Label 6962: @350301
     /* 350301 */ GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(350374), // Rule ID 11009 //
     /* 350306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 350312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350319 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350323 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350327 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 350331 */   // MIs[1] Operand 1
     /* 350331 */   // No operand predicates
     /* 350331 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350333 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)  =>  (UMOVvi16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 350333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 350336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350345 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 350351 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350356 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 350364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350369 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 350372 */   GIR_RootConstrainSelectedInstOperands,
     /* 350373 */   // GIR_Coverage, 11009,
     /* 350373 */   GIR_EraseRootFromParent_Done,
     /* 350374 */ // Label 6963: @350374
     /* 350374 */ GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(350447), // Rule ID 11010 //
     /* 350379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 350385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350392 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350396 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350400 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 350404 */   // MIs[1] Operand 1
     /* 350404 */   // No operand predicates
     /* 350404 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350406 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)  =>  (UMOVvi32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 350406 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 350409 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350413 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350418 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 350424 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350429 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 350437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350442 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 350445 */   GIR_RootConstrainSelectedInstOperands,
     /* 350446 */   // GIR_Coverage, 11010,
     /* 350446 */   GIR_EraseRootFromParent_Done,
     /* 350447 */ // Label 6964: @350447
     /* 350447 */ GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(350495), // Rule ID 1919 //
     /* 350452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 350455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 350458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350469 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350473 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350477 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 350481 */   // MIs[1] Operand 1
     /* 350481 */   // No operand predicates
     /* 350481 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350483 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi8_idx0:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8_idx0),
     /* 350486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350488 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350490 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350493 */   GIR_RootConstrainSelectedInstOperands,
     /* 350494 */   // GIR_Coverage, 1919,
     /* 350494 */   GIR_EraseRootFromParent_Done,
     /* 350495 */ // Label 6965: @350495
     /* 350495 */ GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(350543), // Rule ID 1920 //
     /* 350500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 350503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 350506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350517 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350521 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350525 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 350529 */   // MIs[1] Operand 1
     /* 350529 */   // No operand predicates
     /* 350529 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350531 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi16_idx0:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16_idx0),
     /* 350534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350536 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350538 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350541 */   GIR_RootConstrainSelectedInstOperands,
     /* 350542 */   // GIR_Coverage, 1920,
     /* 350542 */   GIR_EraseRootFromParent_Done,
     /* 350543 */ // Label 6966: @350543
     /* 350543 */ GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(350591), // Rule ID 1921 //
     /* 350548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 350551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 350554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350573 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 350577 */   // MIs[1] Operand 1
     /* 350577 */   // No operand predicates
     /* 350577 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350579 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi32_idx0:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32_idx0),
     /* 350582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350584 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350586 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350589 */   GIR_RootConstrainSelectedInstOperands,
     /* 350590 */   // GIR_Coverage, 1921,
     /* 350590 */   GIR_EraseRootFromParent_Done,
     /* 350591 */ // Label 6967: @350591
     /* 350591 */ GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(350639), // Rule ID 1923 //
     /* 350596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 350602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350621 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350625 */   // MIs[1] Operand 1
     /* 350625 */   // No operand predicates
     /* 350625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350627 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 350630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350632 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350634 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350637 */   GIR_RootConstrainSelectedInstOperands,
     /* 350638 */   // GIR_Coverage, 1923,
     /* 350638 */   GIR_EraseRootFromParent_Done,
     /* 350639 */ // Label 6968: @350639
     /* 350639 */ GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(350687), // Rule ID 1924 //
     /* 350644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 350650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350661 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350665 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350669 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 350673 */   // MIs[1] Operand 1
     /* 350673 */   // No operand predicates
     /* 350673 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350675 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 350678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350680 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350682 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350685 */   GIR_RootConstrainSelectedInstOperands,
     /* 350686 */   // GIR_Coverage, 1924,
     /* 350686 */   GIR_EraseRootFromParent_Done,
     /* 350687 */ // Label 6969: @350687
     /* 350687 */ GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(350735), // Rule ID 1925 //
     /* 350692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 350698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350709 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350713 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350717 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 350721 */   // MIs[1] Operand 1
     /* 350721 */   // No operand predicates
     /* 350721 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350723 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (UMOVvi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 350723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 350726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 350728 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350730 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350733 */   GIR_RootConstrainSelectedInstOperands,
     /* 350734 */   // GIR_Coverage, 1925,
     /* 350734 */   GIR_EraseRootFromParent_Done,
     /* 350735 */ // Label 6970: @350735
     /* 350735 */ GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(350780), // Rule ID 5689 //
     /* 350740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 350743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350754 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350758 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350762 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 350766 */   // MIs[1] Operand 1
     /* 350766 */   // No operand predicates
     /* 350766 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350768 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPi32:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 350768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 350771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350773 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 350775 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 350778 */   GIR_RootConstrainSelectedInstOperands,
     /* 350779 */   // GIR_Coverage, 5689,
     /* 350779 */   GIR_EraseRootFromParent_Done,
     /* 350780 */ // Label 6971: @350780
     /* 350780 */ GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(350856), // Rule ID 10998 //
     /* 350785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 350791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350798 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350802 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350806 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 350810 */   // MIs[1] Operand 1
     /* 350810 */   // No operand predicates
     /* 350810 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350812 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index), ssub:{ *:[i32] })
     /* 350812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 350815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 350819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350824 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 350828 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 350831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350838 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 350845 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350850 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350855 */   // GIR_Coverage, 10998,
     /* 350855 */   GIR_EraseRootFromParent_Done,
     /* 350856 */ // Label 6972: @350856
     /* 350856 */ GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(350932), // Rule ID 10999 //
     /* 350861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 350867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350874 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350882 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 350886 */   // MIs[1] Operand 1
     /* 350886 */   // No operand predicates
     /* 350886 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350888 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), ssub:{ *:[i32] })
     /* 350888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 350891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 350895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 350904 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 350907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350914 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 350921 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 350931 */   // GIR_Coverage, 10999,
     /* 350931 */   GIR_EraseRootFromParent_Done,
     /* 350932 */ // Label 6973: @350932
     /* 350932 */ GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(351008), // Rule ID 11000 //
     /* 350937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 350940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 350943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 350946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350950 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350954 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350958 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 350962 */   // MIs[1] Operand 1
     /* 350962 */   // No operand predicates
     /* 350962 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350964 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 350964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 350967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 350971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350976 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 350980 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 350983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350990 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 350997 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351002 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351007 */   // GIR_Coverage, 11000,
     /* 351007 */   GIR_EraseRootFromParent_Done,
     /* 351008 */ // Label 6974: @351008
     /* 351008 */ GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(351084), // Rule ID 11005 //
     /* 351013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 351019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351026 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351030 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351034 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 351038 */   // MIs[1] Operand 1
     /* 351038 */   // No operand predicates
     /* 351038 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351040 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 351040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 351043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 351047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351052 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 351056 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 351059 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351066 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 351073 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351078 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351083 */   // GIR_Coverage, 11005,
     /* 351083 */   GIR_EraseRootFromParent_Done,
     /* 351084 */ // Label 6975: @351084
     /* 351084 */ GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(351160), // Rule ID 11006 //
     /* 351089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 351095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351102 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351106 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351110 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 351114 */   // MIs[1] Operand 1
     /* 351114 */   // No operand predicates
     /* 351114 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351116 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), ssub:{ *:[i32] })
     /* 351116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 351119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 351123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351128 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 351132 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 351135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351142 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 351149 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351154 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351159 */   // GIR_Coverage, 11006,
     /* 351159 */   GIR_EraseRootFromParent_Done,
     /* 351160 */ // Label 6976: @351160
     /* 351160 */ GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(351221), // Rule ID 10988 //
     /* 351165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 351171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 351178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351182 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_B:{ *:[i32] } (WHILELS_PXX_B:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv16i8] }:$vec)
     /* 351182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 351185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 351189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351194 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351200 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 351204 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 351207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_B),
     /* 351212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351217 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 351219 */   GIR_RootConstrainSelectedInstOperands,
     /* 351220 */   // GIR_Coverage, 10988,
     /* 351220 */   GIR_EraseRootFromParent_Done,
     /* 351221 */ // Label 6977: @351221
     /* 351221 */ GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(351282), // Rule ID 10989 //
     /* 351226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 351232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 351239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351243 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_H:{ *:[i32] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8i16] }:$vec)
     /* 351243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 351246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 351250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351255 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351261 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 351265 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 351268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_H),
     /* 351273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351278 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 351280 */   GIR_RootConstrainSelectedInstOperands,
     /* 351281 */   // GIR_Coverage, 10989,
     /* 351281 */   GIR_EraseRootFromParent_Done,
     /* 351282 */ // Label 6978: @351282
     /* 351282 */ GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(351343), // Rule ID 10990 //
     /* 351287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 351293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 351300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351304 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_S:{ *:[i32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4i32] }:$vec)
     /* 351304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 351307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 351311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351316 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351322 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 351326 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 351329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_S),
     /* 351334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351339 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 351341 */   GIR_RootConstrainSelectedInstOperands,
     /* 351342 */   // GIR_Coverage, 10990,
     /* 351342 */   GIR_EraseRootFromParent_Done,
     /* 351343 */ // Label 6979: @351343
     /* 351343 */ GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(351404), // Rule ID 10995 //
     /* 351348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 351354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351365 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f32] }:$vec)
     /* 351365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 351368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 351372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351377 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351383 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 351387 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 351390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 351395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 351397 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351400 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 351402 */   GIR_RootConstrainSelectedInstOperands,
     /* 351403 */   // GIR_Coverage, 10995,
     /* 351403 */   GIR_EraseRootFromParent_Done,
     /* 351404 */ // Label 6980: @351404
     /* 351404 */ GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(351465), // Rule ID 10996 //
     /* 351409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 351415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 351422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351426 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f32] }:$vec)
     /* 351426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 351429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 351433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351438 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351444 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 351448 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 351451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 351456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 351458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351461 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 351463 */   GIR_RootConstrainSelectedInstOperands,
     /* 351464 */   // GIR_Coverage, 10996,
     /* 351464 */   GIR_EraseRootFromParent_Done,
     /* 351465 */ // Label 6981: @351465
     /* 351465 */ GIM_Reject,
     /* 351466 */ // Label 6941: @351466
     /* 351466 */ GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(351511), // Rule ID 6855 //
     /* 351471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 351474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351485 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 351489 */   // (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$V, dsub:{ *:[i32] })
     /* 351489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351494 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // V
     /* 351500 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351505 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351510 */   // GIR_Coverage, 6855,
     /* 351510 */   GIR_EraseRootFromParent_Done,
     /* 351511 */ // Label 6982: @351511
     /* 351511 */ GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(351555), // Rule ID 11026 //
     /* 351516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 351522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351529 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 351533 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$Zs, dsub:{ *:[i32] })
     /* 351533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351538 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 351544 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351554 */   // GIR_Coverage, 11026,
     /* 351554 */   GIR_EraseRootFromParent_Done,
     /* 351555 */ // Label 6983: @351555
     /* 351555 */ GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(351599), // Rule ID 11032 //
     /* 351560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 351566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351573 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 351577 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$Zs, dsub:{ *:[i32] })
     /* 351577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351582 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 351588 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351593 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351598 */   // GIR_Coverage, 11032,
     /* 351598 */   GIR_EraseRootFromParent_Done,
     /* 351599 */ // Label 6984: @351599
     /* 351599 */ GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(351644), // Rule ID 5685 //
     /* 351604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 351607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351618 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 351622 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 351622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351627 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 351633 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351638 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351643 */   // GIR_Coverage, 5685,
     /* 351643 */   GIR_EraseRootFromParent_Done,
     /* 351644 */ // Label 6985: @351644
     /* 351644 */ GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(351717), // Rule ID 11011 //
     /* 351649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 351652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 351655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351670 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 351674 */   // MIs[1] Operand 1
     /* 351674 */   // No operand predicates
     /* 351674 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351676 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)  =>  (UMOVvi64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)
     /* 351676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 351679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351688 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 351694 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351699 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 351707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351712 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 351715 */   GIR_RootConstrainSelectedInstOperands,
     /* 351716 */   // GIR_Coverage, 11011,
     /* 351716 */   GIR_EraseRootFromParent_Done,
     /* 351717 */ // Label 6986: @351717
     /* 351717 */ GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(351765), // Rule ID 1922 //
     /* 351722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 351725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 351728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351747 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 351751 */   // MIs[1] Operand 1
     /* 351751 */   // No operand predicates
     /* 351751 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351753 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi64_idx0:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 351753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64_idx0),
     /* 351756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351758 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 351760 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 351763 */   GIR_RootConstrainSelectedInstOperands,
     /* 351764 */   // GIR_Coverage, 1922,
     /* 351764 */   GIR_EraseRootFromParent_Done,
     /* 351765 */ // Label 6987: @351765
     /* 351765 */ GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(351813), // Rule ID 1926 //
     /* 351770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 351773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 351776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 351783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351795 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 351799 */   // MIs[1] Operand 1
     /* 351799 */   // No operand predicates
     /* 351799 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351801 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (UMOVvi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 351801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 351804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 351806 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 351808 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 351811 */   GIR_RootConstrainSelectedInstOperands,
     /* 351812 */   // GIR_Coverage, 1926,
     /* 351812 */   GIR_EraseRootFromParent_Done,
     /* 351813 */ // Label 6988: @351813
     /* 351813 */ GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(351858), // Rule ID 5688 //
     /* 351818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 351821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351832 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351836 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351840 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 351844 */   // MIs[1] Operand 1
     /* 351844 */   // No operand predicates
     /* 351844 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351846 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPi64:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 351846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 351849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351851 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 351853 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 351856 */   GIR_RootConstrainSelectedInstOperands,
     /* 351857 */   // GIR_Coverage, 5688,
     /* 351857 */   GIR_EraseRootFromParent_Done,
     /* 351858 */ // Label 6989: @351858
     /* 351858 */ GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(351934), // Rule ID 11001 //
     /* 351863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 351869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351876 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351880 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351884 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 351888 */   // MIs[1] Operand 1
     /* 351888 */   // No operand predicates
     /* 351888 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351890 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 351890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 351893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 351897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351902 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 351906 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 351909 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351916 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 351923 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351928 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 351933 */   // GIR_Coverage, 11001,
     /* 351933 */   GIR_EraseRootFromParent_Done,
     /* 351934 */ // Label 6990: @351934
     /* 351934 */ GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(352010), // Rule ID 11007 //
     /* 351939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 351942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 351945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 351948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351952 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351956 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351960 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 351964 */   // MIs[1] Operand 1
     /* 351964 */   // No operand predicates
     /* 351964 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351966 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 351966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 351969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 351973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351978 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 351982 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 351985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351992 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 351999 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352004 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352009 */   // GIR_Coverage, 11007,
     /* 352009 */   GIR_EraseRootFromParent_Done,
     /* 352010 */ // Label 6991: @352010
     /* 352010 */ GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(352071), // Rule ID 10991 //
     /* 352015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 352021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 352024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 352028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 352032 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_D:{ *:[i64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2i64] }:$vec)
     /* 352032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 352035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 352039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352044 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 352050 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 352054 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 352057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_D),
     /* 352062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 352064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352067 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 352069 */   GIR_RootConstrainSelectedInstOperands,
     /* 352070 */   // GIR_Coverage, 10991,
     /* 352070 */   GIR_EraseRootFromParent_Done,
     /* 352071 */ // Label 6992: @352071
     /* 352071 */ GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(352132), // Rule ID 10997 //
     /* 352076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 352082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 352085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 352093 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_D:{ *:[f64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f64] }:$vec)
     /* 352093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 352096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 352100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352105 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 352111 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 352115 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 352118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_D),
     /* 352123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 352125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352128 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 352130 */   GIR_RootConstrainSelectedInstOperands,
     /* 352131 */   // GIR_Coverage, 10997,
     /* 352131 */   GIR_EraseRootFromParent_Done,
     /* 352132 */ // Label 6993: @352132
     /* 352132 */ GIM_Reject,
     /* 352133 */ // Label 6942: @352133
     /* 352133 */ GIM_Reject,
     /* 352134 */ // Label 87: @352134
     /* 352134 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(14), GIMT_Encode2(24), /*)*//*default:*//*Label 7001*/ GIMT_Encode4(353839),
     /* 352145 */ /*GILLT_nxv2s16*//*Label 6994*/ GIMT_Encode4(352185),
     /* 352149 */ /*GILLT_nxv2s32*//*Label 6995*/ GIMT_Encode4(352480),
     /* 352153 */ /*GILLT_nxv2s64*//*Label 6996*/ GIMT_Encode4(352718), GIMT_Encode4(0),
     /* 352161 */ /*GILLT_nxv4s16*//*Label 6997*/ GIMT_Encode4(352975),
     /* 352165 */ /*GILLT_nxv4s32*//*Label 6998*/ GIMT_Encode4(353213), GIMT_Encode4(0),
     /* 352173 */ /*GILLT_nxv8s16*//*Label 6999*/ GIMT_Encode4(353470), GIMT_Encode4(0),
     /* 352181 */ /*GILLT_nxv16s8*//*Label 7000*/ GIMT_Encode4(353749),
     /* 352185 */ // Label 6994: @352185
     /* 352185 */ GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(352479),
     /* 352190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 352193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352197 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(352254), // Rule ID 2661 //
     /* 352202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 352217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352234 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 352238 */     // MIs[2] Operand 1
     /* 352238 */     // No operand predicates
     /* 352238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352240 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 352240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 352243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352252 */     GIR_RootConstrainSelectedInstOperands,
     /* 352253 */     // GIR_Coverage, 2661,
     /* 352253 */     GIR_EraseRootFromParent_Done,
     /* 352254 */   // Label 7003: @352254
     /* 352254 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(352311), // Rule ID 2663 //
     /* 352259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 352274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352291 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 352295 */     // MIs[2] Operand 1
     /* 352295 */     // No operand predicates
     /* 352295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352297 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 352297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 352300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352309 */     GIR_RootConstrainSelectedInstOperands,
     /* 352310 */     // GIR_Coverage, 2663,
     /* 352310 */     GIR_EraseRootFromParent_Done,
     /* 352311 */   // Label 7004: @352311
     /* 352311 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(352368), // Rule ID 8171 //
     /* 352316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 352331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352348 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 352352 */     // MIs[2] Operand 1
     /* 352352 */     // No operand predicates
     /* 352352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352354 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv2f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 352354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 352357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352366 */     GIR_RootConstrainSelectedInstOperands,
     /* 352367 */     // GIR_Coverage, 8171,
     /* 352367 */     GIR_EraseRootFromParent_Done,
     /* 352368 */   // Label 7005: @352368
     /* 352368 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(352402), // Rule ID 8214 //
     /* 352373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 352384 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 352388 */     // MIs[1] Operand 1
     /* 352388 */     // No operand predicates
     /* 352388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352390 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv2f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 352390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 352393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352395 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 352400 */     GIR_RootConstrainSelectedInstOperands,
     /* 352401 */     // GIR_Coverage, 8214,
     /* 352401 */     GIR_EraseRootFromParent_Done,
     /* 352402 */   // Label 7006: @352402
     /* 352402 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(352478), // Rule ID 8192 //
     /* 352407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352414 */     // (splat_vector:{ *:[nxv2f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv2f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 352414 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 352417 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 352421 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 352428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 352431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 352435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352440 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 352443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 352447 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 352450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352455 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352460 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 352468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352476 */     GIR_RootConstrainSelectedInstOperands,
     /* 352477 */     // GIR_Coverage, 8192,
     /* 352477 */     GIR_EraseRootFromParent_Done,
     /* 352478 */   // Label 7007: @352478
     /* 352478 */   GIM_Reject,
     /* 352479 */ // Label 7002: @352479
     /* 352479 */ GIM_Reject,
     /* 352480 */ // Label 6995: @352480
     /* 352480 */ GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(352717),
     /* 352485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 352488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352492 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(352549), // Rule ID 8180 //
     /* 352497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 352512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352529 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 352533 */     // MIs[2] Operand 1
     /* 352533 */     // No operand predicates
     /* 352533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352535 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 352535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 352538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352547 */     GIR_RootConstrainSelectedInstOperands,
     /* 352548 */     // GIR_Coverage, 8180,
     /* 352548 */     GIR_EraseRootFromParent_Done,
     /* 352549 */   // Label 7009: @352549
     /* 352549 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(352606), // Rule ID 8189 //
     /* 352554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 352569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352586 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 352590 */     // MIs[2] Operand 1
     /* 352590 */     // No operand predicates
     /* 352590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352592 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 352592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 352595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352604 */     GIR_RootConstrainSelectedInstOperands,
     /* 352605 */     // GIR_Coverage, 8189,
     /* 352605 */     GIR_EraseRootFromParent_Done,
     /* 352606 */   // Label 7010: @352606
     /* 352606 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(352640), // Rule ID 8216 //
     /* 352611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 352622 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 352626 */     // MIs[1] Operand 1
     /* 352626 */     // No operand predicates
     /* 352626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352628 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv2f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 352628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 352631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352633 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 352638 */     GIR_RootConstrainSelectedInstOperands,
     /* 352639 */     // GIR_Coverage, 8216,
     /* 352639 */     GIR_EraseRootFromParent_Done,
     /* 352640 */   // Label 7011: @352640
     /* 352640 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(352716), // Rule ID 8194 //
     /* 352645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 352652 */     // (splat_vector:{ *:[nxv2f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv2f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 352652 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 352655 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 352659 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 352666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 352669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 352673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352678 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 352681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 352685 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 352688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352698 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 352703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 352706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352714 */     GIR_RootConstrainSelectedInstOperands,
     /* 352715 */     // GIR_Coverage, 8194,
     /* 352715 */     GIR_EraseRootFromParent_Done,
     /* 352716 */   // Label 7012: @352716
     /* 352716 */   GIM_Reject,
     /* 352717 */ // Label 7008: @352717
     /* 352717 */ GIM_Reject,
     /* 352718 */ // Label 6996: @352718
     /* 352718 */ GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(352974),
     /* 352723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 352726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352730 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(352787), // Rule ID 2658 //
     /* 352735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 352750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352767 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 352771 */     // MIs[2] Operand 1
     /* 352771 */     // No operand predicates
     /* 352771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352773 */     // (splat_vector:{ *:[nxv2i64] } (vector_extract:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 352773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 352776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352785 */     GIR_RootConstrainSelectedInstOperands,
     /* 352786 */     // GIR_Coverage, 2658,
     /* 352786 */     GIR_EraseRootFromParent_Done,
     /* 352787 */   // Label 7014: @352787
     /* 352787 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(352844), // Rule ID 8186 //
     /* 352792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 352807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352824 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 352828 */     // MIs[2] Operand 1
     /* 352828 */     // No operand predicates
     /* 352828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352830 */     // (splat_vector:{ *:[nxv2f64] } (vector_extract:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 352830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 352833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 352839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 352842 */     GIR_RootConstrainSelectedInstOperands,
     /* 352843 */     // GIR_Coverage, 8186,
     /* 352843 */     GIR_EraseRootFromParent_Done,
     /* 352844 */   // Label 7015: @352844
     /* 352844 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(352878), // Rule ID 8217 //
     /* 352849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 352860 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 352864 */     // MIs[1] Operand 1
     /* 352864 */     // No operand predicates
     /* 352864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352866 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8)  =>  (FDUP_ZI_D:{ *:[nxv2f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 352866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_D),
     /* 352869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 352876 */     GIR_RootConstrainSelectedInstOperands,
     /* 352877 */     // GIR_Coverage, 8217,
     /* 352877 */     GIR_EraseRootFromParent_Done,
     /* 352878 */   // Label 7016: @352878
     /* 352878 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(352897), // Rule ID 2382 //
     /* 352883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 352890 */     // (splat_vector:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)  =>  (DUP_ZR_D:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 352890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 352895 */     GIR_RootConstrainSelectedInstOperands,
     /* 352896 */     // GIR_Coverage, 2382,
     /* 352896 */     GIR_Done,
     /* 352897 */   // Label 7017: @352897
     /* 352897 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(352973), // Rule ID 8195 //
     /* 352902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352909 */     // (splat_vector:{ *:[nxv2f64] } FPR64:{ *:[f64] }:$src)  =>  (DUP_ZZI_D:{ *:[nxv2f64] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR64:{ *:[f64] }:$src, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 352909 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 352912 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 352916 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 352923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 352926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 352930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352935 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 352938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 352942 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 352945 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352950 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352955 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 352963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 352965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352971 */     GIR_RootConstrainSelectedInstOperands,
     /* 352972 */     // GIR_Coverage, 8195,
     /* 352972 */     GIR_EraseRootFromParent_Done,
     /* 352973 */   // Label 7018: @352973
     /* 352973 */   GIM_Reject,
     /* 352974 */ // Label 7013: @352974
     /* 352974 */ GIM_Reject,
     /* 352975 */ // Label 6997: @352975
     /* 352975 */ GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(353212),
     /* 352980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 352983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 352987 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(353044), // Rule ID 2662 //
     /* 352992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 352995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 353007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353024 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 353028 */     // MIs[2] Operand 1
     /* 353028 */     // No operand predicates
     /* 353028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353030 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 353030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 353033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353042 */     GIR_RootConstrainSelectedInstOperands,
     /* 353043 */     // GIR_Coverage, 2662,
     /* 353043 */     GIR_EraseRootFromParent_Done,
     /* 353044 */   // Label 7020: @353044
     /* 353044 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(353101), // Rule ID 8174 //
     /* 353049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353081 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 353085 */     // MIs[2] Operand 1
     /* 353085 */     // No operand predicates
     /* 353085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353087 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 353087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 353090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353099 */     GIR_RootConstrainSelectedInstOperands,
     /* 353100 */     // GIR_Coverage, 8174,
     /* 353100 */     GIR_EraseRootFromParent_Done,
     /* 353101 */   // Label 7021: @353101
     /* 353101 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(353135), // Rule ID 8213 //
     /* 353106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 353117 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 353121 */     // MIs[1] Operand 1
     /* 353121 */     // No operand predicates
     /* 353121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 353123 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv4f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 353123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 353126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353128 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 353133 */     GIR_RootConstrainSelectedInstOperands,
     /* 353134 */     // GIR_Coverage, 8213,
     /* 353134 */     GIR_EraseRootFromParent_Done,
     /* 353135 */   // Label 7022: @353135
     /* 353135 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(353211), // Rule ID 8191 //
     /* 353140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353147 */     // (splat_vector:{ *:[nxv4f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv4f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 353147 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 353150 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353154 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 353164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353173 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 353176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 353180 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 353183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 353201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353209 */     GIR_RootConstrainSelectedInstOperands,
     /* 353210 */     // GIR_Coverage, 8191,
     /* 353210 */     GIR_EraseRootFromParent_Done,
     /* 353211 */   // Label 7023: @353211
     /* 353211 */   GIM_Reject,
     /* 353212 */ // Label 7019: @353212
     /* 353212 */ GIM_Reject,
     /* 353213 */ // Label 6998: @353213
     /* 353213 */ GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(353469),
     /* 353218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 353221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353225 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(353282), // Rule ID 2655 //
     /* 353230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 353245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353262 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 353266 */     // MIs[2] Operand 1
     /* 353266 */     // No operand predicates
     /* 353266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353268 */     // (splat_vector:{ *:[nxv4i32] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 353268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 353271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353280 */     GIR_RootConstrainSelectedInstOperands,
     /* 353281 */     // GIR_Coverage, 2655,
     /* 353281 */     GIR_EraseRootFromParent_Done,
     /* 353282 */   // Label 7025: @353282
     /* 353282 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(353339), // Rule ID 8183 //
     /* 353287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 353302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353319 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 353323 */     // MIs[2] Operand 1
     /* 353323 */     // No operand predicates
     /* 353323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353325 */     // (splat_vector:{ *:[nxv4f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 353325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 353328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353337 */     GIR_RootConstrainSelectedInstOperands,
     /* 353338 */     // GIR_Coverage, 8183,
     /* 353338 */     GIR_EraseRootFromParent_Done,
     /* 353339 */   // Label 7026: @353339
     /* 353339 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(353373), // Rule ID 8215 //
     /* 353344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 353355 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 353359 */     // MIs[1] Operand 1
     /* 353359 */     // No operand predicates
     /* 353359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 353361 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv4f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 353361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 353364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353366 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 353371 */     GIR_RootConstrainSelectedInstOperands,
     /* 353372 */     // GIR_Coverage, 8215,
     /* 353372 */     GIR_EraseRootFromParent_Done,
     /* 353373 */   // Label 7027: @353373
     /* 353373 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(353392), // Rule ID 2381 //
     /* 353378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 353385 */     // (splat_vector:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_S:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)
     /* 353385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 353390 */     GIR_RootConstrainSelectedInstOperands,
     /* 353391 */     // GIR_Coverage, 2381,
     /* 353391 */     GIR_Done,
     /* 353392 */   // Label 7028: @353392
     /* 353392 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(353468), // Rule ID 8193 //
     /* 353397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 353404 */     // (splat_vector:{ *:[nxv4f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv4f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 353404 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 353407 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353411 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 353421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353430 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 353433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 353437 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 353440 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353445 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 353455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 353458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353466 */     GIR_RootConstrainSelectedInstOperands,
     /* 353467 */     // GIR_Coverage, 8193,
     /* 353467 */     GIR_EraseRootFromParent_Done,
     /* 353468 */   // Label 7029: @353468
     /* 353468 */   GIM_Reject,
     /* 353469 */ // Label 7024: @353469
     /* 353469 */ GIM_Reject,
     /* 353470 */ // Label 6999: @353470
     /* 353470 */ GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(353534), // Rule ID 2652 //
     /* 353475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 353481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353493 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353497 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353501 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353506 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353510 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353514 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 353518 */   // MIs[2] Operand 1
     /* 353518 */   // No operand predicates
     /* 353518 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353520 */   // (splat_vector:{ *:[nxv8i16] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 353520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 353523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353525 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353529 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353532 */   GIR_RootConstrainSelectedInstOperands,
     /* 353533 */   // GIR_Coverage, 2652,
     /* 353533 */   GIR_EraseRootFromParent_Done,
     /* 353534 */ // Label 7030: @353534
     /* 353534 */ GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(353598), // Rule ID 8177 //
     /* 353539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 353545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353549 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353553 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353557 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353561 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353565 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353570 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353574 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353578 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 353582 */   // MIs[2] Operand 1
     /* 353582 */   // No operand predicates
     /* 353582 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353584 */   // (splat_vector:{ *:[nxv8f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 353584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 353587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353589 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353593 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353596 */   GIR_RootConstrainSelectedInstOperands,
     /* 353597 */   // GIR_Coverage, 8177,
     /* 353597 */   GIR_EraseRootFromParent_Done,
     /* 353598 */ // Label 7031: @353598
     /* 353598 */ GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(353639), // Rule ID 8212 //
     /* 353603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 353609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 353621 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 353625 */   // MIs[1] Operand 1
     /* 353625 */   // No operand predicates
     /* 353625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 353627 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv8f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 353627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 353630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353632 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 353637 */   GIR_RootConstrainSelectedInstOperands,
     /* 353638 */   // GIR_Coverage, 8212,
     /* 353638 */   GIR_EraseRootFromParent_Done,
     /* 353639 */ // Label 7032: @353639
     /* 353639 */ GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(353665), // Rule ID 2380 //
     /* 353644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 353650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 353658 */   // (splat_vector:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_H:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)
     /* 353658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 353663 */   GIR_RootConstrainSelectedInstOperands,
     /* 353664 */   // GIR_Coverage, 2380,
     /* 353664 */   GIR_Done,
     /* 353665 */ // Label 7033: @353665
     /* 353665 */ GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(353748), // Rule ID 8190 //
     /* 353670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 353676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353684 */   // (splat_vector:{ *:[nxv8f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv8f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 353684 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 353687 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353691 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353696 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 353701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353710 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 353713 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 353717 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 353720 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353725 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353730 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 353738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353746 */   GIR_RootConstrainSelectedInstOperands,
     /* 353747 */   // GIR_Coverage, 8190,
     /* 353747 */   GIR_EraseRootFromParent_Done,
     /* 353748 */ // Label 7034: @353748
     /* 353748 */ GIM_Reject,
     /* 353749 */ // Label 7000: @353749
     /* 353749 */ GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(353838),
     /* 353754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 353757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353761 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(353818), // Rule ID 2649 //
     /* 353766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 353781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353798 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 353802 */     // MIs[2] Operand 1
     /* 353802 */     // No operand predicates
     /* 353802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353804 */     // (splat_vector:{ *:[nxv16i8] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index))  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)
     /* 353804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 353807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 353813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 353816 */     GIR_RootConstrainSelectedInstOperands,
     /* 353817 */     // GIR_Coverage, 2649,
     /* 353817 */     GIR_EraseRootFromParent_Done,
     /* 353818 */   // Label 7036: @353818
     /* 353818 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(353837), // Rule ID 2379 //
     /* 353823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 353830 */     // (splat_vector:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_B:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)
     /* 353830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 353835 */     GIR_RootConstrainSelectedInstOperands,
     /* 353836 */     // GIR_Coverage, 2379,
     /* 353836 */     GIR_Done,
     /* 353837 */   // Label 7037: @353837
     /* 353837 */   GIM_Reject,
     /* 353838 */ // Label 7035: @353838
     /* 353838 */ GIM_Reject,
     /* 353839 */ // Label 7001: @353839
     /* 353839 */ GIM_Reject,
     /* 353840 */ // Label 88: @353840
     /* 353840 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 7040*/ GIMT_Encode4(353991),
     /* 353851 */ /*GILLT_s32*//*Label 7038*/ GIMT_Encode4(353859),
     /* 353855 */ /*GILLT_s64*//*Label 7039*/ GIMT_Encode4(353925),
     /* 353859 */ // Label 7038: @353859
     /* 353859 */ GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(353924),
     /* 353864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 353867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 353871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 353875 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(353890), // Rule ID 2312 //
     /* 353880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 353883 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CTZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 353883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZWr),
     /* 353888 */     GIR_RootConstrainSelectedInstOperands,
     /* 353889 */     // GIR_Coverage, 2312,
     /* 353889 */     GIR_Done,
     /* 353890 */   // Label 7042: @353890
     /* 353890 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(353923), // Rule ID 3947 //
     /* 353895 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn))
     /* 353895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 353898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 353902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 353911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 353916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 353918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353921 */     GIR_RootConstrainSelectedInstOperands,
     /* 353922 */     // GIR_Coverage, 3947,
     /* 353922 */     GIR_EraseRootFromParent_Done,
     /* 353923 */   // Label 7043: @353923
     /* 353923 */   GIM_Reject,
     /* 353924 */ // Label 7041: @353924
     /* 353924 */ GIM_Reject,
     /* 353925 */ // Label 7039: @353925
     /* 353925 */ GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(353990),
     /* 353930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 353933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 353937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 353941 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(353956), // Rule ID 2313 //
     /* 353946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 353949 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CTZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 353949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZXr),
     /* 353954 */     GIR_RootConstrainSelectedInstOperands,
     /* 353955 */     // GIR_Coverage, 2313,
     /* 353955 */     GIR_Done,
     /* 353956 */   // Label 7045: @353956
     /* 353956 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(353989), // Rule ID 3948 //
     /* 353961 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn))
     /* 353961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 353968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 353977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 353982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 353984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353987 */     GIR_RootConstrainSelectedInstOperands,
     /* 353988 */     // GIR_Coverage, 3948,
     /* 353988 */     GIR_EraseRootFromParent_Done,
     /* 353989 */   // Label 7046: @353989
     /* 353989 */   GIM_Reject,
     /* 353990 */ // Label 7044: @353990
     /* 353990 */ GIM_Reject,
     /* 353991 */ // Label 7040: @353991
     /* 353991 */ GIM_Reject,
     /* 353992 */ // Label 89: @353992
     /* 353992 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7055*/ GIMT_Encode4(354665),
     /* 354003 */ /*GILLT_s32*//*Label 7047*/ GIMT_Encode4(354043),
     /* 354007 */ /*GILLT_s64*//*Label 7048*/ GIMT_Encode4(354273), GIMT_Encode4(0),
     /* 354015 */ /*GILLT_v2s32*//*Label 7049*/ GIMT_Encode4(354503), GIMT_Encode4(0),
     /* 354023 */ /*GILLT_v4s16*//*Label 7050*/ GIMT_Encode4(354530),
     /* 354027 */ /*GILLT_v4s32*//*Label 7051*/ GIMT_Encode4(354557),
     /* 354031 */ /*GILLT_v8s8*//*Label 7052*/ GIMT_Encode4(354584),
     /* 354035 */ /*GILLT_v8s16*//*Label 7053*/ GIMT_Encode4(354611),
     /* 354039 */ /*GILLT_v16s8*//*Label 7054*/ GIMT_Encode4(354638),
     /* 354043 */ // Label 7047: @354043
     /* 354043 */ GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(354272),
     /* 354048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 354051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354055 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(354155), // Rule ID 3949 //
     /* 354060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 354068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 354072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 354076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 354080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 354084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 354088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 354092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 354100 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 354104 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 354108 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 354112 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 354116 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 354120 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354125 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 354129 */     // MIs[3] Rn
     /* 354129 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 354134 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 354138 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 354142 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 354144 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 354147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 354153 */     GIR_RootConstrainSelectedInstOperands,
     /* 354154 */     // GIR_Coverage, 3949,
     /* 354154 */     GIR_EraseRootFromParent_Done,
     /* 354155 */   // Label 7057: @354155
     /* 354155 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(354255), // Rule ID 13496 //
     /* 354160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 354168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 354172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 354176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 354180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 354184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 354188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 354192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 354200 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 354204 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 354208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354213 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 354217 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 354221 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 354225 */     // MIs[4] Rn
     /* 354225 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 354230 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 354234 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 354238 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 354242 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 354244 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 354247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 354253 */     GIR_RootConstrainSelectedInstOperands,
     /* 354254 */     // GIR_Coverage, 13496,
     /* 354254 */     GIR_EraseRootFromParent_Done,
     /* 354255 */   // Label 7058: @354255
     /* 354255 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(354271), // Rule ID 180 //
     /* 354260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354264 */     // (ctlz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 354269 */     GIR_RootConstrainSelectedInstOperands,
     /* 354270 */     // GIR_Coverage, 180,
     /* 354270 */     GIR_Done,
     /* 354271 */   // Label 7059: @354271
     /* 354271 */   GIM_Reject,
     /* 354272 */ // Label 7056: @354272
     /* 354272 */ GIM_Reject,
     /* 354273 */ // Label 7048: @354273
     /* 354273 */ GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(354502),
     /* 354278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 354281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354285 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(354385), // Rule ID 3950 //
     /* 354290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 354298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 354302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 354306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 354310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 354314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 354318 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 354322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 354330 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 354334 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 354338 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 354342 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /* 354346 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 354350 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354355 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 354359 */     // MIs[3] Rn
     /* 354359 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 354364 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 354368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 354372 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 354374 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 354374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 354377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 354383 */     GIR_RootConstrainSelectedInstOperands,
     /* 354384 */     // GIR_Coverage, 3950,
     /* 354384 */     GIR_EraseRootFromParent_Done,
     /* 354385 */   // Label 7061: @354385
     /* 354385 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(354485), // Rule ID 13497 //
     /* 354390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 354398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 354402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 354406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 354410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 354414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 354418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 354422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 354426 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 354430 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 354434 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 354438 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354443 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 354447 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 354451 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 354455 */     // MIs[4] Rn
     /* 354455 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 354460 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 354464 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 354468 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 354472 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 354474 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 354474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 354477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 354483 */     GIR_RootConstrainSelectedInstOperands,
     /* 354484 */     // GIR_Coverage, 13497,
     /* 354484 */     GIR_EraseRootFromParent_Done,
     /* 354485 */   // Label 7062: @354485
     /* 354485 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(354501), // Rule ID 181 //
     /* 354490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354494 */     // (ctlz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 354494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 354499 */     GIR_RootConstrainSelectedInstOperands,
     /* 354500 */     // GIR_Coverage, 181,
     /* 354500 */     GIR_Done,
     /* 354501 */   // Label 7063: @354501
     /* 354501 */   GIM_Reject,
     /* 354502 */ // Label 7060: @354502
     /* 354502 */ GIM_Reject,
     /* 354503 */ // Label 7049: @354503
     /* 354503 */ GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(354529), // Rule ID 720 //
     /* 354508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 354514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354522 */   // (ctlz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (CLZv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 354522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv2i32),
     /* 354527 */   GIR_RootConstrainSelectedInstOperands,
     /* 354528 */   // GIR_Coverage, 720,
     /* 354528 */   GIR_Done,
     /* 354529 */ // Label 7064: @354529
     /* 354529 */ GIM_Reject,
     /* 354530 */ // Label 7050: @354530
     /* 354530 */ GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(354556), // Rule ID 718 //
     /* 354535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 354541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354549 */   // (ctlz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (CLZv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 354549 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i16),
     /* 354554 */   GIR_RootConstrainSelectedInstOperands,
     /* 354555 */   // GIR_Coverage, 718,
     /* 354555 */   GIR_Done,
     /* 354556 */ // Label 7065: @354556
     /* 354556 */ GIM_Reject,
     /* 354557 */ // Label 7051: @354557
     /* 354557 */ GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(354583), // Rule ID 721 //
     /* 354562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 354568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354576 */   // (ctlz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (CLZv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 354576 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i32),
     /* 354581 */   GIR_RootConstrainSelectedInstOperands,
     /* 354582 */   // GIR_Coverage, 721,
     /* 354582 */   GIR_Done,
     /* 354583 */ // Label 7066: @354583
     /* 354583 */ GIM_Reject,
     /* 354584 */ // Label 7052: @354584
     /* 354584 */ GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(354610), // Rule ID 716 //
     /* 354589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 354595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354603 */   // (ctlz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CLZv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 354603 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i8),
     /* 354608 */   GIR_RootConstrainSelectedInstOperands,
     /* 354609 */   // GIR_Coverage, 716,
     /* 354609 */   GIR_Done,
     /* 354610 */ // Label 7067: @354610
     /* 354610 */ GIM_Reject,
     /* 354611 */ // Label 7053: @354611
     /* 354611 */ GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(354637), // Rule ID 719 //
     /* 354616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 354622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354630 */   // (ctlz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (CLZv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 354630 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i16),
     /* 354635 */   GIR_RootConstrainSelectedInstOperands,
     /* 354636 */   // GIR_Coverage, 719,
     /* 354636 */   GIR_Done,
     /* 354637 */ // Label 7068: @354637
     /* 354637 */ GIM_Reject,
     /* 354638 */ // Label 7054: @354638
     /* 354638 */ GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(354664), // Rule ID 717 //
     /* 354643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 354649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354657 */   // (ctlz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CLZv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 354657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv16i8),
     /* 354662 */   GIR_RootConstrainSelectedInstOperands,
     /* 354663 */   // GIR_Coverage, 717,
     /* 354663 */   GIR_Done,
     /* 354664 */ // Label 7069: @354664
     /* 354664 */ GIM_Reject,
     /* 354665 */ // Label 7055: @354665
     /* 354665 */ GIM_Reject,
     /* 354666 */ // Label 90: @354666
     /* 354666 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7074*/ GIMT_Encode4(354825),
     /* 354677 */ /*GILLT_s32*//*Label 7070*/ GIMT_Encode4(354717),
     /* 354681 */ /*GILLT_s64*//*Label 7071*/ GIMT_Encode4(354744), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 354705 */ /*GILLT_v8s8*//*Label 7072*/ GIMT_Encode4(354771), GIMT_Encode4(0),
     /* 354713 */ /*GILLT_v16s8*//*Label 7073*/ GIMT_Encode4(354798),
     /* 354717 */ // Label 7070: @354717
     /* 354717 */ GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(354743), // Rule ID 2310 //
     /* 354722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 354725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 354728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354736 */   // (ctpop:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CNTWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354736 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTWr),
     /* 354741 */   GIR_RootConstrainSelectedInstOperands,
     /* 354742 */   // GIR_Coverage, 2310,
     /* 354742 */   GIR_Done,
     /* 354743 */ // Label 7075: @354743
     /* 354743 */ GIM_Reject,
     /* 354744 */ // Label 7071: @354744
     /* 354744 */ GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(354770), // Rule ID 2311 //
     /* 354749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 354752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 354755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354763 */   // (ctpop:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CNTXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 354763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTXr),
     /* 354768 */   GIR_RootConstrainSelectedInstOperands,
     /* 354769 */   // GIR_Coverage, 2311,
     /* 354769 */   GIR_Done,
     /* 354770 */ // Label 7076: @354770
     /* 354770 */ GIM_Reject,
     /* 354771 */ // Label 7072: @354771
     /* 354771 */ GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(354797), // Rule ID 757 //
     /* 354776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 354782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354790 */   // (ctpop:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CNTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 354790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv8i8),
     /* 354795 */   GIR_RootConstrainSelectedInstOperands,
     /* 354796 */   // GIR_Coverage, 757,
     /* 354796 */   GIR_Done,
     /* 354797 */ // Label 7077: @354797
     /* 354797 */ GIM_Reject,
     /* 354798 */ // Label 7073: @354798
     /* 354798 */ GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(354824), // Rule ID 758 //
     /* 354803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 354809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354817 */   // (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CNTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 354817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv16i8),
     /* 354822 */   GIR_RootConstrainSelectedInstOperands,
     /* 354823 */   // GIR_Coverage, 758,
     /* 354823 */   GIR_Done,
     /* 354824 */ // Label 7078: @354824
     /* 354824 */ GIM_Reject,
     /* 354825 */ // Label 7074: @354825
     /* 354825 */ GIM_Reject,
     /* 354826 */ // Label 91: @354826
     /* 354826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7086*/ GIMT_Encode4(355139),
     /* 354837 */ /*GILLT_s32*//*Label 7079*/ GIMT_Encode4(354873),
     /* 354841 */ /*GILLT_s64*//*Label 7080*/ GIMT_Encode4(354946), GIMT_Encode4(0),
     /* 354849 */ /*GILLT_v2s32*//*Label 7081*/ GIMT_Encode4(355019),
     /* 354853 */ /*GILLT_v2s64*//*Label 7082*/ GIMT_Encode4(355043),
     /* 354857 */ /*GILLT_v4s16*//*Label 7083*/ GIMT_Encode4(355067),
     /* 354861 */ /*GILLT_v4s32*//*Label 7084*/ GIMT_Encode4(355091), GIMT_Encode4(0),
     /* 354869 */ /*GILLT_v8s16*//*Label 7085*/ GIMT_Encode4(355115),
     /* 354873 */ // Label 7079: @354873
     /* 354873 */ GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(354945),
     /* 354878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 354881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354885 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(354928), // Rule ID 3953 //
     /* 354890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 354898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 354902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 354906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354911 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 354915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354917 */     // (bswap:{ *:[i32] } (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 16:{ *:[i64] }))  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 354920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354926 */     GIR_RootConstrainSelectedInstOperands,
     /* 354927 */     // GIR_Coverage, 3953,
     /* 354927 */     GIR_EraseRootFromParent_Done,
     /* 354928 */   // Label 7088: @354928
     /* 354928 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(354944), // Rule ID 185 //
     /* 354933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354937 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 354937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVWr),
     /* 354942 */     GIR_RootConstrainSelectedInstOperands,
     /* 354943 */     // GIR_Coverage, 185,
     /* 354943 */     GIR_Done,
     /* 354944 */   // Label 7089: @354944
     /* 354944 */   GIM_Reject,
     /* 354945 */ // Label 7087: @354945
     /* 354945 */ GIM_Reject,
     /* 354946 */ // Label 7080: @354946
     /* 354946 */ GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(355018),
     /* 354951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 354954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354958 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(355001), // Rule ID 3954 //
     /* 354963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 354971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 354975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 354979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354984 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /* 354988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354990 */     // (bswap:{ *:[i64] } (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 32:{ *:[i64] }))  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 354990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 354993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 354995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354999 */     GIR_RootConstrainSelectedInstOperands,
     /* 355000 */     // GIR_Coverage, 3954,
     /* 355000 */     GIR_EraseRootFromParent_Done,
     /* 355001 */   // Label 7091: @355001
     /* 355001 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(355017), // Rule ID 186 //
     /* 355006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355010 */     // (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 355010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVXr),
     /* 355015 */     GIR_RootConstrainSelectedInstOperands,
     /* 355016 */     // GIR_Coverage, 186,
     /* 355016 */     GIR_Done,
     /* 355017 */   // Label 7092: @355017
     /* 355017 */   GIM_Reject,
     /* 355018 */ // Label 7090: @355018
     /* 355018 */ GIM_Reject,
     /* 355019 */ // Label 7081: @355019
     /* 355019 */ GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(355042), // Rule ID 4928 //
     /* 355024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 355027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355035 */   // (bswap:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV32v8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 355035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 355040 */   GIR_RootConstrainSelectedInstOperands,
     /* 355041 */   // GIR_Coverage, 4928,
     /* 355041 */   GIR_Done,
     /* 355042 */ // Label 7093: @355042
     /* 355042 */ GIM_Reject,
     /* 355043 */ // Label 7082: @355043
     /* 355043 */ GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(355066), // Rule ID 4930 //
     /* 355048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 355051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355059 */   // (bswap:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (REV64v16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 355059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 355064 */   GIR_RootConstrainSelectedInstOperands,
     /* 355065 */   // GIR_Coverage, 4930,
     /* 355065 */   GIR_Done,
     /* 355066 */ // Label 7094: @355066
     /* 355066 */ GIM_Reject,
     /* 355067 */ // Label 7083: @355067
     /* 355067 */ GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(355090), // Rule ID 4926 //
     /* 355072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 355075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355083 */   // (bswap:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV16v8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 355083 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 355088 */   GIR_RootConstrainSelectedInstOperands,
     /* 355089 */   // GIR_Coverage, 4926,
     /* 355089 */   GIR_Done,
     /* 355090 */ // Label 7095: @355090
     /* 355090 */ GIM_Reject,
     /* 355091 */ // Label 7084: @355091
     /* 355091 */ GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(355114), // Rule ID 4929 //
     /* 355096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 355099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355107 */   // (bswap:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV32v16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 355107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 355112 */   GIR_RootConstrainSelectedInstOperands,
     /* 355113 */   // GIR_Coverage, 4929,
     /* 355113 */   GIR_Done,
     /* 355114 */ // Label 7096: @355114
     /* 355114 */ GIM_Reject,
     /* 355115 */ // Label 7085: @355115
     /* 355115 */ GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(355138), // Rule ID 4927 //
     /* 355120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 355123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355131 */   // (bswap:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV16v16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 355131 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 355136 */   GIR_RootConstrainSelectedInstOperands,
     /* 355137 */   // GIR_Coverage, 4927,
     /* 355137 */   GIR_Done,
     /* 355138 */ // Label 7097: @355138
     /* 355138 */ GIM_Reject,
     /* 355139 */ // Label 7086: @355139
     /* 355139 */ GIM_Reject,
     /* 355140 */ // Label 92: @355140
     /* 355140 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7102*/ GIMT_Encode4(355293),
     /* 355151 */ /*GILLT_s32*//*Label 7098*/ GIMT_Encode4(355191),
     /* 355155 */ /*GILLT_s64*//*Label 7099*/ GIMT_Encode4(355215), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 355179 */ /*GILLT_v8s8*//*Label 7100*/ GIMT_Encode4(355239), GIMT_Encode4(0),
     /* 355187 */ /*GILLT_v16s8*//*Label 7101*/ GIMT_Encode4(355266),
     /* 355191 */ // Label 7098: @355191
     /* 355191 */ GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(355214), // Rule ID 182 //
     /* 355196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 355199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 355203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 355207 */   // (bitreverse:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 355207 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 355212 */   GIR_RootConstrainSelectedInstOperands,
     /* 355213 */   // GIR_Coverage, 182,
     /* 355213 */   GIR_Done,
     /* 355214 */ // Label 7103: @355214
     /* 355214 */ GIM_Reject,
     /* 355215 */ // Label 7099: @355215
     /* 355215 */ GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(355238), // Rule ID 183 //
     /* 355220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 355223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355231 */   // (bitreverse:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 355231 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 355236 */   GIR_RootConstrainSelectedInstOperands,
     /* 355237 */   // GIR_Coverage, 183,
     /* 355237 */   GIR_Done,
     /* 355238 */ // Label 7104: @355238
     /* 355238 */ GIM_Reject,
     /* 355239 */ // Label 7100: @355239
     /* 355239 */ GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(355265), // Rule ID 967 //
     /* 355244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 355250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355258 */   // (bitreverse:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (RBITv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 355258 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv8i8),
     /* 355263 */   GIR_RootConstrainSelectedInstOperands,
     /* 355264 */   // GIR_Coverage, 967,
     /* 355264 */   GIR_Done,
     /* 355265 */ // Label 7105: @355265
     /* 355265 */ GIM_Reject,
     /* 355266 */ // Label 7101: @355266
     /* 355266 */ GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(355292), // Rule ID 968 //
     /* 355271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355285 */   // (bitreverse:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (RBITv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 355285 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv16i8),
     /* 355290 */   GIR_RootConstrainSelectedInstOperands,
     /* 355291 */   // GIR_Coverage, 968,
     /* 355291 */   GIR_Done,
     /* 355292 */ // Label 7106: @355292
     /* 355292 */ GIM_Reject,
     /* 355293 */ // Label 7102: @355293
     /* 355293 */ GIM_Reject,
     /* 355294 */ // Label 93: @355294
     /* 355294 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7115*/ GIMT_Encode4(355784),
     /* 355305 */ /*GILLT_s16*//*Label 7107*/ GIMT_Encode4(355345),
     /* 355309 */ /*GILLT_s32*//*Label 7108*/ GIMT_Encode4(355376),
     /* 355313 */ /*GILLT_s64*//*Label 7109*/ GIMT_Encode4(355407), GIMT_Encode4(0),
     /* 355321 */ /*GILLT_v2s32*//*Label 7110*/ GIMT_Encode4(355438),
     /* 355325 */ /*GILLT_v2s64*//*Label 7111*/ GIMT_Encode4(355469),
     /* 355329 */ /*GILLT_v4s16*//*Label 7112*/ GIMT_Encode4(355500),
     /* 355333 */ /*GILLT_v4s32*//*Label 7113*/ GIMT_Encode4(355531), GIMT_Encode4(0),
     /* 355341 */ /*GILLT_v8s16*//*Label 7114*/ GIMT_Encode4(355562),
     /* 355345 */ // Label 7107: @355345
     /* 355345 */ GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(355375), // Rule ID 552 //
     /* 355350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 355353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 355356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 355360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 355364 */   // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTPHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 355364 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPHr),
     /* 355369 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355373 */   GIR_RootConstrainSelectedInstOperands,
     /* 355374 */   // GIR_Coverage, 552,
     /* 355374 */   GIR_Done,
     /* 355375 */ // Label 7116: @355375
     /* 355375 */ GIM_Reject,
     /* 355376 */ // Label 7108: @355376
     /* 355376 */ GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(355406), // Rule ID 554 //
     /* 355381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 355384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 355387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355395 */   // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTPSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 355395 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPSr),
     /* 355400 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355404 */   GIR_RootConstrainSelectedInstOperands,
     /* 355405 */   // GIR_Coverage, 554,
     /* 355405 */   GIR_Done,
     /* 355406 */ // Label 7117: @355406
     /* 355406 */ GIM_Reject,
     /* 355407 */ // Label 7109: @355407
     /* 355407 */ GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(355437), // Rule ID 556 //
     /* 355412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 355415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 355418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355426 */   // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTPDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 355426 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPDr),
     /* 355431 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355435 */   GIR_RootConstrainSelectedInstOperands,
     /* 355436 */   // GIR_Coverage, 556,
     /* 355436 */   GIR_Done,
     /* 355437 */ // Label 7118: @355437
     /* 355437 */ GIM_Reject,
     /* 355438 */ // Label 7110: @355438
     /* 355438 */ GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(355468), // Rule ID 906 //
     /* 355443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 355449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355457 */   // (fceil:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 355457 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f32),
     /* 355462 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355466 */   GIR_RootConstrainSelectedInstOperands,
     /* 355467 */   // GIR_Coverage, 906,
     /* 355467 */   GIR_Done,
     /* 355468 */ // Label 7119: @355468
     /* 355468 */ GIM_Reject,
     /* 355469 */ // Label 7111: @355469
     /* 355469 */ GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(355499), // Rule ID 910 //
     /* 355474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 355480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355488 */   // (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 355488 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f64),
     /* 355493 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355497 */   GIR_RootConstrainSelectedInstOperands,
     /* 355498 */   // GIR_Coverage, 910,
     /* 355498 */   GIR_Done,
     /* 355499 */ // Label 7120: @355499
     /* 355499 */ GIM_Reject,
     /* 355500 */ // Label 7112: @355500
     /* 355500 */ GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(355530), // Rule ID 902 //
     /* 355505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 355508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 355511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355519 */   // (fceil:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 355519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f16),
     /* 355524 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355528 */   GIR_RootConstrainSelectedInstOperands,
     /* 355529 */   // GIR_Coverage, 902,
     /* 355529 */   GIR_Done,
     /* 355530 */ // Label 7121: @355530
     /* 355530 */ GIM_Reject,
     /* 355531 */ // Label 7113: @355531
     /* 355531 */ GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(355561), // Rule ID 908 //
     /* 355536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 355542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355550 */   // (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 355550 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 355555 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355559 */   GIR_RootConstrainSelectedInstOperands,
     /* 355560 */   // GIR_Coverage, 908,
     /* 355560 */   GIR_Done,
     /* 355561 */ // Label 7122: @355561
     /* 355561 */ GIM_Reject,
     /* 355562 */ // Label 7114: @355562
     /* 355562 */ GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(355783),
     /* 355567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 355570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355578 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(355597), // Rule ID 904 //
     /* 355583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 355586 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 355586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv8f16),
     /* 355591 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355595 */     GIR_RootConstrainSelectedInstOperands,
     /* 355596 */     // GIR_Coverage, 904,
     /* 355596 */     GIR_Done,
     /* 355597 */   // Label 7124: @355597
     /* 355597 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(355782), // Rule ID 6888 //
     /* 355602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 355605 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTPv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTPv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 355605 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 355608 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 355612 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355617 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 355621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 355623 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 355626 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 355630 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355635 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 355638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 355640 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 355643 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 355647 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355652 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 355658 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355663 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355668 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 355671 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 355675 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355680 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 355683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 355685 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 355688 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 355692 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355697 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 355700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 355702 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 355705 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 355709 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355714 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 355717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 355719 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 355722 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 355726 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 355736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 355740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355745 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 355748 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 355751 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 355754 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355759 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355764 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 355772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 355780 */     GIR_RootConstrainSelectedInstOperands,
     /* 355781 */     // GIR_Coverage, 6888,
     /* 355781 */     GIR_EraseRootFromParent_Done,
     /* 355782 */   // Label 7125: @355782
     /* 355782 */   GIM_Reject,
     /* 355783 */ // Label 7123: @355783
     /* 355783 */ GIM_Reject,
     /* 355784 */ // Label 7115: @355784
     /* 355784 */ GIM_Reject,
     /* 355785 */ // Label 94: @355785
     /* 355785 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7134*/ GIMT_Encode4(356084),
     /* 355796 */ /*GILLT_s16*//*Label 7126*/ GIMT_Encode4(355836),
     /* 355800 */ /*GILLT_s32*//*Label 7127*/ GIMT_Encode4(355867),
     /* 355804 */ /*GILLT_s64*//*Label 7128*/ GIMT_Encode4(355898), GIMT_Encode4(0),
     /* 355812 */ /*GILLT_v2s32*//*Label 7129*/ GIMT_Encode4(355929),
     /* 355816 */ /*GILLT_v2s64*//*Label 7130*/ GIMT_Encode4(355960),
     /* 355820 */ /*GILLT_v4s16*//*Label 7131*/ GIMT_Encode4(355991),
     /* 355824 */ /*GILLT_v4s32*//*Label 7132*/ GIMT_Encode4(356022), GIMT_Encode4(0),
     /* 355832 */ /*GILLT_v8s16*//*Label 7133*/ GIMT_Encode4(356053),
     /* 355836 */ // Label 7126: @355836
     /* 355836 */ GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(355866), // Rule ID 570 //
     /* 355841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 355844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 355847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 355851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 355855 */   // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 355855 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 355860 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355864 */   GIR_RootConstrainSelectedInstOperands,
     /* 355865 */   // GIR_Coverage, 570,
     /* 355865 */   GIR_Done,
     /* 355866 */ // Label 7135: @355866
     /* 355866 */ GIM_Reject,
     /* 355867 */ // Label 7127: @355867
     /* 355867 */ GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(355897), // Rule ID 572 //
     /* 355872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 355875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 355878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355886 */   // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 355886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 355891 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355895 */   GIR_RootConstrainSelectedInstOperands,
     /* 355896 */   // GIR_Coverage, 572,
     /* 355896 */   GIR_Done,
     /* 355897 */ // Label 7136: @355897
     /* 355897 */ GIM_Reject,
     /* 355898 */ // Label 7128: @355898
     /* 355898 */ GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(355928), // Rule ID 574 //
     /* 355903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 355906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 355909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355917 */   // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 355917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 355922 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355926 */   GIR_RootConstrainSelectedInstOperands,
     /* 355927 */   // GIR_Coverage, 574,
     /* 355927 */   GIR_Done,
     /* 355928 */ // Label 7137: @355928
     /* 355928 */ GIM_Reject,
     /* 355929 */ // Label 7129: @355929
     /* 355929 */ GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(355959), // Rule ID 953 //
     /* 355934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 355940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355948 */   // (fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 355948 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 355953 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355957 */   GIR_RootConstrainSelectedInstOperands,
     /* 355958 */   // GIR_Coverage, 953,
     /* 355958 */   GIR_Done,
     /* 355959 */ // Label 7138: @355959
     /* 355959 */ GIM_Reject,
     /* 355960 */ // Label 7130: @355960
     /* 355960 */ GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(355990), // Rule ID 957 //
     /* 355965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 355971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355979 */   // (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 355979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 355984 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 355988 */   GIR_RootConstrainSelectedInstOperands,
     /* 355989 */   // GIR_Coverage, 957,
     /* 355989 */   GIR_Done,
     /* 355990 */ // Label 7139: @355990
     /* 355990 */ GIM_Reject,
     /* 355991 */ // Label 7131: @355991
     /* 355991 */ GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(356021), // Rule ID 949 //
     /* 355996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 355999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 356002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356010 */   // (fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 356010 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 356015 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356019 */   GIR_RootConstrainSelectedInstOperands,
     /* 356020 */   // GIR_Coverage, 949,
     /* 356020 */   GIR_Done,
     /* 356021 */ // Label 7140: @356021
     /* 356021 */ GIM_Reject,
     /* 356022 */ // Label 7132: @356022
     /* 356022 */ GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(356052), // Rule ID 955 //
     /* 356027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 356033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356041 */   // (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 356041 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 356046 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356050 */   GIR_RootConstrainSelectedInstOperands,
     /* 356051 */   // GIR_Coverage, 955,
     /* 356051 */   GIR_Done,
     /* 356052 */ // Label 7141: @356052
     /* 356052 */ GIM_Reject,
     /* 356053 */ // Label 7133: @356053
     /* 356053 */ GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(356083), // Rule ID 951 //
     /* 356058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 356061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 356064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356072 */   // (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 356072 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 356077 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356081 */   GIR_RootConstrainSelectedInstOperands,
     /* 356082 */   // GIR_Coverage, 951,
     /* 356082 */   GIR_Done,
     /* 356083 */ // Label 7142: @356083
     /* 356083 */ GIM_Reject,
     /* 356084 */ // Label 7134: @356084
     /* 356084 */ GIM_Reject,
     /* 356085 */ // Label 95: @356085
     /* 356085 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7151*/ GIMT_Encode4(356575),
     /* 356096 */ /*GILLT_s16*//*Label 7143*/ GIMT_Encode4(356136),
     /* 356100 */ /*GILLT_s32*//*Label 7144*/ GIMT_Encode4(356167),
     /* 356104 */ /*GILLT_s64*//*Label 7145*/ GIMT_Encode4(356198), GIMT_Encode4(0),
     /* 356112 */ /*GILLT_v2s32*//*Label 7146*/ GIMT_Encode4(356229),
     /* 356116 */ /*GILLT_v2s64*//*Label 7147*/ GIMT_Encode4(356260),
     /* 356120 */ /*GILLT_v4s16*//*Label 7148*/ GIMT_Encode4(356291),
     /* 356124 */ /*GILLT_v4s32*//*Label 7149*/ GIMT_Encode4(356322), GIMT_Encode4(0),
     /* 356132 */ /*GILLT_v8s16*//*Label 7150*/ GIMT_Encode4(356353),
     /* 356136 */ // Label 7143: @356136
     /* 356136 */ GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(356166), // Rule ID 540 //
     /* 356141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 356144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 356147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356155 */   // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTMHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 356155 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMHr),
     /* 356160 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356164 */   GIR_RootConstrainSelectedInstOperands,
     /* 356165 */   // GIR_Coverage, 540,
     /* 356165 */   GIR_Done,
     /* 356166 */ // Label 7152: @356166
     /* 356166 */ GIM_Reject,
     /* 356167 */ // Label 7144: @356167
     /* 356167 */ GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(356197), // Rule ID 542 //
     /* 356172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 356175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 356178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356186 */   // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTMSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 356186 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMSr),
     /* 356191 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356195 */   GIR_RootConstrainSelectedInstOperands,
     /* 356196 */   // GIR_Coverage, 542,
     /* 356196 */   GIR_Done,
     /* 356197 */ // Label 7153: @356197
     /* 356197 */ GIM_Reject,
     /* 356198 */ // Label 7145: @356198
     /* 356198 */ GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(356228), // Rule ID 544 //
     /* 356203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 356206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 356209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356217 */   // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTMDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 356217 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMDr),
     /* 356222 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356226 */   GIR_RootConstrainSelectedInstOperands,
     /* 356227 */   // GIR_Coverage, 544,
     /* 356227 */   GIR_Done,
     /* 356228 */ // Label 7154: @356228
     /* 356228 */ GIM_Reject,
     /* 356229 */ // Label 7146: @356229
     /* 356229 */ GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(356259), // Rule ID 886 //
     /* 356234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 356240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356248 */   // (ffloor:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 356248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f32),
     /* 356253 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356257 */   GIR_RootConstrainSelectedInstOperands,
     /* 356258 */   // GIR_Coverage, 886,
     /* 356258 */   GIR_Done,
     /* 356259 */ // Label 7155: @356259
     /* 356259 */ GIM_Reject,
     /* 356260 */ // Label 7147: @356260
     /* 356260 */ GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(356290), // Rule ID 890 //
     /* 356265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 356271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356279 */   // (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 356279 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f64),
     /* 356284 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356288 */   GIR_RootConstrainSelectedInstOperands,
     /* 356289 */   // GIR_Coverage, 890,
     /* 356289 */   GIR_Done,
     /* 356290 */ // Label 7156: @356290
     /* 356290 */ GIM_Reject,
     /* 356291 */ // Label 7148: @356291
     /* 356291 */ GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(356321), // Rule ID 882 //
     /* 356296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 356299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 356302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356310 */   // (ffloor:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 356310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f16),
     /* 356315 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356319 */   GIR_RootConstrainSelectedInstOperands,
     /* 356320 */   // GIR_Coverage, 882,
     /* 356320 */   GIR_Done,
     /* 356321 */ // Label 7157: @356321
     /* 356321 */ GIM_Reject,
     /* 356322 */ // Label 7149: @356322
     /* 356322 */ GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(356352), // Rule ID 888 //
     /* 356327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 356333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356341 */   // (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 356341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 356346 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356350 */   GIR_RootConstrainSelectedInstOperands,
     /* 356351 */   // GIR_Coverage, 888,
     /* 356351 */   GIR_Done,
     /* 356352 */ // Label 7158: @356352
     /* 356352 */ GIM_Reject,
     /* 356353 */ // Label 7150: @356353
     /* 356353 */ GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(356574),
     /* 356358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 356361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356369 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(356388), // Rule ID 884 //
     /* 356374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 356377 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 356377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv8f16),
     /* 356382 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356386 */     GIR_RootConstrainSelectedInstOperands,
     /* 356387 */     // GIR_Coverage, 884,
     /* 356387 */     GIR_Done,
     /* 356388 */   // Label 7160: @356388
     /* 356388 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(356573), // Rule ID 6890 //
     /* 356393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 356396 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTMv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTMv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 356396 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 356399 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 356403 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356408 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 356412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 356414 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 356417 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 356421 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356426 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 356429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 356431 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 356434 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 356438 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356443 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 356449 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356454 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356459 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 356462 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 356466 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356471 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 356474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 356476 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 356479 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 356483 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356488 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 356491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356493 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 356496 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 356500 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356505 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 356508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 356510 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 356513 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 356517 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 356527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 356531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356536 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356539 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 356542 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 356545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356555 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 356563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 356571 */     GIR_RootConstrainSelectedInstOperands,
     /* 356572 */     // GIR_Coverage, 6890,
     /* 356572 */     GIR_EraseRootFromParent_Done,
     /* 356573 */   // Label 7161: @356573
     /* 356573 */   GIM_Reject,
     /* 356574 */ // Label 7159: @356574
     /* 356574 */ GIM_Reject,
     /* 356575 */ // Label 7151: @356575
     /* 356575 */ GIM_Reject,
     /* 356576 */ // Label 96: @356576
     /* 356576 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7170*/ GIMT_Encode4(357066),
     /* 356587 */ /*GILLT_s16*//*Label 7162*/ GIMT_Encode4(356627),
     /* 356591 */ /*GILLT_s32*//*Label 7163*/ GIMT_Encode4(356658),
     /* 356595 */ /*GILLT_s64*//*Label 7164*/ GIMT_Encode4(356689), GIMT_Encode4(0),
     /* 356603 */ /*GILLT_v2s32*//*Label 7165*/ GIMT_Encode4(356720),
     /* 356607 */ /*GILLT_v2s64*//*Label 7166*/ GIMT_Encode4(356751),
     /* 356611 */ /*GILLT_v4s16*//*Label 7167*/ GIMT_Encode4(356782),
     /* 356615 */ /*GILLT_v4s32*//*Label 7168*/ GIMT_Encode4(356813), GIMT_Encode4(0),
     /* 356623 */ /*GILLT_v8s16*//*Label 7169*/ GIMT_Encode4(356844),
     /* 356627 */ // Label 7162: @356627
     /* 356627 */ GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(356657), // Rule ID 558 //
     /* 356632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 356635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 356638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356646 */   // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTXHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 356646 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /* 356651 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356655 */   GIR_RootConstrainSelectedInstOperands,
     /* 356656 */   // GIR_Coverage, 558,
     /* 356656 */   GIR_Done,
     /* 356657 */ // Label 7171: @356657
     /* 356657 */ GIM_Reject,
     /* 356658 */ // Label 7163: @356658
     /* 356658 */ GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(356688), // Rule ID 560 //
     /* 356663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 356666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 356669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356677 */   // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTXSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 356677 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /* 356682 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356686 */   GIR_RootConstrainSelectedInstOperands,
     /* 356687 */   // GIR_Coverage, 560,
     /* 356687 */   GIR_Done,
     /* 356688 */ // Label 7172: @356688
     /* 356688 */ GIM_Reject,
     /* 356689 */ // Label 7164: @356689
     /* 356689 */ GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(356719), // Rule ID 562 //
     /* 356694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 356697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 356700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356708 */   // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTXDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 356708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /* 356713 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356717 */   GIR_RootConstrainSelectedInstOperands,
     /* 356718 */   // GIR_Coverage, 562,
     /* 356718 */   GIR_Done,
     /* 356719 */ // Label 7173: @356719
     /* 356719 */ GIM_Reject,
     /* 356720 */ // Label 7165: @356720
     /* 356720 */ GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(356750), // Rule ID 916 //
     /* 356725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 356731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356739 */   // (frint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 356739 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f32),
     /* 356744 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356748 */   GIR_RootConstrainSelectedInstOperands,
     /* 356749 */   // GIR_Coverage, 916,
     /* 356749 */   GIR_Done,
     /* 356750 */ // Label 7174: @356750
     /* 356750 */ GIM_Reject,
     /* 356751 */ // Label 7166: @356751
     /* 356751 */ GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(356781), // Rule ID 920 //
     /* 356756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 356762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356770 */   // (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 356770 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f64),
     /* 356775 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356779 */   GIR_RootConstrainSelectedInstOperands,
     /* 356780 */   // GIR_Coverage, 920,
     /* 356780 */   GIR_Done,
     /* 356781 */ // Label 7175: @356781
     /* 356781 */ GIM_Reject,
     /* 356782 */ // Label 7167: @356782
     /* 356782 */ GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(356812), // Rule ID 912 //
     /* 356787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 356790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 356793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356801 */   // (frint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 356801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f16),
     /* 356806 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356810 */   GIR_RootConstrainSelectedInstOperands,
     /* 356811 */   // GIR_Coverage, 912,
     /* 356811 */   GIR_Done,
     /* 356812 */ // Label 7176: @356812
     /* 356812 */ GIM_Reject,
     /* 356813 */ // Label 7168: @356813
     /* 356813 */ GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(356843), // Rule ID 918 //
     /* 356818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 356824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356832 */   // (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 356832 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 356837 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356841 */   GIR_RootConstrainSelectedInstOperands,
     /* 356842 */   // GIR_Coverage, 918,
     /* 356842 */   GIR_Done,
     /* 356843 */ // Label 7177: @356843
     /* 356843 */ GIM_Reject,
     /* 356844 */ // Label 7169: @356844
     /* 356844 */ GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(357065),
     /* 356849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 356852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356860 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(356879), // Rule ID 914 //
     /* 356865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 356868 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 356868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv8f16),
     /* 356873 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 356877 */     GIR_RootConstrainSelectedInstOperands,
     /* 356878 */     // GIR_Coverage, 914,
     /* 356878 */     GIR_Done,
     /* 356879 */   // Label 7179: @356879
     /* 356879 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(357064), // Rule ID 6898 //
     /* 356884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 356887 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTXv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTXv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 356887 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 356890 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 356894 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356899 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 356903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 356905 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 356908 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 356912 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356917 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 356920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 356922 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 356925 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 356929 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356934 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 356940 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356945 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356950 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 356953 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 356957 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356962 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 356965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 356967 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 356970 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 356974 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356979 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 356982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356984 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 356987 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 356991 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356996 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 356999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 357001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 357004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 357008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 357015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 357018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 357022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357027 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 357030 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 357033 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 357036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 357054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 357062 */     GIR_RootConstrainSelectedInstOperands,
     /* 357063 */     // GIR_Coverage, 6898,
     /* 357063 */     GIR_EraseRootFromParent_Done,
     /* 357064 */   // Label 7180: @357064
     /* 357064 */   GIM_Reject,
     /* 357065 */ // Label 7178: @357065
     /* 357065 */ GIM_Reject,
     /* 357066 */ // Label 7170: @357066
     /* 357066 */ GIM_Reject,
     /* 357067 */ // Label 97: @357067
     /* 357067 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7189*/ GIMT_Encode4(357557),
     /* 357078 */ /*GILLT_s16*//*Label 7181*/ GIMT_Encode4(357118),
     /* 357082 */ /*GILLT_s32*//*Label 7182*/ GIMT_Encode4(357149),
     /* 357086 */ /*GILLT_s64*//*Label 7183*/ GIMT_Encode4(357180), GIMT_Encode4(0),
     /* 357094 */ /*GILLT_v2s32*//*Label 7184*/ GIMT_Encode4(357211),
     /* 357098 */ /*GILLT_v2s64*//*Label 7185*/ GIMT_Encode4(357242),
     /* 357102 */ /*GILLT_v4s16*//*Label 7186*/ GIMT_Encode4(357273),
     /* 357106 */ /*GILLT_v4s32*//*Label 7187*/ GIMT_Encode4(357304), GIMT_Encode4(0),
     /* 357114 */ /*GILLT_v8s16*//*Label 7188*/ GIMT_Encode4(357335),
     /* 357118 */ // Label 7181: @357118
     /* 357118 */ GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(357148), // Rule ID 534 //
     /* 357123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 357126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 357129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357137 */   // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTIHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 357137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIHr),
     /* 357142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357146 */   GIR_RootConstrainSelectedInstOperands,
     /* 357147 */   // GIR_Coverage, 534,
     /* 357147 */   GIR_Done,
     /* 357148 */ // Label 7190: @357148
     /* 357148 */ GIM_Reject,
     /* 357149 */ // Label 7182: @357149
     /* 357149 */ GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(357179), // Rule ID 536 //
     /* 357154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 357157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 357160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 357164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 357168 */   // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTISr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 357168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTISr),
     /* 357173 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357177 */   GIR_RootConstrainSelectedInstOperands,
     /* 357178 */   // GIR_Coverage, 536,
     /* 357178 */   GIR_Done,
     /* 357179 */ // Label 7191: @357179
     /* 357179 */ GIM_Reject,
     /* 357180 */ // Label 7183: @357180
     /* 357180 */ GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(357210), // Rule ID 538 //
     /* 357185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 357188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 357191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357199 */   // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTIDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 357199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIDr),
     /* 357204 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357208 */   GIR_RootConstrainSelectedInstOperands,
     /* 357209 */   // GIR_Coverage, 538,
     /* 357209 */   GIR_Done,
     /* 357210 */ // Label 7192: @357210
     /* 357210 */ GIM_Reject,
     /* 357211 */ // Label 7184: @357211
     /* 357211 */ GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(357241), // Rule ID 876 //
     /* 357216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 357219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 357222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357230 */   // (fnearbyint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTIv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 357230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f32),
     /* 357235 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357239 */   GIR_RootConstrainSelectedInstOperands,
     /* 357240 */   // GIR_Coverage, 876,
     /* 357240 */   GIR_Done,
     /* 357241 */ // Label 7193: @357241
     /* 357241 */ GIM_Reject,
     /* 357242 */ // Label 7185: @357242
     /* 357242 */ GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(357272), // Rule ID 880 //
     /* 357247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 357250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 357253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357261 */   // (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTIv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 357261 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f64),
     /* 357266 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357270 */   GIR_RootConstrainSelectedInstOperands,
     /* 357271 */   // GIR_Coverage, 880,
     /* 357271 */   GIR_Done,
     /* 357272 */ // Label 7194: @357272
     /* 357272 */ GIM_Reject,
     /* 357273 */ // Label 7186: @357273
     /* 357273 */ GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(357303), // Rule ID 872 //
     /* 357278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 357281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 357284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357292 */   // (fnearbyint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTIv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 357292 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f16),
     /* 357297 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357301 */   GIR_RootConstrainSelectedInstOperands,
     /* 357302 */   // GIR_Coverage, 872,
     /* 357302 */   GIR_Done,
     /* 357303 */ // Label 7195: @357303
     /* 357303 */ GIM_Reject,
     /* 357304 */ // Label 7187: @357304
     /* 357304 */ GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(357334), // Rule ID 878 //
     /* 357309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 357312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 357315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357323 */   // (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTIv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 357323 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 357328 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357332 */   GIR_RootConstrainSelectedInstOperands,
     /* 357333 */   // GIR_Coverage, 878,
     /* 357333 */   GIR_Done,
     /* 357334 */ // Label 7196: @357334
     /* 357334 */ GIM_Reject,
     /* 357335 */ // Label 7188: @357335
     /* 357335 */ GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(357556),
     /* 357340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 357343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357351 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(357370), // Rule ID 874 //
     /* 357356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 357359 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTIv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 357359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv8f16),
     /* 357364 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357368 */     GIR_RootConstrainSelectedInstOperands,
     /* 357369 */     // GIR_Coverage, 874,
     /* 357369 */     GIR_Done,
     /* 357370 */   // Label 7198: @357370
     /* 357370 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(357555), // Rule ID 6892 //
     /* 357375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 357378 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTIv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTIv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 357378 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 357381 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 357385 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357390 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 357394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 357396 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 357399 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 357403 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357408 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 357411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 357413 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 357416 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357420 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357425 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 357431 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357436 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357441 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 357444 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 357448 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357453 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 357456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 357458 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 357461 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 357465 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357470 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 357473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 357475 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 357478 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 357482 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357487 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 357490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 357492 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 357495 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 357499 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 357506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 357509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 357513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357518 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 357521 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 357524 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 357527 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357532 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 357545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 357553 */     GIR_RootConstrainSelectedInstOperands,
     /* 357554 */     // GIR_Coverage, 6892,
     /* 357554 */     GIR_EraseRootFromParent_Done,
     /* 357555 */   // Label 7199: @357555
     /* 357555 */   GIM_Reject,
     /* 357556 */ // Label 7197: @357556
     /* 357556 */ GIM_Reject,
     /* 357557 */ // Label 7189: @357557
     /* 357557 */ GIM_Reject,
     /* 357558 */ // Label 98: @357558
     /* 357558 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7208*/ GIMT_Encode4(358683),
     /* 357569 */ /*GILLT_s16*//*Label 7200*/ GIMT_Encode4(357609),
     /* 357573 */ /*GILLT_s32*//*Label 7201*/ GIMT_Encode4(357835),
     /* 357577 */ /*GILLT_s64*//*Label 7202*/ GIMT_Encode4(358061), GIMT_Encode4(0),
     /* 357585 */ /*GILLT_v2s32*//*Label 7203*/ GIMT_Encode4(358233),
     /* 357589 */ /*GILLT_v2s64*//*Label 7204*/ GIMT_Encode4(358271),
     /* 357593 */ /*GILLT_v4s16*//*Label 7205*/ GIMT_Encode4(358309),
     /* 357597 */ /*GILLT_v4s32*//*Label 7206*/ GIMT_Encode4(358347), GIMT_Encode4(0),
     /* 357605 */ /*GILLT_v8s16*//*Label 7207*/ GIMT_Encode4(358385),
     /* 357609 */ // Label 7200: @357609
     /* 357609 */ GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(357834),
     /* 357614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 357617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 357620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357624 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(357715), // Rule ID 6812 //
     /* 357629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 357641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 357645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357650 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 357654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 357666 */     // MIs[2] Rn
     /* 357666 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 357671 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 357675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357677 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 357677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357689 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 357695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 357708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 357710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357713 */     GIR_RootConstrainSelectedInstOperands,
     /* 357714 */     // GIR_Coverage, 6812,
     /* 357714 */     GIR_EraseRootFromParent_Done,
     /* 357715 */   // Label 7210: @357715
     /* 357715 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(357806), // Rule ID 13637 //
     /* 357720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 357732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 357736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357741 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 357745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 357757 */     // MIs[2] Rn
     /* 357757 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 357762 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 357766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357768 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 357768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357780 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 357786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 357799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 357801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357804 */     GIR_RootConstrainSelectedInstOperands,
     /* 357805 */     // GIR_Coverage, 13637,
     /* 357805 */     GIR_EraseRootFromParent_Done,
     /* 357806 */   // Label 7211: @357806
     /* 357806 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(357833), // Rule ID 583 //
     /* 357811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 357814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357822 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 357822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 357827 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 357831 */     GIR_RootConstrainSelectedInstOperands,
     /* 357832 */     // GIR_Coverage, 583,
     /* 357832 */     GIR_Done,
     /* 357833 */   // Label 7212: @357833
     /* 357833 */   GIM_Reject,
     /* 357834 */ // Label 7209: @357834
     /* 357834 */ GIM_Reject,
     /* 357835 */ // Label 7201: @357835
     /* 357835 */ GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(358060),
     /* 357840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 357843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 357846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 357850 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(357941), // Rule ID 6810 //
     /* 357855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 357867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 357871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357876 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 357880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357888 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 357892 */     // MIs[2] Rn
     /* 357892 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 357897 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 357901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357903 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 357903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357915 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 357921 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 357934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 357936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357939 */     GIR_RootConstrainSelectedInstOperands,
     /* 357940 */     // GIR_Coverage, 6810,
     /* 357940 */     GIR_EraseRootFromParent_Done,
     /* 357941 */   // Label 7214: @357941
     /* 357941 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(358032), // Rule ID 13635 //
     /* 357946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 357958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 357962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 357967 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 357971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 357979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 357983 */     // MIs[2] Rn
     /* 357983 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 357988 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 357992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357994 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 357994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 358001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358006 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 358012 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358017 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 358025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 358027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358030 */     GIR_RootConstrainSelectedInstOperands,
     /* 358031 */     // GIR_Coverage, 13635,
     /* 358031 */     GIR_EraseRootFromParent_Done,
     /* 358032 */   // Label 7215: @358032
     /* 358032 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(358059), // Rule ID 585 //
     /* 358037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 358040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358048 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 358048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 358053 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358057 */     GIR_RootConstrainSelectedInstOperands,
     /* 358058 */     // GIR_Coverage, 585,
     /* 358058 */     GIR_Done,
     /* 358059 */   // Label 7216: @358059
     /* 358059 */   GIM_Reject,
     /* 358060 */ // Label 7213: @358060
     /* 358060 */ GIM_Reject,
     /* 358061 */ // Label 7202: @358061
     /* 358061 */ GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(358232),
     /* 358066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 358069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 358072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358076 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(358140), // Rule ID 6808 //
     /* 358081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 358093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 358097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358102 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 358106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358114 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 358118 */     // MIs[2] Rn
     /* 358118 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 358123 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 358127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358129 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 358129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 358132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 358134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 358138 */     GIR_RootConstrainSelectedInstOperands,
     /* 358139 */     // GIR_Coverage, 6808,
     /* 358139 */     GIR_EraseRootFromParent_Done,
     /* 358140 */   // Label 7218: @358140
     /* 358140 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(358204), // Rule ID 13633 //
     /* 358145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 358157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 358161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358166 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 358170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358178 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 358182 */     // MIs[2] Rn
     /* 358182 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 358187 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 358191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358193 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 358193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 358196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 358198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 358202 */     GIR_RootConstrainSelectedInstOperands,
     /* 358203 */     // GIR_Coverage, 13633,
     /* 358203 */     GIR_EraseRootFromParent_Done,
     /* 358204 */   // Label 7219: @358204
     /* 358204 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(358231), // Rule ID 587 //
     /* 358209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 358212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358220 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 358220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 358225 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358229 */     GIR_RootConstrainSelectedInstOperands,
     /* 358230 */     // GIR_Coverage, 587,
     /* 358230 */     GIR_Done,
     /* 358231 */   // Label 7220: @358231
     /* 358231 */   GIM_Reject,
     /* 358232 */ // Label 7217: @358232
     /* 358232 */ GIM_Reject,
     /* 358233 */ // Label 7203: @358233
     /* 358233 */ GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(358270), // Rule ID 1195 //
     /* 358238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 358244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 358247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358259 */   // (strict_fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 358259 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 358264 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358268 */   GIR_RootConstrainSelectedInstOperands,
     /* 358269 */   // GIR_Coverage, 1195,
     /* 358269 */   GIR_Done,
     /* 358270 */ // Label 7221: @358270
     /* 358270 */ GIM_Reject,
     /* 358271 */ // Label 7204: @358271
     /* 358271 */ GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(358308), // Rule ID 1199 //
     /* 358276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 358282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 358285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358297 */   // (strict_fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 358297 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 358302 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358306 */   GIR_RootConstrainSelectedInstOperands,
     /* 358307 */   // GIR_Coverage, 1199,
     /* 358307 */   GIR_Done,
     /* 358308 */ // Label 7222: @358308
     /* 358308 */ GIM_Reject,
     /* 358309 */ // Label 7205: @358309
     /* 358309 */ GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(358346), // Rule ID 1191 //
     /* 358314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 358317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 358320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 358323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358335 */   // (strict_fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 358335 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 358340 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358344 */   GIR_RootConstrainSelectedInstOperands,
     /* 358345 */   // GIR_Coverage, 1191,
     /* 358345 */   GIR_Done,
     /* 358346 */ // Label 7223: @358346
     /* 358346 */ GIM_Reject,
     /* 358347 */ // Label 7206: @358347
     /* 358347 */ GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(358384), // Rule ID 1197 //
     /* 358352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 358358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 358361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358373 */   // (strict_fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 358373 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 358378 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358382 */   GIR_RootConstrainSelectedInstOperands,
     /* 358383 */   // GIR_Coverage, 1197,
     /* 358383 */   GIR_Done,
     /* 358384 */ // Label 7224: @358384
     /* 358384 */ GIM_Reject,
     /* 358385 */ // Label 7207: @358385
     /* 358385 */ GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(358682),
     /* 358390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 358393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 358396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358408 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(358427), // Rule ID 1193 //
     /* 358413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 358416 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 358416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 358421 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358425 */     GIR_RootConstrainSelectedInstOperands,
     /* 358426 */     // GIR_Coverage, 1193,
     /* 358426 */     GIR_Done,
     /* 358427 */   // Label 7226: @358427
     /* 358427 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(358681), // Rule ID 6901 //
     /* 358432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 358435 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 358435 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 358438 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 358442 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358447 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 358451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 358453 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 358456 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 358460 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358465 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 358469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 358471 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 358474 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 358478 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358483 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 358486 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 358489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 358491 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 358494 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 358498 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358503 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 358509 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358514 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358519 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 358522 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 358526 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358531 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 358534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 358536 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 358539 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 358543 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358548 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 358554 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358559 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358564 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 358567 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 358571 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358576 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 358579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 358581 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 358584 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 358588 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358593 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 358596 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 358599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358601 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 358604 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 358608 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358613 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 358616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358618 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 358621 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 358625 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 358635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 358639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358644 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358647 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358650 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 358653 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358658 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 358671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 358679 */     GIR_RootConstrainSelectedInstOperands,
     /* 358680 */     // GIR_Coverage, 6901,
     /* 358680 */     GIR_EraseRootFromParent_Done,
     /* 358681 */   // Label 7227: @358681
     /* 358681 */   GIM_Reject,
     /* 358682 */ // Label 7225: @358682
     /* 358682 */ GIM_Reject,
     /* 358683 */ // Label 7208: @358683
     /* 358683 */ GIM_Reject,
     /* 358684 */ // Label 99: @358684
     /* 358684 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7236*/ GIMT_Encode4(359299),
     /* 358695 */ /*GILLT_s16*//*Label 7228*/ GIMT_Encode4(358735),
     /* 358699 */ /*GILLT_s32*//*Label 7229*/ GIMT_Encode4(358773),
     /* 358703 */ /*GILLT_s64*//*Label 7230*/ GIMT_Encode4(358811), GIMT_Encode4(0),
     /* 358711 */ /*GILLT_v2s32*//*Label 7231*/ GIMT_Encode4(358849),
     /* 358715 */ /*GILLT_v2s64*//*Label 7232*/ GIMT_Encode4(358887),
     /* 358719 */ /*GILLT_v4s16*//*Label 7233*/ GIMT_Encode4(358925),
     /* 358723 */ /*GILLT_v4s32*//*Label 7234*/ GIMT_Encode4(358963), GIMT_Encode4(0),
     /* 358731 */ /*GILLT_v8s16*//*Label 7235*/ GIMT_Encode4(359001),
     /* 358735 */ // Label 7228: @358735
     /* 358735 */ GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(358772), // Rule ID 631 //
     /* 358740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 358743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 358746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358761 */   // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 358761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 358766 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358770 */   GIR_RootConstrainSelectedInstOperands,
     /* 358771 */   // GIR_Coverage, 631,
     /* 358771 */   GIR_Done,
     /* 358772 */ // Label 7237: @358772
     /* 358772 */ GIM_Reject,
     /* 358773 */ // Label 7229: @358773
     /* 358773 */ GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(358810), // Rule ID 633 //
     /* 358778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 358781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 358784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358799 */   // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 358799 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 358804 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358808 */   GIR_RootConstrainSelectedInstOperands,
     /* 358809 */   // GIR_Coverage, 633,
     /* 358809 */   GIR_Done,
     /* 358810 */ // Label 7238: @358810
     /* 358810 */ GIM_Reject,
     /* 358811 */ // Label 7230: @358811
     /* 358811 */ GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(358848), // Rule ID 635 //
     /* 358816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 358819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 358822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 358825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358837 */   // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 358837 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 358842 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358846 */   GIR_RootConstrainSelectedInstOperands,
     /* 358847 */   // GIR_Coverage, 635,
     /* 358847 */   GIR_Done,
     /* 358848 */ // Label 7239: @358848
     /* 358848 */ GIM_Reject,
     /* 358849 */ // Label 7231: @358849
     /* 358849 */ GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(358886), // Rule ID 1335 //
     /* 358854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 358860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 358863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358875 */   // (strict_fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 358875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 358880 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358884 */   GIR_RootConstrainSelectedInstOperands,
     /* 358885 */   // GIR_Coverage, 1335,
     /* 358885 */   GIR_Done,
     /* 358886 */ // Label 7240: @358886
     /* 358886 */ GIM_Reject,
     /* 358887 */ // Label 7232: @358887
     /* 358887 */ GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(358924), // Rule ID 1339 //
     /* 358892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 358898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 358901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358913 */   // (strict_fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 358913 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 358918 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358922 */   GIR_RootConstrainSelectedInstOperands,
     /* 358923 */   // GIR_Coverage, 1339,
     /* 358923 */   GIR_Done,
     /* 358924 */ // Label 7241: @358924
     /* 358924 */ GIM_Reject,
     /* 358925 */ // Label 7233: @358925
     /* 358925 */ GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(358962), // Rule ID 1331 //
     /* 358930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 358933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 358936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 358939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358951 */   // (strict_fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 358951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 358956 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358960 */   GIR_RootConstrainSelectedInstOperands,
     /* 358961 */   // GIR_Coverage, 1331,
     /* 358961 */   GIR_Done,
     /* 358962 */ // Label 7242: @358962
     /* 358962 */ GIM_Reject,
     /* 358963 */ // Label 7234: @358963
     /* 358963 */ GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(359000), // Rule ID 1337 //
     /* 358968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 358971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 358974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 358977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 358989 */   // (strict_fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 358989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 358994 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 358998 */   GIR_RootConstrainSelectedInstOperands,
     /* 358999 */   // GIR_Coverage, 1337,
     /* 358999 */   GIR_Done,
     /* 359000 */ // Label 7243: @359000
     /* 359000 */ GIM_Reject,
     /* 359001 */ // Label 7235: @359001
     /* 359001 */ GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(359298),
     /* 359006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 359012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359024 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(359043), // Rule ID 1333 //
     /* 359029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 359032 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 359032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 359037 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 359041 */     GIR_RootConstrainSelectedInstOperands,
     /* 359042 */     // GIR_Coverage, 1333,
     /* 359042 */     GIR_Done,
     /* 359043 */   // Label 7245: @359043
     /* 359043 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(359297), // Rule ID 6907 //
     /* 359048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 359051 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 359051 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 359054 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 359058 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359063 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 359067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 359069 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 359072 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 359076 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359081 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 359085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 359087 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 359090 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 359094 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359099 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 359102 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 359105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 359107 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 359110 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359114 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359119 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 359125 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 359130 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359135 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 359138 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 359142 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359147 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 359150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 359152 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 359155 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359159 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359164 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 359170 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 359175 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359180 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 359183 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 359187 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359192 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 359195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 359197 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 359200 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 359204 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359209 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 359212 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 359215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 359217 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 359220 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 359224 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359229 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 359232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 359234 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 359237 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 359241 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 359248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 359251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 359255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359260 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 359263 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 359266 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 359269 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359274 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359279 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 359284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 359287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 359295 */     GIR_RootConstrainSelectedInstOperands,
     /* 359296 */     // GIR_Coverage, 6907,
     /* 359296 */     GIR_EraseRootFromParent_Done,
     /* 359297 */   // Label 7246: @359297
     /* 359297 */   GIM_Reject,
     /* 359298 */ // Label 7244: @359298
     /* 359298 */ GIM_Reject,
     /* 359299 */ // Label 7236: @359299
     /* 359299 */ GIM_Reject,
     /* 359300 */ // Label 100: @359300
     /* 359300 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7255*/ GIMT_Encode4(363021),
     /* 359311 */ /*GILLT_s16*//*Label 7247*/ GIMT_Encode4(359351),
     /* 359315 */ /*GILLT_s32*//*Label 7248*/ GIMT_Encode4(359905),
     /* 359319 */ /*GILLT_s64*//*Label 7249*/ GIMT_Encode4(360453), GIMT_Encode4(0),
     /* 359327 */ /*GILLT_v2s32*//*Label 7250*/ GIMT_Encode4(361001),
     /* 359331 */ /*GILLT_v2s64*//*Label 7251*/ GIMT_Encode4(361531),
     /* 359335 */ /*GILLT_v4s16*//*Label 7252*/ GIMT_Encode4(361889),
     /* 359339 */ /*GILLT_v4s32*//*Label 7253*/ GIMT_Encode4(362231), GIMT_Encode4(0),
     /* 359347 */ /*GILLT_v8s16*//*Label 7254*/ GIMT_Encode4(362589),
     /* 359351 */ // Label 7247: @359351
     /* 359351 */ GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(359904),
     /* 359356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 359359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 359362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359366 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(359479), // Rule ID 6134 //
     /* 359371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 359374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359386 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359395 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 359399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 359415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359420 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 359424 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 359428 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 359432 */     // MIs[3] Operand 1
     /* 359432 */     // No operand predicates
     /* 359432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359434 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 359434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359446 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 359452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 359465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 359474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 359477 */     GIR_RootConstrainSelectedInstOperands,
     /* 359478 */     // GIR_Coverage, 6134,
     /* 359478 */     GIR_EraseRootFromParent_Done,
     /* 359479 */   // Label 7257: @359479
     /* 359479 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(359592), // Rule ID 13608 //
     /* 359484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 359487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 359516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 359520 */     // MIs[2] Operand 1
     /* 359520 */     // No operand predicates
     /* 359520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 359524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359532 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 359536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359541 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 359545 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359547 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 359547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359559 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 359565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359570 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 359578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 359587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 359590 */     GIR_RootConstrainSelectedInstOperands,
     /* 359591 */     // GIR_Coverage, 13608,
     /* 359591 */     GIR_EraseRootFromParent_Done,
     /* 359592 */   // Label 7258: @359592
     /* 359592 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(359671), // Rule ID 13545 //
     /* 359597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 359600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359621 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 359625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 359631 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 359631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359643 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 359649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359654 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 359662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 359666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359669 */     GIR_RootConstrainSelectedInstOperands,
     /* 359670 */     // GIR_Coverage, 13545,
     /* 359670 */     GIR_EraseRootFromParent_Done,
     /* 359671 */   // Label 7259: @359671
     /* 359671 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(359750), // Rule ID 4742 //
     /* 359676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 359679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 359687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359704 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 359708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 359710 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 359710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359722 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 359728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359733 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 359741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 359745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359748 */     GIR_RootConstrainSelectedInstOperands,
     /* 359749 */     // GIR_Coverage, 4742,
     /* 359749 */     GIR_EraseRootFromParent_Done,
     /* 359750 */   // Label 7260: @359750
     /* 359750 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(359813), // Rule ID 13160 //
     /* 359755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 359758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 359779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 359787 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 359791 */     // MIs[2] Operand 1
     /* 359791 */     // No operand predicates
     /* 359791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359797 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 359797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 359800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 359804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 359808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 359811 */     GIR_RootConstrainSelectedInstOperands,
     /* 359812 */     // GIR_Coverage, 13160,
     /* 359812 */     GIR_EraseRootFromParent_Done,
     /* 359813 */   // Label 7261: @359813
     /* 359813 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(359876), // Rule ID 2004 //
     /* 359818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 359821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 359829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 359837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 359846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 359850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 359854 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 359858 */     // MIs[2] Operand 1
     /* 359858 */     // No operand predicates
     /* 359858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359860 */     // (strict_fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 359860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 359863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 359865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 359867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 359871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 359874 */     GIR_RootConstrainSelectedInstOperands,
     /* 359875 */     // GIR_Coverage, 2004,
     /* 359875 */     GIR_EraseRootFromParent_Done,
     /* 359876 */   // Label 7262: @359876
     /* 359876 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(359903), // Rule ID 619 //
     /* 359881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 359884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359892 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 359892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 359897 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 359901 */     GIR_RootConstrainSelectedInstOperands,
     /* 359902 */     // GIR_Coverage, 619,
     /* 359902 */     GIR_Done,
     /* 359903 */   // Label 7263: @359903
     /* 359903 */   GIM_Reject,
     /* 359904 */ // Label 7256: @359904
     /* 359904 */ GIM_Reject,
     /* 359905 */ // Label 7248: @359905
     /* 359905 */ GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(360452),
     /* 359910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 359913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 359916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359920 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(360033), // Rule ID 6136 //
     /* 359925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 359928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 359940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 359944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359949 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 359953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 359961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 359965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 359969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 359974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 359978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 359982 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 359986 */     // MIs[3] Operand 1
     /* 359986 */     // No operand predicates
     /* 359986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 359988 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 359988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360000 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 360006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 360019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 360028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 360031 */     GIR_RootConstrainSelectedInstOperands,
     /* 360032 */     // GIR_Coverage, 6136,
     /* 360032 */     GIR_EraseRootFromParent_Done,
     /* 360033 */   // Label 7265: @360033
     /* 360033 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(360146), // Rule ID 13610 //
     /* 360038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360070 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 360074 */     // MIs[2] Operand 1
     /* 360074 */     // No operand predicates
     /* 360074 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360078 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360082 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360086 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 360090 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360095 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 360099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360101 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 360101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360113 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 360119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 360132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360144 */     GIR_RootConstrainSelectedInstOperands,
     /* 360145 */     // GIR_Coverage, 13610,
     /* 360145 */     GIR_EraseRootFromParent_Done,
     /* 360146 */   // Label 7266: @360146
     /* 360146 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(360222), // Rule ID 13547 //
     /* 360151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360172 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 360176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360182 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 360182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360194 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 360200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 360213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 360217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360220 */     GIR_RootConstrainSelectedInstOperands,
     /* 360221 */     // GIR_Coverage, 13547,
     /* 360221 */     GIR_EraseRootFromParent_Done,
     /* 360222 */   // Label 7267: @360222
     /* 360222 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(360298), // Rule ID 4744 //
     /* 360227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360252 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 360256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360258 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 360258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360270 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 360276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 360289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 360293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360296 */     GIR_RootConstrainSelectedInstOperands,
     /* 360297 */     // GIR_Coverage, 4744,
     /* 360297 */     GIR_EraseRootFromParent_Done,
     /* 360298 */   // Label 7268: @360298
     /* 360298 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(360361), // Rule ID 13162 //
     /* 360303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360335 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 360339 */     // MIs[2] Operand 1
     /* 360339 */     // No operand predicates
     /* 360339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360345 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 360345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 360348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 360352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360359 */     GIR_RootConstrainSelectedInstOperands,
     /* 360360 */     // GIR_Coverage, 13162,
     /* 360360 */     GIR_EraseRootFromParent_Done,
     /* 360361 */   // Label 7269: @360361
     /* 360361 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(360424), // Rule ID 2006 //
     /* 360366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 360385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360402 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 360406 */     // MIs[2] Operand 1
     /* 360406 */     // No operand predicates
     /* 360406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360408 */     // (strict_fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 360408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 360411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 360415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360422 */     GIR_RootConstrainSelectedInstOperands,
     /* 360423 */     // GIR_Coverage, 2006,
     /* 360423 */     GIR_EraseRootFromParent_Done,
     /* 360424 */   // Label 7270: @360424
     /* 360424 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(360451), // Rule ID 621 //
     /* 360429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 360432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360440 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 360440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 360445 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 360449 */     GIR_RootConstrainSelectedInstOperands,
     /* 360450 */     // GIR_Coverage, 621,
     /* 360450 */     GIR_Done,
     /* 360451 */   // Label 7271: @360451
     /* 360451 */   GIM_Reject,
     /* 360452 */ // Label 7264: @360452
     /* 360452 */ GIM_Reject,
     /* 360453 */ // Label 7249: @360453
     /* 360453 */ GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(361000),
     /* 360458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 360461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360468 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(360581), // Rule ID 6138 //
     /* 360473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360497 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 360501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360513 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 360517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 360526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360530 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 360534 */     // MIs[3] Operand 1
     /* 360534 */     // No operand predicates
     /* 360534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360536 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 360536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 360539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360548 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 360554 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360559 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 360567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 360576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 360579 */     GIR_RootConstrainSelectedInstOperands,
     /* 360580 */     // GIR_Coverage, 6138,
     /* 360580 */     GIR_EraseRootFromParent_Done,
     /* 360581 */   // Label 7273: @360581
     /* 360581 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(360694), // Rule ID 13612 //
     /* 360586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360618 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 360622 */     // MIs[2] Operand 1
     /* 360622 */     // No operand predicates
     /* 360622 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 360626 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360630 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360634 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 360638 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360643 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 360647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360649 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 360649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 360652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360661 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 360667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 360680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360692 */     GIR_RootConstrainSelectedInstOperands,
     /* 360693 */     // GIR_Coverage, 13612,
     /* 360693 */     GIR_EraseRootFromParent_Done,
     /* 360694 */   // Label 7274: @360694
     /* 360694 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(360770), // Rule ID 13549 //
     /* 360699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360720 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 360724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360730 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 360730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 360733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360742 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 360748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 360761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 360765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360768 */     GIR_RootConstrainSelectedInstOperands,
     /* 360769 */     // GIR_Coverage, 13549,
     /* 360769 */     GIR_EraseRootFromParent_Done,
     /* 360770 */   // Label 7275: @360770
     /* 360770 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(360846), // Rule ID 4746 //
     /* 360775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360800 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 360804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360806 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 360806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 360809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360818 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 360824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360829 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 360837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360839 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 360841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360844 */     GIR_RootConstrainSelectedInstOperands,
     /* 360845 */     // GIR_Coverage, 4746,
     /* 360845 */     GIR_EraseRootFromParent_Done,
     /* 360846 */   // Label 7276: @360846
     /* 360846 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(360909), // Rule ID 13164 //
     /* 360851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360883 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 360887 */     // MIs[2] Operand 1
     /* 360887 */     // No operand predicates
     /* 360887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360893 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 360893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 360896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 360900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360907 */     GIR_RootConstrainSelectedInstOperands,
     /* 360908 */     // GIR_Coverage, 13164,
     /* 360908 */     GIR_EraseRootFromParent_Done,
     /* 360909 */   // Label 7277: @360909
     /* 360909 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(360972), // Rule ID 2008 //
     /* 360914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 360917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 360933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 360937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 360946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360950 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 360954 */     // MIs[2] Operand 1
     /* 360954 */     // No operand predicates
     /* 360954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360956 */     // (strict_fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 360956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 360959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 360961 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 360963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 360967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 360970 */     GIR_RootConstrainSelectedInstOperands,
     /* 360971 */     // GIR_Coverage, 2008,
     /* 360971 */     GIR_EraseRootFromParent_Done,
     /* 360972 */   // Label 7278: @360972
     /* 360972 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(360999), // Rule ID 623 //
     /* 360977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 360980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 360988 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 360988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 360993 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 360997 */     GIR_RootConstrainSelectedInstOperands,
     /* 360998 */     // GIR_Coverage, 623,
     /* 360998 */     GIR_Done,
     /* 360999 */   // Label 7279: @360999
     /* 360999 */   GIM_Reject,
     /* 361000 */ // Label 7272: @361000
     /* 361000 */ GIM_Reject,
     /* 361001 */ // Label 7250: @361001
     /* 361001 */ GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(361530),
     /* 361006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 361009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 361012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361016 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(361102), // Rule ID 13152 //
     /* 361021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 361032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 361040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 361044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361048 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 361052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 361061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361065 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 361069 */     // MIs[3] Operand 1
     /* 361069 */     // No operand predicates
     /* 361069 */     // MIs[1] Operand 2
     /* 361069 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 361080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361086 */     // (strict_fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 361097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 361100 */     GIR_RootConstrainSelectedInstOperands,
     /* 361101 */     // GIR_Coverage, 13152,
     /* 361101 */     GIR_EraseRootFromParent_Done,
     /* 361102 */   // Label 7281: @361102
     /* 361102 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(361188), // Rule ID 1996 //
     /* 361107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 361122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 361130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 361134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 361142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 361151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361155 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 361159 */     // MIs[3] Operand 1
     /* 361159 */     // No operand predicates
     /* 361159 */     // MIs[1] Operand 2
     /* 361159 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 361170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361172 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 361183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 361186 */     GIR_RootConstrainSelectedInstOperands,
     /* 361187 */     // GIR_Coverage, 1996,
     /* 361187 */     GIR_EraseRootFromParent_Done,
     /* 361188 */   // Label 7282: @361188
     /* 361188 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(361251), // Rule ID 13153 //
     /* 361193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 361204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 361212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361225 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 361229 */     // MIs[2] Operand 1
     /* 361229 */     // No operand predicates
     /* 361229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361235 */     // (strict_fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 361249 */     GIR_RootConstrainSelectedInstOperands,
     /* 361250 */     // GIR_Coverage, 13153,
     /* 361250 */     GIR_EraseRootFromParent_Done,
     /* 361251 */   // Label 7283: @361251
     /* 361251 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(361314), // Rule ID 1997 //
     /* 361256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 361271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 361279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361292 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 361296 */     // MIs[2] Operand 1
     /* 361296 */     // No operand predicates
     /* 361296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361298 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 361312 */     GIR_RootConstrainSelectedInstOperands,
     /* 361313 */     // GIR_Coverage, 1997,
     /* 361313 */     GIR_EraseRootFromParent_Done,
     /* 361314 */   // Label 7284: @361314
     /* 361314 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(361408), // Rule ID 13614 //
     /* 361319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 361327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 361331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361342 */     // (strict_fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 361342 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 361345 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 361349 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 361356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 361359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 361363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361368 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 361371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361375 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 361378 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361406 */     GIR_RootConstrainSelectedInstOperands,
     /* 361407 */     // GIR_Coverage, 13614,
     /* 361407 */     GIR_EraseRootFromParent_Done,
     /* 361408 */   // Label 7285: @361408
     /* 361408 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(361502), // Rule ID 6140 //
     /* 361413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 361425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 361429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361436 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 361436 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 361439 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 361443 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 361450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 361453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 361457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361462 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 361465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361469 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 361472 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361477 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361482 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 361490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361492 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361500 */     GIR_RootConstrainSelectedInstOperands,
     /* 361501 */     // GIR_Coverage, 6140,
     /* 361501 */     GIR_EraseRootFromParent_Done,
     /* 361502 */   // Label 7286: @361502
     /* 361502 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(361529), // Rule ID 1315 //
     /* 361507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361518 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 361518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 361523 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 361527 */     GIR_RootConstrainSelectedInstOperands,
     /* 361528 */     // GIR_Coverage, 1315,
     /* 361528 */     GIR_Done,
     /* 361529 */   // Label 7287: @361529
     /* 361529 */   GIM_Reject,
     /* 361530 */ // Label 7280: @361530
     /* 361530 */ GIM_Reject,
     /* 361531 */ // Label 7251: @361531
     /* 361531 */ GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(361888),
     /* 361536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 361539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 361542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361546 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(361609), // Rule ID 13158 //
     /* 361551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 361562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 361566 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 361570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361583 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 361587 */     // MIs[2] Operand 1
     /* 361587 */     // No operand predicates
     /* 361587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361593 */     // (strict_fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 361596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 361607 */     GIR_RootConstrainSelectedInstOperands,
     /* 361608 */     // GIR_Coverage, 13158,
     /* 361608 */     GIR_EraseRootFromParent_Done,
     /* 361609 */   // Label 7289: @361609
     /* 361609 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(361672), // Rule ID 2002 //
     /* 361614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 361629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 361633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 361637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 361646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361650 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 361654 */     // MIs[2] Operand 1
     /* 361654 */     // No operand predicates
     /* 361654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361656 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 361659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 361670 */     GIR_RootConstrainSelectedInstOperands,
     /* 361671 */     // GIR_Coverage, 2002,
     /* 361671 */     GIR_EraseRootFromParent_Done,
     /* 361672 */   // Label 7290: @361672
     /* 361672 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(361766), // Rule ID 13618 //
     /* 361677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 361685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 361689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361700 */     // (strict_fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 361700 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 361703 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 361707 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 361714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 361717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 361721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361726 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 361729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361733 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 361736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 361754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361764 */     GIR_RootConstrainSelectedInstOperands,
     /* 361765 */     // GIR_Coverage, 13618,
     /* 361765 */     GIR_EraseRootFromParent_Done,
     /* 361766 */   // Label 7291: @361766
     /* 361766 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(361860), // Rule ID 6144 //
     /* 361771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 361783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 361787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361794 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 361794 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 361797 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 361801 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 361808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 361811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 361815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361820 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 361823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 361827 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 361830 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361835 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361840 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 361848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361850 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361858 */     GIR_RootConstrainSelectedInstOperands,
     /* 361859 */     // GIR_Coverage, 6144,
     /* 361859 */     GIR_EraseRootFromParent_Done,
     /* 361860 */   // Label 7292: @361860
     /* 361860 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(361887), // Rule ID 1319 //
     /* 361865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361876 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 361876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 361881 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 361885 */     GIR_RootConstrainSelectedInstOperands,
     /* 361886 */     // GIR_Coverage, 1319,
     /* 361886 */     GIR_Done,
     /* 361887 */   // Label 7293: @361887
     /* 361887 */   GIM_Reject,
     /* 361888 */ // Label 7288: @361888
     /* 361888 */ GIM_Reject,
     /* 361889 */ // Label 7252: @361889
     /* 361889 */ GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(362230),
     /* 361894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 361897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 361900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361904 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(361990), // Rule ID 13146 //
     /* 361909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 361912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 361920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 361924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 361928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 361932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 361936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 361940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 361945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 361949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361953 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 361957 */     // MIs[3] Operand 1
     /* 361957 */     // No operand predicates
     /* 361957 */     // MIs[1] Operand 2
     /* 361957 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 361968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361972 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 361974 */     // (strict_fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 361974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 361977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361979 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 361981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 361985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 361988 */     GIR_RootConstrainSelectedInstOperands,
     /* 361989 */     // GIR_Coverage, 13146,
     /* 361989 */     GIR_EraseRootFromParent_Done,
     /* 361990 */   // Label 7295: @361990
     /* 361990 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(362076), // Rule ID 1990 //
     /* 361995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 361998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 362010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 362018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 362022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 362030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 362035 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 362039 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362043 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362047 */     // MIs[3] Operand 1
     /* 362047 */     // No operand predicates
     /* 362047 */     // MIs[1] Operand 2
     /* 362047 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 362058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362060 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 362063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362065 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 362071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 362074 */     GIR_RootConstrainSelectedInstOperands,
     /* 362075 */     // GIR_Coverage, 1990,
     /* 362075 */     GIR_EraseRootFromParent_Done,
     /* 362076 */   // Label 7296: @362076
     /* 362076 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(362139), // Rule ID 13147 //
     /* 362081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 362092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 362105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362113 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362117 */     // MIs[2] Operand 1
     /* 362117 */     // No operand predicates
     /* 362117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362123 */     // (strict_fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 362126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 362130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362137 */     GIR_RootConstrainSelectedInstOperands,
     /* 362138 */     // GIR_Coverage, 13147,
     /* 362138 */     GIR_EraseRootFromParent_Done,
     /* 362139 */   // Label 7297: @362139
     /* 362139 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(362202), // Rule ID 1991 //
     /* 362144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 362159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 362172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362180 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362184 */     // MIs[2] Operand 1
     /* 362184 */     // No operand predicates
     /* 362184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362186 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 362189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362191 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362200 */     GIR_RootConstrainSelectedInstOperands,
     /* 362201 */     // GIR_Coverage, 1991,
     /* 362201 */     GIR_EraseRootFromParent_Done,
     /* 362202 */   // Label 7298: @362202
     /* 362202 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(362229), // Rule ID 1311 //
     /* 362207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362218 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 362218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 362223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 362227 */     GIR_RootConstrainSelectedInstOperands,
     /* 362228 */     // GIR_Coverage, 1311,
     /* 362228 */     GIR_Done,
     /* 362229 */   // Label 7299: @362229
     /* 362229 */   GIM_Reject,
     /* 362230 */ // Label 7294: @362230
     /* 362230 */ GIM_Reject,
     /* 362231 */ // Label 7253: @362231
     /* 362231 */ GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(362588),
     /* 362236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 362239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 362242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362246 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(362309), // Rule ID 13156 //
     /* 362251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 362254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 362262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 362266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362283 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 362287 */     // MIs[2] Operand 1
     /* 362287 */     // No operand predicates
     /* 362287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362293 */     // (strict_fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 362296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 362300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362307 */     GIR_RootConstrainSelectedInstOperands,
     /* 362308 */     // GIR_Coverage, 13156,
     /* 362308 */     GIR_EraseRootFromParent_Done,
     /* 362309 */   // Label 7301: @362309
     /* 362309 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(362372), // Rule ID 2000 //
     /* 362314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 362317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 362329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 362333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362350 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 362354 */     // MIs[2] Operand 1
     /* 362354 */     // No operand predicates
     /* 362354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362356 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 362359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362361 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362370 */     GIR_RootConstrainSelectedInstOperands,
     /* 362371 */     // GIR_Coverage, 2000,
     /* 362371 */     GIR_EraseRootFromParent_Done,
     /* 362372 */   // Label 7302: @362372
     /* 362372 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(362466), // Rule ID 13616 //
     /* 362377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 362385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 362389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362400 */     // (strict_fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 362400 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 362403 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 362407 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 362414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 362417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 362421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362426 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 362429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362433 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 362436 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 362454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 362458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362464 */     GIR_RootConstrainSelectedInstOperands,
     /* 362465 */     // GIR_Coverage, 13616,
     /* 362465 */     GIR_EraseRootFromParent_Done,
     /* 362466 */   // Label 7303: @362466
     /* 362466 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(362560), // Rule ID 6142 //
     /* 362471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 362483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 362487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362494 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 362494 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 362497 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 362501 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 362508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 362511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 362515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362520 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 362523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362527 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 362530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362540 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 362548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362550 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362558 */     GIR_RootConstrainSelectedInstOperands,
     /* 362559 */     // GIR_Coverage, 6142,
     /* 362559 */     GIR_EraseRootFromParent_Done,
     /* 362560 */   // Label 7304: @362560
     /* 362560 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(362587), // Rule ID 1317 //
     /* 362565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 362568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362576 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 362576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 362581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 362585 */     GIR_RootConstrainSelectedInstOperands,
     /* 362586 */     // GIR_Coverage, 1317,
     /* 362586 */     GIR_Done,
     /* 362587 */   // Label 7305: @362587
     /* 362587 */   GIM_Reject,
     /* 362588 */ // Label 7300: @362588
     /* 362588 */ GIM_Reject,
     /* 362589 */ // Label 7254: @362589
     /* 362589 */ GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(363020),
     /* 362594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 362600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362604 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(362667), // Rule ID 13150 //
     /* 362609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 362620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 362633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362641 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362645 */     // MIs[2] Operand 1
     /* 362645 */     // No operand predicates
     /* 362645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362651 */     // (strict_fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 362654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 362658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362665 */     GIR_RootConstrainSelectedInstOperands,
     /* 362666 */     // GIR_Coverage, 13150,
     /* 362666 */     GIR_EraseRootFromParent_Done,
     /* 362667 */   // Label 7307: @362667
     /* 362667 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(362730), // Rule ID 1994 //
     /* 362672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 362687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 362691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 362695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 362700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 362704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362708 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362712 */     // MIs[2] Operand 1
     /* 362712 */     // No operand predicates
     /* 362712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362714 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 362714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 362717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362719 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 362725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 362728 */     GIR_RootConstrainSelectedInstOperands,
     /* 362729 */     // GIR_Coverage, 1994,
     /* 362729 */     GIR_EraseRootFromParent_Done,
     /* 362730 */   // Label 7308: @362730
     /* 362730 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(362757), // Rule ID 1313 //
     /* 362735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 362738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362746 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 362746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 362751 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 362755 */     GIR_RootConstrainSelectedInstOperands,
     /* 362756 */     // GIR_Coverage, 1313,
     /* 362756 */     GIR_Done,
     /* 362757 */   // Label 7309: @362757
     /* 362757 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(363019), // Rule ID 6905 //
     /* 362762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 362765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362773 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 362773 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 362776 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 362780 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362785 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 362789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 362791 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 362794 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 362798 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362803 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 362807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 362809 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 362812 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 362816 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362821 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 362824 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 362827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 362829 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 362832 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362836 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362841 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 362847 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362852 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362857 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 362860 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 362864 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362869 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 362872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 362874 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 362877 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362881 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362886 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 362892 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362897 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362902 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 362905 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 362909 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362914 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 362917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 362919 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 362922 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 362926 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362931 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 362934 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 362937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 362939 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 362942 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 362946 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362951 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 362954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 362956 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 362959 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 362963 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 362970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 362973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 362977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362982 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 362985 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 362988 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 362991 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 363009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 363017 */     GIR_RootConstrainSelectedInstOperands,
     /* 363018 */     // GIR_Coverage, 6905,
     /* 363018 */     GIR_EraseRootFromParent_Done,
     /* 363019 */   // Label 7310: @363019
     /* 363019 */   GIM_Reject,
     /* 363020 */ // Label 7306: @363020
     /* 363020 */ GIM_Reject,
     /* 363021 */ // Label 7255: @363021
     /* 363021 */ GIM_Reject,
     /* 363022 */ // Label 101: @363022
     /* 363022 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7319*/ GIMT_Encode4(363637),
     /* 363033 */ /*GILLT_s16*//*Label 7311*/ GIMT_Encode4(363073),
     /* 363037 */ /*GILLT_s32*//*Label 7312*/ GIMT_Encode4(363111),
     /* 363041 */ /*GILLT_s64*//*Label 7313*/ GIMT_Encode4(363149), GIMT_Encode4(0),
     /* 363049 */ /*GILLT_v2s32*//*Label 7314*/ GIMT_Encode4(363187),
     /* 363053 */ /*GILLT_v2s64*//*Label 7315*/ GIMT_Encode4(363225),
     /* 363057 */ /*GILLT_v4s16*//*Label 7316*/ GIMT_Encode4(363263),
     /* 363061 */ /*GILLT_v4s32*//*Label 7317*/ GIMT_Encode4(363301), GIMT_Encode4(0),
     /* 363069 */ /*GILLT_v8s16*//*Label 7318*/ GIMT_Encode4(363339),
     /* 363073 */ // Label 7311: @363073
     /* 363073 */ GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(363110), // Rule ID 589 //
     /* 363078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 363081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 363084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 363087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363099 */   // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 363099 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 363104 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363108 */   GIR_RootConstrainSelectedInstOperands,
     /* 363109 */   // GIR_Coverage, 589,
     /* 363109 */   GIR_Done,
     /* 363110 */ // Label 7320: @363110
     /* 363110 */ GIM_Reject,
     /* 363111 */ // Label 7312: @363111
     /* 363111 */ GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(363148), // Rule ID 591 //
     /* 363116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 363119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 363122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 363125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 363129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 363133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 363137 */   // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 363137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 363142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363146 */   GIR_RootConstrainSelectedInstOperands,
     /* 363147 */   // GIR_Coverage, 591,
     /* 363147 */   GIR_Done,
     /* 363148 */ // Label 7321: @363148
     /* 363148 */ GIM_Reject,
     /* 363149 */ // Label 7313: @363149
     /* 363149 */ GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(363186), // Rule ID 593 //
     /* 363154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 363157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 363160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363175 */   // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 363175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 363180 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363184 */   GIR_RootConstrainSelectedInstOperands,
     /* 363185 */   // GIR_Coverage, 593,
     /* 363185 */   GIR_Done,
     /* 363186 */ // Label 7322: @363186
     /* 363186 */ GIM_Reject,
     /* 363187 */ // Label 7314: @363187
     /* 363187 */ GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(363224), // Rule ID 1220 //
     /* 363192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 363198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 363201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363213 */   // (strict_fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 363213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 363218 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363222 */   GIR_RootConstrainSelectedInstOperands,
     /* 363223 */   // GIR_Coverage, 1220,
     /* 363223 */   GIR_Done,
     /* 363224 */ // Label 7323: @363224
     /* 363224 */ GIM_Reject,
     /* 363225 */ // Label 7315: @363225
     /* 363225 */ GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(363262), // Rule ID 1224 //
     /* 363230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 363236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 363239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363251 */   // (strict_fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 363251 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 363256 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363260 */   GIR_RootConstrainSelectedInstOperands,
     /* 363261 */   // GIR_Coverage, 1224,
     /* 363261 */   GIR_Done,
     /* 363262 */ // Label 7324: @363262
     /* 363262 */ GIM_Reject,
     /* 363263 */ // Label 7316: @363263
     /* 363263 */ GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(363300), // Rule ID 1216 //
     /* 363268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 363271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 363274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 363277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363289 */   // (strict_fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 363289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 363294 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363298 */   GIR_RootConstrainSelectedInstOperands,
     /* 363299 */   // GIR_Coverage, 1216,
     /* 363299 */   GIR_Done,
     /* 363300 */ // Label 7325: @363300
     /* 363300 */ GIM_Reject,
     /* 363301 */ // Label 7317: @363301
     /* 363301 */ GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(363338), // Rule ID 1222 //
     /* 363306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 363312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 363315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363327 */   // (strict_fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 363327 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 363332 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363336 */   GIR_RootConstrainSelectedInstOperands,
     /* 363337 */   // GIR_Coverage, 1222,
     /* 363337 */   GIR_Done,
     /* 363338 */ // Label 7326: @363338
     /* 363338 */ GIM_Reject,
     /* 363339 */ // Label 7318: @363339
     /* 363339 */ GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(363636),
     /* 363344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 363347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 363350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363362 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(363381), // Rule ID 1218 //
     /* 363367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 363370 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 363370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 363375 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 363379 */     GIR_RootConstrainSelectedInstOperands,
     /* 363380 */     // GIR_Coverage, 1218,
     /* 363380 */     GIR_Done,
     /* 363381 */   // Label 7328: @363381
     /* 363381 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(363635), // Rule ID 6903 //
     /* 363386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 363389 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 363389 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 363392 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 363396 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363401 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 363405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 363407 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 363410 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 363414 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363419 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 363423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 363425 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 363428 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 363432 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363437 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 363440 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 363443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 363445 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 363448 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363452 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363457 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 363463 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363468 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363473 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 363476 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 363480 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363485 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 363488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 363490 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 363493 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363497 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363502 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 363508 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363513 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363518 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 363521 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 363525 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363530 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 363533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 363535 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 363538 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 363542 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363547 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 363550 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 363553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 363555 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 363558 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 363562 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363567 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 363570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 363572 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 363575 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 363579 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 363586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 363589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 363593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363598 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 363601 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 363604 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 363607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363617 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 363625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 363633 */     GIR_RootConstrainSelectedInstOperands,
     /* 363634 */     // GIR_Coverage, 6903,
     /* 363634 */     GIR_EraseRootFromParent_Done,
     /* 363635 */   // Label 7329: @363635
     /* 363635 */   GIM_Reject,
     /* 363636 */ // Label 7327: @363636
     /* 363636 */ GIM_Reject,
     /* 363637 */ // Label 7319: @363637
     /* 363637 */ GIM_Reject,
     /* 363638 */ // Label 102: @363638
     /* 363638 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7338*/ GIMT_Encode4(379244),
     /* 363649 */ /*GILLT_s16*//*Label 7330*/ GIMT_Encode4(363689),
     /* 363653 */ /*GILLT_s32*//*Label 7331*/ GIMT_Encode4(366463),
     /* 363657 */ /*GILLT_s64*//*Label 7332*/ GIMT_Encode4(369393), GIMT_Encode4(0),
     /* 363665 */ /*GILLT_v2s32*//*Label 7333*/ GIMT_Encode4(372323),
     /* 363669 */ /*GILLT_v2s64*//*Label 7334*/ GIMT_Encode4(373844),
     /* 363673 */ /*GILLT_v4s16*//*Label 7335*/ GIMT_Encode4(375365),
     /* 363677 */ /*GILLT_v4s32*//*Label 7336*/ GIMT_Encode4(376544), GIMT_Encode4(0),
     /* 363685 */ /*GILLT_v8s16*//*Label 7337*/ GIMT_Encode4(378065),
     /* 363689 */ // Label 7330: @363689
     /* 363689 */ GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(366462),
     /* 363694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 363697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 363700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 363703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363707 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(363857), // Rule ID 4804 //
     /* 363712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 363715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 363727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363736 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 363740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 363752 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 363756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363761 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 363765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 363769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 363773 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 363777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363784 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 363784 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 363787 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363791 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363796 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 363802 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363807 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 363815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363824 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 363830 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363835 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 363843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 363851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 363855 */     GIR_RootConstrainSelectedInstOperands,
     /* 363856 */     // GIR_Coverage, 4804,
     /* 363856 */     GIR_EraseRootFromParent_Done,
     /* 363857 */   // Label 7340: @363857
     /* 363857 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(364004), // Rule ID 4768 //
     /* 363862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 363865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 363877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363886 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 363890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 363898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 363902 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 363906 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363910 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 363914 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 363918 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363923 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 363927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363931 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363933 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 363933 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 363936 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363940 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363945 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 363951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363956 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 363964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363973 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 363979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 363992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 364000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 364002 */     GIR_RootConstrainSelectedInstOperands,
     /* 364003 */     // GIR_Coverage, 4768,
     /* 364003 */     GIR_EraseRootFromParent_Done,
     /* 364004 */   // Label 7341: @364004
     /* 364004 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(364151), // Rule ID 13558 //
     /* 364009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 364012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 364020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364036 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364045 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 364049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364057 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364061 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 364065 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364070 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 364074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364080 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 364080 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 364083 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364087 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364092 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 364098 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364103 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364120 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 364139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 364141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 364147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 364149 */     GIR_RootConstrainSelectedInstOperands,
     /* 364150 */     // GIR_Coverage, 13558,
     /* 364150 */     GIR_EraseRootFromParent_Done,
     /* 364151 */   // Label 7342: @364151
     /* 364151 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(364282), // Rule ID 5972 //
     /* 364156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364180 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 364184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 364188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 364192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 364196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 364200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364208 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 364212 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364217 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 364221 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364225 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364229 */     // MIs[4] Operand 1
     /* 364229 */     // No operand predicates
     /* 364229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364233 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 364235 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364247 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 364266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 364270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 364277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 364280 */     GIR_RootConstrainSelectedInstOperands,
     /* 364281 */     // GIR_Coverage, 5972,
     /* 364281 */     GIR_EraseRootFromParent_Done,
     /* 364282 */   // Label 7343: @364282
     /* 364282 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(364413), // Rule ID 6004 //
     /* 364287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364319 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364323 */     // MIs[2] Operand 1
     /* 364323 */     // No operand predicates
     /* 364323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 364331 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 364335 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 364339 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364343 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364347 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 364351 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364356 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 364360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364364 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 364366 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364378 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364384 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364389 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 364397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 364401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 364408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 364411 */     GIR_RootConstrainSelectedInstOperands,
     /* 364412 */     // GIR_Coverage, 6004,
     /* 364412 */     GIR_EraseRootFromParent_Done,
     /* 364413 */   // Label 7344: @364413
     /* 364413 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(364544), // Rule ID 6068 //
     /* 364418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 364429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364454 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 364458 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364462 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364466 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364470 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 364474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364479 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 364483 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364487 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364491 */     // MIs[4] Operand 1
     /* 364491 */     // No operand predicates
     /* 364491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364495 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 364497 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364509 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 364528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 364532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 364539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 364542 */     GIR_RootConstrainSelectedInstOperands,
     /* 364543 */     // GIR_Coverage, 6068,
     /* 364543 */     GIR_EraseRootFromParent_Done,
     /* 364544 */   // Label 7345: @364544
     /* 364544 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(364675), // Rule ID 6036 //
     /* 364549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 364560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 364564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 364568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 364589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364593 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364597 */     // MIs[3] Operand 1
     /* 364597 */     // No operand predicates
     /* 364597 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 364601 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364605 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364609 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 364613 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364618 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 364622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364626 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 364628 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364640 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364651 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 364659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 364663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 364670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 364673 */     GIR_RootConstrainSelectedInstOperands,
     /* 364674 */     // GIR_Coverage, 6036,
     /* 364674 */     GIR_EraseRootFromParent_Done,
     /* 364675 */   // Label 7346: @364675
     /* 364675 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(364810), // Rule ID 2446 //
     /* 364680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 364683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364704 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 364708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 364712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364729 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 364733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364739 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 364739 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 364742 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364746 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364751 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 364757 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364762 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364779 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364785 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364790 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 364798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 364800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 364806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 364808 */     GIR_RootConstrainSelectedInstOperands,
     /* 364809 */     // GIR_Coverage, 2446,
     /* 364809 */     GIR_EraseRootFromParent_Done,
     /* 364810 */   // Label 7347: @364810
     /* 364810 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(364929), // Rule ID 5940 //
     /* 364815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364839 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 364843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 364847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 364859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 364868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364872 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364876 */     // MIs[3] Operand 1
     /* 364876 */     // No operand predicates
     /* 364876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364880 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 364882 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 364885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364894 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364905 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 364913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 364917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 364924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 364927 */     GIR_RootConstrainSelectedInstOperands,
     /* 364928 */     // GIR_Coverage, 5940,
     /* 364928 */     GIR_EraseRootFromParent_Done,
     /* 364929 */   // Label 7348: @364929
     /* 364929 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(365048), // Rule ID 2528 //
     /* 364934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 364937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 364958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364966 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364970 */     // MIs[2] Operand 1
     /* 364970 */     // No operand predicates
     /* 364970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 364974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364978 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364982 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 364986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364991 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 364995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365001 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 365001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365013 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 365019 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 365032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 365036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 365043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 365046 */     GIR_RootConstrainSelectedInstOperands,
     /* 365047 */     // GIR_Coverage, 2528,
     /* 365047 */     GIR_EraseRootFromParent_Done,
     /* 365048 */   // Label 7349: @365048
     /* 365048 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(365148), // Rule ID 4766 //
     /* 365053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365077 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 365081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 365085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365104 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 365104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365116 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 365122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 365135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 365144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 365146 */     GIR_RootConstrainSelectedInstOperands,
     /* 365147 */     // GIR_Coverage, 4766,
     /* 365147 */     GIR_EraseRootFromParent_Done,
     /* 365148 */   // Label 7350: @365148
     /* 365148 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(365248), // Rule ID 4802 //
     /* 365153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365177 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 365181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 365189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365204 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 365204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365216 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 365222 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365227 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 365235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 365242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 365246 */     GIR_RootConstrainSelectedInstOperands,
     /* 365247 */     // GIR_Coverage, 4802,
     /* 365247 */     GIR_EraseRootFromParent_Done,
     /* 365248 */   // Label 7351: @365248
     /* 365248 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(365345), // Rule ID 13554 //
     /* 365253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365289 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 365293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365303 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 365303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365315 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 365321 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365326 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 365334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 365338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 365343 */     GIR_RootConstrainSelectedInstOperands,
     /* 365344 */     // GIR_Coverage, 13554,
     /* 365344 */     GIR_EraseRootFromParent_Done,
     /* 365345 */   // Label 7352: @365345
     /* 365345 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(365445), // Rule ID 13556 //
     /* 365350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 365374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365391 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 365395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365401 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 365401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365413 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 365419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 365432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 365441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 365443 */     GIR_RootConstrainSelectedInstOperands,
     /* 365444 */     // GIR_Coverage, 13556,
     /* 365444 */     GIR_EraseRootFromParent_Done,
     /* 365445 */   // Label 7353: @365445
     /* 365445 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(365545), // Rule ID 4800 //
     /* 365450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365478 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 365482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 365486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 365494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365501 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 365501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365513 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 365519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365524 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 365532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365534 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 365543 */     GIR_RootConstrainSelectedInstOperands,
     /* 365544 */     // GIR_Coverage, 4800,
     /* 365544 */     GIR_EraseRootFromParent_Done,
     /* 365545 */   // Label 7354: @365545
     /* 365545 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(365642), // Rule ID 4764 //
     /* 365550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365590 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 365594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365600 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 365600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 365603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365612 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 365618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365623 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 365631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365633 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 365640 */     GIR_RootConstrainSelectedInstOperands,
     /* 365641 */     // GIR_Coverage, 4764,
     /* 365641 */     GIR_EraseRootFromParent_Done,
     /* 365642 */   // Label 7355: @365642
     /* 365642 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(365726), // Rule ID 6002 //
     /* 365647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 365650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 365671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365679 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365683 */     // MIs[2] Operand 1
     /* 365683 */     // No operand predicates
     /* 365683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 365687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365691 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 365695 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365706 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 365706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 365709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 365713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 365717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 365721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 365724 */     GIR_RootConstrainSelectedInstOperands,
     /* 365725 */     // GIR_Coverage, 6002,
     /* 365725 */     GIR_EraseRootFromParent_Done,
     /* 365726 */   // Label 7356: @365726
     /* 365726 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(365807), // Rule ID 6034 //
     /* 365731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 365734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 365767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 365771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365775 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365779 */     // MIs[3] Operand 1
     /* 365779 */     // No operand predicates
     /* 365779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365789 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 365789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 365792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 365796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 365798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 365802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 365805 */     GIR_RootConstrainSelectedInstOperands,
     /* 365806 */     // GIR_Coverage, 6034,
     /* 365806 */     GIR_EraseRootFromParent_Done,
     /* 365807 */   // Label 7357: @365807
     /* 365807 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(365891), // Rule ID 6066 //
     /* 365812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 365815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 365836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365844 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 365853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 365857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365861 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365865 */     // MIs[3] Operand 1
     /* 365865 */     // No operand predicates
     /* 365865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365871 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 365871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 365874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 365878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 365882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 365886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 365889 */     GIR_RootConstrainSelectedInstOperands,
     /* 365890 */     // GIR_Coverage, 6066,
     /* 365890 */     GIR_EraseRootFromParent_Done,
     /* 365891 */   // Label 7358: @365891
     /* 365891 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(365972), // Rule ID 5970 //
     /* 365896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 365899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 365911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 365915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 365919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365927 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 365931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 365936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 365940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365944 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365948 */     // MIs[3] Operand 1
     /* 365948 */     // No operand predicates
     /* 365948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 365954 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 365954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 365957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 365961 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 365967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 365970 */     GIR_RootConstrainSelectedInstOperands,
     /* 365971 */     // GIR_Coverage, 5970,
     /* 365971 */     GIR_EraseRootFromParent_Done,
     /* 365972 */   // Label 7359: @365972
     /* 365972 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(366057), // Rule ID 2444 //
     /* 365977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 365980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366001 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 366005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366015 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 366015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 366018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366027 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 366033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366038 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 366046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 366053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366055 */     GIR_RootConstrainSelectedInstOperands,
     /* 366056 */     // GIR_Coverage, 2444,
     /* 366056 */     GIR_EraseRootFromParent_Done,
     /* 366057 */   // Label 7360: @366057
     /* 366057 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(366142), // Rule ID 2442 //
     /* 366062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 366065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 366081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366090 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 366094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366100 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 366100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 366103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366112 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 366118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 366131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366133 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366140 */     GIR_RootConstrainSelectedInstOperands,
     /* 366141 */     // GIR_Coverage, 2442,
     /* 366141 */     GIR_EraseRootFromParent_Done,
     /* 366142 */   // Label 7361: @366142
     /* 366142 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(366211), // Rule ID 2526 //
     /* 366147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 366150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 366162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 366171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 366175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366179 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 366183 */     // MIs[2] Operand 1
     /* 366183 */     // No operand predicates
     /* 366183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 366193 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 366193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 366196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 366200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 366202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 366206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 366209 */     GIR_RootConstrainSelectedInstOperands,
     /* 366210 */     // GIR_Coverage, 2526,
     /* 366210 */     GIR_EraseRootFromParent_Done,
     /* 366211 */   // Label 7362: @366211
     /* 366211 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(366280), // Rule ID 5938 //
     /* 366216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 366219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 366235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 366244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 366248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366252 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 366256 */     // MIs[2] Operand 1
     /* 366256 */     // No operand predicates
     /* 366256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 366262 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 366262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 366265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 366269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 366275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 366278 */     GIR_RootConstrainSelectedInstOperands,
     /* 366279 */     // GIR_Coverage, 5938,
     /* 366279 */     GIR_EraseRootFromParent_Done,
     /* 366280 */   // Label 7363: @366280
     /* 366280 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(366330), // Rule ID 13000 //
     /* 366285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 366288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366315 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 366315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 366318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 366322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 366326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366328 */     GIR_RootConstrainSelectedInstOperands,
     /* 366329 */     // GIR_Coverage, 13000,
     /* 366329 */     GIR_EraseRootFromParent_Done,
     /* 366330 */   // Label 7364: @366330
     /* 366330 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(366380), // Rule ID 643 //
     /* 366335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 366338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366365 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 366365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 366368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 366376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366378 */     GIR_RootConstrainSelectedInstOperands,
     /* 366379 */     // GIR_Coverage, 643,
     /* 366379 */     GIR_EraseRootFromParent_Done,
     /* 366380 */   // Label 7365: @366380
     /* 366380 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(366430), // Rule ID 655 //
     /* 366385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 366388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 366400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 366408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366415 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 366415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 366418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366420 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 366424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 366428 */     GIR_RootConstrainSelectedInstOperands,
     /* 366429 */     // GIR_Coverage, 655,
     /* 366429 */     GIR_EraseRootFromParent_Done,
     /* 366430 */   // Label 7366: @366430
     /* 366430 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(366461), // Rule ID 637 //
     /* 366435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 366438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 366450 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 366450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 366455 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 366459 */     GIR_RootConstrainSelectedInstOperands,
     /* 366460 */     // GIR_Coverage, 637,
     /* 366460 */     GIR_Done,
     /* 366461 */   // Label 7367: @366461
     /* 366461 */   GIM_Reject,
     /* 366462 */ // Label 7339: @366462
     /* 366462 */ GIM_Reject,
     /* 366463 */ // Label 7331: @366463
     /* 366463 */ GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(369392),
     /* 366468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 366471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 366474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 366477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366481 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(366631), // Rule ID 4810 //
     /* 366486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 366489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366510 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 366514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 366518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366526 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366535 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 366539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 366543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366547 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 366551 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366558 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 366558 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 366561 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366565 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366570 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 366576 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366581 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 366589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366598 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 366604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 366617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 366625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 366629 */     GIR_RootConstrainSelectedInstOperands,
     /* 366630 */     // GIR_Coverage, 4810,
     /* 366630 */     GIR_EraseRootFromParent_Done,
     /* 366631 */   // Label 7369: @366631
     /* 366631 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(366778), // Rule ID 4774 //
     /* 366636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 366639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366660 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 366664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 366668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 366676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366688 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 366692 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366697 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 366701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366707 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 366707 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 366710 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366714 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366719 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 366725 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366730 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 366738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366747 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 366753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366758 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 366766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 366774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366776 */     GIR_RootConstrainSelectedInstOperands,
     /* 366777 */     // GIR_Coverage, 4774,
     /* 366777 */     GIR_EraseRootFromParent_Done,
     /* 366778 */   // Label 7370: @366778
     /* 366778 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(366925), // Rule ID 13564 //
     /* 366783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 366786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 366798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366819 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 366823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 366827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366831 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366835 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 366839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366844 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 366848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 366854 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 366854 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 366857 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366861 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366866 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 366872 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366877 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 366885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366894 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 366900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366905 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 366913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 366921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 366923 */     GIR_RootConstrainSelectedInstOperands,
     /* 366924 */     // GIR_Coverage, 13564,
     /* 366924 */     GIR_EraseRootFromParent_Done,
     /* 366925 */   // Label 7371: @366925
     /* 366925 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(367056), // Rule ID 5988 //
     /* 366930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366954 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 366958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 366962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 366966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 366970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 366978 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366982 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 366986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366991 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 366995 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366999 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367003 */     // MIs[4] Operand 1
     /* 367003 */     // No operand predicates
     /* 367003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367007 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 367009 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367021 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 367040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 367051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 367054 */     GIR_RootConstrainSelectedInstOperands,
     /* 367055 */     // GIR_Coverage, 5988,
     /* 367055 */     GIR_EraseRootFromParent_Done,
     /* 367056 */   // Label 7372: @367056
     /* 367056 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(367187), // Rule ID 6020 //
     /* 367061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367093 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367097 */     // MIs[2] Operand 1
     /* 367097 */     // No operand predicates
     /* 367097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 367105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 367109 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 367113 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367117 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367121 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 367125 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367130 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 367134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367138 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 367140 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367152 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 367171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 367182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 367185 */     GIR_RootConstrainSelectedInstOperands,
     /* 367186 */     // GIR_Coverage, 6020,
     /* 367186 */     GIR_EraseRootFromParent_Done,
     /* 367187 */   // Label 7373: @367187
     /* 367187 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(367318), // Rule ID 6084 //
     /* 367192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 367203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 367207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 367223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367228 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 367232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367244 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 367248 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367253 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 367257 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367261 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367265 */     // MIs[4] Operand 1
     /* 367265 */     // No operand predicates
     /* 367265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367269 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 367271 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367283 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367289 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 367302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 367313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 367316 */     GIR_RootConstrainSelectedInstOperands,
     /* 367317 */     // GIR_Coverage, 6084,
     /* 367317 */     GIR_EraseRootFromParent_Done,
     /* 367318 */   // Label 7374: @367318
     /* 367318 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(367449), // Rule ID 6052 //
     /* 367323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 367334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 367338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 367342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367350 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 367354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 367363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367367 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367371 */     // MIs[3] Operand 1
     /* 367371 */     // No operand predicates
     /* 367371 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 367375 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367379 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367383 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 367387 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367392 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 367396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367400 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 367402 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367414 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367420 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367425 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 367433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 367444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 367447 */     GIR_RootConstrainSelectedInstOperands,
     /* 367448 */     // GIR_Coverage, 6052,
     /* 367448 */     GIR_EraseRootFromParent_Done,
     /* 367449 */   // Label 7375: @367449
     /* 367449 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(367584), // Rule ID 2452 //
     /* 367454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367478 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 367482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 367486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 367498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367503 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 367507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367513 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 367513 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 367516 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367520 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367525 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 367531 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367536 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367553 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367559 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367564 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 367572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 367574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 367580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 367582 */     GIR_RootConstrainSelectedInstOperands,
     /* 367583 */     // GIR_Coverage, 2452,
     /* 367583 */     GIR_EraseRootFromParent_Done,
     /* 367584 */   // Label 7376: @367584
     /* 367584 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(367703), // Rule ID 5956 //
     /* 367589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367613 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 367617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 367621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367629 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 367633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 367642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367646 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367650 */     // MIs[3] Operand 1
     /* 367650 */     // No operand predicates
     /* 367650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367656 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367668 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 367687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 367698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 367701 */     GIR_RootConstrainSelectedInstOperands,
     /* 367702 */     // GIR_Coverage, 5956,
     /* 367702 */     GIR_EraseRootFromParent_Done,
     /* 367703 */   // Label 7377: @367703
     /* 367703 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(367822), // Rule ID 2544 //
     /* 367708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367740 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 367744 */     // MIs[2] Operand 1
     /* 367744 */     // No operand predicates
     /* 367744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 367748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367756 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 367760 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367765 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 367769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 367775 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 367775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367787 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367793 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367798 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 367806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 367810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 367817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 367820 */     GIR_RootConstrainSelectedInstOperands,
     /* 367821 */     // GIR_Coverage, 2544,
     /* 367821 */     GIR_EraseRootFromParent_Done,
     /* 367822 */   // Label 7378: @367822
     /* 367822 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(367922), // Rule ID 4772 //
     /* 367827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367851 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 367855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 367859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 367863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 367867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367878 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 367878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367890 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 367909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 367911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 367918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 367920 */     GIR_RootConstrainSelectedInstOperands,
     /* 367921 */     // GIR_Coverage, 4772,
     /* 367921 */     GIR_EraseRootFromParent_Done,
     /* 367922 */   // Label 7379: @367922
     /* 367922 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(368022), // Rule ID 4808 //
     /* 367927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367951 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 367955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 367963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 367967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 367971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367978 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 367978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 367981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367990 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 367996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 368009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 368016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 368020 */     GIR_RootConstrainSelectedInstOperands,
     /* 368021 */     // GIR_Coverage, 4808,
     /* 368021 */     GIR_EraseRootFromParent_Done,
     /* 368022 */   // Label 7380: @368022
     /* 368022 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(368119), // Rule ID 13560 //
     /* 368027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368054 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368063 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 368067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368077 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 368077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 368080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368089 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 368095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 368108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 368112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 368117 */     GIR_RootConstrainSelectedInstOperands,
     /* 368118 */     // GIR_Coverage, 13560,
     /* 368118 */     GIR_EraseRootFromParent_Done,
     /* 368119 */   // Label 7381: @368119
     /* 368119 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(368219), // Rule ID 13562 //
     /* 368124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 368148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368156 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368165 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 368169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368175 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 368175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 368178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368187 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 368193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368198 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 368206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 368215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 368217 */     GIR_RootConstrainSelectedInstOperands,
     /* 368218 */     // GIR_Coverage, 13562,
     /* 368218 */     GIR_EraseRootFromParent_Done,
     /* 368219 */   // Label 7382: @368219
     /* 368219 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(368319), // Rule ID 4806 //
     /* 368224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368252 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 368256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 368260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 368268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368275 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 368275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 368278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368287 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 368293 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368298 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 368306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368308 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 368310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 368317 */     GIR_RootConstrainSelectedInstOperands,
     /* 368318 */     // GIR_Coverage, 4806,
     /* 368318 */     GIR_EraseRootFromParent_Done,
     /* 368319 */   // Label 7383: @368319
     /* 368319 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(368416), // Rule ID 4770 //
     /* 368324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368355 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368364 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 368368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368374 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 368374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 368377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368386 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 368392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 368405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368407 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 368409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 368414 */     GIR_RootConstrainSelectedInstOperands,
     /* 368415 */     // GIR_Coverage, 4770,
     /* 368415 */     GIR_EraseRootFromParent_Done,
     /* 368416 */   // Label 7384: @368416
     /* 368416 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(368494), // Rule ID 6106 //
     /* 368421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 368458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368462 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368466 */     // MIs[3] Operand 1
     /* 368466 */     // No operand predicates
     /* 368466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368476 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 368485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 368489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 368492 */     GIR_RootConstrainSelectedInstOperands,
     /* 368493 */     // GIR_Coverage, 6106,
     /* 368493 */     GIR_EraseRootFromParent_Done,
     /* 368494 */   // Label 7385: @368494
     /* 368494 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(368578), // Rule ID 6018 //
     /* 368499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368531 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368535 */     // MIs[2] Operand 1
     /* 368535 */     // No operand predicates
     /* 368535 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 368539 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368543 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 368547 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368558 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368563 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 368569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 368573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 368576 */     GIR_RootConstrainSelectedInstOperands,
     /* 368577 */     // GIR_Coverage, 6018,
     /* 368577 */     GIR_EraseRootFromParent_Done,
     /* 368578 */   // Label 7386: @368578
     /* 368578 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(368659), // Rule ID 6050 //
     /* 368583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 368623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368627 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368631 */     // MIs[3] Operand 1
     /* 368631 */     // No operand predicates
     /* 368631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368641 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 368650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 368654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 368657 */     GIR_RootConstrainSelectedInstOperands,
     /* 368658 */     // GIR_Coverage, 6050,
     /* 368658 */     GIR_EraseRootFromParent_Done,
     /* 368659 */   // Label 7387: @368659
     /* 368659 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(368743), // Rule ID 6082 //
     /* 368664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 368688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 368709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368713 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368717 */     // MIs[3] Operand 1
     /* 368717 */     // No operand predicates
     /* 368717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368723 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 368734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 368738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 368741 */     GIR_RootConstrainSelectedInstOperands,
     /* 368742 */     // GIR_Coverage, 6082,
     /* 368742 */     GIR_EraseRootFromParent_Done,
     /* 368743 */   // Label 7388: @368743
     /* 368743 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(368821), // Rule ID 6128 //
     /* 368748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368785 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 368789 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368793 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368797 */     // MIs[3] Operand 1
     /* 368797 */     // No operand predicates
     /* 368797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368803 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 368812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 368816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 368819 */     GIR_RootConstrainSelectedInstOperands,
     /* 368820 */     // GIR_Coverage, 6128,
     /* 368820 */     GIR_EraseRootFromParent_Done,
     /* 368821 */   // Label 7389: @368821
     /* 368821 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(368902), // Rule ID 5986 //
     /* 368826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 368837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 368841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 368845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 368849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368857 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 368861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 368870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368874 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 368878 */     // MIs[3] Operand 1
     /* 368878 */     // No operand predicates
     /* 368878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368882 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 368884 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 368884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 368887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 368891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 368893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 368897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 368900 */     GIR_RootConstrainSelectedInstOperands,
     /* 368901 */     // GIR_Coverage, 5986,
     /* 368901 */     GIR_EraseRootFromParent_Done,
     /* 368902 */   // Label 7390: @368902
     /* 368902 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(368987), // Rule ID 2450 //
     /* 368907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368931 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 368935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368945 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 368945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 368948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368957 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 368963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368968 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 368976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 368978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 368983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 368985 */     GIR_RootConstrainSelectedInstOperands,
     /* 368986 */     // GIR_Coverage, 2450,
     /* 368986 */     GIR_EraseRootFromParent_Done,
     /* 368987 */   // Label 7391: @368987
     /* 368987 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(369072), // Rule ID 2448 //
     /* 368992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369030 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 369030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 369033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369042 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 369048 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 369061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369063 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 369065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 369070 */     GIR_RootConstrainSelectedInstOperands,
     /* 369071 */     // GIR_Coverage, 2448,
     /* 369071 */     GIR_EraseRootFromParent_Done,
     /* 369072 */   // Label 7392: @369072
     /* 369072 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(369141), // Rule ID 2542 //
     /* 369077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369109 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 369113 */     // MIs[2] Operand 1
     /* 369113 */     // No operand predicates
     /* 369113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369123 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 369123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 369126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 369130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 369132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 369136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 369139 */     GIR_RootConstrainSelectedInstOperands,
     /* 369140 */     // GIR_Coverage, 2542,
     /* 369140 */     GIR_EraseRootFromParent_Done,
     /* 369141 */   // Label 7393: @369141
     /* 369141 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(369210), // Rule ID 5954 //
     /* 369146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369182 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 369186 */     // MIs[2] Operand 1
     /* 369186 */     // No operand predicates
     /* 369186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369192 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 369192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 369195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 369199 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 369201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 369205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 369208 */     GIR_RootConstrainSelectedInstOperands,
     /* 369209 */     // GIR_Coverage, 5954,
     /* 369209 */     GIR_EraseRootFromParent_Done,
     /* 369210 */   // Label 7394: @369210
     /* 369210 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(369260), // Rule ID 13002 //
     /* 369215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369245 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 369245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 369248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 369252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 369256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 369258 */     GIR_RootConstrainSelectedInstOperands,
     /* 369259 */     // GIR_Coverage, 13002,
     /* 369259 */     GIR_EraseRootFromParent_Done,
     /* 369260 */   // Label 7395: @369260
     /* 369260 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(369310), // Rule ID 645 //
     /* 369265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 369276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369295 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 369295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 369298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 369302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 369306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 369308 */     GIR_RootConstrainSelectedInstOperands,
     /* 369309 */     // GIR_Coverage, 645,
     /* 369309 */     GIR_EraseRootFromParent_Done,
     /* 369310 */   // Label 7396: @369310
     /* 369310 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(369360), // Rule ID 657 //
     /* 369315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 369330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369345 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 369345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 369348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 369352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 369354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 369358 */     GIR_RootConstrainSelectedInstOperands,
     /* 369359 */     // GIR_Coverage, 657,
     /* 369359 */     GIR_EraseRootFromParent_Done,
     /* 369360 */   // Label 7397: @369360
     /* 369360 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(369391), // Rule ID 639 //
     /* 369365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369380 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 369380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 369385 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369389 */     GIR_RootConstrainSelectedInstOperands,
     /* 369390 */     // GIR_Coverage, 639,
     /* 369390 */     GIR_Done,
     /* 369391 */   // Label 7398: @369391
     /* 369391 */   GIM_Reject,
     /* 369392 */ // Label 7368: @369392
     /* 369392 */ GIM_Reject,
     /* 369393 */ // Label 7332: @369393
     /* 369393 */ GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(372322),
     /* 369398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 369404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 369407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369411 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(369561), // Rule ID 4816 //
     /* 369416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369440 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369465 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 369469 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 369473 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369477 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 369481 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 369488 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 369488 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 369491 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369495 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369500 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 369506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369528 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369534 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 369547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 369555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 369559 */     GIR_RootConstrainSelectedInstOperands,
     /* 369560 */     // GIR_Coverage, 4816,
     /* 369560 */     GIR_EraseRootFromParent_Done,
     /* 369561 */   // Label 7400: @369561
     /* 369561 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(369708), // Rule ID 4780 //
     /* 369566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369590 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 369606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369614 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369618 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 369622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369627 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 369631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 369637 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 369637 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 369640 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369644 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369649 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 369655 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369660 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369677 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 369696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 369704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 369706 */     GIR_RootConstrainSelectedInstOperands,
     /* 369707 */     // GIR_Coverage, 4780,
     /* 369707 */     GIR_EraseRootFromParent_Done,
     /* 369708 */   // Label 7401: @369708
     /* 369708 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(369855), // Rule ID 13570 //
     /* 369713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 369728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369749 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 369753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 369757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369765 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 369769 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369774 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 369778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 369784 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 369784 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 369787 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369791 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369796 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 369802 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369807 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369824 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369830 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369835 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 369843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 369851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 369853 */     GIR_RootConstrainSelectedInstOperands,
     /* 369854 */     // GIR_Coverage, 13570,
     /* 369854 */     GIR_EraseRootFromParent_Done,
     /* 369855 */   // Label 7402: @369855
     /* 369855 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(369986), // Rule ID 5992 //
     /* 369860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369884 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 369896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 369900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369908 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369912 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 369916 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369921 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 369925 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369929 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 369933 */     // MIs[4] Operand 1
     /* 369933 */     // No operand predicates
     /* 369933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369937 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369939 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 369939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 369970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 369974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 369981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 369984 */     GIR_RootConstrainSelectedInstOperands,
     /* 369985 */     // GIR_Coverage, 5992,
     /* 369985 */     GIR_EraseRootFromParent_Done,
     /* 369986 */   // Label 7403: @369986
     /* 369986 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(370117), // Rule ID 6024 //
     /* 369991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 370019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 370023 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 370027 */     // MIs[2] Operand 1
     /* 370027 */     // No operand predicates
     /* 370027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 370031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370035 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 370039 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 370043 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370047 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370051 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 370055 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370060 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 370064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370068 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 370070 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 370070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370082 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 370101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 370105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 370112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 370115 */     GIR_RootConstrainSelectedInstOperands,
     /* 370116 */     // GIR_Coverage, 6024,
     /* 370116 */     GIR_EraseRootFromParent_Done,
     /* 370117 */   // Label 7404: @370117
     /* 370117 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(370248), // Rule ID 6088 //
     /* 370122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 370141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370158 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 370162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 370166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370170 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370174 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 370178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370183 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 370187 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 370191 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 370195 */     // MIs[4] Operand 1
     /* 370195 */     // No operand predicates
     /* 370195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370199 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 370201 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 370201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370213 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370224 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 370232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 370236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 370243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 370246 */     GIR_RootConstrainSelectedInstOperands,
     /* 370247 */     // GIR_Coverage, 6088,
     /* 370247 */     GIR_EraseRootFromParent_Done,
     /* 370248 */   // Label 7405: @370248
     /* 370248 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(370379), // Rule ID 6056 //
     /* 370253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 370272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 370297 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 370301 */     // MIs[3] Operand 1
     /* 370301 */     // No operand predicates
     /* 370301 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 370305 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370309 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370313 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 370317 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370322 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 370326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370330 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 370332 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 370332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370344 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370355 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 370363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 370367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 370374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 370377 */     GIR_RootConstrainSelectedInstOperands,
     /* 370378 */     // GIR_Coverage, 6056,
     /* 370378 */     GIR_EraseRootFromParent_Done,
     /* 370379 */   // Label 7406: @370379
     /* 370379 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(370514), // Rule ID 2458 //
     /* 370384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370408 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 370412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370433 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 370437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 370443 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 370443 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 370446 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370450 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370455 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 370461 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370466 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370483 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370489 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370494 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 370502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 370510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 370512 */     GIR_RootConstrainSelectedInstOperands,
     /* 370513 */     // GIR_Coverage, 2458,
     /* 370513 */     GIR_EraseRootFromParent_Done,
     /* 370514 */   // Label 7407: @370514
     /* 370514 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(370633), // Rule ID 5960 //
     /* 370519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370543 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 370547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370559 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 370572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 370576 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 370580 */     // MIs[3] Operand 1
     /* 370580 */     // No operand predicates
     /* 370580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370586 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 370586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370598 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 370617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 370621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 370628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 370631 */     GIR_RootConstrainSelectedInstOperands,
     /* 370632 */     // GIR_Coverage, 5960,
     /* 370632 */     GIR_EraseRootFromParent_Done,
     /* 370633 */   // Label 7408: @370633
     /* 370633 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(370752), // Rule ID 2548 //
     /* 370638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 370666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 370670 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 370674 */     // MIs[2] Operand 1
     /* 370674 */     // No operand predicates
     /* 370674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 370678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370686 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 370690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370695 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 370699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 370705 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 370705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370717 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 370736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 370740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 370747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 370750 */     GIR_RootConstrainSelectedInstOperands,
     /* 370751 */     // GIR_Coverage, 2548,
     /* 370751 */     GIR_EraseRootFromParent_Done,
     /* 370752 */   // Label 7409: @370752
     /* 370752 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(370852), // Rule ID 4778 //
     /* 370757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370781 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 370785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 370797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 370808 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 370808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370820 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 370839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 370848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 370850 */     GIR_RootConstrainSelectedInstOperands,
     /* 370851 */     // GIR_Coverage, 4778,
     /* 370851 */     GIR_EraseRootFromParent_Done,
     /* 370852 */   // Label 7410: @370852
     /* 370852 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(370952), // Rule ID 4814 //
     /* 370857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370881 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 370885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 370893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 370901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 370908 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 370908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 370911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370920 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 370939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 370946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 370950 */     GIR_RootConstrainSelectedInstOperands,
     /* 370951 */     // GIR_Coverage, 4814,
     /* 370951 */     GIR_EraseRootFromParent_Done,
     /* 370952 */   // Label 7411: @370952
     /* 370952 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(371049), // Rule ID 13566 //
     /* 370957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 370968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 370976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370984 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370993 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 370997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371007 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 371007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371019 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 371025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 371038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 371042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 371047 */     GIR_RootConstrainSelectedInstOperands,
     /* 371048 */     // GIR_Coverage, 13566,
     /* 371048 */     GIR_EraseRootFromParent_Done,
     /* 371049 */   // Label 7412: @371049
     /* 371049 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(371149), // Rule ID 13568 //
     /* 371054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 371069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371095 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 371099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371105 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 371105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371117 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371128 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 371136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 371145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 371147 */     GIR_RootConstrainSelectedInstOperands,
     /* 371148 */     // GIR_Coverage, 13568,
     /* 371148 */     GIR_EraseRootFromParent_Done,
     /* 371149 */   // Label 7413: @371149
     /* 371149 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(371249), // Rule ID 4812 //
     /* 371154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371182 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 371190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 371198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371205 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 371205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371217 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 371223 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371228 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 371236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371238 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 371247 */     GIR_RootConstrainSelectedInstOperands,
     /* 371248 */     // GIR_Coverage, 4812,
     /* 371248 */     GIR_EraseRootFromParent_Done,
     /* 371249 */   // Label 7414: @371249
     /* 371249 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(371346), // Rule ID 4776 //
     /* 371254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 371273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 371277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371294 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 371298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371304 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 371304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371316 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 371322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 371335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 371344 */     GIR_RootConstrainSelectedInstOperands,
     /* 371345 */     // GIR_Coverage, 4776,
     /* 371345 */     GIR_EraseRootFromParent_Done,
     /* 371346 */   // Label 7415: @371346
     /* 371346 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(371424), // Rule ID 6110 //
     /* 371351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 371371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371384 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 371388 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371392 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 371396 */     // MIs[3] Operand 1
     /* 371396 */     // No operand predicates
     /* 371396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371406 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 371406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 371415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371422 */     GIR_RootConstrainSelectedInstOperands,
     /* 371423 */     // GIR_Coverage, 6110,
     /* 371423 */     GIR_EraseRootFromParent_Done,
     /* 371424 */   // Label 7416: @371424
     /* 371424 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(371508), // Rule ID 6022 //
     /* 371429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 371457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371461 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 371465 */     // MIs[2] Operand 1
     /* 371465 */     // No operand predicates
     /* 371465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 371469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371473 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 371477 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371488 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 371488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 371499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 371503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 371506 */     GIR_RootConstrainSelectedInstOperands,
     /* 371507 */     // GIR_Coverage, 6022,
     /* 371507 */     GIR_EraseRootFromParent_Done,
     /* 371508 */   // Label 7417: @371508
     /* 371508 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(371589), // Rule ID 6054 //
     /* 371513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 371528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 371532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371557 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 371561 */     // MIs[3] Operand 1
     /* 371561 */     // No operand predicates
     /* 371561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371571 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 371571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 371580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371587 */     GIR_RootConstrainSelectedInstOperands,
     /* 371588 */     // GIR_Coverage, 6054,
     /* 371588 */     GIR_EraseRootFromParent_Done,
     /* 371589 */   // Label 7418: @371589
     /* 371589 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(371673), // Rule ID 6086 //
     /* 371594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 371609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371643 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 371647 */     // MIs[3] Operand 1
     /* 371647 */     // No operand predicates
     /* 371647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371651 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371653 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 371653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 371664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371671 */     GIR_RootConstrainSelectedInstOperands,
     /* 371672 */     // GIR_Coverage, 6086,
     /* 371672 */     GIR_EraseRootFromParent_Done,
     /* 371673 */   // Label 7419: @371673
     /* 371673 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(371751), // Rule ID 6132 //
     /* 371678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 371702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 371719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371723 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 371727 */     // MIs[3] Operand 1
     /* 371727 */     // No operand predicates
     /* 371727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371731 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371733 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 371733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371749 */     GIR_RootConstrainSelectedInstOperands,
     /* 371750 */     // GIR_Coverage, 6132,
     /* 371750 */     GIR_EraseRootFromParent_Done,
     /* 371751 */   // Label 7420: @371751
     /* 371751 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(371832), // Rule ID 5990 //
     /* 371756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 371771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 371775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 371779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371796 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371800 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371804 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 371808 */     // MIs[3] Operand 1
     /* 371808 */     // No operand predicates
     /* 371808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371814 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 371814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 371817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 371821 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371830 */     GIR_RootConstrainSelectedInstOperands,
     /* 371831 */     // GIR_Coverage, 5990,
     /* 371831 */     GIR_EraseRootFromParent_Done,
     /* 371832 */   // Label 7421: @371832
     /* 371832 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(371917), // Rule ID 2456 //
     /* 371837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371861 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 371875 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 371875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371887 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371893 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371898 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 371906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 371913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 371915 */     GIR_RootConstrainSelectedInstOperands,
     /* 371916 */     // GIR_Coverage, 2456,
     /* 371916 */     GIR_EraseRootFromParent_Done,
     /* 371917 */   // Label 7422: @371917
     /* 371917 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(372002), // Rule ID 2454 //
     /* 371922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371950 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 371960 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 371960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 371963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371972 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 371978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371983 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 371991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371993 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 372000 */     GIR_RootConstrainSelectedInstOperands,
     /* 372001 */     // GIR_Coverage, 2454,
     /* 372001 */     GIR_EraseRootFromParent_Done,
     /* 372002 */   // Label 7423: @372002
     /* 372002 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(372071), // Rule ID 2546 //
     /* 372007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372039 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372043 */     // MIs[2] Operand 1
     /* 372043 */     // No operand predicates
     /* 372043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372053 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 372053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 372056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372069 */     GIR_RootConstrainSelectedInstOperands,
     /* 372070 */     // GIR_Coverage, 2546,
     /* 372070 */     GIR_EraseRootFromParent_Done,
     /* 372071 */   // Label 7424: @372071
     /* 372071 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(372140), // Rule ID 5958 //
     /* 372076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372112 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372116 */     // MIs[2] Operand 1
     /* 372116 */     // No operand predicates
     /* 372116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372122 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 372122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 372125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372138 */     GIR_RootConstrainSelectedInstOperands,
     /* 372139 */     // GIR_Coverage, 5958,
     /* 372139 */     GIR_EraseRootFromParent_Done,
     /* 372140 */   // Label 7425: @372140
     /* 372140 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(372190), // Rule ID 13004 //
     /* 372145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 372160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372175 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 372175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 372178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 372188 */     GIR_RootConstrainSelectedInstOperands,
     /* 372189 */     // GIR_Coverage, 13004,
     /* 372189 */     GIR_EraseRootFromParent_Done,
     /* 372190 */   // Label 7426: @372190
     /* 372190 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(372240), // Rule ID 647 //
     /* 372195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 372214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372225 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 372225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 372228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 372238 */     GIR_RootConstrainSelectedInstOperands,
     /* 372239 */     // GIR_Coverage, 647,
     /* 372239 */     GIR_EraseRootFromParent_Done,
     /* 372240 */   // Label 7427: @372240
     /* 372240 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(372290), // Rule ID 659 //
     /* 372245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 372260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 372268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372275 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 372275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 372278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372280 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 372284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 372288 */     GIR_RootConstrainSelectedInstOperands,
     /* 372289 */     // GIR_Coverage, 659,
     /* 372289 */     GIR_EraseRootFromParent_Done,
     /* 372290 */   // Label 7428: @372290
     /* 372290 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(372321), // Rule ID 641 //
     /* 372295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372310 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 372310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 372315 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372319 */     GIR_RootConstrainSelectedInstOperands,
     /* 372320 */     // GIR_Coverage, 641,
     /* 372320 */     GIR_Done,
     /* 372321 */   // Label 7429: @372321
     /* 372321 */   GIM_Reject,
     /* 372322 */ // Label 7399: @372322
     /* 372322 */ GIM_Reject,
     /* 372323 */ // Label 7333: @372323
     /* 372323 */ GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(373843),
     /* 372328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 372334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 372337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372341 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(372419), // Rule ID 6090 //
     /* 372346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 372366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 372383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372387 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372391 */     // MIs[3] Operand 1
     /* 372391 */     // No operand predicates
     /* 372391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372401 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372417 */     GIR_RootConstrainSelectedInstOperands,
     /* 372418 */     // GIR_Coverage, 6090,
     /* 372418 */     GIR_EraseRootFromParent_Done,
     /* 372419 */   // Label 7431: @372419
     /* 372419 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(372503), // Rule ID 6006 //
     /* 372424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372456 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372460 */     // MIs[2] Operand 1
     /* 372460 */     // No operand predicates
     /* 372460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 372464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372472 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372481 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372483 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372488 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 372494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372501 */     GIR_RootConstrainSelectedInstOperands,
     /* 372502 */     // GIR_Coverage, 6006,
     /* 372502 */     GIR_EraseRootFromParent_Done,
     /* 372503 */   // Label 7432: @372503
     /* 372503 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(372584), // Rule ID 6038 //
     /* 372508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 372527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372535 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 372539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372552 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372556 */     // MIs[3] Operand 1
     /* 372556 */     // No operand predicates
     /* 372556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372566 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372582 */     GIR_RootConstrainSelectedInstOperands,
     /* 372583 */     // GIR_Coverage, 6038,
     /* 372583 */     GIR_EraseRootFromParent_Done,
     /* 372584 */   // Label 7433: @372584
     /* 372584 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(372668), // Rule ID 6070 //
     /* 372589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 372625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372638 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372642 */     // MIs[3] Operand 1
     /* 372642 */     // No operand predicates
     /* 372642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372648 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 372659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372666 */     GIR_RootConstrainSelectedInstOperands,
     /* 372667 */     // GIR_Coverage, 6070,
     /* 372667 */     GIR_EraseRootFromParent_Done,
     /* 372668 */   // Label 7434: @372668
     /* 372668 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(372746), // Rule ID 6112 //
     /* 372673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 372697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 372714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372718 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372722 */     // MIs[3] Operand 1
     /* 372722 */     // No operand predicates
     /* 372722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372728 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372735 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372744 */     GIR_RootConstrainSelectedInstOperands,
     /* 372745 */     // GIR_Coverage, 6112,
     /* 372745 */     GIR_EraseRootFromParent_Done,
     /* 372746 */   // Label 7435: @372746
     /* 372746 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(372827), // Rule ID 5974 //
     /* 372751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 372774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 372786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372799 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372803 */     // MIs[3] Operand 1
     /* 372803 */     // No operand predicates
     /* 372803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372809 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 372812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372825 */     GIR_RootConstrainSelectedInstOperands,
     /* 372826 */     // GIR_Coverage, 5974,
     /* 372826 */     GIR_EraseRootFromParent_Done,
     /* 372827 */   // Label 7436: @372827
     /* 372827 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(372896), // Rule ID 2530 //
     /* 372832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372864 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372868 */     // MIs[2] Operand 1
     /* 372868 */     // No operand predicates
     /* 372868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372878 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 372881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372894 */     GIR_RootConstrainSelectedInstOperands,
     /* 372895 */     // GIR_Coverage, 2530,
     /* 372895 */     GIR_EraseRootFromParent_Done,
     /* 372896 */   // Label 7437: @372896
     /* 372896 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(372965), // Rule ID 5942 //
     /* 372901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 372916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372937 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372941 */     // MIs[2] Operand 1
     /* 372941 */     // No operand predicates
     /* 372941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372947 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 372950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 372954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372963 */     GIR_RootConstrainSelectedInstOperands,
     /* 372964 */     // GIR_Coverage, 5942,
     /* 372964 */     GIR_EraseRootFromParent_Done,
     /* 372965 */   // Label 7438: @372965
     /* 372965 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(373058), // Rule ID 6094 //
     /* 372970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 372978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 372982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 372986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 372990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 372994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373009 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373021 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373028 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373056 */     GIR_RootConstrainSelectedInstOperands,
     /* 373057 */     // GIR_Coverage, 6094,
     /* 373057 */     GIR_EraseRootFromParent_Done,
     /* 373058 */   // Label 7439: @373058
     /* 373058 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(373157), // Rule ID 6008 //
     /* 373063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373106 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373118 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373125 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373128 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373133 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 373149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373155 */     GIR_RootConstrainSelectedInstOperands,
     /* 373156 */     // GIR_Coverage, 6008,
     /* 373156 */     GIR_EraseRootFromParent_Done,
     /* 373157 */   // Label 7440: @373157
     /* 373157 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(373253), // Rule ID 6040 //
     /* 373162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 373185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373204 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373216 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373223 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373251 */     GIR_RootConstrainSelectedInstOperands,
     /* 373252 */     // GIR_Coverage, 6040,
     /* 373252 */     GIR_EraseRootFromParent_Done,
     /* 373253 */   // Label 7441: @373253
     /* 373253 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(373352), // Rule ID 6072 //
     /* 373258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 373286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373301 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373313 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373320 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373323 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 373344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373350 */     GIR_RootConstrainSelectedInstOperands,
     /* 373351 */     // GIR_Coverage, 6072,
     /* 373351 */     GIR_EraseRootFromParent_Done,
     /* 373352 */   // Label 7442: @373352
     /* 373352 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(373445), // Rule ID 6116 //
     /* 373357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373396 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373408 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373415 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373418 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373443 */     GIR_RootConstrainSelectedInstOperands,
     /* 373444 */     // GIR_Coverage, 6116,
     /* 373444 */     GIR_EraseRootFromParent_Done,
     /* 373445 */   // Label 7443: @373445
     /* 373445 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(373541), // Rule ID 5976 //
     /* 373450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 373477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 373481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373492 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373504 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373511 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 373527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373539 */     GIR_RootConstrainSelectedInstOperands,
     /* 373540 */     // GIR_Coverage, 5976,
     /* 373540 */     GIR_EraseRootFromParent_Done,
     /* 373541 */   // Label 7444: @373541
     /* 373541 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(373625), // Rule ID 2532 //
     /* 373546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373576 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373588 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373595 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373603 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 373611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373623 */     GIR_RootConstrainSelectedInstOperands,
     /* 373624 */     // GIR_Coverage, 2532,
     /* 373624 */     GIR_EraseRootFromParent_Done,
     /* 373625 */   // Label 7445: @373625
     /* 373625 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(373675), // Rule ID 13034 //
     /* 373630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373660 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 373663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373673 */     GIR_RootConstrainSelectedInstOperands,
     /* 373674 */     // GIR_Coverage, 13034,
     /* 373674 */     GIR_EraseRootFromParent_Done,
     /* 373675 */   // Label 7446: @373675
     /* 373675 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(373759), // Rule ID 5944 //
     /* 373680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373710 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 373717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373722 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 373725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373729 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373732 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373737 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 373745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373757 */     GIR_RootConstrainSelectedInstOperands,
     /* 373758 */     // GIR_Coverage, 5944,
     /* 373758 */     GIR_EraseRootFromParent_Done,
     /* 373759 */   // Label 7447: @373759
     /* 373759 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(373809), // Rule ID 1300 //
     /* 373764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373794 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 373797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373799 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373807 */     GIR_RootConstrainSelectedInstOperands,
     /* 373808 */     // GIR_Coverage, 1300,
     /* 373808 */     GIR_EraseRootFromParent_Done,
     /* 373809 */   // Label 7448: @373809
     /* 373809 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(373842), // Rule ID 1290 //
     /* 373814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373829 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 373832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373838 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 373840 */     GIR_RootConstrainSelectedInstOperands,
     /* 373841 */     // GIR_Coverage, 1290,
     /* 373841 */     GIR_EraseRootFromParent_Done,
     /* 373842 */   // Label 7449: @373842
     /* 373842 */   GIM_Reject,
     /* 373843 */ // Label 7430: @373843
     /* 373843 */ GIM_Reject,
     /* 373844 */ // Label 7334: @373844
     /* 373844 */ GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(375364),
     /* 373849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 373855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 373858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373862 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(373940), // Rule ID 6102 //
     /* 373867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 373875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 373904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373908 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 373912 */     // MIs[3] Operand 1
     /* 373912 */     // No operand predicates
     /* 373912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373920 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373922 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 373922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 373925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 373929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 373938 */     GIR_RootConstrainSelectedInstOperands,
     /* 373939 */     // GIR_Coverage, 6102,
     /* 373939 */     GIR_EraseRootFromParent_Done,
     /* 373940 */   // Label 7451: @373940
     /* 373940 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(374024), // Rule ID 6014 //
     /* 373945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 373956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 373973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373977 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 373981 */     // MIs[2] Operand 1
     /* 373981 */     // No operand predicates
     /* 373981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 373985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 373989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374004 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 374015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374022 */     GIR_RootConstrainSelectedInstOperands,
     /* 374023 */     // GIR_Coverage, 6014,
     /* 374023 */     GIR_EraseRootFromParent_Done,
     /* 374024 */   // Label 7452: @374024
     /* 374024 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(374105), // Rule ID 6046 //
     /* 374029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374056 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 374060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 374069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374073 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374077 */     // MIs[3] Operand 1
     /* 374077 */     // No operand predicates
     /* 374077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374087 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374103 */     GIR_RootConstrainSelectedInstOperands,
     /* 374104 */     // GIR_Coverage, 6046,
     /* 374104 */     GIR_EraseRootFromParent_Done,
     /* 374105 */   // Label 7453: @374105
     /* 374105 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(374189), // Rule ID 6078 //
     /* 374110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374142 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 374146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 374155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374159 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374163 */     // MIs[3] Operand 1
     /* 374163 */     // No operand predicates
     /* 374163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374169 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 374180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374187 */     GIR_RootConstrainSelectedInstOperands,
     /* 374188 */     // GIR_Coverage, 6078,
     /* 374188 */     GIR_EraseRootFromParent_Done,
     /* 374189 */   // Label 7454: @374189
     /* 374189 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(374267), // Rule ID 6124 //
     /* 374194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 374235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374239 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374243 */     // MIs[3] Operand 1
     /* 374243 */     // No operand predicates
     /* 374243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374249 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374256 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374265 */     GIR_RootConstrainSelectedInstOperands,
     /* 374266 */     // GIR_Coverage, 6124,
     /* 374266 */     GIR_EraseRootFromParent_Done,
     /* 374267 */   // Label 7455: @374267
     /* 374267 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(374348), // Rule ID 5982 //
     /* 374272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 374307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 374316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374320 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374324 */     // MIs[3] Operand 1
     /* 374324 */     // No operand predicates
     /* 374324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374330 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374346 */     GIR_RootConstrainSelectedInstOperands,
     /* 374347 */     // GIR_Coverage, 5982,
     /* 374347 */     GIR_EraseRootFromParent_Done,
     /* 374348 */   // Label 7456: @374348
     /* 374348 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(374417), // Rule ID 2538 //
     /* 374353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374385 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374389 */     // MIs[2] Operand 1
     /* 374389 */     // No operand predicates
     /* 374389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374399 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 374402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374415 */     GIR_RootConstrainSelectedInstOperands,
     /* 374416 */     // GIR_Coverage, 2538,
     /* 374416 */     GIR_EraseRootFromParent_Done,
     /* 374417 */   // Label 7457: @374417
     /* 374417 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(374486), // Rule ID 5950 //
     /* 374422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 374437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374458 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 374462 */     // MIs[2] Operand 1
     /* 374462 */     // No operand predicates
     /* 374462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374468 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 374468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 374471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374484 */     GIR_RootConstrainSelectedInstOperands,
     /* 374485 */     // GIR_Coverage, 5950,
     /* 374485 */     GIR_EraseRootFromParent_Done,
     /* 374486 */   // Label 7458: @374486
     /* 374486 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(374579), // Rule ID 6104 //
     /* 374491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 374499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 374503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 374515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374530 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 374537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374542 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 374545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374549 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374552 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374557 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374577 */     GIR_RootConstrainSelectedInstOperands,
     /* 374578 */     // GIR_Coverage, 6104,
     /* 374578 */     GIR_EraseRootFromParent_Done,
     /* 374579 */   // Label 7459: @374579
     /* 374579 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(374678), // Rule ID 6016 //
     /* 374584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 374595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 374599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374627 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 374634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374639 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 374642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374646 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374654 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 374670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374676 */     GIR_RootConstrainSelectedInstOperands,
     /* 374677 */     // GIR_Coverage, 6016,
     /* 374677 */     GIR_EraseRootFromParent_Done,
     /* 374678 */   // Label 7460: @374678
     /* 374678 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(374774), // Rule ID 6048 //
     /* 374683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 374706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 374710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374725 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 374732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374737 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 374740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374744 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374747 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374752 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374772 */     GIR_RootConstrainSelectedInstOperands,
     /* 374773 */     // GIR_Coverage, 6048,
     /* 374773 */     GIR_EraseRootFromParent_Done,
     /* 374774 */   // Label 7461: @374774
     /* 374774 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(374873), // Rule ID 6080 //
     /* 374779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 374807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 374811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374822 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 374829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374834 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 374837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374841 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374844 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374859 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 374865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374871 */     GIR_RootConstrainSelectedInstOperands,
     /* 374872 */     // GIR_Coverage, 6080,
     /* 374872 */     GIR_EraseRootFromParent_Done,
     /* 374873 */   // Label 7462: @374873
     /* 374873 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(374966), // Rule ID 6126 //
     /* 374878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 374890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 374894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 374906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374917 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 374924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374929 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 374932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374936 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374939 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374944 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 374952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 374956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374964 */     GIR_RootConstrainSelectedInstOperands,
     /* 374965 */     // GIR_Coverage, 6126,
     /* 374965 */     GIR_EraseRootFromParent_Done,
     /* 374966 */   // Label 7463: @374966
     /* 374966 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(375062), // Rule ID 5984 //
     /* 374971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 374986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 374994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 374998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 375002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375013 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 375013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 375016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 375020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375025 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 375028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375032 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 375035 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375040 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 375048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375052 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375060 */     GIR_RootConstrainSelectedInstOperands,
     /* 375061 */     // GIR_Coverage, 5984,
     /* 375061 */     GIR_EraseRootFromParent_Done,
     /* 375062 */   // Label 7464: @375062
     /* 375062 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(375146), // Rule ID 2540 //
     /* 375067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 375078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 375082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375097 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 375097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 375100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 375104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375109 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 375112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375116 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 375119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 375132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375144 */     GIR_RootConstrainSelectedInstOperands,
     /* 375145 */     // GIR_Coverage, 2540,
     /* 375145 */     GIR_EraseRootFromParent_Done,
     /* 375146 */   // Label 7465: @375146
     /* 375146 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(375196), // Rule ID 13038 //
     /* 375151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 375166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375181 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 375181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 375184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375194 */     GIR_RootConstrainSelectedInstOperands,
     /* 375195 */     // GIR_Coverage, 13038,
     /* 375195 */     GIR_EraseRootFromParent_Done,
     /* 375196 */   // Label 7466: @375196
     /* 375196 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(375280), // Rule ID 5952 //
     /* 375201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 375216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 375220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375231 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 375231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 375234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 375238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375243 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 375246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375250 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 375253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 375266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375278 */     GIR_RootConstrainSelectedInstOperands,
     /* 375279 */     // GIR_Coverage, 5952,
     /* 375279 */     GIR_EraseRootFromParent_Done,
     /* 375280 */   // Label 7467: @375280
     /* 375280 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(375330), // Rule ID 1304 //
     /* 375285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 375304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375315 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 375315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 375318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375328 */     GIR_RootConstrainSelectedInstOperands,
     /* 375329 */     // GIR_Coverage, 1304,
     /* 375329 */     GIR_EraseRootFromParent_Done,
     /* 375330 */   // Label 7468: @375330
     /* 375330 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(375363), // Rule ID 1294 //
     /* 375335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375350 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 375350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 375353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375359 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 375361 */     GIR_RootConstrainSelectedInstOperands,
     /* 375362 */     // GIR_Coverage, 1294,
     /* 375362 */     GIR_EraseRootFromParent_Done,
     /* 375363 */   // Label 7469: @375363
     /* 375363 */   GIM_Reject,
     /* 375364 */ // Label 7450: @375364
     /* 375364 */ GIM_Reject,
     /* 375365 */ // Label 7335: @375365
     /* 375365 */ GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(376543),
     /* 375370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 375376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 375379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375383 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(375467), // Rule ID 5998 //
     /* 375388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375420 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375424 */     // MIs[2] Operand 1
     /* 375424 */     // No operand predicates
     /* 375424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375432 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375436 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375447 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 375450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 375458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375465 */     GIR_RootConstrainSelectedInstOperands,
     /* 375466 */     // GIR_Coverage, 5998,
     /* 375466 */     GIR_EraseRootFromParent_Done,
     /* 375467 */   // Label 7471: @375467
     /* 375467 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(375548), // Rule ID 6030 //
     /* 375472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 375491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375499 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375508 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375512 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375516 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375520 */     // MIs[3] Operand 1
     /* 375520 */     // No operand predicates
     /* 375520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375528 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375530 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 375533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375546 */     GIR_RootConstrainSelectedInstOperands,
     /* 375547 */     // GIR_Coverage, 6030,
     /* 375547 */     GIR_EraseRootFromParent_Done,
     /* 375548 */   // Label 7472: @375548
     /* 375548 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(375632), // Rule ID 6062 //
     /* 375553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375594 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375598 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375602 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375606 */     // MIs[3] Operand 1
     /* 375606 */     // No operand predicates
     /* 375606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375612 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 375615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 375623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375630 */     GIR_RootConstrainSelectedInstOperands,
     /* 375631 */     // GIR_Coverage, 6062,
     /* 375631 */     GIR_EraseRootFromParent_Done,
     /* 375632 */   // Label 7473: @375632
     /* 375632 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(375713), // Rule ID 5966 //
     /* 375637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 375660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375685 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375689 */     // MIs[3] Operand 1
     /* 375689 */     // No operand predicates
     /* 375689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375693 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375695 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 375698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375702 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375711 */     GIR_RootConstrainSelectedInstOperands,
     /* 375712 */     // GIR_Coverage, 5966,
     /* 375712 */     GIR_EraseRootFromParent_Done,
     /* 375713 */   // Label 7474: @375713
     /* 375713 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(375782), // Rule ID 2522 //
     /* 375718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375750 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375754 */     // MIs[2] Operand 1
     /* 375754 */     // No operand predicates
     /* 375754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375764 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 375767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375780 */     GIR_RootConstrainSelectedInstOperands,
     /* 375781 */     // GIR_Coverage, 2522,
     /* 375781 */     GIR_EraseRootFromParent_Done,
     /* 375782 */   // Label 7475: @375782
     /* 375782 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(375851), // Rule ID 5934 //
     /* 375787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 375802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375823 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375827 */     // MIs[2] Operand 1
     /* 375827 */     // No operand predicates
     /* 375827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375833 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 375836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375840 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375849 */     GIR_RootConstrainSelectedInstOperands,
     /* 375850 */     // GIR_Coverage, 5934,
     /* 375850 */     GIR_EraseRootFromParent_Done,
     /* 375851 */   // Label 7476: @375851
     /* 375851 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(375950), // Rule ID 6000 //
     /* 375856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 375867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 375871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 375876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375899 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 375899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 375902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 375906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375911 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 375914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375918 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 375921 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 375931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 375934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 375938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 375942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 375948 */     GIR_RootConstrainSelectedInstOperands,
     /* 375949 */     // GIR_Coverage, 6000,
     /* 375949 */     GIR_EraseRootFromParent_Done,
     /* 375950 */   // Label 7477: @375950
     /* 375950 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(376046), // Rule ID 6032 //
     /* 375955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 375974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 375978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 375982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 375987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375997 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 375997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 376000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 376004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376009 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 376012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376016 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 376019 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 376032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376044 */     GIR_RootConstrainSelectedInstOperands,
     /* 376045 */     // GIR_Coverage, 6032,
     /* 376045 */     GIR_EraseRootFromParent_Done,
     /* 376046 */   // Label 7478: @376046
     /* 376046 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(376145), // Rule ID 6064 //
     /* 376051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 376066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 376079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 376083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376094 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 376097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 376101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376106 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 376109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376113 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 376116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 376129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 376137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376143 */     GIR_RootConstrainSelectedInstOperands,
     /* 376144 */     // GIR_Coverage, 6064,
     /* 376144 */     GIR_EraseRootFromParent_Done,
     /* 376145 */   // Label 7479: @376145
     /* 376145 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(376241), // Rule ID 5968 //
     /* 376150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 376169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 376177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 376181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376192 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 376195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 376199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376204 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 376207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376211 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 376214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 376227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376231 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376239 */     GIR_RootConstrainSelectedInstOperands,
     /* 376240 */     // GIR_Coverage, 5968,
     /* 376240 */     GIR_EraseRootFromParent_Done,
     /* 376241 */   // Label 7480: @376241
     /* 376241 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(376325), // Rule ID 2524 //
     /* 376246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 376257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 376261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376276 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 376279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 376283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376288 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 376291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376295 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 376298 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376303 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 376311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376323 */     GIR_RootConstrainSelectedInstOperands,
     /* 376324 */     // GIR_Coverage, 2524,
     /* 376324 */     GIR_EraseRootFromParent_Done,
     /* 376325 */   // Label 7481: @376325
     /* 376325 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(376375), // Rule ID 13030 //
     /* 376330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 376345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376360 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 376360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 376363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376373 */     GIR_RootConstrainSelectedInstOperands,
     /* 376374 */     // GIR_Coverage, 13030,
     /* 376374 */     GIR_EraseRootFromParent_Done,
     /* 376375 */   // Label 7482: @376375
     /* 376375 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(376459), // Rule ID 5936 //
     /* 376380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 376395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 376399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376410 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 376413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 376417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376422 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 376425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376429 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 376432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376437 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 376442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 376445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376449 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376457 */     GIR_RootConstrainSelectedInstOperands,
     /* 376458 */     // GIR_Coverage, 5936,
     /* 376458 */     GIR_EraseRootFromParent_Done,
     /* 376459 */   // Label 7483: @376459
     /* 376459 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(376509), // Rule ID 1296 //
     /* 376464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 376483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376494 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 376494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 376497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376501 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376507 */     GIR_RootConstrainSelectedInstOperands,
     /* 376508 */     // GIR_Coverage, 1296,
     /* 376508 */     GIR_EraseRootFromParent_Done,
     /* 376509 */   // Label 7484: @376509
     /* 376509 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(376542), // Rule ID 1286 //
     /* 376514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376529 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 376529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 376532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376538 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 376540 */     GIR_RootConstrainSelectedInstOperands,
     /* 376541 */     // GIR_Coverage, 1286,
     /* 376541 */     GIR_EraseRootFromParent_Done,
     /* 376542 */   // Label 7485: @376542
     /* 376542 */   GIM_Reject,
     /* 376543 */ // Label 7470: @376543
     /* 376543 */ GIM_Reject,
     /* 376544 */ // Label 7336: @376544
     /* 376544 */ GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(378064),
     /* 376549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 376555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 376558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376562 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(376640), // Rule ID 6096 //
     /* 376567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376600 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 376604 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376608 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376612 */     // MIs[3] Operand 1
     /* 376612 */     // No operand predicates
     /* 376612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376622 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 376622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 376625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376638 */     GIR_RootConstrainSelectedInstOperands,
     /* 376639 */     // GIR_Coverage, 6096,
     /* 376639 */     GIR_EraseRootFromParent_Done,
     /* 376640 */   // Label 7487: @376640
     /* 376640 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(376724), // Rule ID 6010 //
     /* 376645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376677 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376681 */     // MIs[2] Operand 1
     /* 376681 */     // No operand predicates
     /* 376681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376689 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376693 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376702 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376704 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 376704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 376707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376709 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 376715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376722 */     GIR_RootConstrainSelectedInstOperands,
     /* 376723 */     // GIR_Coverage, 6010,
     /* 376723 */     GIR_EraseRootFromParent_Done,
     /* 376724 */   // Label 7488: @376724
     /* 376724 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(376805), // Rule ID 6042 //
     /* 376729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376756 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376773 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376777 */     // MIs[3] Operand 1
     /* 376777 */     // No operand predicates
     /* 376777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376787 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 376787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 376790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376803 */     GIR_RootConstrainSelectedInstOperands,
     /* 376804 */     // GIR_Coverage, 6042,
     /* 376804 */     GIR_EraseRootFromParent_Done,
     /* 376805 */   // Label 7489: @376805
     /* 376805 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(376889), // Rule ID 6074 //
     /* 376810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376859 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376863 */     // MIs[3] Operand 1
     /* 376863 */     // No operand predicates
     /* 376863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376869 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 376869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 376872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376874 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 376880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376887 */     GIR_RootConstrainSelectedInstOperands,
     /* 376888 */     // GIR_Coverage, 6074,
     /* 376888 */     GIR_EraseRootFromParent_Done,
     /* 376889 */   // Label 7490: @376889
     /* 376889 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(376967), // Rule ID 6118 //
     /* 376894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 376935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376939 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376943 */     // MIs[3] Operand 1
     /* 376943 */     // No operand predicates
     /* 376943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376949 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 376949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 376952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376965 */     GIR_RootConstrainSelectedInstOperands,
     /* 376966 */     // GIR_Coverage, 6118,
     /* 376966 */     GIR_EraseRootFromParent_Done,
     /* 376967 */   // Label 7491: @376967
     /* 376967 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(377048), // Rule ID 5978 //
     /* 376972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377003 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377020 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377024 */     // MIs[3] Operand 1
     /* 377024 */     // No operand predicates
     /* 377024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377028 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377030 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 377030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377037 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377046 */     GIR_RootConstrainSelectedInstOperands,
     /* 377047 */     // GIR_Coverage, 5978,
     /* 377047 */     GIR_EraseRootFromParent_Done,
     /* 377048 */   // Label 7492: @377048
     /* 377048 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(377117), // Rule ID 2534 //
     /* 377053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 377064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377085 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377089 */     // MIs[2] Operand 1
     /* 377089 */     // No operand predicates
     /* 377089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377099 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 377099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 377102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377115 */     GIR_RootConstrainSelectedInstOperands,
     /* 377116 */     // GIR_Coverage, 2534,
     /* 377116 */     GIR_EraseRootFromParent_Done,
     /* 377117 */   // Label 7493: @377117
     /* 377117 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(377186), // Rule ID 5946 //
     /* 377122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 377137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377158 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377162 */     // MIs[2] Operand 1
     /* 377162 */     // No operand predicates
     /* 377162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377168 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 377168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 377171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377175 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377184 */     GIR_RootConstrainSelectedInstOperands,
     /* 377185 */     // GIR_Coverage, 5946,
     /* 377185 */     GIR_EraseRootFromParent_Done,
     /* 377186 */   // Label 7494: @377186
     /* 377186 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(377279), // Rule ID 6100 //
     /* 377191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377230 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377242 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377249 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377257 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377277 */     GIR_RootConstrainSelectedInstOperands,
     /* 377278 */     // GIR_Coverage, 6100,
     /* 377278 */     GIR_EraseRootFromParent_Done,
     /* 377279 */   // Label 7495: @377279
     /* 377279 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(377378), // Rule ID 6012 //
     /* 377284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 377308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377327 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377339 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377346 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377354 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 377370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377376 */     GIR_RootConstrainSelectedInstOperands,
     /* 377377 */     // GIR_Coverage, 6012,
     /* 377377 */     GIR_EraseRootFromParent_Done,
     /* 377378 */   // Label 7496: @377378
     /* 377378 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(377474), // Rule ID 6044 //
     /* 377383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 377406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377425 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377437 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377444 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377472 */     GIR_RootConstrainSelectedInstOperands,
     /* 377473 */     // GIR_Coverage, 6044,
     /* 377473 */     GIR_EraseRootFromParent_Done,
     /* 377474 */   // Label 7497: @377474
     /* 377474 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(377573), // Rule ID 6076 //
     /* 377479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 377503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 377507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377522 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377534 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377541 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377544 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377549 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 377565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377571 */     GIR_RootConstrainSelectedInstOperands,
     /* 377572 */     // GIR_Coverage, 6076,
     /* 377572 */     GIR_EraseRootFromParent_Done,
     /* 377573 */   // Label 7498: @377573
     /* 377573 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(377666), // Rule ID 6122 //
     /* 377578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377617 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377629 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377636 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377656 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377664 */     GIR_RootConstrainSelectedInstOperands,
     /* 377665 */     // GIR_Coverage, 6122,
     /* 377665 */     GIR_EraseRootFromParent_Done,
     /* 377666 */   // Label 7499: @377666
     /* 377666 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(377762), // Rule ID 5980 //
     /* 377671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 377698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 377702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377713 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377725 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377732 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 377748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377752 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377760 */     GIR_RootConstrainSelectedInstOperands,
     /* 377761 */     // GIR_Coverage, 5980,
     /* 377761 */     GIR_EraseRootFromParent_Done,
     /* 377762 */   // Label 7500: @377762
     /* 377762 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(377846), // Rule ID 2536 //
     /* 377767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377797 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377809 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377816 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377819 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377824 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 377832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377844 */     GIR_RootConstrainSelectedInstOperands,
     /* 377845 */     // GIR_Coverage, 2536,
     /* 377845 */     GIR_EraseRootFromParent_Done,
     /* 377846 */   // Label 7501: @377846
     /* 377846 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(377896), // Rule ID 13036 //
     /* 377851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377881 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 377881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 377884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377894 */     GIR_RootConstrainSelectedInstOperands,
     /* 377895 */     // GIR_Coverage, 13036,
     /* 377895 */     GIR_EraseRootFromParent_Done,
     /* 377896 */   // Label 7502: @377896
     /* 377896 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(377980), // Rule ID 5948 //
     /* 377901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377931 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 377934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 377938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377943 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 377946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377950 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 377966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377978 */     GIR_RootConstrainSelectedInstOperands,
     /* 377979 */     // GIR_Coverage, 5948,
     /* 377979 */     GIR_EraseRootFromParent_Done,
     /* 377980 */   // Label 7503: @377980
     /* 377980 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(378030), // Rule ID 1302 //
     /* 377985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378015 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 378015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 378018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378028 */     GIR_RootConstrainSelectedInstOperands,
     /* 378029 */     // GIR_Coverage, 1302,
     /* 378029 */     GIR_EraseRootFromParent_Done,
     /* 378030 */   // Label 7504: @378030
     /* 378030 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(378063), // Rule ID 1292 //
     /* 378035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378050 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 378050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 378053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378059 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 378061 */     GIR_RootConstrainSelectedInstOperands,
     /* 378062 */     // GIR_Coverage, 1292,
     /* 378062 */     GIR_EraseRootFromParent_Done,
     /* 378063 */   // Label 7505: @378063
     /* 378063 */   GIM_Reject,
     /* 378064 */ // Label 7486: @378064
     /* 378064 */ GIM_Reject,
     /* 378065 */ // Label 7337: @378065
     /* 378065 */ GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(379243),
     /* 378070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 378076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 378079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378083 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(378167), // Rule ID 5994 //
     /* 378088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378120 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378124 */     // MIs[2] Operand 1
     /* 378124 */     // No operand predicates
     /* 378124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378132 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378136 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378147 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 378158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378165 */     GIR_RootConstrainSelectedInstOperands,
     /* 378166 */     // GIR_Coverage, 5994,
     /* 378166 */     GIR_EraseRootFromParent_Done,
     /* 378167 */   // Label 7507: @378167
     /* 378167 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(378248), // Rule ID 6026 //
     /* 378172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 378203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378208 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378212 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378216 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378220 */     // MIs[3] Operand 1
     /* 378220 */     // No operand predicates
     /* 378220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378228 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378230 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 378246 */     GIR_RootConstrainSelectedInstOperands,
     /* 378247 */     // GIR_Coverage, 6026,
     /* 378247 */     GIR_EraseRootFromParent_Done,
     /* 378248 */   // Label 7508: @378248
     /* 378248 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(378332), // Rule ID 6058 //
     /* 378253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 378289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378298 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378302 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378306 */     // MIs[3] Operand 1
     /* 378306 */     // No operand predicates
     /* 378306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378312 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 378323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 378330 */     GIR_RootConstrainSelectedInstOperands,
     /* 378331 */     // GIR_Coverage, 6058,
     /* 378331 */     GIR_EraseRootFromParent_Done,
     /* 378332 */   // Label 7509: @378332
     /* 378332 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(378413), // Rule ID 5962 //
     /* 378337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378368 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 378372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 378381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378385 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378389 */     // MIs[3] Operand 1
     /* 378389 */     // No operand predicates
     /* 378389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378393 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378395 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 378411 */     GIR_RootConstrainSelectedInstOperands,
     /* 378412 */     // GIR_Coverage, 5962,
     /* 378412 */     GIR_EraseRootFromParent_Done,
     /* 378413 */   // Label 7510: @378413
     /* 378413 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(378482), // Rule ID 2518 //
     /* 378418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378450 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378454 */     // MIs[2] Operand 1
     /* 378454 */     // No operand predicates
     /* 378454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378464 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 378467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378480 */     GIR_RootConstrainSelectedInstOperands,
     /* 378481 */     // GIR_Coverage, 2518,
     /* 378481 */     GIR_EraseRootFromParent_Done,
     /* 378482 */   // Label 7511: @378482
     /* 378482 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(378551), // Rule ID 5930 //
     /* 378487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378523 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378527 */     // MIs[2] Operand 1
     /* 378527 */     // No operand predicates
     /* 378527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378533 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 378536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378540 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378549 */     GIR_RootConstrainSelectedInstOperands,
     /* 378550 */     // GIR_Coverage, 5930,
     /* 378550 */     GIR_EraseRootFromParent_Done,
     /* 378551 */   // Label 7512: @378551
     /* 378551 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(378650), // Rule ID 5996 //
     /* 378556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 378567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 378571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378599 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 378602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 378606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378611 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 378614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378618 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 378621 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378626 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 378642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378648 */     GIR_RootConstrainSelectedInstOperands,
     /* 378649 */     // GIR_Coverage, 5996,
     /* 378649 */     GIR_EraseRootFromParent_Done,
     /* 378650 */   // Label 7513: @378650
     /* 378650 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(378746), // Rule ID 6028 //
     /* 378655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 378678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 378682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378697 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 378700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 378704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378709 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 378712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378716 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 378719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378744 */     GIR_RootConstrainSelectedInstOperands,
     /* 378745 */     // GIR_Coverage, 6028,
     /* 378745 */     GIR_EraseRootFromParent_Done,
     /* 378746 */   // Label 7514: @378746
     /* 378746 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(378845), // Rule ID 6060 //
     /* 378751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 378779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 378783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378794 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 378797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 378801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378806 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 378809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 378816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378831 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 378837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378843 */     GIR_RootConstrainSelectedInstOperands,
     /* 378844 */     // GIR_Coverage, 6060,
     /* 378844 */     GIR_EraseRootFromParent_Done,
     /* 378845 */   // Label 7515: @378845
     /* 378845 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(378941), // Rule ID 5964 //
     /* 378850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 378877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 378881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378892 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 378895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 378899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378904 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 378907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 378911 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 378914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 378927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378939 */     GIR_RootConstrainSelectedInstOperands,
     /* 378940 */     // GIR_Coverage, 5964,
     /* 378940 */     GIR_EraseRootFromParent_Done,
     /* 378941 */   // Label 7516: @378941
     /* 378941 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(379025), // Rule ID 2520 //
     /* 378946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 378957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 378961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 378966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378976 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 378979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 378983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378988 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 378991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378995 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 378998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379003 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 379008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 379011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 379017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379023 */     GIR_RootConstrainSelectedInstOperands,
     /* 379024 */     // GIR_Coverage, 2520,
     /* 379024 */     GIR_EraseRootFromParent_Done,
     /* 379025 */   // Label 7517: @379025
     /* 379025 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(379075), // Rule ID 13032 //
     /* 379030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 379060 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 379060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 379063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 379069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379073 */     GIR_RootConstrainSelectedInstOperands,
     /* 379074 */     // GIR_Coverage, 13032,
     /* 379074 */     GIR_EraseRootFromParent_Done,
     /* 379075 */   // Label 7518: @379075
     /* 379075 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(379159), // Rule ID 5932 //
     /* 379080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 379091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 379095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 379099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 379104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 379110 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 379110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 379113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 379117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379122 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 379125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379129 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 379132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 379142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 379145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 379151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 379157 */     GIR_RootConstrainSelectedInstOperands,
     /* 379158 */     // GIR_Coverage, 5932,
     /* 379158 */     GIR_EraseRootFromParent_Done,
     /* 379159 */   // Label 7519: @379159
     /* 379159 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(379209), // Rule ID 1298 //
     /* 379164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 379175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 379194 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 379194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 379197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379201 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 379203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379207 */     GIR_RootConstrainSelectedInstOperands,
     /* 379208 */     // GIR_Coverage, 1298,
     /* 379208 */     GIR_EraseRootFromParent_Done,
     /* 379209 */   // Label 7520: @379209
     /* 379209 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(379242), // Rule ID 1288 //
     /* 379214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379229 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 379229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 379232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 379238 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 379240 */     GIR_RootConstrainSelectedInstOperands,
     /* 379241 */     // GIR_Coverage, 1288,
     /* 379241 */     GIR_EraseRootFromParent_Done,
     /* 379242 */   // Label 7521: @379242
     /* 379242 */   GIM_Reject,
     /* 379243 */ // Label 7506: @379243
     /* 379243 */ GIM_Reject,
     /* 379244 */ // Label 7338: @379244
     /* 379244 */ GIM_Reject,
     /* 379245 */ // Label 103: @379245
     /* 379245 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7530*/ GIMT_Encode4(379544),
     /* 379256 */ /*GILLT_s16*//*Label 7522*/ GIMT_Encode4(379296),
     /* 379260 */ /*GILLT_s32*//*Label 7523*/ GIMT_Encode4(379327),
     /* 379264 */ /*GILLT_s64*//*Label 7524*/ GIMT_Encode4(379358), GIMT_Encode4(0),
     /* 379272 */ /*GILLT_v2s32*//*Label 7525*/ GIMT_Encode4(379389),
     /* 379276 */ /*GILLT_v2s64*//*Label 7526*/ GIMT_Encode4(379420),
     /* 379280 */ /*GILLT_v4s16*//*Label 7527*/ GIMT_Encode4(379451),
     /* 379284 */ /*GILLT_v4s32*//*Label 7528*/ GIMT_Encode4(379482), GIMT_Encode4(0),
     /* 379292 */ /*GILLT_v8s16*//*Label 7529*/ GIMT_Encode4(379513),
     /* 379296 */ // Label 7522: @379296
     /* 379296 */ GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(379326), // Rule ID 569 //
     /* 379301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 379307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379315 */   // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 379315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 379320 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379324 */   GIR_RootConstrainSelectedInstOperands,
     /* 379325 */   // GIR_Coverage, 569,
     /* 379325 */   GIR_Done,
     /* 379326 */ // Label 7531: @379326
     /* 379326 */ GIM_Reject,
     /* 379327 */ // Label 7523: @379327
     /* 379327 */ GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(379357), // Rule ID 571 //
     /* 379332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 379338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379346 */   // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 379346 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 379351 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379355 */   GIR_RootConstrainSelectedInstOperands,
     /* 379356 */   // GIR_Coverage, 571,
     /* 379356 */   GIR_Done,
     /* 379357 */ // Label 7532: @379357
     /* 379357 */ GIM_Reject,
     /* 379358 */ // Label 7524: @379358
     /* 379358 */ GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(379388), // Rule ID 573 //
     /* 379363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 379369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379377 */   // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 379377 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 379382 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379386 */   GIR_RootConstrainSelectedInstOperands,
     /* 379387 */   // GIR_Coverage, 573,
     /* 379387 */   GIR_Done,
     /* 379388 */ // Label 7533: @379388
     /* 379388 */ GIM_Reject,
     /* 379389 */ // Label 7525: @379389
     /* 379389 */ GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(379419), // Rule ID 952 //
     /* 379394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 379400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379408 */   // (strict_fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 379408 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 379413 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379417 */   GIR_RootConstrainSelectedInstOperands,
     /* 379418 */   // GIR_Coverage, 952,
     /* 379418 */   GIR_Done,
     /* 379419 */ // Label 7534: @379419
     /* 379419 */ GIM_Reject,
     /* 379420 */ // Label 7526: @379420
     /* 379420 */ GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(379450), // Rule ID 956 //
     /* 379425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 379431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379439 */   // (strict_fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 379439 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 379444 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379448 */   GIR_RootConstrainSelectedInstOperands,
     /* 379449 */   // GIR_Coverage, 956,
     /* 379449 */   GIR_Done,
     /* 379450 */ // Label 7535: @379450
     /* 379450 */ GIM_Reject,
     /* 379451 */ // Label 7527: @379451
     /* 379451 */ GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(379481), // Rule ID 948 //
     /* 379456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 379462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379470 */   // (strict_fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 379470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 379475 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379479 */   GIR_RootConstrainSelectedInstOperands,
     /* 379480 */   // GIR_Coverage, 948,
     /* 379480 */   GIR_Done,
     /* 379481 */ // Label 7536: @379481
     /* 379481 */ GIM_Reject,
     /* 379482 */ // Label 7528: @379482
     /* 379482 */ GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(379512), // Rule ID 954 //
     /* 379487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379501 */   // (strict_fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 379501 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 379506 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379510 */   GIR_RootConstrainSelectedInstOperands,
     /* 379511 */   // GIR_Coverage, 954,
     /* 379511 */   GIR_Done,
     /* 379512 */ // Label 7537: @379512
     /* 379512 */ GIM_Reject,
     /* 379513 */ // Label 7529: @379513
     /* 379513 */ GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(379543), // Rule ID 950 //
     /* 379518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379532 */   // (strict_fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 379532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 379537 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379541 */   GIR_RootConstrainSelectedInstOperands,
     /* 379542 */   // GIR_Coverage, 950,
     /* 379542 */   GIR_Done,
     /* 379543 */ // Label 7538: @379543
     /* 379543 */ GIM_Reject,
     /* 379544 */ // Label 7530: @379544
     /* 379544 */ GIM_Reject,
     /* 379545 */ // Label 104: @379545
     /* 379545 */ GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(379558), // Rule ID 6417 //
     /* 379550 */   // (trap)  =>  (BRK 1:{ *:[i32] })
     /* 379550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 379553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 379556 */   GIR_RootConstrainSelectedInstOperands,
     /* 379557 */   // GIR_Coverage, 6417,
     /* 379557 */   GIR_EraseRootFromParent_Done,
     /* 379558 */ // Label 7539: @379558
     /* 379558 */ GIM_Reject,
     /* 379559 */ // Label 105: @379559
     /* 379559 */ GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(379579), // Rule ID 6418 //
     /* 379564 */   // (debugtrap)  =>  (BRK 61440:{ *:[i32] })
     /* 379564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 379567 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(61440),
     /* 379577 */   GIR_RootConstrainSelectedInstOperands,
     /* 379578 */   // GIR_Coverage, 6418,
     /* 379578 */   GIR_EraseRootFromParent_Done,
     /* 379579 */ // Label 7540: @379579
     /* 379579 */ GIM_Reject,
     /* 379580 */ // Label 106: @379580
     /* 379580 */ GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(379604), // Rule ID 6419 //
     /* 379585 */   // MIs[0] kind
     /* 379585 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 379588 */   GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_ubsan_trap_imm),
     /* 379593 */   // (ubsantrap (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>><<X:ubsan_trap_xform>>:$kind)  =>  (BRK (ubsan_trap_xform:{ *:[i32] } (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>>:$kind))
     /* 379593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 379596 */   GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, /*OperandRenderer*/GIMT_Encode2(GICR_renderUbsanTrap), // kind
     /* 379602 */   GIR_RootConstrainSelectedInstOperands,
     /* 379603 */   // GIR_Coverage, 6419,
     /* 379603 */   GIR_EraseRootFromParent_Done,
     /* 379604 */ // Label 7541: @379604
     /* 379604 */ GIM_Reject,
     /* 379605 */ // Label 107: @379605
     /* 379605 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7545*/ GIMT_Encode4(379914),
     /* 379616 */ /*GILLT_s16*//*Label 7542*/ GIMT_Encode4(379628),
     /* 379620 */ /*GILLT_s32*//*Label 7543*/ GIMT_Encode4(379781),
     /* 379624 */ /*GILLT_s64*//*Label 7544*/ GIMT_Encode4(379886),
     /* 379628 */ // Label 7542: @379628
     /* 379628 */ GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(379729), // Rule ID 5530 //
     /* 379633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379647 */   // (vecreduce_fadd:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv8f16:{ *:[f128] } (FADDPv8f16:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] }))
     /* 379647 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 379650 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 379654 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379659 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379663 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379667 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 379669 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 379672 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 379676 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379681 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 379684 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 379690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 379693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379702 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 379709 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379714 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 379722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379727 */   GIR_RootConstrainSelectedInstOperands,
     /* 379728 */   // GIR_Coverage, 5530,
     /* 379728 */   GIR_EraseRootFromParent_Done,
     /* 379729 */ // Label 7546: @379729
     /* 379729 */ GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(379780), // Rule ID 5531 //
     /* 379734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 379740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379748 */   // (vecreduce_fadd:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (FADDPv4f16:{ *:[i64] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn))
     /* 379748 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 379751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 379755 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379760 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379764 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 379770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 379773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379778 */   GIR_RootConstrainSelectedInstOperands,
     /* 379779 */   // GIR_Coverage, 5531,
     /* 379779 */   GIR_EraseRootFromParent_Done,
     /* 379780 */ // Label 7547: @379780
     /* 379780 */ GIM_Reject,
     /* 379781 */ // Label 7543: @379781
     /* 379781 */ GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(379858), // Rule ID 5532 //
     /* 379786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379797 */   // (vecreduce_fadd:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 379797 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 379800 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 379804 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379809 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379813 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 379817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 379819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 379822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379831 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 379838 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379843 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 379851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379856 */   GIR_RootConstrainSelectedInstOperands,
     /* 379857 */   // GIR_Coverage, 5532,
     /* 379857 */   GIR_EraseRootFromParent_Done,
     /* 379858 */ // Label 7548: @379858
     /* 379858 */ GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(379885), // Rule ID 5533 //
     /* 379863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 379866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379874 */   // (vecreduce_fadd:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 379874 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 379879 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379883 */   GIR_RootConstrainSelectedInstOperands,
     /* 379884 */   // GIR_Coverage, 5533,
     /* 379884 */   GIR_Done,
     /* 379885 */ // Label 7549: @379885
     /* 379885 */ GIM_Reject,
     /* 379886 */ // Label 7544: @379886
     /* 379886 */ GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(379913), // Rule ID 5534 //
     /* 379891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 379894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379902 */   // (vecreduce_fadd:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 379902 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 379907 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379911 */   GIR_RootConstrainSelectedInstOperands,
     /* 379912 */   // GIR_Coverage, 5534,
     /* 379912 */   GIR_Done,
     /* 379913 */ // Label 7550: @379913
     /* 379913 */ GIM_Reject,
     /* 379914 */ // Label 7545: @379914
     /* 379914 */ GIM_Reject,
     /* 379915 */ // Label 108: @379915
     /* 379915 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7554*/ GIMT_Encode4(380085),
     /* 379926 */ /*GILLT_s16*//*Label 7551*/ GIMT_Encode4(379938),
     /* 379930 */ /*GILLT_s32*//*Label 7552*/ GIMT_Encode4(379999),
     /* 379934 */ /*GILLT_s64*//*Label 7553*/ GIMT_Encode4(380057),
     /* 379938 */ // Label 7551: @379938
     /* 379938 */ GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(379968), // Rule ID 1935 //
     /* 379943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 379949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379957 */   // (vecreduce_fmax:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 379957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 379962 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379966 */   GIR_RootConstrainSelectedInstOperands,
     /* 379967 */   // GIR_Coverage, 1935,
     /* 379967 */   GIR_Done,
     /* 379968 */ // Label 7555: @379968
     /* 379968 */ GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(379998), // Rule ID 1937 //
     /* 379973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379987 */   // (vecreduce_fmax:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 379987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 379992 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 379996 */   GIR_RootConstrainSelectedInstOperands,
     /* 379997 */   // GIR_Coverage, 1937,
     /* 379997 */   GIR_Done,
     /* 379998 */ // Label 7556: @379998
     /* 379998 */ GIM_Reject,
     /* 379999 */ // Label 7552: @379999
     /* 379999 */ GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(380029), // Rule ID 1939 //
     /* 380004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380018 */   // (vecreduce_fmax:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 380018 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 380023 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380027 */   GIR_RootConstrainSelectedInstOperands,
     /* 380028 */   // GIR_Coverage, 1939,
     /* 380028 */   GIR_Done,
     /* 380029 */ // Label 7557: @380029
     /* 380029 */ GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(380056), // Rule ID 5540 //
     /* 380034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 380037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380045 */   // (vecreduce_fmax:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 380045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 380050 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380054 */   GIR_RootConstrainSelectedInstOperands,
     /* 380055 */   // GIR_Coverage, 5540,
     /* 380055 */   GIR_Done,
     /* 380056 */ // Label 7558: @380056
     /* 380056 */ GIM_Reject,
     /* 380057 */ // Label 7553: @380057
     /* 380057 */ GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(380084), // Rule ID 5542 //
     /* 380062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 380065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380073 */   // (vecreduce_fmax:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 380073 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 380078 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380082 */   GIR_RootConstrainSelectedInstOperands,
     /* 380083 */   // GIR_Coverage, 5542,
     /* 380083 */   GIR_Done,
     /* 380084 */ // Label 7559: @380084
     /* 380084 */ GIM_Reject,
     /* 380085 */ // Label 7554: @380085
     /* 380085 */ GIM_Reject,
     /* 380086 */ // Label 109: @380086
     /* 380086 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7563*/ GIMT_Encode4(380256),
     /* 380097 */ /*GILLT_s16*//*Label 7560*/ GIMT_Encode4(380109),
     /* 380101 */ /*GILLT_s32*//*Label 7561*/ GIMT_Encode4(380170),
     /* 380105 */ /*GILLT_s64*//*Label 7562*/ GIMT_Encode4(380228),
     /* 380109 */ // Label 7560: @380109
     /* 380109 */ GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(380139), // Rule ID 1947 //
     /* 380114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380128 */   // (vecreduce_fmin:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 380128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 380133 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380137 */   GIR_RootConstrainSelectedInstOperands,
     /* 380138 */   // GIR_Coverage, 1947,
     /* 380138 */   GIR_Done,
     /* 380139 */ // Label 7564: @380139
     /* 380139 */ GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(380169), // Rule ID 1949 //
     /* 380144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380158 */   // (vecreduce_fmin:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 380158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 380163 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380167 */   GIR_RootConstrainSelectedInstOperands,
     /* 380168 */   // GIR_Coverage, 1949,
     /* 380168 */   GIR_Done,
     /* 380169 */ // Label 7565: @380169
     /* 380169 */ GIM_Reject,
     /* 380170 */ // Label 7561: @380170
     /* 380170 */ GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(380200), // Rule ID 1951 //
     /* 380175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380189 */   // (vecreduce_fmin:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 380189 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 380194 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380198 */   GIR_RootConstrainSelectedInstOperands,
     /* 380199 */   // GIR_Coverage, 1951,
     /* 380199 */   GIR_Done,
     /* 380200 */ // Label 7566: @380200
     /* 380200 */ GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(380227), // Rule ID 5548 //
     /* 380205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 380208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380216 */   // (vecreduce_fmin:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 380216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 380221 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380225 */   GIR_RootConstrainSelectedInstOperands,
     /* 380226 */   // GIR_Coverage, 5548,
     /* 380226 */   GIR_Done,
     /* 380227 */ // Label 7567: @380227
     /* 380227 */ GIM_Reject,
     /* 380228 */ // Label 7562: @380228
     /* 380228 */ GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(380255), // Rule ID 5550 //
     /* 380233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 380236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380244 */   // (vecreduce_fmin:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 380244 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 380249 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380253 */   GIR_RootConstrainSelectedInstOperands,
     /* 380254 */   // GIR_Coverage, 5550,
     /* 380254 */   GIR_Done,
     /* 380255 */ // Label 7568: @380255
     /* 380255 */ GIM_Reject,
     /* 380256 */ // Label 7563: @380256
     /* 380256 */ GIM_Reject,
     /* 380257 */ // Label 110: @380257
     /* 380257 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7572*/ GIMT_Encode4(380427),
     /* 380268 */ /*GILLT_s16*//*Label 7569*/ GIMT_Encode4(380280),
     /* 380272 */ /*GILLT_s32*//*Label 7570*/ GIMT_Encode4(380341),
     /* 380276 */ /*GILLT_s64*//*Label 7571*/ GIMT_Encode4(380399),
     /* 380280 */ // Label 7569: @380280
     /* 380280 */ GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(380310), // Rule ID 1941 //
     /* 380285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380299 */   // (vecreduce_fmaximum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 380299 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 380304 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380308 */   GIR_RootConstrainSelectedInstOperands,
     /* 380309 */   // GIR_Coverage, 1941,
     /* 380309 */   GIR_Done,
     /* 380310 */ // Label 7573: @380310
     /* 380310 */ GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(380340), // Rule ID 1943 //
     /* 380315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380329 */   // (vecreduce_fmaximum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 380329 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 380334 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380338 */   GIR_RootConstrainSelectedInstOperands,
     /* 380339 */   // GIR_Coverage, 1943,
     /* 380339 */   GIR_Done,
     /* 380340 */ // Label 7574: @380340
     /* 380340 */ GIM_Reject,
     /* 380341 */ // Label 7570: @380341
     /* 380341 */ GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(380371), // Rule ID 1945 //
     /* 380346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380360 */   // (vecreduce_fmaximum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 380360 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 380365 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380369 */   GIR_RootConstrainSelectedInstOperands,
     /* 380370 */   // GIR_Coverage, 1945,
     /* 380370 */   GIR_Done,
     /* 380371 */ // Label 7575: @380371
     /* 380371 */ GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(380398), // Rule ID 5544 //
     /* 380376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 380379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380387 */   // (vecreduce_fmaximum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 380387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 380392 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380396 */   GIR_RootConstrainSelectedInstOperands,
     /* 380397 */   // GIR_Coverage, 5544,
     /* 380397 */   GIR_Done,
     /* 380398 */ // Label 7576: @380398
     /* 380398 */ GIM_Reject,
     /* 380399 */ // Label 7571: @380399
     /* 380399 */ GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(380426), // Rule ID 5546 //
     /* 380404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 380407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380415 */   // (vecreduce_fmaximum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 380415 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 380420 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380424 */   GIR_RootConstrainSelectedInstOperands,
     /* 380425 */   // GIR_Coverage, 5546,
     /* 380425 */   GIR_Done,
     /* 380426 */ // Label 7577: @380426
     /* 380426 */ GIM_Reject,
     /* 380427 */ // Label 7572: @380427
     /* 380427 */ GIM_Reject,
     /* 380428 */ // Label 111: @380428
     /* 380428 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7581*/ GIMT_Encode4(380598),
     /* 380439 */ /*GILLT_s16*//*Label 7578*/ GIMT_Encode4(380451),
     /* 380443 */ /*GILLT_s32*//*Label 7579*/ GIMT_Encode4(380512),
     /* 380447 */ /*GILLT_s64*//*Label 7580*/ GIMT_Encode4(380570),
     /* 380451 */ // Label 7578: @380451
     /* 380451 */ GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(380481), // Rule ID 1953 //
     /* 380456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380470 */   // (vecreduce_fminimum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 380470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 380475 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380479 */   GIR_RootConstrainSelectedInstOperands,
     /* 380480 */   // GIR_Coverage, 1953,
     /* 380480 */   GIR_Done,
     /* 380481 */ // Label 7582: @380481
     /* 380481 */ GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(380511), // Rule ID 1955 //
     /* 380486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380500 */   // (vecreduce_fminimum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 380500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 380505 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380509 */   GIR_RootConstrainSelectedInstOperands,
     /* 380510 */   // GIR_Coverage, 1955,
     /* 380510 */   GIR_Done,
     /* 380511 */ // Label 7583: @380511
     /* 380511 */ GIM_Reject,
     /* 380512 */ // Label 7579: @380512
     /* 380512 */ GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(380542), // Rule ID 1957 //
     /* 380517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380531 */   // (vecreduce_fminimum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 380531 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 380536 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380540 */   GIR_RootConstrainSelectedInstOperands,
     /* 380541 */   // GIR_Coverage, 1957,
     /* 380541 */   GIR_Done,
     /* 380542 */ // Label 7584: @380542
     /* 380542 */ GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(380569), // Rule ID 5552 //
     /* 380547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 380550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380558 */   // (vecreduce_fminimum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 380558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 380563 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380567 */   GIR_RootConstrainSelectedInstOperands,
     /* 380568 */   // GIR_Coverage, 5552,
     /* 380568 */   GIR_Done,
     /* 380569 */ // Label 7585: @380569
     /* 380569 */ GIM_Reject,
     /* 380570 */ // Label 7580: @380570
     /* 380570 */ GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(380597), // Rule ID 5554 //
     /* 380575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 380578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380586 */   // (vecreduce_fminimum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 380586 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 380591 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 380595 */   GIR_RootConstrainSelectedInstOperands,
     /* 380596 */   // GIR_Coverage, 5554,
     /* 380596 */   GIR_Done,
     /* 380597 */ // Label 7586: @380597
     /* 380597 */ GIM_Reject,
     /* 380598 */ // Label 7581: @380598
     /* 380598 */ GIM_Reject,
     /* 380599 */ // Label 112: @380599
     /* 380599 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(4), /*)*//*default:*//*Label 7591*/ GIMT_Encode4(381727),
     /* 380610 */ /*GILLT_s8*//*Label 7587*/ GIMT_Encode4(380626),
     /* 380614 */ /*GILLT_s16*//*Label 7588*/ GIMT_Encode4(380673),
     /* 380618 */ /*GILLT_s32*//*Label 7589*/ GIMT_Encode4(381088),
     /* 380622 */ /*GILLT_s64*//*Label 7590*/ GIMT_Encode4(381541),
     /* 380626 */ // Label 7587: @380626
     /* 380626 */ GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(380649), // Rule ID 5793 //
     /* 380631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 380634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 380638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380642 */   // (vecreduce_add:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 380642 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 380647 */   GIR_RootConstrainSelectedInstOperands,
     /* 380648 */   // GIR_Coverage, 5793,
     /* 380648 */   GIR_Done,
     /* 380649 */ // Label 7592: @380649
     /* 380649 */ GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(380672), // Rule ID 5794 //
     /* 380654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 380657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 380661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380665 */   // (vecreduce_add:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 380665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 380670 */   GIR_RootConstrainSelectedInstOperands,
     /* 380671 */   // GIR_Coverage, 5794,
     /* 380671 */   GIR_Done,
     /* 380672 */ // Label 7593: @380672
     /* 380672 */ GIM_Reject,
     /* 380673 */ // Label 7588: @380673
     /* 380673 */ GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(380723), // Rule ID 5740 //
     /* 380678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380685 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380689 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 380693 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 380696 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 380701 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 380705 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380710 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380712 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 380712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 380715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380717 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 380721 */   GIR_RootConstrainSelectedInstOperands,
     /* 380722 */   // GIR_Coverage, 5740,
     /* 380722 */   GIR_EraseRootFromParent_Done,
     /* 380723 */ // Label 7594: @380723
     /* 380723 */ GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(380773), // Rule ID 5742 //
     /* 380728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380735 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380739 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 380743 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 380746 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 380751 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 380755 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380760 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380762 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 380762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 380765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380767 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 380771 */   GIR_RootConstrainSelectedInstOperands,
     /* 380772 */   // GIR_Coverage, 5742,
     /* 380772 */   GIR_EraseRootFromParent_Done,
     /* 380773 */ // Label 7595: @380773
     /* 380773 */ GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(380823), // Rule ID 5750 //
     /* 380778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380785 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380789 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 380793 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 380796 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 380801 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 380805 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380810 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380812 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 380812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 380815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380817 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 380821 */   GIR_RootConstrainSelectedInstOperands,
     /* 380822 */   // GIR_Coverage, 5750,
     /* 380822 */   GIR_EraseRootFromParent_Done,
     /* 380823 */ // Label 7596: @380823
     /* 380823 */ GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(380873), // Rule ID 5752 //
     /* 380828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380835 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380839 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 380843 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 380846 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 380851 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 380855 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380860 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380862 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 380862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 380865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380867 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 380871 */   GIR_RootConstrainSelectedInstOperands,
     /* 380872 */   // GIR_Coverage, 5752,
     /* 380872 */   GIR_EraseRootFromParent_Done,
     /* 380873 */ // Label 7597: @380873
     /* 380873 */ GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(380915), // Rule ID 5749 //
     /* 380878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380885 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380889 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 380893 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 380897 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380902 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380904 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 380904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 380907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380909 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 380913 */   GIR_RootConstrainSelectedInstOperands,
     /* 380914 */   // GIR_Coverage, 5749,
     /* 380914 */   GIR_EraseRootFromParent_Done,
     /* 380915 */ // Label 7598: @380915
     /* 380915 */ GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(380957), // Rule ID 5751 //
     /* 380920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380927 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380931 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 380935 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 380939 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380944 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380946 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 380946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 380949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380951 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 380955 */   GIR_RootConstrainSelectedInstOperands,
     /* 380956 */   // GIR_Coverage, 5751,
     /* 380956 */   GIR_EraseRootFromParent_Done,
     /* 380957 */ // Label 7599: @380957
     /* 380957 */ GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(380999), // Rule ID 5739 //
     /* 380962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 380965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380969 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380973 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 380977 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 380981 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 380986 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380988 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 380988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 380991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380993 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 380997 */   GIR_RootConstrainSelectedInstOperands,
     /* 380998 */   // GIR_Coverage, 5739,
     /* 380998 */   GIR_EraseRootFromParent_Done,
     /* 380999 */ // Label 7600: @380999
     /* 380999 */ GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(381041), // Rule ID 5741 //
     /* 381004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381011 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381015 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 381019 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 381023 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381028 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381030 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 381030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 381033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381035 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381039 */   GIR_RootConstrainSelectedInstOperands,
     /* 381040 */   // GIR_Coverage, 5741,
     /* 381040 */   GIR_EraseRootFromParent_Done,
     /* 381041 */ // Label 7601: @381041
     /* 381041 */ GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(381064), // Rule ID 5795 //
     /* 381046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 381049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381057 */   // (vecreduce_add:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 381057 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 381062 */   GIR_RootConstrainSelectedInstOperands,
     /* 381063 */   // GIR_Coverage, 5795,
     /* 381063 */   GIR_Done,
     /* 381064 */ // Label 7602: @381064
     /* 381064 */ GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(381087), // Rule ID 5796 //
     /* 381069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381080 */   // (vecreduce_add:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 381080 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 381085 */   GIR_RootConstrainSelectedInstOperands,
     /* 381086 */   // GIR_Coverage, 5796,
     /* 381086 */   GIR_Done,
     /* 381087 */ // Label 7603: @381087
     /* 381087 */ GIM_Reject,
     /* 381088 */ // Label 7589: @381088
     /* 381088 */ GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(381138), // Rule ID 5744 //
     /* 381093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381108 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381111 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 381116 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 381120 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381125 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381127 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 381127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 381130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381132 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381136 */   GIR_RootConstrainSelectedInstOperands,
     /* 381137 */   // GIR_Coverage, 5744,
     /* 381137 */   GIR_EraseRootFromParent_Done,
     /* 381138 */ // Label 7604: @381138
     /* 381138 */ GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(381188), // Rule ID 5746 //
     /* 381143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381150 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381154 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381158 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381161 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 381166 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 381170 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381175 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381177 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 381177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 381180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381182 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381186 */   GIR_RootConstrainSelectedInstOperands,
     /* 381187 */   // GIR_Coverage, 5746,
     /* 381187 */   GIR_EraseRootFromParent_Done,
     /* 381188 */ // Label 7605: @381188
     /* 381188 */ GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(381238), // Rule ID 5754 //
     /* 381193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381200 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381204 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381208 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381211 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 381216 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 381220 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381225 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381227 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 381227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 381230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381232 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381236 */   GIR_RootConstrainSelectedInstOperands,
     /* 381237 */   // GIR_Coverage, 5754,
     /* 381237 */   GIR_EraseRootFromParent_Done,
     /* 381238 */ // Label 7606: @381238
     /* 381238 */ GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(381288), // Rule ID 5756 //
     /* 381243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381250 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381254 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381258 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381261 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 381266 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 381270 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381275 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381277 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 381277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 381280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381282 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381286 */   GIR_RootConstrainSelectedInstOperands,
     /* 381287 */   // GIR_Coverage, 5756,
     /* 381287 */   GIR_EraseRootFromParent_Done,
     /* 381288 */ // Label 7607: @381288
     /* 381288 */ GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(381330), // Rule ID 5753 //
     /* 381293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381300 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381304 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 381308 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381312 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381317 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381319 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 381319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 381322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381324 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381328 */   GIR_RootConstrainSelectedInstOperands,
     /* 381329 */   // GIR_Coverage, 5753,
     /* 381329 */   GIR_EraseRootFromParent_Done,
     /* 381330 */ // Label 7608: @381330
     /* 381330 */ GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(381372), // Rule ID 5755 //
     /* 381335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381342 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381346 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 381350 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 381354 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381359 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381361 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 381361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 381364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381366 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381370 */   GIR_RootConstrainSelectedInstOperands,
     /* 381371 */   // GIR_Coverage, 5755,
     /* 381371 */   GIR_EraseRootFromParent_Done,
     /* 381372 */ // Label 7609: @381372
     /* 381372 */ GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(381414), // Rule ID 5743 //
     /* 381377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381384 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381388 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 381392 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381396 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381403 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 381403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 381406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381408 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381412 */   GIR_RootConstrainSelectedInstOperands,
     /* 381413 */   // GIR_Coverage, 5743,
     /* 381413 */   GIR_EraseRootFromParent_Done,
     /* 381414 */ // Label 7610: @381414
     /* 381414 */ GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(381456), // Rule ID 5745 //
     /* 381419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381426 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 381434 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 381438 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381443 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381445 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 381445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 381448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381450 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381454 */   GIR_RootConstrainSelectedInstOperands,
     /* 381455 */   // GIR_Coverage, 5745,
     /* 381455 */   GIR_EraseRootFromParent_Done,
     /* 381456 */ // Label 7611: @381456
     /* 381456 */ GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(381517), // Rule ID 5797 //
     /* 381461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381472 */   // (vecreduce_add:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 381472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 381479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381484 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 381488 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 381492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 381494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381499 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 381506 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381511 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381516 */   // GIR_Coverage, 5797,
     /* 381516 */   GIR_EraseRootFromParent_Done,
     /* 381517 */ // Label 7612: @381517
     /* 381517 */ GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(381540), // Rule ID 5798 //
     /* 381522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381533 */   // (vecreduce_add:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 381533 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 381538 */   GIR_RootConstrainSelectedInstOperands,
     /* 381539 */   // GIR_Coverage, 5798,
     /* 381539 */   GIR_Done,
     /* 381540 */ // Label 7613: @381540
     /* 381540 */ GIM_Reject,
     /* 381541 */ // Label 7590: @381541
     /* 381541 */ GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(381726),
     /* 381546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381553 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(381596), // Rule ID 5748 //
     /* 381558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381566 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381569 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 381574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 381578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381585 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 381585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 381588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381594 */     GIR_RootConstrainSelectedInstOperands,
     /* 381595 */     // GIR_Coverage, 5748,
     /* 381595 */     GIR_EraseRootFromParent_Done,
     /* 381596 */   // Label 7615: @381596
     /* 381596 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(381639), // Rule ID 5758 //
     /* 381601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 381609 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 381612 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 381617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 381621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381628 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 381628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 381631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 381637 */     GIR_RootConstrainSelectedInstOperands,
     /* 381638 */     // GIR_Coverage, 5758,
     /* 381638 */     GIR_EraseRootFromParent_Done,
     /* 381639 */   // Label 7616: @381639
     /* 381639 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(381674), // Rule ID 5757 //
     /* 381644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 381652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381663 */     // (vecreduce_add:{ *:[i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 381663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 381666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381672 */     GIR_RootConstrainSelectedInstOperands,
     /* 381673 */     // GIR_Coverage, 5757,
     /* 381673 */     GIR_EraseRootFromParent_Done,
     /* 381674 */   // Label 7617: @381674
     /* 381674 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(381709), // Rule ID 5747 //
     /* 381679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 381687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381698 */     // (vecreduce_add:{ *:[i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 381698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 381701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381707 */     GIR_RootConstrainSelectedInstOperands,
     /* 381708 */     // GIR_Coverage, 5747,
     /* 381708 */     GIR_EraseRootFromParent_Done,
     /* 381709 */   // Label 7618: @381709
     /* 381709 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(381725), // Rule ID 5799 //
     /* 381714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381718 */     // (vecreduce_add:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)
     /* 381718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 381723 */     GIR_RootConstrainSelectedInstOperands,
     /* 381724 */     // GIR_Coverage, 5799,
     /* 381724 */     GIR_Done,
     /* 381725 */   // Label 7619: @381725
     /* 381725 */   GIM_Reject,
     /* 381726 */ // Label 7614: @381726
     /* 381726 */ GIM_Reject,
     /* 381727 */ // Label 7591: @381727
     /* 381727 */ GIM_Reject,
     /* 381728 */ // Label 113: @381728
     /* 381728 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7623*/ GIMT_Encode4(381930),
     /* 381739 */ /*GILLT_s8*//*Label 7620*/ GIMT_Encode4(381751),
     /* 381743 */ /*GILLT_s16*//*Label 7621*/ GIMT_Encode4(381798),
     /* 381747 */ /*GILLT_s32*//*Label 7622*/ GIMT_Encode4(381845),
     /* 381751 */ // Label 7620: @381751
     /* 381751 */ GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(381774), // Rule ID 5890 //
     /* 381756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 381759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 381763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381767 */   // (vecreduce_smax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 381767 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 381772 */   GIR_RootConstrainSelectedInstOperands,
     /* 381773 */   // GIR_Coverage, 5890,
     /* 381773 */   GIR_Done,
     /* 381774 */ // Label 7624: @381774
     /* 381774 */ GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(381797), // Rule ID 5891 //
     /* 381779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 381782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 381786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381790 */   // (vecreduce_smax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 381790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 381795 */   GIR_RootConstrainSelectedInstOperands,
     /* 381796 */   // GIR_Coverage, 5891,
     /* 381796 */   GIR_Done,
     /* 381797 */ // Label 7625: @381797
     /* 381797 */ GIM_Reject,
     /* 381798 */ // Label 7621: @381798
     /* 381798 */ GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(381821), // Rule ID 5892 //
     /* 381803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 381806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381814 */   // (vecreduce_smax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 381814 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 381819 */   GIR_RootConstrainSelectedInstOperands,
     /* 381820 */   // GIR_Coverage, 5892,
     /* 381820 */   GIR_Done,
     /* 381821 */ // Label 7626: @381821
     /* 381821 */ GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(381844), // Rule ID 5893 //
     /* 381826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381837 */   // (vecreduce_smax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 381837 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 381842 */   GIR_RootConstrainSelectedInstOperands,
     /* 381843 */   // GIR_Coverage, 5893,
     /* 381843 */   GIR_Done,
     /* 381844 */ // Label 7627: @381844
     /* 381844 */ GIM_Reject,
     /* 381845 */ // Label 7622: @381845
     /* 381845 */ GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(381868), // Rule ID 5894 //
     /* 381850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381861 */   // (vecreduce_smax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 381861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 381866 */   GIR_RootConstrainSelectedInstOperands,
     /* 381867 */   // GIR_Coverage, 5894,
     /* 381867 */   GIR_Done,
     /* 381868 */ // Label 7628: @381868
     /* 381868 */ GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(381929), // Rule ID 5895 //
     /* 381873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 381876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381884 */   // (vecreduce_smax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 381884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 381891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381896 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 381900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 381904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 381906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381911 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 381918 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381923 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381928 */   // GIR_Coverage, 5895,
     /* 381928 */   GIR_EraseRootFromParent_Done,
     /* 381929 */ // Label 7629: @381929
     /* 381929 */ GIM_Reject,
     /* 381930 */ // Label 7623: @381930
     /* 381930 */ GIM_Reject,
     /* 381931 */ // Label 114: @381931
     /* 381931 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7633*/ GIMT_Encode4(382133),
     /* 381942 */ /*GILLT_s8*//*Label 7630*/ GIMT_Encode4(381954),
     /* 381946 */ /*GILLT_s16*//*Label 7631*/ GIMT_Encode4(382001),
     /* 381950 */ /*GILLT_s32*//*Label 7632*/ GIMT_Encode4(382048),
     /* 381954 */ // Label 7630: @381954
     /* 381954 */ GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(381977), // Rule ID 5884 //
     /* 381959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 381962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 381966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381970 */   // (vecreduce_smin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 381970 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 381975 */   GIR_RootConstrainSelectedInstOperands,
     /* 381976 */   // GIR_Coverage, 5884,
     /* 381976 */   GIR_Done,
     /* 381977 */ // Label 7634: @381977
     /* 381977 */ GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(382000), // Rule ID 5885 //
     /* 381982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 381985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 381989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381993 */   // (vecreduce_smin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 381993 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 381998 */   GIR_RootConstrainSelectedInstOperands,
     /* 381999 */   // GIR_Coverage, 5885,
     /* 381999 */   GIR_Done,
     /* 382000 */ // Label 7635: @382000
     /* 382000 */ GIM_Reject,
     /* 382001 */ // Label 7631: @382001
     /* 382001 */ GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(382024), // Rule ID 5886 //
     /* 382006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 382009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382017 */   // (vecreduce_smin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 382017 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 382022 */   GIR_RootConstrainSelectedInstOperands,
     /* 382023 */   // GIR_Coverage, 5886,
     /* 382023 */   GIR_Done,
     /* 382024 */ // Label 7636: @382024
     /* 382024 */ GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(382047), // Rule ID 5887 //
     /* 382029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 382032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382040 */   // (vecreduce_smin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 382040 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 382045 */   GIR_RootConstrainSelectedInstOperands,
     /* 382046 */   // GIR_Coverage, 5887,
     /* 382046 */   GIR_Done,
     /* 382047 */ // Label 7637: @382047
     /* 382047 */ GIM_Reject,
     /* 382048 */ // Label 7632: @382048
     /* 382048 */ GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(382071), // Rule ID 5888 //
     /* 382053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382064 */   // (vecreduce_smin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 382064 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 382069 */   GIR_RootConstrainSelectedInstOperands,
     /* 382070 */   // GIR_Coverage, 5888,
     /* 382070 */   GIR_Done,
     /* 382071 */ // Label 7638: @382071
     /* 382071 */ GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(382132), // Rule ID 5889 //
     /* 382076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 382079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382087 */   // (vecreduce_smin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 382087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 382094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382099 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382103 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 382109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382114 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 382121 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382126 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382131 */   // GIR_Coverage, 5889,
     /* 382131 */   GIR_EraseRootFromParent_Done,
     /* 382132 */ // Label 7639: @382132
     /* 382132 */ GIM_Reject,
     /* 382133 */ // Label 7633: @382133
     /* 382133 */ GIM_Reject,
     /* 382134 */ // Label 115: @382134
     /* 382134 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7643*/ GIMT_Encode4(382336),
     /* 382145 */ /*GILLT_s8*//*Label 7640*/ GIMT_Encode4(382157),
     /* 382149 */ /*GILLT_s16*//*Label 7641*/ GIMT_Encode4(382204),
     /* 382153 */ /*GILLT_s32*//*Label 7642*/ GIMT_Encode4(382251),
     /* 382157 */ // Label 7640: @382157
     /* 382157 */ GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(382180), // Rule ID 5878 //
     /* 382162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 382165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 382169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382173 */   // (vecreduce_umax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 382173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 382178 */   GIR_RootConstrainSelectedInstOperands,
     /* 382179 */   // GIR_Coverage, 5878,
     /* 382179 */   GIR_Done,
     /* 382180 */ // Label 7644: @382180
     /* 382180 */ GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(382203), // Rule ID 5879 //
     /* 382185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 382188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 382192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382196 */   // (vecreduce_umax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 382196 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 382201 */   GIR_RootConstrainSelectedInstOperands,
     /* 382202 */   // GIR_Coverage, 5879,
     /* 382202 */   GIR_Done,
     /* 382203 */ // Label 7645: @382203
     /* 382203 */ GIM_Reject,
     /* 382204 */ // Label 7641: @382204
     /* 382204 */ GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(382227), // Rule ID 5880 //
     /* 382209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 382212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382220 */   // (vecreduce_umax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 382220 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 382225 */   GIR_RootConstrainSelectedInstOperands,
     /* 382226 */   // GIR_Coverage, 5880,
     /* 382226 */   GIR_Done,
     /* 382227 */ // Label 7646: @382227
     /* 382227 */ GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(382250), // Rule ID 5881 //
     /* 382232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 382235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382243 */   // (vecreduce_umax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 382243 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 382248 */   GIR_RootConstrainSelectedInstOperands,
     /* 382249 */   // GIR_Coverage, 5881,
     /* 382249 */   GIR_Done,
     /* 382250 */ // Label 7647: @382250
     /* 382250 */ GIM_Reject,
     /* 382251 */ // Label 7642: @382251
     /* 382251 */ GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(382274), // Rule ID 5882 //
     /* 382256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382267 */   // (vecreduce_umax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 382267 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 382272 */   GIR_RootConstrainSelectedInstOperands,
     /* 382273 */   // GIR_Coverage, 5882,
     /* 382273 */   GIR_Done,
     /* 382274 */ // Label 7648: @382274
     /* 382274 */ GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(382335), // Rule ID 5883 //
     /* 382279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 382282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382290 */   // (vecreduce_umax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 382290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 382297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382302 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382306 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 382312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382317 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 382324 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382329 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382334 */   // GIR_Coverage, 5883,
     /* 382334 */   GIR_EraseRootFromParent_Done,
     /* 382335 */ // Label 7649: @382335
     /* 382335 */ GIM_Reject,
     /* 382336 */ // Label 7643: @382336
     /* 382336 */ GIM_Reject,
     /* 382337 */ // Label 116: @382337
     /* 382337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7653*/ GIMT_Encode4(382539),
     /* 382348 */ /*GILLT_s8*//*Label 7650*/ GIMT_Encode4(382360),
     /* 382352 */ /*GILLT_s16*//*Label 7651*/ GIMT_Encode4(382407),
     /* 382356 */ /*GILLT_s32*//*Label 7652*/ GIMT_Encode4(382454),
     /* 382360 */ // Label 7650: @382360
     /* 382360 */ GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(382383), // Rule ID 5872 //
     /* 382365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 382368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 382372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382376 */   // (vecreduce_umin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 382376 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 382381 */   GIR_RootConstrainSelectedInstOperands,
     /* 382382 */   // GIR_Coverage, 5872,
     /* 382382 */   GIR_Done,
     /* 382383 */ // Label 7654: @382383
     /* 382383 */ GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(382406), // Rule ID 5873 //
     /* 382388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 382391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 382395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382399 */   // (vecreduce_umin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 382399 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 382404 */   GIR_RootConstrainSelectedInstOperands,
     /* 382405 */   // GIR_Coverage, 5873,
     /* 382405 */   GIR_Done,
     /* 382406 */ // Label 7655: @382406
     /* 382406 */ GIM_Reject,
     /* 382407 */ // Label 7651: @382407
     /* 382407 */ GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(382430), // Rule ID 5874 //
     /* 382412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 382415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382423 */   // (vecreduce_umin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 382423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 382428 */   GIR_RootConstrainSelectedInstOperands,
     /* 382429 */   // GIR_Coverage, 5874,
     /* 382429 */   GIR_Done,
     /* 382430 */ // Label 7656: @382430
     /* 382430 */ GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(382453), // Rule ID 5875 //
     /* 382435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 382438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 382442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382446 */   // (vecreduce_umin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 382446 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 382451 */   GIR_RootConstrainSelectedInstOperands,
     /* 382452 */   // GIR_Coverage, 5875,
     /* 382452 */   GIR_Done,
     /* 382453 */ // Label 7657: @382453
     /* 382453 */ GIM_Reject,
     /* 382454 */ // Label 7652: @382454
     /* 382454 */ GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(382477), // Rule ID 5876 //
     /* 382459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382470 */   // (vecreduce_umin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 382470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 382475 */   GIR_RootConstrainSelectedInstOperands,
     /* 382476 */   // GIR_Coverage, 5876,
     /* 382476 */   GIR_Done,
     /* 382477 */ // Label 7658: @382477
     /* 382477 */ GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(382538), // Rule ID 5877 //
     /* 382482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 382485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382493 */   // (vecreduce_umin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 382493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 382500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382505 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382509 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 382513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 382515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382520 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 382527 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382532 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382537 */   // GIR_Coverage, 5877,
     /* 382537 */   GIR_EraseRootFromParent_Done,
     /* 382538 */ // Label 7659: @382538
     /* 382538 */ GIM_Reject,
     /* 382539 */ // Label 7653: @382539
     /* 382539 */ GIM_Reject,
     /* 382540 */ // Label 117: @382540
     /* 382540 */ GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(382679),
     /* 382545 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 382548 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 382552 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(382586), // Rule ID 257 //
     /* 382557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 382564 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))  =>  (PRFMroW (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 382564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroW),
     /* 382567 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 382569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 382574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 382579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 382584 */     GIR_RootConstrainSelectedInstOperands,
     /* 382585 */     // GIR_Coverage, 257,
     /* 382585 */     GIR_EraseRootFromParent_Done,
     /* 382586 */   // Label 7661: @382586
     /* 382586 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(382620), // Rule ID 258 //
     /* 382591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 382598 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))  =>  (PRFMroX (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 382598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroX),
     /* 382601 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 382603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 382608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 382613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 382618 */     GIR_RootConstrainSelectedInstOperands,
     /* 382619 */     // GIR_Coverage, 258,
     /* 382619 */     GIR_EraseRootFromParent_Done,
     /* 382620 */   // Label 7662: @382620
     /* 382620 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(382649), // Rule ID 273 //
     /* 382625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 382632 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))  =>  (PRFMui (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 382632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMui),
     /* 382635 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 382637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 382642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 382647 */     GIR_RootConstrainSelectedInstOperands,
     /* 382648 */     // GIR_Coverage, 273,
     /* 382648 */     GIR_EraseRootFromParent_Done,
     /* 382649 */   // Label 7663: @382649
     /* 382649 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(382678), // Rule ID 294 //
     /* 382654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 382661 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))  =>  (PRFUMi (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 382661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFUMi),
     /* 382664 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 382666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 382671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 382676 */     GIR_RootConstrainSelectedInstOperands,
     /* 382677 */     // GIR_Coverage, 294,
     /* 382677 */     GIR_EraseRootFromParent_Done,
     /* 382678 */   // Label 7664: @382678
     /* 382678 */   GIM_Reject,
     /* 382679 */ // Label 7660: @382679
     /* 382679 */ GIM_Reject,
     /* 382680 */ // Label 118: @382680
     /* 382680 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 7677*/ GIMT_Encode4(383219),
     /* 382691 */ /*GILLT_s64*//*Label 7665*/ GIMT_Encode4(382775), GIMT_Encode4(0),
     /* 382699 */ /*GILLT_v2s32*//*Label 7666*/ GIMT_Encode4(382813),
     /* 382703 */ /*GILLT_v2s64*//*Label 7667*/ GIMT_Encode4(382851),
     /* 382707 */ /*GILLT_v4s16*//*Label 7668*/ GIMT_Encode4(382889),
     /* 382711 */ /*GILLT_v4s32*//*Label 7669*/ GIMT_Encode4(382927),
     /* 382715 */ /*GILLT_v8s8*//*Label 7670*/ GIMT_Encode4(382965),
     /* 382719 */ /*GILLT_v8s16*//*Label 7671*/ GIMT_Encode4(383003),
     /* 382723 */ /*GILLT_v16s8*//*Label 7672*/ GIMT_Encode4(383041), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 382743 */ /*GILLT_nxv2s64*//*Label 7673*/ GIMT_Encode4(383079), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 382755 */ /*GILLT_nxv4s32*//*Label 7674*/ GIMT_Encode4(383114), GIMT_Encode4(0),
     /* 382763 */ /*GILLT_nxv8s16*//*Label 7675*/ GIMT_Encode4(383149), GIMT_Encode4(0),
     /* 382771 */ /*GILLT_nxv16s8*//*Label 7676*/ GIMT_Encode4(383184),
     /* 382775 */ // Label 7665: @382775
     /* 382775 */ GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(382812), // Rule ID 5006 //
     /* 382780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 382783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 382786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 382789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382805 */   // (AArch64bsp:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)
     /* 382805 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 382810 */   GIR_RootConstrainSelectedInstOperands,
     /* 382811 */   // GIR_Coverage, 5006,
     /* 382811 */   GIR_Done,
     /* 382812 */ // Label 7678: @382812
     /* 382812 */ GIM_Reject,
     /* 382813 */ // Label 7666: @382813
     /* 382813 */ GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(382850), // Rule ID 5005 //
     /* 382818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 382821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 382824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 382827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382843 */   // (AArch64bsp:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 382843 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 382848 */   GIR_RootConstrainSelectedInstOperands,
     /* 382849 */   // GIR_Coverage, 5005,
     /* 382849 */   GIR_Done,
     /* 382850 */ // Label 7679: @382850
     /* 382850 */ GIM_Reject,
     /* 382851 */ // Label 7667: @382851
     /* 382851 */ GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(382888), // Rule ID 5010 //
     /* 382856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 382862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 382865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382881 */   // (AArch64bsp:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 382881 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 382886 */   GIR_RootConstrainSelectedInstOperands,
     /* 382887 */   // GIR_Coverage, 5010,
     /* 382887 */   GIR_Done,
     /* 382888 */ // Label 7680: @382888
     /* 382888 */ GIM_Reject,
     /* 382889 */ // Label 7668: @382889
     /* 382889 */ GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(382926), // Rule ID 5004 //
     /* 382894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 382897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 382900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 382903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382919 */   // (AArch64bsp:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 382919 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 382924 */   GIR_RootConstrainSelectedInstOperands,
     /* 382925 */   // GIR_Coverage, 5004,
     /* 382925 */   GIR_Done,
     /* 382926 */ // Label 7681: @382926
     /* 382926 */ GIM_Reject,
     /* 382927 */ // Label 7669: @382927
     /* 382927 */ GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(382964), // Rule ID 5009 //
     /* 382932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 382938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 382941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382957 */   // (AArch64bsp:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 382957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 382962 */   GIR_RootConstrainSelectedInstOperands,
     /* 382963 */   // GIR_Coverage, 5009,
     /* 382963 */   GIR_Done,
     /* 382964 */ // Label 7682: @382964
     /* 382964 */ GIM_Reject,
     /* 382965 */ // Label 7670: @382965
     /* 382965 */ GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(383002), // Rule ID 5003 //
     /* 382970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 382973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 382976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 382979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382995 */   // (AArch64bsp:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 382995 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 383000 */   GIR_RootConstrainSelectedInstOperands,
     /* 383001 */   // GIR_Coverage, 5003,
     /* 383001 */   GIR_Done,
     /* 383002 */ // Label 7683: @383002
     /* 383002 */ GIM_Reject,
     /* 383003 */ // Label 7671: @383003
     /* 383003 */ GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(383040), // Rule ID 5008 //
     /* 383008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 383011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 383014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 383017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383033 */   // (AArch64bsp:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 383033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 383038 */   GIR_RootConstrainSelectedInstOperands,
     /* 383039 */   // GIR_Coverage, 5008,
     /* 383039 */   GIR_Done,
     /* 383040 */ // Label 7684: @383040
     /* 383040 */ GIM_Reject,
     /* 383041 */ // Label 7672: @383041
     /* 383041 */ GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(383078), // Rule ID 5007 //
     /* 383046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 383049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 383052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 383055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383071 */   // (AArch64bsp:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 383071 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 383076 */   GIR_RootConstrainSelectedInstOperands,
     /* 383077 */   // GIR_Coverage, 5007,
     /* 383077 */   GIR_Done,
     /* 383078 */ // Label 7685: @383078
     /* 383078 */ GIM_Reject,
     /* 383079 */ // Label 7673: @383079
     /* 383079 */ GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(383113), // Rule ID 11664 //
     /* 383084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 383087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 383090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 383093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 383096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 383100 */   // (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 383100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 383103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 383105 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 383107 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 383109 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 383111 */   GIR_RootConstrainSelectedInstOperands,
     /* 383112 */   // GIR_Coverage, 11664,
     /* 383112 */   GIR_EraseRootFromParent_Done,
     /* 383113 */ // Label 7686: @383113
     /* 383113 */ GIM_Reject,
     /* 383114 */ // Label 7674: @383114
     /* 383114 */ GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(383148), // Rule ID 11662 //
     /* 383119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 383122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 383125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 383128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 383131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 383135 */   // (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 383135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 383138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 383140 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 383142 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 383144 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 383146 */   GIR_RootConstrainSelectedInstOperands,
     /* 383147 */   // GIR_Coverage, 11662,
     /* 383147 */   GIR_EraseRootFromParent_Done,
     /* 383148 */ // Label 7687: @383148
     /* 383148 */ GIM_Reject,
     /* 383149 */ // Label 7675: @383149
     /* 383149 */ GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(383183), // Rule ID 11660 //
     /* 383154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 383157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 383160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 383163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 383166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 383170 */   // (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 383170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 383173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 383175 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 383177 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 383179 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 383181 */   GIR_RootConstrainSelectedInstOperands,
     /* 383182 */   // GIR_Coverage, 11660,
     /* 383182 */   GIR_EraseRootFromParent_Done,
     /* 383183 */ // Label 7688: @383183
     /* 383183 */ GIM_Reject,
     /* 383184 */ // Label 7676: @383184
     /* 383184 */ GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(383218), // Rule ID 11658 //
     /* 383189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 383192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 383195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 383198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 383201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 383205 */   // (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 383205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 383208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 383210 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 383212 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 383214 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 383216 */   GIR_RootConstrainSelectedInstOperands,
     /* 383217 */   // GIR_Coverage, 11658,
     /* 383217 */   GIR_EraseRootFromParent_Done,
     /* 383218 */ // Label 7689: @383218
     /* 383218 */ GIM_Reject,
     /* 383219 */ // Label 7677: @383219
     /* 383219 */ GIM_Reject,
     /* 383220 */ // Label 119: @383220
     /* 383220 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 7698*/ GIMT_Encode4(385042),
     /* 383231 */ /*GILLT_s64*//*Label 7690*/ GIMT_Encode4(383267), GIMT_Encode4(0),
     /* 383239 */ /*GILLT_v2s32*//*Label 7691*/ GIMT_Encode4(383462),
     /* 383243 */ /*GILLT_v2s64*//*Label 7692*/ GIMT_Encode4(383709),
     /* 383247 */ /*GILLT_v4s16*//*Label 7693*/ GIMT_Encode4(383956),
     /* 383251 */ /*GILLT_v4s32*//*Label 7694*/ GIMT_Encode4(384232),
     /* 383255 */ /*GILLT_v8s8*//*Label 7695*/ GIMT_Encode4(384479),
     /* 383259 */ /*GILLT_v8s16*//*Label 7696*/ GIMT_Encode4(384624),
     /* 383263 */ /*GILLT_v16s8*//*Label 7697*/ GIMT_Encode4(384900),
     /* 383267 */ // Label 7690: @383267
     /* 383267 */ GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(383461),
     /* 383272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 383275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383279 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(383326), // Rule ID 6315 //
     /* 383284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383299 */     // MIs[1] Rn
     /* 383299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383310 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 383313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383324 */     GIR_RootConstrainSelectedInstOperands,
     /* 383325 */     // GIR_Coverage, 6315,
     /* 383325 */     GIR_EraseRootFromParent_Done,
     /* 383326 */   // Label 7700: @383326
     /* 383326 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(383373), // Rule ID 6326 //
     /* 383331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383339 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383342 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383346 */     // MIs[1] Rn
     /* 383346 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383357 */     // (AArch64dup:{ *:[v1f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 383360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383371 */     GIR_RootConstrainSelectedInstOperands,
     /* 383372 */     // GIR_Coverage, 6326,
     /* 383372 */     GIR_EraseRootFromParent_Done,
     /* 383373 */   // Label 7701: @383373
     /* 383373 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(383420), // Rule ID 12903 //
     /* 383378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383386 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383389 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383393 */     // MIs[1] Rn
     /* 383393 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383404 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 383407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383418 */     GIR_RootConstrainSelectedInstOperands,
     /* 383419 */     // GIR_Coverage, 12903,
     /* 383419 */     GIR_EraseRootFromParent_Done,
     /* 383420 */   // Label 7702: @383420
     /* 383420 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(383440), // Rule ID 5556 //
     /* 383425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 383429 */     // (AArch64dup:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i32] })
     /* 383429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383434 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383439 */     // GIR_Coverage, 5556,
     /* 383439 */     GIR_Done,
     /* 383440 */   // Label 7703: @383440
     /* 383440 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(383460), // Rule ID 5557 //
     /* 383445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383449 */     // (AArch64dup:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[i32] })
     /* 383449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383459 */     // GIR_Coverage, 5557,
     /* 383459 */     GIR_Done,
     /* 383460 */   // Label 7704: @383460
     /* 383460 */   GIM_Reject,
     /* 383461 */ // Label 7699: @383461
     /* 383461 */ GIM_Reject,
     /* 383462 */ // Label 7691: @383462
     /* 383462 */ GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(383708),
     /* 383467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 383470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383474 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(383521), // Rule ID 6312 //
     /* 383479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383487 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383490 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383494 */     // MIs[1] Rn
     /* 383494 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383505 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 383508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383519 */     GIR_RootConstrainSelectedInstOperands,
     /* 383520 */     // GIR_Coverage, 6312,
     /* 383520 */     GIR_EraseRootFromParent_Done,
     /* 383521 */   // Label 7706: @383521
     /* 383521 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(383568), // Rule ID 6323 //
     /* 383526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383534 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383537 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383541 */     // MIs[1] Rn
     /* 383541 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383552 */     // (AArch64dup:{ *:[v2f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 383555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383566 */     GIR_RootConstrainSelectedInstOperands,
     /* 383567 */     // GIR_Coverage, 6323,
     /* 383567 */     GIR_EraseRootFromParent_Done,
     /* 383568 */   // Label 7707: @383568
     /* 383568 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(383615), // Rule ID 12900 //
     /* 383573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383581 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383588 */     // MIs[1] Rn
     /* 383588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383599 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 383602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383613 */     GIR_RootConstrainSelectedInstOperands,
     /* 383614 */     // GIR_Coverage, 12900,
     /* 383614 */     GIR_EraseRootFromParent_Done,
     /* 383615 */   // Label 7708: @383615
     /* 383615 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(383634), // Rule ID 1909 //
     /* 383620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 383627 */     // (AArch64dup:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv2i32gpr:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)
     /* 383627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32gpr),
     /* 383632 */     GIR_RootConstrainSelectedInstOperands,
     /* 383633 */     // GIR_Coverage, 1909,
     /* 383633 */     GIR_Done,
     /* 383634 */   // Label 7709: @383634
     /* 383634 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(383707), // Rule ID 5558 //
     /* 383639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383643 */     // (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv2i32lane:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 383643 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 383646 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 383650 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 383657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 383660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 383664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383669 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 383672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 383676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 383679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 383697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383705 */     GIR_RootConstrainSelectedInstOperands,
     /* 383706 */     // GIR_Coverage, 5558,
     /* 383706 */     GIR_EraseRootFromParent_Done,
     /* 383707 */   // Label 7710: @383707
     /* 383707 */   GIM_Reject,
     /* 383708 */ // Label 7705: @383708
     /* 383708 */ GIM_Reject,
     /* 383709 */ // Label 7692: @383709
     /* 383709 */ GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(383955),
     /* 383714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 383717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383721 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(383768), // Rule ID 6314 //
     /* 383726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383734 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383737 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383741 */     // MIs[1] Rn
     /* 383741 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383752 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 383755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383766 */     GIR_RootConstrainSelectedInstOperands,
     /* 383767 */     // GIR_Coverage, 6314,
     /* 383767 */     GIR_EraseRootFromParent_Done,
     /* 383768 */   // Label 7712: @383768
     /* 383768 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(383815), // Rule ID 6325 //
     /* 383773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383784 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383788 */     // MIs[1] Rn
     /* 383788 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383799 */     // (AArch64dup:{ *:[v2f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 383802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383813 */     GIR_RootConstrainSelectedInstOperands,
     /* 383814 */     // GIR_Coverage, 6325,
     /* 383814 */     GIR_EraseRootFromParent_Done,
     /* 383815 */   // Label 7713: @383815
     /* 383815 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(383862), // Rule ID 12902 //
     /* 383820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383828 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383831 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383835 */     // MIs[1] Rn
     /* 383835 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383846 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 383846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 383849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 383851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 383860 */     GIR_RootConstrainSelectedInstOperands,
     /* 383861 */     // GIR_Coverage, 12902,
     /* 383861 */     GIR_EraseRootFromParent_Done,
     /* 383862 */   // Label 7714: @383862
     /* 383862 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(383881), // Rule ID 1911 //
     /* 383867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 383874 */     // (AArch64dup:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)  =>  (DUPv2i64gpr:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)
     /* 383874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64gpr),
     /* 383879 */     GIR_RootConstrainSelectedInstOperands,
     /* 383880 */     // GIR_Coverage, 1911,
     /* 383880 */     GIR_Done,
     /* 383881 */   // Label 7715: @383881
     /* 383881 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(383954), // Rule ID 5560 //
     /* 383886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383890 */     // (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rn)  =>  (DUPv2i64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 383890 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 383893 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 383897 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 383904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 383907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 383911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383916 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 383919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 383923 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 383926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383936 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 383944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 383952 */     GIR_RootConstrainSelectedInstOperands,
     /* 383953 */     // GIR_Coverage, 5560,
     /* 383953 */     GIR_EraseRootFromParent_Done,
     /* 383954 */   // Label 7716: @383954
     /* 383954 */   GIM_Reject,
     /* 383955 */ // Label 7711: @383955
     /* 383955 */ GIM_Reject,
     /* 383956 */ // Label 7693: @383956
     /* 383956 */ GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(384017), // Rule ID 6310 //
     /* 383961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 383964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383968 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383972 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 383976 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 383979 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 383983 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 383990 */   // MIs[1] Rn
     /* 383990 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 383994 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 383999 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384001 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 384004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384006 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384010 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384015 */   GIR_RootConstrainSelectedInstOperands,
     /* 384016 */   // GIR_Coverage, 6310,
     /* 384016 */   GIR_EraseRootFromParent_Done,
     /* 384017 */ // Label 7717: @384017
     /* 384017 */ GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(384071), // Rule ID 6327 //
     /* 384022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384029 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384033 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384037 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384040 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384044 */   // MIs[1] Rn
     /* 384044 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384048 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384053 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384055 */   // (AArch64dup:{ *:[v4f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 384058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384060 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384064 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384069 */   GIR_RootConstrainSelectedInstOperands,
     /* 384070 */   // GIR_Coverage, 6327,
     /* 384070 */   GIR_EraseRootFromParent_Done,
     /* 384071 */ // Label 7718: @384071
     /* 384071 */ GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(384125), // Rule ID 12898 //
     /* 384076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384083 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384087 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384091 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384094 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384098 */   // MIs[1] Rn
     /* 384098 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384102 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384107 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384109 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 384112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384114 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384123 */   GIR_RootConstrainSelectedInstOperands,
     /* 384124 */   // GIR_Coverage, 12898,
     /* 384124 */   GIR_EraseRootFromParent_Done,
     /* 384125 */ // Label 7719: @384125
     /* 384125 */ GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(384151), // Rule ID 1907 //
     /* 384130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 384144 */   // (AArch64dup:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i16gpr:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)
     /* 384144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16gpr),
     /* 384149 */   GIR_RootConstrainSelectedInstOperands,
     /* 384150 */   // GIR_Coverage, 1907,
     /* 384150 */   GIR_Done,
     /* 384151 */ // Label 7720: @384151
     /* 384151 */ GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(384231), // Rule ID 5561 //
     /* 384156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 384167 */   // (AArch64dup:{ *:[v4f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv4i16lane:{ *:[v4f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 384167 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 384170 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 384174 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 384181 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 384184 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 384188 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384193 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 384196 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 384200 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 384203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384213 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 384218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 384221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384229 */   GIR_RootConstrainSelectedInstOperands,
     /* 384230 */   // GIR_Coverage, 5561,
     /* 384230 */   GIR_EraseRootFromParent_Done,
     /* 384231 */ // Label 7721: @384231
     /* 384231 */ GIM_Reject,
     /* 384232 */ // Label 7694: @384232
     /* 384232 */ GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(384478),
     /* 384237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384244 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(384291), // Rule ID 6313 //
     /* 384249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384257 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384260 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384264 */     // MIs[1] Rn
     /* 384264 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384275 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 384278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384289 */     GIR_RootConstrainSelectedInstOperands,
     /* 384290 */     // GIR_Coverage, 6313,
     /* 384290 */     GIR_EraseRootFromParent_Done,
     /* 384291 */   // Label 7723: @384291
     /* 384291 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(384338), // Rule ID 6324 //
     /* 384296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384304 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384307 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384311 */     // MIs[1] Rn
     /* 384311 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384322 */     // (AArch64dup:{ *:[v4f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 384325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384336 */     GIR_RootConstrainSelectedInstOperands,
     /* 384337 */     // GIR_Coverage, 6324,
     /* 384337 */     GIR_EraseRootFromParent_Done,
     /* 384338 */   // Label 7724: @384338
     /* 384338 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(384385), // Rule ID 12901 //
     /* 384343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384351 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384354 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384358 */     // MIs[1] Rn
     /* 384358 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384369 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 384372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384383 */     GIR_RootConstrainSelectedInstOperands,
     /* 384384 */     // GIR_Coverage, 12901,
     /* 384384 */     GIR_EraseRootFromParent_Done,
     /* 384385 */   // Label 7725: @384385
     /* 384385 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(384404), // Rule ID 1910 //
     /* 384390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 384397 */     // (AArch64dup:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i32gpr:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)
     /* 384397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32gpr),
     /* 384402 */     GIR_RootConstrainSelectedInstOperands,
     /* 384403 */     // GIR_Coverage, 1910,
     /* 384403 */     GIR_Done,
     /* 384404 */   // Label 7726: @384404
     /* 384404 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(384477), // Rule ID 5559 //
     /* 384409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384413 */     // (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv4i32lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 384413 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 384416 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 384420 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 384427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 384430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 384434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384439 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 384442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 384446 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 384449 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 384467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384475 */     GIR_RootConstrainSelectedInstOperands,
     /* 384476 */     // GIR_Coverage, 5559,
     /* 384476 */     GIR_EraseRootFromParent_Done,
     /* 384477 */   // Label 7727: @384477
     /* 384477 */   GIM_Reject,
     /* 384478 */ // Label 7722: @384478
     /* 384478 */ GIM_Reject,
     /* 384479 */ // Label 7695: @384479
     /* 384479 */ GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(384536), // Rule ID 12896 //
     /* 384484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 384487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384499 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384506 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 384510 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384512 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 384519 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 384522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 384529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384534 */   GIR_RootConstrainSelectedInstOperands,
     /* 384535 */   // GIR_Coverage, 12896,
     /* 384535 */   GIR_EraseRootFromParent_Done,
     /* 384536 */ // Label 7728: @384536
     /* 384536 */ GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(384597), // Rule ID 6308 //
     /* 384541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384548 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384552 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384556 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384559 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384563 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 384570 */   // MIs[1] Rn
     /* 384570 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384574 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384579 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384581 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 384584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384586 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384590 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384595 */   GIR_RootConstrainSelectedInstOperands,
     /* 384596 */   // GIR_Coverage, 6308,
     /* 384596 */   GIR_EraseRootFromParent_Done,
     /* 384597 */ // Label 7729: @384597
     /* 384597 */ GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(384623), // Rule ID 1905 //
     /* 384602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 384616 */   // (AArch64dup:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i8gpr:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)
     /* 384616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8gpr),
     /* 384621 */   GIR_RootConstrainSelectedInstOperands,
     /* 384622 */   // GIR_Coverage, 1905,
     /* 384622 */   GIR_Done,
     /* 384623 */ // Label 7730: @384623
     /* 384623 */ GIM_Reject,
     /* 384624 */ // Label 7696: @384624
     /* 384624 */ GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(384685), // Rule ID 6311 //
     /* 384629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384636 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384640 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384644 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384647 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384651 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 384658 */   // MIs[1] Rn
     /* 384658 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384662 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384667 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384669 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 384672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384674 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384683 */   GIR_RootConstrainSelectedInstOperands,
     /* 384684 */   // GIR_Coverage, 6311,
     /* 384684 */   GIR_EraseRootFromParent_Done,
     /* 384685 */ // Label 7731: @384685
     /* 384685 */ GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(384739), // Rule ID 6328 //
     /* 384690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384697 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384701 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384705 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384708 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384712 */   // MIs[1] Rn
     /* 384712 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384716 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384721 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384723 */   // (AArch64dup:{ *:[v8f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 384726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384728 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384732 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384737 */   GIR_RootConstrainSelectedInstOperands,
     /* 384738 */   // GIR_Coverage, 6328,
     /* 384738 */   GIR_EraseRootFromParent_Done,
     /* 384739 */ // Label 7732: @384739
     /* 384739 */ GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(384793), // Rule ID 12899 //
     /* 384744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384759 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384762 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384766 */   // MIs[1] Rn
     /* 384766 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384770 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384775 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384777 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 384780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384782 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384786 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384791 */   GIR_RootConstrainSelectedInstOperands,
     /* 384792 */   // GIR_Coverage, 12899,
     /* 384792 */   GIR_EraseRootFromParent_Done,
     /* 384793 */ // Label 7733: @384793
     /* 384793 */ GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(384819), // Rule ID 1908 //
     /* 384798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 384812 */   // (AArch64dup:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i16gpr:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)
     /* 384812 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16gpr),
     /* 384817 */   GIR_RootConstrainSelectedInstOperands,
     /* 384818 */   // GIR_Coverage, 1908,
     /* 384818 */   GIR_Done,
     /* 384819 */ // Label 7734: @384819
     /* 384819 */ GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(384899), // Rule ID 5562 //
     /* 384824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 384827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 384835 */   // (AArch64dup:{ *:[v8f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv8i16lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 384835 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 384838 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 384842 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384847 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 384849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 384852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 384856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384861 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 384864 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 384868 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 384871 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384876 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384881 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 384886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 384889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 384897 */   GIR_RootConstrainSelectedInstOperands,
     /* 384898 */   // GIR_Coverage, 5562,
     /* 384898 */   GIR_EraseRootFromParent_Done,
     /* 384899 */ // Label 7735: @384899
     /* 384899 */ GIM_Reject,
     /* 384900 */ // Label 7697: @384900
     /* 384900 */ GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(384961), // Rule ID 6309 //
     /* 384905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 384908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384912 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384916 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384920 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384923 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384927 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 384934 */   // MIs[1] Rn
     /* 384934 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384938 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384943 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384945 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 384948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 384950 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384954 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 384959 */   GIR_RootConstrainSelectedInstOperands,
     /* 384960 */   // GIR_Coverage, 6309,
     /* 384960 */   GIR_EraseRootFromParent_Done,
     /* 384961 */ // Label 7736: @384961
     /* 384961 */ GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(385015), // Rule ID 12897 //
     /* 384966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 384969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384973 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384977 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 384981 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 384984 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 384988 */   // MIs[1] Rn
     /* 384988 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 384992 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 384997 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384999 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 384999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 385002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 385004 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385008 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 385013 */   GIR_RootConstrainSelectedInstOperands,
     /* 385014 */   // GIR_Coverage, 12897,
     /* 385014 */   GIR_EraseRootFromParent_Done,
     /* 385015 */ // Label 7737: @385015
     /* 385015 */ GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(385041), // Rule ID 1906 //
     /* 385020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 385026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 385034 */   // (AArch64dup:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv16i8gpr:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)
     /* 385034 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8gpr),
     /* 385039 */   GIR_RootConstrainSelectedInstOperands,
     /* 385040 */   // GIR_Coverage, 1906,
     /* 385040 */   GIR_Done,
     /* 385041 */ // Label 7738: @385041
     /* 385041 */ GIM_Reject,
     /* 385042 */ // Label 7698: @385042
     /* 385042 */ GIM_Reject,
     /* 385043 */ // Label 120: @385043
     /* 385043 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(11), /*)*//*default:*//*Label 7741*/ GIMT_Encode4(385297),
     /* 385054 */ /*GILLT_v4s16*//*Label 7739*/ GIMT_Encode4(385070), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 385066 */ /*GILLT_v8s16*//*Label 7740*/ GIMT_Encode4(385156),
     /* 385070 */ // Label 7739: @385070
     /* 385070 */ GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(385155),
     /* 385075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 385078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385089 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(385123), // Rule ID 1915 //
     /* 385094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 385109 */     // MIs[1] Operand 1
     /* 385109 */     // No operand predicates
     /* 385109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385111 */     // (AArch64duplane16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv4i16lane:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 385114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385116 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385121 */     GIR_RootConstrainSelectedInstOperands,
     /* 385122 */     // GIR_Coverage, 1915,
     /* 385122 */     GIR_EraseRootFromParent_Done,
     /* 385123 */   // Label 7743: @385123
     /* 385123 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(385154), // Rule ID 5563 //
     /* 385128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 385140 */     // MIs[1] Operand 1
     /* 385140 */     // No operand predicates
     /* 385140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385142 */     // (AArch64duplane16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv4i16lane:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 385142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 385145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 385152 */     GIR_RootConstrainSelectedInstOperands,
     /* 385153 */     // GIR_Coverage, 5563,
     /* 385153 */     GIR_EraseRootFromParent_Done,
     /* 385154 */   // Label 7744: @385154
     /* 385154 */   GIM_Reject,
     /* 385155 */ // Label 7742: @385155
     /* 385155 */ GIM_Reject,
     /* 385156 */ // Label 7740: @385156
     /* 385156 */ GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(385296),
     /* 385161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 385164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385171 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(385222), // Rule ID 6319 //
     /* 385176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 385184 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 385187 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 385191 */     // MIs[1] Rn
     /* 385191 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 385195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 385200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 385204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385206 */     // (AArch64duplane16:{ *:[v8i16] } (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 385206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 385209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 385211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 385220 */     GIR_RootConstrainSelectedInstOperands,
     /* 385221 */     // GIR_Coverage, 6319,
     /* 385221 */     GIR_EraseRootFromParent_Done,
     /* 385222 */   // Label 7746: @385222
     /* 385222 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(385260), // Rule ID 1916 //
     /* 385227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 385246 */     // MIs[1] Operand 1
     /* 385246 */     // No operand predicates
     /* 385246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385248 */     // (AArch64duplane16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv8i16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 385251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385253 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385258 */     GIR_RootConstrainSelectedInstOperands,
     /* 385259 */     // GIR_Coverage, 1916,
     /* 385259 */     GIR_EraseRootFromParent_Done,
     /* 385260 */   // Label 7747: @385260
     /* 385260 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(385295), // Rule ID 5564 //
     /* 385265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 385281 */     // MIs[1] Operand 1
     /* 385281 */     // No operand predicates
     /* 385281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385283 */     // (AArch64duplane16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv8i16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 385283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 385286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385288 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 385293 */     GIR_RootConstrainSelectedInstOperands,
     /* 385294 */     // GIR_Coverage, 5564,
     /* 385294 */     GIR_EraseRootFromParent_Done,
     /* 385295 */   // Label 7748: @385295
     /* 385295 */   GIM_Reject,
     /* 385296 */ // Label 7745: @385296
     /* 385296 */ GIM_Reject,
     /* 385297 */ // Label 7741: @385297
     /* 385297 */ GIM_Reject,
     /* 385298 */ // Label 121: @385298
     /* 385298 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(9), /*)*//*default:*//*Label 7751*/ GIMT_Encode4(385552),
     /* 385309 */ /*GILLT_v2s32*//*Label 7749*/ GIMT_Encode4(385325), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 385321 */ /*GILLT_v4s32*//*Label 7750*/ GIMT_Encode4(385411),
     /* 385325 */ // Label 7749: @385325
     /* 385325 */ GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(385410),
     /* 385330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 385333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385344 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(385378), // Rule ID 1913 //
     /* 385349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 385364 */     // MIs[1] Operand 1
     /* 385364 */     // No operand predicates
     /* 385364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385366 */     // (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv2i32lane:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 385369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385371 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385376 */     GIR_RootConstrainSelectedInstOperands,
     /* 385377 */     // GIR_Coverage, 1913,
     /* 385377 */     GIR_EraseRootFromParent_Done,
     /* 385378 */   // Label 7753: @385378
     /* 385378 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(385409), // Rule ID 5565 //
     /* 385383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 385395 */     // MIs[1] Operand 1
     /* 385395 */     // No operand predicates
     /* 385395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385397 */     // (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv2i32lane:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 385397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 385400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 385407 */     GIR_RootConstrainSelectedInstOperands,
     /* 385408 */     // GIR_Coverage, 5565,
     /* 385408 */     GIR_EraseRootFromParent_Done,
     /* 385409 */   // Label 7754: @385409
     /* 385409 */   GIM_Reject,
     /* 385410 */ // Label 7752: @385410
     /* 385410 */ GIM_Reject,
     /* 385411 */ // Label 7750: @385411
     /* 385411 */ GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(385551),
     /* 385416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 385419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385426 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(385477), // Rule ID 6321 //
     /* 385431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 385439 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 385442 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 385446 */     // MIs[1] Rn
     /* 385446 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 385450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 385455 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 385459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385461 */     // (AArch64duplane32:{ *:[v4i32] } (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 385461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 385464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 385466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 385475 */     GIR_RootConstrainSelectedInstOperands,
     /* 385476 */     // GIR_Coverage, 6321,
     /* 385476 */     GIR_EraseRootFromParent_Done,
     /* 385477 */   // Label 7756: @385477
     /* 385477 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(385515), // Rule ID 1914 //
     /* 385482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 385501 */     // MIs[1] Operand 1
     /* 385501 */     // No operand predicates
     /* 385501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385503 */     // (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv4i32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 385506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385513 */     GIR_RootConstrainSelectedInstOperands,
     /* 385514 */     // GIR_Coverage, 1914,
     /* 385514 */     GIR_EraseRootFromParent_Done,
     /* 385515 */   // Label 7757: @385515
     /* 385515 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(385550), // Rule ID 5566 //
     /* 385520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 385536 */     // MIs[1] Operand 1
     /* 385536 */     // No operand predicates
     /* 385536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385538 */     // (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv4i32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 385538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 385541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385543 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 385548 */     GIR_RootConstrainSelectedInstOperands,
     /* 385549 */     // GIR_Coverage, 5566,
     /* 385549 */     GIR_EraseRootFromParent_Done,
     /* 385550 */   // Label 7758: @385550
     /* 385550 */   GIM_Reject,
     /* 385551 */ // Label 7755: @385551
     /* 385551 */ GIM_Reject,
     /* 385552 */ // Label 7751: @385552
     /* 385552 */ GIM_Reject,
     /* 385553 */ // Label 122: @385553
     /* 385553 */ GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(385698),
     /* 385558 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 385561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385571 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(385622), // Rule ID 6322 //
     /* 385576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 385584 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 385587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 385591 */     // MIs[1] Rn
     /* 385591 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 385595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 385600 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 385604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385606 */     // (AArch64duplane64:{ *:[v2i64] } (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 385606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 385609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 385611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 385620 */     GIR_RootConstrainSelectedInstOperands,
     /* 385621 */     // GIR_Coverage, 6322,
     /* 385621 */     GIR_EraseRootFromParent_Done,
     /* 385622 */   // Label 7760: @385622
     /* 385622 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(385697),
     /* 385627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385631 */     GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(385665), // Rule ID 1912 //
     /* 385636 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385639 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385643 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385647 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385651 */       // MIs[1] Operand 1
     /* 385651 */       // No operand predicates
     /* 385651 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385653 */       // (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPv2i64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385653 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 385656 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385658 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385660 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385663 */       GIR_RootConstrainSelectedInstOperands,
     /* 385664 */       // GIR_Coverage, 1912,
     /* 385664 */       GIR_EraseRootFromParent_Done,
     /* 385665 */     // Label 7762: @385665
     /* 385665 */     GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(385696), // Rule ID 5567 //
     /* 385670 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385674 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385678 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385682 */       // MIs[1] Operand 1
     /* 385682 */       // No operand predicates
     /* 385682 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385684 */       // (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (DUPv2i64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)
     /* 385684 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 385687 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385689 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385691 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 385694 */       GIR_RootConstrainSelectedInstOperands,
     /* 385695 */       // GIR_Coverage, 5567,
     /* 385695 */       GIR_EraseRootFromParent_Done,
     /* 385696 */     // Label 7763: @385696
     /* 385696 */     GIM_Reject,
     /* 385697 */   // Label 7761: @385697
     /* 385697 */   GIM_Reject,
     /* 385698 */ // Label 7759: @385698
     /* 385698 */ GIM_Reject,
     /* 385699 */ // Label 123: @385699
     /* 385699 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 7766*/ GIMT_Encode4(385877),
     /* 385710 */ /*GILLT_v8s8*//*Label 7764*/ GIMT_Encode4(385722), GIMT_Encode4(0),
     /* 385718 */ /*GILLT_v16s8*//*Label 7765*/ GIMT_Encode4(385771),
     /* 385722 */ // Label 7764: @385722
     /* 385722 */ GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(385770), // Rule ID 1917 //
     /* 385727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 385733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385744 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385748 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385752 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 385756 */   // MIs[1] Operand 1
     /* 385756 */   // No operand predicates
     /* 385756 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385758 */   // (AArch64duplane8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv8i8lane:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8lane),
     /* 385761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385763 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385765 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385768 */   GIR_RootConstrainSelectedInstOperands,
     /* 385769 */   // GIR_Coverage, 1917,
     /* 385769 */   GIR_EraseRootFromParent_Done,
     /* 385770 */ // Label 7767: @385770
     /* 385770 */ GIM_Reject,
     /* 385771 */ // Label 7765: @385771
     /* 385771 */ GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(385876),
     /* 385776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 385779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385786 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(385837), // Rule ID 6317 //
     /* 385791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 385799 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 385802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 385806 */     // MIs[1] Rn
     /* 385806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 385810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 385815 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 385819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385821 */     // (AArch64duplane8:{ *:[v16i8] } (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 385821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 385824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 385826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 385835 */     GIR_RootConstrainSelectedInstOperands,
     /* 385836 */     // GIR_Coverage, 6317,
     /* 385836 */     GIR_EraseRootFromParent_Done,
     /* 385837 */   // Label 7769: @385837
     /* 385837 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(385875), // Rule ID 1918 //
     /* 385842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 385861 */     // MIs[1] Operand 1
     /* 385861 */     // No operand predicates
     /* 385861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385863 */     // (AArch64duplane8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv16i8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 385863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8lane),
     /* 385866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385868 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 385873 */     GIR_RootConstrainSelectedInstOperands,
     /* 385874 */     // GIR_Coverage, 1918,
     /* 385874 */     GIR_EraseRootFromParent_Done,
     /* 385875 */   // Label 7770: @385875
     /* 385875 */   GIM_Reject,
     /* 385876 */ // Label 7768: @385876
     /* 385876 */ GIM_Reject,
     /* 385877 */ // Label 7766: @385877
     /* 385877 */ GIM_Reject,
     /* 385878 */ // Label 124: @385878
     /* 385878 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 7780*/ GIMT_Encode4(387527),
     /* 385889 */ /*GILLT_s64*//*Label 7771*/ GIMT_Encode4(385973), GIMT_Encode4(0),
     /* 385897 */ /*GILLT_v2s32*//*Label 7772*/ GIMT_Encode4(386294),
     /* 385901 */ /*GILLT_v2s64*//*Label 7773*/ GIMT_Encode4(386615),
     /* 385905 */ /*GILLT_v4s16*//*Label 7774*/ GIMT_Encode4(386698),
     /* 385909 */ /*GILLT_v4s32*//*Label 7775*/ GIMT_Encode4(387019),
     /* 385913 */ /*GILLT_v8s8*//*Label 7776*/ GIMT_Encode4(387102),
     /* 385917 */ /*GILLT_v8s16*//*Label 7777*/ GIMT_Encode4(387311),
     /* 385921 */ /*GILLT_v16s8*//*Label 7778*/ GIMT_Encode4(387394), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 385969 */ /*GILLT_nxv16s8*//*Label 7779*/ GIMT_Encode4(387480),
     /* 385973 */ // Label 7771: @385973
     /* 385973 */ GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(386293),
     /* 385978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 385981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 385984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385988 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(386103), // Rule ID 5390 //
     /* 385993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386010 */     // MIs[1] Operand 2
     /* 386010 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386029 */     // MIs[2] Rn
     /* 386029 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386034 */     // MIs[2] Operand 2
     /* 386034 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 386045 */     // MIs[0] imm
     /* 386045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386053 */     // MIs[3] Operand 1
     /* 386053 */     // No operand predicates
     /* 386053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386055 */     // (AArch64ext:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386085 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386102 */     // GIR_Coverage, 5390,
     /* 386102 */     GIR_EraseRootFromParent_Done,
     /* 386103 */   // Label 7782: @386103
     /* 386103 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(386218), // Rule ID 5395 //
     /* 386108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386125 */     // MIs[1] Operand 2
     /* 386125 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386144 */     // MIs[2] Rn
     /* 386144 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386149 */     // MIs[2] Operand 2
     /* 386149 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 386160 */     // MIs[0] imm
     /* 386160 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386164 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386168 */     // MIs[3] Operand 1
     /* 386168 */     // No operand predicates
     /* 386168 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386170 */     // (AArch64ext:{ *:[v1f64] } (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386200 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386212 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386217 */     // GIR_Coverage, 5395,
     /* 386217 */     GIR_EraseRootFromParent_Done,
     /* 386218 */   // Label 7783: @386218
     /* 386218 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(386255), // Rule ID 5387 //
     /* 386223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386231 */     // MIs[0] imm
     /* 386231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386239 */     // MIs[1] Operand 1
     /* 386239 */     // No operand predicates
     /* 386239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386241 */     // (AArch64ext:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 386244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386246 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386253 */     GIR_RootConstrainSelectedInstOperands,
     /* 386254 */     // GIR_Coverage, 5387,
     /* 386254 */     GIR_EraseRootFromParent_Done,
     /* 386255 */   // Label 7784: @386255
     /* 386255 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(386292), // Rule ID 5392 //
     /* 386260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386268 */     // MIs[0] imm
     /* 386268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386276 */     // MIs[1] Operand 1
     /* 386276 */     // No operand predicates
     /* 386276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386278 */     // (AArch64ext:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 386281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386290 */     GIR_RootConstrainSelectedInstOperands,
     /* 386291 */     // GIR_Coverage, 5392,
     /* 386291 */     GIR_EraseRootFromParent_Done,
     /* 386292 */   // Label 7785: @386292
     /* 386292 */   GIM_Reject,
     /* 386293 */ // Label 7781: @386293
     /* 386293 */ GIM_Reject,
     /* 386294 */ // Label 7772: @386294
     /* 386294 */ GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(386614),
     /* 386299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 386302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 386305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386309 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(386424), // Rule ID 5380 //
     /* 386314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 386326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386331 */     // MIs[1] Operand 2
     /* 386331 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386350 */     // MIs[2] Rn
     /* 386350 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386355 */     // MIs[2] Operand 2
     /* 386355 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 386366 */     // MIs[0] imm
     /* 386366 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386370 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386374 */     // MIs[3] Operand 1
     /* 386374 */     // No operand predicates
     /* 386374 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386376 */     // (AArch64ext:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386406 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386423 */     // GIR_Coverage, 5380,
     /* 386423 */     GIR_EraseRootFromParent_Done,
     /* 386424 */   // Label 7787: @386424
     /* 386424 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(386539), // Rule ID 5385 //
     /* 386429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 386441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386446 */     // MIs[1] Operand 2
     /* 386446 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386465 */     // MIs[2] Rn
     /* 386465 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386470 */     // MIs[2] Operand 2
     /* 386470 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 386481 */     // MIs[0] imm
     /* 386481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386489 */     // MIs[3] Operand 1
     /* 386489 */     // No operand predicates
     /* 386489 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386491 */     // (AArch64ext:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386521 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386528 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386533 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386538 */     // GIR_Coverage, 5385,
     /* 386538 */     GIR_EraseRootFromParent_Done,
     /* 386539 */   // Label 7788: @386539
     /* 386539 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(386576), // Rule ID 5377 //
     /* 386544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386552 */     // MIs[0] imm
     /* 386552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386560 */     // MIs[1] Operand 1
     /* 386560 */     // No operand predicates
     /* 386560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386562 */     // (AArch64ext:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 386565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386574 */     GIR_RootConstrainSelectedInstOperands,
     /* 386575 */     // GIR_Coverage, 5377,
     /* 386575 */     GIR_EraseRootFromParent_Done,
     /* 386576 */   // Label 7789: @386576
     /* 386576 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(386613), // Rule ID 5382 //
     /* 386581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386589 */     // MIs[0] imm
     /* 386589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386597 */     // MIs[1] Operand 1
     /* 386597 */     // No operand predicates
     /* 386597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386599 */     // (AArch64ext:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 386602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386611 */     GIR_RootConstrainSelectedInstOperands,
     /* 386612 */     // GIR_Coverage, 5382,
     /* 386612 */     GIR_EraseRootFromParent_Done,
     /* 386613 */   // Label 7790: @386613
     /* 386613 */   GIM_Reject,
     /* 386614 */ // Label 7786: @386614
     /* 386614 */ GIM_Reject,
     /* 386615 */ // Label 7773: @386615
     /* 386615 */ GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(386697),
     /* 386620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 386626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386638 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(386667), // Rule ID 5388 //
     /* 386643 */     // MIs[0] imm
     /* 386643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386651 */     // MIs[1] Operand 1
     /* 386651 */     // No operand predicates
     /* 386651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386653 */     // (AArch64ext:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386665 */     GIR_RootConstrainSelectedInstOperands,
     /* 386666 */     // GIR_Coverage, 5388,
     /* 386666 */     GIR_EraseRootFromParent_Done,
     /* 386667 */   // Label 7792: @386667
     /* 386667 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(386696), // Rule ID 5393 //
     /* 386672 */     // MIs[0] imm
     /* 386672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386680 */     // MIs[1] Operand 1
     /* 386680 */     // No operand predicates
     /* 386680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386682 */     // (AArch64ext:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386687 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386694 */     GIR_RootConstrainSelectedInstOperands,
     /* 386695 */     // GIR_Coverage, 5393,
     /* 386695 */     GIR_EraseRootFromParent_Done,
     /* 386696 */   // Label 7793: @386696
     /* 386696 */   GIM_Reject,
     /* 386697 */ // Label 7791: @386697
     /* 386697 */ GIM_Reject,
     /* 386698 */ // Label 7774: @386698
     /* 386698 */ GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(387018),
     /* 386703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 386706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 386709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386713 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(386828), // Rule ID 5370 //
     /* 386718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 386730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386735 */     // MIs[1] Operand 2
     /* 386735 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386754 */     // MIs[2] Rn
     /* 386754 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386759 */     // MIs[2] Operand 2
     /* 386759 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 386770 */     // MIs[0] imm
     /* 386770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386778 */     // MIs[3] Operand 1
     /* 386778 */     // No operand predicates
     /* 386778 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386780 */     // (AArch64ext:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386810 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386817 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386827 */     // GIR_Coverage, 5370,
     /* 386827 */     GIR_EraseRootFromParent_Done,
     /* 386828 */   // Label 7795: @386828
     /* 386828 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(386943), // Rule ID 5375 //
     /* 386833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 386845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386850 */     // MIs[1] Operand 2
     /* 386850 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 386861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 386869 */     // MIs[2] Rn
     /* 386869 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 386874 */     // MIs[2] Operand 2
     /* 386874 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 386885 */     // MIs[0] imm
     /* 386885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 386889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386893 */     // MIs[3] Operand 1
     /* 386893 */     // No operand predicates
     /* 386893 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386895 */     // (AArch64ext:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 386895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 386902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 386918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 386920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386925 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 386932 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386942 */     // GIR_Coverage, 5375,
     /* 386942 */     GIR_EraseRootFromParent_Done,
     /* 386943 */   // Label 7796: @386943
     /* 386943 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(386980), // Rule ID 5367 //
     /* 386948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386956 */     // MIs[0] imm
     /* 386956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386964 */     // MIs[1] Operand 1
     /* 386964 */     // No operand predicates
     /* 386964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 386966 */     // (AArch64ext:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 386966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 386969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386971 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 386978 */     GIR_RootConstrainSelectedInstOperands,
     /* 386979 */     // GIR_Coverage, 5367,
     /* 386979 */     GIR_EraseRootFromParent_Done,
     /* 386980 */   // Label 7797: @386980
     /* 386980 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(387017), // Rule ID 5372 //
     /* 386985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386993 */     // MIs[0] imm
     /* 386993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 386997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387001 */     // MIs[1] Operand 1
     /* 387001 */     // No operand predicates
     /* 387001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387003 */     // (AArch64ext:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 387006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387008 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387015 */     GIR_RootConstrainSelectedInstOperands,
     /* 387016 */     // GIR_Coverage, 5372,
     /* 387016 */     GIR_EraseRootFromParent_Done,
     /* 387017 */   // Label 7798: @387017
     /* 387017 */   GIM_Reject,
     /* 387018 */ // Label 7794: @387018
     /* 387018 */ GIM_Reject,
     /* 387019 */ // Label 7775: @387019
     /* 387019 */ GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(387101),
     /* 387024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 387027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 387030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387042 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(387071), // Rule ID 5378 //
     /* 387047 */     // MIs[0] imm
     /* 387047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387055 */     // MIs[1] Operand 1
     /* 387055 */     // No operand predicates
     /* 387055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387057 */     // (AArch64ext:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387069 */     GIR_RootConstrainSelectedInstOperands,
     /* 387070 */     // GIR_Coverage, 5378,
     /* 387070 */     GIR_EraseRootFromParent_Done,
     /* 387071 */   // Label 7800: @387071
     /* 387071 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(387100), // Rule ID 5383 //
     /* 387076 */     // MIs[0] imm
     /* 387076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387084 */     // MIs[1] Operand 1
     /* 387084 */     // No operand predicates
     /* 387084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387086 */     // (AArch64ext:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387098 */     GIR_RootConstrainSelectedInstOperands,
     /* 387099 */     // GIR_Coverage, 5383,
     /* 387099 */     GIR_EraseRootFromParent_Done,
     /* 387100 */   // Label 7801: @387100
     /* 387100 */   GIM_Reject,
     /* 387101 */ // Label 7799: @387101
     /* 387101 */ GIM_Reject,
     /* 387102 */ // Label 7776: @387102
     /* 387102 */ GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(387310),
     /* 387107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 387110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 387113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387117 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(387232), // Rule ID 5365 //
     /* 387122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 387130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 387134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387139 */     // MIs[1] Operand 2
     /* 387139 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 387150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 387154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 387158 */     // MIs[2] Rn
     /* 387158 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 387163 */     // MIs[2] Operand 2
     /* 387163 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 387174 */     // MIs[0] imm
     /* 387174 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 387178 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387182 */     // MIs[3] Operand 1
     /* 387182 */     // No operand predicates
     /* 387182 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387184 */     // (AArch64ext:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 387184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 387187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387196 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 387200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 387204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 387207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 387209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387214 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 387221 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387231 */     // GIR_Coverage, 5365,
     /* 387231 */     GIR_EraseRootFromParent_Done,
     /* 387232 */   // Label 7803: @387232
     /* 387232 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(387272), // Rule ID 1861 //
     /* 387237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387248 */     // MIs[0] imm
     /* 387248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387256 */     // MIs[1] Operand 1
     /* 387256 */     // No operand predicates
     /* 387256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387258 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 387261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387263 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387270 */     GIR_RootConstrainSelectedInstOperands,
     /* 387271 */     // GIR_Coverage, 1861,
     /* 387271 */     GIR_EraseRootFromParent_Done,
     /* 387272 */   // Label 7804: @387272
     /* 387272 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(387309), // Rule ID 5362 //
     /* 387277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387285 */     // MIs[0] imm
     /* 387285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387293 */     // MIs[1] Operand 1
     /* 387293 */     // No operand predicates
     /* 387293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387295 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 387298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387307 */     GIR_RootConstrainSelectedInstOperands,
     /* 387308 */     // GIR_Coverage, 5362,
     /* 387308 */     GIR_EraseRootFromParent_Done,
     /* 387309 */   // Label 7805: @387309
     /* 387309 */   GIM_Reject,
     /* 387310 */ // Label 7802: @387310
     /* 387310 */ GIM_Reject,
     /* 387311 */ // Label 7777: @387311
     /* 387311 */ GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(387393),
     /* 387316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 387322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387334 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(387363), // Rule ID 5368 //
     /* 387339 */     // MIs[0] imm
     /* 387339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387347 */     // MIs[1] Operand 1
     /* 387347 */     // No operand predicates
     /* 387347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387349 */     // (AArch64ext:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387354 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387361 */     GIR_RootConstrainSelectedInstOperands,
     /* 387362 */     // GIR_Coverage, 5368,
     /* 387362 */     GIR_EraseRootFromParent_Done,
     /* 387363 */   // Label 7807: @387363
     /* 387363 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(387392), // Rule ID 5373 //
     /* 387368 */     // MIs[0] imm
     /* 387368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387376 */     // MIs[1] Operand 1
     /* 387376 */     // No operand predicates
     /* 387376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387378 */     // (AArch64ext:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387383 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387390 */     GIR_RootConstrainSelectedInstOperands,
     /* 387391 */     // GIR_Coverage, 5373,
     /* 387391 */     GIR_EraseRootFromParent_Done,
     /* 387392 */   // Label 7808: @387392
     /* 387392 */   GIM_Reject,
     /* 387393 */ // Label 7806: @387393
     /* 387393 */ GIM_Reject,
     /* 387394 */ // Label 7778: @387394
     /* 387394 */ GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(387479),
     /* 387399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 387402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 387405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387417 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(387449), // Rule ID 1862 //
     /* 387422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387425 */     // MIs[0] imm
     /* 387425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387433 */     // MIs[1] Operand 1
     /* 387433 */     // No operand predicates
     /* 387433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387435 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387440 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387447 */     GIR_RootConstrainSelectedInstOperands,
     /* 387448 */     // GIR_Coverage, 1862,
     /* 387448 */     GIR_EraseRootFromParent_Done,
     /* 387449 */   // Label 7810: @387449
     /* 387449 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(387478), // Rule ID 5363 //
     /* 387454 */     // MIs[0] imm
     /* 387454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387462 */     // MIs[1] Operand 1
     /* 387462 */     // No operand predicates
     /* 387462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387464 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 387464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 387467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387469 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 387476 */     GIR_RootConstrainSelectedInstOperands,
     /* 387477 */     // GIR_Coverage, 5363,
     /* 387477 */     GIR_EraseRootFromParent_Done,
     /* 387478 */   // Label 7811: @387478
     /* 387478 */   GIM_Reject,
     /* 387479 */ // Label 7809: @387479
     /* 387479 */ GIM_Reject,
     /* 387480 */ // Label 7779: @387480
     /* 387480 */ GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(387526), // Rule ID 2719 //
     /* 387485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 387488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 387491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 387494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 387498 */   // MIs[0] Op3
     /* 387498 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387502 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387506 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255),
     /* 387510 */   // MIs[1] Operand 1
     /* 387510 */   // No operand predicates
     /* 387510 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387512 */   // (AArch64ext:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)  =>  (EXT_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)
     /* 387512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXT_ZZI),
     /* 387515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 387517 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 387519 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /* 387521 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // Op3
     /* 387524 */   GIR_RootConstrainSelectedInstOperands,
     /* 387525 */   // GIR_Coverage, 2719,
     /* 387525 */   GIR_EraseRootFromParent_Done,
     /* 387526 */ // Label 7812: @387526
     /* 387526 */ GIM_Reject,
     /* 387527 */ // Label 7780: @387527
     /* 387527 */ GIM_Reject,
     /* 387528 */ // Label 125: @387528
     /* 387528 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7820*/ GIMT_Encode4(387866),
     /* 387539 */ /*GILLT_s32*//*Label 7813*/ GIMT_Encode4(387575),
     /* 387543 */ /*GILLT_s64*//*Label 7814*/ GIMT_Encode4(387613), GIMT_Encode4(0),
     /* 387551 */ /*GILLT_v2s32*//*Label 7815*/ GIMT_Encode4(387676),
     /* 387555 */ /*GILLT_v2s64*//*Label 7816*/ GIMT_Encode4(387714),
     /* 387559 */ /*GILLT_v4s16*//*Label 7817*/ GIMT_Encode4(387752),
     /* 387563 */ /*GILLT_v4s32*//*Label 7818*/ GIMT_Encode4(387790), GIMT_Encode4(0),
     /* 387571 */ /*GILLT_v8s16*//*Label 7819*/ GIMT_Encode4(387828),
     /* 387575 */ // Label 7813: @387575
     /* 387575 */ GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(387612), // Rule ID 1615 //
     /* 387580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 387586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 387589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 387593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 387597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 387601 */   // (AArch64fcmeq:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMEQ32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 387601 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ32),
     /* 387606 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387610 */   GIR_RootConstrainSelectedInstOperands,
     /* 387611 */   // GIR_Coverage, 1615,
     /* 387611 */   GIR_Done,
     /* 387612 */ // Label 7821: @387612
     /* 387612 */ GIM_Reject,
     /* 387613 */ // Label 7814: @387613
     /* 387613 */ GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(387675),
     /* 387618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 387621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 387624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387636 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(387655), // Rule ID 1614 //
     /* 387641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387644 */     // (AArch64fcmeq:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMEQ64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 387644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 387649 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387653 */     GIR_RootConstrainSelectedInstOperands,
     /* 387654 */     // GIR_Coverage, 1614,
     /* 387654 */     GIR_Done,
     /* 387655 */   // Label 7823: @387655
     /* 387655 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(387674), // Rule ID 5149 //
     /* 387660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387663 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMEQ64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 387663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 387668 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387672 */     GIR_RootConstrainSelectedInstOperands,
     /* 387673 */     // GIR_Coverage, 5149,
     /* 387673 */     GIR_Done,
     /* 387674 */   // Label 7824: @387674
     /* 387674 */   GIM_Reject,
     /* 387675 */ // Label 7822: @387675
     /* 387675 */ GIM_Reject,
     /* 387676 */ // Label 7815: @387676
     /* 387676 */ GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(387713), // Rule ID 1203 //
     /* 387681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 387687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 387690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387702 */   // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMEQv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 387702 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f32),
     /* 387707 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387711 */   GIR_RootConstrainSelectedInstOperands,
     /* 387712 */   // GIR_Coverage, 1203,
     /* 387712 */   GIR_Done,
     /* 387713 */ // Label 7825: @387713
     /* 387713 */ GIM_Reject,
     /* 387714 */ // Label 7816: @387714
     /* 387714 */ GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(387751), // Rule ID 1205 //
     /* 387719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 387728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387740 */   // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMEQv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 387740 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f64),
     /* 387745 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387749 */   GIR_RootConstrainSelectedInstOperands,
     /* 387750 */   // GIR_Coverage, 1205,
     /* 387750 */   GIR_Done,
     /* 387751 */ // Label 7826: @387751
     /* 387751 */ GIM_Reject,
     /* 387752 */ // Label 7817: @387752
     /* 387752 */ GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(387789), // Rule ID 1201 //
     /* 387757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 387766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387778 */   // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMEQv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 387778 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f16),
     /* 387783 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387787 */   GIR_RootConstrainSelectedInstOperands,
     /* 387788 */   // GIR_Coverage, 1201,
     /* 387788 */   GIR_Done,
     /* 387789 */ // Label 7827: @387789
     /* 387789 */ GIM_Reject,
     /* 387790 */ // Label 7818: @387790
     /* 387790 */ GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(387827), // Rule ID 1204 //
     /* 387795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 387801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 387804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387816 */   // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMEQv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 387816 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f32),
     /* 387821 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387825 */   GIR_RootConstrainSelectedInstOperands,
     /* 387826 */   // GIR_Coverage, 1204,
     /* 387826 */   GIR_Done,
     /* 387827 */ // Label 7828: @387827
     /* 387827 */ GIM_Reject,
     /* 387828 */ // Label 7819: @387828
     /* 387828 */ GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(387865), // Rule ID 1202 //
     /* 387833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 387842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387854 */   // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMEQv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 387854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8f16),
     /* 387859 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387863 */   GIR_RootConstrainSelectedInstOperands,
     /* 387864 */   // GIR_Coverage, 1202,
     /* 387864 */   GIR_Done,
     /* 387865 */ // Label 7829: @387865
     /* 387865 */ GIM_Reject,
     /* 387866 */ // Label 7820: @387866
     /* 387866 */ GIM_Reject,
     /* 387867 */ // Label 126: @387867
     /* 387867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7836*/ GIMT_Encode4(388096),
     /* 387878 */ /*GILLT_s64*//*Label 7830*/ GIMT_Encode4(387910), GIMT_Encode4(0),
     /* 387886 */ /*GILLT_v2s32*//*Label 7831*/ GIMT_Encode4(387941),
     /* 387890 */ /*GILLT_v2s64*//*Label 7832*/ GIMT_Encode4(387972),
     /* 387894 */ /*GILLT_v4s16*//*Label 7833*/ GIMT_Encode4(388003),
     /* 387898 */ /*GILLT_v4s32*//*Label 7834*/ GIMT_Encode4(388034), GIMT_Encode4(0),
     /* 387906 */ /*GILLT_v8s16*//*Label 7835*/ GIMT_Encode4(388065),
     /* 387910 */ // Label 7830: @387910
     /* 387910 */ GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(387940), // Rule ID 2504 //
     /* 387915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 387921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387929 */   // (AArch64fcmeqz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 387929 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv1i64rz),
     /* 387934 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387938 */   GIR_RootConstrainSelectedInstOperands,
     /* 387939 */   // GIR_Coverage, 2504,
     /* 387939 */   GIR_Done,
     /* 387940 */ // Label 7837: @387940
     /* 387940 */ GIM_Reject,
     /* 387941 */ // Label 7831: @387941
     /* 387941 */ GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(387971), // Rule ID 766 //
     /* 387946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 387952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387960 */   // (AArch64fcmeqz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 387960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i32rz),
     /* 387965 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387969 */   GIR_RootConstrainSelectedInstOperands,
     /* 387970 */   // GIR_Coverage, 766,
     /* 387970 */   GIR_Done,
     /* 387971 */ // Label 7838: @387971
     /* 387971 */ GIM_Reject,
     /* 387972 */ // Label 7832: @387972
     /* 387972 */ GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(388002), // Rule ID 768 //
     /* 387977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387991 */   // (AArch64fcmeqz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 387991 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i64rz),
     /* 387996 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388000 */   GIR_RootConstrainSelectedInstOperands,
     /* 388001 */   // GIR_Coverage, 768,
     /* 388001 */   GIR_Done,
     /* 388002 */ // Label 7839: @388002
     /* 388002 */ GIM_Reject,
     /* 388003 */ // Label 7833: @388003
     /* 388003 */ GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(388033), // Rule ID 764 //
     /* 388008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388022 */   // (AArch64fcmeqz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 388022 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i16rz),
     /* 388027 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388031 */   GIR_RootConstrainSelectedInstOperands,
     /* 388032 */   // GIR_Coverage, 764,
     /* 388032 */   GIR_Done,
     /* 388033 */ // Label 7840: @388033
     /* 388033 */ GIM_Reject,
     /* 388034 */ // Label 7834: @388034
     /* 388034 */ GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(388064), // Rule ID 767 //
     /* 388039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388053 */   // (AArch64fcmeqz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 388053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i32rz),
     /* 388058 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388062 */   GIR_RootConstrainSelectedInstOperands,
     /* 388063 */   // GIR_Coverage, 767,
     /* 388063 */   GIR_Done,
     /* 388064 */ // Label 7841: @388064
     /* 388064 */ GIM_Reject,
     /* 388065 */ // Label 7835: @388065
     /* 388065 */ GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(388095), // Rule ID 765 //
     /* 388070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 388076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388084 */   // (AArch64fcmeqz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 388084 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8i16rz),
     /* 388089 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388093 */   GIR_RootConstrainSelectedInstOperands,
     /* 388094 */   // GIR_Coverage, 765,
     /* 388094 */   GIR_Done,
     /* 388095 */ // Label 7842: @388095
     /* 388095 */ GIM_Reject,
     /* 388096 */ // Label 7836: @388096
     /* 388096 */ GIM_Reject,
     /* 388097 */ // Label 127: @388097
     /* 388097 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7850*/ GIMT_Encode4(388760),
     /* 388108 */ /*GILLT_s32*//*Label 7843*/ GIMT_Encode4(388144),
     /* 388112 */ /*GILLT_s64*//*Label 7844*/ GIMT_Encode4(388182), GIMT_Encode4(0),
     /* 388120 */ /*GILLT_v2s32*//*Label 7845*/ GIMT_Encode4(388245),
     /* 388124 */ /*GILLT_v2s64*//*Label 7846*/ GIMT_Encode4(388348),
     /* 388128 */ /*GILLT_v4s16*//*Label 7847*/ GIMT_Encode4(388451),
     /* 388132 */ /*GILLT_v4s32*//*Label 7848*/ GIMT_Encode4(388554), GIMT_Encode4(0),
     /* 388140 */ /*GILLT_v8s16*//*Label 7849*/ GIMT_Encode4(388657),
     /* 388144 */ // Label 7843: @388144
     /* 388144 */ GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(388181), // Rule ID 1617 //
     /* 388149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 388155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 388158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388170 */   // (AArch64fcmge:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 388170 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE32),
     /* 388175 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388179 */   GIR_RootConstrainSelectedInstOperands,
     /* 388180 */   // GIR_Coverage, 1617,
     /* 388180 */   GIR_Done,
     /* 388181 */ // Label 7851: @388181
     /* 388181 */ GIM_Reject,
     /* 388182 */ // Label 7844: @388182
     /* 388182 */ GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(388244),
     /* 388187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 388190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 388193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388205 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(388224), // Rule ID 1616 //
     /* 388210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388213 */     // (AArch64fcmge:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 388213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 388218 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388222 */     GIR_RootConstrainSelectedInstOperands,
     /* 388223 */     // GIR_Coverage, 1616,
     /* 388223 */     GIR_Done,
     /* 388224 */   // Label 7853: @388224
     /* 388224 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(388243), // Rule ID 5150 //
     /* 388229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388232 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 388232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 388237 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388241 */     GIR_RootConstrainSelectedInstOperands,
     /* 388242 */     // GIR_Coverage, 5150,
     /* 388242 */     GIR_Done,
     /* 388243 */   // Label 7854: @388243
     /* 388243 */   GIM_Reject,
     /* 388244 */ // Label 7852: @388244
     /* 388244 */ GIM_Reject,
     /* 388245 */ // Label 7845: @388245
     /* 388245 */ GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(388347),
     /* 388250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 388256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388260 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(388319), // Rule ID 1165 //
     /* 388265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388304 */     // (AArch64fcmge:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 388304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 388307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 388309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388317 */     GIR_RootConstrainSelectedInstOperands,
     /* 388318 */     // GIR_Coverage, 1165,
     /* 388318 */     GIR_EraseRootFromParent_Done,
     /* 388319 */   // Label 7856: @388319
     /* 388319 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(388346), // Rule ID 1208 //
     /* 388324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388335 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 388335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f32),
     /* 388340 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388344 */     GIR_RootConstrainSelectedInstOperands,
     /* 388345 */     // GIR_Coverage, 1208,
     /* 388345 */     GIR_Done,
     /* 388346 */   // Label 7857: @388346
     /* 388346 */   GIM_Reject,
     /* 388347 */ // Label 7855: @388347
     /* 388347 */ GIM_Reject,
     /* 388348 */ // Label 7846: @388348
     /* 388348 */ GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(388450),
     /* 388353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 388356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 388359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388363 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(388422), // Rule ID 1169 //
     /* 388368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 388383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 388400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388407 */     // (AArch64fcmge:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 388407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 388410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 388412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388420 */     GIR_RootConstrainSelectedInstOperands,
     /* 388421 */     // GIR_Coverage, 1169,
     /* 388421 */     GIR_EraseRootFromParent_Done,
     /* 388422 */   // Label 7859: @388422
     /* 388422 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(388449), // Rule ID 1210 //
     /* 388427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388438 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 388438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f64),
     /* 388443 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388447 */     GIR_RootConstrainSelectedInstOperands,
     /* 388448 */     // GIR_Coverage, 1210,
     /* 388448 */     GIR_Done,
     /* 388449 */   // Label 7860: @388449
     /* 388449 */   GIM_Reject,
     /* 388450 */ // Label 7858: @388450
     /* 388450 */ GIM_Reject,
     /* 388451 */ // Label 7847: @388451
     /* 388451 */ GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(388553),
     /* 388456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 388462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388466 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(388525), // Rule ID 1161 //
     /* 388471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388510 */     // (AArch64fcmge:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 388510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 388513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 388515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388523 */     GIR_RootConstrainSelectedInstOperands,
     /* 388524 */     // GIR_Coverage, 1161,
     /* 388524 */     GIR_EraseRootFromParent_Done,
     /* 388525 */   // Label 7862: @388525
     /* 388525 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(388552), // Rule ID 1206 //
     /* 388530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388541 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 388541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f16),
     /* 388546 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388550 */     GIR_RootConstrainSelectedInstOperands,
     /* 388551 */     // GIR_Coverage, 1206,
     /* 388551 */     GIR_Done,
     /* 388552 */   // Label 7863: @388552
     /* 388552 */   GIM_Reject,
     /* 388553 */ // Label 7861: @388553
     /* 388553 */ GIM_Reject,
     /* 388554 */ // Label 7848: @388554
     /* 388554 */ GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(388656),
     /* 388559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 388565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388569 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(388628), // Rule ID 1167 //
     /* 388574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388613 */     // (AArch64fcmge:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 388613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 388616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 388618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388626 */     GIR_RootConstrainSelectedInstOperands,
     /* 388627 */     // GIR_Coverage, 1167,
     /* 388627 */     GIR_EraseRootFromParent_Done,
     /* 388628 */   // Label 7865: @388628
     /* 388628 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(388655), // Rule ID 1209 //
     /* 388633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388644 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 388644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f32),
     /* 388649 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388653 */     GIR_RootConstrainSelectedInstOperands,
     /* 388654 */     // GIR_Coverage, 1209,
     /* 388654 */     GIR_Done,
     /* 388655 */   // Label 7866: @388655
     /* 388655 */   GIM_Reject,
     /* 388656 */ // Label 7864: @388656
     /* 388656 */ GIM_Reject,
     /* 388657 */ // Label 7849: @388657
     /* 388657 */ GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(388759),
     /* 388662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 388665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 388668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388672 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(388731), // Rule ID 1163 //
     /* 388677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 388692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 388705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 388709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388716 */     // (AArch64fcmge:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 388716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 388719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 388721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388729 */     GIR_RootConstrainSelectedInstOperands,
     /* 388730 */     // GIR_Coverage, 1163,
     /* 388730 */     GIR_EraseRootFromParent_Done,
     /* 388731 */   // Label 7868: @388731
     /* 388731 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(388758), // Rule ID 1207 //
     /* 388736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388747 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 388747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8f16),
     /* 388752 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388756 */     GIR_RootConstrainSelectedInstOperands,
     /* 388757 */     // GIR_Coverage, 1207,
     /* 388757 */     GIR_Done,
     /* 388758 */   // Label 7869: @388758
     /* 388758 */   GIM_Reject,
     /* 388759 */ // Label 7867: @388759
     /* 388759 */ GIM_Reject,
     /* 388760 */ // Label 7850: @388760
     /* 388760 */ GIM_Reject,
     /* 388761 */ // Label 128: @388761
     /* 388761 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7876*/ GIMT_Encode4(388990),
     /* 388772 */ /*GILLT_s64*//*Label 7870*/ GIMT_Encode4(388804), GIMT_Encode4(0),
     /* 388780 */ /*GILLT_v2s32*//*Label 7871*/ GIMT_Encode4(388835),
     /* 388784 */ /*GILLT_v2s64*//*Label 7872*/ GIMT_Encode4(388866),
     /* 388788 */ /*GILLT_v4s16*//*Label 7873*/ GIMT_Encode4(388897),
     /* 388792 */ /*GILLT_v4s32*//*Label 7874*/ GIMT_Encode4(388928), GIMT_Encode4(0),
     /* 388800 */ /*GILLT_v8s16*//*Label 7875*/ GIMT_Encode4(388959),
     /* 388804 */ // Label 7870: @388804
     /* 388804 */ GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(388834), // Rule ID 5180 //
     /* 388809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 388815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388823 */   // (AArch64fcmgez:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 388823 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv1i64rz),
     /* 388828 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388832 */   GIR_RootConstrainSelectedInstOperands,
     /* 388833 */   // GIR_Coverage, 5180,
     /* 388833 */   GIR_Done,
     /* 388834 */ // Label 7877: @388834
     /* 388834 */ GIM_Reject,
     /* 388835 */ // Label 7871: @388835
     /* 388835 */ GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(388865), // Rule ID 771 //
     /* 388840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388854 */   // (AArch64fcmgez:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 388854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i32rz),
     /* 388859 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388863 */   GIR_RootConstrainSelectedInstOperands,
     /* 388864 */   // GIR_Coverage, 771,
     /* 388864 */   GIR_Done,
     /* 388865 */ // Label 7878: @388865
     /* 388865 */ GIM_Reject,
     /* 388866 */ // Label 7872: @388866
     /* 388866 */ GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(388896), // Rule ID 773 //
     /* 388871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 388877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388885 */   // (AArch64fcmgez:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 388885 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i64rz),
     /* 388890 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388894 */   GIR_RootConstrainSelectedInstOperands,
     /* 388895 */   // GIR_Coverage, 773,
     /* 388895 */   GIR_Done,
     /* 388896 */ // Label 7879: @388896
     /* 388896 */ GIM_Reject,
     /* 388897 */ // Label 7873: @388897
     /* 388897 */ GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(388927), // Rule ID 769 //
     /* 388902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388916 */   // (AArch64fcmgez:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 388916 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i16rz),
     /* 388921 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388925 */   GIR_RootConstrainSelectedInstOperands,
     /* 388926 */   // GIR_Coverage, 769,
     /* 388926 */   GIR_Done,
     /* 388927 */ // Label 7880: @388927
     /* 388927 */ GIM_Reject,
     /* 388928 */ // Label 7874: @388928
     /* 388928 */ GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(388958), // Rule ID 772 //
     /* 388933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388947 */   // (AArch64fcmgez:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 388947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i32rz),
     /* 388952 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388956 */   GIR_RootConstrainSelectedInstOperands,
     /* 388957 */   // GIR_Coverage, 772,
     /* 388957 */   GIR_Done,
     /* 388958 */ // Label 7881: @388958
     /* 388958 */ GIM_Reject,
     /* 388959 */ // Label 7875: @388959
     /* 388959 */ GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(388989), // Rule ID 770 //
     /* 388964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 388970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388978 */   // (AArch64fcmgez:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 388978 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8i16rz),
     /* 388983 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 388987 */   GIR_RootConstrainSelectedInstOperands,
     /* 388988 */   // GIR_Coverage, 770,
     /* 388988 */   GIR_Done,
     /* 388989 */ // Label 7882: @388989
     /* 388989 */ GIM_Reject,
     /* 388990 */ // Label 7876: @388990
     /* 388990 */ GIM_Reject,
     /* 388991 */ // Label 129: @388991
     /* 388991 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7890*/ GIMT_Encode4(389654),
     /* 389002 */ /*GILLT_s32*//*Label 7883*/ GIMT_Encode4(389038),
     /* 389006 */ /*GILLT_s64*//*Label 7884*/ GIMT_Encode4(389076), GIMT_Encode4(0),
     /* 389014 */ /*GILLT_v2s32*//*Label 7885*/ GIMT_Encode4(389139),
     /* 389018 */ /*GILLT_v2s64*//*Label 7886*/ GIMT_Encode4(389242),
     /* 389022 */ /*GILLT_v4s16*//*Label 7887*/ GIMT_Encode4(389345),
     /* 389026 */ /*GILLT_v4s32*//*Label 7888*/ GIMT_Encode4(389448), GIMT_Encode4(0),
     /* 389034 */ /*GILLT_v8s16*//*Label 7889*/ GIMT_Encode4(389551),
     /* 389038 */ // Label 7883: @389038
     /* 389038 */ GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(389075), // Rule ID 1619 //
     /* 389043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 389049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 389052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389064 */   // (AArch64fcmgt:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 389064 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT32),
     /* 389069 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389073 */   GIR_RootConstrainSelectedInstOperands,
     /* 389074 */   // GIR_Coverage, 1619,
     /* 389074 */   GIR_Done,
     /* 389075 */ // Label 7891: @389075
     /* 389075 */ GIM_Reject,
     /* 389076 */ // Label 7884: @389076
     /* 389076 */ GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(389138),
     /* 389081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 389084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 389087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389099 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(389118), // Rule ID 1618 //
     /* 389104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389107 */     // (AArch64fcmgt:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 389107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 389112 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389116 */     GIR_RootConstrainSelectedInstOperands,
     /* 389117 */     // GIR_Coverage, 1618,
     /* 389117 */     GIR_Done,
     /* 389118 */   // Label 7893: @389118
     /* 389118 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(389137), // Rule ID 5151 //
     /* 389123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389126 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 389126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 389131 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389135 */     GIR_RootConstrainSelectedInstOperands,
     /* 389136 */     // GIR_Coverage, 5151,
     /* 389136 */     GIR_Done,
     /* 389137 */   // Label 7894: @389137
     /* 389137 */   GIM_Reject,
     /* 389138 */ // Label 7892: @389138
     /* 389138 */ GIM_Reject,
     /* 389139 */ // Label 7885: @389139
     /* 389139 */ GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(389241),
     /* 389144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 389150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389154 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(389213), // Rule ID 1175 //
     /* 389159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389198 */     // (AArch64fcmgt:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 389201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 389203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389211 */     GIR_RootConstrainSelectedInstOperands,
     /* 389212 */     // GIR_Coverage, 1175,
     /* 389212 */     GIR_EraseRootFromParent_Done,
     /* 389213 */   // Label 7896: @389213
     /* 389213 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(389240), // Rule ID 1213 //
     /* 389218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389229 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f32),
     /* 389234 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389238 */     GIR_RootConstrainSelectedInstOperands,
     /* 389239 */     // GIR_Coverage, 1213,
     /* 389239 */     GIR_Done,
     /* 389240 */   // Label 7897: @389240
     /* 389240 */   GIM_Reject,
     /* 389241 */ // Label 7895: @389241
     /* 389241 */ GIM_Reject,
     /* 389242 */ // Label 7886: @389242
     /* 389242 */ GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(389344),
     /* 389247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 389253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389257 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(389316), // Rule ID 1179 //
     /* 389262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389301 */     // (AArch64fcmgt:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 389301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 389304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 389306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389314 */     GIR_RootConstrainSelectedInstOperands,
     /* 389315 */     // GIR_Coverage, 1179,
     /* 389315 */     GIR_EraseRootFromParent_Done,
     /* 389316 */   // Label 7899: @389316
     /* 389316 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(389343), // Rule ID 1215 //
     /* 389321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389332 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 389332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f64),
     /* 389337 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389341 */     GIR_RootConstrainSelectedInstOperands,
     /* 389342 */     // GIR_Coverage, 1215,
     /* 389342 */     GIR_Done,
     /* 389343 */   // Label 7900: @389343
     /* 389343 */   GIM_Reject,
     /* 389344 */ // Label 7898: @389344
     /* 389344 */ GIM_Reject,
     /* 389345 */ // Label 7887: @389345
     /* 389345 */ GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(389447),
     /* 389350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 389353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 389356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389360 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(389419), // Rule ID 1171 //
     /* 389365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 389380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 389397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389404 */     // (AArch64fcmgt:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 389404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 389407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 389409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389417 */     GIR_RootConstrainSelectedInstOperands,
     /* 389418 */     // GIR_Coverage, 1171,
     /* 389418 */     GIR_EraseRootFromParent_Done,
     /* 389419 */   // Label 7902: @389419
     /* 389419 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(389446), // Rule ID 1211 //
     /* 389424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389435 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 389435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f16),
     /* 389440 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389444 */     GIR_RootConstrainSelectedInstOperands,
     /* 389445 */     // GIR_Coverage, 1211,
     /* 389445 */     GIR_Done,
     /* 389446 */   // Label 7903: @389446
     /* 389446 */   GIM_Reject,
     /* 389447 */ // Label 7901: @389447
     /* 389447 */ GIM_Reject,
     /* 389448 */ // Label 7888: @389448
     /* 389448 */ GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(389550),
     /* 389453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 389459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389463 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(389522), // Rule ID 1177 //
     /* 389468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389507 */     // (AArch64fcmgt:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 389507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 389510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 389512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389520 */     GIR_RootConstrainSelectedInstOperands,
     /* 389521 */     // GIR_Coverage, 1177,
     /* 389521 */     GIR_EraseRootFromParent_Done,
     /* 389522 */   // Label 7905: @389522
     /* 389522 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(389549), // Rule ID 1214 //
     /* 389527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389538 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 389538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f32),
     /* 389543 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389547 */     GIR_RootConstrainSelectedInstOperands,
     /* 389548 */     // GIR_Coverage, 1214,
     /* 389548 */     GIR_Done,
     /* 389549 */   // Label 7906: @389549
     /* 389549 */   GIM_Reject,
     /* 389550 */ // Label 7904: @389550
     /* 389550 */ GIM_Reject,
     /* 389551 */ // Label 7889: @389551
     /* 389551 */ GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(389653),
     /* 389556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 389559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 389562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389566 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(389625), // Rule ID 1173 //
     /* 389571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 389586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 389599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 389603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389610 */     // (AArch64fcmgt:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 389610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 389613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 389615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389623 */     GIR_RootConstrainSelectedInstOperands,
     /* 389624 */     // GIR_Coverage, 1173,
     /* 389624 */     GIR_EraseRootFromParent_Done,
     /* 389625 */   // Label 7908: @389625
     /* 389625 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(389652), // Rule ID 1212 //
     /* 389630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389641 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 389641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8f16),
     /* 389646 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389650 */     GIR_RootConstrainSelectedInstOperands,
     /* 389651 */     // GIR_Coverage, 1212,
     /* 389651 */     GIR_Done,
     /* 389652 */   // Label 7909: @389652
     /* 389652 */   GIM_Reject,
     /* 389653 */ // Label 7907: @389653
     /* 389653 */ GIM_Reject,
     /* 389654 */ // Label 7890: @389654
     /* 389654 */ GIM_Reject,
     /* 389655 */ // Label 130: @389655
     /* 389655 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7916*/ GIMT_Encode4(389884),
     /* 389666 */ /*GILLT_s64*//*Label 7910*/ GIMT_Encode4(389698), GIMT_Encode4(0),
     /* 389674 */ /*GILLT_v2s32*//*Label 7911*/ GIMT_Encode4(389729),
     /* 389678 */ /*GILLT_v2s64*//*Label 7912*/ GIMT_Encode4(389760),
     /* 389682 */ /*GILLT_v4s16*//*Label 7913*/ GIMT_Encode4(389791),
     /* 389686 */ /*GILLT_v4s32*//*Label 7914*/ GIMT_Encode4(389822), GIMT_Encode4(0),
     /* 389694 */ /*GILLT_v8s16*//*Label 7915*/ GIMT_Encode4(389853),
     /* 389698 */ // Label 7910: @389698
     /* 389698 */ GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(389728), // Rule ID 5181 //
     /* 389703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 389709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389717 */   // (AArch64fcmgtz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 389717 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv1i64rz),
     /* 389722 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389726 */   GIR_RootConstrainSelectedInstOperands,
     /* 389727 */   // GIR_Coverage, 5181,
     /* 389727 */   GIR_Done,
     /* 389728 */ // Label 7917: @389728
     /* 389728 */ GIM_Reject,
     /* 389729 */ // Label 7911: @389729
     /* 389729 */ GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(389759), // Rule ID 776 //
     /* 389734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389748 */   // (AArch64fcmgtz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 389748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i32rz),
     /* 389753 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389757 */   GIR_RootConstrainSelectedInstOperands,
     /* 389758 */   // GIR_Coverage, 776,
     /* 389758 */   GIR_Done,
     /* 389759 */ // Label 7918: @389759
     /* 389759 */ GIM_Reject,
     /* 389760 */ // Label 7912: @389760
     /* 389760 */ GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(389790), // Rule ID 778 //
     /* 389765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389779 */   // (AArch64fcmgtz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 389779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i64rz),
     /* 389784 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389788 */   GIR_RootConstrainSelectedInstOperands,
     /* 389789 */   // GIR_Coverage, 778,
     /* 389789 */   GIR_Done,
     /* 389790 */ // Label 7919: @389790
     /* 389790 */ GIM_Reject,
     /* 389791 */ // Label 7913: @389791
     /* 389791 */ GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(389821), // Rule ID 774 //
     /* 389796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 389802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389810 */   // (AArch64fcmgtz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 389810 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i16rz),
     /* 389815 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389819 */   GIR_RootConstrainSelectedInstOperands,
     /* 389820 */   // GIR_Coverage, 774,
     /* 389820 */   GIR_Done,
     /* 389821 */ // Label 7920: @389821
     /* 389821 */ GIM_Reject,
     /* 389822 */ // Label 7914: @389822
     /* 389822 */ GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(389852), // Rule ID 777 //
     /* 389827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389841 */   // (AArch64fcmgtz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 389841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i32rz),
     /* 389846 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389850 */   GIR_RootConstrainSelectedInstOperands,
     /* 389851 */   // GIR_Coverage, 777,
     /* 389851 */   GIR_Done,
     /* 389852 */ // Label 7921: @389852
     /* 389852 */ GIM_Reject,
     /* 389853 */ // Label 7915: @389853
     /* 389853 */ GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(389883), // Rule ID 775 //
     /* 389858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 389861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 389864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389872 */   // (AArch64fcmgtz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 389872 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8i16rz),
     /* 389877 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389881 */   GIR_RootConstrainSelectedInstOperands,
     /* 389882 */   // GIR_Coverage, 775,
     /* 389882 */   GIR_Done,
     /* 389883 */ // Label 7922: @389883
     /* 389883 */ GIM_Reject,
     /* 389884 */ // Label 7916: @389884
     /* 389884 */ GIM_Reject,
     /* 389885 */ // Label 131: @389885
     /* 389885 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7929*/ GIMT_Encode4(390114),
     /* 389896 */ /*GILLT_s64*//*Label 7923*/ GIMT_Encode4(389928), GIMT_Encode4(0),
     /* 389904 */ /*GILLT_v2s32*//*Label 7924*/ GIMT_Encode4(389959),
     /* 389908 */ /*GILLT_v2s64*//*Label 7925*/ GIMT_Encode4(389990),
     /* 389912 */ /*GILLT_v4s16*//*Label 7926*/ GIMT_Encode4(390021),
     /* 389916 */ /*GILLT_v4s32*//*Label 7927*/ GIMT_Encode4(390052), GIMT_Encode4(0),
     /* 389924 */ /*GILLT_v8s16*//*Label 7928*/ GIMT_Encode4(390083),
     /* 389928 */ // Label 7923: @389928
     /* 389928 */ GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(389958), // Rule ID 5182 //
     /* 389933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 389939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389947 */   // (AArch64fcmlez:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 389947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv1i64rz),
     /* 389952 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389956 */   GIR_RootConstrainSelectedInstOperands,
     /* 389957 */   // GIR_Coverage, 5182,
     /* 389957 */   GIR_Done,
     /* 389958 */ // Label 7930: @389958
     /* 389958 */ GIM_Reject,
     /* 389959 */ // Label 7924: @389959
     /* 389959 */ GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(389989), // Rule ID 781 //
     /* 389964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389978 */   // (AArch64fcmlez:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 389978 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i32rz),
     /* 389983 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 389987 */   GIR_RootConstrainSelectedInstOperands,
     /* 389988 */   // GIR_Coverage, 781,
     /* 389988 */   GIR_Done,
     /* 389989 */ // Label 7931: @389989
     /* 389989 */ GIM_Reject,
     /* 389990 */ // Label 7925: @389990
     /* 389990 */ GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(390020), // Rule ID 783 //
     /* 389995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390009 */   // (AArch64fcmlez:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 390009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i64rz),
     /* 390014 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390018 */   GIR_RootConstrainSelectedInstOperands,
     /* 390019 */   // GIR_Coverage, 783,
     /* 390019 */   GIR_Done,
     /* 390020 */ // Label 7932: @390020
     /* 390020 */ GIM_Reject,
     /* 390021 */ // Label 7926: @390021
     /* 390021 */ GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(390051), // Rule ID 779 //
     /* 390026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390040 */   // (AArch64fcmlez:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 390040 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i16rz),
     /* 390045 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390049 */   GIR_RootConstrainSelectedInstOperands,
     /* 390050 */   // GIR_Coverage, 779,
     /* 390050 */   GIR_Done,
     /* 390051 */ // Label 7933: @390051
     /* 390051 */ GIM_Reject,
     /* 390052 */ // Label 7927: @390052
     /* 390052 */ GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(390082), // Rule ID 782 //
     /* 390057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 390063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390071 */   // (AArch64fcmlez:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 390071 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i32rz),
     /* 390076 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390080 */   GIR_RootConstrainSelectedInstOperands,
     /* 390081 */   // GIR_Coverage, 782,
     /* 390081 */   GIR_Done,
     /* 390082 */ // Label 7934: @390082
     /* 390082 */ GIM_Reject,
     /* 390083 */ // Label 7928: @390083
     /* 390083 */ GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(390113), // Rule ID 780 //
     /* 390088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390102 */   // (AArch64fcmlez:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 390102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv8i16rz),
     /* 390107 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390111 */   GIR_RootConstrainSelectedInstOperands,
     /* 390112 */   // GIR_Coverage, 780,
     /* 390112 */   GIR_Done,
     /* 390113 */ // Label 7935: @390113
     /* 390113 */ GIM_Reject,
     /* 390114 */ // Label 7929: @390114
     /* 390114 */ GIM_Reject,
     /* 390115 */ // Label 132: @390115
     /* 390115 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7942*/ GIMT_Encode4(390344),
     /* 390126 */ /*GILLT_s64*//*Label 7936*/ GIMT_Encode4(390158), GIMT_Encode4(0),
     /* 390134 */ /*GILLT_v2s32*//*Label 7937*/ GIMT_Encode4(390189),
     /* 390138 */ /*GILLT_v2s64*//*Label 7938*/ GIMT_Encode4(390220),
     /* 390142 */ /*GILLT_v4s16*//*Label 7939*/ GIMT_Encode4(390251),
     /* 390146 */ /*GILLT_v4s32*//*Label 7940*/ GIMT_Encode4(390282), GIMT_Encode4(0),
     /* 390154 */ /*GILLT_v8s16*//*Label 7941*/ GIMT_Encode4(390313),
     /* 390158 */ // Label 7936: @390158
     /* 390158 */ GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(390188), // Rule ID 5183 //
     /* 390163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 390169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390177 */   // (AArch64fcmltz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 390177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv1i64rz),
     /* 390182 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390186 */   GIR_RootConstrainSelectedInstOperands,
     /* 390187 */   // GIR_Coverage, 5183,
     /* 390187 */   GIR_Done,
     /* 390188 */ // Label 7943: @390188
     /* 390188 */ GIM_Reject,
     /* 390189 */ // Label 7937: @390189
     /* 390189 */ GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(390219), // Rule ID 786 //
     /* 390194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 390200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390208 */   // (AArch64fcmltz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 390208 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i32rz),
     /* 390213 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390217 */   GIR_RootConstrainSelectedInstOperands,
     /* 390218 */   // GIR_Coverage, 786,
     /* 390218 */   GIR_Done,
     /* 390219 */ // Label 7944: @390219
     /* 390219 */ GIM_Reject,
     /* 390220 */ // Label 7938: @390220
     /* 390220 */ GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(390250), // Rule ID 788 //
     /* 390225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390239 */   // (AArch64fcmltz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 390239 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i64rz),
     /* 390244 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390248 */   GIR_RootConstrainSelectedInstOperands,
     /* 390249 */   // GIR_Coverage, 788,
     /* 390249 */   GIR_Done,
     /* 390250 */ // Label 7945: @390250
     /* 390250 */ GIM_Reject,
     /* 390251 */ // Label 7939: @390251
     /* 390251 */ GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(390281), // Rule ID 784 //
     /* 390256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390270 */   // (AArch64fcmltz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 390270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i16rz),
     /* 390275 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390279 */   GIR_RootConstrainSelectedInstOperands,
     /* 390280 */   // GIR_Coverage, 784,
     /* 390280 */   GIR_Done,
     /* 390281 */ // Label 7946: @390281
     /* 390281 */ GIM_Reject,
     /* 390282 */ // Label 7940: @390282
     /* 390282 */ GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(390312), // Rule ID 787 //
     /* 390287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 390293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390301 */   // (AArch64fcmltz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 390301 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i32rz),
     /* 390306 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390310 */   GIR_RootConstrainSelectedInstOperands,
     /* 390311 */   // GIR_Coverage, 787,
     /* 390311 */   GIR_Done,
     /* 390312 */ // Label 7947: @390312
     /* 390312 */ GIM_Reject,
     /* 390313 */ // Label 7941: @390313
     /* 390313 */ GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(390343), // Rule ID 785 //
     /* 390318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390332 */   // (AArch64fcmltz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 390332 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv8i16rz),
     /* 390337 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 390341 */   GIR_RootConstrainSelectedInstOperands,
     /* 390342 */   // GIR_Coverage, 785,
     /* 390342 */   GIR_Done,
     /* 390343 */ // Label 7948: @390343
     /* 390343 */ GIM_Reject,
     /* 390344 */ // Label 7942: @390344
     /* 390344 */ GIM_Reject,
     /* 390345 */ // Label 133: @390345
     /* 390345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7953*/ GIMT_Encode4(390498),
     /* 390356 */ /*GILLT_s32*//*Label 7949*/ GIMT_Encode4(390396),
     /* 390360 */ /*GILLT_s64*//*Label 7950*/ GIMT_Encode4(390420), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 390384 */ /*GILLT_v8s8*//*Label 7951*/ GIMT_Encode4(390444), GIMT_Encode4(0),
     /* 390392 */ /*GILLT_v16s8*//*Label 7952*/ GIMT_Encode4(390471),
     /* 390396 */ // Label 7949: @390396
     /* 390396 */ GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(390419), // Rule ID 3957 //
     /* 390401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 390404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 390408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 390412 */   // (AArch64rev16:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 390412 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 390417 */   GIR_RootConstrainSelectedInstOperands,
     /* 390418 */   // GIR_Coverage, 3957,
     /* 390418 */   GIR_Done,
     /* 390419 */ // Label 7954: @390419
     /* 390419 */ GIM_Reject,
     /* 390420 */ // Label 7950: @390420
     /* 390420 */ GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(390443), // Rule ID 3958 //
     /* 390425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 390428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 390432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 390436 */   // (AArch64rev16:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 390436 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /* 390441 */   GIR_RootConstrainSelectedInstOperands,
     /* 390442 */   // GIR_Coverage, 3958,
     /* 390442 */   GIR_Done,
     /* 390443 */ // Label 7955: @390443
     /* 390443 */ GIM_Reject,
     /* 390444 */ // Label 7951: @390444
     /* 390444 */ GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(390470), // Rule ID 969 //
     /* 390449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 390455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390463 */   // (AArch64rev16:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV16v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 390463 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 390468 */   GIR_RootConstrainSelectedInstOperands,
     /* 390469 */   // GIR_Coverage, 969,
     /* 390469 */   GIR_Done,
     /* 390470 */ // Label 7956: @390470
     /* 390470 */ GIM_Reject,
     /* 390471 */ // Label 7952: @390471
     /* 390471 */ GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(390497), // Rule ID 970 //
     /* 390476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 390482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390490 */   // (AArch64rev16:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV16v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 390490 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 390495 */   GIR_RootConstrainSelectedInstOperands,
     /* 390496 */   // GIR_Coverage, 970,
     /* 390496 */   GIR_Done,
     /* 390497 */ // Label 7957: @390497
     /* 390497 */ GIM_Reject,
     /* 390498 */ // Label 7953: @390498
     /* 390498 */ GIM_Reject,
     /* 390499 */ // Label 134: @390499
     /* 390499 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 7962*/ GIMT_Encode4(390674),
     /* 390510 */ /*GILLT_v4s16*//*Label 7958*/ GIMT_Encode4(390530), GIMT_Encode4(0),
     /* 390518 */ /*GILLT_v8s8*//*Label 7959*/ GIMT_Encode4(390575),
     /* 390522 */ /*GILLT_v8s16*//*Label 7960*/ GIMT_Encode4(390602),
     /* 390526 */ /*GILLT_v16s8*//*Label 7961*/ GIMT_Encode4(390647),
     /* 390530 */ // Label 7958: @390530
     /* 390530 */ GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(390574),
     /* 390535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390546 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(390561), // Rule ID 973 //
     /* 390551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390554 */     // (AArch64rev32:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV32v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 390554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 390559 */     GIR_RootConstrainSelectedInstOperands,
     /* 390560 */     // GIR_Coverage, 973,
     /* 390560 */     GIR_Done,
     /* 390561 */   // Label 7964: @390561
     /* 390561 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(390573), // Rule ID 4902 //
     /* 390566 */     // (AArch64rev32:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV32v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 390566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 390571 */     GIR_RootConstrainSelectedInstOperands,
     /* 390572 */     // GIR_Coverage, 4902,
     /* 390572 */     GIR_Done,
     /* 390573 */   // Label 7965: @390573
     /* 390573 */   GIM_Reject,
     /* 390574 */ // Label 7963: @390574
     /* 390574 */ GIM_Reject,
     /* 390575 */ // Label 7959: @390575
     /* 390575 */ GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(390601), // Rule ID 971 //
     /* 390580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 390586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390594 */   // (AArch64rev32:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV32v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 390594 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 390599 */   GIR_RootConstrainSelectedInstOperands,
     /* 390600 */   // GIR_Coverage, 971,
     /* 390600 */   GIR_Done,
     /* 390601 */ // Label 7966: @390601
     /* 390601 */ GIM_Reject,
     /* 390602 */ // Label 7960: @390602
     /* 390602 */ GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(390646),
     /* 390607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390618 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(390633), // Rule ID 974 //
     /* 390623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390626 */     // (AArch64rev32:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV32v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 390626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 390631 */     GIR_RootConstrainSelectedInstOperands,
     /* 390632 */     // GIR_Coverage, 974,
     /* 390632 */     GIR_Done,
     /* 390633 */   // Label 7968: @390633
     /* 390633 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(390645), // Rule ID 4904 //
     /* 390638 */     // (AArch64rev32:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV32v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 390638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 390643 */     GIR_RootConstrainSelectedInstOperands,
     /* 390644 */     // GIR_Coverage, 4904,
     /* 390644 */     GIR_Done,
     /* 390645 */   // Label 7969: @390645
     /* 390645 */   GIM_Reject,
     /* 390646 */ // Label 7967: @390646
     /* 390646 */ GIM_Reject,
     /* 390647 */ // Label 7961: @390647
     /* 390647 */ GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(390673), // Rule ID 972 //
     /* 390652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 390658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390666 */   // (AArch64rev32:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV32v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 390666 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 390671 */   GIR_RootConstrainSelectedInstOperands,
     /* 390672 */   // GIR_Coverage, 972,
     /* 390672 */   GIR_Done,
     /* 390673 */ // Label 7970: @390673
     /* 390673 */ GIM_Reject,
     /* 390674 */ // Label 7962: @390674
     /* 390674 */ GIM_Reject,
     /* 390675 */ // Label 135: @390675
     /* 390675 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(12), /*)*//*default:*//*Label 7977*/ GIMT_Encode4(390948),
     /* 390686 */ /*GILLT_v2s32*//*Label 7971*/ GIMT_Encode4(390714), GIMT_Encode4(0),
     /* 390694 */ /*GILLT_v4s16*//*Label 7972*/ GIMT_Encode4(390759),
     /* 390698 */ /*GILLT_v4s32*//*Label 7973*/ GIMT_Encode4(390804),
     /* 390702 */ /*GILLT_v8s8*//*Label 7974*/ GIMT_Encode4(390849),
     /* 390706 */ /*GILLT_v8s16*//*Label 7975*/ GIMT_Encode4(390876),
     /* 390710 */ /*GILLT_v16s8*//*Label 7976*/ GIMT_Encode4(390921),
     /* 390714 */ // Label 7971: @390714
     /* 390714 */ GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(390758),
     /* 390719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 390722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390730 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(390745), // Rule ID 979 //
     /* 390735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390738 */     // (AArch64rev64:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV64v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 390738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 390743 */     GIR_RootConstrainSelectedInstOperands,
     /* 390744 */     // GIR_Coverage, 979,
     /* 390744 */     GIR_Done,
     /* 390745 */   // Label 7979: @390745
     /* 390745 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(390757), // Rule ID 4906 //
     /* 390750 */     // (AArch64rev64:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (REV64v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 390750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 390755 */     GIR_RootConstrainSelectedInstOperands,
     /* 390756 */     // GIR_Coverage, 4906,
     /* 390756 */     GIR_Done,
     /* 390757 */   // Label 7980: @390757
     /* 390757 */   GIM_Reject,
     /* 390758 */ // Label 7978: @390758
     /* 390758 */ GIM_Reject,
     /* 390759 */ // Label 7972: @390759
     /* 390759 */ GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(390803),
     /* 390764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390775 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(390790), // Rule ID 977 //
     /* 390780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390783 */     // (AArch64rev64:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV64v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 390783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 390788 */     GIR_RootConstrainSelectedInstOperands,
     /* 390789 */     // GIR_Coverage, 977,
     /* 390789 */     GIR_Done,
     /* 390790 */   // Label 7982: @390790
     /* 390790 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(390802), // Rule ID 4903 //
     /* 390795 */     // (AArch64rev64:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV64v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 390795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 390800 */     GIR_RootConstrainSelectedInstOperands,
     /* 390801 */     // GIR_Coverage, 4903,
     /* 390801 */     GIR_Done,
     /* 390802 */   // Label 7983: @390802
     /* 390802 */   GIM_Reject,
     /* 390803 */ // Label 7981: @390803
     /* 390803 */ GIM_Reject,
     /* 390804 */ // Label 7973: @390804
     /* 390804 */ GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(390848),
     /* 390809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 390812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390820 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(390835), // Rule ID 980 //
     /* 390825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390828 */     // (AArch64rev64:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV64v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 390828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 390833 */     GIR_RootConstrainSelectedInstOperands,
     /* 390834 */     // GIR_Coverage, 980,
     /* 390834 */     GIR_Done,
     /* 390835 */   // Label 7985: @390835
     /* 390835 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(390847), // Rule ID 4907 //
     /* 390840 */     // (AArch64rev64:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (REV64v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 390840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 390845 */     GIR_RootConstrainSelectedInstOperands,
     /* 390846 */     // GIR_Coverage, 4907,
     /* 390846 */     GIR_Done,
     /* 390847 */   // Label 7986: @390847
     /* 390847 */   GIM_Reject,
     /* 390848 */ // Label 7984: @390848
     /* 390848 */ GIM_Reject,
     /* 390849 */ // Label 7974: @390849
     /* 390849 */ GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(390875), // Rule ID 975 //
     /* 390854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 390860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390868 */   // (AArch64rev64:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV64v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 390868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /* 390873 */   GIR_RootConstrainSelectedInstOperands,
     /* 390874 */   // GIR_Coverage, 975,
     /* 390874 */   GIR_Done,
     /* 390875 */ // Label 7987: @390875
     /* 390875 */ GIM_Reject,
     /* 390876 */ // Label 7975: @390876
     /* 390876 */ GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(390920),
     /* 390881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390892 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(390907), // Rule ID 978 //
     /* 390897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390900 */     // (AArch64rev64:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV64v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 390900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 390905 */     GIR_RootConstrainSelectedInstOperands,
     /* 390906 */     // GIR_Coverage, 978,
     /* 390906 */     GIR_Done,
     /* 390907 */   // Label 7989: @390907
     /* 390907 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(390919), // Rule ID 4905 //
     /* 390912 */     // (AArch64rev64:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV64v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 390912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 390917 */     GIR_RootConstrainSelectedInstOperands,
     /* 390918 */     // GIR_Coverage, 4905,
     /* 390918 */     GIR_Done,
     /* 390919 */   // Label 7990: @390919
     /* 390919 */   GIM_Reject,
     /* 390920 */ // Label 7988: @390920
     /* 390920 */ GIM_Reject,
     /* 390921 */ // Label 7976: @390921
     /* 390921 */ GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(390947), // Rule ID 976 //
     /* 390926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 390932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390940 */   // (AArch64rev64:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV64v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 390940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 390945 */   GIR_RootConstrainSelectedInstOperands,
     /* 390946 */   // GIR_Coverage, 976,
     /* 390946 */   GIR_Done,
     /* 390947 */ // Label 7991: @390947
     /* 390947 */ GIM_Reject,
     /* 390948 */ // Label 7977: @390948
     /* 390948 */ GIM_Reject,
     /* 390949 */ // Label 136: @390949
     /* 390949 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 7998*/ GIMT_Encode4(391154),
     /* 390960 */ /*GILLT_s64*//*Label 7992*/ GIMT_Encode4(390992), GIMT_Encode4(0),
     /* 390968 */ /*GILLT_v2s32*//*Label 7993*/ GIMT_Encode4(391019),
     /* 390972 */ /*GILLT_v2s64*//*Label 7994*/ GIMT_Encode4(391046),
     /* 390976 */ /*GILLT_v4s16*//*Label 7995*/ GIMT_Encode4(391073),
     /* 390980 */ /*GILLT_v4s32*//*Label 7996*/ GIMT_Encode4(391100), GIMT_Encode4(0),
     /* 390988 */ /*GILLT_v8s16*//*Label 7997*/ GIMT_Encode4(391127),
     /* 390992 */ // Label 7992: @390992
     /* 390992 */ GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(391018), // Rule ID 1001 //
     /* 390997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391011 */   // (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 391011 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 391016 */   GIR_RootConstrainSelectedInstOperands,
     /* 391017 */   // GIR_Coverage, 1001,
     /* 391017 */   GIR_Done,
     /* 391018 */ // Label 7999: @391018
     /* 391018 */ GIM_Reject,
     /* 391019 */ // Label 7993: @391019
     /* 391019 */ GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(391045), // Rule ID 997 //
     /* 391024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391038 */   // (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 391038 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 391043 */   GIR_RootConstrainSelectedInstOperands,
     /* 391044 */   // GIR_Coverage, 997,
     /* 391044 */   GIR_Done,
     /* 391045 */ // Label 8000: @391045
     /* 391045 */ GIM_Reject,
     /* 391046 */ // Label 7994: @391046
     /* 391046 */ GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(391072), // Rule ID 1003 //
     /* 391051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391065 */   // (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 391065 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 391070 */   GIR_RootConstrainSelectedInstOperands,
     /* 391071 */   // GIR_Coverage, 1003,
     /* 391071 */   GIR_Done,
     /* 391072 */ // Label 8001: @391072
     /* 391072 */ GIM_Reject,
     /* 391073 */ // Label 7995: @391073
     /* 391073 */ GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(391099), // Rule ID 993 //
     /* 391078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 391084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391092 */   // (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 391092 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 391097 */   GIR_RootConstrainSelectedInstOperands,
     /* 391098 */   // GIR_Coverage, 993,
     /* 391098 */   GIR_Done,
     /* 391099 */ // Label 8002: @391099
     /* 391099 */ GIM_Reject,
     /* 391100 */ // Label 7996: @391100
     /* 391100 */ GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(391126), // Rule ID 999 //
     /* 391105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391119 */   // (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 391119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 391124 */   GIR_RootConstrainSelectedInstOperands,
     /* 391125 */   // GIR_Coverage, 999,
     /* 391125 */   GIR_Done,
     /* 391126 */ // Label 8003: @391126
     /* 391126 */ GIM_Reject,
     /* 391127 */ // Label 7997: @391127
     /* 391127 */ GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(391153), // Rule ID 995 //
     /* 391132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 391138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391146 */   // (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 391146 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 391151 */   GIR_RootConstrainSelectedInstOperands,
     /* 391152 */   // GIR_Coverage, 995,
     /* 391152 */   GIR_Done,
     /* 391153 */ // Label 8004: @391153
     /* 391153 */ GIM_Reject,
     /* 391154 */ // Label 7998: @391154
     /* 391154 */ GIM_Reject,
     /* 391155 */ // Label 137: @391155
     /* 391155 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8007*/ GIMT_Encode4(391553),
     /* 391166 */ /*GILLT_v2s64*//*Label 8005*/ GIMT_Encode4(391178), GIMT_Encode4(0),
     /* 391174 */ /*GILLT_v4s32*//*Label 8006*/ GIMT_Encode4(391316),
     /* 391178 */ // Label 8005: @391178
     /* 391178 */ GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(391237), // Rule ID 5774 //
     /* 391183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391194 */   // (AArch64saddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 391194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 391197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 391201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391206 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 391226 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391231 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391236 */   // GIR_Coverage, 5774,
     /* 391236 */   GIR_EraseRootFromParent_Done,
     /* 391237 */ // Label 8008: @391237
     /* 391237 */ GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(391315), // Rule ID 5896 //
     /* 391242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391253 */   // (AArch64saddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (SADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 391253 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 391256 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 391260 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391265 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 391271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 391274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 391278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 391288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 391296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 391299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391304 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391309 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391314 */   // GIR_Coverage, 5896,
     /* 391314 */   GIR_EraseRootFromParent_Done,
     /* 391315 */ // Label 8009: @391315
     /* 391315 */ GIM_Reject,
     /* 391316 */ // Label 8006: @391316
     /* 391316 */ GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(391375), // Rule ID 5770 //
     /* 391321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 391324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391332 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 391332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 391335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 391339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391344 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 391364 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391369 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391374 */   // GIR_Coverage, 5770,
     /* 391374 */   GIR_EraseRootFromParent_Done,
     /* 391375 */ // Label 8010: @391375
     /* 391375 */ GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(391434), // Rule ID 5771 //
     /* 391380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391391 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 391391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 391394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 391398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391403 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 391423 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391433 */   // GIR_Coverage, 5771,
     /* 391433 */   GIR_EraseRootFromParent_Done,
     /* 391434 */ // Label 8011: @391434
     /* 391434 */ GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(391493), // Rule ID 5772 //
     /* 391439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 391442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391450 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 391450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 391453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 391457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391462 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391476 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 391482 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391492 */   // GIR_Coverage, 5772,
     /* 391492 */   GIR_EraseRootFromParent_Done,
     /* 391493 */ // Label 8012: @391493
     /* 391493 */ GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(391552), // Rule ID 5773 //
     /* 391498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391509 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 391509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 391512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 391516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391521 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391525 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 391541 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391546 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391551 */   // GIR_Coverage, 5773,
     /* 391551 */   GIR_EraseRootFromParent_Done,
     /* 391552 */ // Label 8013: @391552
     /* 391552 */ GIM_Reject,
     /* 391553 */ // Label 8007: @391553
     /* 391553 */ GIM_Reject,
     /* 391554 */ // Label 138: @391554
     /* 391554 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8018*/ GIMT_Encode4(391923),
     /* 391565 */ /*GILLT_v2s32*//*Label 8014*/ GIMT_Encode4(391625), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 391577 */ /*GILLT_v4s32*//*Label 8015*/ GIMT_Encode4(391745), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 391609 */ /*GILLT_nxv2s64*//*Label 8016*/ GIMT_Encode4(391865), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 391621 */ /*GILLT_nxv4s32*//*Label 8017*/ GIMT_Encode4(391894),
     /* 391625 */ // Label 8014: @391625
     /* 391625 */ GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(391744),
     /* 391630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 391636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 391639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391651 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(391724), // Rule ID 26 //
     /* 391656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 391659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 391663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 391667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 391679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391692 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391696 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391700 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 391704 */     // MIs[3] Operand 1
     /* 391704 */     // No operand predicates
     /* 391704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391706 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 391706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev8i8),
     /* 391709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 391713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391722 */     GIR_RootConstrainSelectedInstOperands,
     /* 391723 */     // GIR_Coverage, 26,
     /* 391723 */     GIR_EraseRootFromParent_Done,
     /* 391724 */   // Label 8020: @391724
     /* 391724 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(391743), // Rule ID 22 //
     /* 391729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 391732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391736 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 391736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv8i8),
     /* 391741 */     GIR_RootConstrainSelectedInstOperands,
     /* 391742 */     // GIR_Coverage, 22,
     /* 391742 */     GIR_Done,
     /* 391743 */   // Label 8021: @391743
     /* 391743 */   GIM_Reject,
     /* 391744 */ // Label 8019: @391744
     /* 391744 */ GIM_Reject,
     /* 391745 */ // Label 8015: @391745
     /* 391745 */ GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(391864),
     /* 391750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 391756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 391759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391771 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(391844), // Rule ID 27 //
     /* 391776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 391779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 391783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 391787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 391799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391803 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391820 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 391824 */     // MIs[3] Operand 1
     /* 391824 */     // No operand predicates
     /* 391824 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391826 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 391826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev16i8),
     /* 391829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 391833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391842 */     GIR_RootConstrainSelectedInstOperands,
     /* 391843 */     // GIR_Coverage, 27,
     /* 391843 */     GIR_EraseRootFromParent_Done,
     /* 391844 */   // Label 8023: @391844
     /* 391844 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(391863), // Rule ID 23 //
     /* 391849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 391852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391856 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 391856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv16i8),
     /* 391861 */     GIR_RootConstrainSelectedInstOperands,
     /* 391862 */     // GIR_Coverage, 23,
     /* 391862 */     GIR_Done,
     /* 391863 */   // Label 8024: @391863
     /* 391863 */   GIM_Reject,
     /* 391864 */ // Label 8022: @391864
     /* 391864 */ GIM_Reject,
     /* 391865 */ // Label 8016: @391865
     /* 391865 */ GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(391893), // Rule ID 2972 //
     /* 391870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 391873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 391876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 391879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 391882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 391886 */   // (AArch64sdot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 391886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_D),
     /* 391891 */   GIR_RootConstrainSelectedInstOperands,
     /* 391892 */   // GIR_Coverage, 2972,
     /* 391892 */   GIR_Done,
     /* 391893 */ // Label 8025: @391893
     /* 391893 */ GIM_Reject,
     /* 391894 */ // Label 8017: @391894
     /* 391894 */ GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(391922), // Rule ID 2971 //
     /* 391899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 391902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 391905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 391908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 391911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 391915 */   // (AArch64sdot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 391915 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_S),
     /* 391920 */   GIR_RootConstrainSelectedInstOperands,
     /* 391921 */   // GIR_Coverage, 2971,
     /* 391921 */   GIR_Done,
     /* 391922 */ // Label 8026: @391922
     /* 391922 */ GIM_Reject,
     /* 391923 */ // Label 8018: @391923
     /* 391923 */ GIM_Reject,
     /* 391924 */ // Label 139: @391924
     /* 391924 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8030*/ GIMT_Encode4(392040),
     /* 391935 */ /*GILLT_s16*//*Label 8027*/ GIMT_Encode4(391947),
     /* 391939 */ /*GILLT_s32*//*Label 8028*/ GIMT_Encode4(391978),
     /* 391943 */ /*GILLT_s64*//*Label 8029*/ GIMT_Encode4(392009),
     /* 391947 */ // Label 8027: @391947
     /* 391947 */ GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(391977), // Rule ID 1651 //
     /* 391952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 391955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 391958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391966 */   // (AArch64sitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (SCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 391966 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 391971 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391975 */   GIR_RootConstrainSelectedInstOperands,
     /* 391976 */   // GIR_Coverage, 1651,
     /* 391976 */   GIR_Done,
     /* 391977 */ // Label 8031: @391977
     /* 391977 */ GIM_Reject,
     /* 391978 */ // Label 8028: @391978
     /* 391978 */ GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(392008), // Rule ID 1650 //
     /* 391983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 391986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 391989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391997 */   // (AArch64sitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (SCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 391997 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 392002 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392006 */   GIR_RootConstrainSelectedInstOperands,
     /* 392007 */   // GIR_Coverage, 1650,
     /* 392007 */   GIR_Done,
     /* 392008 */ // Label 8032: @392008
     /* 392008 */ GIM_Reject,
     /* 392009 */ // Label 8029: @392009
     /* 392009 */ GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(392039), // Rule ID 1649 //
     /* 392014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 392017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 392020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392028 */   // (AArch64sitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (SCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 392028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 392033 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392037 */   GIR_RootConstrainSelectedInstOperands,
     /* 392038 */   // GIR_Coverage, 1649,
     /* 392038 */   GIR_Done,
     /* 392039 */ // Label 8033: @392039
     /* 392039 */ GIM_Reject,
     /* 392040 */ // Label 8030: @392040
     /* 392040 */ GIM_Reject,
     /* 392041 */ // Label 140: @392041
     /* 392041 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8037*/ GIMT_Encode4(393273),
     /* 392052 */ /*GILLT_v2s64*//*Label 8034*/ GIMT_Encode4(392072), GIMT_Encode4(0),
     /* 392060 */ /*GILLT_v4s32*//*Label 8035*/ GIMT_Encode4(392633), GIMT_Encode4(0),
     /* 392068 */ /*GILLT_v8s16*//*Label 8036*/ GIMT_Encode4(393194),
     /* 392072 */ // Label 8034: @392072
     /* 392072 */ GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(392632),
     /* 392077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 392080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 392083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392087 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(392179), // Rule ID 2047 //
     /* 392092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392136 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392140 */     // MIs[3] Operand 1
     /* 392140 */     // No operand predicates
     /* 392140 */     // MIs[1] Operand 2
     /* 392140 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 392151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 392160 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 392163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 392170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392177 */     GIR_RootConstrainSelectedInstOperands,
     /* 392178 */     // GIR_Coverage, 2047,
     /* 392178 */     GIR_EraseRootFromParent_Done,
     /* 392179 */   // Label 8039: @392179
     /* 392179 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(392271), // Rule ID 13201 //
     /* 392184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392228 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392232 */     // MIs[3] Operand 1
     /* 392232 */     // No operand predicates
     /* 392232 */     // MIs[1] Operand 2
     /* 392232 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 392243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 392252 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 392255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 392262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392269 */     GIR_RootConstrainSelectedInstOperands,
     /* 392270 */     // GIR_Coverage, 13201,
     /* 392270 */     GIR_EraseRootFromParent_Done,
     /* 392271 */   // Label 8040: @392271
     /* 392271 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(392357), // Rule ID 13199 //
     /* 392276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392320 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392324 */     // MIs[3] Operand 1
     /* 392324 */     // No operand predicates
     /* 392324 */     // MIs[1] Operand 2
     /* 392324 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 392335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392341 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 392344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392355 */     GIR_RootConstrainSelectedInstOperands,
     /* 392356 */     // GIR_Coverage, 13199,
     /* 392356 */     GIR_EraseRootFromParent_Done,
     /* 392357 */   // Label 8041: @392357
     /* 392357 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(392443), // Rule ID 2045 //
     /* 392362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392393 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392414 */     // MIs[3] Operand 1
     /* 392414 */     // No operand predicates
     /* 392414 */     // MIs[1] Operand 2
     /* 392414 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 392425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392427 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 392430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392432 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392441 */     GIR_RootConstrainSelectedInstOperands,
     /* 392442 */     // GIR_Coverage, 2045,
     /* 392442 */     GIR_EraseRootFromParent_Done,
     /* 392443 */   // Label 8042: @392443
     /* 392443 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(392482), // Rule ID 1734 //
     /* 392448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 392458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 392465 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 392465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 392468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 392475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 392480 */     GIR_RootConstrainSelectedInstOperands,
     /* 392481 */     // GIR_Coverage, 1734,
     /* 392481 */     GIR_EraseRootFromParent_Done,
     /* 392482 */   // Label 8043: @392482
     /* 392482 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(392545), // Rule ID 13200 //
     /* 392487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392519 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392523 */     // MIs[2] Operand 1
     /* 392523 */     // No operand predicates
     /* 392523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392529 */     // (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 392532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392543 */     GIR_RootConstrainSelectedInstOperands,
     /* 392544 */     // GIR_Coverage, 13200,
     /* 392544 */     GIR_EraseRootFromParent_Done,
     /* 392545 */   // Label 8044: @392545
     /* 392545 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(392608), // Rule ID 2046 //
     /* 392550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392586 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392590 */     // MIs[2] Operand 1
     /* 392590 */     // No operand predicates
     /* 392590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392592 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 392595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392597 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392606 */     GIR_RootConstrainSelectedInstOperands,
     /* 392607 */     // GIR_Coverage, 2046,
     /* 392607 */     GIR_EraseRootFromParent_Done,
     /* 392608 */   // Label 8045: @392608
     /* 392608 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(392631), // Rule ID 1733 //
     /* 392613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392624 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 392624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 392629 */     GIR_RootConstrainSelectedInstOperands,
     /* 392630 */     // GIR_Coverage, 1733,
     /* 392630 */     GIR_Done,
     /* 392631 */   // Label 8046: @392631
     /* 392631 */   GIM_Reject,
     /* 392632 */ // Label 8038: @392632
     /* 392632 */ GIM_Reject,
     /* 392633 */ // Label 8035: @392633
     /* 392633 */ GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(393193),
     /* 392638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 392644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392648 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(392740), // Rule ID 2044 //
     /* 392653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 392676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 392689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392693 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392697 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 392701 */     // MIs[3] Operand 1
     /* 392701 */     // No operand predicates
     /* 392701 */     // MIs[1] Operand 2
     /* 392701 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 392712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 392721 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 392724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 392731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392738 */     GIR_RootConstrainSelectedInstOperands,
     /* 392739 */     // GIR_Coverage, 2044,
     /* 392739 */     GIR_EraseRootFromParent_Done,
     /* 392740 */   // Label 8048: @392740
     /* 392740 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(392832), // Rule ID 13198 //
     /* 392745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 392768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392772 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 392781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392789 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 392793 */     // MIs[3] Operand 1
     /* 392793 */     // No operand predicates
     /* 392793 */     // MIs[1] Operand 2
     /* 392793 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 392804 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 392813 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 392816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 392823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392830 */     GIR_RootConstrainSelectedInstOperands,
     /* 392831 */     // GIR_Coverage, 13198,
     /* 392831 */     GIR_EraseRootFromParent_Done,
     /* 392832 */   // Label 8049: @392832
     /* 392832 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(392918), // Rule ID 13196 //
     /* 392837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 392860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392864 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 392873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392877 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392881 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 392885 */     // MIs[3] Operand 1
     /* 392885 */     // No operand predicates
     /* 392885 */     // MIs[1] Operand 2
     /* 392885 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 392896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392900 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392902 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 392905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392916 */     GIR_RootConstrainSelectedInstOperands,
     /* 392917 */     // GIR_Coverage, 13196,
     /* 392917 */     GIR_EraseRootFromParent_Done,
     /* 392918 */   // Label 8050: @392918
     /* 392918 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(393004), // Rule ID 2042 //
     /* 392923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 392938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 392950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392954 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 392963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392971 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 392975 */     // MIs[3] Operand 1
     /* 392975 */     // No operand predicates
     /* 392975 */     // MIs[1] Operand 2
     /* 392975 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 392986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392988 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 392988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 392991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392993 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 393002 */     GIR_RootConstrainSelectedInstOperands,
     /* 393003 */     // GIR_Coverage, 2042,
     /* 393003 */     GIR_EraseRootFromParent_Done,
     /* 393004 */   // Label 8051: @393004
     /* 393004 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(393043), // Rule ID 1732 //
     /* 393009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 393019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 393026 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 393026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 393029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 393036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 393041 */     GIR_RootConstrainSelectedInstOperands,
     /* 393042 */     // GIR_Coverage, 1732,
     /* 393042 */     GIR_EraseRootFromParent_Done,
     /* 393043 */   // Label 8052: @393043
     /* 393043 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(393106), // Rule ID 13197 //
     /* 393048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 393067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 393076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393080 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393084 */     // MIs[2] Operand 1
     /* 393084 */     // No operand predicates
     /* 393084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393090 */     // (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 393090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 393093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 393104 */     GIR_RootConstrainSelectedInstOperands,
     /* 393105 */     // GIR_Coverage, 13197,
     /* 393105 */     GIR_EraseRootFromParent_Done,
     /* 393106 */   // Label 8053: @393106
     /* 393106 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(393169), // Rule ID 2043 //
     /* 393111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 393134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 393143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393147 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393151 */     // MIs[2] Operand 1
     /* 393151 */     // No operand predicates
     /* 393151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393153 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 393153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 393156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 393167 */     GIR_RootConstrainSelectedInstOperands,
     /* 393168 */     // GIR_Coverage, 2043,
     /* 393168 */     GIR_EraseRootFromParent_Done,
     /* 393169 */   // Label 8054: @393169
     /* 393169 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(393192), // Rule ID 1731 //
     /* 393174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393185 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 393185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 393190 */     GIR_RootConstrainSelectedInstOperands,
     /* 393191 */     // GIR_Coverage, 1731,
     /* 393191 */     GIR_Done,
     /* 393192 */   // Label 8055: @393192
     /* 393192 */   GIM_Reject,
     /* 393193 */ // Label 8047: @393193
     /* 393193 */ GIM_Reject,
     /* 393194 */ // Label 8036: @393194
     /* 393194 */ GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(393272),
     /* 393199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 393202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 393205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393209 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(393248), // Rule ID 1730 //
     /* 393214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 393224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 393231 */     // (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (SMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 393231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 393234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 393241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 393246 */     GIR_RootConstrainSelectedInstOperands,
     /* 393247 */     // GIR_Coverage, 1730,
     /* 393247 */     GIR_EraseRootFromParent_Done,
     /* 393248 */   // Label 8057: @393248
     /* 393248 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(393271), // Rule ID 1729 //
     /* 393253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393264 */     // (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 393264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 393269 */     GIR_RootConstrainSelectedInstOperands,
     /* 393270 */     // GIR_Coverage, 1729,
     /* 393270 */     GIR_Done,
     /* 393271 */   // Label 8058: @393271
     /* 393271 */   GIM_Reject,
     /* 393272 */ // Label 8056: @393272
     /* 393272 */ GIM_Reject,
     /* 393273 */ // Label 8037: @393273
     /* 393273 */ GIM_Reject,
     /* 393274 */ // Label 141: @393274
     /* 393274 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8077*/ GIMT_Encode4(394053),
     /* 393285 */ /*GILLT_v2s32*//*Label 8059*/ GIMT_Encode4(393361),
     /* 393289 */ /*GILLT_v2s64*//*Label 8060*/ GIMT_Encode4(393416),
     /* 393293 */ /*GILLT_v4s16*//*Label 8061*/ GIMT_Encode4(393471),
     /* 393297 */ /*GILLT_v4s32*//*Label 8062*/ GIMT_Encode4(393526),
     /* 393301 */ /*GILLT_v8s8*//*Label 8063*/ GIMT_Encode4(393581),
     /* 393305 */ /*GILLT_v8s16*//*Label 8064*/ GIMT_Encode4(393615),
     /* 393309 */ /*GILLT_v16s8*//*Label 8065*/ GIMT_Encode4(393670), GIMT_Encode4(0),
     /* 393317 */ /*GILLT_nxv2s1*//*Label 8066*/ GIMT_Encode4(393704),
     /* 393321 */ /*GILLT_nxv2s16*//*Label 8067*/ GIMT_Encode4(393730),
     /* 393325 */ /*GILLT_nxv2s32*//*Label 8068*/ GIMT_Encode4(393756),
     /* 393329 */ /*GILLT_nxv2s64*//*Label 8069*/ GIMT_Encode4(393782),
     /* 393333 */ /*GILLT_nxv4s1*//*Label 8070*/ GIMT_Encode4(393829),
     /* 393337 */ /*GILLT_nxv4s16*//*Label 8071*/ GIMT_Encode4(393855),
     /* 393341 */ /*GILLT_nxv4s32*//*Label 8072*/ GIMT_Encode4(393881),
     /* 393345 */ /*GILLT_nxv8s1*//*Label 8073*/ GIMT_Encode4(393928),
     /* 393349 */ /*GILLT_nxv8s16*//*Label 8074*/ GIMT_Encode4(393954),
     /* 393353 */ /*GILLT_nxv16s1*//*Label 8075*/ GIMT_Encode4(394001),
     /* 393357 */ /*GILLT_nxv16s8*//*Label 8076*/ GIMT_Encode4(394027),
     /* 393361 */ // Label 8059: @393361
     /* 393361 */ GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(393415),
     /* 393366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 393372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393384 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(393399), // Rule ID 1867 //
     /* 393389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393392 */     // (AArch64trn1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 393392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 393397 */     GIR_RootConstrainSelectedInstOperands,
     /* 393398 */     // GIR_Coverage, 1867,
     /* 393398 */     GIR_Done,
     /* 393399 */   // Label 8079: @393399
     /* 393399 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(393414), // Rule ID 2496 //
     /* 393404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393407 */     // (AArch64trn1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 393407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 393412 */     GIR_RootConstrainSelectedInstOperands,
     /* 393413 */     // GIR_Coverage, 2496,
     /* 393413 */     GIR_Done,
     /* 393414 */   // Label 8080: @393414
     /* 393414 */   GIM_Reject,
     /* 393415 */ // Label 8078: @393415
     /* 393415 */ GIM_Reject,
     /* 393416 */ // Label 8060: @393416
     /* 393416 */ GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(393470),
     /* 393421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 393424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 393427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393439 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(393454), // Rule ID 1869 //
     /* 393444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393447 */     // (AArch64trn1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 393447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 393452 */     GIR_RootConstrainSelectedInstOperands,
     /* 393453 */     // GIR_Coverage, 1869,
     /* 393453 */     GIR_Done,
     /* 393454 */   // Label 8082: @393454
     /* 393454 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(393469), // Rule ID 2498 //
     /* 393459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393462 */     // (AArch64trn1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 393462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 393467 */     GIR_RootConstrainSelectedInstOperands,
     /* 393468 */     // GIR_Coverage, 2498,
     /* 393468 */     GIR_Done,
     /* 393469 */   // Label 8083: @393469
     /* 393469 */   GIM_Reject,
     /* 393470 */ // Label 8081: @393470
     /* 393470 */ GIM_Reject,
     /* 393471 */ // Label 8061: @393471
     /* 393471 */ GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(393525),
     /* 393476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 393482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393494 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(393509), // Rule ID 1865 //
     /* 393499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393502 */     // (AArch64trn1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 393502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 393507 */     GIR_RootConstrainSelectedInstOperands,
     /* 393508 */     // GIR_Coverage, 1865,
     /* 393508 */     GIR_Done,
     /* 393509 */   // Label 8085: @393509
     /* 393509 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(393524), // Rule ID 2494 //
     /* 393514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393517 */     // (AArch64trn1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 393517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 393522 */     GIR_RootConstrainSelectedInstOperands,
     /* 393523 */     // GIR_Coverage, 2494,
     /* 393523 */     GIR_Done,
     /* 393524 */   // Label 8086: @393524
     /* 393524 */   GIM_Reject,
     /* 393525 */ // Label 8084: @393525
     /* 393525 */ GIM_Reject,
     /* 393526 */ // Label 8062: @393526
     /* 393526 */ GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(393580),
     /* 393531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 393537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393549 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(393564), // Rule ID 1868 //
     /* 393554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393557 */     // (AArch64trn1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 393557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 393562 */     GIR_RootConstrainSelectedInstOperands,
     /* 393563 */     // GIR_Coverage, 1868,
     /* 393563 */     GIR_Done,
     /* 393564 */   // Label 8088: @393564
     /* 393564 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(393579), // Rule ID 2497 //
     /* 393569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393572 */     // (AArch64trn1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 393577 */     GIR_RootConstrainSelectedInstOperands,
     /* 393578 */     // GIR_Coverage, 2497,
     /* 393578 */     GIR_Done,
     /* 393579 */   // Label 8089: @393579
     /* 393579 */   GIM_Reject,
     /* 393580 */ // Label 8087: @393580
     /* 393580 */ GIM_Reject,
     /* 393581 */ // Label 8063: @393581
     /* 393581 */ GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(393614), // Rule ID 1863 //
     /* 393586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 393592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 393595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393607 */   // (AArch64trn1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 393607 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i8),
     /* 393612 */   GIR_RootConstrainSelectedInstOperands,
     /* 393613 */   // GIR_Coverage, 1863,
     /* 393613 */   GIR_Done,
     /* 393614 */ // Label 8090: @393614
     /* 393614 */ GIM_Reject,
     /* 393615 */ // Label 8064: @393615
     /* 393615 */ GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(393669),
     /* 393620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 393626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393638 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(393653), // Rule ID 1866 //
     /* 393643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393646 */     // (AArch64trn1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 393646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 393651 */     GIR_RootConstrainSelectedInstOperands,
     /* 393652 */     // GIR_Coverage, 1866,
     /* 393652 */     GIR_Done,
     /* 393653 */   // Label 8092: @393653
     /* 393653 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(393668), // Rule ID 2495 //
     /* 393658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393661 */     // (AArch64trn1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 393661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 393666 */     GIR_RootConstrainSelectedInstOperands,
     /* 393667 */     // GIR_Coverage, 2495,
     /* 393667 */     GIR_Done,
     /* 393668 */   // Label 8093: @393668
     /* 393668 */   GIM_Reject,
     /* 393669 */ // Label 8091: @393669
     /* 393669 */ GIM_Reject,
     /* 393670 */ // Label 8065: @393670
     /* 393670 */ GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(393703), // Rule ID 1864 //
     /* 393675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 393681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 393684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393696 */   // (AArch64trn1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 393696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v16i8),
     /* 393701 */   GIR_RootConstrainSelectedInstOperands,
     /* 393702 */   // GIR_Coverage, 1864,
     /* 393702 */   GIR_Done,
     /* 393703 */ // Label 8094: @393703
     /* 393703 */ GIM_Reject,
     /* 393704 */ // Label 8066: @393704
     /* 393704 */ GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(393729), // Rule ID 8797 //
     /* 393709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 393715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 393718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 393722 */   // (AArch64trn1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 393722 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 393727 */   GIR_RootConstrainSelectedInstOperands,
     /* 393728 */   // GIR_Coverage, 8797,
     /* 393728 */   GIR_Done,
     /* 393729 */ // Label 8095: @393729
     /* 393729 */ GIM_Reject,
     /* 393730 */ // Label 8067: @393730
     /* 393730 */ GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(393755), // Rule ID 8773 //
     /* 393735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 393741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 393744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393748 */   // (AArch64trn1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 393748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 393753 */   GIR_RootConstrainSelectedInstOperands,
     /* 393754 */   // GIR_Coverage, 8773,
     /* 393754 */   GIR_Done,
     /* 393755 */ // Label 8096: @393755
     /* 393755 */ GIM_Reject,
     /* 393756 */ // Label 8068: @393756
     /* 393756 */ GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(393781), // Rule ID 8774 //
     /* 393761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 393767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 393770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393774 */   // (AArch64trn1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 393774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 393779 */   GIR_RootConstrainSelectedInstOperands,
     /* 393780 */   // GIR_Coverage, 8774,
     /* 393780 */   GIR_Done,
     /* 393781 */ // Label 8097: @393781
     /* 393781 */ GIM_Reject,
     /* 393782 */ // Label 8069: @393782
     /* 393782 */ GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(393828),
     /* 393787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 393790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 393793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393797 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(393812), // Rule ID 8769 //
     /* 393802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393805 */     // (AArch64trn1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 393805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 393810 */     GIR_RootConstrainSelectedInstOperands,
     /* 393811 */     // GIR_Coverage, 8769,
     /* 393811 */     GIR_Done,
     /* 393812 */   // Label 8099: @393812
     /* 393812 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(393827), // Rule ID 8775 //
     /* 393817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393820 */     // (AArch64trn1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 393820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 393825 */     GIR_RootConstrainSelectedInstOperands,
     /* 393826 */     // GIR_Coverage, 8775,
     /* 393826 */     GIR_Done,
     /* 393827 */   // Label 8100: @393827
     /* 393827 */   GIM_Reject,
     /* 393828 */ // Label 8098: @393828
     /* 393828 */ GIM_Reject,
     /* 393829 */ // Label 8070: @393829
     /* 393829 */ GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(393854), // Rule ID 8796 //
     /* 393834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 393840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 393843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 393847 */   // (AArch64trn1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 393847 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 393852 */   GIR_RootConstrainSelectedInstOperands,
     /* 393853 */   // GIR_Coverage, 8796,
     /* 393853 */   GIR_Done,
     /* 393854 */ // Label 8101: @393854
     /* 393854 */ GIM_Reject,
     /* 393855 */ // Label 8071: @393855
     /* 393855 */ GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(393880), // Rule ID 8771 //
     /* 393860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 393866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 393869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393873 */   // (AArch64trn1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 393873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 393878 */   GIR_RootConstrainSelectedInstOperands,
     /* 393879 */   // GIR_Coverage, 8771,
     /* 393879 */   GIR_Done,
     /* 393880 */ // Label 8102: @393880
     /* 393880 */ GIM_Reject,
     /* 393881 */ // Label 8072: @393881
     /* 393881 */ GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(393927),
     /* 393886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 393889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 393892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393896 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(393911), // Rule ID 8768 //
     /* 393901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393904 */     // (AArch64trn1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 393904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 393909 */     GIR_RootConstrainSelectedInstOperands,
     /* 393910 */     // GIR_Coverage, 8768,
     /* 393910 */     GIR_Done,
     /* 393911 */   // Label 8104: @393911
     /* 393911 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(393926), // Rule ID 8772 //
     /* 393916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393919 */     // (AArch64trn1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 393919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 393924 */     GIR_RootConstrainSelectedInstOperands,
     /* 393925 */     // GIR_Coverage, 8772,
     /* 393925 */     GIR_Done,
     /* 393926 */   // Label 8105: @393926
     /* 393926 */   GIM_Reject,
     /* 393927 */ // Label 8103: @393927
     /* 393927 */ GIM_Reject,
     /* 393928 */ // Label 8073: @393928
     /* 393928 */ GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(393953), // Rule ID 8795 //
     /* 393933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 393939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 393942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 393946 */   // (AArch64trn1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 393946 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 393951 */   GIR_RootConstrainSelectedInstOperands,
     /* 393952 */   // GIR_Coverage, 8795,
     /* 393952 */   GIR_Done,
     /* 393953 */ // Label 8106: @393953
     /* 393953 */ GIM_Reject,
     /* 393954 */ // Label 8074: @393954
     /* 393954 */ GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(394000),
     /* 393959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 393962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 393965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 393969 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(393984), // Rule ID 8767 //
     /* 393974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393977 */     // (AArch64trn1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 393977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 393982 */     GIR_RootConstrainSelectedInstOperands,
     /* 393983 */     // GIR_Coverage, 8767,
     /* 393983 */     GIR_Done,
     /* 393984 */   // Label 8108: @393984
     /* 393984 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(393999), // Rule ID 8770 //
     /* 393989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 393992 */     // (AArch64trn1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 393992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 393997 */     GIR_RootConstrainSelectedInstOperands,
     /* 393998 */     // GIR_Coverage, 8770,
     /* 393998 */     GIR_Done,
     /* 393999 */   // Label 8109: @393999
     /* 393999 */   GIM_Reject,
     /* 394000 */ // Label 8107: @394000
     /* 394000 */ GIM_Reject,
     /* 394001 */ // Label 8075: @394001
     /* 394001 */ GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(394026), // Rule ID 2405 //
     /* 394006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 394012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 394015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 394019 */   // (AArch64trn1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 394019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_B),
     /* 394024 */   GIR_RootConstrainSelectedInstOperands,
     /* 394025 */   // GIR_Coverage, 2405,
     /* 394025 */   GIR_Done,
     /* 394026 */ // Label 8110: @394026
     /* 394026 */ GIM_Reject,
     /* 394027 */ // Label 8076: @394027
     /* 394027 */ GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(394052), // Rule ID 8766 //
     /* 394032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 394038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 394041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394045 */   // (AArch64trn1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 394045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_B),
     /* 394050 */   GIR_RootConstrainSelectedInstOperands,
     /* 394051 */   // GIR_Coverage, 8766,
     /* 394051 */   GIR_Done,
     /* 394052 */ // Label 8111: @394052
     /* 394052 */ GIM_Reject,
     /* 394053 */ // Label 8077: @394053
     /* 394053 */ GIM_Reject,
     /* 394054 */ // Label 142: @394054
     /* 394054 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8130*/ GIMT_Encode4(394833),
     /* 394065 */ /*GILLT_v2s32*//*Label 8112*/ GIMT_Encode4(394141),
     /* 394069 */ /*GILLT_v2s64*//*Label 8113*/ GIMT_Encode4(394196),
     /* 394073 */ /*GILLT_v4s16*//*Label 8114*/ GIMT_Encode4(394251),
     /* 394077 */ /*GILLT_v4s32*//*Label 8115*/ GIMT_Encode4(394306),
     /* 394081 */ /*GILLT_v8s8*//*Label 8116*/ GIMT_Encode4(394361),
     /* 394085 */ /*GILLT_v8s16*//*Label 8117*/ GIMT_Encode4(394395),
     /* 394089 */ /*GILLT_v16s8*//*Label 8118*/ GIMT_Encode4(394450), GIMT_Encode4(0),
     /* 394097 */ /*GILLT_nxv2s1*//*Label 8119*/ GIMT_Encode4(394484),
     /* 394101 */ /*GILLT_nxv2s16*//*Label 8120*/ GIMT_Encode4(394510),
     /* 394105 */ /*GILLT_nxv2s32*//*Label 8121*/ GIMT_Encode4(394536),
     /* 394109 */ /*GILLT_nxv2s64*//*Label 8122*/ GIMT_Encode4(394562),
     /* 394113 */ /*GILLT_nxv4s1*//*Label 8123*/ GIMT_Encode4(394609),
     /* 394117 */ /*GILLT_nxv4s16*//*Label 8124*/ GIMT_Encode4(394635),
     /* 394121 */ /*GILLT_nxv4s32*//*Label 8125*/ GIMT_Encode4(394661),
     /* 394125 */ /*GILLT_nxv8s1*//*Label 8126*/ GIMT_Encode4(394708),
     /* 394129 */ /*GILLT_nxv8s16*//*Label 8127*/ GIMT_Encode4(394734),
     /* 394133 */ /*GILLT_nxv16s1*//*Label 8128*/ GIMT_Encode4(394781),
     /* 394137 */ /*GILLT_nxv16s8*//*Label 8129*/ GIMT_Encode4(394807),
     /* 394141 */ // Label 8112: @394141
     /* 394141 */ GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(394195),
     /* 394146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 394152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394164 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(394179), // Rule ID 1874 //
     /* 394169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394172 */     // (AArch64trn2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 394172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 394177 */     GIR_RootConstrainSelectedInstOperands,
     /* 394178 */     // GIR_Coverage, 1874,
     /* 394178 */     GIR_Done,
     /* 394179 */   // Label 8132: @394179
     /* 394179 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(394194), // Rule ID 5399 //
     /* 394184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394187 */     // (AArch64trn2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 394187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 394192 */     GIR_RootConstrainSelectedInstOperands,
     /* 394193 */     // GIR_Coverage, 5399,
     /* 394193 */     GIR_Done,
     /* 394194 */   // Label 8133: @394194
     /* 394194 */   GIM_Reject,
     /* 394195 */ // Label 8131: @394195
     /* 394195 */ GIM_Reject,
     /* 394196 */ // Label 8113: @394196
     /* 394196 */ GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(394250),
     /* 394201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 394204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 394207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394219 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(394234), // Rule ID 1876 //
     /* 394224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394227 */     // (AArch64trn2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 394227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 394232 */     GIR_RootConstrainSelectedInstOperands,
     /* 394233 */     // GIR_Coverage, 1876,
     /* 394233 */     GIR_Done,
     /* 394234 */   // Label 8135: @394234
     /* 394234 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(394249), // Rule ID 5401 //
     /* 394239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394242 */     // (AArch64trn2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 394242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 394247 */     GIR_RootConstrainSelectedInstOperands,
     /* 394248 */     // GIR_Coverage, 5401,
     /* 394248 */     GIR_Done,
     /* 394249 */   // Label 8136: @394249
     /* 394249 */   GIM_Reject,
     /* 394250 */ // Label 8134: @394250
     /* 394250 */ GIM_Reject,
     /* 394251 */ // Label 8114: @394251
     /* 394251 */ GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(394305),
     /* 394256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 394262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394274 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(394289), // Rule ID 1872 //
     /* 394279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394282 */     // (AArch64trn2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 394282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 394287 */     GIR_RootConstrainSelectedInstOperands,
     /* 394288 */     // GIR_Coverage, 1872,
     /* 394288 */     GIR_Done,
     /* 394289 */   // Label 8138: @394289
     /* 394289 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(394304), // Rule ID 5397 //
     /* 394294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394297 */     // (AArch64trn2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 394297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 394302 */     GIR_RootConstrainSelectedInstOperands,
     /* 394303 */     // GIR_Coverage, 5397,
     /* 394303 */     GIR_Done,
     /* 394304 */   // Label 8139: @394304
     /* 394304 */   GIM_Reject,
     /* 394305 */ // Label 8137: @394305
     /* 394305 */ GIM_Reject,
     /* 394306 */ // Label 8115: @394306
     /* 394306 */ GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(394360),
     /* 394311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 394317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394329 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(394344), // Rule ID 1875 //
     /* 394334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394337 */     // (AArch64trn2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 394337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 394342 */     GIR_RootConstrainSelectedInstOperands,
     /* 394343 */     // GIR_Coverage, 1875,
     /* 394343 */     GIR_Done,
     /* 394344 */   // Label 8141: @394344
     /* 394344 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(394359), // Rule ID 5400 //
     /* 394349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394352 */     // (AArch64trn2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 394352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 394357 */     GIR_RootConstrainSelectedInstOperands,
     /* 394358 */     // GIR_Coverage, 5400,
     /* 394358 */     GIR_Done,
     /* 394359 */   // Label 8142: @394359
     /* 394359 */   GIM_Reject,
     /* 394360 */ // Label 8140: @394360
     /* 394360 */ GIM_Reject,
     /* 394361 */ // Label 8116: @394361
     /* 394361 */ GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(394394), // Rule ID 1870 //
     /* 394366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 394372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 394375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394387 */   // (AArch64trn2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 394387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i8),
     /* 394392 */   GIR_RootConstrainSelectedInstOperands,
     /* 394393 */   // GIR_Coverage, 1870,
     /* 394393 */   GIR_Done,
     /* 394394 */ // Label 8143: @394394
     /* 394394 */ GIM_Reject,
     /* 394395 */ // Label 8117: @394395
     /* 394395 */ GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(394449),
     /* 394400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 394406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394418 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(394433), // Rule ID 1873 //
     /* 394423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394426 */     // (AArch64trn2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 394426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 394431 */     GIR_RootConstrainSelectedInstOperands,
     /* 394432 */     // GIR_Coverage, 1873,
     /* 394432 */     GIR_Done,
     /* 394433 */   // Label 8145: @394433
     /* 394433 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(394448), // Rule ID 5398 //
     /* 394438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394441 */     // (AArch64trn2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 394446 */     GIR_RootConstrainSelectedInstOperands,
     /* 394447 */     // GIR_Coverage, 5398,
     /* 394447 */     GIR_Done,
     /* 394448 */   // Label 8146: @394448
     /* 394448 */   GIM_Reject,
     /* 394449 */ // Label 8144: @394449
     /* 394449 */ GIM_Reject,
     /* 394450 */ // Label 8118: @394450
     /* 394450 */ GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(394483), // Rule ID 1871 //
     /* 394455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 394461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 394464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394476 */   // (AArch64trn2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 394476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v16i8),
     /* 394481 */   GIR_RootConstrainSelectedInstOperands,
     /* 394482 */   // GIR_Coverage, 1871,
     /* 394482 */   GIR_Done,
     /* 394483 */ // Label 8147: @394483
     /* 394483 */ GIM_Reject,
     /* 394484 */ // Label 8119: @394484
     /* 394484 */ GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(394509), // Rule ID 8800 //
     /* 394489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 394495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 394498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 394502 */   // (AArch64trn2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 394502 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 394507 */   GIR_RootConstrainSelectedInstOperands,
     /* 394508 */   // GIR_Coverage, 8800,
     /* 394508 */   GIR_Done,
     /* 394509 */ // Label 8148: @394509
     /* 394509 */ GIM_Reject,
     /* 394510 */ // Label 8120: @394510
     /* 394510 */ GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(394535), // Rule ID 8783 //
     /* 394515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 394521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 394524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394528 */   // (AArch64trn2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 394528 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 394533 */   GIR_RootConstrainSelectedInstOperands,
     /* 394534 */   // GIR_Coverage, 8783,
     /* 394534 */   GIR_Done,
     /* 394535 */ // Label 8149: @394535
     /* 394535 */ GIM_Reject,
     /* 394536 */ // Label 8121: @394536
     /* 394536 */ GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(394561), // Rule ID 8784 //
     /* 394541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 394547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 394550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394554 */   // (AArch64trn2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 394554 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 394559 */   GIR_RootConstrainSelectedInstOperands,
     /* 394560 */   // GIR_Coverage, 8784,
     /* 394560 */   GIR_Done,
     /* 394561 */ // Label 8150: @394561
     /* 394561 */ GIM_Reject,
     /* 394562 */ // Label 8122: @394562
     /* 394562 */ GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(394608),
     /* 394567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 394570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 394573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394577 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(394592), // Rule ID 8779 //
     /* 394582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394585 */     // (AArch64trn2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 394585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 394590 */     GIR_RootConstrainSelectedInstOperands,
     /* 394591 */     // GIR_Coverage, 8779,
     /* 394591 */     GIR_Done,
     /* 394592 */   // Label 8152: @394592
     /* 394592 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(394607), // Rule ID 8785 //
     /* 394597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394600 */     // (AArch64trn2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 394600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 394605 */     GIR_RootConstrainSelectedInstOperands,
     /* 394606 */     // GIR_Coverage, 8785,
     /* 394606 */     GIR_Done,
     /* 394607 */   // Label 8153: @394607
     /* 394607 */   GIM_Reject,
     /* 394608 */ // Label 8151: @394608
     /* 394608 */ GIM_Reject,
     /* 394609 */ // Label 8123: @394609
     /* 394609 */ GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(394634), // Rule ID 8799 //
     /* 394614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 394620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 394623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 394627 */   // (AArch64trn2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 394627 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 394632 */   GIR_RootConstrainSelectedInstOperands,
     /* 394633 */   // GIR_Coverage, 8799,
     /* 394633 */   GIR_Done,
     /* 394634 */ // Label 8154: @394634
     /* 394634 */ GIM_Reject,
     /* 394635 */ // Label 8124: @394635
     /* 394635 */ GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(394660), // Rule ID 8781 //
     /* 394640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 394646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 394649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394653 */   // (AArch64trn2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 394653 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 394658 */   GIR_RootConstrainSelectedInstOperands,
     /* 394659 */   // GIR_Coverage, 8781,
     /* 394659 */   GIR_Done,
     /* 394660 */ // Label 8155: @394660
     /* 394660 */ GIM_Reject,
     /* 394661 */ // Label 8125: @394661
     /* 394661 */ GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(394707),
     /* 394666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 394669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 394672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394676 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(394691), // Rule ID 8778 //
     /* 394681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394684 */     // (AArch64trn2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 394684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 394689 */     GIR_RootConstrainSelectedInstOperands,
     /* 394690 */     // GIR_Coverage, 8778,
     /* 394690 */     GIR_Done,
     /* 394691 */   // Label 8157: @394691
     /* 394691 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(394706), // Rule ID 8782 //
     /* 394696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394699 */     // (AArch64trn2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 394699 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 394704 */     GIR_RootConstrainSelectedInstOperands,
     /* 394705 */     // GIR_Coverage, 8782,
     /* 394705 */     GIR_Done,
     /* 394706 */   // Label 8158: @394706
     /* 394706 */   GIM_Reject,
     /* 394707 */ // Label 8156: @394707
     /* 394707 */ GIM_Reject,
     /* 394708 */ // Label 8126: @394708
     /* 394708 */ GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(394733), // Rule ID 8798 //
     /* 394713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 394719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 394722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 394726 */   // (AArch64trn2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 394726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 394731 */   GIR_RootConstrainSelectedInstOperands,
     /* 394732 */   // GIR_Coverage, 8798,
     /* 394732 */   GIR_Done,
     /* 394733 */ // Label 8159: @394733
     /* 394733 */ GIM_Reject,
     /* 394734 */ // Label 8127: @394734
     /* 394734 */ GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(394780),
     /* 394739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 394742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 394745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394749 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(394764), // Rule ID 8777 //
     /* 394754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394757 */     // (AArch64trn2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 394757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 394762 */     GIR_RootConstrainSelectedInstOperands,
     /* 394763 */     // GIR_Coverage, 8777,
     /* 394763 */     GIR_Done,
     /* 394764 */   // Label 8161: @394764
     /* 394764 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(394779), // Rule ID 8780 //
     /* 394769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394772 */     // (AArch64trn2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 394772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 394777 */     GIR_RootConstrainSelectedInstOperands,
     /* 394778 */     // GIR_Coverage, 8780,
     /* 394778 */     GIR_Done,
     /* 394779 */   // Label 8162: @394779
     /* 394779 */   GIM_Reject,
     /* 394780 */ // Label 8160: @394780
     /* 394780 */ GIM_Reject,
     /* 394781 */ // Label 8128: @394781
     /* 394781 */ GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(394806), // Rule ID 2409 //
     /* 394786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 394792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 394795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 394799 */   // (AArch64trn2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 394799 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_B),
     /* 394804 */   GIR_RootConstrainSelectedInstOperands,
     /* 394805 */   // GIR_Coverage, 2409,
     /* 394805 */   GIR_Done,
     /* 394806 */ // Label 8163: @394806
     /* 394806 */ GIM_Reject,
     /* 394807 */ // Label 8129: @394807
     /* 394807 */ GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(394832), // Rule ID 8776 //
     /* 394812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 394815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 394818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 394821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 394825 */   // (AArch64trn2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 394825 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_B),
     /* 394830 */   GIR_RootConstrainSelectedInstOperands,
     /* 394831 */   // GIR_Coverage, 8776,
     /* 394831 */   GIR_Done,
     /* 394832 */ // Label 8164: @394832
     /* 394832 */ GIM_Reject,
     /* 394833 */ // Label 8130: @394833
     /* 394833 */ GIM_Reject,
     /* 394834 */ // Label 143: @394834
     /* 394834 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8171*/ GIMT_Encode4(395039),
     /* 394845 */ /*GILLT_s64*//*Label 8165*/ GIMT_Encode4(394877), GIMT_Encode4(0),
     /* 394853 */ /*GILLT_v2s32*//*Label 8166*/ GIMT_Encode4(394904),
     /* 394857 */ /*GILLT_v2s64*//*Label 8167*/ GIMT_Encode4(394931),
     /* 394861 */ /*GILLT_v4s16*//*Label 8168*/ GIMT_Encode4(394958),
     /* 394865 */ /*GILLT_v4s32*//*Label 8169*/ GIMT_Encode4(394985), GIMT_Encode4(0),
     /* 394873 */ /*GILLT_v8s16*//*Label 8170*/ GIMT_Encode4(395012),
     /* 394877 */ // Label 8165: @394877
     /* 394877 */ GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(394903), // Rule ID 1062 //
     /* 394882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394896 */   // (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 394896 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 394901 */   GIR_RootConstrainSelectedInstOperands,
     /* 394902 */   // GIR_Coverage, 1062,
     /* 394902 */   GIR_Done,
     /* 394903 */ // Label 8172: @394903
     /* 394903 */ GIM_Reject,
     /* 394904 */ // Label 8166: @394904
     /* 394904 */ GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(394930), // Rule ID 1058 //
     /* 394909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394923 */   // (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 394923 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 394928 */   GIR_RootConstrainSelectedInstOperands,
     /* 394929 */   // GIR_Coverage, 1058,
     /* 394929 */   GIR_Done,
     /* 394930 */ // Label 8173: @394930
     /* 394930 */ GIM_Reject,
     /* 394931 */ // Label 8167: @394931
     /* 394931 */ GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(394957), // Rule ID 1064 //
     /* 394936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394950 */   // (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 394950 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 394955 */   GIR_RootConstrainSelectedInstOperands,
     /* 394956 */   // GIR_Coverage, 1064,
     /* 394956 */   GIR_Done,
     /* 394957 */ // Label 8174: @394957
     /* 394957 */ GIM_Reject,
     /* 394958 */ // Label 8168: @394958
     /* 394958 */ GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(394984), // Rule ID 1054 //
     /* 394963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 394969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394977 */   // (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 394977 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 394982 */   GIR_RootConstrainSelectedInstOperands,
     /* 394983 */   // GIR_Coverage, 1054,
     /* 394983 */   GIR_Done,
     /* 394984 */ // Label 8175: @394984
     /* 394984 */ GIM_Reject,
     /* 394985 */ // Label 8169: @394985
     /* 394985 */ GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(395011), // Rule ID 1060 //
     /* 394990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395004 */   // (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 395004 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 395009 */   GIR_RootConstrainSelectedInstOperands,
     /* 395010 */   // GIR_Coverage, 1060,
     /* 395010 */   GIR_Done,
     /* 395011 */ // Label 8176: @395011
     /* 395011 */ GIM_Reject,
     /* 395012 */ // Label 8170: @395012
     /* 395012 */ GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(395038), // Rule ID 1056 //
     /* 395017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 395023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395031 */   // (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 395031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 395036 */   GIR_RootConstrainSelectedInstOperands,
     /* 395037 */   // GIR_Coverage, 1056,
     /* 395037 */   GIR_Done,
     /* 395038 */ // Label 8177: @395038
     /* 395038 */ GIM_Reject,
     /* 395039 */ // Label 8171: @395039
     /* 395039 */ GIM_Reject,
     /* 395040 */ // Label 144: @395040
     /* 395040 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8180*/ GIMT_Encode4(395906),
     /* 395051 */ /*GILLT_v2s64*//*Label 8178*/ GIMT_Encode4(395063), GIMT_Encode4(0),
     /* 395059 */ /*GILLT_v4s32*//*Label 8179*/ GIMT_Encode4(395357),
     /* 395063 */ // Label 8178: @395063
     /* 395063 */ GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(395145), // Rule ID 5760 //
     /* 395068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395075 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395079 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 395083 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 395086 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 395091 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 395095 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395100 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395102 */   // (AArch64uaddlv:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 395102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 395105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 395109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395114 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 395118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395128 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 395134 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395139 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395144 */   // GIR_Coverage, 5760,
     /* 395144 */   GIR_EraseRootFromParent_Done,
     /* 395145 */ // Label 8181: @395145
     /* 395145 */ GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(395219), // Rule ID 5759 //
     /* 395150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395157 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395161 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 395165 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395169 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395174 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395176 */   // (AArch64uaddlv:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 395176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 395179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 395183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395188 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 395192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 395208 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395213 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395218 */   // GIR_Coverage, 5759,
     /* 395218 */   GIR_EraseRootFromParent_Done,
     /* 395219 */ // Label 8182: @395219
     /* 395219 */ GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(395278), // Rule ID 5769 //
     /* 395224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395235 */   // (AArch64uaddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 395235 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395238 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 395242 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395247 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 395267 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395272 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395277 */   // GIR_Coverage, 5769,
     /* 395277 */   GIR_EraseRootFromParent_Done,
     /* 395278 */ // Label 8183: @395278
     /* 395278 */ GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(395356), // Rule ID 5897 //
     /* 395283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395294 */   // (AArch64uaddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (UADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 395294 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 395297 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 395301 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395306 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 395315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 395319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 395329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 395337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 395340 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395345 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395350 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395355 */   // GIR_Coverage, 5897,
     /* 395355 */   GIR_EraseRootFromParent_Done,
     /* 395356 */ // Label 8184: @395356
     /* 395356 */ GIM_Reject,
     /* 395357 */ // Label 8179: @395357
     /* 395357 */ GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(395439), // Rule ID 5762 //
     /* 395362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395369 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395373 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 395377 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 395380 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 395385 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 395389 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395394 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395396 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 395396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 395403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395408 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 395412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395433 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395438 */   // GIR_Coverage, 5762,
     /* 395438 */   GIR_EraseRootFromParent_Done,
     /* 395439 */ // Label 8185: @395439
     /* 395439 */ GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(395521), // Rule ID 5764 //
     /* 395444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395451 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395455 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 395459 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 395462 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 395467 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 395471 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395476 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395478 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 395478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 395485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395490 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 395494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395510 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395515 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395520 */   // GIR_Coverage, 5764,
     /* 395520 */   GIR_EraseRootFromParent_Done,
     /* 395521 */ // Label 8186: @395521
     /* 395521 */ GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(395595), // Rule ID 5761 //
     /* 395526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395533 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395537 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 395541 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 395545 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395550 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395552 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 395552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 395559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395564 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 395568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395589 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395594 */   // GIR_Coverage, 5761,
     /* 395594 */   GIR_EraseRootFromParent_Done,
     /* 395595 */ // Label 8187: @395595
     /* 395595 */ GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(395669), // Rule ID 5763 //
     /* 395600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395607 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395611 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 395615 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 395619 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395624 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395626 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 395626 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395629 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 395633 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395638 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 395642 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395652 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395658 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395663 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395668 */   // GIR_Coverage, 5763,
     /* 395668 */   GIR_EraseRootFromParent_Done,
     /* 395669 */ // Label 8188: @395669
     /* 395669 */ GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(395728), // Rule ID 5765 //
     /* 395674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 395677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395685 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 395685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 395692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395697 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395717 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395722 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395727 */   // GIR_Coverage, 5765,
     /* 395727 */   GIR_EraseRootFromParent_Done,
     /* 395728 */ // Label 8189: @395728
     /* 395728 */ GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(395787), // Rule ID 5766 //
     /* 395733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395744 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 395744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 395747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 395751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395760 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 395776 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395781 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395786 */   // GIR_Coverage, 5766,
     /* 395786 */   GIR_EraseRootFromParent_Done,
     /* 395787 */ // Label 8190: @395787
     /* 395787 */ GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(395846), // Rule ID 5767 //
     /* 395792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 395795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395803 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 395803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 395806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 395810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395815 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 395835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395845 */   // GIR_Coverage, 5767,
     /* 395845 */   GIR_EraseRootFromParent_Done,
     /* 395846 */ // Label 8191: @395846
     /* 395846 */ GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(395905), // Rule ID 5768 //
     /* 395851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395862 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 395862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 395865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 395869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395874 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 395883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 395885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395888 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 395894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395899 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395904 */   // GIR_Coverage, 5768,
     /* 395904 */   GIR_EraseRootFromParent_Done,
     /* 395905 */ // Label 8192: @395905
     /* 395905 */ GIM_Reject,
     /* 395906 */ // Label 8180: @395906
     /* 395906 */ GIM_Reject,
     /* 395907 */ // Label 145: @395907
     /* 395907 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8197*/ GIMT_Encode4(396276),
     /* 395918 */ /*GILLT_v2s32*//*Label 8193*/ GIMT_Encode4(395978), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 395930 */ /*GILLT_v4s32*//*Label 8194*/ GIMT_Encode4(396098), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 395962 */ /*GILLT_nxv2s64*//*Label 8195*/ GIMT_Encode4(396218), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 395974 */ /*GILLT_nxv4s32*//*Label 8196*/ GIMT_Encode4(396247),
     /* 395978 */ // Label 8193: @395978
     /* 395978 */ GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(396097),
     /* 395983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 395989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 395992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396004 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(396077), // Rule ID 28 //
     /* 396009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 396012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 396016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 396020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396036 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396053 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396057 */     // MIs[3] Operand 1
     /* 396057 */     // No operand predicates
     /* 396057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396059 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev8i8),
     /* 396062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 396064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 396066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 396068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396075 */     GIR_RootConstrainSelectedInstOperands,
     /* 396076 */     // GIR_Coverage, 28,
     /* 396076 */     GIR_EraseRootFromParent_Done,
     /* 396077 */   // Label 8199: @396077
     /* 396077 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(396096), // Rule ID 24 //
     /* 396082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 396085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396089 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 396089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv8i8),
     /* 396094 */     GIR_RootConstrainSelectedInstOperands,
     /* 396095 */     // GIR_Coverage, 24,
     /* 396095 */     GIR_Done,
     /* 396096 */   // Label 8200: @396096
     /* 396096 */   GIM_Reject,
     /* 396097 */ // Label 8198: @396097
     /* 396097 */ GIM_Reject,
     /* 396098 */ // Label 8194: @396098
     /* 396098 */ GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(396217),
     /* 396103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 396109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 396112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396124 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(396197), // Rule ID 29 //
     /* 396129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 396132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 396136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 396140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396156 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396173 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396177 */     // MIs[3] Operand 1
     /* 396177 */     // No operand predicates
     /* 396177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396179 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev16i8),
     /* 396182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 396184 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 396186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 396188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396195 */     GIR_RootConstrainSelectedInstOperands,
     /* 396196 */     // GIR_Coverage, 29,
     /* 396196 */     GIR_EraseRootFromParent_Done,
     /* 396197 */   // Label 8202: @396197
     /* 396197 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(396216), // Rule ID 25 //
     /* 396202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 396205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396209 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 396209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv16i8),
     /* 396214 */     GIR_RootConstrainSelectedInstOperands,
     /* 396215 */     // GIR_Coverage, 25,
     /* 396215 */     GIR_Done,
     /* 396216 */   // Label 8203: @396216
     /* 396216 */   GIM_Reject,
     /* 396217 */ // Label 8201: @396217
     /* 396217 */ GIM_Reject,
     /* 396218 */ // Label 8195: @396218
     /* 396218 */ GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(396246), // Rule ID 7487 //
     /* 396223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 396226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 396229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 396232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 396235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 396239 */   // (AArch64udot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 396239 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_D),
     /* 396244 */   GIR_RootConstrainSelectedInstOperands,
     /* 396245 */   // GIR_Coverage, 7487,
     /* 396245 */   GIR_Done,
     /* 396246 */ // Label 8204: @396246
     /* 396246 */ GIM_Reject,
     /* 396247 */ // Label 8196: @396247
     /* 396247 */ GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(396275), // Rule ID 7486 //
     /* 396252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 396255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 396258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 396261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 396264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 396268 */   // (AArch64udot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 396268 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_S),
     /* 396273 */   GIR_RootConstrainSelectedInstOperands,
     /* 396274 */   // GIR_Coverage, 7486,
     /* 396274 */   GIR_Done,
     /* 396275 */ // Label 8205: @396275
     /* 396275 */ GIM_Reject,
     /* 396276 */ // Label 8197: @396276
     /* 396276 */ GIM_Reject,
     /* 396277 */ // Label 146: @396277
     /* 396277 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8209*/ GIMT_Encode4(396393),
     /* 396288 */ /*GILLT_s16*//*Label 8206*/ GIMT_Encode4(396300),
     /* 396292 */ /*GILLT_s32*//*Label 8207*/ GIMT_Encode4(396331),
     /* 396296 */ /*GILLT_s64*//*Label 8208*/ GIMT_Encode4(396362),
     /* 396300 */ // Label 8206: @396300
     /* 396300 */ GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(396330), // Rule ID 1662 //
     /* 396305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 396308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396319 */   // (AArch64uitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (UCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 396319 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 396324 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396328 */   GIR_RootConstrainSelectedInstOperands,
     /* 396329 */   // GIR_Coverage, 1662,
     /* 396329 */   GIR_Done,
     /* 396330 */ // Label 8210: @396330
     /* 396330 */ GIM_Reject,
     /* 396331 */ // Label 8207: @396331
     /* 396331 */ GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(396361), // Rule ID 1661 //
     /* 396336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 396339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396350 */   // (AArch64uitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (UCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 396350 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 396355 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396359 */   GIR_RootConstrainSelectedInstOperands,
     /* 396360 */   // GIR_Coverage, 1661,
     /* 396360 */   GIR_Done,
     /* 396361 */ // Label 8211: @396361
     /* 396361 */ GIM_Reject,
     /* 396362 */ // Label 8208: @396362
     /* 396362 */ GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(396392), // Rule ID 1660 //
     /* 396367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 396370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 396373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396381 */   // (AArch64uitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (UCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 396381 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 396386 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396390 */   GIR_RootConstrainSelectedInstOperands,
     /* 396391 */   // GIR_Coverage, 1660,
     /* 396391 */   GIR_Done,
     /* 396392 */ // Label 8212: @396392
     /* 396392 */ GIM_Reject,
     /* 396393 */ // Label 8209: @396393
     /* 396393 */ GIM_Reject,
     /* 396394 */ // Label 147: @396394
     /* 396394 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8216*/ GIMT_Encode4(397626),
     /* 396405 */ /*GILLT_v2s64*//*Label 8213*/ GIMT_Encode4(396425), GIMT_Encode4(0),
     /* 396413 */ /*GILLT_v4s32*//*Label 8214*/ GIMT_Encode4(396986), GIMT_Encode4(0),
     /* 396421 */ /*GILLT_v8s16*//*Label 8215*/ GIMT_Encode4(397547),
     /* 396425 */ // Label 8213: @396425
     /* 396425 */ GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(396985),
     /* 396430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 396436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396440 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(396532), // Rule ID 2099 //
     /* 396445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 396452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 396456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396472 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396489 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396493 */     // MIs[3] Operand 1
     /* 396493 */     // No operand predicates
     /* 396493 */     // MIs[1] Operand 2
     /* 396493 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 396504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 396513 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 396516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 396523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396530 */     GIR_RootConstrainSelectedInstOperands,
     /* 396531 */     // GIR_Coverage, 2099,
     /* 396531 */     GIR_EraseRootFromParent_Done,
     /* 396532 */   // Label 8218: @396532
     /* 396532 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(396624), // Rule ID 13231 //
     /* 396537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 396548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396564 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396577 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396581 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396585 */     // MIs[3] Operand 1
     /* 396585 */     // No operand predicates
     /* 396585 */     // MIs[1] Operand 2
     /* 396585 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 396596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 396605 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 396608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 396615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396622 */     GIR_RootConstrainSelectedInstOperands,
     /* 396623 */     // GIR_Coverage, 13231,
     /* 396623 */     GIR_EraseRootFromParent_Done,
     /* 396624 */   // Label 8219: @396624
     /* 396624 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(396710), // Rule ID 13229 //
     /* 396629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 396640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396673 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396677 */     // MIs[3] Operand 1
     /* 396677 */     // No operand predicates
     /* 396677 */     // MIs[1] Operand 2
     /* 396677 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 396688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396694 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 396697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 396701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396708 */     GIR_RootConstrainSelectedInstOperands,
     /* 396709 */     // GIR_Coverage, 13229,
     /* 396709 */     GIR_EraseRootFromParent_Done,
     /* 396710 */   // Label 8220: @396710
     /* 396710 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(396796), // Rule ID 2097 //
     /* 396715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 396726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 396730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 396738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396746 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 396750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 396759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396763 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396767 */     // MIs[3] Operand 1
     /* 396767 */     // No operand predicates
     /* 396767 */     // MIs[1] Operand 2
     /* 396767 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 396778 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 396780 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 396783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396785 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 396787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 396791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 396794 */     GIR_RootConstrainSelectedInstOperands,
     /* 396795 */     // GIR_Coverage, 2097,
     /* 396795 */     GIR_EraseRootFromParent_Done,
     /* 396796 */   // Label 8221: @396796
     /* 396796 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(396835), // Rule ID 1824 //
     /* 396801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 396811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 396818 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (UMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 396818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 396821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 396828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 396833 */     GIR_RootConstrainSelectedInstOperands,
     /* 396834 */     // GIR_Coverage, 1824,
     /* 396834 */     GIR_EraseRootFromParent_Done,
     /* 396835 */   // Label 8222: @396835
     /* 396835 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(396898), // Rule ID 13230 //
     /* 396840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 396859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 396868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396872 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396876 */     // MIs[2] Operand 1
     /* 396876 */     // No operand predicates
     /* 396876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 396882 */     // (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 396885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 396889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 396893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 396896 */     GIR_RootConstrainSelectedInstOperands,
     /* 396897 */     // GIR_Coverage, 13230,
     /* 396897 */     GIR_EraseRootFromParent_Done,
     /* 396898 */   // Label 8223: @396898
     /* 396898 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(396961), // Rule ID 2098 //
     /* 396903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 396914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 396918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 396926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 396935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 396939 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 396943 */     // MIs[2] Operand 1
     /* 396943 */     // No operand predicates
     /* 396943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 396945 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 396945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 396948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396950 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 396952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 396956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 396959 */     GIR_RootConstrainSelectedInstOperands,
     /* 396960 */     // GIR_Coverage, 2098,
     /* 396960 */     GIR_EraseRootFromParent_Done,
     /* 396961 */   // Label 8224: @396961
     /* 396961 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(396984), // Rule ID 1823 //
     /* 396966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396977 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 396977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 396982 */     GIR_RootConstrainSelectedInstOperands,
     /* 396983 */     // GIR_Coverage, 1823,
     /* 396983 */     GIR_Done,
     /* 396984 */   // Label 8225: @396984
     /* 396984 */   GIM_Reject,
     /* 396985 */ // Label 8217: @396985
     /* 396985 */ GIM_Reject,
     /* 396986 */ // Label 8214: @396986
     /* 396986 */ GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(397546),
     /* 396991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 396997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397001 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(397093), // Rule ID 2096 //
     /* 397006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 397025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 397037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397046 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397050 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397054 */     // MIs[3] Operand 1
     /* 397054 */     // No operand predicates
     /* 397054 */     // MIs[1] Operand 2
     /* 397054 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 397065 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 397074 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 397077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 397084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 397088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 397091 */     GIR_RootConstrainSelectedInstOperands,
     /* 397092 */     // GIR_Coverage, 2096,
     /* 397092 */     GIR_EraseRootFromParent_Done,
     /* 397093 */   // Label 8227: @397093
     /* 397093 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(397185), // Rule ID 13228 //
     /* 397098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 397117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 397129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397142 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397146 */     // MIs[3] Operand 1
     /* 397146 */     // No operand predicates
     /* 397146 */     // MIs[1] Operand 2
     /* 397146 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 397157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 397166 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 397169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 397176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 397180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 397183 */     GIR_RootConstrainSelectedInstOperands,
     /* 397184 */     // GIR_Coverage, 13228,
     /* 397184 */     GIR_EraseRootFromParent_Done,
     /* 397185 */   // Label 8228: @397185
     /* 397185 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(397271), // Rule ID 13226 //
     /* 397190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 397209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397217 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 397221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397226 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397230 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397234 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397238 */     // MIs[3] Operand 1
     /* 397238 */     // No operand predicates
     /* 397238 */     // MIs[1] Operand 2
     /* 397238 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 397249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397255 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 397258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 397262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 397266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 397269 */     GIR_RootConstrainSelectedInstOperands,
     /* 397270 */     // GIR_Coverage, 13226,
     /* 397270 */     GIR_EraseRootFromParent_Done,
     /* 397271 */   // Label 8229: @397271
     /* 397271 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(397357), // Rule ID 2094 //
     /* 397276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 397299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397307 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 397311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 397320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397324 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397328 */     // MIs[3] Operand 1
     /* 397328 */     // No operand predicates
     /* 397328 */     // MIs[1] Operand 2
     /* 397328 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 397339 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 397341 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 397344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397346 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 397352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 397355 */     GIR_RootConstrainSelectedInstOperands,
     /* 397356 */     // GIR_Coverage, 2094,
     /* 397356 */     GIR_EraseRootFromParent_Done,
     /* 397357 */   // Label 8230: @397357
     /* 397357 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(397396), // Rule ID 1822 //
     /* 397362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 397372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 397379 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (UMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 397379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 397382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 397389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 397394 */     GIR_RootConstrainSelectedInstOperands,
     /* 397395 */     // GIR_Coverage, 1822,
     /* 397395 */     GIR_EraseRootFromParent_Done,
     /* 397396 */   // Label 8231: @397396
     /* 397396 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(397459), // Rule ID 13227 //
     /* 397401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 397420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 397429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397433 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397437 */     // MIs[2] Operand 1
     /* 397437 */     // No operand predicates
     /* 397437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 397443 */     // (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 397446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 397450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 397454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 397457 */     GIR_RootConstrainSelectedInstOperands,
     /* 397458 */     // GIR_Coverage, 13227,
     /* 397458 */     GIR_EraseRootFromParent_Done,
     /* 397459 */   // Label 8232: @397459
     /* 397459 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(397522), // Rule ID 2095 //
     /* 397464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 397479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 397487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 397492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 397496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397500 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397504 */     // MIs[2] Operand 1
     /* 397504 */     // No operand predicates
     /* 397504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 397506 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 397506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 397509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397511 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 397517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 397520 */     GIR_RootConstrainSelectedInstOperands,
     /* 397521 */     // GIR_Coverage, 2095,
     /* 397521 */     GIR_EraseRootFromParent_Done,
     /* 397522 */   // Label 8233: @397522
     /* 397522 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(397545), // Rule ID 1821 //
     /* 397527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397538 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 397538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 397543 */     GIR_RootConstrainSelectedInstOperands,
     /* 397544 */     // GIR_Coverage, 1821,
     /* 397544 */     GIR_Done,
     /* 397545 */   // Label 8234: @397545
     /* 397545 */   GIM_Reject,
     /* 397546 */ // Label 8226: @397546
     /* 397546 */ GIM_Reject,
     /* 397547 */ // Label 8215: @397547
     /* 397547 */ GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(397625),
     /* 397552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 397558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397562 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(397601), // Rule ID 1820 //
     /* 397567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 397577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 397584 */     // (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (UMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 397584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 397587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 397594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 397599 */     GIR_RootConstrainSelectedInstOperands,
     /* 397600 */     // GIR_Coverage, 1820,
     /* 397600 */     GIR_EraseRootFromParent_Done,
     /* 397601 */   // Label 8236: @397601
     /* 397601 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(397624), // Rule ID 1819 //
     /* 397606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397617 */     // (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 397617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 397622 */     GIR_RootConstrainSelectedInstOperands,
     /* 397623 */     // GIR_Coverage, 1819,
     /* 397623 */     GIR_Done,
     /* 397624 */   // Label 8237: @397624
     /* 397624 */   GIM_Reject,
     /* 397625 */ // Label 8235: @397625
     /* 397625 */ GIM_Reject,
     /* 397626 */ // Label 8216: @397626
     /* 397626 */ GIM_Reject,
     /* 397627 */ // Label 148: @397627
     /* 397627 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8256*/ GIMT_Encode4(398406),
     /* 397638 */ /*GILLT_v2s32*//*Label 8238*/ GIMT_Encode4(397714),
     /* 397642 */ /*GILLT_v2s64*//*Label 8239*/ GIMT_Encode4(397769),
     /* 397646 */ /*GILLT_v4s16*//*Label 8240*/ GIMT_Encode4(397824),
     /* 397650 */ /*GILLT_v4s32*//*Label 8241*/ GIMT_Encode4(397879),
     /* 397654 */ /*GILLT_v8s8*//*Label 8242*/ GIMT_Encode4(397934),
     /* 397658 */ /*GILLT_v8s16*//*Label 8243*/ GIMT_Encode4(397968),
     /* 397662 */ /*GILLT_v16s8*//*Label 8244*/ GIMT_Encode4(398023), GIMT_Encode4(0),
     /* 397670 */ /*GILLT_nxv2s1*//*Label 8245*/ GIMT_Encode4(398057),
     /* 397674 */ /*GILLT_nxv2s16*//*Label 8246*/ GIMT_Encode4(398083),
     /* 397678 */ /*GILLT_nxv2s32*//*Label 8247*/ GIMT_Encode4(398109),
     /* 397682 */ /*GILLT_nxv2s64*//*Label 8248*/ GIMT_Encode4(398135),
     /* 397686 */ /*GILLT_nxv4s1*//*Label 8249*/ GIMT_Encode4(398182),
     /* 397690 */ /*GILLT_nxv4s16*//*Label 8250*/ GIMT_Encode4(398208),
     /* 397694 */ /*GILLT_nxv4s32*//*Label 8251*/ GIMT_Encode4(398234),
     /* 397698 */ /*GILLT_nxv8s1*//*Label 8252*/ GIMT_Encode4(398281),
     /* 397702 */ /*GILLT_nxv8s16*//*Label 8253*/ GIMT_Encode4(398307),
     /* 397706 */ /*GILLT_nxv16s1*//*Label 8254*/ GIMT_Encode4(398354),
     /* 397710 */ /*GILLT_nxv16s8*//*Label 8255*/ GIMT_Encode4(398380),
     /* 397714 */ // Label 8238: @397714
     /* 397714 */ GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(397768),
     /* 397719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 397725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397737 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(397752), // Rule ID 1881 //
     /* 397742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397745 */     // (AArch64uzp1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 397745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 397750 */     GIR_RootConstrainSelectedInstOperands,
     /* 397751 */     // GIR_Coverage, 1881,
     /* 397751 */     GIR_Done,
     /* 397752 */   // Label 8258: @397752
     /* 397752 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(397767), // Rule ID 5404 //
     /* 397757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397760 */     // (AArch64uzp1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 397760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 397765 */     GIR_RootConstrainSelectedInstOperands,
     /* 397766 */     // GIR_Coverage, 5404,
     /* 397766 */     GIR_Done,
     /* 397767 */   // Label 8259: @397767
     /* 397767 */   GIM_Reject,
     /* 397768 */ // Label 8257: @397768
     /* 397768 */ GIM_Reject,
     /* 397769 */ // Label 8239: @397769
     /* 397769 */ GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(397823),
     /* 397774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 397777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 397780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397792 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(397807), // Rule ID 1883 //
     /* 397797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397800 */     // (AArch64uzp1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 397800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 397805 */     GIR_RootConstrainSelectedInstOperands,
     /* 397806 */     // GIR_Coverage, 1883,
     /* 397806 */     GIR_Done,
     /* 397807 */   // Label 8261: @397807
     /* 397807 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(397822), // Rule ID 5406 //
     /* 397812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397815 */     // (AArch64uzp1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 397815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 397820 */     GIR_RootConstrainSelectedInstOperands,
     /* 397821 */     // GIR_Coverage, 5406,
     /* 397821 */     GIR_Done,
     /* 397822 */   // Label 8262: @397822
     /* 397822 */   GIM_Reject,
     /* 397823 */ // Label 8260: @397823
     /* 397823 */ GIM_Reject,
     /* 397824 */ // Label 8240: @397824
     /* 397824 */ GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(397878),
     /* 397829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 397835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397847 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(397862), // Rule ID 1879 //
     /* 397852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397855 */     // (AArch64uzp1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 397855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 397860 */     GIR_RootConstrainSelectedInstOperands,
     /* 397861 */     // GIR_Coverage, 1879,
     /* 397861 */     GIR_Done,
     /* 397862 */   // Label 8264: @397862
     /* 397862 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(397877), // Rule ID 5402 //
     /* 397867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397870 */     // (AArch64uzp1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 397870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 397875 */     GIR_RootConstrainSelectedInstOperands,
     /* 397876 */     // GIR_Coverage, 5402,
     /* 397876 */     GIR_Done,
     /* 397877 */   // Label 8265: @397877
     /* 397877 */   GIM_Reject,
     /* 397878 */ // Label 8263: @397878
     /* 397878 */ GIM_Reject,
     /* 397879 */ // Label 8241: @397879
     /* 397879 */ GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(397933),
     /* 397884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 397890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397902 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(397917), // Rule ID 1882 //
     /* 397907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397910 */     // (AArch64uzp1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 397910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 397915 */     GIR_RootConstrainSelectedInstOperands,
     /* 397916 */     // GIR_Coverage, 1882,
     /* 397916 */     GIR_Done,
     /* 397917 */   // Label 8267: @397917
     /* 397917 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(397932), // Rule ID 5405 //
     /* 397922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397925 */     // (AArch64uzp1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 397925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 397930 */     GIR_RootConstrainSelectedInstOperands,
     /* 397931 */     // GIR_Coverage, 5405,
     /* 397931 */     GIR_Done,
     /* 397932 */   // Label 8268: @397932
     /* 397932 */   GIM_Reject,
     /* 397933 */ // Label 8266: @397933
     /* 397933 */ GIM_Reject,
     /* 397934 */ // Label 8242: @397934
     /* 397934 */ GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(397967), // Rule ID 1877 //
     /* 397939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 397948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397960 */   // (AArch64uzp1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 397960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 397965 */   GIR_RootConstrainSelectedInstOperands,
     /* 397966 */   // GIR_Coverage, 1877,
     /* 397966 */   GIR_Done,
     /* 397967 */ // Label 8269: @397967
     /* 397967 */ GIM_Reject,
     /* 397968 */ // Label 8243: @397968
     /* 397968 */ GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(398022),
     /* 397973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 397979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397991 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(398006), // Rule ID 1880 //
     /* 397996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397999 */     // (AArch64uzp1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 397999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 398004 */     GIR_RootConstrainSelectedInstOperands,
     /* 398005 */     // GIR_Coverage, 1880,
     /* 398005 */     GIR_Done,
     /* 398006 */   // Label 8271: @398006
     /* 398006 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(398021), // Rule ID 5403 //
     /* 398011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398014 */     // (AArch64uzp1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 398014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 398019 */     GIR_RootConstrainSelectedInstOperands,
     /* 398020 */     // GIR_Coverage, 5403,
     /* 398020 */     GIR_Done,
     /* 398021 */   // Label 8272: @398021
     /* 398021 */   GIM_Reject,
     /* 398022 */ // Label 8270: @398022
     /* 398022 */ GIM_Reject,
     /* 398023 */ // Label 8244: @398023
     /* 398023 */ GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(398056), // Rule ID 1878 //
     /* 398028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 398034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 398037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398049 */   // (AArch64uzp1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 398049 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /* 398054 */   GIR_RootConstrainSelectedInstOperands,
     /* 398055 */   // GIR_Coverage, 1878,
     /* 398055 */   GIR_Done,
     /* 398056 */ // Label 8273: @398056
     /* 398056 */ GIM_Reject,
     /* 398057 */ // Label 8245: @398057
     /* 398057 */ GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(398082), // Rule ID 8791 //
     /* 398062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 398068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 398071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398075 */   // (AArch64uzp1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 398075 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 398080 */   GIR_RootConstrainSelectedInstOperands,
     /* 398081 */   // GIR_Coverage, 8791,
     /* 398081 */   GIR_Done,
     /* 398082 */ // Label 8274: @398082
     /* 398082 */ GIM_Reject,
     /* 398083 */ // Label 8246: @398083
     /* 398083 */ GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(398108), // Rule ID 8753 //
     /* 398088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 398094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 398097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398101 */   // (AArch64uzp1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 398101 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 398106 */   GIR_RootConstrainSelectedInstOperands,
     /* 398107 */   // GIR_Coverage, 8753,
     /* 398107 */   GIR_Done,
     /* 398108 */ // Label 8275: @398108
     /* 398108 */ GIM_Reject,
     /* 398109 */ // Label 8247: @398109
     /* 398109 */ GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(398134), // Rule ID 8754 //
     /* 398114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 398120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 398123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398127 */   // (AArch64uzp1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 398127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 398132 */   GIR_RootConstrainSelectedInstOperands,
     /* 398133 */   // GIR_Coverage, 8754,
     /* 398133 */   GIR_Done,
     /* 398134 */ // Label 8276: @398134
     /* 398134 */ GIM_Reject,
     /* 398135 */ // Label 8248: @398135
     /* 398135 */ GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(398181),
     /* 398140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 398143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 398146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398150 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(398165), // Rule ID 8749 //
     /* 398155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398158 */     // (AArch64uzp1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 398158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 398163 */     GIR_RootConstrainSelectedInstOperands,
     /* 398164 */     // GIR_Coverage, 8749,
     /* 398164 */     GIR_Done,
     /* 398165 */   // Label 8278: @398165
     /* 398165 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(398180), // Rule ID 8755 //
     /* 398170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398173 */     // (AArch64uzp1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 398173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 398178 */     GIR_RootConstrainSelectedInstOperands,
     /* 398179 */     // GIR_Coverage, 8755,
     /* 398179 */     GIR_Done,
     /* 398180 */   // Label 8279: @398180
     /* 398180 */   GIM_Reject,
     /* 398181 */ // Label 8277: @398181
     /* 398181 */ GIM_Reject,
     /* 398182 */ // Label 8249: @398182
     /* 398182 */ GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(398207), // Rule ID 8790 //
     /* 398187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 398193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 398196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398200 */   // (AArch64uzp1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 398200 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 398205 */   GIR_RootConstrainSelectedInstOperands,
     /* 398206 */   // GIR_Coverage, 8790,
     /* 398206 */   GIR_Done,
     /* 398207 */ // Label 8280: @398207
     /* 398207 */ GIM_Reject,
     /* 398208 */ // Label 8250: @398208
     /* 398208 */ GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(398233), // Rule ID 8751 //
     /* 398213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 398219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 398222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398226 */   // (AArch64uzp1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 398226 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 398231 */   GIR_RootConstrainSelectedInstOperands,
     /* 398232 */   // GIR_Coverage, 8751,
     /* 398232 */   GIR_Done,
     /* 398233 */ // Label 8281: @398233
     /* 398233 */ GIM_Reject,
     /* 398234 */ // Label 8251: @398234
     /* 398234 */ GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(398280),
     /* 398239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 398242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 398245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398249 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(398264), // Rule ID 8748 //
     /* 398254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398257 */     // (AArch64uzp1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 398257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 398262 */     GIR_RootConstrainSelectedInstOperands,
     /* 398263 */     // GIR_Coverage, 8748,
     /* 398263 */     GIR_Done,
     /* 398264 */   // Label 8283: @398264
     /* 398264 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(398279), // Rule ID 8752 //
     /* 398269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398272 */     // (AArch64uzp1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 398272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 398277 */     GIR_RootConstrainSelectedInstOperands,
     /* 398278 */     // GIR_Coverage, 8752,
     /* 398278 */     GIR_Done,
     /* 398279 */   // Label 8284: @398279
     /* 398279 */   GIM_Reject,
     /* 398280 */ // Label 8282: @398280
     /* 398280 */ GIM_Reject,
     /* 398281 */ // Label 8252: @398281
     /* 398281 */ GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(398306), // Rule ID 8789 //
     /* 398286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 398292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 398295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398299 */   // (AArch64uzp1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 398299 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 398304 */   GIR_RootConstrainSelectedInstOperands,
     /* 398305 */   // GIR_Coverage, 8789,
     /* 398305 */   GIR_Done,
     /* 398306 */ // Label 8285: @398306
     /* 398306 */ GIM_Reject,
     /* 398307 */ // Label 8253: @398307
     /* 398307 */ GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(398353),
     /* 398312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 398315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 398318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398322 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(398337), // Rule ID 8747 //
     /* 398327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398330 */     // (AArch64uzp1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 398330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 398335 */     GIR_RootConstrainSelectedInstOperands,
     /* 398336 */     // GIR_Coverage, 8747,
     /* 398336 */     GIR_Done,
     /* 398337 */   // Label 8287: @398337
     /* 398337 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(398352), // Rule ID 8750 //
     /* 398342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398345 */     // (AArch64uzp1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 398345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 398350 */     GIR_RootConstrainSelectedInstOperands,
     /* 398351 */     // GIR_Coverage, 8750,
     /* 398351 */     GIR_Done,
     /* 398352 */   // Label 8288: @398352
     /* 398352 */   GIM_Reject,
     /* 398353 */ // Label 8286: @398353
     /* 398353 */ GIM_Reject,
     /* 398354 */ // Label 8254: @398354
     /* 398354 */ GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(398379), // Rule ID 2397 //
     /* 398359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 398365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 398368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398372 */   // (AArch64uzp1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 398372 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /* 398377 */   GIR_RootConstrainSelectedInstOperands,
     /* 398378 */   // GIR_Coverage, 2397,
     /* 398378 */   GIR_Done,
     /* 398379 */ // Label 8289: @398379
     /* 398379 */ GIM_Reject,
     /* 398380 */ // Label 8255: @398380
     /* 398380 */ GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(398405), // Rule ID 8746 //
     /* 398385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 398391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 398394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398398 */   // (AArch64uzp1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 398398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_B),
     /* 398403 */   GIR_RootConstrainSelectedInstOperands,
     /* 398404 */   // GIR_Coverage, 8746,
     /* 398404 */   GIR_Done,
     /* 398405 */ // Label 8290: @398405
     /* 398405 */ GIM_Reject,
     /* 398406 */ // Label 8256: @398406
     /* 398406 */ GIM_Reject,
     /* 398407 */ // Label 149: @398407
     /* 398407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8309*/ GIMT_Encode4(399186),
     /* 398418 */ /*GILLT_v2s32*//*Label 8291*/ GIMT_Encode4(398494),
     /* 398422 */ /*GILLT_v2s64*//*Label 8292*/ GIMT_Encode4(398549),
     /* 398426 */ /*GILLT_v4s16*//*Label 8293*/ GIMT_Encode4(398604),
     /* 398430 */ /*GILLT_v4s32*//*Label 8294*/ GIMT_Encode4(398659),
     /* 398434 */ /*GILLT_v8s8*//*Label 8295*/ GIMT_Encode4(398714),
     /* 398438 */ /*GILLT_v8s16*//*Label 8296*/ GIMT_Encode4(398748),
     /* 398442 */ /*GILLT_v16s8*//*Label 8297*/ GIMT_Encode4(398803), GIMT_Encode4(0),
     /* 398450 */ /*GILLT_nxv2s1*//*Label 8298*/ GIMT_Encode4(398837),
     /* 398454 */ /*GILLT_nxv2s16*//*Label 8299*/ GIMT_Encode4(398863),
     /* 398458 */ /*GILLT_nxv2s32*//*Label 8300*/ GIMT_Encode4(398889),
     /* 398462 */ /*GILLT_nxv2s64*//*Label 8301*/ GIMT_Encode4(398915),
     /* 398466 */ /*GILLT_nxv4s1*//*Label 8302*/ GIMT_Encode4(398962),
     /* 398470 */ /*GILLT_nxv4s16*//*Label 8303*/ GIMT_Encode4(398988),
     /* 398474 */ /*GILLT_nxv4s32*//*Label 8304*/ GIMT_Encode4(399014),
     /* 398478 */ /*GILLT_nxv8s1*//*Label 8305*/ GIMT_Encode4(399061),
     /* 398482 */ /*GILLT_nxv8s16*//*Label 8306*/ GIMT_Encode4(399087),
     /* 398486 */ /*GILLT_nxv16s1*//*Label 8307*/ GIMT_Encode4(399134),
     /* 398490 */ /*GILLT_nxv16s8*//*Label 8308*/ GIMT_Encode4(399160),
     /* 398494 */ // Label 8291: @398494
     /* 398494 */ GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(398548),
     /* 398499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 398502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 398505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398517 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(398532), // Rule ID 1888 //
     /* 398522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398525 */     // (AArch64uzp2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 398525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 398530 */     GIR_RootConstrainSelectedInstOperands,
     /* 398531 */     // GIR_Coverage, 1888,
     /* 398531 */     GIR_Done,
     /* 398532 */   // Label 8311: @398532
     /* 398532 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(398547), // Rule ID 5409 //
     /* 398537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398540 */     // (AArch64uzp2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 398540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 398545 */     GIR_RootConstrainSelectedInstOperands,
     /* 398546 */     // GIR_Coverage, 5409,
     /* 398546 */     GIR_Done,
     /* 398547 */   // Label 8312: @398547
     /* 398547 */   GIM_Reject,
     /* 398548 */ // Label 8310: @398548
     /* 398548 */ GIM_Reject,
     /* 398549 */ // Label 8292: @398549
     /* 398549 */ GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(398603),
     /* 398554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 398557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 398560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398572 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(398587), // Rule ID 1890 //
     /* 398577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398580 */     // (AArch64uzp2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 398580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 398585 */     GIR_RootConstrainSelectedInstOperands,
     /* 398586 */     // GIR_Coverage, 1890,
     /* 398586 */     GIR_Done,
     /* 398587 */   // Label 8314: @398587
     /* 398587 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(398602), // Rule ID 5411 //
     /* 398592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398595 */     // (AArch64uzp2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 398595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 398600 */     GIR_RootConstrainSelectedInstOperands,
     /* 398601 */     // GIR_Coverage, 5411,
     /* 398601 */     GIR_Done,
     /* 398602 */   // Label 8315: @398602
     /* 398602 */   GIM_Reject,
     /* 398603 */ // Label 8313: @398603
     /* 398603 */ GIM_Reject,
     /* 398604 */ // Label 8293: @398604
     /* 398604 */ GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(398658),
     /* 398609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 398612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 398615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398627 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(398642), // Rule ID 1886 //
     /* 398632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398635 */     // (AArch64uzp2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 398635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 398640 */     GIR_RootConstrainSelectedInstOperands,
     /* 398641 */     // GIR_Coverage, 1886,
     /* 398641 */     GIR_Done,
     /* 398642 */   // Label 8317: @398642
     /* 398642 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(398657), // Rule ID 5407 //
     /* 398647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398650 */     // (AArch64uzp2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 398650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 398655 */     GIR_RootConstrainSelectedInstOperands,
     /* 398656 */     // GIR_Coverage, 5407,
     /* 398656 */     GIR_Done,
     /* 398657 */   // Label 8318: @398657
     /* 398657 */   GIM_Reject,
     /* 398658 */ // Label 8316: @398658
     /* 398658 */ GIM_Reject,
     /* 398659 */ // Label 8294: @398659
     /* 398659 */ GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(398713),
     /* 398664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 398670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398682 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(398697), // Rule ID 1889 //
     /* 398687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398690 */     // (AArch64uzp2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 398690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 398695 */     GIR_RootConstrainSelectedInstOperands,
     /* 398696 */     // GIR_Coverage, 1889,
     /* 398696 */     GIR_Done,
     /* 398697 */   // Label 8320: @398697
     /* 398697 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(398712), // Rule ID 5410 //
     /* 398702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398705 */     // (AArch64uzp2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 398705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 398710 */     GIR_RootConstrainSelectedInstOperands,
     /* 398711 */     // GIR_Coverage, 5410,
     /* 398711 */     GIR_Done,
     /* 398712 */   // Label 8321: @398712
     /* 398712 */   GIM_Reject,
     /* 398713 */ // Label 8319: @398713
     /* 398713 */ GIM_Reject,
     /* 398714 */ // Label 8295: @398714
     /* 398714 */ GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(398747), // Rule ID 1884 //
     /* 398719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 398725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 398728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398740 */   // (AArch64uzp2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 398740 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i8),
     /* 398745 */   GIR_RootConstrainSelectedInstOperands,
     /* 398746 */   // GIR_Coverage, 1884,
     /* 398746 */   GIR_Done,
     /* 398747 */ // Label 8322: @398747
     /* 398747 */ GIM_Reject,
     /* 398748 */ // Label 8296: @398748
     /* 398748 */ GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(398802),
     /* 398753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 398759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398771 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(398786), // Rule ID 1887 //
     /* 398776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398779 */     // (AArch64uzp2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 398779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 398784 */     GIR_RootConstrainSelectedInstOperands,
     /* 398785 */     // GIR_Coverage, 1887,
     /* 398785 */     GIR_Done,
     /* 398786 */   // Label 8324: @398786
     /* 398786 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(398801), // Rule ID 5408 //
     /* 398791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398794 */     // (AArch64uzp2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 398794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 398799 */     GIR_RootConstrainSelectedInstOperands,
     /* 398800 */     // GIR_Coverage, 5408,
     /* 398800 */     GIR_Done,
     /* 398801 */   // Label 8325: @398801
     /* 398801 */   GIM_Reject,
     /* 398802 */ // Label 8323: @398802
     /* 398802 */ GIM_Reject,
     /* 398803 */ // Label 8297: @398803
     /* 398803 */ GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(398836), // Rule ID 1885 //
     /* 398808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 398811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 398814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 398817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398829 */   // (AArch64uzp2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 398829 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 398834 */   GIR_RootConstrainSelectedInstOperands,
     /* 398835 */   // GIR_Coverage, 1885,
     /* 398835 */   GIR_Done,
     /* 398836 */ // Label 8326: @398836
     /* 398836 */ GIM_Reject,
     /* 398837 */ // Label 8298: @398837
     /* 398837 */ GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(398862), // Rule ID 8794 //
     /* 398842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 398848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 398851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398855 */   // (AArch64uzp2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 398855 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 398860 */   GIR_RootConstrainSelectedInstOperands,
     /* 398861 */   // GIR_Coverage, 8794,
     /* 398861 */   GIR_Done,
     /* 398862 */ // Label 8327: @398862
     /* 398862 */ GIM_Reject,
     /* 398863 */ // Label 8299: @398863
     /* 398863 */ GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(398888), // Rule ID 8763 //
     /* 398868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 398874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 398877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398881 */   // (AArch64uzp2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 398881 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 398886 */   GIR_RootConstrainSelectedInstOperands,
     /* 398887 */   // GIR_Coverage, 8763,
     /* 398887 */   GIR_Done,
     /* 398888 */ // Label 8328: @398888
     /* 398888 */ GIM_Reject,
     /* 398889 */ // Label 8300: @398889
     /* 398889 */ GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(398914), // Rule ID 8764 //
     /* 398894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 398900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 398903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398907 */   // (AArch64uzp2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 398907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 398912 */   GIR_RootConstrainSelectedInstOperands,
     /* 398913 */   // GIR_Coverage, 8764,
     /* 398913 */   GIR_Done,
     /* 398914 */ // Label 8329: @398914
     /* 398914 */ GIM_Reject,
     /* 398915 */ // Label 8301: @398915
     /* 398915 */ GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(398961),
     /* 398920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 398923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 398926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398930 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(398945), // Rule ID 8759 //
     /* 398935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398938 */     // (AArch64uzp2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 398938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 398943 */     GIR_RootConstrainSelectedInstOperands,
     /* 398944 */     // GIR_Coverage, 8759,
     /* 398944 */     GIR_Done,
     /* 398945 */   // Label 8331: @398945
     /* 398945 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(398960), // Rule ID 8765 //
     /* 398950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398953 */     // (AArch64uzp2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 398953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 398958 */     GIR_RootConstrainSelectedInstOperands,
     /* 398959 */     // GIR_Coverage, 8765,
     /* 398959 */     GIR_Done,
     /* 398960 */   // Label 8332: @398960
     /* 398960 */   GIM_Reject,
     /* 398961 */ // Label 8330: @398961
     /* 398961 */ GIM_Reject,
     /* 398962 */ // Label 8302: @398962
     /* 398962 */ GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(398987), // Rule ID 8793 //
     /* 398967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 398973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 398976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 398980 */   // (AArch64uzp2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 398980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 398985 */   GIR_RootConstrainSelectedInstOperands,
     /* 398986 */   // GIR_Coverage, 8793,
     /* 398986 */   GIR_Done,
     /* 398987 */ // Label 8333: @398987
     /* 398987 */ GIM_Reject,
     /* 398988 */ // Label 8303: @398988
     /* 398988 */ GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(399013), // Rule ID 8761 //
     /* 398993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 398996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 398999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 399002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 399006 */   // (AArch64uzp2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 399006 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 399011 */   GIR_RootConstrainSelectedInstOperands,
     /* 399012 */   // GIR_Coverage, 8761,
     /* 399012 */   GIR_Done,
     /* 399013 */ // Label 8334: @399013
     /* 399013 */ GIM_Reject,
     /* 399014 */ // Label 8304: @399014
     /* 399014 */ GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(399060),
     /* 399019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 399022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 399025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 399029 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(399044), // Rule ID 8758 //
     /* 399034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399037 */     // (AArch64uzp2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 399037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 399042 */     GIR_RootConstrainSelectedInstOperands,
     /* 399043 */     // GIR_Coverage, 8758,
     /* 399043 */     GIR_Done,
     /* 399044 */   // Label 8336: @399044
     /* 399044 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(399059), // Rule ID 8762 //
     /* 399049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399052 */     // (AArch64uzp2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 399052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 399057 */     GIR_RootConstrainSelectedInstOperands,
     /* 399058 */     // GIR_Coverage, 8762,
     /* 399058 */     GIR_Done,
     /* 399059 */   // Label 8337: @399059
     /* 399059 */   GIM_Reject,
     /* 399060 */ // Label 8335: @399060
     /* 399060 */ GIM_Reject,
     /* 399061 */ // Label 8305: @399061
     /* 399061 */ GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(399086), // Rule ID 8792 //
     /* 399066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 399072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 399075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 399079 */   // (AArch64uzp2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 399079 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 399084 */   GIR_RootConstrainSelectedInstOperands,
     /* 399085 */   // GIR_Coverage, 8792,
     /* 399085 */   GIR_Done,
     /* 399086 */ // Label 8338: @399086
     /* 399086 */ GIM_Reject,
     /* 399087 */ // Label 8306: @399087
     /* 399087 */ GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(399133),
     /* 399092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 399095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 399098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 399102 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(399117), // Rule ID 8757 //
     /* 399107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399110 */     // (AArch64uzp2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 399110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 399115 */     GIR_RootConstrainSelectedInstOperands,
     /* 399116 */     // GIR_Coverage, 8757,
     /* 399116 */     GIR_Done,
     /* 399117 */   // Label 8340: @399117
     /* 399117 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(399132), // Rule ID 8760 //
     /* 399122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399125 */     // (AArch64uzp2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 399125 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 399130 */     GIR_RootConstrainSelectedInstOperands,
     /* 399131 */     // GIR_Coverage, 8760,
     /* 399131 */     GIR_Done,
     /* 399132 */   // Label 8341: @399132
     /* 399132 */   GIM_Reject,
     /* 399133 */ // Label 8339: @399133
     /* 399133 */ GIM_Reject,
     /* 399134 */ // Label 8307: @399134
     /* 399134 */ GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(399159), // Rule ID 2401 //
     /* 399139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 399145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 399148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 399152 */   // (AArch64uzp2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 399152 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_B),
     /* 399157 */   GIR_RootConstrainSelectedInstOperands,
     /* 399158 */   // GIR_Coverage, 2401,
     /* 399158 */   GIR_Done,
     /* 399159 */ // Label 8342: @399159
     /* 399159 */ GIM_Reject,
     /* 399160 */ // Label 8308: @399160
     /* 399160 */ GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(399185), // Rule ID 8756 //
     /* 399165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 399171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 399174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 399178 */   // (AArch64uzp2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 399178 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_B),
     /* 399183 */   GIR_RootConstrainSelectedInstOperands,
     /* 399184 */   // GIR_Coverage, 8756,
     /* 399184 */   GIR_Done,
     /* 399185 */ // Label 8343: @399185
     /* 399185 */ GIM_Reject,
     /* 399186 */ // Label 8309: @399186
     /* 399186 */ GIM_Reject,
     /* 399187 */ // Label 150: @399187
     /* 399187 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8352*/ GIMT_Encode4(399884),
     /* 399198 */ /*GILLT_s64*//*Label 8344*/ GIMT_Encode4(399234), GIMT_Encode4(0),
     /* 399206 */ /*GILLT_v2s32*//*Label 8345*/ GIMT_Encode4(399345),
     /* 399210 */ /*GILLT_v2s64*//*Label 8346*/ GIMT_Encode4(399422),
     /* 399214 */ /*GILLT_v4s16*//*Label 8347*/ GIMT_Encode4(399499),
     /* 399218 */ /*GILLT_v4s32*//*Label 8348*/ GIMT_Encode4(399576),
     /* 399222 */ /*GILLT_v8s8*//*Label 8349*/ GIMT_Encode4(399653),
     /* 399226 */ /*GILLT_v8s16*//*Label 8350*/ GIMT_Encode4(399730),
     /* 399230 */ /*GILLT_v16s8*//*Label 8351*/ GIMT_Encode4(399807),
     /* 399234 */ // Label 8344: @399234
     /* 399234 */ GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(399344),
     /* 399239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399250 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(399275), // Rule ID 5187 //
     /* 399255 */     // MIs[0] Operand 2
     /* 399255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 399266 */     // (AArch64vashr:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv1i64rz:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /* 399266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 399269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399271 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399273 */     GIR_RootConstrainSelectedInstOperands,
     /* 399274 */     // GIR_Coverage, 5187,
     /* 399274 */     GIR_EraseRootFromParent_Done,
     /* 399275 */   // Label 8354: @399275
     /* 399275 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(399309), // Rule ID 2111 //
     /* 399280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399283 */     // MIs[0] imm
     /* 399283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 399295 */     // MIs[1] Operand 1
     /* 399295 */     // No operand predicates
     /* 399295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399297 */     // (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 399300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399302 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399307 */     GIR_RootConstrainSelectedInstOperands,
     /* 399308 */     // GIR_Coverage, 2111,
     /* 399308 */     GIR_EraseRootFromParent_Done,
     /* 399309 */   // Label 8355: @399309
     /* 399309 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(399343), // Rule ID 6184 //
     /* 399314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399317 */     // MIs[0] imm
     /* 399317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 399329 */     // MIs[1] Operand 1
     /* 399329 */     // No operand predicates
     /* 399329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399331 */     // (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 399331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 399334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399341 */     GIR_RootConstrainSelectedInstOperands,
     /* 399342 */     // GIR_Coverage, 6184,
     /* 399342 */     GIR_EraseRootFromParent_Done,
     /* 399343 */   // Label 8356: @399343
     /* 399343 */   GIM_Reject,
     /* 399344 */ // Label 8353: @399344
     /* 399344 */ GIM_Reject,
     /* 399345 */ // Label 8345: @399345
     /* 399345 */ GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(399421),
     /* 399350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 399353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399361 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(399386), // Rule ID 4832 //
     /* 399366 */     // MIs[0] Operand 2
     /* 399366 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 399377 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 399377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 399380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399382 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399384 */     GIR_RootConstrainSelectedInstOperands,
     /* 399385 */     // GIR_Coverage, 4832,
     /* 399385 */     GIR_EraseRootFromParent_Done,
     /* 399386 */   // Label 8358: @399386
     /* 399386 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(399420), // Rule ID 2218 //
     /* 399391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399394 */     // MIs[0] imm
     /* 399394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 399406 */     // MIs[1] Operand 1
     /* 399406 */     // No operand predicates
     /* 399406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399408 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i32_shift),
     /* 399411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399418 */     GIR_RootConstrainSelectedInstOperands,
     /* 399419 */     // GIR_Coverage, 2218,
     /* 399419 */     GIR_EraseRootFromParent_Done,
     /* 399420 */   // Label 8359: @399420
     /* 399420 */   GIM_Reject,
     /* 399421 */ // Label 8357: @399421
     /* 399421 */ GIM_Reject,
     /* 399422 */ // Label 8346: @399422
     /* 399422 */ GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(399498),
     /* 399427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 399430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399438 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(399463), // Rule ID 4836 //
     /* 399443 */     // MIs[0] Operand 2
     /* 399443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 399454 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 399454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 399457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399459 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399461 */     GIR_RootConstrainSelectedInstOperands,
     /* 399462 */     // GIR_Coverage, 4836,
     /* 399462 */     GIR_EraseRootFromParent_Done,
     /* 399463 */   // Label 8361: @399463
     /* 399463 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(399497), // Rule ID 2220 //
     /* 399468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399471 */     // MIs[0] imm
     /* 399471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 399483 */     // MIs[1] Operand 1
     /* 399483 */     // No operand predicates
     /* 399483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399485 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i64_shift),
     /* 399488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399490 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399495 */     GIR_RootConstrainSelectedInstOperands,
     /* 399496 */     // GIR_Coverage, 2220,
     /* 399496 */     GIR_EraseRootFromParent_Done,
     /* 399497 */   // Label 8362: @399497
     /* 399497 */   GIM_Reject,
     /* 399498 */ // Label 8360: @399498
     /* 399498 */ GIM_Reject,
     /* 399499 */ // Label 8347: @399499
     /* 399499 */ GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(399575),
     /* 399504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 399507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399515 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(399540), // Rule ID 4831 //
     /* 399520 */     // MIs[0] Operand 2
     /* 399520 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 399531 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 399531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 399534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399538 */     GIR_RootConstrainSelectedInstOperands,
     /* 399539 */     // GIR_Coverage, 4831,
     /* 399539 */     GIR_EraseRootFromParent_Done,
     /* 399540 */   // Label 8364: @399540
     /* 399540 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(399574), // Rule ID 2216 //
     /* 399545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399548 */     // MIs[0] imm
     /* 399548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 399560 */     // MIs[1] Operand 1
     /* 399560 */     // No operand predicates
     /* 399560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399562 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i16_shift),
     /* 399565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399572 */     GIR_RootConstrainSelectedInstOperands,
     /* 399573 */     // GIR_Coverage, 2216,
     /* 399573 */     GIR_EraseRootFromParent_Done,
     /* 399574 */   // Label 8365: @399574
     /* 399574 */   GIM_Reject,
     /* 399575 */ // Label 8363: @399575
     /* 399575 */ GIM_Reject,
     /* 399576 */ // Label 8348: @399576
     /* 399576 */ GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(399652),
     /* 399581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 399584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399592 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(399617), // Rule ID 4835 //
     /* 399597 */     // MIs[0] Operand 2
     /* 399597 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 399608 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 399608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 399611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399613 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399615 */     GIR_RootConstrainSelectedInstOperands,
     /* 399616 */     // GIR_Coverage, 4835,
     /* 399616 */     GIR_EraseRootFromParent_Done,
     /* 399617 */   // Label 8367: @399617
     /* 399617 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(399651), // Rule ID 2219 //
     /* 399622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399625 */     // MIs[0] imm
     /* 399625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 399637 */     // MIs[1] Operand 1
     /* 399637 */     // No operand predicates
     /* 399637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399639 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i32_shift),
     /* 399642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399644 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399649 */     GIR_RootConstrainSelectedInstOperands,
     /* 399650 */     // GIR_Coverage, 2219,
     /* 399650 */     GIR_EraseRootFromParent_Done,
     /* 399651 */   // Label 8368: @399651
     /* 399651 */   GIM_Reject,
     /* 399652 */ // Label 8366: @399652
     /* 399652 */ GIM_Reject,
     /* 399653 */ // Label 8349: @399653
     /* 399653 */ GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(399729),
     /* 399658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 399661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399669 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(399694), // Rule ID 4830 //
     /* 399674 */     // MIs[0] Operand 2
     /* 399674 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 399685 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 399685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 399688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399690 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399692 */     GIR_RootConstrainSelectedInstOperands,
     /* 399693 */     // GIR_Coverage, 4830,
     /* 399693 */     GIR_EraseRootFromParent_Done,
     /* 399694 */   // Label 8370: @399694
     /* 399694 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(399728), // Rule ID 2214 //
     /* 399699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399702 */     // MIs[0] imm
     /* 399702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 399714 */     // MIs[1] Operand 1
     /* 399714 */     // No operand predicates
     /* 399714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399716 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i8_shift),
     /* 399719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399721 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399726 */     GIR_RootConstrainSelectedInstOperands,
     /* 399727 */     // GIR_Coverage, 2214,
     /* 399727 */     GIR_EraseRootFromParent_Done,
     /* 399728 */   // Label 8371: @399728
     /* 399728 */   GIM_Reject,
     /* 399729 */ // Label 8369: @399729
     /* 399729 */ GIM_Reject,
     /* 399730 */ // Label 8350: @399730
     /* 399730 */ GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(399806),
     /* 399735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 399738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399746 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(399771), // Rule ID 4834 //
     /* 399751 */     // MIs[0] Operand 2
     /* 399751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 399762 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 399762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 399765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399769 */     GIR_RootConstrainSelectedInstOperands,
     /* 399770 */     // GIR_Coverage, 4834,
     /* 399770 */     GIR_EraseRootFromParent_Done,
     /* 399771 */   // Label 8373: @399771
     /* 399771 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(399805), // Rule ID 2217 //
     /* 399776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399779 */     // MIs[0] imm
     /* 399779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 399791 */     // MIs[1] Operand 1
     /* 399791 */     // No operand predicates
     /* 399791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399793 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i16_shift),
     /* 399796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399803 */     GIR_RootConstrainSelectedInstOperands,
     /* 399804 */     // GIR_Coverage, 2217,
     /* 399804 */     GIR_EraseRootFromParent_Done,
     /* 399805 */   // Label 8374: @399805
     /* 399805 */   GIM_Reject,
     /* 399806 */ // Label 8372: @399806
     /* 399806 */ GIM_Reject,
     /* 399807 */ // Label 8351: @399807
     /* 399807 */ GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(399883),
     /* 399812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 399815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399823 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(399848), // Rule ID 4833 //
     /* 399828 */     // MIs[0] Operand 2
     /* 399828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 399839 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 399839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 399842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399846 */     GIR_RootConstrainSelectedInstOperands,
     /* 399847 */     // GIR_Coverage, 4833,
     /* 399847 */     GIR_EraseRootFromParent_Done,
     /* 399848 */   // Label 8376: @399848
     /* 399848 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(399882), // Rule ID 2215 //
     /* 399853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399856 */     // MIs[0] imm
     /* 399856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 399868 */     // MIs[1] Operand 1
     /* 399868 */     // No operand predicates
     /* 399868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399870 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv16i8_shift),
     /* 399873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399875 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399880 */     GIR_RootConstrainSelectedInstOperands,
     /* 399881 */     // GIR_Coverage, 2215,
     /* 399881 */     GIR_EraseRootFromParent_Done,
     /* 399882 */   // Label 8377: @399882
     /* 399882 */   GIM_Reject,
     /* 399883 */ // Label 8375: @399883
     /* 399883 */ GIM_Reject,
     /* 399884 */ // Label 8352: @399884
     /* 399884 */ GIM_Reject,
     /* 399885 */ // Label 151: @399885
     /* 399885 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8386*/ GIMT_Encode4(400340),
     /* 399896 */ /*GILLT_s64*//*Label 8378*/ GIMT_Encode4(399932), GIMT_Encode4(0),
     /* 399904 */ /*GILLT_v2s32*//*Label 8379*/ GIMT_Encode4(400018),
     /* 399908 */ /*GILLT_v2s64*//*Label 8380*/ GIMT_Encode4(400064),
     /* 399912 */ /*GILLT_v4s16*//*Label 8381*/ GIMT_Encode4(400110),
     /* 399916 */ /*GILLT_v4s32*//*Label 8382*/ GIMT_Encode4(400156),
     /* 399920 */ /*GILLT_v8s8*//*Label 8383*/ GIMT_Encode4(400202),
     /* 399924 */ /*GILLT_v8s16*//*Label 8384*/ GIMT_Encode4(400248),
     /* 399928 */ /*GILLT_v16s8*//*Label 8385*/ GIMT_Encode4(400294),
     /* 399932 */ // Label 8378: @399932
     /* 399932 */ GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(400017),
     /* 399937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399948 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(399982), // Rule ID 2120 //
     /* 399953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399956 */     // MIs[0] imm
     /* 399956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 399968 */     // MIs[1] Operand 1
     /* 399968 */     // No operand predicates
     /* 399968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399970 */     // (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 399970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 399973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399975 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399980 */     GIR_RootConstrainSelectedInstOperands,
     /* 399981 */     // GIR_Coverage, 2120,
     /* 399981 */     GIR_EraseRootFromParent_Done,
     /* 399982 */   // Label 8388: @399982
     /* 399982 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(400016), // Rule ID 6190 //
     /* 399987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399990 */     // MIs[0] imm
     /* 399990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 399994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 400002 */     // MIs[1] Operand 1
     /* 400002 */     // No operand predicates
     /* 400002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400004 */     // (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 400004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 400007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400014 */     GIR_RootConstrainSelectedInstOperands,
     /* 400015 */     // GIR_Coverage, 6190,
     /* 400015 */     GIR_EraseRootFromParent_Done,
     /* 400016 */   // Label 8389: @400016
     /* 400016 */   GIM_Reject,
     /* 400017 */ // Label 8387: @400017
     /* 400017 */ GIM_Reject,
     /* 400018 */ // Label 8379: @400018
     /* 400018 */ GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(400063), // Rule ID 2277 //
     /* 400023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400037 */   // MIs[0] imm
     /* 400037 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400041 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400045 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 400049 */   // MIs[1] Operand 1
     /* 400049 */   // No operand predicates
     /* 400049 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400051 */   // (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i32_shift),
     /* 400054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400056 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400058 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400061 */   GIR_RootConstrainSelectedInstOperands,
     /* 400062 */   // GIR_Coverage, 2277,
     /* 400062 */   GIR_EraseRootFromParent_Done,
     /* 400063 */ // Label 8390: @400063
     /* 400063 */ GIM_Reject,
     /* 400064 */ // Label 8380: @400064
     /* 400064 */ GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(400109), // Rule ID 2279 //
     /* 400069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400083 */   // MIs[0] imm
     /* 400083 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400087 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400091 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 400095 */   // MIs[1] Operand 1
     /* 400095 */   // No operand predicates
     /* 400095 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400097 */   // (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i64_shift),
     /* 400100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400102 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400104 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400107 */   GIR_RootConstrainSelectedInstOperands,
     /* 400108 */   // GIR_Coverage, 2279,
     /* 400108 */   GIR_EraseRootFromParent_Done,
     /* 400109 */ // Label 8391: @400109
     /* 400109 */ GIM_Reject,
     /* 400110 */ // Label 8381: @400110
     /* 400110 */ GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(400155), // Rule ID 2275 //
     /* 400115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400129 */   // MIs[0] imm
     /* 400129 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400133 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400137 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 400141 */   // MIs[1] Operand 1
     /* 400141 */   // No operand predicates
     /* 400141 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400143 */   // (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i16_shift),
     /* 400146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400148 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400150 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400153 */   GIR_RootConstrainSelectedInstOperands,
     /* 400154 */   // GIR_Coverage, 2275,
     /* 400154 */   GIR_EraseRootFromParent_Done,
     /* 400155 */ // Label 8392: @400155
     /* 400155 */ GIM_Reject,
     /* 400156 */ // Label 8382: @400156
     /* 400156 */ GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(400201), // Rule ID 2278 //
     /* 400161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400175 */   // MIs[0] imm
     /* 400175 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400179 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400183 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 400187 */   // MIs[1] Operand 1
     /* 400187 */   // No operand predicates
     /* 400187 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400189 */   // (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i32_shift),
     /* 400192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400194 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400196 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400199 */   GIR_RootConstrainSelectedInstOperands,
     /* 400200 */   // GIR_Coverage, 2278,
     /* 400200 */   GIR_EraseRootFromParent_Done,
     /* 400201 */ // Label 8393: @400201
     /* 400201 */ GIM_Reject,
     /* 400202 */ // Label 8383: @400202
     /* 400202 */ GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(400247), // Rule ID 2273 //
     /* 400207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 400213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400221 */   // MIs[0] imm
     /* 400221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400229 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 400233 */   // MIs[1] Operand 1
     /* 400233 */   // No operand predicates
     /* 400233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400235 */   // (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i8_shift),
     /* 400238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400240 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400242 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400245 */   GIR_RootConstrainSelectedInstOperands,
     /* 400246 */   // GIR_Coverage, 2273,
     /* 400246 */   GIR_EraseRootFromParent_Done,
     /* 400247 */ // Label 8394: @400247
     /* 400247 */ GIM_Reject,
     /* 400248 */ // Label 8384: @400248
     /* 400248 */ GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(400293), // Rule ID 2276 //
     /* 400253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400267 */   // MIs[0] imm
     /* 400267 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400271 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400275 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 400279 */   // MIs[1] Operand 1
     /* 400279 */   // No operand predicates
     /* 400279 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400281 */   // (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i16_shift),
     /* 400284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400286 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400288 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400291 */   GIR_RootConstrainSelectedInstOperands,
     /* 400292 */   // GIR_Coverage, 2276,
     /* 400292 */   GIR_EraseRootFromParent_Done,
     /* 400293 */ // Label 8395: @400293
     /* 400293 */ GIM_Reject,
     /* 400294 */ // Label 8385: @400294
     /* 400294 */ GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(400339), // Rule ID 2274 //
     /* 400299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 400305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400313 */   // MIs[0] imm
     /* 400313 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400317 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400321 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 400325 */   // MIs[1] Operand 1
     /* 400325 */   // No operand predicates
     /* 400325 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400327 */   // (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 400327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv16i8_shift),
     /* 400330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400332 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400334 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400337 */   GIR_RootConstrainSelectedInstOperands,
     /* 400338 */   // GIR_Coverage, 2274,
     /* 400338 */   GIR_EraseRootFromParent_Done,
     /* 400339 */ // Label 8396: @400339
     /* 400339 */ GIM_Reject,
     /* 400340 */ // Label 8386: @400340
     /* 400340 */ GIM_Reject,
     /* 400341 */ // Label 152: @400341
     /* 400341 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8415*/ GIMT_Encode4(401120),
     /* 400352 */ /*GILLT_v2s32*//*Label 8397*/ GIMT_Encode4(400428),
     /* 400356 */ /*GILLT_v2s64*//*Label 8398*/ GIMT_Encode4(400483),
     /* 400360 */ /*GILLT_v4s16*//*Label 8399*/ GIMT_Encode4(400538),
     /* 400364 */ /*GILLT_v4s32*//*Label 8400*/ GIMT_Encode4(400593),
     /* 400368 */ /*GILLT_v8s8*//*Label 8401*/ GIMT_Encode4(400648),
     /* 400372 */ /*GILLT_v8s16*//*Label 8402*/ GIMT_Encode4(400682),
     /* 400376 */ /*GILLT_v16s8*//*Label 8403*/ GIMT_Encode4(400737), GIMT_Encode4(0),
     /* 400384 */ /*GILLT_nxv2s1*//*Label 8404*/ GIMT_Encode4(400771),
     /* 400388 */ /*GILLT_nxv2s16*//*Label 8405*/ GIMT_Encode4(400797),
     /* 400392 */ /*GILLT_nxv2s32*//*Label 8406*/ GIMT_Encode4(400823),
     /* 400396 */ /*GILLT_nxv2s64*//*Label 8407*/ GIMT_Encode4(400849),
     /* 400400 */ /*GILLT_nxv4s1*//*Label 8408*/ GIMT_Encode4(400896),
     /* 400404 */ /*GILLT_nxv4s16*//*Label 8409*/ GIMT_Encode4(400922),
     /* 400408 */ /*GILLT_nxv4s32*//*Label 8410*/ GIMT_Encode4(400948),
     /* 400412 */ /*GILLT_nxv8s1*//*Label 8411*/ GIMT_Encode4(400995),
     /* 400416 */ /*GILLT_nxv8s16*//*Label 8412*/ GIMT_Encode4(401021),
     /* 400420 */ /*GILLT_nxv16s1*//*Label 8413*/ GIMT_Encode4(401068),
     /* 400424 */ /*GILLT_nxv16s8*//*Label 8414*/ GIMT_Encode4(401094),
     /* 400428 */ // Label 8397: @400428
     /* 400428 */ GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(400482),
     /* 400433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 400439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400451 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(400466), // Rule ID 1895 //
     /* 400456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400459 */     // (AArch64zip1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 400459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 400464 */     GIR_RootConstrainSelectedInstOperands,
     /* 400465 */     // GIR_Coverage, 1895,
     /* 400465 */     GIR_Done,
     /* 400466 */   // Label 8417: @400466
     /* 400466 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(400481), // Rule ID 5414 //
     /* 400471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400474 */     // (AArch64zip1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 400474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 400479 */     GIR_RootConstrainSelectedInstOperands,
     /* 400480 */     // GIR_Coverage, 5414,
     /* 400480 */     GIR_Done,
     /* 400481 */   // Label 8418: @400481
     /* 400481 */   GIM_Reject,
     /* 400482 */ // Label 8416: @400482
     /* 400482 */ GIM_Reject,
     /* 400483 */ // Label 8398: @400483
     /* 400483 */ GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(400537),
     /* 400488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 400494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400506 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(400521), // Rule ID 1897 //
     /* 400511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400514 */     // (AArch64zip1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 400514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 400519 */     GIR_RootConstrainSelectedInstOperands,
     /* 400520 */     // GIR_Coverage, 1897,
     /* 400520 */     GIR_Done,
     /* 400521 */   // Label 8420: @400521
     /* 400521 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(400536), // Rule ID 5416 //
     /* 400526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400529 */     // (AArch64zip1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 400529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 400534 */     GIR_RootConstrainSelectedInstOperands,
     /* 400535 */     // GIR_Coverage, 5416,
     /* 400535 */     GIR_Done,
     /* 400536 */   // Label 8421: @400536
     /* 400536 */   GIM_Reject,
     /* 400537 */ // Label 8419: @400537
     /* 400537 */ GIM_Reject,
     /* 400538 */ // Label 8399: @400538
     /* 400538 */ GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(400592),
     /* 400543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 400549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400561 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(400576), // Rule ID 1893 //
     /* 400566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400569 */     // (AArch64zip1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 400569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 400574 */     GIR_RootConstrainSelectedInstOperands,
     /* 400575 */     // GIR_Coverage, 1893,
     /* 400575 */     GIR_Done,
     /* 400576 */   // Label 8423: @400576
     /* 400576 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(400591), // Rule ID 5412 //
     /* 400581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400584 */     // (AArch64zip1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 400584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 400589 */     GIR_RootConstrainSelectedInstOperands,
     /* 400590 */     // GIR_Coverage, 5412,
     /* 400590 */     GIR_Done,
     /* 400591 */   // Label 8424: @400591
     /* 400591 */   GIM_Reject,
     /* 400592 */ // Label 8422: @400592
     /* 400592 */ GIM_Reject,
     /* 400593 */ // Label 8400: @400593
     /* 400593 */ GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(400647),
     /* 400598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 400604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400616 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(400631), // Rule ID 1896 //
     /* 400621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400624 */     // (AArch64zip1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 400624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 400629 */     GIR_RootConstrainSelectedInstOperands,
     /* 400630 */     // GIR_Coverage, 1896,
     /* 400630 */     GIR_Done,
     /* 400631 */   // Label 8426: @400631
     /* 400631 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(400646), // Rule ID 5415 //
     /* 400636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400639 */     // (AArch64zip1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 400639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 400644 */     GIR_RootConstrainSelectedInstOperands,
     /* 400645 */     // GIR_Coverage, 5415,
     /* 400645 */     GIR_Done,
     /* 400646 */   // Label 8427: @400646
     /* 400646 */   GIM_Reject,
     /* 400647 */ // Label 8425: @400647
     /* 400647 */ GIM_Reject,
     /* 400648 */ // Label 8401: @400648
     /* 400648 */ GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(400681), // Rule ID 1891 //
     /* 400653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 400659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 400662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400674 */   // (AArch64zip1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 400674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 400679 */   GIR_RootConstrainSelectedInstOperands,
     /* 400680 */   // GIR_Coverage, 1891,
     /* 400680 */   GIR_Done,
     /* 400681 */ // Label 8428: @400681
     /* 400681 */ GIM_Reject,
     /* 400682 */ // Label 8402: @400682
     /* 400682 */ GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(400736),
     /* 400687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 400693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400705 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(400720), // Rule ID 1894 //
     /* 400710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400713 */     // (AArch64zip1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 400713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 400718 */     GIR_RootConstrainSelectedInstOperands,
     /* 400719 */     // GIR_Coverage, 1894,
     /* 400719 */     GIR_Done,
     /* 400720 */   // Label 8430: @400720
     /* 400720 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(400735), // Rule ID 5413 //
     /* 400725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400728 */     // (AArch64zip1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 400728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 400733 */     GIR_RootConstrainSelectedInstOperands,
     /* 400734 */     // GIR_Coverage, 5413,
     /* 400734 */     GIR_Done,
     /* 400735 */   // Label 8431: @400735
     /* 400735 */   GIM_Reject,
     /* 400736 */ // Label 8429: @400736
     /* 400736 */ GIM_Reject,
     /* 400737 */ // Label 8403: @400737
     /* 400737 */ GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(400770), // Rule ID 1892 //
     /* 400742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 400748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 400751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400763 */   // (AArch64zip1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 400763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v16i8),
     /* 400768 */   GIR_RootConstrainSelectedInstOperands,
     /* 400769 */   // GIR_Coverage, 1892,
     /* 400769 */   GIR_Done,
     /* 400770 */ // Label 8432: @400770
     /* 400770 */ GIM_Reject,
     /* 400771 */ // Label 8404: @400771
     /* 400771 */ GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(400796), // Rule ID 3328 //
     /* 400776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 400782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 400785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 400789 */   // (AArch64zip1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 400789 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 400794 */   GIR_RootConstrainSelectedInstOperands,
     /* 400795 */   // GIR_Coverage, 3328,
     /* 400795 */   GIR_Done,
     /* 400796 */ // Label 8433: @400796
     /* 400796 */ GIM_Reject,
     /* 400797 */ // Label 8405: @400797
     /* 400797 */ GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(400822), // Rule ID 2865 //
     /* 400802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 400808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 400811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 400815 */   // (AArch64zip1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 400815 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 400820 */   GIR_RootConstrainSelectedInstOperands,
     /* 400821 */   // GIR_Coverage, 2865,
     /* 400821 */   GIR_Done,
     /* 400822 */ // Label 8434: @400822
     /* 400822 */ GIM_Reject,
     /* 400823 */ // Label 8406: @400823
     /* 400823 */ GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(400848), // Rule ID 2866 //
     /* 400828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 400834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 400837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 400841 */   // (AArch64zip1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 400841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 400846 */   GIR_RootConstrainSelectedInstOperands,
     /* 400847 */   // GIR_Coverage, 2866,
     /* 400847 */   GIR_Done,
     /* 400848 */ // Label 8435: @400848
     /* 400848 */ GIM_Reject,
     /* 400849 */ // Label 8407: @400849
     /* 400849 */ GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(400895),
     /* 400854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 400857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 400860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 400864 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(400879), // Rule ID 2861 //
     /* 400869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400872 */     // (AArch64zip1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 400872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 400877 */     GIR_RootConstrainSelectedInstOperands,
     /* 400878 */     // GIR_Coverage, 2861,
     /* 400878 */     GIR_Done,
     /* 400879 */   // Label 8437: @400879
     /* 400879 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(400894), // Rule ID 2867 //
     /* 400884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400887 */     // (AArch64zip1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 400887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 400892 */     GIR_RootConstrainSelectedInstOperands,
     /* 400893 */     // GIR_Coverage, 2867,
     /* 400893 */     GIR_Done,
     /* 400894 */   // Label 8438: @400894
     /* 400894 */   GIM_Reject,
     /* 400895 */ // Label 8436: @400895
     /* 400895 */ GIM_Reject,
     /* 400896 */ // Label 8408: @400896
     /* 400896 */ GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(400921), // Rule ID 3327 //
     /* 400901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 400907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 400910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 400914 */   // (AArch64zip1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 400914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 400919 */   GIR_RootConstrainSelectedInstOperands,
     /* 400920 */   // GIR_Coverage, 3327,
     /* 400920 */   GIR_Done,
     /* 400921 */ // Label 8439: @400921
     /* 400921 */ GIM_Reject,
     /* 400922 */ // Label 8409: @400922
     /* 400922 */ GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(400947), // Rule ID 2863 //
     /* 400927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 400933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 400936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 400940 */   // (AArch64zip1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 400940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 400945 */   GIR_RootConstrainSelectedInstOperands,
     /* 400946 */   // GIR_Coverage, 2863,
     /* 400946 */   GIR_Done,
     /* 400947 */ // Label 8440: @400947
     /* 400947 */ GIM_Reject,
     /* 400948 */ // Label 8410: @400948
     /* 400948 */ GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(400994),
     /* 400953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 400956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 400959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 400963 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(400978), // Rule ID 2860 //
     /* 400968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400971 */     // (AArch64zip1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 400971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 400976 */     GIR_RootConstrainSelectedInstOperands,
     /* 400977 */     // GIR_Coverage, 2860,
     /* 400977 */     GIR_Done,
     /* 400978 */   // Label 8442: @400978
     /* 400978 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(400993), // Rule ID 2864 //
     /* 400983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 400986 */     // (AArch64zip1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 400986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 400991 */     GIR_RootConstrainSelectedInstOperands,
     /* 400992 */     // GIR_Coverage, 2864,
     /* 400992 */     GIR_Done,
     /* 400993 */   // Label 8443: @400993
     /* 400993 */   GIM_Reject,
     /* 400994 */ // Label 8441: @400994
     /* 400994 */ GIM_Reject,
     /* 400995 */ // Label 8411: @400995
     /* 400995 */ GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(401020), // Rule ID 3326 //
     /* 401000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 401006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 401009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401013 */   // (AArch64zip1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 401013 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 401018 */   GIR_RootConstrainSelectedInstOperands,
     /* 401019 */   // GIR_Coverage, 3326,
     /* 401019 */   GIR_Done,
     /* 401020 */ // Label 8444: @401020
     /* 401020 */ GIM_Reject,
     /* 401021 */ // Label 8412: @401021
     /* 401021 */ GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(401067),
     /* 401026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 401029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 401032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401036 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(401051), // Rule ID 2859 //
     /* 401041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401044 */     // (AArch64zip1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 401044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 401049 */     GIR_RootConstrainSelectedInstOperands,
     /* 401050 */     // GIR_Coverage, 2859,
     /* 401050 */     GIR_Done,
     /* 401051 */   // Label 8446: @401051
     /* 401051 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(401066), // Rule ID 2862 //
     /* 401056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401059 */     // (AArch64zip1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 401059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 401064 */     GIR_RootConstrainSelectedInstOperands,
     /* 401065 */     // GIR_Coverage, 2862,
     /* 401065 */     GIR_Done,
     /* 401066 */   // Label 8447: @401066
     /* 401066 */   GIM_Reject,
     /* 401067 */ // Label 8445: @401067
     /* 401067 */ GIM_Reject,
     /* 401068 */ // Label 8413: @401068
     /* 401068 */ GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(401093), // Rule ID 2389 //
     /* 401073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 401079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 401082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401086 */   // (AArch64zip1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 401086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_B),
     /* 401091 */   GIR_RootConstrainSelectedInstOperands,
     /* 401092 */   // GIR_Coverage, 2389,
     /* 401092 */   GIR_Done,
     /* 401093 */ // Label 8448: @401093
     /* 401093 */ GIM_Reject,
     /* 401094 */ // Label 8414: @401094
     /* 401094 */ GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(401119), // Rule ID 2858 //
     /* 401099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 401105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 401108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401112 */   // (AArch64zip1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 401112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_B),
     /* 401117 */   GIR_RootConstrainSelectedInstOperands,
     /* 401118 */   // GIR_Coverage, 2858,
     /* 401118 */   GIR_Done,
     /* 401119 */ // Label 8449: @401119
     /* 401119 */ GIM_Reject,
     /* 401120 */ // Label 8415: @401120
     /* 401120 */ GIM_Reject,
     /* 401121 */ // Label 153: @401121
     /* 401121 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8468*/ GIMT_Encode4(401900),
     /* 401132 */ /*GILLT_v2s32*//*Label 8450*/ GIMT_Encode4(401208),
     /* 401136 */ /*GILLT_v2s64*//*Label 8451*/ GIMT_Encode4(401263),
     /* 401140 */ /*GILLT_v4s16*//*Label 8452*/ GIMT_Encode4(401318),
     /* 401144 */ /*GILLT_v4s32*//*Label 8453*/ GIMT_Encode4(401373),
     /* 401148 */ /*GILLT_v8s8*//*Label 8454*/ GIMT_Encode4(401428),
     /* 401152 */ /*GILLT_v8s16*//*Label 8455*/ GIMT_Encode4(401462),
     /* 401156 */ /*GILLT_v16s8*//*Label 8456*/ GIMT_Encode4(401517), GIMT_Encode4(0),
     /* 401164 */ /*GILLT_nxv2s1*//*Label 8457*/ GIMT_Encode4(401551),
     /* 401168 */ /*GILLT_nxv2s16*//*Label 8458*/ GIMT_Encode4(401577),
     /* 401172 */ /*GILLT_nxv2s32*//*Label 8459*/ GIMT_Encode4(401603),
     /* 401176 */ /*GILLT_nxv2s64*//*Label 8460*/ GIMT_Encode4(401629),
     /* 401180 */ /*GILLT_nxv4s1*//*Label 8461*/ GIMT_Encode4(401676),
     /* 401184 */ /*GILLT_nxv4s16*//*Label 8462*/ GIMT_Encode4(401702),
     /* 401188 */ /*GILLT_nxv4s32*//*Label 8463*/ GIMT_Encode4(401728),
     /* 401192 */ /*GILLT_nxv8s1*//*Label 8464*/ GIMT_Encode4(401775),
     /* 401196 */ /*GILLT_nxv8s16*//*Label 8465*/ GIMT_Encode4(401801),
     /* 401200 */ /*GILLT_nxv16s1*//*Label 8466*/ GIMT_Encode4(401848),
     /* 401204 */ /*GILLT_nxv16s8*//*Label 8467*/ GIMT_Encode4(401874),
     /* 401208 */ // Label 8450: @401208
     /* 401208 */ GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(401262),
     /* 401213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 401219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401231 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(401246), // Rule ID 1902 //
     /* 401236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401239 */     // (AArch64zip2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 401239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 401244 */     GIR_RootConstrainSelectedInstOperands,
     /* 401245 */     // GIR_Coverage, 1902,
     /* 401245 */     GIR_Done,
     /* 401246 */   // Label 8470: @401246
     /* 401246 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(401261), // Rule ID 5419 //
     /* 401251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401254 */     // (AArch64zip2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 401254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 401259 */     GIR_RootConstrainSelectedInstOperands,
     /* 401260 */     // GIR_Coverage, 5419,
     /* 401260 */     GIR_Done,
     /* 401261 */   // Label 8471: @401261
     /* 401261 */   GIM_Reject,
     /* 401262 */ // Label 8469: @401262
     /* 401262 */ GIM_Reject,
     /* 401263 */ // Label 8451: @401263
     /* 401263 */ GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(401317),
     /* 401268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 401274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401286 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(401301), // Rule ID 1904 //
     /* 401291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401294 */     // (AArch64zip2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 401294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 401299 */     GIR_RootConstrainSelectedInstOperands,
     /* 401300 */     // GIR_Coverage, 1904,
     /* 401300 */     GIR_Done,
     /* 401301 */   // Label 8473: @401301
     /* 401301 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(401316), // Rule ID 5421 //
     /* 401306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401309 */     // (AArch64zip2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 401309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 401314 */     GIR_RootConstrainSelectedInstOperands,
     /* 401315 */     // GIR_Coverage, 5421,
     /* 401315 */     GIR_Done,
     /* 401316 */   // Label 8474: @401316
     /* 401316 */   GIM_Reject,
     /* 401317 */ // Label 8472: @401317
     /* 401317 */ GIM_Reject,
     /* 401318 */ // Label 8452: @401318
     /* 401318 */ GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(401372),
     /* 401323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 401329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401341 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(401356), // Rule ID 1900 //
     /* 401346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401349 */     // (AArch64zip2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 401349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 401354 */     GIR_RootConstrainSelectedInstOperands,
     /* 401355 */     // GIR_Coverage, 1900,
     /* 401355 */     GIR_Done,
     /* 401356 */   // Label 8476: @401356
     /* 401356 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(401371), // Rule ID 5417 //
     /* 401361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401364 */     // (AArch64zip2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 401364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 401369 */     GIR_RootConstrainSelectedInstOperands,
     /* 401370 */     // GIR_Coverage, 5417,
     /* 401370 */     GIR_Done,
     /* 401371 */   // Label 8477: @401371
     /* 401371 */   GIM_Reject,
     /* 401372 */ // Label 8475: @401372
     /* 401372 */ GIM_Reject,
     /* 401373 */ // Label 8453: @401373
     /* 401373 */ GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(401427),
     /* 401378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 401384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401396 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(401411), // Rule ID 1903 //
     /* 401401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401404 */     // (AArch64zip2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 401404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 401409 */     GIR_RootConstrainSelectedInstOperands,
     /* 401410 */     // GIR_Coverage, 1903,
     /* 401410 */     GIR_Done,
     /* 401411 */   // Label 8479: @401411
     /* 401411 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(401426), // Rule ID 5420 //
     /* 401416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401419 */     // (AArch64zip2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 401419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 401424 */     GIR_RootConstrainSelectedInstOperands,
     /* 401425 */     // GIR_Coverage, 5420,
     /* 401425 */     GIR_Done,
     /* 401426 */   // Label 8480: @401426
     /* 401426 */   GIM_Reject,
     /* 401427 */ // Label 8478: @401427
     /* 401427 */ GIM_Reject,
     /* 401428 */ // Label 8454: @401428
     /* 401428 */ GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(401461), // Rule ID 1898 //
     /* 401433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 401439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 401442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401454 */   // (AArch64zip2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 401454 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 401459 */   GIR_RootConstrainSelectedInstOperands,
     /* 401460 */   // GIR_Coverage, 1898,
     /* 401460 */   GIR_Done,
     /* 401461 */ // Label 8481: @401461
     /* 401461 */ GIM_Reject,
     /* 401462 */ // Label 8455: @401462
     /* 401462 */ GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(401516),
     /* 401467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 401470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 401473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401485 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(401500), // Rule ID 1901 //
     /* 401490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401493 */     // (AArch64zip2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 401493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 401498 */     GIR_RootConstrainSelectedInstOperands,
     /* 401499 */     // GIR_Coverage, 1901,
     /* 401499 */     GIR_Done,
     /* 401500 */   // Label 8483: @401500
     /* 401500 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(401515), // Rule ID 5418 //
     /* 401505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401508 */     // (AArch64zip2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 401508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 401513 */     GIR_RootConstrainSelectedInstOperands,
     /* 401514 */     // GIR_Coverage, 5418,
     /* 401514 */     GIR_Done,
     /* 401515 */   // Label 8484: @401515
     /* 401515 */   GIM_Reject,
     /* 401516 */ // Label 8482: @401516
     /* 401516 */ GIM_Reject,
     /* 401517 */ // Label 8456: @401517
     /* 401517 */ GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(401550), // Rule ID 1899 //
     /* 401522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 401528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 401531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401543 */   // (AArch64zip2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 401543 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v16i8),
     /* 401548 */   GIR_RootConstrainSelectedInstOperands,
     /* 401549 */   // GIR_Coverage, 1899,
     /* 401549 */   GIR_Done,
     /* 401550 */ // Label 8485: @401550
     /* 401550 */ GIM_Reject,
     /* 401551 */ // Label 8457: @401551
     /* 401551 */ GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(401576), // Rule ID 8788 //
     /* 401556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 401562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 401565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401569 */   // (AArch64zip2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 401569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 401574 */   GIR_RootConstrainSelectedInstOperands,
     /* 401575 */   // GIR_Coverage, 8788,
     /* 401575 */   GIR_Done,
     /* 401576 */ // Label 8486: @401576
     /* 401576 */ GIM_Reject,
     /* 401577 */ // Label 8458: @401577
     /* 401577 */ GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(401602), // Rule ID 8743 //
     /* 401582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 401588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 401591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401595 */   // (AArch64zip2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 401595 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 401600 */   GIR_RootConstrainSelectedInstOperands,
     /* 401601 */   // GIR_Coverage, 8743,
     /* 401601 */   GIR_Done,
     /* 401602 */ // Label 8487: @401602
     /* 401602 */ GIM_Reject,
     /* 401603 */ // Label 8459: @401603
     /* 401603 */ GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(401628), // Rule ID 8744 //
     /* 401608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 401614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 401617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401621 */   // (AArch64zip2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 401621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 401626 */   GIR_RootConstrainSelectedInstOperands,
     /* 401627 */   // GIR_Coverage, 8744,
     /* 401627 */   GIR_Done,
     /* 401628 */ // Label 8488: @401628
     /* 401628 */ GIM_Reject,
     /* 401629 */ // Label 8460: @401629
     /* 401629 */ GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(401675),
     /* 401634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 401637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 401640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401644 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(401659), // Rule ID 8739 //
     /* 401649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401652 */     // (AArch64zip2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 401652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 401657 */     GIR_RootConstrainSelectedInstOperands,
     /* 401658 */     // GIR_Coverage, 8739,
     /* 401658 */     GIR_Done,
     /* 401659 */   // Label 8490: @401659
     /* 401659 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(401674), // Rule ID 8745 //
     /* 401664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401667 */     // (AArch64zip2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 401667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 401672 */     GIR_RootConstrainSelectedInstOperands,
     /* 401673 */     // GIR_Coverage, 8745,
     /* 401673 */     GIR_Done,
     /* 401674 */   // Label 8491: @401674
     /* 401674 */   GIM_Reject,
     /* 401675 */ // Label 8489: @401675
     /* 401675 */ GIM_Reject,
     /* 401676 */ // Label 8461: @401676
     /* 401676 */ GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(401701), // Rule ID 8787 //
     /* 401681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 401687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 401690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401694 */   // (AArch64zip2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 401694 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 401699 */   GIR_RootConstrainSelectedInstOperands,
     /* 401700 */   // GIR_Coverage, 8787,
     /* 401700 */   GIR_Done,
     /* 401701 */ // Label 8492: @401701
     /* 401701 */ GIM_Reject,
     /* 401702 */ // Label 8462: @401702
     /* 401702 */ GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(401727), // Rule ID 8741 //
     /* 401707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 401713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 401716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401720 */   // (AArch64zip2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 401720 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 401725 */   GIR_RootConstrainSelectedInstOperands,
     /* 401726 */   // GIR_Coverage, 8741,
     /* 401726 */   GIR_Done,
     /* 401727 */ // Label 8493: @401727
     /* 401727 */ GIM_Reject,
     /* 401728 */ // Label 8463: @401728
     /* 401728 */ GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(401774),
     /* 401733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 401736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 401739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401743 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(401758), // Rule ID 8738 //
     /* 401748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401751 */     // (AArch64zip2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 401751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 401756 */     GIR_RootConstrainSelectedInstOperands,
     /* 401757 */     // GIR_Coverage, 8738,
     /* 401757 */     GIR_Done,
     /* 401758 */   // Label 8495: @401758
     /* 401758 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(401773), // Rule ID 8742 //
     /* 401763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401766 */     // (AArch64zip2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 401766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 401771 */     GIR_RootConstrainSelectedInstOperands,
     /* 401772 */     // GIR_Coverage, 8742,
     /* 401772 */     GIR_Done,
     /* 401773 */   // Label 8496: @401773
     /* 401773 */   GIM_Reject,
     /* 401774 */ // Label 8494: @401774
     /* 401774 */ GIM_Reject,
     /* 401775 */ // Label 8464: @401775
     /* 401775 */ GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(401800), // Rule ID 8786 //
     /* 401780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 401786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 401789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401793 */   // (AArch64zip2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 401793 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 401798 */   GIR_RootConstrainSelectedInstOperands,
     /* 401799 */   // GIR_Coverage, 8786,
     /* 401799 */   GIR_Done,
     /* 401800 */ // Label 8497: @401800
     /* 401800 */ GIM_Reject,
     /* 401801 */ // Label 8465: @401801
     /* 401801 */ GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(401847),
     /* 401806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 401809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 401812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401816 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(401831), // Rule ID 8737 //
     /* 401821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401824 */     // (AArch64zip2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 401824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 401829 */     GIR_RootConstrainSelectedInstOperands,
     /* 401830 */     // GIR_Coverage, 8737,
     /* 401830 */     GIR_Done,
     /* 401831 */   // Label 8499: @401831
     /* 401831 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(401846), // Rule ID 8740 //
     /* 401836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401839 */     // (AArch64zip2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 401839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 401844 */     GIR_RootConstrainSelectedInstOperands,
     /* 401845 */     // GIR_Coverage, 8740,
     /* 401845 */     GIR_Done,
     /* 401846 */   // Label 8500: @401846
     /* 401846 */   GIM_Reject,
     /* 401847 */ // Label 8498: @401847
     /* 401847 */ GIM_Reject,
     /* 401848 */ // Label 8466: @401848
     /* 401848 */ GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(401873), // Rule ID 2393 //
     /* 401853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 401859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 401862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 401866 */   // (AArch64zip2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 401866 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_B),
     /* 401871 */   GIR_RootConstrainSelectedInstOperands,
     /* 401872 */   // GIR_Coverage, 2393,
     /* 401872 */   GIR_Done,
     /* 401873 */ // Label 8501: @401873
     /* 401873 */ GIM_Reject,
     /* 401874 */ // Label 8467: @401874
     /* 401874 */ GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(401899), // Rule ID 8736 //
     /* 401879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 401882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 401885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 401888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 401892 */   // (AArch64zip2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 401892 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_B),
     /* 401897 */   GIR_RootConstrainSelectedInstOperands,
     /* 401898 */   // GIR_Coverage, 8736,
     /* 401898 */   GIR_Done,
     /* 401899 */ // Label 8502: @401899
     /* 401899 */ GIM_Reject,
     /* 401900 */ // Label 8468: @401900
     /* 401900 */ GIM_Reject,
     /* 401901 */ // Label 154: @401901
     /* 401901 */ GIM_Reject,
     /* 401902 */ }; // Size: 401902 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
